part of 'country.dart';

/// Class for storing all country object
class Countries {
  /// private constructor for preventing object construction
  Countries._();

  /// Country: The Principality of Andorra
  static const Country and = Country(
    alpha2: 'AD',
    alpha3: 'AND',
    continent: Continent.europe,
    countryCode: '376',
    currencyCode: 'EUR',
    gec: 'AN',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 42.506285,
        longitude: 1.521801,
      ),
      maxCoordinate: Coordinate(
        latitude: 42.655791,
        longitude: 1.786639,
      ),
      minCoordinate: Coordinate(
        latitude: 42.4287488,
        longitude: 1.4087052,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 42.655791,
          longitude: 1.786639,
        ),
        southwest: Coordinate(
          latitude: 42.4287488,
          longitude: 1.4087052,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'AND',
    isoLongName: 'The Principality of Andorra',
    isoShortName: 'Andorra',
    languagesOfficial: ['ca'],
    languagesSpoken: ['ca'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [6, 7, 8, 9],
    nationalPrefix: 'None',
    nationality: 'Andorran',
    number: '020',
    postalCode: true,
    postalCodeFormat: r'AD[1-7]0\d',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Southern Europe',
    unLocode: 'AD',
    unofficialNames: ['Andorre', 'Andorra', 'アンドラ'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Andorra",
      "af": "Andorra",
      "ak": "Andorra",
      "am": "ጐን፦ሲ",
      "an": "Andorra",
      "ar": "أندورا",
      "as": "এণ্ডোৰা",
      "ay": "Andorra",
      "az": "Andorra",
      "ba": "Andorra",
      "be": "Андора",
      "bg": "Андора",
      "bi": "Andorra",
      "bn": "অ্যান্ডোরা",
      "bn_IN": "অ্যান্ডোরা",
      "br": "Andorra",
      "bs": "Andora",
      "ca": "Andorra",
      "ce": "Андорра",
      "ch": "Andorra",
      "cs": "Andorra",
      "cv": "Андорра",
      "cy": "Andorra",
      "da": "Andorra",
      "de": "Andorra",
      "dv": "އެންޑޯރާ",
      "dz": "ཨེན་ཌོ་ར།",
      "ee": "Andorra",
      "el": "Ανδόρρα",
      "en": "Andorra",
      "eo": "Andoro",
      "es": "Andorra",
      "et": "Andorra",
      "eu": "Andorra",
      "fa": "آندورا",
      "ff": "Anndoora",
      "fi": "Andorra",
      "fo": "Andorra",
      "fr": "Andorre",
      "fy": "Andorra",
      "ga": "Andóra",
      "gl": "Andorra",
      "gn": "Andorra",
      "gu": "એન્ડોરા",
      "gv": "Andorra",
      "ha": "Andorra",
      "he": "אנדורה",
      "hi": "अण्डोरा",
      "hr": "Andora",
      "ht": "Andora",
      "hu": "Andorra",
      "hy": "Անդորա",
      "ia": "Andorra",
      "id": "Andorra",
      "io": "Andora",
      "is": "Andorra",
      "it": "Andorra",
      "iu": "Andorra",
      "ja": "アンドラ",
      "ka": "ანდორა",
      "ki": "Andorra",
      "kk": "Андорра",
      "kl": "Andorra",
      "km": "អង់ដូរ៉ា",
      "kn": "ಆಂಡೋರ್ರಾ",
      "ko": "안도라",
      "ku": "Andora",
      "kv": "Андорра",
      "kw": "Andorra",
      "ky": "Андорра",
      "lo": "ປະເທດອັງດອກ",
      "lt": "Andora",
      "lv": "Andora",
      "mi": "Andorra",
      "mk": "Андора",
      "ml": "അന്‍ഡോറ",
      "mn": "Андорра",
      "mr": "ऍंडोरा",
      "ms": "Andorra",
      "mt": "Andorra",
      "my": "အင်ဒိုရာနိုင်ငံ",
      "na": "Andorra",
      "nb": "Andorra",
      "ne": "एनडोर्रा",
      "nl": "Andorra",
      "nn": "Andorra",
      "nv": "Andorra",
      "oc": "Andòrra",
      "or": "ଅଣ୍ଟୋରା",
      "pa": "ਅਡੂਰਾ",
      "pi": "अंडोरा",
      "pl": "Andora",
      "ps": "اندورا",
      "pt": "Andorra",
      "pt_BR": "Andorra",
      "ro": "Andora",
      "ru": "Андорра",
      "rw": "Andora",
      "sc": "Andorra",
      "sd": "انڊورا",
      "si": "ඇන්ඩෝරා",
      "sk": "Andorra",
      "sl": "Andora",
      "so": "Andorra",
      "sq": "Andorrë",
      "sr": "Андора",
      "sv": "Andorra",
      "sw": "Andorra",
      "ta": "அன்டோரா",
      "te": "ఐండోరా",
      "tg": "Андорра",
      "th": "อันดอร์รา",
      "ti": "አንዶራ",
      "tk": "Andorra",
      "tl": "Andora",
      "tr": "Andorra",
      "tt": "Андорра",
      "ug": "ئاندوررا",
      "uk": "Андорра",
      "ur": "انڈورا",
      "uz": "Andorra",
      "ve": "Andorra",
      "vi": "Ăn-đoa-râ",
      "wa": "Andore",
      "wo": "Andoor",
      "xh": "Andorra",
      "yo": "Àndórà",
      "zh_CN": "安道尔",
      "zh_HK": "安道爾",
      "zh_TW": "安道爾",
      "zu": "I-Andora"
    },
  );

  /// Country: The United Arab Emirates
  static const Country are = Country(
    alpha2: 'AE',
    alpha3: 'ARE',
    continent: Continent.asia,
    countryCode: '971',
    currencyCode: 'AED',
    gec: 'AE',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 23.424076,
        longitude: 53.847818,
      ),
      maxCoordinate: Coordinate(
        latitude: 26.0765,
        longitude: 56.4395001,
      ),
      minCoordinate: Coordinate(
        latitude: 22.6315138,
        longitude: 51.4723,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 26.0765,
          longitude: 56.4395001,
        ),
        southwest: Coordinate(
          latitude: 22.6315138,
          longitude: 51.4723,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'UAE',
    isoLongName: 'The United Arab Emirates',
    isoShortName: 'United Arab Emirates',
    languagesOfficial: ['ar'],
    languagesSpoken: ['ar'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8, 9],
    nationalPrefix: '0',
    nationality: 'Emirian',
    number: '784',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Western Asia',
    unLocode: 'AE',
    unofficialNames: [
      'United Arab Emirates',
      'الإمارات العربية المتحدة',
      'Vereinigte Arabische Emirate',
      'Émirats Arabes Unis',
      'Emiratos Árabes Unidos',
      'アラブ首長国連邦',
      'Verenigde Arabische Emiraten'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 5.0,
      reduced: [],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "United Arab Emirates",
      "af": "Verenigde Arabiese Emirate",
      "ak": "United Arab Emirates",
      "am": "ፘተባበሩት ጐረብ ጔሤሳትስ",
      "an": "Emiratos Arabes Unius",
      "ar": "الإمارات العربيّة المتّحدة",
      "as": "ইউনাইটেড আৰৱ ইমিৰেটছ",
      "ay": "United Arab Emirates",
      "az": "Birləşmiş Ərəb Əmirlikləri",
      "ba": "United Arab Emirates",
      "be": "Аб'яднаныя Арабскія Эміраты",
      "bg": "Обединени арабски емирства",
      "bi": "United Arab Emirates",
      "bn": "সংযুক্ত আরব আমিরশাহী",
      "bn_IN": "সংযুক্ত আরব আমিরশাহী",
      "br": "Emirelezhioù Arab Unanet",
      "bs": "Ujedinjeni Arapski Emirati",
      "ca": "Unió dels Emirats Àrabs",
      "ce": "Iаьрбийн Цхьаьнакхетта Эмираташ",
      "ch": "United Arab Emirates",
      "cs": "Spojené arabské emiráty",
      "cv": "Iаьрбийн Цхьаьнакхетта Эмираташ",
      "cy": "Emiriaethau Arabaidd Unedig",
      "da": "Forenede Arabiske Emirater",
      "de": "Vereinigte Arabische Emirate",
      "dv": "އެކުވެރި ޢަރަބި އިމާރާތު",
      "dz": "ཡུ་ནའི་ཊེཊ་ ཨ་རབ་ ཨི་མི་རེཊིསི།",
      "ee": "United Arab Emirates",
      "el": "Ηνωμένα Αραβικά Εμιράτα",
      "en": "United Arab Emirates",
      "eo": "Unuiĝintaj Arabaj Emirlandoj",
      "es": "Emiratos Árabes Unidos",
      "et": "Araabia Ühendemiraadid",
      "eu": "Arabiar Emirerri Batuak",
      "fa": "امارات متحده عربی",
      "ff": "United Arab Emirates",
      "fi": "Yhdistyneet arabiemiirikunnat",
      "fo": "Sameindu arabisku emiratini",
      "fr": "Émirats arabes unis",
      "fy": "Feriene Arabyske Emiraten",
      "ga": "Aontas na nÉimíríochtaí Arabacha",
      "gl": "Emiratos Árabes Unidos",
      "gn": "United Arab Emirates",
      "gu": "યુનાઇટેડ આરબ અમીરાત",
      "gv": "Ny h-Emmiraidyn Arabagh Unnaneysit",
      "ha": "Taraiyar larabawa",
      "he": "איחוד האמירויות הערביות",
      "hi": "संयुक्त अरब अमीरात",
      "hr": "Ujedinjeni Arapski Emirati",
      "ht": "Emira Arab Ini",
      "hu": "Egyesült Arab Emírségek",
      "hy": "Միացյալ Արաբական Էմիրաթներ",
      "ia": "Emiratos Arabe Unite",
      "id": "Uni Emirat Arab",
      "io": "Unionita Araba Emirati",
      "is": "Sameinuðu arabísku furstadæmin",
      "it": "Emirati Arabi Uniti",
      "iu": "United Arab Emirates",
      "ja": "アラブ首長国連邦",
      "ka": "არაბეთის გაერთიანებული ემირატები",
      "ki": "United Arab Emirates",
      "kk": "Біріккен Араб Әмірліктері",
      "kl": "United Arab Emirates",
      "km": "អារ៉ាប់​រួម",
      "kn": "ಯುನೈಟೆಡ್ ಅರಬ್ ಎಮಿರೇಟ್ಸ್",
      "ko": "아랍에미리트",
      "ku": "Mîrtiyên Ereb ên Yekbuyî",
      "kv": "Ӧтувтчӧм Араб Эмиратъяс",
      "kw": "Pennternasedh Unys Arabek",
      "ky": "Бириккен Араб Эмирликтери",
      "lo": "United Arab Emirates",
      "lt": "Jungtiniai Arabų Emyratai",
      "lv": "Apvienotie Arābu Emirāti",
      "mi": "United Arab Emirates",
      "mk": "Обединети арапски емирати",
      "ml": "ഐക്യ അറബ് എമിറേറ്റുകള്‍",
      "mn": "Арабын нэгдсэн имерат",
      "mr": "संयुक्त अरब अमिराती",
      "ms": "Emiriah Arab Bersatu",
      "mt": "Emirati Għarab Maqgħuda",
      "my": "အာရပ်စော်ဘွားများပြည်ထောင်စု",
      "na": "Emireitit Arabiya",
      "nb": "De forente arabiske emirater",
      "ne": "संयुक्त अरब इमिरेट्स",
      "nl": "Verenigde Arabische Emiraten",
      "nn": "Dei sameinte arabiske emirata",
      "nv": "Ásáí Dineʼé Bikéyah Yázhí Ałhidadiidzooígíí",
      "oc": "Emirats Arabs Units",
      "or": "ସଂଯୁକ୍ତ ଆରବ ଏମିରେଟ",
      "pa": "ਸੰਯੁਕਤ ਰਾਜ ਅਮੀਰਾਤ",
      "pi": "United Arab Emirates",
      "pl": "Zjednoczone Emiraty Arabskie",
      "ps": "عربي متحده امارات",
      "pt": "Emirados Árabes Unidos",
      "pt_BR": "Emirados Árabes Unidos",
      "ro": "Emiratele Arabe Unite",
      "ru": "Объединённые Арабские Эмираты",
      "rw": "Repubulika Nyarabu Zunze Ubumwe",
      "sc": "Emiratos Àrabos Unidos",
      "sd": "گڏيل عرب امارات",
      "si": "එක්සත් අරාබි එමීර්",
      "sk": "Spojené arabské emiráty",
      "sl": "Združeni Arabski emirati",
      "so": "Imaaraadka Carabta ee Midoobay",
      "sq": "Emiratet e Bashkuara Arabe",
      "sr": "Уједињени Арапски Емирати",
      "sv": "Förenade Arabemiraten",
      "sw": "Falme za Kiarabu",
      "ta": "ஐக்கிய அராபிய எமிரேட்சு",
      "te": "యునైటెడ్ అరబ్ ఎమిరేట్స్",
      "tg": "Амороти Муттаҳидаи Араб",
      "th": "สหรัฐอาหรับเอมิเรตส์",
      "ti": "የተባበሩት አረብ ኤምሬትስ",
      "tk": "Birleşen Arap Emirlikleri",
      "tl": "Mga Pinag-isang Arabong Emirado",
      "tr": "Birleşik Arap Emirlikleri",
      "tt": "Берләшкән Гәрәп Әмирлекләре",
      "ug": "ئەرەب بىرلەشمە خەلىپىلىكى",
      "uk": "Об’єднані Арабські Емірати",
      "ur": "متحدہ عرب امارات",
      "uz": "Birlashgan Arab Amirliklari",
      "ve": "United Arab Emirates",
      "vi": "Các Tiểu Vương Quốc A-rập Thống Nhất",
      "wa": "Emirats Arabes Unis",
      "wo": "Imaarati Araab yu Bennoo",
      "xh": "United Arab Emirates",
      "yo": "Àwọn Ẹ́mírétì Árábù Aṣọ̀kan",
      "zh_CN": "阿联酋",
      "zh_HK": "阿拉伯聯合酋長國",
      "zh_TW": "阿拉伯聯合大公國",
      "zu": "United Arab Emirates"
    },
  );

  /// Country: The Islamic Republic of Afghanistan
  static const Country afg = Country(
    alpha2: 'AF',
    alpha3: 'AFG',
    continent: Continent.asia,
    countryCode: '93',
    currencyCode: 'AFN',
    gec: 'AF',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 33.93911,
        longitude: 67.709953,
      ),
      maxCoordinate: Coordinate(
        latitude: 38.49087670000001,
        longitude: 74.8898619,
      ),
      minCoordinate: Coordinate(
        latitude: 29.3772,
        longitude: 60.5170005,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 38.49087670000001,
          longitude: 74.8898619,
        ),
        southwest: Coordinate(
          latitude: 29.3772,
          longitude: 60.5170005,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'AFG',
    isoLongName: 'The Islamic Republic of Afghanistan',
    isoShortName: 'Afghanistan',
    languagesOfficial: ['ps', 'uz', 'tk'],
    languagesSpoken: ['ps', 'uz', 'tk'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9],
    nationalPrefix: '0',
    nationality: 'Afghan',
    number: '004',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Southern Asia',
    unLocode: 'AF',
    unofficialNames: ['Afghanistan', 'Afganistán', 'アフガニスタン'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Afghanistan",
      "af": "Afghanistan",
      "ak": "Afghanistan",
      "am": "አፍጋኒስታን",
      "an": "Afganistán",
      "ar": "أفغانستان",
      "as": "আফগানিস্থান",
      "ay": "Afghanistan",
      "az": "Əfqanıstan",
      "ba": "Afghanistan",
      "be": "Афганістан",
      "bg": "Афганистан",
      "bi": "Afghanistan",
      "bn": "আফগানিস্তান",
      "bn_IN": "আফগানিস্তান",
      "br": "Afghanistan",
      "bs": "Afganistan",
      "ca": "Afganistan",
      "ce": "АфгIанистан",
      "ch": "Afghanistan",
      "cs": "Afghánistán",
      "cv": "Афганистан",
      "cy": "Afghanistan",
      "da": "Afghanistan",
      "de": "Afghanistan",
      "dv": "އަފްޣާނިސްތާން",
      "dz": "ཨཕ་ག་ནིསི་ཏཱན།",
      "ee": "Afghanistan",
      "el": "Αφγανιστάν",
      "en": "Afghanistan",
      "eo": "Afganio",
      "es": "Afganistán",
      "et": "Afganistan",
      "eu": "Afganistan",
      "fa": "افغانستان",
      "ff": "Afghanistan",
      "fi": "Afghanistan",
      "fo": "Afganistan",
      "fr": "Afghanistan",
      "fy": "Afganistan",
      "ga": "An Afganastáin",
      "gl": "Afganistán",
      "gn": "Afghanistan",
      "gu": "અફઘાનિસ્તાન",
      "gv": "Yn Afghanistaan",
      "ha": "Afghanistan",
      "he": "אפגניסטן",
      "hi": "अफ़्गानिस्तान",
      "hr": "Afganistan",
      "ht": "Afganistan",
      "hu": "Afganisztán",
      "hy": "Աֆղանստան",
      "ia": "Afghanistan",
      "id": "Afganistan",
      "io": "Afganistan",
      "is": "Afganistan",
      "it": "Afghanistan",
      "iu": "Afghanistan",
      "ja": "アフガニスタン",
      "ka": "ავღანეთი",
      "ki": "Afghanistan",
      "kk": "Ауғанстан",
      "kl": "Afghanistan",
      "km": "អាហ្គានីស្ថាន",
      "kn": "ಅಫ್ಗಾನಿಸ್ಥಾನ್",
      "ko": "아프가니스탄",
      "ku": "Efxanistan",
      "kv": "Афганистан",
      "kw": "Afghanistan",
      "ky": "Ооганстан",
      "lo": "Afghanistan",
      "lt": "Afganistanas",
      "lv": "Afganistāna",
      "mi": "Āwhekenetāna",
      "mk": "Авганистан",
      "ml": "അഫ്ഗാനിസ്താന്‍",
      "mn": "Афганстан",
      "mr": "अफगाणिस्तान",
      "ms": "Afghanistan",
      "mt": "Afganistan",
      "my": "အာဖဂန်နစ္စတန်နိုင်ငံ",
      "na": "Apeganitan",
      "nb": "Afghanistan",
      "ne": "अफगानिस्तान",
      "nl": "Afghanistan",
      "nn": "Afghanistan",
      "nv": "Afghanistan",
      "oc": "Afganistan",
      "or": "ଆଫଗାନିସ୍ତାନ",
      "pa": "ਅਫਗਾਨਿਸਤਾਨ",
      "pi": "अफगानस्थान",
      "pl": "Afganistan",
      "ps": "افغانستان",
      "pt": "Afeganistão",
      "pt_BR": "Afeganistão",
      "ro": "Afganistan",
      "ru": "Афганистан",
      "rw": "Afuganisita",
      "sc": "Afghànistan",
      "sd": "افغانستان",
      "si": "ඇෆ්ගනිස්තානය",
      "sk": "Afganistan",
      "sl": "Afganistan",
      "so": "Afgaanistaan",
      "sq": "Afganistan",
      "sr": "Авганистан",
      "sv": "Afghanistan",
      "sw": "Afghanistani",
      "ta": "ஆப்கானிஸ்தான்",
      "te": "ఆఫ్ఘనిస్తాన్",
      "tg": "Афғонистон",
      "th": "อัฟกานิสถาน",
      "ti": "ኣፍጋኒስታን",
      "tk": "Owganystan",
      "tl": "Apganistan",
      "tr": "Afganistan",
      "tt": "Әфгәнстан",
      "ug": "ئافغانىستان",
      "uk": "Афганістан",
      "ur": "افغانستان",
      "uz": "Afgʻoniston",
      "ve": "Afghanistan",
      "vi": "A Phú Hãn",
      "wa": "Afganistan",
      "wo": "Afganistaan",
      "xh": "Afghanistan",
      "yo": "Afghanístàn",
      "zh_CN": "阿富汗",
      "zh_HK": "阿富汗",
      "zh_TW": "阿富汗",
      "zu": "I-Afganistani"
    },
  );

  /// Country: Antigua and Barbuda
  static const Country atg = Country(
    alpha2: 'AG',
    alpha3: 'ATG',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'XCD',
    gec: 'AC',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 17.060816,
        longitude: -61.796428,
      ),
      maxCoordinate: Coordinate(
        latitude: 17.7499946,
        longitude: -61.6394,
      ),
      minCoordinate: Coordinate(
        latitude: 16.9018,
        longitude: -62.38100009999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 17.7499946,
          longitude: -61.6394,
        ),
        southwest: Coordinate(
          latitude: 16.9018,
          longitude: -62.38100009999999,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'ANT',
    isoLongName: 'Antigua and Barbuda',
    isoShortName: 'Antigua and Barbuda',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Antiguan, Barbudan',
    number: '028',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'AG',
    unofficialNames: [
      'Antigua and Barbuda',
      'Antigua und Barbuda',
      'Antigua et Barbuda',
      'Antigua y Barbuda',
      'アンティグア・バーブーダ',
      'Antigua en Barbuda'
    ],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1268',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Antigua and Barbuda",
      "af": "Antigue en Barbuda",
      "ak": "Antigua and Barbuda",
      "am": "Antigua and Barbuda",
      "an": "Antigua y Barbuda",
      "ar": "أنتيغوا و باربودا",
      "as": "এন্টিগুৱা আৰু বাৰবুডা",
      "ay": "Antigua and Barbuda",
      "az": "Antiq və Barbuda",
      "ba": "Antigua and Barbuda",
      "be": "Антыгуа і Барбуда",
      "bg": "Антигуа и Барбуда",
      "bi": "Antigua and Barbuda",
      "bn": "অ্যান্টিগুয়া ও বারবুডা",
      "bn_IN": "অ্যান্টিগুয়া ও বারবুডা",
      "br": "Antigua ha Barbuda",
      "bs": "Antigua i Barbuda",
      "ca": "Antigua i Barbuda",
      "ce": "Антигуа а Барбуда",
      "ch": "Antigua and Barbuda",
      "cs": "Antigua a Barbuda",
      "cv": "Антигуа а Барбуда",
      "cy": "Antigua ac Barbuda",
      "da": "Antigua og Barbuda",
      "de": "Antigua und Barbuda",
      "dv": "އެންޓިގުއާ އަދި ބާބިއުޑާ",
      "dz": "ཨེན་ཊི་གུའ་དང་ བར་བུ་ཌ།",
      "ee": "Antigua and Barbuda",
      "el": "Αντίγκουα και Μπαρμπούντα",
      "en": "Antigua and Barbuda",
      "eo": "Antigvo-Barbudo",
      "es": "Antigua y Barbuda",
      "et": "Antigua ja Barbuda",
      "eu": "Antigua eta Barbuda",
      "fa": "آنتیگوا و باربودا",
      "ff": "Antigua and Barbuda",
      "fi": "Antigua ja Barbuda",
      "fo": "Antigua og Barbuda",
      "fr": "Antigua-et-Barbuda",
      "fy": "Antigua en Barbûda",
      "ga": "Antigua agus Barbuda",
      "gl": "Antiga e Barbuda",
      "gn": "Antigua and Barbuda",
      "gu": "એન્ટિગુઆ અને બાર્બુડા",
      "gv": "Antigua as Barbuda",
      "ha": "Antigua and Barbuda",
      "he": "אנטיגואה וברבודה",
      "hi": "अण्टीगुआ और बारबूडा",
      "hr": "Antigua i Barbuda",
      "ht": "Antigua and Barbuda",
      "hu": "Antigua és Barbuda",
      "hy": "Անտիգուա-Բարբուդա",
      "ia": "Antigua e Barbuda",
      "id": "Antigua dan Barbuda",
      "io": "Antigua e Barbuda",
      "is": "Antígva og Barbúda",
      "it": "Antigua e Barbuda",
      "iu": "Antigua and Barbuda",
      "ja": "アンティグア・バーブーダ",
      "ka": "ანტიგუა და ბარბუდა",
      "ki": "Antigua and Barbuda",
      "kk": "Антигуа және Барбуда",
      "kl": "Antigua and Barbuda",
      "km": "អង់ទីហ្គា និង បារប៊ុយដា",
      "kn": "ಆಂಟಿಗ್ವಾ ಮತ್ತು ಬಾರ್ಬುಡಾ",
      "ko": "앤티가 바부다",
      "ku": "Antîguya û Barbuda",
      "kv": "Antigua and Barbuda",
      "kw": "Antiga ha Barbuda",
      "ky": "Антигуа жана Барбуда",
      "lo": "Antigua and Barbuda",
      "lt": "Antigva ir Barbuda",
      "lv": "Antigva un Barbuda",
      "mi": "Antigua and Barbuda",
      "mk": "Антика и Барбуда",
      "ml": "ആന്റിഗ്വയും ബര്‍മുഡയും",
      "mn": "Antigua and Barbuda",
      "mr": "ऍंटिग्वा आणी बार्बुडा",
      "ms": "Antigua dan Barbuda",
      "mt": "Antigwa u Barbuda",
      "my": "အင်တီဂွါနှင့် ဘာဘူဒါနိုင်ငံ",
      "na": "Antigua me Barbuda",
      "nb": "Antigua og Barbuda",
      "ne": "एन्टिगुआ र बारबूढा",
      "nl": "Antigua en Barbuda",
      "nn": "Antigua og Barbuda",
      "nv": "Antigua and Barbuda",
      "oc": "Antigua e Barbuda",
      "or": "ଏଣ୍ଟିଗୁଆ ଏବଂ ବାର୍ବୁଡା",
      "pa": "ਐਟੀਗੂਆ ਤੇ ਬਾਰਬੂਡਾ",
      "pi": "Antigua and Barbuda",
      "pl": "Antigua i Barbuda",
      "ps": "Antigua and Barbuda",
      "pt": "Antígua e Barbuda",
      "pt_BR": "Antígua e Barbuda",
      "ro": "Antigua și Barbuda",
      "ru": "Антигуа и Барбуда",
      "rw": "Antigwa na Barubida",
      "sc": "Antigua e Barbuda",
      "sd": "Antigua and Barbuda",
      "si": "ඇන්ටිගුවා හා බාබුඩා",
      "sk": "Antigua a Barbuda",
      "sl": "Antigva in Barbuda",
      "so": "Antigua iyo Barbuda",
      "sq": "Antigua dhe Barbuda",
      "sr": "Антигва и Барбуда",
      "sv": "Antigua och Barbuda",
      "sw": "Antigua na Barbuda",
      "ta": "ஆன்டிகுவா மற்றும் பார்புடா",
      "te": "ఐంటిగ్వా మరియు బార్బుడా",
      "tg": "Антигуа ва Барбуда",
      "th": "แอนติกาและบาร์บูดา",
      "ti": "Antigua and Barbuda",
      "tk": "Antigua we Barbuda",
      "tl": "Antigwa at Barbuda",
      "tr": "Antigua ve Barbuda",
      "tt": "Антиgуа белән Барбуда",
      "ug": "ئانتىگۇئا ۋە باربۇدا",
      "uk": "Антигуа і Барбуда",
      "ur": "اینٹیگوا و باربوڈا",
      "uz": "Antigua va Barbuda",
      "ve": "Antigua na Barbuda",
      "vi": "Ănh-thí-gua và Ba-bu-đa",
      "wa": "Antigua eyet Barbuda",
      "wo": "Antigua ak Barbuda",
      "xh": "Antigua no Barbuda",
      "yo": "Ántígúà àti Bàrbúdà",
      "zh_CN": "安提瓜和巴布达",
      "zh_HK": "安提瓜和巴布達",
      "zh_TW": "安地卡及巴布達",
      "zu": "Antigua no Barbuda"
    },
  );

  /// Country: Anguilla
  static const Country aia = Country(
    alpha2: 'AI',
    alpha3: 'AIA',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'XCD',
    gec: 'AV',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 18.220554,
        longitude: -63.06861499999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 18.6332326,
        longitude: -62.91999999999999,
      ),
      minCoordinate: Coordinate(
        latitude: 18.1465043,
        longitude: -63.4803,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 18.6332326,
          longitude: -62.91999999999999,
        ),
        southwest: Coordinate(
          latitude: 18.1465043,
          longitude: -63.4803,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: null,
    isoLongName: 'Anguilla',
    isoShortName: 'Anguilla',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Anguillian',
    number: '660',
    postalCode: true,
    postalCodeFormat: r'(?:AI-)?2640',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'AI',
    unofficialNames: ['Anguilla', 'アンギラ'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1264',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Anguilla",
      "af": "Anguilla",
      "ak": "Anguilla",
      "am": "Anguilla",
      "an": "Anguila",
      "ar": "أنغويلا",
      "as": "এংগুইলা",
      "ay": "Anguilla",
      "az": "Anquilla",
      "ba": "Anguilla",
      "be": "Ангілья",
      "bg": "Ангила",
      "bi": "Anguilla",
      "bn": "অ্যাঙ্গিলা",
      "bn_IN": "অ্যাঙ্গিলা",
      "br": "Anguilla",
      "bs": "Anguilla",
      "ca": "Anguilla",
      "ce": "Anguilla",
      "ch": "Anguilla",
      "cs": "Anguilla",
      "cv": "Anguilla",
      "cy": "Anguilla",
      "da": "Anguilla",
      "de": "Anguilla",
      "dv": "އަންގީލާ",
      "dz": "ཨེང་གུའི་ལ།",
      "ee": "Anguilla",
      "el": "Ανγκουίλα",
      "en": "Anguilla",
      "eo": "Angvilo",
      "es": "Anguila",
      "et": "Anguilla",
      "eu": "Anguilla",
      "fa": "آنگیل",
      "ff": "Anguilla",
      "fi": "Anguilla",
      "fo": "Anguilla",
      "fr": "Anguilla",
      "fy": "Anguilla",
      "ga": "Anguilla",
      "gl": "Anguila",
      "gn": "Anguilla",
      "gu": "એન્ગુલિઆ",
      "gv": "Anguilla",
      "ha": "Anguilla",
      "he": "אנגווילה",
      "hi": "अंगुइला",
      "hr": "Anguila",
      "ht": "Anguilla",
      "hu": "Anguilla",
      "hy": "Անգիլիա",
      "ia": "Anguilla",
      "id": "Anguilla",
      "io": "Anguila",
      "is": "Angvíla",
      "it": "Anguilla",
      "iu": "Anguilla",
      "ja": "アングイラ",
      "ka": "ანგილა",
      "ki": "Anguilla",
      "kk": "Ангилья",
      "kl": "Anguilla",
      "km": "អង់ហ្ស៊ីឡា",
      "kn": "ಅಂಗುಲಿಯಾ",
      "ko": "앵귈라",
      "ku": "Angîla",
      "kv": "Anguilla",
      "kw": "Angwilla",
      "ky": "Ангилья",
      "lo": "Anguilla",
      "lt": "Angilija",
      "lv": "Angilja",
      "mi": "Anguilla",
      "mk": "Ангуила",
      "ml": "ആംഗ്വില്ല",
      "mn": "Anguilla",
      "mr": "ऍंग्विला",
      "ms": "Anguilla",
      "mt": "Angwilla",
      "my": "Anguilla",
      "na": "Anguilla",
      "nb": "Anguilla",
      "ne": "एनगुइल्ला",
      "nl": "Anguilla",
      "nn": "Anguilla",
      "nv": "Anguilla",
      "oc": "Anguilla",
      "or": "ଆଙ୍ଗୋଲୀୟା",
      "pa": "ਅੰਗੂਲੀਆਂ",
      "pi": "Anguilla",
      "pl": "Anguilla",
      "ps": "Anguilla",
      "pt": "Anguilla",
      "pt_BR": "Anguila",
      "ro": "Anguilla",
      "ru": "Ангвилла",
      "rw": "Angwiya",
      "sc": "Anguilla",
      "sd": "Anguilla",
      "si": "ඇන්ගුයිලා",
      "sk": "Anguilla",
      "sl": "Angvila",
      "so": "Anguilla",
      "sq": "Anguila",
      "sr": "Ангила",
      "sv": "Anguilla",
      "sw": "Anguilla",
      "ta": "அங்குல்லா",
      "te": "ఐంగ్విలా",
      "tg": "Ангвелла",
      "th": "แองกวิลลา",
      "ti": "Anguilla",
      "tk": "Angwilla",
      "tl": "Anggilya",
      "tr": "Anguilla",
      "tt": "Анgуилла",
      "ug": "ئانگۋىللا",
      "uk": "Ангілья",
      "ur": "اینگویلا",
      "uz": "Angilya",
      "ve": "Anguilla",
      "vi": "Ăng-ouí-la",
      "wa": "Anguila",
      "wo": "Anguilla",
      "xh": "Anguilla",
      "yo": "Àngúíllà",
      "zh_CN": "安圭拉",
      "zh_HK": "安圭拉島",
      "zh_TW": "安圭拉",
      "zu": "Anguilla"
    },
  );

  /// Country: The Republic of Albania
  static const Country alb = Country(
    alpha2: 'AL',
    alpha3: 'ALB',
    continent: Continent.europe,
    countryCode: '355',
    currencyCode: 'ALL',
    gec: 'AL',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 41.153332,
        longitude: 20.168331,
      ),
      maxCoordinate: Coordinate(
        latitude: 42.6611669,
        longitude: 21.0572394,
      ),
      minCoordinate: Coordinate(
        latitude: 39.6447296,
        longitude: 19.1217,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 42.6611669,
          longitude: 21.0572394,
        ),
        southwest: Coordinate(
          latitude: 39.6447296,
          longitude: 19.1217,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'ALB',
    isoLongName: 'The Republic of Albania',
    isoShortName: 'Albania',
    languagesOfficial: ['sq'],
    languagesSpoken: ['sq'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8, 9],
    nationalPrefix: '0',
    nationality: 'Albanian',
    number: '008',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Southern Europe',
    unLocode: 'AL',
    unofficialNames: ['Albania', 'Albanien', 'Albanie', 'アルバニア', 'Albanië'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Albania",
      "af": "Albanië",
      "ak": "Albania",
      "am": "ጐሔባኒ።",
      "an": "Albania",
      "ar": "ألبانيا",
      "as": "আলবেনিয়া",
      "ay": "Albania",
      "az": "Albaniya",
      "ba": "Albania",
      "be": "Албанія",
      "bg": "Албания",
      "bi": "Albania",
      "bn": "আলবেনিয়া",
      "bn_IN": "আলবেনিয়া",
      "br": "Albania",
      "bs": "Albanija",
      "ca": "Albània",
      "ce": "Албани",
      "ch": "Albania",
      "cs": "Albánie",
      "cv": "Албани",
      "cy": "Albania",
      "da": "Albanien",
      "de": "Albanien",
      "dv": "އަލްބޭނިއާ",
      "dz": "ཨཱལ་བ་ནི་ཡ།",
      "ee": "Albania",
      "el": "Αλβανία",
      "en": "Albania",
      "eo": "Albanio",
      "es": "Albania",
      "et": "Albaania",
      "eu": "Albania",
      "fa": "آلبانی",
      "ff": "Albaniya",
      "fi": "Albania",
      "fo": "Albania",
      "fr": "Albanie",
      "fy": "Albaanje",
      "ga": "An Albáin",
      "gl": "Albania",
      "gn": "Albania",
      "gu": "અલ્બેનિયા",
      "gv": "Yn Albaan",
      "ha": "Albaniya",
      "he": "אלבניה",
      "hi": "अल्बानिया",
      "hr": "Albanija",
      "ht": "Albani",
      "hu": "Albánia",
      "hy": "Ալբանիա",
      "ia": "Albania",
      "id": "Albania",
      "io": "Albania",
      "is": "Albanía",
      "it": "Albania",
      "iu": "Albania",
      "ja": "アルバニア",
      "ka": "ალბანეთი",
      "ki": "Arũmbĩnia",
      "kk": "Албания",
      "kl": "Albania",
      "km": "អាល់បានី",
      "kn": "ಅಲ್ಬೇನಿಯಾ",
      "ko": "알바니아",
      "ku": "Arnavût",
      "kv": "Албания",
      "kw": "Albani",
      "ky": "Албания",
      "lo": "Albania",
      "lt": "Albanija",
      "lv": "Albānija",
      "mi": "Arapeinia",
      "mk": "Албанија",
      "ml": "അല്‍ബേനിയ",
      "mn": "Албани",
      "mr": "अल्बेनिया",
      "ms": "Albania",
      "mt": "Albanija",
      "my": "အယ်လ်ဘေးနီးယားနိုင်ငံ",
      "na": "Arbainiya",
      "nb": "Albania",
      "ne": "अल्बानिया",
      "nl": "Albanië",
      "nn": "Albania",
      "nv": "Dziłigaii Bikéyah",
      "oc": "Albania",
      "or": "ଅଲ୍ବାନୀୟା",
      "pa": "ਅਲਬੀਨਾ",
      "pi": "अल्बानिया",
      "pl": "Albania",
      "ps": "البانیه",
      "pt": "Albânia",
      "pt_BR": "Albânia",
      "ro": "Albania",
      "ru": "Албания",
      "rw": "Alubaniya",
      "sc": "Albania",
      "sd": "Albania",
      "si": "ඇල්බේනියාව",
      "sk": "Albánsko",
      "sl": "Albanija",
      "so": "Albania",
      "sq": "Shqipëri",
      "sr": "Албанија",
      "sv": "Albanien",
      "sw": "Albania",
      "ta": "அல்பேனியா",
      "te": "అల్బేనియా",
      "tg": "Албания",
      "th": "แอลเบเนีย",
      "ti": "አልባኒያ",
      "tk": "Albaniýa",
      "tl": "Albanya",
      "tr": "Arnavutluk",
      "tt": "Албаниа",
      "ug": "ئالبانىيە",
      "uk": "Албанія",
      "ur": "البانیا",
      "uz": "Albaniya",
      "ve": "Albania",
      "vi": "An-ba-ni",
      "wa": "Albaneye",
      "wo": "Albaani",
      "xh": "Albania",
      "yo": "Albáníà",
      "zh_CN": "阿尔巴尼亚",
      "zh_HK": "阿爾巴尼亞",
      "zh_TW": "阿爾巴尼亞",
      "zu": "I-Albaniya"
    },
  );

  /// Country: The Republic of Armenia
  static const Country arm = Country(
    alpha2: 'AM',
    alpha3: 'ARM',
    continent: Continent.asia,
    countryCode: '374',
    currencyCode: 'AMD',
    gec: 'AM',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 40.069099,
        longitude: 45.038189,
      ),
      maxCoordinate: Coordinate(
        latitude: 41.300993,
        longitude: 46.6342219,
      ),
      minCoordinate: Coordinate(
        latitude: 38.840244,
        longitude: 43.4472601,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 41.300993,
          longitude: 46.6342219,
        ),
        southwest: Coordinate(
          latitude: 38.840244,
          longitude: 43.4472601,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'ARM',
    isoLongName: 'The Republic of Armenia',
    isoShortName: 'Armenia',
    languagesOfficial: ['hy', 'ru'],
    languagesSpoken: ['hy', 'ru'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '8',
    nationality: 'Armenian',
    number: '051',
    postalCode: true,
    postalCodeFormat: r'(?:37)?\d{4}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Western Asia',
    unLocode: 'AM',
    unofficialNames: ['Armenia', 'Armenien', 'Arménie', 'アルメニア', 'Armenië'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Armenia",
      "af": "Armenië",
      "ak": "Armenia",
      "am": "ጐሴሣኒ።",
      "an": "Armenia",
      "ar": "أرمينيا",
      "as": "আৰ্মেনিয়া",
      "ay": "Armenia",
      "az": "Ermənistan",
      "ba": "Armenia",
      "be": "Арменія",
      "bg": "Армения",
      "bi": "Armenia",
      "bn": "আর্মেনিয়া",
      "bn_IN": "আর্মেনিয়া",
      "br": "Armenia",
      "bs": "Armenija",
      "ca": "Armènia",
      "ce": "Аремалойн",
      "ch": "Armenia",
      "cs": "Arménie",
      "cv": "Аремалойн",
      "cy": "Armenia",
      "da": "Armenien",
      "de": "Armenien",
      "dv": "އަރުމީނިއާ",
      "dz": "ཨར་མི་ནི་ཡ།",
      "ee": "Armenia",
      "el": "Αρμενία",
      "en": "Armenia",
      "eo": "Armenio",
      "es": "Armenia",
      "et": "Armeenia",
      "eu": "Armenia",
      "fa": "ارمنستان",
      "ff": "Armaaniya",
      "fi": "Armenia",
      "fo": "Armenia",
      "fr": "Arménie",
      "fy": "Armeenje",
      "ga": "An Airméin",
      "gl": "Armenia",
      "gn": "Armenia",
      "gu": "આર્મેનિયા",
      "gv": "Yn Armeain",
      "ha": "Armeniya",
      "he": "ארמניה",
      "hi": "आर्मीनिया",
      "hr": "Armenija",
      "ht": "Ameni",
      "hu": "Örményország",
      "hy": "Հայաստանի Հանրապետութիւն",
      "ia": "Armenia",
      "id": "Armenia",
      "io": "Armenia",
      "is": "Armenía",
      "it": "Armenia",
      "iu": "Armenia",
      "ja": "アルメニア",
      "ka": "სასომხეთი",
      "ki": "Armenia",
      "kk": "Армения",
      "kl": "Armenia",
      "km": "អាមេនី",
      "kn": "ಆರ್ಮೇನಿಯಾ",
      "ko": "아르메니아",
      "ku": "Ermenistan",
      "kv": "Армения",
      "kw": "Armeni",
      "ky": "Армения",
      "lo": "ປະເທດອາກເມນີ",
      "lt": "Armėnija",
      "lv": "Armēnija",
      "mi": "Āmenia",
      "mk": "Ерменија",
      "ml": "അര്‍മീനിയ",
      "mn": "Армен",
      "mr": "अमेरिका",
      "ms": "Armenia",
      "mt": "Armenja",
      "my": "အာမေးနီးယားနိုင်ငံ",
      "na": "Arminiya",
      "nb": "Armenia",
      "ne": "अरमेनिया",
      "nl": "Armenië",
      "nn": "Armenia",
      "nv": "Aooméénii Bikéyah",
      "oc": "Armenia",
      "or": "ଆର୍ମେନିୟା",
      "pa": "ਅਰਮੀਨਾ",
      "pi": "आर्मीनिया",
      "pl": "Armenia",
      "ps": "ارمنستان",
      "pt": "Arménia",
      "pt_BR": "Armênia",
      "ro": "Armenia",
      "ru": "Армения",
      "rw": "Arumeniya",
      "sc": "Armènia",
      "sd": "آرمينيا",
      "si": "ආමේනියා",
      "sk": "Arménsko",
      "sl": "Armenija",
      "so": "Armeeniya",
      "sq": "Armeni",
      "sr": "Јерменија",
      "sv": "Armenien",
      "sw": "Armenia",
      "ta": "அர்மெனியா",
      "te": "అమేరికా",
      "tg": "Арманистон",
      "th": "อาร์เมเนีย",
      "ti": "ኣርሜንያ",
      "tk": "Ermenistan",
      "tl": "Armenya",
      "tr": "Ermenistan",
      "tt": "Әрмәнстан",
      "ug": "ئەرمېنىيە",
      "uk": "Вірменія",
      "ur": "آرمینیا",
      "uz": "Armaniston",
      "ve": "Armenia",
      "vi": "Ac-mê-ni",
      "wa": "Årmeneye",
      "wo": "Armeeni",
      "xh": "Armenia",
      "yo": "Arméníà",
      "zh_CN": "亚美尼亚",
      "zh_HK": "亞美尼亞",
      "zh_TW": "亞美尼亞",
      "zu": "Armenia"
    },
  );

  /// Country: The Republic of Angola
  static const Country ago = Country(
    alpha2: 'AO',
    alpha3: 'AGO',
    continent: Continent.africa,
    countryCode: '244',
    currencyCode: 'AOA',
    gec: 'AO',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -11.202692,
        longitude: 17.873887,
      ),
      maxCoordinate: Coordinate(
        latitude: -4.388063300000001,
        longitude: 24.0878855,
      ),
      minCoordinate: Coordinate(
        latitude: -18.0391039,
        longitude: 11.4696999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -4.388063300000001,
          longitude: 24.0878855,
        ),
        southwest: Coordinate(
          latitude: -18.0391039,
          longitude: 11.4696999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'ANG',
    isoLongName: 'The Republic of Angola',
    isoShortName: 'Angola',
    languagesOfficial: ['pt'],
    languagesSpoken: ['pt'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Angolan',
    number: '024',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Middle Africa',
    unLocode: 'AO',
    unofficialNames: ['Angola', 'アンゴラ'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Angola",
      "af": "Angola",
      "ak": "Angola",
      "am": "አንጎላ",
      "an": "Angola",
      "ar": "أنغولا",
      "as": "এংগোলা",
      "ay": "Angola",
      "az": "Anqola",
      "ba": "Angola",
      "be": "Ангола",
      "bg": "Ангола",
      "bi": "Angola",
      "bn": "অ্যাঙ্গোলা",
      "bn_IN": "অ্যাঙ্গোলা",
      "br": "Angola",
      "bs": "Angola",
      "ca": "Angola",
      "ce": "Ангола",
      "ch": "Angola",
      "cs": "Angola",
      "cv": "Ангола",
      "cy": "Angola",
      "da": "Angola",
      "de": "Angola",
      "dv": "އެންގޯލާ",
      "dz": "ཨེང་གོ་ལ།",
      "ee": "Angola",
      "el": "Ανγκόλα",
      "en": "Angola",
      "eo": "Angolo",
      "es": "Angola",
      "et": "Angola",
      "eu": "Angola",
      "fa": "آنگولا",
      "ff": "Anngolaa",
      "fi": "Angola",
      "fo": "Angola",
      "fr": "Angola",
      "fy": "Angoala",
      "ga": "Angóla",
      "gl": "Angola",
      "gn": "Angola",
      "gu": "અંગોલા",
      "gv": "Angoley",
      "ha": "Angola",
      "he": "אנגולה",
      "hi": "अंगोला",
      "hr": "Angola",
      "ht": "Angola",
      "hu": "Angola",
      "hy": "Անգոլա",
      "ia": "Angola",
      "id": "Angola",
      "io": "Angola",
      "is": "Angóla",
      "it": "Angola",
      "iu": "Angola",
      "ja": "アンゴラ",
      "ka": "ანგოლა",
      "ki": "Angola",
      "kk": "Ангола",
      "kl": "Angola",
      "km": "អង់ហ្គោឡា",
      "kn": "ಅಂಗೋಲಾ",
      "ko": "앙골라",
      "ku": "Angola",
      "kv": "Angola",
      "kw": "Angola",
      "ky": "Ангола",
      "lo": "ປະເທດອັງໂກລາ",
      "lt": "Angola",
      "lv": "Angola",
      "mi": "Anakora",
      "mk": "Ангола",
      "ml": "അംഗോള",
      "mn": "Ангол",
      "mr": "अंगोला",
      "ms": "Angola",
      "mt": "Angola",
      "my": "အင်ဂိုလာနိုင်ငံ",
      "na": "Angora",
      "nb": "Angola",
      "ne": "एनगोला",
      "nl": "Angola",
      "nn": "Angola",
      "nv": "Angola",
      "oc": "Angòla",
      "or": "ଆଙ୍ଗୋଲା",
      "pa": "ਅੰਗੋਲਾ",
      "pi": "अंगोला",
      "pl": "Angola",
      "ps": "انګولا",
      "pt": "Angola",
      "pt_BR": "Angola",
      "ro": "Angola",
      "ru": "Ангола",
      "rw": "Angola",
      "sc": "Angola",
      "sd": "Angola",
      "si": "ඇන්ගෝලාව",
      "sk": "Angola",
      "sl": "Angola",
      "so": "Angoola",
      "sq": "Angolë",
      "sr": "Ангола",
      "sv": "Angola",
      "sw": "Angola",
      "ta": "அங்கோலா",
      "te": "అంగోలా",
      "tg": "Ангола",
      "th": "แองโกลา",
      "ti": "ኣንጎላ",
      "tk": "Angola",
      "tl": "Anggola",
      "tr": "Angola",
      "tt": "Анgола",
      "ug": "ئانگولا",
      "uk": "Ангола",
      "ur": "انگولا",
      "uz": "Angola",
      "ve": "Angola",
      "vi": "Ăng-gô-la",
      "wa": "Angola",
      "wo": "Angoolaa",
      "xh": "Angola",
      "yo": "Àngólà",
      "zh_CN": "安哥拉",
      "zh_HK": "安哥拉",
      "zh_TW": "安哥拉",
      "zu": "I-Angola"
    },
  );

  /// Country: Antarctica
  static const Country ata = Country(
    alpha2: 'AQ',
    alpha3: 'ATA',
    continent: Continent.antarctica,
    countryCode: '672',
    currencyCode: 'USD',
    gec: 'AY',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -82.862752,
        longitude: 135.0,
      ),
      maxCoordinate: Coordinate(
        latitude: -60.1086999,
        longitude: 180.0,
      ),
      minCoordinate: Coordinate(
        latitude: -90.0,
        longitude: -180.0,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -60.1086999,
          longitude: 180.0,
        ),
        southwest: Coordinate(
          latitude: -90.0,
          longitude: -180.0,
        ),
      ),
    ),
    internationalPrefix: '',
    ioc: null,
    isoLongName: 'Antarctica',
    isoShortName: 'Antarctica',
    languagesOfficial: [],
    languagesSpoken: [],
    nationalDestinationCodeLengths: [],
    nationalNumberLengths: [],
    nationalPrefix: '',
    nationality: '',
    number: '010',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.unknown,
    startOfWeek: Week.monday,
    subregion: '',
    unLocode: 'AQ',
    unofficialNames: [
      'Antarctica',
      'Antarktis',
      'Antarctique',
      'Antártida',
      '南極'
    ],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Antarctica",
      "af": "Antarktika",
      "ak": "Antarctica",
      "am": "Antarctica",
      "an": "Antartida",
      "ar": "القطب الجنوبي",
      "as": "আনটাৰ্কটিকা",
      "ay": "Antarctica",
      "az": "Antarktika",
      "ba": "Antarctica",
      "be": "Антарктыда",
      "bg": "Антарктика",
      "bi": "Antarctica",
      "bn": "আনটার্কটিকা",
      "bn_IN": "আনটার্কটিকা",
      "br": "Antarctica",
      "bs": "Antarktik",
      "ca": "Antàrtida",
      "ce": "Antarctica",
      "ch": "Antarctica",
      "cs": "Antarktida",
      "cv": "Antarctica",
      "cy": "Antarctica",
      "da": "Antarktis",
      "de": "Antarktis",
      "dv": "Antarctica",
      "dz": "ཨེན་ཊར་ཊི་ཀ།",
      "ee": "Antarctica",
      "el": "Ανταρκτική",
      "en": "Antarctica",
      "eo": "Antarkto",
      "es": "Antártida",
      "et": "Antarktis",
      "eu": "Antartika",
      "fa": "جنوبگان",
      "ff": "Antarctica",
      "fi": "Antarktis",
      "fo": "Antarktis",
      "fr": "Antarctique",
      "fy": "Antarctica",
      "ga": "an Antartaice",
      "gl": "Antártida",
      "gn": "Antarctica",
      "gu": "એન્ટાર્કટિકા",
      "gv": "Antarctica",
      "ha": "Antarctica",
      "he": "אנטרקטיקה",
      "hi": "अंटार्कटिका",
      "hr": "Antarktika",
      "ht": "Antatik",
      "hu": "Antarktisz",
      "hy": "Անտարկտիդա",
      "ia": "Antarctica",
      "id": "Antartika",
      "io": "Antarctica",
      "is": "Suðurskautslandið",
      "it": "Antartide",
      "iu": "Antarctica",
      "ja": "南極大陸",
      "ka": "ანტარქტიკა",
      "ki": "Antarctica",
      "kk": "Антарктида",
      "kl": "Antarctica",
      "km": "អង់តាទីកា",
      "kn": "ಅಂಟಾರ್ಟಿಕ",
      "ko": "남극",
      "ku": "Antarktîka",
      "kv": "Antarctica",
      "kw": "Antarctica",
      "ky": "Антарктида",
      "lo": "Antarctica",
      "lt": "Antarktida",
      "lv": "Antarktika",
      "mi": "Antarctica",
      "mk": "Антартика",
      "ml": "അന്റാര്‍ട്ടിക്ക",
      "mn": "Антрактид",
      "mr": "अंटार्क्टिका",
      "ms": "Antartika",
      "mt": "Antarctica",
      "my": "Antarctica",
      "na": "Antarctica",
      "nb": "Antarktika",
      "ne": "अन्टार्टिका",
      "nl": "Antarctica",
      "nn": "Antarktika",
      "nv": "Antarctica",
      "oc": "Antartica",
      "or": "ଆଣ୍ଟାର୍କଟିକା",
      "pa": "ਅੰਟਾਰਿਕਟਾ",
      "pi": "Antarctica",
      "pl": "Antarktyka",
      "ps": "انتارکتیکا",
      "pt": "Antártida",
      "pt_BR": "Antártida",
      "ro": "Antarctica",
      "ru": "Антарктика",
      "rw": "Antarigitika",
      "sc": "Antàrticu",
      "sd": "Antarctica",
      "si": "ඇන්ටාක්ටිකා",
      "sk": "Antarktída",
      "sl": "Antarktika",
      "so": "Antarctica",
      "sq": "Antarktidë",
      "sr": "Антарктик",
      "sv": "Antarktis",
      "sw": "Antaktika",
      "ta": "அண்டார்ட்டிக்கா",
      "te": "అంటార్క్టికా",
      "tg": "Антарктида",
      "th": "แอนตาร์กติกา",
      "ti": "ኣንታርክቲካ",
      "tk": "Antarktika",
      "tl": "Antarktika",
      "tr": "Antarktika",
      "tt": "Антарктика",
      "ug": "ئانتاركتىكا",
      "uk": "Антарктида",
      "ur": "Antarctica",
      "uz": "Antarctica",
      "ve": "Antarctica",
      "vi": "Nam Cực",
      "wa": "Antartike",
      "wo": "Antarktik",
      "xh": "Antarctica",
      "yo": "Antarctica",
      "zh_CN": "南极洲",
      "zh_HK": "南極洲",
      "zh_TW": "南極洲",
      "zu": "Antarctica"
    },
  );

  /// Country: The Argentine Republic
  static const Country arg = Country(
    alpha2: 'AR',
    alpha3: 'ARG',
    continent: Continent.southAmerica,
    countryCode: '54',
    currencyCode: 'ARS',
    gec: 'AR',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -38.416097,
        longitude: -63.61667199999999,
      ),
      maxCoordinate: Coordinate(
        latitude: -21.7810459,
        longitude: -53.637481,
      ),
      minCoordinate: Coordinate(
        latitude: -55.1250224,
        longitude: -73.5603601,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -21.7810459,
          longitude: -53.637481,
        ),
        southwest: Coordinate(
          latitude: -55.1250224,
          longitude: -73.5603601,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'ARG',
    isoLongName: 'The Argentine Republic',
    isoShortName: 'Argentina',
    languagesOfficial: ['es', 'gn'],
    languagesSpoken: ['es', 'gn'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9],
    nationalPrefix: '0',
    nationality: 'Argentinean',
    number: '032',
    postalCode: true,
    postalCodeFormat: r'((?:[A-HJ-NP-Z])?\d{4})([A-Z]{3})?',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'South America',
    unLocode: 'AR',
    unofficialNames: [
      'Argentina',
      'Argentinien',
      'Argentine',
      'アルゼンチン',
      'Argentinië'
    ],
    worldRegion: WorldRegion.amer,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{region}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Argentina",
      "af": "Argentinië",
      "ak": "Argentina",
      "am": "ጐሴጀንቲና",
      "an": "Archentina",
      "ar": "الأرجنتين",
      "as": "আৰ্জেনটিনা",
      "ay": "Argentina",
      "az": "Argentina",
      "ba": "Argentina",
      "be": "Аргенціна",
      "bg": "Аржентина",
      "bi": "Argentina",
      "bn": "আর্জেনটিনা",
      "bn_IN": "আর্জেনটিনা",
      "br": "Arc'hantina",
      "bs": "Argentina",
      "ca": "Argentina",
      "ce": "Аргентина",
      "ch": "Argentina",
      "cs": "Argentina",
      "cv": "Аргентина",
      "cy": "Yr Ariannin",
      "da": "Argentina",
      "de": "Argentinien",
      "dv": "އާޖެންޓީނާ",
      "dz": "ཨར་ཇེན་ཊི་ན།",
      "ee": "Argentina",
      "el": "Αργεντινή",
      "en": "Argentina",
      "eo": "Argentino",
      "es": "Argentina",
      "et": "Argentina",
      "eu": "Argentina",
      "fa": "آرژانتین",
      "ff": "Argentina",
      "fi": "Argentiina",
      "fo": "Argentina",
      "fr": "Argentine",
      "fy": "Argentynje",
      "ga": "An Airgintín",
      "gl": "Arxentina",
      "gn": "Argentina",
      "gu": "આર્જેન્ટિના",
      "gv": "Yn Argenteen",
      "ha": "Argentina",
      "he": "ארגנטינה",
      "hi": "अर्जेण्टीना",
      "hr": "Argentina",
      "ht": "Ajantin",
      "hu": "Argentína",
      "hy": "Արգենտինա",
      "ia": "Argentina",
      "id": "Argentina",
      "io": "Arjentinia",
      "is": "Argentína",
      "it": "Argentina",
      "iu": "Argentina",
      "ja": "アルゼンチン",
      "ka": "არგენტინა",
      "ki": "Argentina",
      "kk": "Аргентина",
      "kl": "Argentina",
      "km": "អាហ្សង់ទីន",
      "kn": "ಅರ್ಜೆಂಟೈನಾ",
      "ko": "아르헨티나",
      "ku": "Arjantîn",
      "kv": "Аргентина",
      "kw": "Arghantina",
      "ky": "Аргентина",
      "lo": "ອາກຊັງຕີນ",
      "lt": "Argentina",
      "lv": "Argentīna",
      "mi": "Āketina",
      "mk": "Аргентина",
      "ml": "അര്‍ജന്റീന",
      "mn": "Аргентин",
      "mr": "अर्जेंर्टिना",
      "ms": "Argentina",
      "mt": "Arġentina",
      "my": "အာဂျင်တီးနားနိုင်ငံ",
      "na": "Ardjentina",
      "nb": "Argentina",
      "ne": "अरजेनटिना",
      "nl": "Argentinië",
      "nn": "Argentina",
      "nv": "Argentina",
      "oc": "Argentina",
      "or": "ଅାର୍ଜେଣ୍ଟୀନା",
      "pa": "ਅਰਜਨਟੀਨਾ",
      "pi": "अर्जन्टीना",
      "pl": "Argentyna",
      "ps": "ارجنټاین",
      "pt": "Argentina",
      "pt_BR": "Argentina",
      "ro": "Argentina",
      "ru": "Аргентина",
      "rw": "Arijantina",
      "sc": "Argentina",
      "sd": "Argentina",
      "si": "ආජන්ටිනාව",
      "sk": "Argentína",
      "sl": "Argentina",
      "so": "Arjantiina",
      "sq": "Argjentinë",
      "sr": "Аргентина",
      "sv": "Argentina",
      "sw": "Argentina",
      "ta": "அர்ஜென்டினா",
      "te": "అర్జేంర్టినా",
      "tg": "Аргентина",
      "th": "อาร์เจนตินา",
      "ti": "ኣርጀንቲና",
      "tk": "Argentina",
      "tl": "Arhentina",
      "tr": "Arjantin",
      "tt": "Арgентина",
      "ug": "ئارگېنتىنا",
      "uk": "Аргентина",
      "ur": "ارجنٹائن",
      "uz": "Argentina",
      "ve": "Argentina",
      "vi": "Á-căn-đình",
      "wa": "Årdjintene",
      "wo": "Argentiin",
      "xh": "Argentina",
      "yo": "Argẹntínà",
      "zh_CN": "阿根廷",
      "zh_HK": "阿根廷",
      "zh_TW": "阿根廷",
      "zu": "I-Argentina"
    },
  );

  /// Country: The Territory of American Samoa
  static const Country asm = Country(
    alpha2: 'AS',
    alpha3: 'ASM',
    continent: Continent.australia,
    countryCode: '1',
    currencyCode: 'USD',
    gec: 'AQ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -14.270972,
        longitude: -170.132217,
      ),
      maxCoordinate: Coordinate(
        latitude: -13.4056506,
        longitude: -169.2059326,
      ),
      minCoordinate: Coordinate(
        latitude: -14.7217608,
        longitude: -171.0076904,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -13.4056506,
          longitude: -169.2059326,
        ),
        southwest: Coordinate(
          latitude: -14.7217608,
          longitude: -171.0076904,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'ASA',
    isoLongName: 'The Territory of American Samoa',
    isoShortName: 'American Samoa',
    languagesOfficial: ['en', 'sm'],
    languagesSpoken: ['en', 'sm'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'American Samoan',
    number: '016',
    postalCode: true,
    postalCodeFormat: r'(96799)(?:[ \-](\d{4}))?',
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Polynesia',
    unLocode: 'AS',
    unofficialNames: [
      'American Samoa',
      'Amerikanisch-Samoa',
      'Samoa américaines',
      'Samoa Americana',
      'アメリカ領サモア',
      'Amerikaans Samoa'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1684',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "American Samoa",
      "af": "Amerikaanse Samoa",
      "ak": "American Samoa",
      "am": "American Samoa",
      "an": "Samoa Americana",
      "ar": "صاموا الأمريكيّة",
      "as": "আমেৰিকান ছামোআ",
      "ay": "American Samoa",
      "az": "Amerikan Samoa",
      "ba": "American Samoa",
      "be": "Амерыканскае Самоа",
      "bg": "Американска Самоа",
      "bi": "American Samoa",
      "bn": "আমেরিকান সামোয়া",
      "bn_IN": "আমেরিকান সামোয়া",
      "br": "Samoa Amerikan",
      "bs": "Američka Samoa",
      "ca": "Samoa Americana",
      "ce": "Американ Самоа",
      "ch": "American Samoa",
      "cs": "Americká Samoa",
      "cv": "Американ Самоа",
      "cy": "American Samoa",
      "da": "Amerikansk Samoa",
      "de": "Amerikanisch-Samoa",
      "dv": "އެމެރިކަން ސަމޯއާ",
      "dz": "ཨ་མི་རི་ཀཱན་ ས་མོ་འ།",
      "ee": "American Samoa",
      "el": "Αμερικανική Σαμόα",
      "en": "American Samoa",
      "eo": "Usona Samoo",
      "es": "Samoa Estadounidense",
      "et": "Ameerika Samoa",
      "eu": "Amerikar Samoa",
      "fa": "ساموآی آمریکایی",
      "ff": "American Samoa",
      "fi": "Amerikan Samoa",
      "fo": "Sámoa",
      "fr": "Samoa américaines",
      "fy": "Amerikaansk-Samoa",
      "ga": "Samó Meiriceánach",
      "gl": "Samoa Americana",
      "gn": "American Samoa",
      "gu": "અમેરિકન સામોઆ",
      "gv": "American Samoa",
      "ha": "American Samoa",
      "he": "סמואה האמריקנית",
      "hi": "अमेरिकी समोआ",
      "hr": "Američka Samoa",
      "ht": "American Samoa",
      "hu": "Amerikai Szamoa",
      "hy": "Ամերիկյան Սամոա",
      "ia": "Samoa American",
      "id": "Samoa Amerika",
      "io": "Usana Samoa",
      "is": "Bandarísku Samóaeyjar",
      "it": "Samoa americane",
      "iu": "American Samoa",
      "ja": "米領サモア",
      "ka": "ამერიკული სამოა",
      "ki": "American Samoa",
      "kk": "Шығыс Самоа (АҚШ)",
      "kl": "American Samoa",
      "km": "អាមេរិក​សាមូអា",
      "kn": "ಅಮೇರಿಕನ್ ಸಮೋಆ",
      "ko": "아메리칸사모아",
      "ku": "Samoya Emerîkî",
      "kv": "American Samoa",
      "kw": "Samoa Amerikan",
      "ky": "Америка Самоасы",
      "lo": "American Samoa",
      "lt": "Amerikos Samoa",
      "lv": "Amerikāņu Samoa",
      "mi": "Hāmoa Amerikana",
      "mk": "Американска Самоа",
      "ml": "അമേരിക്കന്‍ സമോവ",
      "mn": "Америкын самао",
      "mr": "अमेरिकन समोआ",
      "ms": "Samoa Amerika",
      "mt": "Samoa Amerikana",
      "my": "American Samoa",
      "na": "American Samoa",
      "nb": "Amerikansk Samoa",
      "ne": "अमेरिकन सामोआ",
      "nl": "Amerikaans-Samoa",
      "nn": "Amerikansk Samoa",
      "nv": "American Samoa",
      "oc": "Samoa americana",
      "or": "ଆମେରିକୀୟ ସାମୋଆ",
      "pa": "ਅਮਰੀਕੀ ਸਾਮੋਨਾ",
      "pi": "American Samoa",
      "pl": "Samoa Amerykańskie",
      "ps": "American Samoa",
      "pt": "Samoa Americana",
      "pt_BR": "Samoa Americana",
      "ro": "Samoa americană",
      "ru": "Американские Самоа",
      "rw": "Samowa Nyamerika",
      "sc": "Samoa Americanas",
      "sd": "American Samoa",
      "si": "ඇමරිකානු සැමෝවා",
      "sk": "Americká Samoa",
      "sl": "Ameriška Samoa",
      "so": "American Samoa",
      "sq": "Samoa Amerikane",
      "sr": "Америчка Самоа",
      "sv": "Amerikanska Samoa",
      "sw": "Marekani ya Samoa",
      "ta": "அமெரிக்க சமோவா",
      "te": "అమేరికన్ సమోఆ",
      "tg": "Самоаи Америка",
      "th": "อเมริกันซามัว",
      "ti": "American Samoa",
      "tk": "Samao Amerika",
      "tl": "Amerikanong Samowa",
      "tr": "Amerikan Samoası",
      "tt": "Америкалы Самоа",
      "ug": "ئامېرىكىغا قاراشلىق ساموئا",
      "uk": "Американське Самоа",
      "ur": "امریکی سمووا",
      "uz": "Sharqiy Samoa",
      "ve": "American Samoa",
      "vi": "Xa-mô-a Mỹ",
      "wa": "Samowa amerikinne",
      "wo": "Samoa gu Aamerig",
      "xh": "American Samoa",
      "yo": "Sàmóà Amẹ́ríkà",
      "zh_CN": "美属萨摩亚",
      "zh_HK": "美屬薩摩亞",
      "zh_TW": "美屬薩摩亞",
      "zu": "American Samoa"
    },
  );

  /// Country: The Republic of Austria
  static const Country aut = Country(
    alpha2: 'AT',
    alpha3: 'AUT',
    continent: Continent.europe,
    countryCode: '43',
    currencyCode: 'EUR',
    gec: 'AU',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 47.516231,
        longitude: 14.550072,
      ),
      maxCoordinate: Coordinate(
        latitude: 49.0206081,
        longitude: 17.1607329,
      ),
      minCoordinate: Coordinate(
        latitude: 46.37233579999999,
        longitude: 9.530783399999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 49.0206081,
          longitude: 17.1607329,
        ),
        southwest: Coordinate(
          latitude: 46.37233579999999,
          longitude: 9.530783399999999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'AUT',
    isoLongName: 'The Republic of Austria',
    isoShortName: 'Austria',
    languagesOfficial: ['de'],
    languagesSpoken: ['de'],
    nationalDestinationCodeLengths: [1, 2, 3],
    nationalNumberLengths: [7, 8, 9, 10, 11, 12, 13],
    nationalPrefix: '0',
    nationality: 'Austrian',
    number: '040',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Western Europe',
    unLocode: 'AT',
    unofficialNames: [
      'Austria',
      'Österreich',
      'Autriche',
      'オーストリア',
      'Oostenrijk'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 20.0,
      reduced: [10.0],
      superReduced: null,
      parking: 12.0,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Austria",
      "af": "Oostenryk",
      "ak": "Austria",
      "am": "጖ስትሱ።",
      "an": "Austria",
      "ar": "النّمسا",
      "as": "অস্ট্ৰিয়া",
      "ay": "Austria",
      "az": "Avstriya",
      "ba": "Austria",
      "be": "Аўстрыя",
      "bg": "Австрия",
      "bi": "Austria",
      "bn": "অস্ট্রিয়া",
      "bn_IN": "অস্ট্রিয়া",
      "br": "Aostria",
      "bs": "Austrija",
      "ca": "Àustria",
      "ce": "Австри",
      "ch": "Austria",
      "cs": "Rakousko",
      "cv": "Австри",
      "cy": "Awstria",
      "da": "Østrig",
      "de": "Österreich",
      "dv": "އޮސްޓްރިއާ",
      "dz": "ཨཱསི་ཊི་ཡ།",
      "ee": "Austria",
      "el": "Αυστρία",
      "en": "Austria",
      "eo": "Aŭstrio",
      "es": "Austria",
      "et": "Austria",
      "eu": "Austria",
      "fa": "اتریش",
      "ff": "Otiris",
      "fi": "Itävalta",
      "fo": "Eysturríki",
      "fr": "Autriche",
      "fy": "Eastenryk",
      "ga": "An Ostair",
      "gl": "Austria",
      "gn": "Austria",
      "gu": "ઓસ્ટ્રિયા",
      "gv": "Yn Austeyr",
      "ha": "Austriya",
      "he": "אוסטריה",
      "hi": "ऑस्ट्रिया",
      "hr": "Austrija",
      "ht": "Otrich",
      "hu": "Ausztria",
      "hy": "Ավստրիա",
      "ia": "Austria",
      "id": "Austria",
      "io": "Austria",
      "is": "Austurríki",
      "it": "Austria",
      "iu": "Austria",
      "ja": "オーストリア",
      "ka": "ავსტრია",
      "ki": "Austria",
      "kk": "Австрия",
      "kl": "Austria",
      "km": "អូទ្រីស",
      "kn": "ಆಸ್ಟ್ರಿಯ",
      "ko": "오스트리아",
      "ku": "Awusturya",
      "kv": "Австрия",
      "kw": "Estrych",
      "ky": "Австрия",
      "lo": "ປະເທດໂອຕະລິດ",
      "lt": "Austrija",
      "lv": "Austrija",
      "mi": "Ateria",
      "mk": "Австрија",
      "ml": "ഓസ്ട്രിയ",
      "mn": "Австри",
      "mr": "ऑस्ट्रिया",
      "ms": "Austria",
      "mt": "Awtrija",
      "my": "သြစတြီးယားနိုင်ငံ",
      "na": "Oteriya",
      "nb": "Østerrike",
      "ne": "अष्ट्रिया",
      "nl": "Oostenrijk",
      "nn": "Austerrike",
      "nv": "Óóswiya",
      "oc": "Àustria",
      "or": "ଅଷ୍ଟ୍ରିୟା",
      "pa": "ਆਸਟਰੀਆ",
      "pi": "आस्ट्रिया",
      "pl": "Austria",
      "ps": "اتریش",
      "pt": "Áustria",
      "pt_BR": "Áustria",
      "ro": "Austria",
      "ru": "Австрия",
      "rw": "Ositiriya",
      "sc": "Àustria",
      "sd": "آسٽريا",
      "si": "ඔස්ට්‍රියාව",
      "sk": "Rakúsko",
      "sl": "Avstrija",
      "so": "Osteeriya",
      "sq": "Austri",
      "sr": "Аустрија",
      "sv": "Österrike",
      "sw": "Austria",
      "ta": "ஆஸ்திரியா",
      "te": "ఓస్ట్రియా",
      "tg": "Австрия",
      "th": "ออสเตรีย",
      "ti": "ኦስትሪያ",
      "tk": "Awstriýa",
      "tl": "Austriya",
      "tr": "Avusturya",
      "tt": "Аустриа",
      "ug": "ئاۋسترىيە",
      "uk": "Австрія",
      "ur": "آسٹریا",
      "uz": "Avstriya",
      "ve": "Austria",
      "vi": "Ao",
      "wa": "Otriche",
      "wo": "Ótriis",
      "xh": "Austria",
      "yo": "Austríà",
      "zh_CN": "奥地利",
      "zh_HK": "奧地利",
      "zh_TW": "奧地利",
      "zu": "I-Ostriya"
    },
  );

  /// Country: The Commonwealth of Australia
  static const Country aus = Country(
    alpha2: 'AU',
    alpha3: 'AUS',
    continent: Continent.australia,
    countryCode: '61',
    currencyCode: 'AUD',
    gec: 'AS',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -25.274398,
        longitude: 133.775136,
      ),
      maxCoordinate: Coordinate(
        latitude: -9.187026399999999,
        longitude: 159.2872223,
      ),
      minCoordinate: Coordinate(
        latitude: -54.83376579999999,
        longitude: 110.9510339,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -9.187026399999999,
          longitude: 159.2872223,
        ),
        southwest: Coordinate(
          latitude: -54.83376579999999,
          longitude: 110.9510339,
        ),
      ),
    ),
    internationalPrefix: '0011',
    ioc: 'AUS',
    isoLongName: 'The Commonwealth of Australia',
    isoShortName: 'Australia',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Australian',
    number: '036',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Australia and New Zealand',
    unLocode: 'AU',
    unofficialNames: [
      'Australia',
      'Australien',
      'Australie',
      'オーストラリア',
      'Australië',
      '澳洲'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: '''{{recipient}}
{{street}}
{{city}} {{region_short}} {{postalcode}}
{{country}}''',
    vatRates: VatRates(
      standard: 10.0,
      reduced: [],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Australia",
      "af": "Australië",
      "ak": "Australia",
      "am": "ጐፄስትሳሑ።",
      "an": "Australia",
      "ar": "أستراليا",
      "as": "অস্ট্ৰেলিয়া",
      "ay": "Australia",
      "az": "Avstraliya",
      "ba": "Australia",
      "be": "Аўстралія",
      "bg": "Австралия",
      "bi": "Australia",
      "bn": "অস্ট্রেলিয়া",
      "bn_IN": "অস্ট্রেলিয়া",
      "br": "Aostralia",
      "bs": "Australija",
      "ca": "Austràlia",
      "ce": "Австрали",
      "ch": "Australia",
      "cs": "Austrálie",
      "cv": "Австрали",
      "cy": "Awstralia",
      "da": "Australien",
      "de": "Australien",
      "dv": "އޮސްޓަރުލިޔާ",
      "dz": "ཨཱསི་ཊ་ལི་ཡ།",
      "ee": "Australia",
      "el": "Αυστραλία",
      "en": "Australia",
      "eo": "Aŭstralio",
      "es": "Australia",
      "et": "Austraalia",
      "eu": "Australia",
      "fa": "استرالیا",
      "ff": "Australia",
      "fi": "Australia",
      "fo": "Avstralia",
      "fr": "Australie",
      "fy": "Austraalje",
      "ga": "An Astráil",
      "gl": "Australia",
      "gn": "Australia",
      "gu": "ઓસ્ટ્રેલિયા",
      "gv": "Yn Austrail",
      "ha": "Asturaliya",
      "he": "אוסטרליה",
      "hi": "ऑस्ट्रेलिया",
      "hr": "Australija",
      "ht": "Ostrali",
      "hu": "Ausztrália",
      "hy": "Ավստրալիա",
      "ia": "Australia",
      "id": "Australia",
      "io": "Australia",
      "is": "Ástralía",
      "it": "Australia",
      "iu": "ᐊᔅᑦᕌᓕᐊ",
      "ja": "オーストラリア連邦",
      "ka": "ავსტრალია",
      "ki": "Australia",
      "kk": "Австралия",
      "kl": "Australia",
      "km": "អូស្ត្រាលី",
      "kn": "ಆಸ್ಟ್ರೇಲಿಯ",
      "ko": "오스트레일리아",
      "ku": "Awustralya",
      "kv": "Австралия",
      "kw": "Ostrali",
      "ky": "Австралия",
      "lo": "ປະເທດອົດສະຕາລີ",
      "lt": "Australija",
      "lv": "Austrālija",
      "mi": "Ahitereiria",
      "mk": "Австралија",
      "ml": "ഓസ്ട്രേലിയ",
      "mn": "Австрали",
      "mr": "ऑस्ट्रेलिया",
      "ms": "Australia",
      "mt": "Awstralja",
      "my": "ဩစတြေးလျနိုင်ငံ",
      "na": "Otereiriya",
      "nb": "Australia",
      "ne": "अष्ट्रेलिया",
      "nl": "Australië",
      "nn": "Australia",
      "nv": "Nahatʼeʼiitsoh Bikéyah",
      "oc": "Australia",
      "or": "ଅଷ୍ଟ୍ରେଲିୟା",
      "pa": "ਅਸਟਰੇਲੀਆ",
      "pi": "आस्ट्रेलिया",
      "pl": "Australia",
      "ps": "آسټراليا",
      "pt": "Austrália",
      "pt_BR": "Austrália",
      "ro": "Australia",
      "ru": "Австралия",
      "rw": "Ositaraliya",
      "sc": "Austràlia",
      "sd": "آسٽريليا",
      "si": "ඔස්ට්‍රේලියාව",
      "sk": "Austrália",
      "sl": "Avstralija",
      "so": "Awstraaliya",
      "sq": "Australi",
      "sr": "Аустралија",
      "sv": "Australien",
      "sw": "Australia",
      "ta": "ஆஸ்திரேலியா",
      "te": "ఓస్ట్రేలియా",
      "tg": "Австралия",
      "th": "ออสเตรเลีย",
      "ti": "ኣውስትራልያ",
      "tk": "Awstraliýa",
      "tl": "Australya",
      "tr": "Avustralya",
      "tt": "Аустралиа",
      "ug": "ئاۋسترالىيە",
      "uk": "Австралія",
      "ur": "آسٹریلیا",
      "uz": "Avstraliya",
      "ve": "Australia",
      "vi": "Úc",
      "wa": "Ostraleye",
      "wo": "Óstraali",
      "xh": "Australiya",
      "yo": "Austrálíà",
      "zh_CN": "澳大利亚",
      "zh_HK": "澳大利亞",
      "zh_TW": "澳大利亞",
      "zu": "I-Ostreliya"
    },
  );

  /// Country: Aruba
  static const Country abw = Country(
    alpha2: 'AW',
    alpha3: 'ABW',
    continent: Continent.northAmerica,
    countryCode: '297',
    currencyCode: 'AWG',
    gec: 'AA',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 12.52111,
        longitude: -69.968338,
      ),
      maxCoordinate: Coordinate(
        latitude: 12.6306179,
        longitude: -69.8644638,
      ),
      minCoordinate: Coordinate(
        latitude: 12.406093,
        longitude: -70.070114,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 12.6306179,
          longitude: -69.8644638,
        ),
        southwest: Coordinate(
          latitude: 12.406093,
          longitude: -70.070114,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'ARU',
    isoLongName: 'Aruba',
    isoShortName: 'Aruba',
    languagesOfficial: ['nl'],
    languagesSpoken: ['nl'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Aruban',
    number: '533',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'AW',
    unofficialNames: ['Aruba', 'アルバ'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Aruba",
      "af": "Aruba",
      "ak": "Aruba",
      "am": "አሩባ",
      "an": "Aruba",
      "ar": "أروبا",
      "as": "আৰুবা",
      "ay": "Aruba",
      "az": "Aruba",
      "ba": "Aruba",
      "be": "Аруба",
      "bg": "Аруба",
      "bi": "Aruba",
      "bn": "আরুবা",
      "bn_IN": "আরুবা",
      "br": "Aruba",
      "bs": "Aruba",
      "ca": "Aruba",
      "ce": "Аруба",
      "ch": "Aruba",
      "cs": "Aruba",
      "cv": "Аруба",
      "cy": "Aruba",
      "da": "Aruba",
      "de": "Aruba",
      "dv": "އަރޫބާ",
      "dz": "ཨ་རུ་བ།",
      "ee": "Aruba",
      "el": "Αρούμπα",
      "en": "Aruba",
      "eo": "Arubo",
      "es": "Aruba",
      "et": "Aruba",
      "eu": "Aruba",
      "fa": "آروبا",
      "ff": "Aruba",
      "fi": "Aruba",
      "fo": "Aruba",
      "fr": "Aruba",
      "fy": "Arûba",
      "ga": "Aruba",
      "gl": "Aruba",
      "gn": "Aruba",
      "gu": "અરૂબા",
      "gv": "Aruba",
      "ha": "Aruba",
      "he": "ארובה",
      "hi": "अरूबा",
      "hr": "Aruba",
      "ht": "Aruba",
      "hu": "Aruba",
      "hy": "Արուբա",
      "ia": "Aruba",
      "id": "Aruba",
      "io": "Aruba",
      "is": "Arúba",
      "it": "Aruba",
      "iu": "Aruba",
      "ja": "アルーバ",
      "ka": "არუბა",
      "ki": "Aruba",
      "kk": "Аруба аралдары",
      "kl": "Aruba",
      "km": "អារូបា",
      "kn": "ಅರುಬಾ",
      "ko": "아루바",
      "ku": "Aruba",
      "kv": "Aruba",
      "kw": "Aruba",
      "ky": "Аруба",
      "lo": "Aruba",
      "lt": "Aruba",
      "lv": "Aruba",
      "mi": "Aruba",
      "mk": "Аруба",
      "ml": "അറൂബ",
      "mn": "Аруба",
      "mr": "अरुबा",
      "ms": "Aruba",
      "mt": "Aruba",
      "my": "Aruba",
      "na": "Aruba",
      "nb": "Aruba",
      "ne": "अरुबा",
      "nl": "Aruba",
      "nn": "Aruba",
      "nv": "Aruba",
      "oc": "Aruba",
      "or": "ଆଋବା",
      "pa": "ਅਰੂਬਾ",
      "pi": "Aruba",
      "pl": "Aruba",
      "ps": "Aruba",
      "pt": "Aruba",
      "pt_BR": "Aruba",
      "ro": "Aruba",
      "ru": "Аруба",
      "rw": "Aruba",
      "sc": "Aruba",
      "sd": "Aruba",
      "si": "ඇරූබා",
      "sk": "Aruba",
      "sl": "Aruba",
      "so": "Aruba",
      "sq": "Aruba",
      "sr": "Аруба",
      "sv": "Aruba",
      "sw": "Aruba",
      "ta": "அரூபா",
      "te": "అరుబా",
      "tg": "Аруба",
      "th": "อารูบา",
      "ti": "ኣሩባ",
      "tk": "Aruba",
      "tl": "Aruba",
      "tr": "Aruba",
      "tt": "Аруба",
      "ug": "ئارۇبا",
      "uk": "Аруба",
      "ur": "اروبا",
      "uz": "Aruba",
      "ve": "Aruba",
      "vi": "Ă-ru-ba",
      "wa": "Arouba",
      "wo": "Aruba",
      "xh": "Aruba",
      "yo": "Àrúbà",
      "zh_CN": "阿鲁巴",
      "zh_HK": "阿盧巴島",
      "zh_TW": "阿魯巴",
      "zu": "Aruba"
    },
  );

  /// Country: Åland
  static const Country ala = Country(
    alpha2: 'AX',
    alpha3: 'ALA',
    continent: Continent.europe,
    countryCode: '358',
    currencyCode: 'EUR',
    gec: null,
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 60.1785247,
        longitude: 19.9156105,
      ),
      maxCoordinate: Coordinate(
        latitude: 60.8400009,
        longitude: 21.4866841,
      ),
      minCoordinate: Coordinate(
        latitude: 59.6872001,
        longitude: 19.2095998,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 60.8400009,
          longitude: 21.4866841,
        ),
        southwest: Coordinate(
          latitude: 59.6872001,
          longitude: 19.2095998,
        ),
      ),
    ),
    internationalPrefix: '',
    ioc: null,
    isoLongName: 'Åland',
    isoShortName: 'Åland Islands',
    languagesOfficial: ['sv'],
    languagesSpoken: ['sv'],
    nationalDestinationCodeLengths: [],
    nationalNumberLengths: [],
    nationalPrefix: '',
    nationality: 'Swedish',
    number: '248',
    postalCode: true,
    postalCodeFormat: r'22\d{3}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Northern Europe',
    unLocode: 'AX',
    unofficialNames: ['Åland Islands', 'Åland', 'オーランド諸島', 'Ålandeilanden'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Åland Islands",
      "af": "Ålandeilande",
      "ak": "Åland Islands",
      "am": "Åland Islands",
      "an": "Islas Åland",
      "ar": "جزر آلاند",
      "as": "আলান্ড দ্বীপপুঞ্জ",
      "ay": "Åland Islands",
      "az": "Åland Islands",
      "ba": "Åland Islands",
      "be": "Аландскія астравы",
      "bg": "Аландски острови",
      "bi": "Åland Islands",
      "bn": "অ্যাল্যান্ড দ্বীপপুঞ্জ",
      "bn_IN": "অ্যাল্যান্ড দ্বীপপুঞ্জ",
      "br": "Åland",
      "bs": "Åland Ostrva",
      "ca": "Illes Aland",
      "ce": "Аландан гӀайренаш",
      "ch": "Åland Islands",
      "cs": "Ålandské ostrovy",
      "cv": "Аландан гӀайренаш",
      "cy": "Ynysoedd Åland",
      "da": "Åland",
      "de": "Åland-Inseln",
      "dv": "Åland Islands",
      "dz": "ཨཱ་ལེནཌི་ མཚོ་གླིང།",
      "ee": "Åland Islands",
      "el": "Νήσοι Ώλαντ",
      "en": "Åland Islands",
      "eo": "Alando",
      "es": "Islas Äland",
      "et": "Ahvenamaa",
      "eu": "Åland uharteak",
      "fa": "جزایر آلند",
      "ff": "Åland Islands",
      "fi": "Ahvenanmaa",
      "fo": "Áland",
      "fr": "Åland, Îles",
      "fy": "Ålandseilannen",
      "ga": "Oileáin Åland",
      "gl": "Illas Åland",
      "gn": "Åland Islands",
      "gu": "અલેન્ડ ટાપુઓ",
      "gv": "Åland",
      "ha": "Åland",
      "he": "אולנד",
      "hi": "ऑलैण्ड द्वीपसमूह",
      "hr": "Alandski otoci",
      "ht": "Åland Islands",
      "hu": "Åland-szigetek",
      "hy": "Ալանդյան կղզիներ",
      "ia": "Insulas Åland",
      "id": "Kepulauan Åland",
      "io": "Alando",
      "is": "Álandseyjar",
      "it": "Isole Åland",
      "iu": "Åland Islands",
      "ja": "オーランド諸島",
      "ka": "ალანდის კუნძულები",
      "ki": "Åland Islands",
      "kk": "Аланд аралдары",
      "kl": "Åland Islands",
      "km": "កោះ​អាឡង់",
      "kn": "ಅಲಾಂಡ್ ದ್ವೀಪಗಳು",
      "ko": "올란드 제도",
      "ku": "Giravên Åland",
      "kv": "Аланд діяс",
      "kw": "Åland",
      "ky": "Аланд аралдары",
      "lo": "Åland Islands",
      "lt": "Alandai",
      "lv": "Olande",
      "mi": "Moutere Aaland",
      "mk": "Ајланд острови",
      "ml": "ലണ്ട് ദ്വീപുകള്‍",
      "mn": "Åland Islands",
      "mr": "अलंद आयलॅंडस्",
      "ms": "Kepulauan Åland",
      "mt": "Gżejjer Åland",
      "my": "Åland Islands",
      "na": "Åland Islands",
      "nb": "Åland",
      "ne": "एल्याण्ड टापु",
      "nl": "Ålandseilanden",
      "nn": "Åland",
      "nv": "Åland Islands",
      "oc": "Åland Islands",
      "or": "ଆଲାଣ୍ଡ ଦ୍ବୀପ",
      "pa": "ਏਲੈਂਡ ਟਾਪੂ",
      "pi": "Åland Islands",
      "pl": "Wyspy Alandzkie",
      "ps": "Åland Islands",
      "pt": "Ilhas Alanda",
      "pt_BR": "Ilhas Åland",
      "ro": "Insulele Åland",
      "ru": "Аландские острова",
      "rw": "Ibirwa by'Alande",
      "sc": "Ìsulas Åland",
      "sd": "Åland Islands",
      "si": "ඒලන්ඩ් දූපත්",
      "sk": "Ålandy",
      "sl": "Ålandsko otočje",
      "so": "Åland",
      "sq": "Ishujt Aland",
      "sr": "Острва Аланд",
      "sv": "Åland",
      "sw": "Visiwa vya Åland",
      "ta": "அலண்ட் தீவுகள்",
      "te": "అలంద్ ఐలాండ్స్",
      "tg": "Ҷазираҳои Аланд",
      "th": "หมู่เกาะโอลันด์",
      "ti": "Åland Islands",
      "tk": "Aland adalary",
      "tl": "Mga Islang Åland",
      "tr": "Åland Adaları",
      "tt": "Аланд Утравлары",
      "ug": "ئالاند تاقىم ئاراللىرى",
      "uk": "Аландські острови",
      "ur": "جزائر ایلانڈ",
      "uz": "Aland orollari",
      "ve": "Åland Islands",
      "vi": "Quần đảo A-lanh",
      "wa": "Iyes Åland",
      "wo": "Dunu Aland",
      "xh": "Åland Islands",
      "yo": "Àwọn Erékùṣù Åland",
      "zh_CN": "奥兰群岛",
      "zh_HK": "奧蘭羣島",
      "zh_TW": "奧蘭群島",
      "zu": "Åland Islands"
    },
  );

  /// Country: The Republic of Azerbaijan
  static const Country aze = Country(
    alpha2: 'AZ',
    alpha3: 'AZE',
    continent: Continent.asia,
    countryCode: '994',
    currencyCode: 'AZN',
    gec: 'AJ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 40.143105,
        longitude: 47.576927,
      ),
      maxCoordinate: Coordinate(
        latitude: 41.9594999,
        longitude: 50.7458001,
      ),
      minCoordinate: Coordinate(
        latitude: 38.3922171,
        longitude: 44.7632599,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 41.9594999,
          longitude: 50.7458001,
        ),
        southwest: Coordinate(
          latitude: 38.3922171,
          longitude: 44.7632599,
        ),
      ),
    ),
    internationalPrefix: '810',
    ioc: 'AZE',
    isoLongName: 'The Republic of Azerbaijan',
    isoShortName: 'Azerbaijan',
    languagesOfficial: ['az', 'hy'],
    languagesSpoken: ['az', 'hy'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9],
    nationalPrefix: '8',
    nationality: 'Azerbaijani',
    number: '031',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Western Asia',
    unLocode: 'AZ',
    unofficialNames: [
      'Azerbaijan',
      'Aserbaidschan',
      'Azerbaïdjan',
      'Azerbaiyán',
      'アゼルバイジャン',
      'Azerbeidzjan'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Azerbaijan",
      "af": "Azerbaidjan",
      "ak": "Azerbaijan",
      "am": "ጐፈሴባጃን",
      "an": "Azerbaichán",
      "ar": "أذربيجان",
      "as": "আজেৰ্বেইজান",
      "ay": "Azerbaijan",
      "az": "Azərbaycan",
      "ba": "Azerbaijan",
      "be": "Азербайджан",
      "bg": "Азербайджан",
      "bi": "Azerbaijan",
      "bn": "আজারবাইজান",
      "bn_IN": "আজারবাইজান",
      "br": "Azerbaidjan",
      "bs": "Azerbejdžan",
      "ca": "Azerbaitjan",
      "ce": "Азербайджан",
      "ch": "Azerbaijan",
      "cs": "Ázerbájdžán",
      "cv": "Азербайджан",
      "cy": "Azerbaijan",
      "da": "Aserbajdsjan",
      "de": "Aserbaidschan",
      "dv": "އަޒަރުބައިޖާން",
      "dz": "ཨ་ཛར་བ་ཡེ་ཇཱན།",
      "ee": "Azerbaijan",
      "el": "Αζερμπαϊτζάν",
      "en": "Azerbaijan",
      "eo": "Azerbajĝano",
      "es": "Azerbaiyán",
      "et": "Aserbaidžaan",
      "eu": "Azerbaijan",
      "fa": "آذربایجان",
      "ff": "Aserbayjan",
      "fi": "Azerbaidžan",
      "fo": "Aserbajdsjan",
      "fr": "Azerbaïdjan",
      "fy": "Azerbeidzjan",
      "ga": "An Asarbaiseáin",
      "gl": "Acerbaixán",
      "gn": "Azerbaijan",
      "gu": "અઝરબૈઝાન",
      "gv": "Yn Asserbajaan",
      "ha": "Azerbaijan",
      "he": "אזרבייג׳ן",
      "hi": "अज़रबैजान",
      "hr": "Azerbajdžan",
      "ht": "Azerbaydjan",
      "hu": "Azerbajdzsán",
      "hy": "Ադրբեջան",
      "ia": "Azerbaijan",
      "id": "Azerbaijan",
      "io": "Azerbaijan",
      "is": "Aserbaídsjan",
      "it": "Azerbaigian",
      "iu": "Azerbaijan",
      "ja": "アゼルバイジャン",
      "ka": "აზერბაიჯანი",
      "ki": "Azerbaijan",
      "kk": "Әзірбайжан",
      "kl": "Azerbaijan",
      "km": "អាហ្ស៊ែរបែហ្សង់",
      "kn": "ಅಜರ್ಬೈಜಾನ್",
      "ko": "아제르바이잔",
      "ku": "Azerbaycan",
      "kv": "Азербайджан",
      "kw": "Azerbayjan",
      "ky": "Азербайжан",
      "lo": "ປະເທດອາແຊກບາຍຊັງ",
      "lt": "Azerbaidžanas",
      "lv": "Azerbaidžāna",
      "mi": "Atepaihānia",
      "mk": "Азербејџан",
      "ml": "അസര്‍ബൈജാന്‍",
      "mn": "Азербайжан",
      "mr": "अझेर्बेजान",
      "ms": "Azerbaijan",
      "mt": "Ażerbajġan",
      "my": "အဇာဘိုင်ဂျန်နိုင်ငံ",
      "na": "Aderbaidjan",
      "nb": "Aserbajdsjan",
      "ne": "अजरबैजान",
      "nl": "Azerbeidzjan",
      "nn": "Aserbajdsjan",
      "nv": "Azerbaijan",
      "oc": "Azerbaitjan",
      "or": "ଆଜର୍ବେଜାନ",
      "pa": "ਅਜ਼ਰਬਾਈਜਾਨ",
      "pi": "अजर्बैजान",
      "pl": "Azerbejdżan",
      "ps": "آزربایجان",
      "pt": "Azerbaijão",
      "pt_BR": "Azerbaidjão",
      "ro": "Azerbaijan",
      "ru": "Азербайджан",
      "rw": "Azeribayijani",
      "sc": "Azerbaigiàn",
      "sd": "Azerbaijan",
      "si": "අසර්බයිජාන්",
      "sk": "Azerbajdžan",
      "sl": "Azerbajdžan",
      "so": "Aserbiijaan",
      "sq": "Azerbajxhan",
      "sr": "Азербејџан",
      "sv": "Azerbajdzjan",
      "sw": "Azerbaijan",
      "ta": "அசர்பைசான்",
      "te": "అఝేర్బేజాన",
      "tg": "Озарбойҷон",
      "th": "อาเซอร์ไบจาน",
      "ti": "ኣዘርባጃን",
      "tk": "Äzerbeýjan",
      "tl": "Azerbaijan",
      "tr": "Azerbaycan",
      "tt": "Әзәрбайҗан",
      "ug": "ئەزەربەيجان",
      "uk": "Азербайджан",
      "ur": "آذربائیجان",
      "uz": "Ozarbayjon",
      "ve": "Azerbaijan",
      "vi": "Ai-xợ-bai-gianh",
      "wa": "Azerbaydjan",
      "wo": "Aserbayjaan",
      "xh": "Azerbaijan",
      "yo": "Azerbaijan",
      "zh_CN": "阿塞拜疆",
      "zh_HK": "亞塞拜彊",
      "zh_TW": "亞塞拜然",
      "zu": "I-Azerbayijani"
    },
  );

  /// Country: Bosnia and Herzegovina
  static const Country bih = Country(
    alpha2: 'BA',
    alpha3: 'BIH',
    continent: Continent.europe,
    countryCode: '387',
    currencyCode: 'BAM',
    gec: 'BK',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 43.915886,
        longitude: 17.679076,
      ),
      maxCoordinate: Coordinate(
        latitude: 45.2766262,
        longitude: 19.6237016,
      ),
      minCoordinate: Coordinate(
        latitude: 42.5564808,
        longitude: 15.7223665,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 45.2766262,
          longitude: 19.6237016,
        ),
        southwest: Coordinate(
          latitude: 42.5564808,
          longitude: 15.7223665,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'BIH',
    isoLongName: 'Bosnia and Herzegovina',
    isoShortName: 'Bosnia and Herzegovina',
    languagesOfficial: ['bs', 'hr', 'sr'],
    languagesSpoken: ['bs', 'hr', 'sr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '0',
    nationality: 'Bosnian, Herzegovinian',
    number: '070',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Southern Europe',
    unLocode: 'BA',
    unofficialNames: [
      'Bosnia and Herzegovina',
      'Bosnien und Herzegowina',
      'Bosnie et Herzégovine',
      'Bosnia y Herzegovina',
      'ボスニア・ヘルツェゴビナ',
      'Bosnië en Herzegovina',
      'Bosnia Herzegovina'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Bosnia and Herzegovina",
      "af": "Bosnië en Herzegowina",
      "ak": "Bosnia and Herzegovina",
      "am": "ቦስኒ። ጕና ሄሴፕጕቱኒ።",
      "an": "Bosnia y Herzegovina",
      "ar": "البوسنة و الهرسك",
      "as": "বোছনীযা আৰু হাৰজেগোইনা",
      "ay": "Bosnia and Herzegovina",
      "az": "Bosniya və Herzoqovina",
      "ba": "Bosnia and Herzegovina",
      "be": "Боснія і Герцагавіна",
      "bg": "Босна и Херцеговина",
      "bi": "Bosnia and Herzegovina",
      "bn": "বসনিয়া ও হার্জগোভিনা",
      "bn_IN": "বসনিয়া ও হার্জগোভিনা",
      "br": "Bosnia-ha-Herzegovina",
      "bs": "Bosna i Hercegovina",
      "ca": "Bòsnia i Hercegovina",
      "ce": "Босни а Герцеговина",
      "ch": "Bosnia and Herzegovina",
      "cs": "Bosna a Hercegovina",
      "cv": "Боснипа Герцеговина",
      "cy": "Bosnia a Herzegovina",
      "da": "Bosnien-Hercegovina",
      "de": "Bosnien und Herzegowina",
      "dv": "ބޮސްނިޔާ އެންޑް ހެރްޒިގޮވީނާ",
      "dz": "བཱོས་ནི་ཡ་དང་ཧར་ཟི་གཱོ་བཱི་ནཱ།",
      "ee": "Bosnia and Herzegovina",
      "el": "Βοσνία και Ερζεγοβίνη",
      "en": "Bosnia and Herzegovina",
      "eo": "Bosnio kaj Hercegovino",
      "es": "Bosnia y Herzegovina",
      "et": "Bosnia ja Hertsegoviina",
      "eu": "Bosnia eta Herzegovina",
      "fa": "بوسنی و هرزگوین",
      "ff": "Bosniya",
      "fi": "Bosnia-Hertsegovina",
      "fo": "Bosnia-Hersegovina",
      "fr": "Bosnie-Herzégovine",
      "fy": "Bosnje",
      "ga": "An Bhoisnia-Heirseagaivéin",
      "gl": "Bosnia e Hercegovina",
      "gn": "Bosnia and Herzegovina",
      "gu": "બોસ્નિયા અને હર્ઝેગોવીનીઆ",
      "gv": "Bosnia as Herzegovina",
      "ha": "Herzegovina",
      "he": "בוסניה והרצגובינה",
      "hi": "बॉस्निया और हर्ज़ेगोविना",
      "hr": "Bosna i Hercegovina",
      "ht": "Bosnia and Herzegovina",
      "hu": "Bosznia-Hercegovina",
      "hy": "Բոսնիա-Հերցեգովինա",
      "ia": "Bosnia e Herzegovina",
      "id": "Bosnia dan Herzegovina",
      "io": "Bosnia e Herzegovina",
      "is": "Bosnía og Hersegóvína",
      "it": "Bosnia-Erzegovina",
      "iu": "Bosnia and Herzegovina",
      "ja": "ボスニア・ヘルツェゴビナ",
      "ka": "ბოსნია და ჰერცეგოვინა",
      "ki": "Mbocinia na Hecengobina",
      "kk": "Босния және Герцеговина",
      "kl": "Bosnia and Herzegovina",
      "km": "បូស្ន៊ី និង ​ហឺហ្ស៊េហ្គោវីណា",
      "kn": "ಭೊಸ್ನಿಯಾ ಮತ್ತು ಹೆರ್ಜೆಗೋವಿನಾ",
      "ko": "보스니아 헤르체고비나",
      "ku": "Bosna Hersek",
      "kv": "Босния да Герцеговина",
      "kw": "Bosni–Hercegovina",
      "ky": "Босния жана Герцеговина",
      "lo": "ປະເທດບົດສະນີແຮກເຊໂກວີນ",
      "lt": "Bosnija ir Hercegovina",
      "lv": "Bosnija un Hercegovina",
      "mi": "Pōngia-Herekōmina",
      "mk": "Босна и Херцеговина",
      "ml": "ബോസ്നിയയും ഹെര്‍സഗോവിനയും",
      "mn": "Босний ба Нерцеговин",
      "mr": "बोस्निया आणी हर्झेगोव्हिना",
      "ms": "Bosnia dan Herzegovina",
      "mt": "Bożnija Ħerżegovina",
      "my": "ဘော့စနီးယားနှင့် ဟာဇီဂိုဗီးနားနိုင်ငံ",
      "na": "Boteniya me Erdegobina",
      "nb": "Bosnia-Hercegovina",
      "ne": "बोस्नीया र हर्जगोभिना",
      "nl": "Bosnië en Herzegovina",
      "nn": "Bosnia-Hercegovina",
      "nv": "Bosna dóó Hetsog Bikéyah",
      "oc": "Bòsnia e Ercegovina",
      "or": "ବୋସନିଆ ଏବଂ ହର୍ଜେଗୋଭିନା",
      "pa": "ਬੋਸਨੀਆ ਤੇ ਹਰਜ਼ੀਗੋਨੀਆ",
      "pi": "बास्निया",
      "pl": "Bośnia i Hercegowina",
      "ps": "Bosnia and Herzegovina",
      "pt": "Bósnia e Herzegovina",
      "pt_BR": "Bósnia-Herzegóvina",
      "ro": "Bosnia și Herțegovina",
      "ru": "Босния и Герцеговина",
      "rw": "Bosiniya na Herizegovina",
      "sc": "Bòsnia e Erzegòvina",
      "sd": "Bosnia and Herzegovina",
      "si": "බොස්නියාව හා හර්සගෝවිනියාව",
      "sk": "Bosna a Hercegovina",
      "sl": "Bosna in Hercegovina",
      "so": "Boosniya Heersigoviina",
      "sq": "Bosnjë dhe Hercegovinë",
      "sr": "Босна и Херцеговина",
      "sv": "Bosnien-Hercegovina",
      "sw": "Bosnia na Herzegovina",
      "ta": "போஸ்னியா ஹெர்ஸிகோவினா",
      "te": "బోస్నియా మరియు హర్ఝేగోవ్హినా",
      "tg": "Босния ва Ҳерсеговина",
      "th": "บอสเนียและเฮอร์เซโกวีนา",
      "ti": "ቦስኒያ እና ሄርዞጎቪኒያ",
      "tk": "Bosniýa we Gersogowina",
      "tl": "Bosnia at Herzegovina",
      "tr": "Bosna-Hersek",
      "tt": "Босниа белән Һерзеgовина",
      "ug": "بوسنىيە گېرتسېگوۋىنا",
      "uk": "Боснія і Герцеговина",
      "ur": "بوسنیا و ہرزیگووینا",
      "uz": "Bosniya va Gersegovina",
      "ve": "Bosnia na Herzegovina",
      "vi": "Bô-xni-a và Hẻ-xê-gô-vi-na",
      "wa": "Bosneye",
      "wo": "Bosni Hersegowin",
      "xh": "Bosnia and Herzegovina",
      "yo": "Bósníà àti Hẹrjẹgòfínà",
      "zh_CN": "波斯尼亚和黑塞哥维那",
      "zh_HK": "波斯尼亞和黑塞哥維那",
      "zh_TW": "波士尼亞及赫塞哥維納",
      "zu": "IBhosniya neHerzegovina"
    },
  );

  /// Country: Barbados
  static const Country brb = Country(
    alpha2: 'BB',
    alpha3: 'BRB',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'BBD',
    gec: 'BB',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 13.193887,
        longitude: -59.543198,
      ),
      maxCoordinate: Coordinate(
        latitude: 13.3365093,
        longitude: -59.4174957,
      ),
      minCoordinate: Coordinate(
        latitude: 13.039844,
        longitude: -59.6530151,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 13.3365093,
          longitude: -59.4174957,
        ),
        southwest: Coordinate(
          latitude: 13.039844,
          longitude: -59.6530151,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'BAR',
    isoLongName: 'Barbados',
    isoShortName: 'Barbados',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Barbadian',
    number: '052',
    postalCode: true,
    postalCodeFormat: r'BB\d{5}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'BB',
    unofficialNames: ['Barbade', 'Barbados', 'バルバドス'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1246',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Barbados",
      "af": "Barbados",
      "ak": "Barbados",
      "am": "ባሴቤ፦ስ",
      "an": "Barbados",
      "ar": "بربادوس",
      "as": "বাৰ্বাডোছ",
      "ay": "Barbados",
      "az": "Barbados",
      "ba": "Barbados",
      "be": "Барбадас",
      "bg": "Барбадос",
      "bi": "Barbados",
      "bn": "বার্বাডোস",
      "bn_IN": "বার্বাডোস",
      "br": "Barbados",
      "bs": "Barbados",
      "ca": "Barbados",
      "ce": "Барбадос",
      "ch": "Barbados",
      "cs": "Barbados",
      "cv": "Барбадос",
      "cy": "Barbados",
      "da": "Barbados",
      "de": "Barbados",
      "dv": "ބާބަޑޮސް",
      "dz": "བར་བ་ཌོསི།",
      "ee": "Barbados",
      "el": "Μπαρμπάντος",
      "en": "Barbados",
      "eo": "Barbado",
      "es": "Barbados",
      "et": "Barbados",
      "eu": "Barbados",
      "fa": "باربادوس",
      "ff": "Barbados",
      "fi": "Barbados",
      "fo": "Barbados",
      "fr": "Barbade",
      "fy": "Barbados",
      "ga": "Barbadós",
      "gl": "Barbados",
      "gn": "Barbados",
      "gu": "બાર્બાડોસ",
      "gv": "Barbados",
      "ha": "Barbados",
      "he": "ברבדוס",
      "hi": "बारबाडोस",
      "hr": "Barbados",
      "ht": "Lababad",
      "hu": "Barbados",
      "hy": "Բարբադոս",
      "ia": "Barbados",
      "id": "Barbados",
      "io": "Barbados",
      "is": "Barbados",
      "it": "Barbados",
      "iu": "Barbados",
      "ja": "バルバドス",
      "ka": "ბარბადოსი",
      "ki": "Barbados",
      "kk": "Барбадос",
      "kl": "Barbados",
      "km": "បារបាដូស",
      "kn": "ಬಾರ್ಬಡಾಸ್",
      "ko": "바베이도스",
      "ku": "Barbados",
      "kv": "Барбадос",
      "kw": "Barbados",
      "ky": "Барбадос",
      "lo": "Barbados",
      "lt": "Barbadosas",
      "lv": "Barbadosa",
      "mi": "Barbados",
      "mk": "Барбадос",
      "ml": "ബാര്‍ബഡോസ്",
      "mn": "Барбадос",
      "mr": "बार्बेडॉस",
      "ms": "Barbados",
      "mt": "Barbados",
      "my": "ဘာဘေးဒိုးစ်နိုင်ငံ",
      "na": "Barbadot",
      "nb": "Barbados",
      "ne": "बारबाडोस",
      "nl": "Barbados",
      "nn": "Barbados",
      "nv": "Barbados",
      "oc": "Barbada",
      "or": "ବାର୍ବାଡୋସ",
      "pa": "ਬਾਰਬਾਡਾਸ",
      "pi": "बार्बाडोस",
      "pl": "Barbados",
      "ps": "باربادوس",
      "pt": "Barbados",
      "pt_BR": "Barbados",
      "ro": "Barbados",
      "ru": "Барбадос",
      "rw": "Barubadosi",
      "sc": "Barbados",
      "sd": "Barbados",
      "si": "බාබඩෝස්",
      "sk": "Barbados",
      "sl": "Barbados",
      "so": "Baarbadoos",
      "sq": "Barbados",
      "sr": "Барбадос",
      "sv": "Barbados",
      "sw": "Barbados",
      "ta": "பார்படாஸ்",
      "te": "బార్బేడాస్",
      "tg": "Барбадос",
      "th": "บาร์เบโดส",
      "ti": "ባርቤዶስ",
      "tk": "Barbados",
      "tl": "Barbados",
      "tr": "Barbados",
      "tt": "Барбадос",
      "ug": "باربادوس",
      "uk": "Барбадос",
      "ur": "بارباڈوس",
      "uz": "Barbados",
      "ve": "Barbados",
      "vi": "Bă-ba-đôxợ",
      "wa": "Bårbades",
      "wo": "Barbados",
      "xh": "Barbados",
      "yo": "Bárbádọ̀s",
      "zh_CN": "巴巴多斯",
      "zh_HK": "巴巴多斯",
      "zh_TW": "巴貝多",
      "zu": "I-Barbados"
    },
  );

  /// Country: The People's Republic of Bangladesh
  static const Country bgd = Country(
    alpha2: 'BD',
    alpha3: 'BGD',
    continent: Continent.asia,
    countryCode: '880',
    currencyCode: 'BDT',
    gec: 'BG',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 23.684994,
        longitude: 90.356331,
      ),
      maxCoordinate: Coordinate(
        latitude: 26.633914,
        longitude: 92.6801153,
      ),
      minCoordinate: Coordinate(
        latitude: 20.3794,
        longitude: 88.00861410000002,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 26.633914,
          longitude: 92.6801153,
        ),
        southwest: Coordinate(
          latitude: 20.3794,
          longitude: 88.00861410000002,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'BAN',
    isoLongName: 'The People\'s Republic of Bangladesh',
    isoShortName: 'Bangladesh',
    languagesOfficial: ['bn'],
    languagesSpoken: ['bn'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [10],
    nationalPrefix: '0',
    nationality: 'Bangladeshi',
    number: '050',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.asia,
    startOfWeek: Week.sunday,
    subregion: 'Southern Asia',
    unLocode: 'BD',
    unofficialNames: ['Bangladesh', 'Bangladesch', 'バングラデシュ'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Bangladesh",
      "af": "Bangladesj",
      "ak": "Bangladesh",
      "am": "Bangladesh",
      "an": "Bangladesh",
      "ar": "بنغلادش",
      "as": "বাংলাদেশ",
      "ay": "Bangladesh",
      "az": "Banqladeş",
      "ba": "Bangladesh",
      "be": "Бангладэш",
      "bg": "Бангладеш",
      "bi": "Bangladesh",
      "bn": "বাংলাদেশ",
      "bn_IN": "বাংলাদেশ",
      "br": "Bangladesh",
      "bs": "Bangladeš",
      "ca": "Bangla Desh",
      "ce": "Бангладеш",
      "ch": "Bangladesh",
      "cs": "Bangladéš",
      "cv": "Бангладеш",
      "cy": "Bangladesh",
      "da": "Bangladesh",
      "de": "Bangladesch",
      "dv": "ބަންގާޅު",
      "dz": "བང་ལ་དེཤི།",
      "ee": "Bangladesh",
      "el": "Μπανγκλαντές",
      "en": "Bangladesh",
      "eo": "Bangladeŝo",
      "es": "Bangladés",
      "et": "Bangladesh",
      "eu": "Bangladesh",
      "fa": "بنگلادش",
      "ff": "Bangladesh",
      "fi": "Bangladesh",
      "fo": "Bangladesj",
      "fr": "Bangladesh",
      "fy": "Banglades",
      "ga": "An Bhanglaidéis",
      "gl": "Bangladesh",
      "gn": "Bangladesh",
      "gu": "બાંગ્લાદેશ",
      "gv": "Yn Vangladesh",
      "ha": "Bangladash",
      "he": "בנגלדש",
      "hi": "बांग्लादेश",
      "hr": "Bangladeš",
      "ht": "Bangladèch",
      "hu": "Banglades",
      "hy": "Բանգլադեշ",
      "ia": "Bangladesh",
      "id": "Bangladesh",
      "io": "Bangladesh",
      "is": "Bangladess",
      "it": "Bangladesh",
      "iu": "Bangladesh",
      "ja": "バングラデシュ",
      "ka": "ბანგლადეში",
      "ki": "Bangladesh",
      "kk": "Бангладеш",
      "kl": "Bangladesh",
      "km": "បង់ក្លាដេស",
      "kn": "ಬಾಂಗ್ಲಾದೇಶ",
      "ko": "방글라데시",
      "ku": "Banglades",
      "kv": "Бангладеш",
      "kw": "Bangladesh",
      "ky": "Баңгладеш",
      "lo": "ປະເທດບັງກະລາເທດ",
      "lt": "Bangladešas",
      "lv": "Bangladeša",
      "mi": "Pākaratēhi",
      "mk": "Бангладеш",
      "ml": "ബംഗ്ലാദേശ്",
      "mn": "Бангладеш",
      "mr": "बांगलादेश",
      "ms": "Bangladesh",
      "mt": "Bangladexx",
      "my": "banglaဘင်္ဂလားဒေ့ရှ်နိုင်ငံ",
      "na": "Bangradet",
      "nb": "Bangladesh",
      "ne": "बंगलादेश",
      "nl": "Bangladesh",
      "nn": "Bangladesh",
      "nv": "Haʼaʼaahjí Naakaii Dootłʼizhí Bikéyah",
      "oc": "Bangladèsh",
      "or": "ବାଙ୍ଗଲାଦେଶ",
      "pa": "ਬੰਗਲਾਦੇਸ਼",
      "pi": "बंगलादेश",
      "pl": "Bangladesz",
      "ps": "بنګله‌دیش",
      "pt": "Bangladeche",
      "pt_BR": "Bangladesh",
      "ro": "Bangladeș",
      "ru": "Бангладеш",
      "rw": "Bangaladeshi",
      "sc": "Bangladesh",
      "sd": "بنگلاديش",
      "si": "බංගලාදේශය",
      "sk": "Bangladéš",
      "sl": "Bangladeš",
      "so": "Bangaala-Deesh",
      "sq": "Bangladesh",
      "sr": "Бангладеш",
      "sv": "Bangladesh",
      "sw": "Bangladesh",
      "ta": "வங்காளதேசம்",
      "te": "బాంగ్లాదేశ్",
      "tg": "Бангладеш",
      "th": "บังกลาเทศ",
      "ti": "ባንግላዴሽ",
      "tk": "Bangladeş",
      "tl": "Bangladesh",
      "tr": "Bangladeş",
      "tt": "Банgладеш",
      "ug": "باڭلادىش",
      "uk": "Бангладеш",
      "ur": "بنگلہ دیش",
      "uz": "Bangladesh",
      "ve": "Bangladesh",
      "vi": "Bang-la-đesợ",
      "wa": "Bangladesh",
      "wo": "Banglaades",
      "xh": "Bangladesh",
      "yo": "Bangladẹ́shì",
      "zh_CN": "孟加拉",
      "zh_HK": "孟加拉",
      "zh_TW": "孟加拉",
      "zu": "Isi-Bhangladeshi"
    },
  );

  /// Country: The Kingdom of Belgium
  static const Country bel = Country(
    alpha2: 'BE',
    alpha3: 'BEL',
    continent: Continent.europe,
    countryCode: '32',
    currencyCode: 'EUR',
    gec: 'BE',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 50.503887,
        longitude: 4.469936,
      ),
      maxCoordinate: Coordinate(
        latitude: 51.5051449,
        longitude: 6.408124099999999,
      ),
      minCoordinate: Coordinate(
        latitude: 49.497013,
        longitude: 2.5240999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 51.5051449,
          longitude: 6.408124099999999,
        ),
        southwest: Coordinate(
          latitude: 49.497013,
          longitude: 2.5240999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'BEL',
    isoLongName: 'The Kingdom of Belgium',
    isoShortName: 'Belgium',
    languagesOfficial: ['nl', 'fr', 'de'],
    languagesSpoken: ['nl', 'fr', 'de'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9],
    nationalPrefix: '0',
    nationality: 'Belgian',
    number: '056',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Western Europe',
    unLocode: 'BE',
    unofficialNames: [
      'Belgium',
      'Belgien',
      'Belgique',
      'Bélgica',
      'ベルギー',
      'België'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 21.0,
      reduced: [6.0, 12.0],
      superReduced: null,
      parking: 12.0,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Belgium",
      "af": "België",
      "ak": "Belgium",
      "am": "ቤሔጄሤ",
      "an": "Belchica",
      "ar": "بلجيكا",
      "as": "বেলজিয়াম",
      "ay": "Belgium",
      "az": "Belçika",
      "ba": "Belgium",
      "be": "Бельгія",
      "bg": "Белгия",
      "bi": "Belgium",
      "bn": "বেলজিয়াম",
      "bn_IN": "বেলজিয়াম",
      "br": "Belgia",
      "bs": "Belgija",
      "ca": "Bèlgica",
      "ce": "Бельги",
      "ch": "Belgium",
      "cs": "Belgie",
      "cv": "Бельги",
      "cy": "Gwlad Belg",
      "da": "Belgien",
      "de": "Belgien",
      "dv": "ބެލްޖިއަމް",
      "dz": "བེལ་ཇི་ཡམ།",
      "ee": "Belgium",
      "el": "Βέλγιο",
      "en": "Belgium",
      "eo": "Belgio",
      "es": "Bélgica",
      "et": "Belgia",
      "eu": "Belgika",
      "fa": "بلژیک",
      "ff": "Beljik",
      "fi": "Belgia",
      "fo": "Belgia",
      "fr": "Belgique",
      "fy": "Belgje",
      "ga": "An Bheilg",
      "gl": "Bélxica",
      "gn": "Belgium",
      "gu": "બેલ્જીયમ",
      "gv": "Yn Velg",
      "ha": "Beljik",
      "he": "בלגיה",
      "hi": "बेल्जियम",
      "hr": "Belgija",
      "ht": "Bèljik",
      "hu": "Belgium",
      "hy": "Բելգիա",
      "ia": "Belgica",
      "id": "Belgia",
      "io": "Belgia",
      "is": "Belgía",
      "it": "Belgio",
      "iu": "Belgium",
      "ja": "ベルギー",
      "ka": "ბელგია",
      "ki": "Belgium",
      "kk": "Бельгия",
      "kl": "Belgium",
      "km": "បែល​ហ្ស៊ិក",
      "kn": "ಬೆಲ್ಜಿಯಂ",
      "ko": "벨기에",
      "ku": "Belçîka",
      "kv": "Бельгия",
      "kw": "Pow Belg",
      "ky": "Бельгия",
      "lo": "ປະເທດແບນຊິກ",
      "lt": "Belgija",
      "lv": "Beļģija",
      "mi": "Pehiamu",
      "mk": "Белгија",
      "ml": "ബെല്‍ജിയം",
      "mn": "Белги",
      "mr": "बेल्जियम",
      "ms": "Belgium",
      "mt": "Belġju",
      "my": "ဘယ်လ်ဂျီယမ်နိုင်ငံ",
      "na": "Berdjiyum",
      "nb": "Belgia",
      "ne": "बेल्जियम",
      "nl": "België",
      "nn": "Belgia",
      "nv": "Bélgii Bikéyah",
      "oc": "Belgica",
      "or": "ବେଲଜିୟମ",
      "pa": "ਬੈਲਜੀਅਮ",
      "pi": "बेल्जियम",
      "pl": "Belgia",
      "ps": "بلجیم",
      "pt": "Bélgica",
      "pt_BR": "Bélgica",
      "ro": "Belgia",
      "ru": "Бельгия",
      "rw": "Ububiligi",
      "sc": "Bèlgiu",
      "sd": "بيلجيم",
      "si": "බෙල්ජියම",
      "sk": "Belgicko",
      "sl": "Belgija",
      "so": "Beljiyam",
      "sq": "Belgjikë",
      "sr": "Белгија",
      "sv": "Belgien",
      "sw": "Ubelgiji",
      "ta": "பெல்ஜியம்",
      "te": "బెల్జియమ్",
      "tg": "Белгия",
      "th": "เบลเยียม",
      "ti": "ቤልጄም",
      "tk": "Belgiýa",
      "tl": "Belhika",
      "tr": "Belçika",
      "tt": "Белgиа",
      "ug": "بېلگىيە",
      "uk": "Бельгія",
      "ur": "بلجئیم",
      "uz": "Belgiya",
      "ve": "Belgium",
      "vi": "Bỉ",
      "wa": "Beldjike",
      "wo": "Beljik",
      "xh": "Belgium",
      "yo": "Bẹ́ljíọ̀m",
      "zh_CN": "比利时",
      "zh_HK": "比利時",
      "zh_TW": "比利時",
      "zu": "Isi-Bhelijiyamu"
    },
  );

  /// Country: Burkina Faso
  static const Country bfa = Country(
    alpha2: 'BF',
    alpha3: 'BFA',
    continent: Continent.africa,
    countryCode: '226',
    currencyCode: 'XOF',
    gec: 'UV',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 12.238333,
        longitude: -1.561593,
      ),
      maxCoordinate: Coordinate(
        latitude: 15.0840397,
        longitude: 2.4043596,
      ),
      minCoordinate: Coordinate(
        latitude: 9.4104717,
        longitude: -5.5132416,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 15.0840397,
          longitude: 2.4043596,
        ),
        southwest: Coordinate(
          latitude: 9.4104717,
          longitude: -5.5132416,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'BUR',
    isoLongName: 'Burkina Faso',
    isoShortName: 'Burkina Faso',
    languagesOfficial: ['fr', 'ff'],
    languagesSpoken: ['fr', 'ff'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Burkinabe',
    number: '854',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Western Africa',
    unLocode: 'BF',
    unofficialNames: ['Burkina Faso', 'ブルキナファソ'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Burkina Faso",
      "af": "Burkina Faso",
      "ak": "Burkina Faso",
      "am": "Burkina Faso",
      "an": "Burkina Faso",
      "ar": "بوركينا فاصو",
      "as": "বুৰ্কিনা ফাসো",
      "ay": "Burkina Faso",
      "az": "Burkina Faso",
      "ba": "Burkina Faso",
      "be": "Буркіна-Фасо",
      "bg": "Буркина Фасо",
      "bi": "Burkina Faso",
      "bn": "বুর্কিনা ফাসো",
      "bn_IN": "বুর্কিনা ফাসো",
      "br": "Burkina Faso",
      "bs": "Burkina Faso",
      "ca": "Burkina Faso",
      "ce": "Буркина Фасо",
      "ch": "Burkina Faso",
      "cs": "Burkina Faso",
      "cv": "Буркина Фасо",
      "cy": "Burkina Faso",
      "da": "Burkina Faso",
      "de": "Burkina Faso",
      "dv": "ބުރުކީނާ ފާސޯ",
      "dz": "བུར་ཀི་ན་ ཕ་སོ།",
      "ee": "Burkina Faso",
      "el": "Μπουρκίνα Φάσο",
      "en": "Burkina Faso",
      "eo": "Burkino",
      "es": "Burquina Faso",
      "et": "Burkina Faso",
      "eu": "Burkina Faso",
      "fa": "بورکینافاسو",
      "ff": "Burkina Faso",
      "fi": "Burkina Faso",
      "fo": "Burkina Faso",
      "fr": "Burkina Faso",
      "fy": "Bûrkina Faso",
      "ga": "Buircíne Fasó",
      "gl": "Burquina Faso",
      "gn": "Burkina Faso",
      "gu": "બુર્કિના ફાસો",
      "gv": "Burkina Faso",
      "ha": "Burkina faso",
      "he": "בורקינה פאסו",
      "hi": "बुर्किना फासो",
      "hr": "Burkina Faso",
      "ht": "Boukinafaso",
      "hu": "Burkina Faso",
      "hy": "Բուրկինա Ֆասո",
      "ia": "Burkina Faso",
      "id": "Burkina Faso",
      "io": "Burkina Faso",
      "is": "Búrkína Fasó",
      "it": "Burkina Faso",
      "iu": "Burkina Faso",
      "ja": "ブルキナファソ",
      "ka": "ბურკინა-ფასო",
      "ki": "Burkina Faso",
      "kk": "Буркина-Фасо",
      "kl": "Burkina Faso",
      "km": "ប៊ូរគីណាហ្វាសូ",
      "kn": "ಬರ್ಕಿನಾ ಫಾಸೋ",
      "ko": "부르키나파소",
      "ku": "Burkîna Faso",
      "kv": "Burkina Faso",
      "kw": "Burkina Faso",
      "ky": "Буркина Фасо",
      "lo": "Burkina Faso",
      "lt": "Burkina Fasas",
      "lv": "Burkinafaso",
      "mi": "Burkina Faso",
      "mk": "Буркина Фасо",
      "ml": "ബുര്‍ക്കിന ഫാസോ",
      "mn": "Буркина Фасо",
      "mr": "बर्किना फासो",
      "ms": "Burkina Faso",
      "mt": "Burkina Faso",
      "my": "ဘာကီးနားဖားဆိုနိုင်ငံ",
      "na": "Burkinabato",
      "nb": "Burkina Faso",
      "ne": "बुर्किना फासो",
      "nl": "Burkina Faso",
      "nn": "Burkina Faso",
      "nv": "Burkina Faso",
      "oc": "Burkina Faso",
      "or": "ବୁର୍କିନା ଫାସୋ",
      "pa": "ਬੂਪਕੀਨਾ ਫਾਸੋ",
      "pi": "बुर्कीना-फासो",
      "pl": "Burkina Faso",
      "ps": "بورکینا فاسو",
      "pt": "Burkina Faso",
      "pt_BR": "Burquina",
      "ro": "Burkina Faso",
      "ru": "Буркина-Фасо",
      "rw": "Burukina Faso",
      "sc": "Burkina Faso",
      "sd": "Burkina Faso",
      "si": "බර්කිනා ෆාසෝ",
      "sk": "Burkina Faso",
      "sl": "Burkina Faso",
      "so": "Burkina Faso",
      "sq": "Burkina Faso",
      "sr": "Буркина Фасо",
      "sv": "Burkina Faso",
      "sw": "Burkina Faso",
      "ta": "பர்கினோ பாஸோ",
      "te": "బర్కినా ఫాసో",
      "tg": "Буркина Фасо",
      "th": "บูร์กินาฟาโซ",
      "ti": "ቡርኪና ፋሶ",
      "tk": "Burkina-Faso",
      "tl": "Burkina Faso",
      "tr": "Burkina Faso",
      "tt": "Буркина Фасо",
      "ug": "بۇركىنا-فاسو",
      "uk": "Буркіна-Фасо",
      "ur": "برکینا فاسو",
      "uz": "Burkina Faso",
      "ve": "Burkina Faso",
      "vi": "Buốc-khi-na Pha-xô",
      "wa": "Bourkina Fasso",
      "wo": "Burkina Faso",
      "xh": "Burkina Faso",
      "yo": "Bùrkínà Fasò",
      "zh_CN": "布基纳法索",
      "zh_HK": "布基納法索",
      "zh_TW": "布吉納法索",
      "zu": "IBukhina Faso"
    },
  );

  /// Country: The Republic of Bulgaria
  static const Country bgr = Country(
    alpha2: 'BG',
    alpha3: 'BGR',
    continent: Continent.europe,
    countryCode: '359',
    currencyCode: 'BGN',
    gec: 'BU',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 42.733883,
        longitude: 25.48583,
      ),
      maxCoordinate: Coordinate(
        latitude: 44.2153059,
        longitude: 28.7292001,
      ),
      minCoordinate: Coordinate(
        latitude: 41.2354469,
        longitude: 22.3573446,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 44.2153059,
          longitude: 28.7292001,
        ),
        southwest: Coordinate(
          latitude: 41.2354469,
          longitude: 22.3573446,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'BUL',
    isoLongName: 'The Republic of Bulgaria',
    isoShortName: 'Bulgaria',
    languagesOfficial: ['bg'],
    languagesSpoken: ['bg'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9, 10],
    nationalPrefix: '0',
    nationality: 'Bulgarian',
    number: '100',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Eastern Europe',
    unLocode: 'BG',
    unofficialNames: [
      'Bulgaria',
      'Bulgarien',
      'Bulgarie',
      'ブルガリア',
      'Bulgarije'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 20.0,
      reduced: [9.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Bulgaria",
      "af": "Bulgarye",
      "ak": "Bulgaria",
      "am": "ቡሔጓሱ።",
      "an": "Bulgaria",
      "ar": "بلغاريا",
      "as": "বুলগাৰিয়া",
      "ay": "Bulgaria",
      "az": "Bolqarıstan",
      "ba": "Bulgaria",
      "be": "Балгарыя",
      "bg": "България",
      "bi": "Bulgaria",
      "bn": "বুলগারিয়া",
      "bn_IN": "বুলগারিয়া",
      "br": "Bulgaria",
      "bs": "Bugarska",
      "ca": "Bulgària",
      "ce": "Болгари",
      "ch": "Bulgaria",
      "cs": "Bulharsko",
      "cv": "Болгари",
      "cy": "Bwlgaria",
      "da": "Bulgarien",
      "de": "Bulgarien",
      "dv": "ބަލްގޭރިއާ",
      "dz": "བཱལ་ག་རི་ཡ།",
      "ee": "Bulgaria",
      "el": "Βουλγαρία",
      "en": "Bulgaria",
      "eo": "Bulgario",
      "es": "Bulgaria",
      "et": "Bulgaaria",
      "eu": "Bulgaria",
      "fa": "بلغارستان",
      "ff": "Bulgariya",
      "fi": "Bulgaria",
      "fo": "Bulgaria",
      "fr": "Bulgarie",
      "fy": "Bulgarije",
      "ga": "An Bhulgáir",
      "gl": "Bulgaria",
      "gn": "Bulgaria",
      "gu": "બલ્ગેરિયા",
      "gv": "Yn Vulgeyr",
      "ha": "Bulgairiya",
      "he": "בולגריה",
      "hi": "बुल्गारिया",
      "hr": "Bugarska",
      "ht": "Bilgari",
      "hu": "Bulgária",
      "hy": "Բուլղարիա",
      "ia": "Bulgaria",
      "id": "Bulgaria",
      "io": "Bulgaria",
      "is": "Búlgaría",
      "it": "Bulgaria",
      "iu": "Bulgaria",
      "ja": "ブルガリア",
      "ka": "ბულგარეთი",
      "ki": "Bulgaria",
      "kk": "Болгария",
      "kl": "Bulgaria",
      "km": "ប៊ុលហ្គារី",
      "kn": "ಬಲ್ಗೇರಿಯಾ",
      "ko": "불가리아",
      "ku": "Bulgaristan",
      "kv": "Болгария",
      "kw": "Bulgari",
      "ky": "Болгария",
      "lo": "ປະເທດບູນກາລີ",
      "lt": "Bulgarija",
      "lv": "Bulgārija",
      "mi": "Purukāria",
      "mk": "Бугарија",
      "ml": "ബള്‍ഗേറിയ",
      "mn": "Болгар",
      "mr": "बल्गेरिया",
      "ms": "Bulgaria",
      "mt": "Bulgarija",
      "my": "ဘူလ်ဂေးရီးယားနိုင်ငံ",
      "na": "Borgeriya",
      "nb": "Bulgaria",
      "ne": "बुलगेरिया",
      "nl": "Bulgarije",
      "nn": "Bulgaria",
      "nv": "Bálgaa Bikéyah",
      "oc": "Bulgaria",
      "or": "ବୁଲଗାରିୟା",
      "pa": "ਬੁਲਗਾਰੀਆ",
      "pi": "बुल्गारिया",
      "pl": "Bułgaria",
      "ps": "بلغاریه",
      "pt": "Bulgária",
      "pt_BR": "Bulgária",
      "ro": "Bulgaria",
      "ru": "Болгария",
      "rw": "Buligariya",
      "sc": "Bulgaria",
      "sd": "بلغاريه",
      "si": "බල්ගේරියා",
      "sk": "Bulharsko",
      "sl": "Bolgarija",
      "so": "Bulgaria",
      "sq": "Bullgarië",
      "sr": "Бугарска",
      "sv": "Bulgarien",
      "sw": "Bulgaria",
      "ta": "பல்கேரியா",
      "te": "బల్గేరియా",
      "tg": "Булғория",
      "th": "บัลแกเรีย",
      "ti": "ቡልጋሪያ",
      "tk": "Bolgariýa",
      "tl": "Bulgaria",
      "tr": "Bulgaristan",
      "tt": "Булgариа",
      "ug": "بۇلغارىيە",
      "uk": "Болгарія",
      "ur": "بلغاریہ",
      "uz": "Bolgariya",
      "ve": "Bulgaria",
      "vi": "Bua-ga-ri",
      "wa": "Bulgåreye",
      "wo": "Bulgaari",
      "xh": "Bulgaria",
      "yo": "Bùlgáríà",
      "zh_CN": "保加利亚",
      "zh_HK": "保加利亞",
      "zh_TW": "保加利亞",
      "zu": "IBulgariya"
    },
  );

  /// Country: The Kingdom of Bahrain
  static const Country bhr = Country(
    alpha2: 'BH',
    alpha3: 'BHR',
    continent: Continent.asia,
    countryCode: '973',
    currencyCode: 'BHD',
    gec: 'BA',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 26.0667,
        longitude: 50.5577,
      ),
      maxCoordinate: Coordinate(
        latitude: 26.3469001,
        longitude: 50.8509064,
      ),
      minCoordinate: Coordinate(
        latitude: 25.5349999,
        longitude: 50.324246,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 26.3469001,
          longitude: 50.8509064,
        ),
        southwest: Coordinate(
          latitude: 25.5349999,
          longitude: 50.324246,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'BRN',
    isoLongName: 'The Kingdom of Bahrain',
    isoShortName: 'Bahrain',
    languagesOfficial: ['ar'],
    languagesSpoken: ['ar'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Bahraini',
    number: '048',
    postalCode: true,
    postalCodeFormat: r'(?:\d|1[0-2])\d{2}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Western Asia',
    unLocode: 'BH',
    unofficialNames: ['Bahrain', 'البحرين', 'Bahreïn', 'Bahrein', 'バーレーン'],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Bahrain",
      "af": "Bahrein",
      "ak": "Bahrain",
      "am": "ባህሳን",
      "an": "Bahrein",
      "ar": "البحرين",
      "as": "বাহৰেইন",
      "ay": "Bahrain",
      "az": "Bahreyn",
      "ba": "Bahrain",
      "be": "Бахрэйн",
      "bg": "Бахрейн",
      "bi": "Bahrain",
      "bn": "বাহরেইন",
      "bn_IN": "বাহরেইন",
      "br": "Bahrein",
      "bs": "Bahrein",
      "ca": "Bahrain",
      "ce": "Бахрейн",
      "ch": "Bahrain",
      "cs": "Bahrajn",
      "cv": "Бахрейн",
      "cy": "Bahrain",
      "da": "Bahrain",
      "de": "Bahrain",
      "dv": "ބަޙްރައިން",
      "dz": "བཱ་རེན།",
      "ee": "Bahrain",
      "el": "Μπαχρέιν",
      "en": "Bahrain",
      "eo": "Barejno",
      "es": "Baréin",
      "et": "Bahrein",
      "eu": "Bahrain",
      "fa": "بحرین",
      "ff": "Bahrain",
      "fi": "Bahrain",
      "fo": "Bahrain",
      "fr": "Bahreïn",
      "fy": "De Barein",
      "ga": "Bairéin",
      "gl": "Bahrein",
      "gn": "Bahrain",
      "gu": "બહેરિન",
      "gv": "Bahrain",
      "ha": "Baharain",
      "he": "בחריין",
      "hi": "बहरीन",
      "hr": "Bahrein",
      "ht": "Barayn",
      "hu": "Bahrein",
      "hy": "Բահրեյն",
      "ia": "Bahrein",
      "id": "Bahrain",
      "io": "Bahrain",
      "is": "Barein",
      "it": "Bahrein",
      "iu": "Bahrain",
      "ja": "バーレーン",
      "ka": "ბაჰრეინი",
      "ki": "Bahrain",
      "kk": "Бахрейн",
      "kl": "Bahrain",
      "km": "បារ៉ែន",
      "kn": "ಬಹರೈನ್",
      "ko": "바레인",
      "ku": "Bahrayîn",
      "kv": "Бахрейн",
      "kw": "Bahreyn",
      "ky": "Бахрейн",
      "lo": "Bahrain",
      "lt": "Bahreinas",
      "lv": "Bahreina",
      "mi": "Bahrain",
      "mk": "Бахреин",
      "ml": "ബഹറൈന്‍",
      "mn": "Бахрейн",
      "mr": "बहारिन",
      "ms": "Bahrain",
      "mt": "Baħrejn",
      "my": "ဘာရိန်းနိုင်ငံ",
      "na": "Bahrain",
      "nb": "Bahrain",
      "ne": "बहराइन",
      "nl": "Bahrein",
      "nn": "Bahrain",
      "nv": "Bahrain",
      "oc": "Barein",
      "or": "ବାହାରୀନ",
      "pa": "ਬਹਿਰਾਨ",
      "pi": "बहरैन",
      "pl": "Bahrajn",
      "ps": "بحرین",
      "pt": "Barém",
      "pt_BR": "Barein",
      "ro": "Bahrein",
      "ru": "Бахрейн",
      "rw": "Bahirayini",
      "sc": "Bahrein",
      "sd": "بحرين",
      "si": "බහරේන්",
      "sk": "Bahrajn",
      "sl": "Bahrajn",
      "so": "Baxrayn",
      "sq": "Bahrein",
      "sr": "Бахреин",
      "sv": "Bahrain",
      "sw": "Bahrain",
      "ta": "பஹ்ரெயின்",
      "te": "బహరిన్",
      "tg": "Баҳрайн",
      "th": "บาห์เรน",
      "ti": "ባህሬን",
      "tk": "Bahreýn",
      "tl": "Bahrain",
      "tr": "Bahreyn",
      "tt": "Баһрейн",
      "ug": "بەھرەين",
      "uk": "Бахрейн",
      "ur": "بحرین",
      "uz": "Bahrayn",
      "ve": "Bahrain",
      "vi": "Ba-rainh",
      "wa": "Bareyn",
      "wo": "Bahrayin",
      "xh": "Bahrain",
      "yo": "Báháráìnì",
      "zh_CN": "巴林",
      "zh_HK": "巴林",
      "zh_TW": "巴林",
      "zu": "Bahrain"
    },
  );

  /// Country: The Republic of Burundi
  static const Country bdi = Country(
    alpha2: 'BI',
    alpha3: 'BDI',
    continent: Continent.africa,
    countryCode: '257',
    currencyCode: 'BIF',
    gec: 'BY',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -3.373056,
        longitude: 29.918886,
      ),
      maxCoordinate: Coordinate(
        latitude: -2.3097301,
        longitude: 30.84954,
      ),
      minCoordinate: Coordinate(
        latitude: -4.4693288,
        longitude: 29.000968,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -2.3097301,
          longitude: 30.84954,
        ),
        southwest: Coordinate(
          latitude: -4.4693288,
          longitude: 29.000968,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'BDI',
    isoLongName: 'The Republic of Burundi',
    isoShortName: 'Burundi',
    languagesOfficial: ['fr', 'rn'],
    languagesSpoken: ['fr', 'rn'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Burundian',
    number: '108',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'BI',
    unofficialNames: ['Burundi', 'ブルンジ'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Burundi",
      "af": "Burundi",
      "ak": "Burundi",
      "am": "Burundi",
      "an": "Burundi",
      "ar": "بوروندي",
      "as": "বুৰুন্ডি",
      "ay": "Burundi",
      "az": "Burundi",
      "ba": "Burundi",
      "be": "Бурундзі",
      "bg": "Бурунди",
      "bi": "Burundi",
      "bn": "বুরুন্ডি",
      "bn_IN": "বুরুন্ডি",
      "br": "Burundi",
      "bs": "Burundi",
      "ca": "Burundi",
      "ce": "Бурунди",
      "ch": "Burundi",
      "cs": "Burundi",
      "cv": "Бурунди",
      "cy": "Burundi",
      "da": "Burundi",
      "de": "Burundi",
      "dv": "ބުރުންޑީ",
      "dz": "བུ་རུན་ཌ་ཡེ།",
      "ee": "Burundi",
      "el": "Μπουρούντι",
      "en": "Burundi",
      "eo": "Burundo",
      "es": "Burundi",
      "et": "Burundi",
      "eu": "Burundi",
      "fa": "بوروندی",
      "ff": "Burunndi",
      "fi": "Burundi",
      "fo": "Burundi",
      "fr": "Burundi",
      "fy": "Bûrûndy",
      "ga": "An Bhurúin",
      "gl": "Burundi",
      "gn": "Burundi",
      "gu": "બુરુન્ડી",
      "gv": "Burundee",
      "ha": "Burundi",
      "he": "בורונדי",
      "hi": "बुरुण्डी",
      "hr": "Burundi",
      "ht": "Bouroundi",
      "hu": "Burundi",
      "hy": "Բուրունդի",
      "ia": "Burundi",
      "id": "Burundi",
      "io": "Burundi",
      "is": "Búrúndí",
      "it": "Burundi",
      "iu": "Burundi",
      "ja": "ブルンジ",
      "ka": "ბურუნდი",
      "ki": "Burundi",
      "kk": "Бурунди",
      "kl": "Burundi",
      "km": "ប៊ូរុនឌី",
      "kn": "ಬುರುಂಡಿ",
      "ko": "부룬디",
      "ku": "Bûrûndî",
      "kv": "Burundi",
      "kw": "Burundi",
      "ky": "Бурунди",
      "lo": "Burundi",
      "lt": "Burundis",
      "lv": "Burundi",
      "mi": "Puruniti",
      "mk": "Бурунди",
      "ml": "ബുറുണ്ടി",
      "mn": "Бурунди",
      "mr": "बुरुंडी",
      "ms": "Burundi",
      "mt": "Burundi",
      "my": "ဘူရွန်ဒီနိုင်ငံ",
      "na": "Burundi",
      "nb": "Burundi",
      "ne": "बुरण्डी",
      "nl": "Burundi",
      "nn": "Burundi",
      "nv": "Wóndii Dineʼé Bikéyah",
      "oc": "Burundi",
      "or": "ବୁରୁଣ୍ଡି",
      "pa": "ਬੂਰੂਮਾਡੀ",
      "pi": "बुरुंडी",
      "pl": "Burundi",
      "ps": "بروندي",
      "pt": "Burundi",
      "pt_BR": "Burundi",
      "ro": "Burundi",
      "ru": "Бурунди",
      "rw": "Uburundi",
      "sc": "Burundi",
      "sd": "Burundi",
      "si": "බුරුන්ඩි",
      "sk": "Burundi",
      "sl": "Burundi",
      "so": "Burundi",
      "sq": "Burundi",
      "sr": "Бурунди",
      "sv": "Burundi",
      "sw": "Burundi",
      "ta": "புருண்டி",
      "te": "బురుండీ",
      "tg": "Бурунди",
      "th": "บุรุนดี",
      "ti": "ቡሩንዲ",
      "tk": "Burundi",
      "tl": "Burundi",
      "tr": "Burundi",
      "tt": "Бурунди",
      "ug": "بۇرۇندى",
      "uk": "Бурунді",
      "ur": "برونڈی",
      "uz": "Burundi",
      "ve": "Burundi",
      "vi": "Bu-run-đi",
      "wa": "Bouroundi",
      "wo": "Buruundi",
      "xh": "Burundi",
      "yo": "Bùrúndì",
      "zh_CN": "布隆迪",
      "zh_HK": "布隆迪",
      "zh_TW": "蒲隆地",
      "zu": "IBurundi"
    },
  );

  /// Country: The Republic of Benin
  static const Country ben = Country(
    alpha2: 'BJ',
    alpha3: 'BEN',
    continent: Continent.africa,
    countryCode: '229',
    currencyCode: 'XOF',
    gec: 'BN',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 9.30769,
        longitude: 2.315834,
      ),
      maxCoordinate: Coordinate(
        latitude: 12.4086111,
        longitude: 3.8433429,
      ),
      minCoordinate: Coordinate(
        latitude: 6.2061001,
        longitude: 0.7754124000000001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 12.4086111,
          longitude: 3.8433429,
        ),
        southwest: Coordinate(
          latitude: 6.2061001,
          longitude: 0.7754124000000001,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'BEN',
    isoLongName: 'The Republic of Benin',
    isoShortName: 'Benin',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Beninese',
    number: '204',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Western Africa',
    unLocode: 'BJ',
    unofficialNames: ['Benin', 'Bénin', 'ベナン'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Benin",
      "af": "Benin",
      "ak": "Benin",
      "am": "Benin",
      "an": "Benín",
      "ar": "بنين",
      "as": "বেনিন",
      "ay": "Benin",
      "az": "Benin",
      "ba": "Benin",
      "be": "Бенін",
      "bg": "Бенин",
      "bi": "Benin",
      "bn": "বেনিন",
      "bn_IN": "বেনিন",
      "br": "Benin",
      "bs": "Benin",
      "ca": "Benín",
      "ce": "Бенин",
      "ch": "Benin",
      "cs": "Benin",
      "cv": "Бенин",
      "cy": "Benin",
      "da": "Benin",
      "de": "Benin",
      "dv": "ބެނީން",
      "dz": "བེ་ནིན།",
      "ee": "Benin",
      "el": "Μπενίν",
      "en": "Benin",
      "eo": "Benino",
      "es": "Benín",
      "et": "Benin",
      "eu": "Benin",
      "fa": "بنین",
      "ff": "Benen",
      "fi": "Benin",
      "fo": "Benin",
      "fr": "Bénin",
      "fy": "Benyn",
      "ga": "Beinin",
      "gl": "Benin",
      "gn": "Benin",
      "gu": "બેનિન",
      "gv": "Benin",
      "ha": "Benin",
      "he": "בנין",
      "hi": "बेनिन",
      "hr": "Benin",
      "ht": "Benen",
      "hu": "Benin",
      "hy": "Բենին",
      "ia": "Benin",
      "id": "Benin",
      "io": "Benin",
      "is": "Benín",
      "it": "Benin",
      "iu": "Benin",
      "ja": "ベナン",
      "ka": "ბენინი",
      "ki": "Benin",
      "kk": "Бенин",
      "kl": "Benin",
      "km": "បេណាំង",
      "kn": "ಬೆನಿನ್",
      "ko": "베냉",
      "ku": "Benîn",
      "kv": "Benin",
      "kw": "Benin",
      "ky": "Бенин",
      "lo": "Benin",
      "lt": "Beninas",
      "lv": "Benina",
      "mi": "Pēnina",
      "mk": "Бенин",
      "ml": "ബെനിന്‍",
      "mn": "Бенин",
      "mr": "बेनिन",
      "ms": "Benin",
      "mt": "Benin",
      "my": "ဘီနင်နိုင်ငံ",
      "na": "Benin",
      "nb": "Benin",
      "ne": "बेनिन",
      "nl": "Benin",
      "nn": "Benin",
      "nv": "Benin",
      "oc": "Benin",
      "or": "ବେନିନ୍",
      "pa": "ਬੀਨਾਨ",
      "pi": "बेनिन",
      "pl": "Benin",
      "ps": "بېنين",
      "pt": "Benim",
      "pt_BR": "Benin",
      "ro": "Benin",
      "ru": "Бенин",
      "rw": "Bene",
      "sc": "Benin",
      "sd": "بينن",
      "si": "බෙනින්",
      "sk": "Benin",
      "sl": "Benin",
      "so": "Beniin",
      "sq": "Benin",
      "sr": "Бенин",
      "sv": "Benin",
      "sw": "Benin",
      "ta": "பெனின்",
      "te": "బేనిన్",
      "tg": "Бенин",
      "th": "เบนิน",
      "ti": "ቤኒን",
      "tk": "Benin",
      "tl": "Benin",
      "tr": "Benin",
      "tt": "Бенин",
      "ug": "بېنىن",
      "uk": "Бенін",
      "ur": "بینن",
      "uz": "Benin",
      "ve": "Benin",
      "vi": "Bê-ninh",
      "wa": "Benin",
      "wo": "Benin",
      "xh": "Benin",
      "yo": "Benin",
      "zh_CN": "贝宁",
      "zh_HK": "貝寧",
      "zh_TW": "貝南",
      "zu": "IBenini"
    },
  );

  /// Country: The Collectivity of Saint-Barthélemy
  static const Country blm = Country(
    alpha2: 'BL',
    alpha3: 'BLM',
    continent: Continent.northAmerica,
    countryCode: '590',
    currencyCode: 'EUR',
    gec: 'TB',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 17.9,
        longitude: -62.833333,
      ),
      maxCoordinate: Coordinate(
        latitude: 17.978,
        longitude: -62.7869,
      ),
      minCoordinate: Coordinate(
        latitude: 17.8663,
        longitude: -62.9559999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 17.978,
          longitude: -62.7869,
        ),
        southwest: Coordinate(
          latitude: 17.8663,
          longitude: -62.9559999,
        ),
      ),
    ),
    internationalPrefix: '',
    ioc: null,
    isoLongName: 'The Collectivity of Saint-Barthélemy',
    isoShortName: 'Saint Barthélemy',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [],
    nationalNumberLengths: [],
    nationalPrefix: '',
    nationality: 'Saint Barthélemy Islander',
    number: '652',
    postalCode: true,
    postalCodeFormat: r'9[78][01]\d{2}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'BL',
    unofficialNames: ['Saint Barthélemy', 'Saint-Barthélemy', 'サン・バルテルミー'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Saint Barthélemy",
      "af": "Sint Barthélemy",
      "ak": "Saint Barthélemy",
      "am": "Saint Barthélemy",
      "an": "Saint Barthélemy",
      "ar": "سان بارتليمي",
      "as": "চেন্ট বাৰ্থেলেমি",
      "ay": "Saint Barthélemy",
      "az": "Saint Barthélemy",
      "ba": "Saint Barthélemy",
      "be": "Сен-Бартэльмі",
      "bg": "Свети Вартоломей",
      "bi": "Saint Barthélemy",
      "bn": "সেন্ট বার্থেলেমি",
      "bn_IN": "সেন্ট বার্থেলেমি",
      "br": "Saint Barthélemy",
      "bs": "Saint Barthélemy",
      "ca": "Saint Barthélemy",
      "ce": "Saint Barthélemy",
      "ch": "Saint Barthélemy",
      "cs": "Svatý Bartoloměj",
      "cv": "Saint Barthélemy",
      "cy": "Saint Barthélemy",
      "da": "Sankt Bartolomæus",
      "de": "Saint-Barthélemy",
      "dv": "Saint Barthélemy",
      "dz": "སེནཊི་བཱརཐ་ལེ་མི།",
      "ee": "Saint Barthélemy",
      "el": "Άγιος Βαρθολομαίος",
      "en": "Saint Barthélemy",
      "eo": "Sankta-Bartolomeo",
      "es": "San Bartolomé",
      "et": "Saint-Barthélemy",
      "eu": "Saint Barthélemy",
      "fa": "سنت بارتلمی",
      "ff": "Saint Barthélemy",
      "fi": "Saint Barthélemy",
      "fo": "Saint Barthélemy",
      "fr": "Saint-Barthélemy",
      "fy": "Saint Barthélemy",
      "ga": "San Parthalán",
      "gl": "San Bartolomé",
      "gn": "Saint Barthélemy",
      "gu": "સેન્ટ બાર્થેલેમિ",
      "gv": "Saint Barthélemy",
      "ha": "Saint Barthélemy",
      "he": "סנט ברתלמי",
      "hi": "सेंट बार्थेलेमी",
      "hr": "Sveti Bartolomej",
      "ht": "Saint Barthélemy",
      "hu": "Saint Barthélemy",
      "hy": "Սուրբ Բարդուղիմեոսի կղզի",
      "ia": "Sancte Barthelemy",
      "id": "Saint Barthélemy",
      "io": "Saint Barthélemy",
      "is": "Sankti Bartelemí",
      "it": "Saint Barts",
      "iu": "Saint Barthélemy",
      "ja": "サンバルテルミ",
      "ka": "სენ-ბართლემი",
      "ki": "Saint Barthélemy",
      "kk": "Сен-Бартельми",
      "kl": "Saint Barthélemy",
      "km": "សាន​បាទេលេមី",
      "kn": "Saint Barthélemy",
      "ko": "생바르텔레미",
      "ku": "Saint Barthélemy",
      "kv": "Saint Barthélemy",
      "kw": "Saint Barthélemy",
      "ky": "Сен-Бартельми",
      "lo": "Saint Barthélemy",
      "lt": "San Bartelemis",
      "lv": "Senbartelmī",
      "mi": "Saint Barthélemy",
      "mk": "Св. Бартоломеј",
      "ml": "സെയിന്റ് ബാര്‍ത്തെലേമി",
      "mn": "Saint Barthélemy",
      "mr": "सेंट बर्थेलेमी",
      "ms": "Saint Barthélemy",
      "mt": "Saint Barthélemy",
      "my": "Saint Barthélemy",
      "na": "Saint Barthélemy",
      "nb": "Saint-Barthélemy",
      "ne": "शन्त Barthelemy",
      "nl": "Saint-Barthélemy",
      "nn": "Saint Barthélemy",
      "nv": "Saint Barthélemy",
      "oc": "Sant Bertomieu",
      "or": "ସେଣ୍ଟ ବାର୍ଥେଲେମୀ",
      "pa": "ਸੇਂਟ ਬਰਥੀਲੀਮੇ",
      "pi": "Saint Barthélemy",
      "pl": "Saint-Barthélemy",
      "ps": "Saint Barthélemy",
      "pt": "Saint Barthélemy",
      "pt_BR": "São Bartolomeu",
      "ro": "Sfântul Bartolomeu",
      "ru": "Сен-Бартельми",
      "rw": "Saint Barthélemy",
      "sc": "Saint Barthélemy",
      "sd": "Saint Barthélemy",
      "si": "ශාන්ත බර්තොලමියු",
      "sk": "Svätý Bartolomej",
      "sl": "Saint Barthelemy",
      "so": "Saint Barthélemy",
      "sq": "Shën Bartolome",
      "sr": "Свети Бартоломеј",
      "sv": "Saint-Barthélemy",
      "sw": "Saint Barthélemy",
      "ta": "செயின்ட் பார்த்லெமி",
      "te": "సైంట్ బర్తెలెమి",
      "tg": "Сент­Бартелеми",
      "th": "แซงบาร์เตเลอมี",
      "ti": "Saint Barthélemy",
      "tk": "Sen-Bartelmi",
      "tl": "Saint Barthélemy",
      "tr": "Saint Barthélemy",
      "tt": "Saint Barthélemy",
      "ug": "ساينىت-بارتھېلەمي",
      "uk": "Сен-Бартельмі",
      "ur": "Saint Barthélemy",
      "uz": "Saint Barthélemy",
      "ve": "Saint Barthélemy",
      "vi": "Saint Barthélemy",
      "wa": "Sint Bartelemi",
      "wo": "Saint Barthélemy",
      "xh": "Saint Barthélemy",
      "yo": "Saint Barthélemy",
      "zh_CN": "圣巴泰勒米岛",
      "zh_HK": "聖巴泰勒米",
      "zh_TW": "聖巴瑟米",
      "zu": "Saint Barthélemy"
    },
  );

  /// Country: Bermuda
  static const Country bmu = Country(
    alpha2: 'BM',
    alpha3: 'BMU',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'BMD',
    gec: 'BD',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 32.3078,
        longitude: -64.7505,
      ),
      maxCoordinate: Coordinate(
        latitude: 32.3961,
        longitude: -64.6413999,
      ),
      minCoordinate: Coordinate(
        latitude: 32.2424975,
        longitude: -64.89139999999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 32.3961,
          longitude: -64.6413999,
        ),
        southwest: Coordinate(
          latitude: 32.2424975,
          longitude: -64.89139999999999,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'BER',
    isoLongName: 'Bermuda',
    isoShortName: 'Bermuda',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Bermudian',
    number: '060',
    postalCode: true,
    postalCodeFormat: r'[A-Z]{2} ?[A-Z0-9]{2}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Northern America',
    unLocode: 'BM',
    unofficialNames: ['Bermuda', 'Bermudes', 'Bermudas', 'バミューダ'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1441',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Bermuda",
      "af": "Bermunda",
      "ak": "Bermuda",
      "am": "ቤሴሙ፣",
      "an": "Bermudas",
      "ar": "برمودا",
      "as": "বাৰ্মুডা",
      "ay": "Bermuda",
      "az": "Bermuda",
      "ba": "Bermuda",
      "be": "Бермудскія астравы",
      "bg": "Бермуда",
      "bi": "Bermuda",
      "bn": "বার্মুডা",
      "bn_IN": "বার্মুডা",
      "br": "Bermuda",
      "bs": "Bermuda",
      "ca": "Bermuda",
      "ce": "Бермуда гӀайренаш",
      "ch": "Bermuda",
      "cs": "Bermudy",
      "cv": "Бермуда гӀайренаш",
      "cy": "Bermuda",
      "da": "Bermuda",
      "de": "Bermuda",
      "dv": "ބާމިއުޑާ",
      "dz": "བར་མུ་ད།",
      "ee": "Bermuda",
      "el": "Βερμούδες",
      "en": "Bermuda",
      "eo": "Bermudoj",
      "es": "Islas Bermudas",
      "et": "Bermuda",
      "eu": "Bermuda",
      "fa": "برمودا",
      "ff": "Bermuda",
      "fi": "Bermuda",
      "fo": "Bermuda",
      "fr": "Bermudes",
      "fy": "Bermuda",
      "ga": "Na Beirmiúdaí",
      "gl": "Illas Bermudas",
      "gn": "Bermuda",
      "gu": "બર્મ્યુડા",
      "gv": "Ny Bermioodee",
      "ha": "Bermuda",
      "he": "ברמודה",
      "hi": "बरमूडा",
      "hr": "Bermudi",
      "ht": "Bermid",
      "hu": "Bermuda",
      "hy": "Բերմուդյան Կղզիներ",
      "ia": "Bermuda",
      "id": "Bermuda",
      "io": "Bermuda",
      "is": "Bermúda",
      "it": "Bermuda",
      "iu": "Bermuda",
      "ja": "バーミューダ",
      "ka": "ბერმუდა",
      "ki": "Bermuda",
      "kk": "Бермуд аралдары",
      "kl": "Bermuda",
      "km": "ប៊េរមូដា",
      "kn": "ಬರ್ಮುಡಾ",
      "ko": "버뮤다",
      "ku": "Bermûda",
      "kv": "Bermuda",
      "kw": "Bermuda",
      "ky": "Бермуд аралдары",
      "lo": "Bermuda",
      "lt": "Bermuda",
      "lv": "Bermunda",
      "mi": "Bermuda",
      "mk": "Бермуди",
      "ml": "ബര്‍മുഡ",
      "mn": "Bermuda",
      "mr": "बर्म्युडा",
      "ms": "Bermuda",
      "mt": "Bermuda",
      "my": "Bermuda",
      "na": "Bermuda",
      "nb": "Bermuda",
      "ne": "बरमुढा",
      "nl": "Bermuda",
      "nn": "Bermuda",
      "nv": "Bermuda",
      "oc": "Bermudas",
      "or": "ବର୍ମୁଡା",
      "pa": "ਬਾਰਾਮੂਡਾ",
      "pi": "Bermuda",
      "pl": "Bermudy",
      "ps": "Bermuda",
      "pt": "Bermudas",
      "pt_BR": "Bermuda",
      "ro": "Bermude",
      "ru": "Бермуды",
      "rw": "Berimuda",
      "sc": "Bermuda",
      "sd": "برمودا",
      "si": "බර්මියුඩා",
      "sk": "Bermudy",
      "sl": "Bermuda",
      "so": "Bermuda",
      "sq": "Bermuda",
      "sr": "Бермуда",
      "sv": "Bermuda",
      "sw": "Bermuda",
      "ta": "பெர்முடா",
      "te": "బెర్మ్యుడా",
      "tg": "Бермуда",
      "th": "เบอร์มิวดา",
      "ti": "ቤርሙዳ",
      "tk": "Bermud adalary",
      "tl": "Bermuda",
      "tr": "Bermuda",
      "tt": "Бермуда",
      "ug": "بېرمۇدا",
      "uk": "Бермудські острови",
      "ur": "برمودا",
      "uz": "Bermuda orollari",
      "ve": "Bermuda",
      "vi": "Be-mu-đa",
      "wa": "Bermudes",
      "wo": "Bermuda",
      "xh": "Bermuda",
      "yo": "Bẹ̀rmúdà",
      "zh_CN": "百慕大",
      "zh_HK": "百慕達",
      "zh_TW": "百慕達",
      "zu": "Bermuda"
    },
  );

  /// Country: The Nation of Brunei, the Abode of Peace
  static const Country brn = Country(
    alpha2: 'BN',
    alpha3: 'BRN',
    continent: Continent.asia,
    countryCode: '673',
    currencyCode: 'BND',
    gec: 'BX',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 4.535277,
        longitude: 114.727669,
      ),
      maxCoordinate: Coordinate(
        latitude: 5.0978001,
        longitude: 115.3639552,
      ),
      minCoordinate: Coordinate(
        latitude: 4.002460999999999,
        longitude: 114.0752,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 5.0978001,
          longitude: 115.3639552,
        ),
        southwest: Coordinate(
          latitude: 4.002460999999999,
          longitude: 114.0752,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'BRU',
    isoLongName: 'The Nation of Brunei, the Abode of Peace',
    isoShortName: 'Brunei Darussalam',
    languagesOfficial: ['ms'],
    languagesSpoken: ['ms'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: '0',
    nationality: 'Bruneian',
    number: '096',
    postalCode: true,
    postalCodeFormat: r'[A-Z]{2} ?\d{4}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'South-Eastern Asia',
    unLocode: 'BN',
    unofficialNames: ['Brunei', 'ブルネイ・ダルサラーム'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Brunei Darussalam",
      "af": "Broenei",
      "ak": "Brunei Darussalam",
      "am": "Brunei Darussalam",
      "an": "Brunei Darussalam",
      "ar": "بروناي دار السّلام",
      "as": "ব্ইচ্‌লামিকুনেই ডাৰুছালাম",
      "ay": "Brunei Darussalam",
      "az": "Bruney Darüssəlam",
      "ba": "Brunei Darussalam",
      "be": "Бруней-Дарусалам",
      "bg": "Бруней",
      "bi": "Brunei Darussalam",
      "bn": "ব্রুনেই দারুসলাম",
      "bn_IN": "ব্রুনেই দারুসলাম",
      "br": "Brunei Darussalam",
      "bs": "Bruneji",
      "ca": "Brunei (Negara Brunei Darussalam)",
      "ce": "Brunei Darussalam",
      "ch": "Brunei Darussalam",
      "cs": "Brunej",
      "cv": "Brunei Darussalam",
      "cy": "Brunei Darussalam",
      "da": "Brunei",
      "de": "Brunei Darussalam",
      "dv": "Brunei Darussalam",
      "dz": "བུ་རུ་ན་ཡེ་ ད་རུ་ས་ལམ།",
      "ee": "Brunei Darussalam",
      "el": "Μπρουνέι Νταρουσαλάμ",
      "en": "Brunei Darussalam",
      "eo": "Brunejo",
      "es": "Brunei Darussalam",
      "et": "Brunei Darussalami Riik",
      "eu": "Brunei Darussalam",
      "fa": "برونئی دارالسلام",
      "ff": "Brunei Darussalam",
      "fi": "Brunei Darussalamin valtio",
      "fo": "Brunei Darussalam",
      "fr": "Brunéi Darussalam",
      "fy": "Brunei Darussalam",
      "ga": "Brúiné Dárasalám",
      "gl": "Brunei Darussalam",
      "gn": "Brunei Darussalam",
      "gu": "બ્રુનેઇ દારુસલેમ",
      "gv": "Brunei Darussalam",
      "ha": "Brunei Darussalam",
      "he": "ברונאי דרוסלאלם",
      "hi": "ब्रुनेई दरउस्सलाम",
      "hr": "Brunej Darussalam",
      "ht": "Brunei Darussalam",
      "hu": "Brunei Darussalam Állam",
      "hy": "Բրունեյ",
      "ia": "Brunei Darussalam",
      "id": "Brunei Darussalam",
      "io": "Brunei Darussalam",
      "is": "Brúnei Darussalam",
      "it": "Brunei",
      "iu": "Brunei Darussalam",
      "ja": "ブルネイ・ダルサラーム国",
      "ka": "ბრუნეი დარუსალამი",
      "ki": "Brunei Darussalam",
      "kk": "Бруней",
      "kl": "Brunei Darussalam",
      "km": "ប្រ៊ុយណេ​ដារុយសាឡឹម",
      "kn": "ಬ್ರೂನೈ ದಾರುಸ್ಸಲಾಂ",
      "ko": "브루나이 다루살람",
      "ku": "Brûney Darûssalam",
      "kv": "Brunei Darussalam",
      "kw": "Brunei Darussalam",
      "ky": "Бруней-Даруссалам",
      "lo": "Brunei Darussalam",
      "lt": "Brunėjaus Darusalamas",
      "lv": "Brunejas Darusalamas Valsts",
      "mi": "Brunei Darussalam",
      "mk": "Брунеи Дарусалам",
      "ml": "ബ്രൂണെയ് ദാറുസ്സലാം",
      "mn": "Брунейн вант улс",
      "mr": "ब्रुनोइ दारुसलाम",
      "ms": "Brunei Darussalam",
      "mt": "Brunei Darussalam",
      "my": "Brunei Darussalam",
      "na": "Brunei Darussalam",
      "nb": "Brunei Darussalam",
      "ne": "ब्रुनाई दारुसलाम",
      "nl": "Brunei",
      "nn": "Brunei",
      "nv": "Brunei Darussalam",
      "oc": "Brunei",
      "or": "ବ୍ରୁନେଈ ଦାଋସାଲମ",
      "pa": "ਬਰੂਨਈ ਡਾਰੂਸ਼ਲਾਮ",
      "pi": "Brunei Darussalam",
      "pl": "Państwo Brunei",
      "ps": "Brunei Darussalam",
      "pt": "Brunei",
      "pt_BR": "Brunei",
      "ro": "Brunei",
      "ru": "Бруней Даруссалам",
      "rw": "Buruneyi Darisalamu",
      "sc": "Brunei Darussalam",
      "sd": "Brunei Darussalam",
      "si": "බෲනායි දරුසලම්",
      "sk": "Brunejsko-darussalamský štát",
      "sl": "Brunej",
      "so": "Brunei Darussalam",
      "sq": "Brunei",
      "sr": "Султанат Брунеји",
      "sv": "Brunei",
      "sw": "Brunei Darussalam",
      "ta": "ப்ரூனே தருசலம்",
      "te": "బ్రునోఇ దారుసలామ",
      "tg": "Ҷумҳурии Брунейи Доруссалом",
      "th": "บรูไนดารุสซาลาม",
      "ti": "Brunei Darussalam",
      "tk": "Bruneý Darussalam",
      "tl": "Brunei Darussalam",
      "tr": "Brunei Krallığı",
      "tt": "Брунеи Даруссалам",
      "ug": "بىرۇنېي دارېسسالام",
      "uk": "Бруней",
      "ur": "Brunei Darussalam",
      "uz": "Brunei Darussalam",
      "ve": "Brunei Darussalam",
      "vi": "Bợru-này Đa-ru-xa-làm",
      "wa": "Bruney",
      "wo": "Brunaay Daarussalaam",
      "xh": "Brunei Darussalam",
      "yo": "Brunei Darussalam",
      "zh_CN": "文莱",
      "zh_HK": "汶萊",
      "zh_TW": "汶萊",
      "zu": "Brunei Darussalam"
    },
  );

  /// Country: The Plurinational State of Bolivia
  static const Country bol = Country(
    alpha2: 'BO',
    alpha3: 'BOL',
    continent: Continent.southAmerica,
    countryCode: '591',
    currencyCode: 'BOB',
    gec: 'BL',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -16.290154,
        longitude: -63.58865299999999,
      ),
      maxCoordinate: Coordinate(
        latitude: -9.669323,
        longitude: -57.453803,
      ),
      minCoordinate: Coordinate(
        latitude: -22.8980899,
        longitude: -69.64498999999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -9.669323,
          longitude: -57.453803,
        ),
        southwest: Coordinate(
          latitude: -22.8980899,
          longitude: -69.64498999999999,
        ),
      ),
    ),
    internationalPrefix: '0010',
    ioc: 'BOL',
    isoLongName: 'The Plurinational State of Bolivia',
    isoShortName: 'Bolivia (Plurinational State of)',
    languagesOfficial: ['es', 'ay', 'qu'],
    languagesSpoken: ['es', 'ay', 'qu'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '010',
    nationality: 'Bolivian',
    number: '068',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'South America',
    unLocode: 'BO',
    unofficialNames: ['Bolivia', 'Bolivien', 'Bolivie', 'ボリビア多民族国'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Bolivia",
      "af": "Bolivië",
      "ak": "Bolivia",
      "am": "ቦሑቱ።",
      "an": "Bolivia",
      "ar": "بوليفيا",
      "as": "বলীভিয়া",
      "ay": "Bolivia",
      "az": "Boliviya",
      "ba": "Bolivia",
      "be": "Балівія",
      "bg": "Боливия",
      "bi": "Bolivia",
      "bn": "বোলিভিয়া",
      "bn_IN": "বোলিভিয়া",
      "br": "Bolivia",
      "bs": "Bolivija",
      "ca": "Bolívia",
      "ce": "Боливи",
      "ch": "Bolivia",
      "cs": "Bolívie",
      "cv": "Боливи",
      "cy": "Bolifia",
      "da": "Bolivia",
      "de": "Bolivien",
      "dv": "ބޮލީވިއާ",
      "dz": "བོ་ལི་བི་ཡ།",
      "ee": "Bolivia",
      "el": "Βολιβία",
      "en": "Bolivia",
      "eo": "Bolivio",
      "es": "Bolivia",
      "et": "Boliivia",
      "eu": "Bolivia",
      "fa": "بولیوی",
      "ff": "Bolivia",
      "fi": "Bolivia",
      "fo": "Bolivia",
      "fr": "Bolivie",
      "fy": "Bolivia",
      "ga": "An Bholaiv",
      "gl": "Bolivia",
      "gn": "Bolivia",
      "gu": "બોલિવિયા",
      "gv": "Yn Volivia",
      "ha": "Bolivia",
      "he": "בוליביה",
      "hi": "बोलिविया",
      "hr": "Bolivija",
      "ht": "Bolivi",
      "hu": "Bolívia",
      "hy": "Բոլիվիա",
      "ia": "Bolivia",
      "id": "Bolivia",
      "io": "Bolivia",
      "is": "Bólivía",
      "it": "Bolivia",
      "iu": "Bolivia",
      "ja": "ボリビア",
      "ka": "ბოლივია",
      "ki": "Bolivia",
      "kk": "Боливия",
      "kl": "Bolivia",
      "km": "បូលីវី",
      "kn": "ಬೊಲಿವಿಯಾ",
      "ko": "볼리비아",
      "ku": "Bolîvya",
      "kv": "Bolivia",
      "kw": "Bolivi",
      "ky": "Боливия",
      "lo": "ປະເທດໂບລີວີ",
      "lt": "Bolivija",
      "lv": "Bolīvija",
      "mi": "Poriwia",
      "mk": "Боливија",
      "ml": "ബൊളീവിയ",
      "mn": "Боливи",
      "mr": "बोलिव्हिये",
      "ms": "Bolivia",
      "mt": "Bolivja",
      "my": "ဘိုလီးဗီးယားနိုင်ငံ",
      "na": "Boribiya",
      "nb": "Bolivia",
      "ne": "बोलिभिया",
      "nl": "Bolivia",
      "nn": "Bolivia",
      "nv": "Ałhidadiikʼą́ Dineʼé Bikéyah",
      "oc": "Bolivia",
      "or": "ବୋଲିଭିଆ",
      "pa": "ਬੋਲੋਵੀਆ",
      "pi": "बोलिविया",
      "pl": "Boliwia",
      "ps": "بولېویا",
      "pt": "Bolívia",
      "pt_BR": "Bolívia",
      "ro": "Bolivia",
      "ru": "Боливия",
      "rw": "Boliviya",
      "sc": "Bolìvia",
      "sd": "Bolivia",
      "si": "බොලීවියාව",
      "sk": "Bolívia",
      "sl": "Bolivija",
      "so": "Boliifia",
      "sq": "Bolivi",
      "sr": "Боливија",
      "sv": "Bolivia",
      "sw": "Bolivia",
      "ta": "பொலிவியா",
      "te": "బోలివియ",
      "tg": "Боливия",
      "th": "โบลิเวีย",
      "ti": "ቦሊቭያ",
      "tk": "Boliwiýa",
      "tl": "Bolivia",
      "tr": "Bolivya",
      "tt": "Боливиа",
      "ug": "بولىۋىيە",
      "uk": "Болівія",
      "ur": "بولیویا",
      "uz": "Boliviya",
      "ve": "Bolivia",
      "vi": "Bô-li-vi-a",
      "wa": "Boliveye",
      "wo": "Boliibi",
      "xh": "Bolivia",
      "yo": "Bòlífíà",
      "zh_CN": "波利维亚",
      "zh_HK": "玻利維亞",
      "zh_TW": "玻利維亞",
      "zu": "I Boliviya"
    },
  );

  /// Country: Bonaire, Sint Eustatius and Saba
  static const Country bes = Country(
    alpha2: 'BQ',
    alpha3: 'BES',
    continent: Continent.northAmerica,
    countryCode: '599',
    currencyCode: 'USD',
    gec: null,
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 12.1783611,
        longitude: -68.2385339,
      ),
      maxCoordinate: Coordinate(
        latitude: 17.6606999,
        longitude: -62.9228,
      ),
      minCoordinate: Coordinate(
        latitude: 11.9641,
        longitude: -68.5149,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 17.6606999,
          longitude: -62.9228,
        ),
        southwest: Coordinate(
          latitude: 11.9641,
          longitude: -68.5149,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'Bonaire, Sint Eustatius and Saba',
    isoShortName: 'Bonaire, Sint Eustatius and Saba',
    languagesOfficial: ['nl', 'en'],
    languagesSpoken: ['nl', 'en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: '0',
    nationality: 'Dutch',
    number: '535',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'BQ',
    unofficialNames: [
      'Bonaire, Sint Eustatius and Saba',
      'Caribbean Netherlands',
      'Caribisch Nederland',
      'ボネール、シント・ユースタティウスおよびサバ'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Bonaire, Sint Eustatius and Saba",
      "af": "Bonaire, Sint Eustatius en Saba",
      "ak": "Bonaire, Sint Eustatius and Saba",
      "am": "Bonaire, Sint Eustatius and Saba",
      "an": "Bonaire, Sint Eustatius i Saba",
      "ar": "بونير، سينت أوستاتيوس وسابا",
      "as": "Bonaire, Sint Eustatius and Saba",
      "ay": "Bonaire, Sint Eustatius and Saba",
      "az": "Bonaire, Sint Eustatius and Saba",
      "ba": "Bonaire, Sint Eustatius and Saba",
      "be": "Банэйр, Сінт-Эстатыус і Саба",
      "bg": "О-ви Бонер, Св. Евстатий и Саба",
      "bi": "Bonaire, Sint Eustatius and Saba",
      "bn": "বোনাইর, ইসটাটিস এবং সাবা",
      "bn_IN": "বনেয়ার, সিন্ট ইউস্টেটিয়াস ও সাবা",
      "br": "Bonaire, Sint Eustatius and Saba",
      "bs": "Bonaire, Sint Eustatius i Saba",
      "ca": "Bonaire, Sint Eustatius i Saba",
      "ce": "Bonaire, Sint Eustatius and Saba",
      "ch": "Bonaire, Sint Eustatius and Saba",
      "cs": "Bonaire, Svatý Eustach a Saba",
      "cv": "Bonaire, Sint Eustatius and Saba",
      "cy": "Bonaire, Sint Eustatius a Saba",
      "da": "Bonaire, Sint Eustatius og Saba",
      "de": "Bonaire, Sint Eustatius und Saba",
      "dv": "Bonaire, Sint Eustatius and Saba",
      "dz": "Bonaire, Sint Eustatius and Saba",
      "ee": "Bonaire, Sint Eustatius and Saba",
      "el": "Μποναίρ, Άγιος Ευστράτιος και Σάμπα",
      "en": "Bonaire, Sint Eustatius and Saba",
      "eo": "Bonero, Sankta-Eŭstakio kaj Sabo",
      "es": "Islas BES (Caribe Neerlandés)",
      "et": "Bonaire, Sint Eustatius ja Saba",
      "eu": "Bonaire, Sint Eustatius eta Saba",
      "fa": "بنیر، سنت یوستتیوس",
      "ff": "Bonaire, Sint Eustatius and Saba",
      "fi": "Bonaire, Sint Eustatius ja Saba",
      "fo": "Bonaire, Sint Eustatius and Saba",
      "fr": "Bonaire, Saint-Eustache et Saba",
      "fy": "Bonaire, Sint Eustatius and Saba",
      "ga": "Bonaire, San Eustatius agus Saba",
      "gl": "Bonaire, San Eustaquio e Saba",
      "gn": "Bonaire, Sint Eustatius and Saba",
      "gu": "બોનાએર, સિન્ટ ઈસ્ટાટિસુસ એન્ડ સાબા",
      "gv": "Bonaire, Sint Eustatius and Saba",
      "ha": "Bonaire, Sint Eustatius and Saba",
      "he": "בונייר, סנט אוסטתיוס וסאבא",
      "hi": "बोनैर, सिंट यूस्टेटीयस एंड साबा",
      "hr": "Bonaire, Sveti Eustahije i Saba",
      "ht": "Bonaire, Sint Eustatius and Saba",
      "hu": "Bonaire, Saint Eustatius és Saba",
      "hy": "Բոնեյրե, Սինտ Էվստատիուս և Սաբա",
      "ia": "Bonaire, Sint Eustatius e Saba",
      "id": "Bonaire, Sint Eustatius and Saba",
      "io": "Bonaire, Sint Eustatius and Saba",
      "is": "Bonaire, Sankti Eustatius og Saba",
      "it": "Paesi Bassi caraibici",
      "iu": "Bonaire, Sint Eustatius and Saba",
      "ja": "ボネール、シントユースタティウス及びサバ",
      "ka": "Bonaire, Sint Eustatius and Saba",
      "ki": "Bonaire, Sint Eustatius and Saba",
      "kk": "Бонайре, Синт-Эстатиус және Саба",
      "kl": "Bonaire, Sint Eustatius and Saba",
      "km": "បូស្នី ស៊ីន អ៊ីស្តាំធូស និង​សាបា",
      "kn": "Bonaire, Sint Eustatius and Saba",
      "ko": "보네르, 신트외스타티위스, 사바 섬",
      "ku": "Bonaire, Sint Eustatius û Saba",
      "kv": "Bonaire, Sint Eustatius and Saba",
      "kw": "Bonaire, Sint Eustatius and Saba",
      "ky": "Бонайре, Синт-Эстатиус жана Саба",
      "lo": "Bonaire, Sint Eustatius and Saba",
      "lt": "Bonairė, Sint Eustatijus ir Saba",
      "lv": "Bonaire, Sintēstatiusa un Saba",
      "mi": "Bonaire, Sint Eustatius and Saba",
      "mk": "Бониаре, Св. Еустатиус и Саба",
      "ml": "Bonaire, Sint Eustatius and Saba",
      "mn": "Bonaire, Sint Eustatius and Saba",
      "mr": "बोनेअस, सिंट युस्टेशिअस आणि साबा",
      "ms": "Belanda Caribbean",
      "mt": "Bonaire, Sint Eustatius and Saba",
      "my": "Bonaire, Sint Eustatius and Saba",
      "na": "Bonaire, Sint Eustatius and Saba",
      "nb": "Bonaire, Sint Eustatius og Saba",
      "ne": "बोनाइर, सेन्ट ईयुस्टासस् र साबा",
      "nl": "Bonaire, Sint Eustatius en Saba",
      "nn": "Bonaire, Sint Eustatius and Saba",
      "nv": "Bonaire, Sint Eustatius and Saba",
      "oc": "Bonaire, Sant Eustaqui e Saba",
      "or": "ବୋନେର୍, ସିଣ୍ଟ ୟୁଷ୍ଟାସିଅସ ଏବଂ ସାବା",
      "pa": "ਬੋਨਾਏਰੇ, ਸੇਂਟ ਇਊਸਟਾਟਿਊਸ ਅਤੇ ਸਾਬਾ",
      "pi": "Bonaire, Sint Eustatius and Saba",
      "pl": "Bonaire, Sint Eustatius i Saba",
      "ps": "Bonaire, Sint Eustatius and Saba",
      "pt": "Caraíbas Neerlandesas",
      "pt_BR": "Bonaire, Saba e Santo Eustáquio",
      "ro": "Bonaire, Sint Eustatius și Saba",
      "ru": "Бонайре, Синт-Эстатиус и Саба",
      "rw": "Bonaire, Sint Eustatius and Saba",
      "sc": "Bonaire, Sint Eustatius e Saba",
      "sd": "Bonaire, Sint Eustatius and Saba",
      "si": "බොනාරේ. සිනෙට් එස්ටාටියස් හා සාබා",
      "sk": "Bonaire, Sint Eustatius a Saba",
      "sl": "Bonaire, Sint Eustatius in Saba",
      "so": "Bonaire, Sint Eustatius and Saba",
      "sq": "Boner, Shën Efstathi dhe Sava",
      "sr": "Бонер, Свети Еустахије и Саба",
      "sv": "Bonaire, Sint Eustatius och Saba",
      "sw": "Bonaire, Sint Eustatius and Saba",
      "ta": "Bonaire, Sint Eustatius and Saba",
      "te": "Bonaire, Sint Eustatius and Saba",
      "tg": "Бонайре, Синт-Эстатиус ва Саба",
      "th": "บอแนร์, เซนต์ยูสเตเชียส และ เซบา",
      "ti": "Bonaire, Sint Eustatius and Saba",
      "tk": "Boneýr, Sint-Estatius we Saba",
      "tl": "Bonaire, Sint Eustatius and Saba",
      "tr": "Bonaire, Sint Eustatius ve Saba",
      "tt": "Bonaire, Sint Eustatius and Saba",
      "ug": "بونەر، ساينىت يۇستىفەس ۋە سابا",
      "uk": "Бонайре, Сінт-Естатіус і Саба",
      "ur": "Bonaire, Sint Eustatius and Saba",
      "uz": "Bonaire, Sint Eustatius and Saba",
      "ve": "Bonaire, Sint Eustatius and Saba",
      "vi": "Bông-Ne, Xin E-u-xờ-ta-ti-tút và Xa-ba",
      "wa": "Bonaire, Sint Eustatius & Saba",
      "wo": "Bonaire, Sint Eustatius and Saba",
      "xh": "Bonaire, Sint Eustatius and Saba",
      "yo": "Bonaire, Sint Eustatius and Saba",
      "zh_CN": "博奈尔、圣尤斯特歇斯岛和萨巴",
      "zh_HK": "荷蘭加勒比區",
      "zh_TW": "波內赫、聖尤斯特歇斯及薩巴",
      "zu": "Bonaire, Sint Eustatius and Saba"
    },
  );

  /// Country: The Federative Republic of Brazil
  static const Country bra = Country(
    alpha2: 'BR',
    alpha3: 'BRA',
    continent: Continent.southAmerica,
    countryCode: '55',
    currencyCode: 'BRL',
    gec: 'BR',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -14.235004,
        longitude: -51.92528,
      ),
      maxCoordinate: Coordinate(
        latitude: 5.2717863,
        longitude: -28.650543,
      ),
      minCoordinate: Coordinate(
        latitude: -34.0891,
        longitude: -73.9828169,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 5.2717863,
          longitude: -28.650543,
        ),
        southwest: Coordinate(
          latitude: -34.0891,
          longitude: -73.9828169,
        ),
      ),
    ),
    internationalPrefix: '0014',
    ioc: 'BRA',
    isoLongName: 'The Federative Republic of Brazil',
    isoShortName: 'Brazil',
    languagesOfficial: ['pt'],
    languagesSpoken: ['pt'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [10, 11],
    nationalPrefix: '014',
    nationality: 'Brazilian',
    number: '076',
    postalCode: true,
    postalCodeFormat: r'\d{5}-?\d{3}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'South America',
    unLocode: 'BR',
    unofficialNames: [
      'Brazil',
      'Brasilien',
      'Brésil',
      'Brasil',
      'ブラジル',
      'Brazilië'
    ],
    worldRegion: WorldRegion.amer,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}} {{region_short}}
{{country}}''',
    vatRates: VatRates(
      standard: 17.0,
      reduced: [12.0, 7.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Brazil",
      "af": "Brasilië",
      "ak": "Brazil",
      "am": "ብሲፑሔ",
      "an": "Brasil",
      "ar": "البرازيل",
      "as": "ব্ৰাজিল",
      "ay": "Brazil",
      "az": "Braziliya",
      "ba": "Brazil",
      "be": "Бразілія",
      "bg": "Бразилия",
      "bi": "Brazil",
      "bn": "ব্রাজিল",
      "bn_IN": "ব্রাজিল",
      "br": "Brazil",
      "bs": "Brazil",
      "ca": "Brasil",
      "ce": "Бразили",
      "ch": "Brazil",
      "cs": "Brazílie",
      "cv": "Бразили",
      "cy": "Brasil",
      "da": "Brasilien",
      "de": "Brasilien",
      "dv": "ބުރެޒިލް",
      "dz": "བ་ར་ཛིལ།",
      "ee": "Brazil",
      "el": "Βραζιλία",
      "en": "Brazil",
      "eo": "Brazilo",
      "es": "Brasil",
      "et": "Brasiilia",
      "eu": "Brasil",
      "fa": "برزیل",
      "ff": "Barazil",
      "fi": "Brasilia",
      "fo": "Brasilia",
      "fr": "Brésil",
      "fy": "Brazylje",
      "ga": "An Bhrasaíl",
      "gl": "Brasil",
      "gn": "Brazil",
      "gu": "બ્રાઝિલ",
      "gv": "Yn Vrasseel",
      "ha": "Brazil",
      "he": "ברזיל",
      "hi": "ब्राज़ील",
      "hr": "Brazil",
      "ht": "Brezil",
      "hu": "Brazília",
      "hy": "Բրազիլիա",
      "ia": "Brasil",
      "id": "Brasil",
      "io": "Brazilia",
      "is": "Brasilía",
      "it": "Brasile",
      "iu": "Brazil",
      "ja": "ブラジル",
      "ka": "ბრაზილია",
      "ki": "Brazil",
      "kk": "Бразилия",
      "kl": "Brazil",
      "km": "ប្រេស៊ីល",
      "kn": "ಬ್ರಾಝಿಲ್",
      "ko": "브라질",
      "ku": "Brezîlya",
      "kv": "Бразилия",
      "kw": "Brasil",
      "ky": "Бразилия",
      "lo": "ປະເທດບະເລຊິນ",
      "lt": "Brazilija",
      "lv": "Brazīlija",
      "mi": "Parīhi",
      "mk": "Бразил",
      "ml": "ബ്രസീല്‍",
      "mn": "Бразил",
      "mr": "ब्राझिल",
      "ms": "Brazil",
      "mt": "Brażil",
      "my": "ဘရာဇီးနိုင်ငံ",
      "na": "Bradir",
      "nb": "Brasil",
      "ne": "ब्राजिल",
      "nl": "Brazilië",
      "nn": "Brasil",
      "nv": "Kintaaʼanéhé Dineʼé Bikéyah",
      "oc": "Brasil",
      "or": "ବ୍ରାଜୀଲ",
      "pa": "ਬਰਾਜ਼ੀਲ",
      "pi": "ब्रासील",
      "pl": "Brazylia",
      "ps": "برازیل",
      "pt": "Brasil",
      "pt_BR": "Brasil",
      "ro": "Brazilia",
      "ru": "Бразилия",
      "rw": "Burezile",
      "sc": "Brasile",
      "sd": "برازيل",
      "si": "බ්‍රසිලය",
      "sk": "Brazília",
      "sl": "Brazilija",
      "so": "Braasiil",
      "sq": "Brazil",
      "sr": "Бразил",
      "sv": "Brasilien",
      "sw": "Brazil",
      "ta": "பிரேசில்",
      "te": "బ్రెజిల్",
      "tg": "Бразилия",
      "th": "บราซิล",
      "ti": "ብራዚል",
      "tk": "Braziliýa",
      "tl": "Brasil",
      "tr": "Brezilya",
      "tt": "Бразил",
      "ug": "بىرازىلىيە",
      "uk": "Бразилія",
      "ur": "برازیل",
      "uz": "Braziliya",
      "ve": "Brazil",
      "vi": "Bra-xin",
      "wa": "Braezi",
      "wo": "Bareesil",
      "xh": "Brazil",
      "yo": "Brasil",
      "zh_CN": "巴西",
      "zh_HK": "巴西",
      "zh_TW": "巴西",
      "zu": "IBrazili"
    },
  );

  /// Country: The Commonwealth of The Bahamas
  static const Country bhs = Country(
    alpha2: 'BS',
    alpha3: 'BHS',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'BSD',
    gec: 'BF',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 25.03428,
        longitude: -77.39627999999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 27.263412,
        longitude: -72.70975390000001,
      ),
      minCoordinate: Coordinate(
        latitude: 20.9082735,
        longitude: -80.4775603,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 27.263412,
          longitude: -72.70975390000001,
        ),
        southwest: Coordinate(
          latitude: 20.9082735,
          longitude: -80.4775603,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'BAH',
    isoLongName: 'The Commonwealth of The Bahamas',
    isoShortName: 'Bahamas',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Bahamian',
    number: '044',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'BS',
    unofficialNames: ['The Bahamas', 'バハマ'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1242',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Bahamas",
      "af": "Bahamas",
      "ak": "Bahamas",
      "am": "Bahamas",
      "an": "Bahamas",
      "ar": "جزر البهاما",
      "as": "বাহামাছ",
      "ay": "Bahamas",
      "az": "Bahama",
      "ba": "Bahamas",
      "be": "Багамскія астравы",
      "bg": "Бахами",
      "bi": "Bahamas",
      "bn": "বাহামাস",
      "bn_IN": "বাহামাস",
      "br": "Bahamas",
      "bs": "Bahami",
      "ca": "Bahames",
      "ce": "Bahamas",
      "ch": "Bahamas",
      "cs": "Bahamy",
      "cv": "Bahamas",
      "cy": "Y Bahamas",
      "da": "Bahamas",
      "de": "Bahamas",
      "dv": "Bahamas",
      "dz": "བ་ཧ་མཱསི།",
      "ee": "Bahamas",
      "el": "Μπαχάμες",
      "en": "Bahamas",
      "eo": "Bahamoj",
      "es": "Bahamas",
      "et": "Bahama",
      "eu": "Bahamak",
      "fa": "باهاما",
      "ff": "Bahamas",
      "fi": "Bahama",
      "fo": "Bahamas",
      "fr": "Bahamas",
      "fy": "Bahamas",
      "ga": "Na Bahámaí",
      "gl": "Bahamas",
      "gn": "Bahamas",
      "gu": "બહામાસ",
      "gv": "Bahamas",
      "ha": "Bahamas",
      "he": "בהמאס",
      "hi": "बहामास",
      "hr": "Bahami",
      "ht": "Bahamas",
      "hu": "Bahama-szigetek",
      "hy": "Բահամներ",
      "ia": "Bahamas",
      "id": "Bahama",
      "io": "Bahamas",
      "is": "Bahamaeyjar",
      "it": "Bahamas",
      "iu": "Bahamas",
      "ja": "バハマ",
      "ka": "ბაჰამის კუნძულები",
      "ki": "Bahamas",
      "kk": "Багам аралдары",
      "kl": "Bahamas",
      "km": "បាហាម៉ាស",
      "kn": "ಬಹಾಮಾಸ್",
      "ko": "바하마",
      "ku": "Giravên Bahama",
      "kv": "Bahamas",
      "kw": "Bahamas",
      "ky": "Багама аралдары",
      "lo": "Bahamas",
      "lt": "Bahamos",
      "lv": "Bahamas",
      "mi": "Bahamas",
      "mk": "Бахами",
      "ml": "ബഹാമാസ്",
      "mn": "Bahamas",
      "mr": "बहामाज्",
      "ms": "Bahamas",
      "mt": "Bahamas",
      "my": "Bahamas",
      "na": "Bahamas",
      "nb": "Bahamas",
      "ne": "बहामास",
      "nl": "Bahama's",
      "nn": "Bahamas",
      "nv": "Bahamas",
      "oc": "Bahamas",
      "or": "ବାହାମା",
      "pa": "ਬਾਹਾਮਾਸ",
      "pi": "Bahamas",
      "pl": "Bahamy",
      "ps": "Bahamas",
      "pt": "Bahamas",
      "pt_BR": "Bahamas",
      "ro": "Bahamas",
      "ru": "Багамы",
      "rw": "Bahamasi",
      "sc": "Bahamas",
      "sd": "Bahamas",
      "si": "බහමාස්",
      "sk": "Bahamy",
      "sl": "Bahami",
      "so": "Bahamas",
      "sq": "Bahamas",
      "sr": "Бахами",
      "sv": "Bahamas",
      "sw": "Bahama",
      "ta": "பஹாமாஸ்",
      "te": "బహామాజ్",
      "tg": "Ҷазираҳои Баҳама",
      "th": "บาฮามาส",
      "ti": "ባሃማስ",
      "tk": "Bagama adalary",
      "tl": "Bahamas",
      "tr": "Bahamalar",
      "tt": "Баһамас",
      "ug": "باھاما ئاراللىرى",
      "uk": "Багамські острови",
      "ur": "Bahamas",
      "uz": "Bahamas",
      "ve": "Bahamas",
      "vi": "Ba-ha-ma",
      "wa": "Bahamas",
      "wo": "Bahamas",
      "xh": "Bahamas",
      "yo": "Bahamas",
      "zh_CN": "巴哈马",
      "zh_HK": "巴哈馬",
      "zh_TW": "巴哈馬",
      "zu": "Bahamas"
    },
  );

  /// Country: The Kingdom of Bhutan
  static const Country btn = Country(
    alpha2: 'BT',
    alpha3: 'BTN',
    continent: Continent.asia,
    countryCode: '975',
    currencyCode: 'BTN',
    gec: 'BT',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 27.514162,
        longitude: 90.433601,
      ),
      maxCoordinate: Coordinate(
        latitude: 28.246987,
        longitude: 92.125232,
      ),
      minCoordinate: Coordinate(
        latitude: 26.702016,
        longitude: 88.7464739,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 28.246987,
          longitude: 92.125232,
        ),
        southwest: Coordinate(
          latitude: 26.702016,
          longitude: 88.7464739,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'BHU',
    isoLongName: 'The Kingdom of Bhutan',
    isoShortName: 'Bhutan',
    languagesOfficial: ['dz'],
    languagesSpoken: ['dz'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8],
    nationalPrefix: 'None',
    nationality: 'Bhutanese',
    number: '064',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Southern Asia',
    unLocode: 'BT',
    unofficialNames: ['Bhutan', 'Bhoutan', 'Bután', 'ブータン'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Bhutan",
      "af": "Bhoetan",
      "ak": "Bhutan",
      "am": "ቡህታን",
      "an": "Bután",
      "ar": "بوتان",
      "as": "ভুটান",
      "ay": "Bhutan",
      "az": "Butan",
      "ba": "Bhutan",
      "be": "Бутан",
      "bg": "Бутан",
      "bi": "Bhutan",
      "bn": "ভুটান",
      "bn_IN": "ভুটান",
      "br": "Bhoutan",
      "bs": "Butan",
      "ca": "Bhutan",
      "ce": "Бутан",
      "ch": "Bhutan",
      "cs": "Bhútán",
      "cv": "Бутан",
      "cy": "Bhutan",
      "da": "Bhutan",
      "de": "Bhutan",
      "dv": "ބޫޓާން",
      "dz": "འབྲུག།",
      "ee": "Bhutan",
      "el": "Μπουτάν",
      "en": "Bhutan",
      "eo": "Butano",
      "es": "Bután",
      "et": "Bhutan",
      "eu": "Bhutan",
      "fa": "بوتان",
      "ff": "Bhutan",
      "fi": "Bhutan",
      "fo": "Butan",
      "fr": "Bhoutan",
      "fy": "Bûtan",
      "ga": "An Bhútáin",
      "gl": "Bután",
      "gn": "Bhutan",
      "gu": "ભુટાન",
      "gv": "Yn Vutaan",
      "ha": "Bhutan",
      "he": "בהוטן",
      "hi": "भूटान",
      "hr": "Butan",
      "ht": "Boutan",
      "hu": "Bhután",
      "hy": "Բութան",
      "ia": "Bhutan",
      "id": "Bhutan",
      "io": "Bhutan",
      "is": "Bútan",
      "it": "Bhutan",
      "iu": "Bhutan",
      "ja": "ブータン",
      "ka": "ბუტანი",
      "ki": "Bhutan",
      "kk": "Бутан",
      "kl": "Bhutan",
      "km": "ប៊ូតាន",
      "kn": "ಭೂತಾನ್",
      "ko": "부탄",
      "ku": "Bûtan",
      "kv": "Бутан",
      "kw": "Bhoutan",
      "ky": "Бутан",
      "lo": "Bhutan",
      "lt": "Butanas",
      "lv": "Butāna",
      "mi": "Bhutan",
      "mk": "Бутан",
      "ml": "ബൂട്ടാന്‍",
      "mn": "Бутан",
      "mr": "भूतान",
      "ms": "Bhutan",
      "mt": "Butan",
      "my": "ဘူတန်နိုင်ငံ",
      "na": "Butan",
      "nb": "Bhutan",
      "ne": "भुटान",
      "nl": "Bhutan",
      "nn": "Bhutan",
      "nv": "Iiʼniʼ Tłʼiishtsoh Bikéyah",
      "oc": "Botan",
      "or": "ଭୁଟାନ",
      "pa": "ਭੁਟਾਨ",
      "pi": "भूटान",
      "pl": "Bhutan",
      "ps": "بوتان",
      "pt": "Butão",
      "pt_BR": "Butão",
      "ro": "Bhutan",
      "ru": "Бутан",
      "rw": "Butani",
      "sc": "Bhutàn",
      "sd": "Bhutan",
      "si": "භූතානය",
      "sk": "Bhután",
      "sl": "Butan",
      "so": "Butaan",
      "sq": "Butan",
      "sr": "Бутан",
      "sv": "Bhutan",
      "sw": "Bhutan",
      "ta": "பூட்டான்",
      "te": "భూటాన్",
      "tg": "Бутон",
      "th": "ภูฏาน",
      "ti": "ቡህታን",
      "tk": "Butan",
      "tl": "Bhutan",
      "tr": "Bhutan",
      "tt": "Бутан",
      "ug": "بۇتان",
      "uk": "Бутан",
      "ur": "بھوٹان",
      "uz": "Butan",
      "ve": "Bhutan",
      "vi": "Bu-thănh",
      "wa": "Boutan",
      "wo": "Butaan",
      "xh": "Bhutan",
      "yo": "Bhùtán",
      "zh_CN": "不丹",
      "zh_HK": "不丹",
      "zh_TW": "不丹",
      "zu": "Bhutan"
    },
  );

  /// Country: Bouvet Island
  static const Country bvt = Country(
    alpha2: 'BV',
    alpha3: 'BVT',
    continent: Continent.antarctica,
    countryCode: '47',
    currencyCode: 'NOK',
    gec: 'BV',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -54.4207915,
        longitude: 3.3464497,
      ),
      maxCoordinate: Coordinate(
        latitude: -54.3869298,
        longitude: 3.4332785,
      ),
      minCoordinate: Coordinate(
        latitude: -54.4541004,
        longitude: 3.2858826,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -54.3869298,
          longitude: 3.4332785,
        ),
        southwest: Coordinate(
          latitude: -54.4541004,
          longitude: 3.2858826,
        ),
      ),
    ),
    internationalPrefix: '',
    ioc: null,
    isoLongName: 'Bouvet Island',
    isoShortName: 'Bouvet Island',
    languagesOfficial: [],
    languagesSpoken: [],
    nationalDestinationCodeLengths: [],
    nationalNumberLengths: [],
    nationalPrefix: '',
    nationality: '',
    number: '074',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.unknown,
    startOfWeek: Week.monday,
    subregion: '',
    unLocode: 'BV',
    unofficialNames: ['Bouvet Island', 'Bouvetinsel', 'ブーベ島', 'Bouveteiland'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Bouvet Island",
      "af": "Bouvet-eiland",
      "ak": "Bouvet Island",
      "am": "Bouvet Island",
      "an": "Isla Bouvet",
      "ar": "جزيرة بوفي",
      "as": "বোভেট দ্বীপ",
      "ay": "Bouvet Island",
      "az": "Buvet Adası",
      "ba": "Bouvet Island",
      "be": "Востраў Бувэ",
      "bg": "Остров Буве",
      "bi": "Bouvet Island",
      "bn": "বুভে দ্বীপ",
      "bn_IN": "বুভে দ্বীপ",
      "br": "Enez Bouvet",
      "bs": "Ostrvo Bouvet",
      "ca": "Illa Bouvet",
      "ce": "Бувен гӀайре",
      "ch": "Bouvet Island",
      "cs": "Bouvetův ostrov",
      "cv": "Бувен гӀайре",
      "cy": "Ynys Bouvet",
      "da": "Bouvet-øen",
      "de": "Bouvet-Insel",
      "dv": "Bouvet Island",
      "dz": "བའུ་བེཊི་ ཨའི་ལེནཌི།",
      "ee": "Bouvet Island",
      "el": "Νήσος Μπουβέ",
      "en": "Bouvet Island",
      "eo": "Buvetinsulo",
      "es": "Isla Bouvet",
      "et": "Bouvet' saar",
      "eu": "Bouvet uhartea",
      "fa": "جزیرهٔ بووت",
      "ff": "Bouvet Island",
      "fi": "Bouvet'nsaari",
      "fo": "Bouvet Island",
      "fr": "île Bouvet",
      "fy": "Bouveteilân",
      "ga": "Oileán Bouvet",
      "gl": "Illa Bouvet",
      "gn": "Bouvet Island",
      "gu": "બોઉવેટ ટાપુઓ",
      "gv": "Bouvet Island",
      "ha": "Bouvet Island",
      "he": "בובה",
      "hi": "बोउवेट आइलैंड",
      "hr": "Otok Bouvet",
      "ht": "Bouvet Island",
      "hu": "Bouvet-sziget",
      "hy": "Բուվետ Կղզի",
      "ia": "Insula Bouvet",
      "id": "Pulau Bouvet",
      "io": "Bouvet Insulo",
      "is": "Bouveteyja",
      "it": "Isola Bouvet",
      "iu": "Bouvet Island",
      "ja": "ブーベ島",
      "ka": "ბუვეტის კუნძული",
      "ki": "Bouvet Island",
      "kk": "Буве аралдары",
      "kl": "Bouvet Island",
      "km": "កោះ​ប៊ូវ៉ែ",
      "kn": "ಬವೇಟ್ ದ್ವೀಪ",
      "ko": "부베 섬",
      "ku": "Girava Boyuvet",
      "kv": "Bouvet Island",
      "kw": "Bouvet Island",
      "ky": "Буве аралы",
      "lo": "Bouvet Island",
      "lt": "Buvė sala",
      "lv": "Buvē Sala",
      "mi": "Bouvet Island",
      "mk": "Бувет острови",
      "ml": "ബൌവെ ദ്വീപുകള്‍",
      "mn": "Буве арал",
      "mr": "बोव्हे आयलॅंड",
      "ms": "Kepulauan Bouvet",
      "mt": "Gżira ta' Bouvet",
      "my": "Bouvet Island",
      "na": "Bouvet Island",
      "nb": "Bouvetøya",
      "ne": "बोउवेट टापु",
      "nl": "Bouveteiland",
      "nn": "Bouvetøya",
      "nv": "Bouvet Island",
      "oc": "Illa Bouvet",
      "or": "ବୁଭେଟ୍ ଦ୍ବୀପ",
      "pa": "ਬੂਟਵਟ ਟਾਪੂ",
      "pi": "Bouvet Island",
      "pl": "Wyspa Bouveta",
      "ps": "Bouvet Island",
      "pt": "Ilha Bouvet",
      "pt_BR": "Ilha Bouvet",
      "ro": "Insula Bouvet",
      "ru": "Остров Буве",
      "rw": "Ikirwa cya Bouve",
      "sc": "Ìsula Bouvet",
      "sd": "Bouvet Island",
      "si": "බෝවෙට් දූපත",
      "sk": "Bouvetov ostrov",
      "sl": "Bouvetov otok",
      "so": "Bouvet Island",
      "sq": "Ishulli Buve",
      "sr": "Острво Бов",
      "sv": "Bouvetön",
      "sw": "Kisiwa cha Bouvet",
      "ta": "போவெட் தீவு",
      "te": "బోవ్హే ఐలాండ్",
      "tg": "Ҷазираи Бувит",
      "th": "เกาะบูเวต์",
      "ti": "Bouvet Island",
      "tk": "Buwe adasy",
      "tl": "Islang Bouvet",
      "tr": "Bouvet Adası",
      "tt": "Боувет Утравы",
      "ug": "بۇۋېت ئارىلى",
      "uk": "Острів Буве",
      "ur": "جزیرہ بووہ",
      "uz": "Bouvet Island",
      "ve": "Bouvet Island",
      "vi": "Quần đảo Bu-vê",
      "wa": "Iye Bouvet",
      "wo": "Dunu Buwet",
      "xh": "Bouvet Island",
      "yo": "Erékùṣù Bouvet",
      "zh_CN": "布维群岛",
      "zh_HK": "波維特島",
      "zh_TW": "布威島",
      "zu": "Bouvet Island"
    },
  );

  /// Country: The Republic of Botswana
  static const Country bwa = Country(
    alpha2: 'BW',
    alpha3: 'BWA',
    continent: Continent.africa,
    countryCode: '267',
    currencyCode: 'BWP',
    gec: 'BC',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -22.328474,
        longitude: 24.684866,
      ),
      maxCoordinate: Coordinate(
        latitude: -17.7781369,
        longitude: 29.375304,
      ),
      minCoordinate: Coordinate(
        latitude: -26.9075448,
        longitude: 19.998903,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -17.7781369,
          longitude: 29.375304,
        ),
        southwest: Coordinate(
          latitude: -26.9075448,
          longitude: 19.998903,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'BOT',
    isoLongName: 'The Republic of Botswana',
    isoShortName: 'Botswana',
    languagesOfficial: ['en', 'tn'],
    languagesSpoken: ['en', 'tn'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Motswana',
    number: '072',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Southern Africa',
    unLocode: 'BW',
    unofficialNames: ['Botswana', 'ボツワナ'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Botswana",
      "af": "Botswana",
      "ak": "Botswana",
      "am": "Botswana",
      "an": "Botswana",
      "ar": "بوتسوانا",
      "as": "বটছোৱানা",
      "ay": "Botswana",
      "az": "Botsvana",
      "ba": "Botswana",
      "be": "Батсвана",
      "bg": "Ботсуана",
      "bi": "Botswana",
      "bn": "বোটসওয়ানা",
      "bn_IN": "বোটসওয়ানা",
      "br": "Botswana",
      "bs": "Bocvana",
      "ca": "Botswana",
      "ce": "Ботсвана",
      "ch": "Botswana",
      "cs": "Botswana",
      "cv": "Ботсвана",
      "cy": "Botswana",
      "da": "Botswana",
      "de": "Botsuana",
      "dv": "ބޮޓުސްވާނާ",
      "dz": "བཱོཊསི་ཝ་ན།",
      "ee": "Botswana",
      "el": "Μποτσουάνα",
      "en": "Botswana",
      "eo": "Bocvano",
      "es": "Botsuana",
      "et": "Botswana",
      "eu": "Botswana",
      "fa": "بوتسوانا",
      "ff": "Botswana",
      "fi": "Botswana",
      "fo": "Botsvana",
      "fr": "Botswana",
      "fy": "Botswana",
      "ga": "An Bhotsuáin",
      "gl": "Botsuana",
      "gn": "Botswana",
      "gu": "બોટ્સ્વાના",
      "gv": "Yn Votswaan",
      "ha": "Botswana",
      "he": "בוטסואנה",
      "hi": "बोत्सवाना",
      "hr": "Bocvana",
      "ht": "Botswana",
      "hu": "Botswana",
      "hy": "Բոտսվանա",
      "ia": "Botswana",
      "id": "Botswana",
      "io": "Botswana",
      "is": "Botsvana",
      "it": "Botswana",
      "iu": "Botswana",
      "ja": "ボツワナ",
      "ka": "ბოტსვანა",
      "ki": "Botswana",
      "kk": "Ботсвана",
      "kl": "Botswana",
      "km": "បុតស្វាណា",
      "kn": "ಬೋಟ್ಸ್‍ವಾನಾ",
      "ko": "보츠와나",
      "ku": "Botswana",
      "kv": "Botswana",
      "kw": "Botswana",
      "ky": "Ботсвана",
      "lo": "Botswana",
      "lt": "Botsvana",
      "lv": "Botsvana",
      "mi": "Botswana",
      "mk": "Боцвана",
      "ml": "ബോട്സ്വാന",
      "mn": "Ботсвана",
      "mr": "बोस्वाना",
      "ms": "Botswana",
      "mt": "Botswana",
      "my": "ဘော့ဆွာနာနိုင်ငံ",
      "na": "Botwana",
      "nb": "Botswana",
      "ne": "बोट्सवाना",
      "nl": "Botswana",
      "nn": "Botswana",
      "nv": "Tswana Dineʼé Bikéyah",
      "oc": "Botswana",
      "or": "ବୋସ୍ତ୍ବାନା",
      "pa": "ਬੂਟਸਵਾਨਾ",
      "pi": "बोत्सवाना",
      "pl": "Botswana",
      "ps": "بوتسوانا",
      "pt": "Botsuana",
      "pt_BR": "Botsuana",
      "ro": "Botswana",
      "ru": "Ботсвана",
      "rw": "Botswana",
      "sc": "Botswana",
      "sd": "Botswana",
      "si": "බොට්ස්වානා",
      "sk": "Botswana",
      "sl": "Bocvana",
      "so": "Botswana",
      "sq": "Botsvanë",
      "sr": "Боцвана",
      "sv": "Botswana",
      "sw": "Botswana",
      "ta": "போட்ஸ்வானா",
      "te": "బోస్వానా",
      "tg": "Ботсвана",
      "th": "บอตสวานา",
      "ti": "ቦትስዋና",
      "tk": "Botswana",
      "tl": "Botswana",
      "tr": "Botsvana",
      "tt": "Боцвана",
      "ug": "بوتسۋانا",
      "uk": "Ботсвана",
      "ur": "بوٹسوانا",
      "uz": "Botsvana",
      "ve": "Vhu-Tswana",
      "vi": "Bốt-xoă-na",
      "wa": "Boswana",
      "wo": "Botswana",
      "xh": "Botswana",
      "yo": "Bòtswánà",
      "zh_CN": "博兹瓦那",
      "zh_HK": "博茨瓦納",
      "zh_TW": "波札那",
      "zu": "IButswana"
    },
  );

  /// Country: The Republic of Belarus
  static const Country blr = Country(
    alpha2: 'BY',
    alpha3: 'BLR',
    continent: Continent.europe,
    countryCode: '375',
    currencyCode: 'BYN',
    gec: 'BO',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 53.709807,
        longitude: 27.953389,
      ),
      maxCoordinate: Coordinate(
        latitude: 56.1718719,
        longitude: 32.7768202,
      ),
      minCoordinate: Coordinate(
        latitude: 51.26201100000001,
        longitude: 23.1783377,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 56.1718719,
          longitude: 32.7768202,
        ),
        southwest: Coordinate(
          latitude: 51.26201100000001,
          longitude: 23.1783377,
        ),
      ),
    ),
    internationalPrefix: '810',
    ioc: 'BLR',
    isoLongName: 'The Republic of Belarus',
    isoShortName: 'Belarus',
    languagesOfficial: ['be', 'ru'],
    languagesSpoken: ['be', 'ru'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '8',
    nationality: 'Belarusian',
    number: '112',
    postalCode: true,
    postalCodeFormat: r'\d{6}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Eastern Europe',
    unLocode: 'BY',
    unofficialNames: [
      'Belarus',
      'Weißrussland',
      'Biélorussie',
      'Bielorrusia',
      'ベラルーシ',
      'Wit-Rusland',
      'Беларусь'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Belarus",
      "af": "Wit-Rusland",
      "ak": "Belarus",
      "am": "ቤሒሩስ",
      "an": "Belarrusia",
      "ar": "روسيا البيضاء",
      "as": "বেলাৰছ",
      "ay": "Belarus",
      "az": "Belarusiya",
      "ba": "Belarus",
      "be": "Беларусь",
      "bg": "Беларус",
      "bi": "Belarus",
      "bn": "বেলারুস",
      "bn_IN": "বেলারুস",
      "br": "Belarus",
      "bs": "Bjelorusija",
      "ca": "Bielorússia",
      "ce": "Белорусси",
      "ch": "Belarus",
      "cs": "Bělorusko",
      "cv": "Белорусси",
      "cy": "Belarws",
      "da": "Hviderusland",
      "de": "Weißrussland",
      "dv": "ބެލަރޫސް",
      "dz": "བེ་ལ་རཱསི།",
      "ee": "Belarus",
      "el": "Λευκορωσία",
      "en": "Belarus",
      "eo": "Belorusio",
      "es": "Bielorrusia",
      "et": "Valgevene",
      "eu": "Bielorrusia",
      "fa": "بلاروس",
      "ff": "Belaruusiya",
      "fi": "Valko-Venäjä",
      "fo": "Hvítarussland",
      "fr": "Bélarus",
      "fy": "Wyt-Ruslân",
      "ga": "An Bhílearúis",
      "gl": "Bielorrusia",
      "gn": "Belarus",
      "gu": "બેલારુસ",
      "gv": "Yn Velaroosh",
      "ha": "A' Bhealaruis",
      "he": "בלארוס",
      "hi": "बेलारूस",
      "hr": "Bjelorusija",
      "ht": "Byelorisi",
      "hu": "Fehéroroszország",
      "hy": "Բելոռուս",
      "ia": "Bielorussia",
      "id": "Belarus",
      "io": "Bielorusia",
      "is": "Hvítarússland",
      "it": "Bielorussia",
      "iu": "Belarus",
      "ja": "ベラルーシ",
      "ka": "ბელორუსია",
      "ki": "Belarus",
      "kk": "Беларусь",
      "kl": "Belarus",
      "km": "បេឡារុស្ស",
      "kn": "ಬೇಲಾರುಸ್",
      "ko": "벨라루스",
      "ku": "Belarus",
      "kv": "Беларусь",
      "kw": "Belarussi",
      "ky": "Беларусия",
      "lo": "ປະເທດບີເອໂລລຸດ",
      "lt": "Baltarusija",
      "lv": "Baltkrievija",
      "mi": "Pērara",
      "mk": "Белорусија",
      "ml": "ബെലാറസ്",
      "mn": "Белорусс",
      "mr": "बेलारुस",
      "ms": "Belarus",
      "mt": "Belarus",
      "my": "ဘီလာရုဇ်နိုင်ငံ",
      "na": "Berarut",
      "nb": "Hviterussland",
      "ne": "बेलारूस",
      "nl": "Wit-Rusland",
      "nn": "Kviterussland",
      "nv": "Belarus",
      "oc": "Bielorussia",
      "or": "ବେଲାରୁଷ",
      "pa": "ਬੇਲਾਰੂਸ",
      "pi": "बेलारूस",
      "pl": "Białoruś",
      "ps": "بېلاروس",
      "pt": "Bielorússia",
      "pt_BR": "Bielo-Rússia",
      "ro": "Bielorusia",
      "ru": "Беларусь",
      "rw": "Belarusi",
      "sc": "Bielorùssia",
      "sd": "Belarus",
      "si": "බෙලාරුස්",
      "sk": "Bielorusko",
      "sl": "Belorusija",
      "so": "Belarus",
      "sq": "Bjellorusi",
      "sr": "Белорусија",
      "sv": "Vitryssland",
      "sw": "Belarus",
      "ta": "பெலாருஸ்",
      "te": "బేలారుస్",
      "tg": "Беларус",
      "th": "เบลารุส",
      "ti": "ቤላሩስ",
      "tk": "Belarus",
      "tl": "Belarus",
      "tr": "Belarus",
      "tt": "Беларус",
      "ug": "بېلارۇسىيە",
      "uk": "Білорусь",
      "ur": "بیلاروس",
      "uz": "Belarus",
      "ve": "Belarus",
      "vi": "Be-la-ruxợ",
      "wa": "Belaruss",
      "wo": "Belaarus",
      "xh": "Belarus",
      "yo": "Bẹ̀lárùs",
      "zh_CN": "白俄罗斯",
      "zh_HK": "白俄羅斯",
      "zh_TW": "白俄羅斯",
      "zu": "IBelarusi"
    },
  );

  /// Country: Belize
  static const Country blz = Country(
    alpha2: 'BZ',
    alpha3: 'BLZ',
    continent: Continent.northAmerica,
    countryCode: '501',
    currencyCode: 'BZD',
    gec: 'BH',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 17.189877,
        longitude: -88.49765,
      ),
      maxCoordinate: Coordinate(
        latitude: 18.4959419,
        longitude: -87.41269989999999,
      ),
      minCoordinate: Coordinate(
        latitude: 15.8856189,
        longitude: -89.22758789999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 18.4959419,
          longitude: -87.41269989999999,
        ),
        southwest: Coordinate(
          latitude: 15.8856189,
          longitude: -89.22758789999999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'BIZ',
    isoLongName: 'Belize',
    isoShortName: 'Belize',
    languagesOfficial: ['en', 'es'],
    languagesSpoken: ['en', 'es'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: '0',
    nationality: 'Belizean',
    number: '084',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Central America',
    unLocode: 'BZ',
    unofficialNames: ['Belize', 'Belice', 'ベリーズ'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Belize",
      "af": "Belize",
      "ak": "Belize",
      "am": "ቤሑፈ",
      "an": "Belize",
      "ar": "بيليز",
      "as": "বেলিজ",
      "ay": "Belize",
      "az": "Beliz",
      "ba": "Belize",
      "be": "Беліз",
      "bg": "Белиз",
      "bi": "Belize",
      "bn": "বেলিজে",
      "bn_IN": "বেলিজে",
      "br": "Belize",
      "bs": "Belize",
      "ca": "Belize",
      "ce": "Белиз",
      "ch": "Belize",
      "cs": "Belize",
      "cv": "Белиз",
      "cy": "Belîs",
      "da": "Belize",
      "de": "Belize",
      "dv": "ބެލީޒު",
      "dz": "བེ་ལིཛི།",
      "ee": "Belize",
      "el": "Μπελίζ",
      "en": "Belize",
      "eo": "Belizo",
      "es": "Belice",
      "et": "Belize",
      "eu": "Belize",
      "fa": "بلیز",
      "ff": "Belize",
      "fi": "Belize",
      "fo": "Belis",
      "fr": "Belize",
      "fy": "Belize",
      "ga": "An Bheilís",
      "gl": "Belice",
      "gn": "Belize",
      "gu": "બેલિઝ",
      "gv": "Yn Veleesh",
      "ha": "Belize",
      "he": "בליז",
      "hi": "बेलीज़",
      "hr": "Belize",
      "ht": "Beliz",
      "hu": "Belize",
      "hy": "Բելիզ",
      "ia": "Belize",
      "id": "Belize",
      "io": "Belize",
      "is": "Belís",
      "it": "Belize",
      "iu": "Belize",
      "ja": "ベリーズ",
      "ka": "ბელიზი",
      "ki": "Belize",
      "kk": "Белиз",
      "kl": "Belize",
      "km": "បេលីហ្ស",
      "kn": "ಬೆಲಿಜಿ",
      "ko": "벨리즈",
      "ku": "Belîze",
      "kv": "Belize",
      "kw": "Belisa",
      "ky": "Белиз",
      "lo": "Belize",
      "lt": "Belizas",
      "lv": "Beliza",
      "mi": "Belize",
      "mk": "Белизе",
      "ml": "ബെലൈസ്",
      "mn": "Белиз",
      "mr": "बेलिझ",
      "ms": "Belize",
      "mt": "Beliże",
      "my": "ဘလိဇ်နိုင်ငံ",
      "na": "Berij",
      "nb": "Belize",
      "ne": "बेलिज",
      "nl": "Belize",
      "nn": "Belize",
      "nv": "Belize",
      "oc": "Belize",
      "or": "ବେଲିଜ",
      "pa": "ਬੀਲੀਜ਼ੀ",
      "pi": "बेलीज",
      "pl": "Belize",
      "ps": "بېلیز",
      "pt": "Belize",
      "pt_BR": "Belize",
      "ro": "Belize",
      "ru": "Белиз",
      "rw": "Belize",
      "sc": "Belize",
      "sd": "Belize",
      "si": "බිලිසේ",
      "sk": "Belize",
      "sl": "Belize",
      "so": "Belise",
      "sq": "Belize",
      "sr": "Белизе",
      "sv": "Belize",
      "sw": "Belize",
      "ta": "பெலிஸ்",
      "te": "బేలిఝ",
      "tg": "Белиз",
      "th": "เบลีซ",
      "ti": "ቤሊዝ",
      "tk": "Beliz",
      "tl": "Belize",
      "tr": "Belize",
      "tt": "Белиз",
      "ug": "بېلىز",
      "uk": "Беліз",
      "ur": "بیلیز",
      "uz": "Beliz",
      "ve": "Belize",
      "vi": "Bê-li-xê",
      "wa": "Belize",
      "wo": "Beliis",
      "xh": "Belize",
      "yo": "Bẹ̀lísè",
      "zh_CN": "伯利兹",
      "zh_HK": "伯利兹",
      "zh_TW": "貝里斯",
      "zu": "Belize"
    },
  );

  /// Country: Canada
  static const Country can = Country(
    alpha2: 'CA',
    alpha3: 'CAN',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'CAD',
    gec: 'CA',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 56.130366,
        longitude: -106.346771,
      ),
      maxCoordinate: Coordinate(
        latitude: 83.6381,
        longitude: -50.9766,
      ),
      minCoordinate: Coordinate(
        latitude: 41.6765559,
        longitude: -141.00187,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 83.6381,
          longitude: -50.9766,
        ),
        southwest: Coordinate(
          latitude: 41.6765559,
          longitude: -141.00187,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'CAN',
    isoLongName: 'Canada',
    isoShortName: 'Canada',
    languagesOfficial: ['en', 'fr'],
    languagesSpoken: ['en', 'fr'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Canadian',
    number: '124',
    postalCode: true,
    postalCodeFormat:
        r'[ABCEGHJKLMNPRSTVXY]\d[ABCEGHJ-NPRSTV-Z] ?\d[ABCEGHJ-NPRSTV-Z]\d',
    region: Region.americas,
    startOfWeek: Week.sunday,
    subregion: 'Northern America',
    unLocode: 'CA',
    unofficialNames: ['Canada', 'Kanada', 'Canadá', 'カナダ'],
    worldRegion: WorldRegion.amer,
    addressFormat: '''{{recipient}}
{{street}}
{{city}} {{region_short}} {{postalcode}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Canada",
      "af": "Kanada",
      "ak": "Canada",
      "am": "Canada",
      "an": "Canadá",
      "ar": "كندا",
      "as": "কানাডা",
      "ay": "Canada",
      "az": "Kanada",
      "ba": "Canada",
      "be": "Канада",
      "bg": "Канада",
      "bi": "Canada",
      "bn": "কানাডা",
      "bn_IN": "কানাডা",
      "br": "Kanada",
      "bs": "Kanada",
      "ca": "Canadà",
      "ce": "Канада",
      "ch": "Canada",
      "cs": "Kanada",
      "cv": "Канада",
      "cy": "Canada",
      "da": "Canada",
      "de": "Kanada",
      "dv": "ކެނެޑާ",
      "dz": "ཀེ་ན་ཌ།",
      "ee": "Canada",
      "el": "Καναδάς",
      "en": "Canada",
      "eo": "Kanado",
      "es": "Canadá",
      "et": "Kanada",
      "eu": "Kanada",
      "fa": "کانادا",
      "ff": "Canada",
      "fi": "Kanada",
      "fo": "Kanada",
      "fr": "Canada",
      "fy": "Kanada",
      "ga": "Ceanada",
      "gl": "Canadá",
      "gn": "Canada",
      "gu": "કેનેડા",
      "gv": "Yn Chanadey",
      "ha": "Kanada",
      "he": "קנדה",
      "hi": "कनाडा",
      "hr": "Kanada",
      "ht": "Kanada",
      "hu": "Kanada",
      "hy": "Կանադա",
      "ia": "Canada",
      "id": "Kanada",
      "io": "Kanada",
      "is": "Kanada",
      "it": "Canada",
      "iu": "ᑲᓇᑕ",
      "ja": "カナダ",
      "ka": "კანადა",
      "ki": "Canada",
      "kk": "Канада",
      "kl": "Canada",
      "km": "កាណាដា",
      "kn": "ಕೆನಡ",
      "ko": "캐나다",
      "ku": "Kanada",
      "kv": "Канада",
      "kw": "Kanada",
      "ky": "Канада",
      "lo": "ປະເທດການາດາ",
      "lt": "Kanada",
      "lv": "Kanāda",
      "mi": "Kānata",
      "mk": "Канада",
      "ml": "കാനഡ",
      "mn": "Канад",
      "mr": "कॅनडा",
      "ms": "Kanada",
      "mt": "Kanada",
      "my": "ကနေဒါနိုင်ငံ",
      "na": "Kanada",
      "nb": "Canada",
      "ne": "क्यानाडा",
      "nl": "Canada",
      "nn": "Canada",
      "nv": "Deeteel Bikéyah",
      "oc": "Canadà",
      "or": "କାନାଡା",
      "pa": "ਕੈਨੇਡਾ",
      "pi": "केनडा",
      "pl": "Kanada",
      "ps": "کاناډا",
      "pt": "Canadá",
      "pt_BR": "Canadá",
      "ro": "Canada",
      "ru": "Канада",
      "rw": "Kanada",
      "sc": "Cànada",
      "sd": "ڪئناڊا",
      "si": "කැනඩාව",
      "sk": "Kanada",
      "sl": "Kanada",
      "so": "Kanada",
      "sq": "Kanada",
      "sr": "Канада",
      "sv": "Kanada",
      "sw": "Kanada",
      "ta": "கனடா",
      "te": "కెనడా",
      "tg": "Канада",
      "th": "แคนาดา",
      "ti": "ካናዳ",
      "tk": "Kanada",
      "tl": "Kanada",
      "tr": "Kanada",
      "tt": "Канада",
      "ug": "كانادا",
      "uk": "Канада",
      "ur": "کینیڈا",
      "uz": "Kanada",
      "ve": "Canada",
      "vi": "Ca-na-đa",
      "wa": "Canada",
      "wo": "Kanadaa",
      "xh": "Canada",
      "yo": "Kánádà",
      "zh_CN": "加拿大",
      "zh_HK": "加拿大",
      "zh_TW": "加拿大",
      "zu": "I Khanada"
    },
  );

  /// Country: The Territory of Cocos (Keeling) Islands
  static const Country cck = Country(
    alpha2: 'CC',
    alpha3: 'CCK',
    continent: Continent.asia,
    countryCode: '61',
    currencyCode: 'AUD',
    gec: 'CK',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -12.164165,
        longitude: 96.87095599999999,
      ),
      maxCoordinate: Coordinate(
        latitude: -11.819973,
        longitude: 96.93271639999999,
      ),
      minCoordinate: Coordinate(
        latitude: -12.2118513,
        longitude: 96.8134118,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -11.819973,
          longitude: 96.93271639999999,
        ),
        southwest: Coordinate(
          latitude: -12.2118513,
          longitude: 96.8134118,
        ),
      ),
    ),
    internationalPrefix: '0011',
    ioc: null,
    isoLongName: 'The Territory of Cocos (Keeling) Islands',
    isoShortName: 'Cocos (Keeling) Islands',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Cocos Islander',
    number: '166',
    postalCode: true,
    postalCodeFormat: r'6799',
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Australia and New Zealand',
    unLocode: 'CC',
    unofficialNames: [
      'Cocos (Keeling) Islands',
      'Kokosinseln',
      'ココス（キーリング）諸島',
      'Cocoseilanden'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Cocos (Keeling) Islands",
      "af": "Kokoseilande",
      "ak": "Cocos (Keeling) Islands",
      "am": "Cocos (Keeling) Islands",
      "an": "Cocos (Keeling) Islands",
      "ar": "جزر الكوكوس",
      "as": "কোকোচ (কিলিং) দ্বীপ",
      "ay": "Cocos (Keeling) Islands",
      "az": "Kokos Adası",
      "ba": "Cocos (Keeling) Islands",
      "be": "Какосавыя (Кілінг) астравы",
      "bg": "Кокосови острови",
      "bi": "Cocos (Keeling) Islands",
      "bn": "কোকোস (কিলিং) দ্বীপ",
      "bn_IN": "কোকোস (কিলিং) দ্বীপ",
      "br": "Inizi Cocos",
      "bs": "Kokosova (Kilingova) ostrva",
      "ca": "Illes Cocos (Keeling)",
      "ce": "Cocos (Keeling) Islands",
      "ch": "Cocos (Keeling) Islands",
      "cs": "Kokosové ostrovy",
      "cv": "Cocos (Keeling) Islands",
      "cy": "Ynysoedd Cocos (Keeling)",
      "da": "Cocosøerne (Keelingøerne)",
      "de": "Kokos-(Keeling-)Inseln",
      "dv": "Cocos (Keeling) Islands",
      "dz": "ཀོ་ཀོསི་(ཀི་ལིང་)ཨའི་ལེནཌིསི།",
      "ee": "Cocos (Keeling) Islands",
      "el": "Νήσοι Κόκος (Κήλινγκ)",
      "en": "Cocos (Keeling) Islands",
      "eo": "Kokosinsuloj",
      "es": "Islas Cocos (Keeling)",
      "et": "Kookossaared",
      "eu": "Cocos (Keeling) uharteak",
      "fa": "جزایر کوکوس",
      "ff": "Cocos (Keeling) Islands",
      "fi": "Kookossaaret",
      "fo": "Cocos (Keeling) Islands",
      "fr": "Cocos (Keeling), Îles",
      "fy": "Kokoseilannen",
      "ga": "Oileáin Cocos (Oileáin Keeling)",
      "gl": "Illas Cocos (Keeling)",
      "gn": "Cocos (Keeling) Islands",
      "gu": "કોકોસ (કીલીંગ) ટાપુઓ",
      "gv": "Ellanyn Cocos",
      "ha": "Cocos (Keeling) Islands",
      "he": "איי קוקוס",
      "hi": "कोकोस (कीलिंग) द्वीपसमूह",
      "hr": "Cocos (Keeling) otoci",
      "ht": "Cocos (Keeling) Islands",
      "hu": "Kókusz (Keeling)-szigetek",
      "hy": "Կոկոսյան (Քիլինգ) կղզիներ",
      "ia": "Insulas Cocos (Keeling)",
      "id": "Kepulauan Cocos (Keeling)",
      "io": "Cocos (Keeling) Islands",
      "is": "Kókoseyjar (Keeling-eyjar)",
      "it": "Isole Cocos (Keeling)",
      "iu": "Cocos (Keeling) Islands",
      "ja": "ココス (キーリング) 諸島",
      "ka": "ქოქოსის კუნძული",
      "ki": "Cocos (Keeling) Islands",
      "kk": "Кокос аралдары",
      "kl": "Cocos (Keeling) Islands",
      "km": "កោះ​កូកូ (ឃីលីង)",
      "kn": "ಕೋಕೋಸ್(ಕೀಲಿಂಗ್)ದ್ವೀಪಗಳು",
      "ko": "코코스 제도",
      "ku": "Grava Kokos (Kîlîng)",
      "kv": "Cocos (Keeling) Islands",
      "kw": "Ynysow Cocos",
      "ky": "Кокос аралдары",
      "lo": "Cocos (Keeling) Islands",
      "lt": "Kokosų (Kilingo) salos",
      "lv": "Kokosu (Kīlinga) salas",
      "mi": "Cocos (Keeling) Islands",
      "mk": "Кокос (Килинг) острови",
      "ml": "കൊകോസ് (കീലിങ്ങ്) ദ്വീപുകള്‍",
      "mn": "Кокос (Кийлинг) Арлууд",
      "mr": "कोकस (कीलिंग) आयलॅंडस्",
      "ms": "Kepulauan Cocos (Keeling)",
      "mt": "Gżejjer Kokos (Keeling)",
      "my": "Cocos (Keeling) Islands",
      "na": "Cocos (Keeling) Islands",
      "nb": "Kokosøyene",
      "ne": "कोकोस (किलिङ्) टापु",
      "nl": "Cocoseilanden",
      "nn": "Kokosøyane",
      "nv": "Cocos (Keeling) Islands",
      "oc": "Illas Cocos (Keeling)",
      "or": "କୋକୋସ (କିଲିଙ୍ଗ) ଦ୍ବୀପ",
      "pa": "ਕੋਕੋਸ(ਕਿਲਿੰਗ) ਟਾਪੂ",
      "pi": "Cocos (Keeling) Islands",
      "pl": "Wyspy Kokosowe (Wyspy Keelinga)",
      "ps": "Cocos (Keeling) Islands",
      "pt": "Ilhas Cocos",
      "pt_BR": "Ilhas Cocos",
      "ro": "Insulele Cocos (Keeling)",
      "ru": "Кокосовые острова",
      "rw": "Ibirwa bya Koko",
      "sc": "Ìsulas Cocos (Keeling)",
      "sd": "Cocos (Keeling) Islands",
      "si": "කොකෝවා (කීලිං) දූපත්",
      "sk": "Kokosové ostrovy",
      "sl": "Kokosovi otoki",
      "so": "Cocos (Keeling) Islands",
      "sq": "Ishujt Kokos (Kiling)",
      "sr": "Кокосова острва",
      "sv": "Kokosöarna",
      "sw": "Kisiwa cha Cocos (Keeling)",
      "ta": "கோகோஸ்(கீலிங்) தீவு",
      "te": "కోకస్ (కీలింగ్) ఐలాండ్స్",
      "tg": "Ҷазираҳои Кокос (Килинг)",
      "th": "หมู่เกาะโคโคส (คีลิง)",
      "ti": "Cocos (Keeling) Islands",
      "tk": "Kokos (Kiling) adalary",
      "tl": "Kapuluang Cocos (Keeling)",
      "tr": "Cocos (Keeling) Adaları",
      "tt": "Кокос (Кеелинg) Утравлары",
      "ug": "كوكۇس (كېلىڭ)ئارىلى",
      "uk": "Кокосові (Кілінг) острови",
      "ur": "جزائر کوکوس",
      "uz": "Cocos (Keeling) Islands",
      "ve": "Cocos (Keeling) Islands",
      "vi": "Quần đảo Co-co-xợ (Khi-lịng)",
      "wa": "Iyes Cocos (Keeling)",
      "wo": "Cocos (Keeling) Islands",
      "xh": "Cocos (Keeling) Islands",
      "yo": "Àwọn Erékùṣù Kókósì",
      "zh_CN": "科科斯群岛",
      "zh_HK": "可可斯羣島",
      "zh_TW": "科科斯 (基林) 群島",
      "zu": "Cocos (Keeling) Islands"
    },
  );

  /// Country: The Democratic Republic of the Congo
  static const Country cod = Country(
    alpha2: 'CD',
    alpha3: 'COD',
    continent: Continent.africa,
    countryCode: '243',
    currencyCode: 'CDF',
    gec: 'CG',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -4.038333,
        longitude: 21.758664,
      ),
      maxCoordinate: Coordinate(
        latitude: 5.3920029,
        longitude: 31.314612,
      ),
      minCoordinate: Coordinate(
        latitude: -13.4590349,
        longitude: 12.1454,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 5.3920029,
          longitude: 31.314612,
        ),
        southwest: Coordinate(
          latitude: -13.4590349,
          longitude: 12.1454,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'COD',
    isoLongName: 'The Democratic Republic of the Congo',
    isoShortName: 'Congo (Democratic Republic of the)',
    languagesOfficial: ['fr', 'ln', 'kg', 'sw', 'lu'],
    languagesSpoken: ['fr', 'ln', 'kg', 'sw', 'lu'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Congolese',
    number: '180',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Middle Africa',
    unLocode: 'CD',
    unofficialNames: [
      'Congo (Dem. Rep.)',
      'Kongo (Dem. Rep.)',
      'Congo (Rep. Dem.)',
      'コンゴ民主共和国',
      'Congo [DRC]',
      'Congo (The Democratic Republic Of The)',
      'Democratic Republic of the Congo',
      'Congo, Democratic Republic of'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Congo, The Democratic Republic of the",
      "af": "Kongo, Die Demokratiese Republiek van die",
      "ak": "Congo, The Democratic Republic of the",
      "am": "Congo, The Democratic Republic of the",
      "an": "Congo, The Democratic Republic of the",
      "ar": "الكونغو، جمهوريّة الكونغو الدّيموقراطيّة",
      "as": "কঙ্গো, গণতান্ত্ৰিক প্ৰজাতন্ত্ৰ",
      "ay": "Congo, The Democratic Republic of the",
      "az": "Congo, The Democratic Republic of the",
      "ba": "Congo, The Democratic Republic of the",
      "be": "Конга, Дэмакратычная Рэспубліка",
      "bg": "Конго, Демократична република",
      "bi": "Congo, The Democratic Republic of the",
      "bn": "কঙ্গো, গণতান্ত্রিক প্রজাতন্ত্র",
      "bn_IN": "কঙ্গো, গণতান্ত্রিক প্রজাতন্ত্র",
      "br": "Congo, The Democratic Republic of the",
      "bs": "Demokratska Republika Kongo",
      "ca": "Congo, La República Democràtica del",
      "ce": "Congo, The Democratic Republic of the",
      "ch": "Congo, The Democratic Republic of the",
      "cs": "Konžská demokratická republika",
      "cv": "Congo, The Democratic Republic of the",
      "cy": "Congo, Gweriniaeth Ddemocrataidd y",
      "da": "Den Demokratiske Republik Congo",
      "de": "Demokratische Republik Kongo",
      "dv": "Congo, The Democratic Republic of the",
      "dz": "ཀོང་གོ་ མི་སེར་དམང་གཙོའི་ རྒྱལ་ཁབ།",
      "ee": "Congo, The Democratic Republic of the",
      "el": "Κονγκό, Λαϊκή Δημοκρατία του",
      "en": "Congo, The Democratic Republic of the",
      "eo": "Demokratia Respubliko Kongo",
      "es": "Congo, República Democrática del",
      "et": "Kongo Demokraatlik Vabariik",
      "eu": "Kongoko Herri Errepublika Demokratikoa",
      "fa": "جمهوری دموکراتیک کنگو",
      "ff": "Congo, The Democratic Republic of the",
      "fi": "Kongon demokraattinen tasavalta",
      "fo": "Congo, The Democratic Republic of the",
      "fr": "République démocratique du Congo",
      "fy": "Congo, The Democratic Republic of the",
      "ga": "Poblacht Dhaonlathach an Chongó",
      "gl": "Congo, República Democrática do",
      "gn": "Congo, The Democratic Republic of the",
      "gu": "કોન્ગો, ડેમોક્રેટિક રીપબ્લિક ઓફ",
      "gv": "Congo, The Democratic Republic of the",
      "ha": "Congo, The Democratic Republic of the",
      "he": "קונגו, הרפובליקה הדמוקרטית של",
      "hi": "कांगो, द डेमोक्रेटिक रिपब्लिक ऑफ द",
      "hr": "Kongo, Demokratska Repubilika",
      "ht": "Congo, The Democratic Republic of the",
      "hu": "Kongói Demokratikus Köztársaság",
      "hy": "Կոնգո, -ի Դեմոկրատական Հանրապետություն",
      "ia": "Congo, Republica Democratic del",
      "id": "Republik Demokrat Congo",
      "io": "Congo, The Democratic Republic of the",
      "is": "Kongó, sambandslýðveldið",
      "it": "Repubblica democratica del Congo",
      "iu": "Congo, The Democratic Republic of the",
      "ja": "コンゴ民主共和国",
      "ka": "კონგო, დემოკრატიული რესპუბლიკა",
      "ki": "Congo, The Democratic Republic of the",
      "kk": "Конго Демократиялық Республикасы",
      "kl": "Congo, The Democratic Republic of the",
      "km": "សាធារណរដ្ឋ​ប្រជាធិបតេយ្យ​កុងហ្គោ",
      "kn": "ಕಾಂಗೋ ಪ್ರಜಾಸತ್ತಾತ್ಮಕ ಗಣರಾಜ್ಯ",
      "ko": "콩고 민주 공화국",
      "ku": "Komara Demokratîk a Kongo",
      "kv": "Congo, The Democratic Republic of the",
      "kw": "Congo, The Democratic Republic of the",
      "ky": "Конго Республикасы",
      "lo": "Congo, The Democratic Republic of the",
      "lt": "Kongo Demokratinė Respublika",
      "lv": "Kongo Demokrātiskā Republika",
      "mi": "Congo, The Democratic Republic of the",
      "mk": "Конго, демократска република",
      "ml": "കോംഗോ ഡെമോക്രാറ്റിക് റിപ്പബ്ലിക്",
      "mn": "Congo, The Democratic Republic of the",
      "mr": "कॉंगो, दि डेमोक्रॅटिक रिपब्लिक ऑफ दि",
      "ms": "Congo, The Democratic Republic of the",
      "mt": "Congo, The Democratic Republic of the",
      "my": "Congo, The Democratic Republic of the",
      "na": "Congo, The Democratic Republic of the",
      "nb": "Kongo, Den demokratiske republikk",
      "ne": "कोङ्गो को प्रजातन्त्रिक गणराज्य",
      "nl": "Congo, Democratische Republiek",
      "nn": "Den demokratiske republikken Kongo",
      "nv": "Congo, The Democratic Republic of the",
      "oc": "Còngo, Republica Democratica de",
      "or": "କୋଙ୍ଗୋ, ମଧ୍ଯ ଆଫ୍ରିକାର",
      "pa": "ਕੌਂਗੋ, ਇਸ ਦਾ ਜਮਹੂਰੀ ਲੋਕਤੰਤਰ",
      "pi": "Congo, The Democratic Republic of the",
      "pl": "Kongo, Demokratyczna Republika Konga",
      "ps": "Congo, The Democratic Republic of the",
      "pt": "República Democrática do Congo",
      "pt_BR": "República Democrática do Congo",
      "ro": "Congo, Republica democrată",
      "ru": "Демократическая Республика Конго",
      "rw": "Repubulika Iharanira Demokarasi ya Kongo",
      "sc": "Congo, Repùblica Democràtica de su",
      "sd": "Congo, The Democratic Republic of the",
      "si": "කොන්ගෝ ප්‍රජාතන්ත්‍රවාදී ජනරජය",
      "sk": "Konžská demokratická republika",
      "sl": "Demokratična republika Kongo",
      "so": "Congo, The Democratic Republic of the",
      "sq": "Kongo, Republika Demokratike e",
      "sr": "Конго, Демократска Република",
      "sv": "Kongo, demokratiska republiken",
      "sw": "Congo, The Democratic Republic of the",
      "ta": "காங்கோ குடியரசு",
      "te": "కాంగో, ది డెమోక్రటిక్ రిపబ్లిక్ ఆఫ్ ది",
      "tg": "Ҷумҳурии Демократии Конго",
      "th": "คองโก, สาธารณรัฐประชาธิปไตย",
      "ti": "ደሞክራስያዊት ሪፓብሊክ ኮንጎ",
      "tk": "Kongo demokratik respublikasy",
      "tl": "Congo, Ang Demokratikong Republika ng",
      "tr": "Kongo Demokratik Cumhuriyeti",
      "tt": "Конgо, Демократ Җөмһүриәте",
      "ug": "كونگو دېموكراتىك جۇمھۇرىيىتى",
      "uk": "Конго, демократична республіка",
      "ur": "Congo, The Democratic Republic of the",
      "uz": "Congo, The Democratic Republic of the",
      "ve": "Congo, The Democratic Republic of the",
      "vi": "Cộng hoà Dân chủ Công-gô",
      "wa": "Congo-Kinshasa, Republike Democratike do Congo",
      "wo": "Kongóo, Republik Demokaraatik bu",
      "xh": "Congo, The Democratic Republic of the",
      "yo": "Congo, The Democratic Republic of the",
      "zh_CN": "刚果民主共和国",
      "zh_HK": "剛果民主共和國",
      "zh_TW": "剛果民主共和國",
      "zu": "Congo, The Democratic Republic of the"
    },
  );

  /// Country: The Central African Republic
  static const Country caf = Country(
    alpha2: 'CF',
    alpha3: 'CAF',
    continent: Continent.africa,
    countryCode: '236',
    currencyCode: 'XAF',
    gec: 'CT',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 6.611110999999999,
        longitude: 20.939444,
      ),
      maxCoordinate: Coordinate(
        latitude: 11.0179569,
        longitude: 27.4583049,
      ),
      minCoordinate: Coordinate(
        latitude: 2.2230529,
        longitude: 14.4150981,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 11.0179569,
          longitude: 27.4583049,
        ),
        southwest: Coordinate(
          latitude: 2.2230529,
          longitude: 14.4150981,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'CAF',
    isoLongName: 'The Central African Republic',
    isoShortName: 'Central African Republic',
    languagesOfficial: ['fr', 'sg'],
    languagesSpoken: ['fr', 'sg'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Central African',
    number: '140',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Middle Africa',
    unLocode: 'CF',
    unofficialNames: [
      'Central African Republic',
      'Zentralafrikanische Republik',
      'République Centrafricaine',
      'República Centroafricana',
      '中央アフリカ共和国',
      'Centraal-Afrikaanse Republiek'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Central African Republic",
      "af": "Sentraal-Afrikaanse Republiek",
      "ak": "Central African Republic",
      "am": "ፘመጢጘለኢፄ ጐፔሱጢ ሱፐብሑጤ",
      "an": "Republica Centroafricana",
      "ar": "جمهورية إفريقيّا الوسطى",
      "as": "মধ্য আফ্ৰিকান প্ৰজাতন্ত্ৰ",
      "ay": "Central African Republic",
      "az": "Mərkəzi Afrika Respublikası",
      "ba": "Central African Republic",
      "be": "Цэнтральна-Афрыканская Рэспубліка",
      "bg": "Централноафриканска Република",
      "bi": "Central African Republic",
      "bn": "মধ্য আফ্রিকান প্রজাতন্ত্র",
      "bn_IN": "মধ্য আফ্রিকান প্রজাতন্ত্র",
      "br": "Republik Kreizafrikan",
      "bs": "Centralnoafrička Republika",
      "ca": "República Centreafricana",
      "ce": "Африкан Юккъера Пачхьалкх",
      "ch": "Central African Republic",
      "cs": "Středoafrická republika",
      "cv": "Африкан Юккъера Пачхьалкх",
      "cy": "Gweriniaeth Canol Affrica",
      "da": "Centralafrikanske Republik",
      "de": "Zentralafrikanische Republik",
      "dv": "މެދުތެރޭ އެފްރިކާގެ ޖުމްހޫރިއްޔާ",
      "dz": "དབུས་ ཨཕ་རི་ཀཱན་ རི་པཔ་ལིཀ།",
      "ee": "Central African Republic",
      "el": "Δημοκρατία Κεντρικής Αφρικής",
      "en": "Central African Republic",
      "eo": "Centr-Afrika Respubliko",
      "es": "República Centroafricana",
      "et": "Kesk-Aafrika Vabariik",
      "eu": "Afrika Erdiko Errepublika",
      "fa": "جمهوری آفریقای مرکزی",
      "ff": "Central African Republic",
      "fi": "Keski-Afrikan tasavalta",
      "fo": "Miðafrikalýðveldið",
      "fr": "République centrafricaine",
      "fy": "Sintraal-Afrikaanske Republyk",
      "ga": "Poblacht na hAfraice Láir",
      "gl": "República Centroafricana",
      "gn": "Central African Republic",
      "gu": "સેન્ટ્રલ આફ્રિકન રીપબ્લિક",
      "gv": "Pobblaght yn Affrick Veanagh",
      "ha": "Central African Republic",
      "he": "הרפובליקה המרכז־אפריקאית",
      "hi": "मध्य अफ़्रीकी गणराज्य",
      "hr": "Srednjoafrička Republika",
      "ht": "Repiblik santafrik",
      "hu": "Közép-afrikai Köztársaság",
      "hy": "Կենտրոնական Աֆրիկյան Հանրապետություն",
      "ia": "Republica African Central",
      "id": "Republik Afrika Tengah",
      "io": "Centrafrika",
      "is": "Miðafríkulýðveldið",
      "it": "Repubblica Centrafricana",
      "iu": "Central African Republic",
      "ja": "中央アフリカ共和国",
      "ka": "ცენტრალური აფრიკის რესპუბლიკა",
      "ki": "Central African Republic",
      "kk": "Орталық Африка Республикасы",
      "kl": "Central African Republic",
      "km": "សាធារណរដ្ឋ​អាហ្វ្រិក​កណ្ដាល",
      "kn": "ಮಧ್ಯ ಆಫ್ರಿಕನ್ ಗಣರಾಜ್ಯ",
      "ko": "중앙아프리카 공화국",
      "ku": "Komara Afrikaya Navîn",
      "kv": "Central African Republic",
      "kw": "Centrafrika",
      "ky": "Борбордук-Африка Республикасы",
      "lo": "Central African Republic",
      "lt": "Centrinės Afrikos Respublika",
      "lv": "Centrālāfrikas Republika",
      "mi": "Central African Republic",
      "mk": "Централно афричка република",
      "ml": "മദ്ധ്യ അഫ്രിക്കന്‍ റിപ്പബ്ലിക്",
      "mn": "Төв африкын ард улс",
      "mr": "सेंट्रल आफ्रिकन रिपब्लिक",
      "ms": "Republik Afrika Tengah",
      "mt": "Repubblika Afrikana Ċentrali",
      "my": "ဗဟိုအာဖရိကသမ္မတနိုင်ငံ",
      "na": "Ripubrikin Aprika Yugaga",
      "nb": "Den sentralafrikanske republikk",
      "ne": "केन्द्रिय अफ्रिकी गणराज्य",
      "nl": "Centraal-Afrikaanse Republiek",
      "nn": "Den sentralafrikanske republikken",
      "nv": "Naakaii Łizhinii Bikéyah Beʼałnííʼ",
      "oc": "Republica de Centrafrica",
      "or": "ମଦ୍ଦ୍ଯବର୍ତ୍ତୀ ଆଫ୍ରୀକିୟ ସାଧାରଣତନ୍ତ୍ର",
      "pa": "ਕੇਂਦਰੀ ਅਫਰੀਕਾ ਗਣਰਾਜ",
      "pi": "केन्द्रीय अफ्रीका गणराज्य",
      "pl": "Republika Środkowoafrykańska",
      "ps": "د منځنی افريقا ولسمشريزه",
      "pt": "República Centro-Africana",
      "pt_BR": "República Centro-Africana",
      "ro": "Republica Central Africană",
      "ru": "Центрально-африканская республика",
      "rw": "Repubulika ya Santara Afurika",
      "sc": "Repùblica Tzentrafricana",
      "sd": "Central African Republic",
      "si": "මධ්‍යම අප්‍රිකානු ජනරජය",
      "sk": "Stredoafrická republika",
      "sl": "Srednjeafriška republika",
      "so": "Jamhuuriyadda Bartamaha Afrika",
      "sq": "Republika e Afrikës Qendrore",
      "sr": "Централноафричка Република",
      "sv": "Centralafrikanska republiken",
      "sw": "Jamhuri ya Afrika ya Kati",
      "ta": "மத்திய ஆப்ரிக்க குடியரசு",
      "te": "సేంట్రల్ ఆఫ్రికన్ రిపబ్లిక్",
      "tg": "Ҷумҳурии Африкаи Марказӣ",
      "th": "สาธารณรัฐแอฟริกากลาง",
      "ti": "ሪፓብሊክ ማእከላይ ኣፍሪቃ",
      "tk": "Merkezi afrika respublikasy",
      "tl": "Republikang Panggitnang Aprika",
      "tr": "Orta Afrika Cumhuriyeti",
      "tt": "Үзәк Африка Җөмһүриәте",
      "ug": "ئوتتۇرا ئافرىقا جۇمھۇرىيىتى",
      "uk": "Центральноафриканська Республіка",
      "ur": "وسطی افریقی جمہوریہ",
      "uz": "Markaziy Afrika Respublikasi",
      "ve": "Central African Republic",
      "vi": "Nước Cộng Hoà Trung Phi",
      "wa": "Cintrafrike",
      "wo": "Republik bu Santar Afrik",
      "xh": "Central African Republic",
      "yo": "Orílẹ̀-èdè Olómìnira Àrin Áfríkà",
      "zh_CN": "中非",
      "zh_HK": "中非共和國",
      "zh_TW": "中非共和國",
      "zu": "Central African Republic"
    },
  );

  /// Country: The Republic of the Congo
  static const Country cog = Country(
    alpha2: 'CG',
    alpha3: 'COG',
    continent: Continent.africa,
    countryCode: '242',
    currencyCode: 'XAF',
    gec: 'CF',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -0.228021,
        longitude: 15.827659,
      ),
      maxCoordinate: Coordinate(
        latitude: 3.707791,
        longitude: 18.650421,
      ),
      minCoordinate: Coordinate(
        latitude: -5.0964,
        longitude: 11.1182001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 3.707791,
          longitude: 18.650421,
        ),
        southwest: Coordinate(
          latitude: -5.0964,
          longitude: 11.1182001,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'CGO',
    isoLongName: 'The Republic of the Congo',
    isoShortName: 'Congo',
    languagesOfficial: ['fr', 'ln'],
    languagesSpoken: ['fr', 'ln'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Congolese',
    number: '178',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Middle Africa',
    unLocode: 'CG',
    unofficialNames: [
      'Congo',
      'Kongo',
      'コンゴ共和国',
      'Congo [Republiek]',
      'Congo, Republic of'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Congo",
      "af": "Kongo",
      "ak": "Congo",
      "am": "ኮንጎ",
      "an": "Congo",
      "ar": "الكونغو",
      "as": "কঙ্গো",
      "ay": "Congo",
      "az": "Konqo",
      "ba": "Congo",
      "be": "Конга",
      "bg": "Конго",
      "bi": "Congo",
      "bn": "কঙ্গো",
      "bn_IN": "কঙ্গো",
      "br": "Congo",
      "bs": "Kongo",
      "ca": "Congo",
      "ce": "Congo",
      "ch": "Congo",
      "cs": "Kongo",
      "cv": "Congo",
      "cy": "Congo",
      "da": "Congo",
      "de": "Kongo",
      "dv": "Congo",
      "dz": "ཀོང་གོ།",
      "ee": "Congo",
      "el": "Κονγκό",
      "en": "Congo",
      "eo": "Kongo",
      "es": "Congo",
      "et": "Kongo Vabariik",
      "eu": "Kongo",
      "fa": "کونگو",
      "ff": "Congo",
      "fi": "Kongo",
      "fo": "Kongo",
      "fr": "République du Congo",
      "fy": "Congo",
      "ga": "An Congó",
      "gl": "Congo",
      "gn": "Congo",
      "gu": "કોન્ગો",
      "gv": "Congo",
      "ha": "Congo",
      "he": "קונגו",
      "hi": "कॉंगो",
      "hr": "Kongo",
      "ht": "Congo",
      "hu": "Kongó",
      "hy": "Կոնգո",
      "ia": "Congo",
      "id": "Congo",
      "io": "Congo",
      "is": "Kongó",
      "it": "Congo",
      "iu": "Congo",
      "ja": "コンゴ",
      "ka": "კონგო",
      "ki": "Congo",
      "kk": "Конго",
      "kl": "Congo",
      "km": "កុងហ្គោ",
      "kn": "ಕಾಂಗೋ",
      "ko": "콩고",
      "ku": "Kongo",
      "kv": "Congo",
      "kw": "Congo",
      "ky": "Конго",
      "lo": "Congo",
      "lt": "Kongas",
      "lv": "Kongo",
      "mi": "Kōngo",
      "mk": "Конго",
      "ml": "കോംഗോ",
      "mn": "Конго",
      "mr": "कॉंगो",
      "ms": "Kongo",
      "mt": "Kongo",
      "my": "Congo",
      "na": "Congo",
      "nb": "Kongo",
      "ne": "कोङ्गो",
      "nl": "Congo",
      "nn": "Kongo",
      "nv": "Congo",
      "oc": "Còngo",
      "or": "କଙ୍ଗୋ",
      "pa": "ਕਾਂਗੋ",
      "pi": "Congo",
      "pl": "Kongo",
      "ps": "Congo",
      "pt": "Congo",
      "pt_BR": "Congo",
      "ro": "Congo",
      "ru": "Конго",
      "rw": "Kongo",
      "sc": "Congo",
      "sd": "Congo",
      "si": "කොන්ගෝව",
      "sk": "Kongo",
      "sl": "Kongo",
      "so": "Congo",
      "sq": "Kongo",
      "sr": "Конго",
      "sv": "Kongo",
      "sw": "Congo",
      "ta": "காங்கோ",
      "te": "కాంగో",
      "tg": "Конго",
      "th": "คองโก",
      "ti": "ኮንጎ",
      "tk": "Kongo",
      "tl": "Congo",
      "tr": "Kongo",
      "tt": "Конgо",
      "ug": "كونگو",
      "uk": "Конго",
      "ur": "Congo",
      "uz": "Congo",
      "ve": "Congo",
      "vi": "Công-gô",
      "wa": "Congo-Brazza",
      "wo": "Kongóo",
      "xh": "Congo",
      "yo": "Congo",
      "zh_CN": "刚果",
      "zh_HK": "剛果",
      "zh_TW": "剛果",
      "zu": "Congo"
    },
  );

  /// Country: The Swiss Confederation
  static const Country che = Country(
    alpha2: 'CH',
    alpha3: 'CHE',
    continent: Continent.europe,
    countryCode: '41',
    currencyCode: 'CHF',
    gec: 'SZ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 46.818188,
        longitude: 8.227511999999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 47.8084546,
        longitude: 10.4923401,
      ),
      minCoordinate: Coordinate(
        latitude: 45.81792,
        longitude: 5.95608,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 47.8084546,
          longitude: 10.4923401,
        ),
        southwest: Coordinate(
          latitude: 45.81792,
          longitude: 5.95608,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'SUI',
    isoLongName: 'The Swiss Confederation',
    isoShortName: 'Switzerland',
    languagesOfficial: ['de', 'fr', 'it'],
    languagesSpoken: ['de', 'fr', 'it'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9, 10],
    nationalPrefix: '0',
    nationality: 'Swiss',
    number: '756',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Western Europe',
    unLocode: 'CH',
    unofficialNames: [
      'Switzerland',
      'Schweiz',
      'Suisse',
      'Suiza',
      'スイス',
      'Zwitserland'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 7.7,
      reduced: [2.5, 3.7],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: true,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Switzerland",
      "af": "Switserland",
      "ak": "Switzerland",
      "am": "ስፁፈሴሒን፥",
      "an": "Switzerland",
      "ar": "سويسرا",
      "as": "ছুইজাৰলেণ্ড",
      "ay": "Switzerland",
      "az": "İsveçrə",
      "ba": "Switzerland",
      "be": "Швейцарыя",
      "bg": "Швейцария",
      "bi": "Switzerland",
      "bn": "সুইৎজারল্যান্ড",
      "bn_IN": "সুইৎজারল্যান্ড",
      "br": "Suis",
      "bs": "Švicarska",
      "ca": "Suïssa",
      "ce": "Швейцари",
      "ch": "Switzerland",
      "cs": "Švýcarsko",
      "cv": "Швейцари",
      "cy": "Y Swistir",
      "da": "Schweiz",
      "de": "Schweiz",
      "dv": "ސުވިޒަލޭންޑު",
      "dz": "ས་ཝ་ཛི་ལེནཌི།",
      "ee": "Switzerland",
      "el": "Ελβετία",
      "en": "Switzerland",
      "eo": "Svislando",
      "es": "Suiza",
      "et": "Šveits",
      "eu": "Suitza",
      "fa": "سوئیس",
      "ff": "Suwis",
      "fi": "Sveitsi",
      "fo": "Sveis",
      "fr": "Suisse",
      "fy": "Switserlân",
      "ga": "An Eilvéis",
      "gl": "Suíza",
      "gn": "Switzerland",
      "gu": "સ્વિત્ઝરલેન્ડ",
      "gv": "Yn Elveeish",
      "ha": "Switzerland",
      "he": "שווייץ",
      "hi": "स्विट्ज़रलैण्ड",
      "hr": "Švicarska",
      "ht": "Swis",
      "hu": "Svájc",
      "hy": "Շվեյցարիա",
      "ia": "Suissa",
      "id": "Swiss",
      "io": "Suisia",
      "is": "Sviss",
      "it": "Svizzera",
      "iu": "Switzerland",
      "ja": "スイス",
      "ka": "შვეიცარია",
      "ki": "Switzerland",
      "kk": "Швейцария",
      "kl": "Switzerland",
      "km": "ស្វ៊ីស",
      "kn": "ಸ್ವಿಜರ್ಲ್ಯಾಂಡ್",
      "ko": "스위스",
      "ku": "Swîsre",
      "kv": "Швейцария",
      "kw": "Swistir",
      "ky": "Швейцария",
      "lo": "ປະເທດສະວິດ",
      "lt": "Šveicarija",
      "lv": "Šveice",
      "mi": "Huiterangi",
      "mk": "Швајцарија",
      "ml": "സ്വിറ്റ്സര്‍ലാന്‍ഡ്",
      "mn": "Швецарь",
      "mr": "स्वित्झर्लंड",
      "ms": "Switzerland",
      "mt": "Svizzera",
      "my": "ဆွစ်ဇာလန်နိုင်ငံ",
      "na": "Witsierand",
      "nb": "Sveits",
      "ne": "स्विजरल्याण्ड",
      "nl": "Zwitserland",
      "nn": "Sveits",
      "nv": "Swis Bikéyah",
      "oc": "Soïssa",
      "or": "ସ୍ବିଟ୍ଜରଲ୍ଯାଣ୍ଡ",
      "pa": "ਸਵਿਟਰਜ਼ਰਲੈਂਡ",
      "pi": "स्विटजरलैंड",
      "pl": "Szwajcaria",
      "ps": "سویس",
      "pt": "Suíça",
      "pt_BR": "Suíça",
      "ro": "Elveția",
      "ru": "Швейцария",
      "rw": "Ubusuwisi",
      "sc": "Isvìtzera",
      "sd": "Switzerland",
      "si": "ස්විට්සර්ලන්තය",
      "sk": "Švajčiarsko",
      "sl": "Švica",
      "so": "Swiiserlaand",
      "sq": "Zvicër",
      "sr": "Швајцарска",
      "sv": "Schweiz",
      "sw": "Uswisi",
      "ta": "சுவிட்சர்லாந்து",
      "te": "స్విడ్జర్లాండ్",
      "tg": "Швейтсария",
      "th": "สวิตเซอร์แลนด์",
      "ti": "ስዊዘርላንድ",
      "tk": "Şweýsariýa",
      "tl": "Switzerland",
      "tr": "İsviçre",
      "tt": "İсвичрә",
      "ug": "شىۋېيىتسارىيە",
      "uk": "Швейцарія",
      "ur": "سویٹزرلینڈ",
      "uz": "Shveysariya",
      "ve": "Switzerland",
      "vi": "Thụy Sĩ",
      "wa": "Swisse",
      "wo": "Suwis",
      "xh": "Switzerland",
      "yo": "Swítsàlandì",
      "zh_CN": "瑞士",
      "zh_HK": "瑞士",
      "zh_TW": "瑞士",
      "zu": "I-Switzerland"
    },
  );

  /// Country: The Republic of Côte d'Ivoire
  static const Country civ = Country(
    alpha2: 'CI',
    alpha3: 'CIV',
    continent: Continent.africa,
    countryCode: '225',
    currencyCode: 'XOF',
    gec: 'IV',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 7.539988999999999,
        longitude: -5.547079999999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 10.7400149,
        longitude: -2.493031,
      ),
      minCoordinate: Coordinate(
        latitude: 4.193,
        longitude: -8.6020589,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 10.7400149,
          longitude: -2.493031,
        ),
        southwest: Coordinate(
          latitude: 4.193,
          longitude: -8.6020589,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'CIV',
    isoLongName: 'The Republic of Côte d\'Ivoire',
    isoShortName: 'Côte d\'Ivoire',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '0',
    nationality: 'Ivorian',
    number: '384',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Western Africa',
    unLocode: 'CI',
    unofficialNames: [
      'Côte D\'Ivoire',
      'Elfenbeinküste',
      'コートジボワール',
      'Ivoorkust',
      'Cote D\'Ivoire (Ivory Coast)',
      'Cote d Ivoire (Ivory Coast)',
      'Ivory Coast'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Côte d'Ivoire",
      "af": "Ivoorkus",
      "ak": "Côte d'Ivoire",
      "am": "Côte d'Ivoire",
      "an": "Côte d'Ivoire",
      "ar": "ساحل العاج",
      "as": "আইভৰি কোস্ট",
      "ay": "Côte d'Ivoire",
      "az": "Kot Divuar",
      "ba": "Côte d'Ivoire",
      "be": "Кот д'Івуар",
      "bg": "Кот д'Ивоар",
      "bi": "Côte d'Ivoire",
      "bn": "আইভরি কোস্ট",
      "bn_IN": "আইভরি কোস্ট",
      "br": "Côte d'Ivoire",
      "bs": "Obala Slonovače",
      "ca": "Costa de Vori",
      "ce": "Côte d'Ivoire",
      "ch": "Côte d'Ivoire",
      "cs": "Pobřeží slonoviny",
      "cv": "Côte d'Ivoire",
      "cy": "Côte d'Ivoire",
      "da": "Elfenbenskysten",
      "de": "Elfenbeinküste",
      "dv": "Côte d'Ivoire",
      "dz": "ཀོཊི་ ཌི་ཨའི་བོ་རི།",
      "ee": "Côte d'Ivoire",
      "el": "Ακτή Ελεφαντοστού",
      "en": "Côte d'Ivoire",
      "eo": "Ebur-Bordo",
      "es": "Costa de Marfíl",
      "et": "Elevandiluurannik (Côte d'Ivoire)",
      "eu": "Boli Kosta",
      "fa": "ساحل عاج",
      "ff": "Côte d'Ivoire",
      "fi": "Norsunluurannikko",
      "fo": "Côte d'Ivoire",
      "fr": "Côte d'Ivoire",
      "fy": "Côte d'Ivoire",
      "ga": "An Cósta Eabhair",
      "gl": "Costa de Marfín",
      "gn": "Côte d'Ivoire",
      "gu": "કોટે ડીઆઇવરી",
      "gv": "Côte d'Ivoire",
      "ha": "Côte d'Ivoire",
      "he": "חוף השנהב",
      "hi": "कोयटे डी वोयरे",
      "hr": "Obala Bjelokosti",
      "ht": "Côte d'Ivoire",
      "hu": "Elefántcsontpart",
      "hy": "Կոտ դ'Իվուար",
      "ia": "Costa de Ebore",
      "id": "Pantai Gading",
      "io": "Côte d'Ivoire",
      "is": "Fílabeinsströnd",
      "it": "Costa d'Avorio",
      "iu": "Côte d'Ivoire",
      "ja": "コートジボワール",
      "ka": "კოტ-დ'ივუარი",
      "ki": "Côte d'Ivoire",
      "kk": "Кот д'Ивуар",
      "kl": "Côte d'Ivoire",
      "km": "កូតេឌីវ័រ",
      "kn": "Côte d'Ivoire",
      "ko": "코트디부아르",
      "ku": "Sahila Diranên Fîlan",
      "kv": "Côte d'Ivoire",
      "kw": "Côte d'Ivoire",
      "ky": "Кот-д'Ивуар",
      "lo": "Côte d'Ivoire",
      "lt": "Dramblio Kaulo Krantas",
      "lv": "Kotdivuāra",
      "mi": "Côte d'Ivoire",
      "mk": "Брег на слонова коста",
      "ml": "കോട്ടെ ഡി ലവര്‍",
      "mn": "Côte d'Ivoire",
      "mr": "कोत द आयव्होर",
      "ms": "Côte d'Ivoire",
      "mt": "Côte d'Ivoire",
      "my": "Côte d'Ivoire",
      "na": "Côte d'Ivoire",
      "nb": "Elfenbenskysten",
      "ne": "Côte d'Ivoire",
      "nl": "Ivoorkust",
      "nn": "Elfenbeinskysten",
      "nv": "Côte d'Ivoire",
      "oc": "Còsta d'Evòri",
      "or": "କୋଟ ଡି'ଭୋର",
      "pa": "ਕੋਟ ਡੀਵੋਈਰੀ",
      "pi": "Côte d'Ivoire",
      "pl": "Wybrzeże Kości Słoniowej",
      "ps": "Côte d'Ivoire",
      "pt": "Costa do Marfim",
      "pt_BR": "Costa do Marfim",
      "ro": "Coasta de Fildeș",
      "ru": "Кот-д'Ивуар",
      "rw": "Kote Divuwari",
      "sc": "Costa de Avòriu",
      "sd": "Côte d'Ivoire",
      "si": "කෝටේ ඩ්ලවොයිරා",
      "sk": "Pobrežie Slonoviny",
      "sl": "Slonokoščena obala",
      "so": "Côte d'Ivoire",
      "sq": "Kepi i Fildishtë",
      "sr": "Обала Слоноваче",
      "sv": "Elfenbenskusten",
      "sw": "Ivorycoast",
      "ta": "கோத் ட்லவோர்",
      "te": "కోత్ ద ఆయవ్హోర",
      "tg": "Кот-д’Ивуар",
      "th": "โกตดิวัวร์",
      "ti": "Côte d'Ivoire",
      "tk": "Kot-D’’iwuar",
      "tl": "Côte d'Ivoire",
      "tr": "Fildişi Sahili",
      "tt": "Җôте д'Ивоире",
      "ug": "كوتىدىۋور",
      "uk": "Кот-д'Івуар",
      "ur": "Côte d'Ivoire",
      "uz": "Côte d'Ivoire",
      "ve": "Côte d'Ivoire",
      "vi": "Cốt đi-vouă",
      "wa": "Coisse d' Ivwere",
      "wo": "Kot diwaar",
      "xh": "Côte d'Ivoire",
      "yo": "Côte d'Ivoire",
      "zh_CN": "科特迪瓦",
      "zh_HK": "科特迪瓦",
      "zh_TW": "象牙海岸",
      "zu": "Côte d'Ivoire"
    },
  );

  /// Country: The Cook Islands
  static const Country cok = Country(
    alpha2: 'CK',
    alpha3: 'COK',
    continent: Continent.australia,
    countryCode: '682',
    currencyCode: 'NZD',
    gec: 'CW',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -21.236736,
        longitude: -159.777671,
      ),
      maxCoordinate: Coordinate(
        latitude: -8.1679932,
        longitude: -155.6982422,
      ),
      minCoordinate: Coordinate(
        latitude: -23.0898384,
        longitude: -166.1791992,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -8.1679932,
          longitude: -155.6982422,
        ),
        southwest: Coordinate(
          latitude: -23.0898384,
          longitude: -166.1791992,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'COK',
    isoLongName: 'The Cook Islands',
    isoShortName: 'Cook Islands',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [5],
    nationalPrefix: '00',
    nationality: 'Cook Islander',
    number: '184',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Polynesia',
    unLocode: 'CK',
    unofficialNames: [
      'Cook Islands',
      'Cookinseln',
      'Îles Cook',
      'Islas Cook',
      'クック諸島',
      'Cookeilanden'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Cook Islands",
      "af": "Cookeilande",
      "ak": "Cook Islands",
      "am": "Cook Islands",
      "an": "Cook Islands",
      "ar": "جزر كوك",
      "as": "কুক দ্বীপপুঞ্জ",
      "ay": "Cook Islands",
      "az": "Cook Adaları",
      "ba": "Cook Islands",
      "be": "Астравы Кука",
      "bg": "Острови Кук",
      "bi": "Cook Islands",
      "bn": "কুক দ্বীপপুঞ্জ",
      "bn_IN": "কুক দ্বীপপুঞ্জ",
      "br": "Inizi Cook",
      "bs": "Kukova Ostrva",
      "ca": "Illes Cook",
      "ce": "Cook Islands",
      "ch": "Cook Islands",
      "cs": "Cookovy ostrovy",
      "cv": "Cook Islands",
      "cy": "Ynysoedd Cook",
      "da": "Cookøerne",
      "de": "Cookinseln",
      "dv": "ކުކް ޖަޒީރާ",
      "dz": "ཀུཀ་ ཨའི་ལེནཌིསི།",
      "ee": "Cook Islands",
      "el": "Νήσοι Κουκ",
      "en": "Cook Islands",
      "eo": "Kukinsuloj",
      "es": "Islas Cook",
      "et": "Cooki saared",
      "eu": "Cook uharteak",
      "fa": "جزایر کوک",
      "ff": "Cook Islands",
      "fi": "Cookinsaaret",
      "fo": "Cook Islands",
      "fr": "Îles Cook",
      "fy": "Cookeilannen",
      "ga": "Oileáin Cook",
      "gl": "Illas Cook",
      "gn": "Cook Islands",
      "gu": "કૂક ટાપુઓ",
      "gv": "Cook Islands",
      "ha": "Cook Islands",
      "he": "איי קוק",
      "hi": "कुक द्वीपसमूह",
      "hr": "Cookovo Otočje",
      "ht": "Cook Islands",
      "hu": "Cook-szigetek",
      "hy": "Կուկի Կղզիներ",
      "ia": "Insulas Cook",
      "id": "Kepulauan Cook",
      "io": "Cook-Insuli",
      "is": "Cook-eyjar",
      "it": "Isole Cook",
      "iu": "Cook Islands",
      "ja": "クック諸島",
      "ka": "კუკის კუნძულები",
      "ki": "Cook Islands",
      "kk": "Кук аралдары",
      "kl": "Cook Islands",
      "km": "កោះកូក",
      "kn": "ಕುಕ್ ದ್ವೀಪಗಳು",
      "ko": "쿡 제도",
      "ku": "Giravên Cook",
      "kv": "Cook Islands",
      "kw": "Ynysow Cook",
      "ky": "Кук аралдары",
      "lo": "Cook Islands",
      "lt": "Kuko salos",
      "lv": "Kuka salas",
      "mi": "Kuki Airani",
      "mk": "Кукови острови",
      "ml": "കുക്ക് ദ്വീപുകള്‍",
      "mn": "Cook Islands",
      "mr": "कूक आयलॅंडस्",
      "ms": "Kepulauan Cook",
      "mt": "Gżejjer Cook",
      "my": "ကွတ်ကျွန်းစု",
      "na": "Cook Islands",
      "nb": "Cookøyene",
      "ne": "कुक टापु",
      "nl": "Cookeilanden",
      "nn": "Cookøyane",
      "nv": "Cook Islands",
      "oc": "Illas Cook",
      "or": "କୁକ ଦ୍ବୀପ",
      "pa": "ਕੁੱਕ ਟਾਪੂ",
      "pi": "Cook Islands",
      "pl": "Wyspy Cooka",
      "ps": "Cook Islands",
      "pt": "Ilhas Cook",
      "pt_BR": "Ilhas Cook",
      "ro": "Insulele Cook",
      "ru": "Острова Кука",
      "rw": "Ibirwa bya Kuke",
      "sc": "Ìsulas Cook",
      "sd": "Cook Islands",
      "si": "කූක් දූපත්",
      "sk": "Cookove ostrovy",
      "sl": "Cookovi otoki",
      "so": "Cook Islands",
      "sq": "Ishujt Kuk",
      "sr": "Острва Кук",
      "sv": "Cooköarna",
      "sw": "Visiwa vya Cook",
      "ta": "குக் தீவு",
      "te": "కూక్ ఐలాండ్స్",
      "tg": "Ҷазираҳои Кук",
      "th": "หมู่เกาะคุก",
      "ti": "Cook Islands",
      "tk": "Kuk adalary",
      "tl": "Kapuluang Cook",
      "tr": "Cook Adaları",
      "tt": "Кок Утравлары",
      "ug": "كۇك ئارىلى",
      "uk": "Острови Кука",
      "ur": "جزائر کک",
      "uz": "Kuk orollari",
      "ve": "Cook Islands",
      "vi": "Quần đảo Khu-khợ",
      "wa": "Iyes Cook",
      "wo": "Iil yu Cook",
      "xh": "Cook Islands",
      "yo": "Àwọn Erékùṣù Cook",
      "zh_CN": "库克群岛",
      "zh_HK": "科克羣島",
      "zh_TW": "庫克群島",
      "zu": "Cook Islands"
    },
  );

  /// Country: The Republic of Chile
  static const Country chl = Country(
    alpha2: 'CL',
    alpha3: 'CHL',
    continent: Continent.southAmerica,
    countryCode: '56',
    currencyCode: 'CLP',
    gec: 'CI',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -35.675147,
        longitude: -71.542969,
      ),
      maxCoordinate: Coordinate(
        latitude: -17.4983291,
        longitude: -66.3327,
      ),
      minCoordinate: Coordinate(
        latitude: -56.1455,
        longitude: -110.0281,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -17.4983291,
          longitude: -66.3327,
        ),
        southwest: Coordinate(
          latitude: -56.1455,
          longitude: -110.0281,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'CHI',
    isoLongName: 'The Republic of Chile',
    isoShortName: 'Chile',
    languagesOfficial: ['es'],
    languagesSpoken: ['es'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9],
    nationalPrefix: '0',
    nationality: 'Chilean',
    number: '152',
    postalCode: true,
    postalCodeFormat: r'\d{7}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'South America',
    unLocode: 'CL',
    unofficialNames: ['Chile', 'チリ', 'Chili'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: VatRates(
      standard: 19.0,
      reduced: [],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Chile",
      "af": "Chili",
      "ak": "Chile",
      "am": "ኁሑ",
      "an": "Chile",
      "ar": "تشيلي",
      "as": "চিলি",
      "ay": "Chile",
      "az": "Çili",
      "ba": "Chile",
      "be": "Чылі",
      "bg": "Чили",
      "bi": "Chile",
      "bn": "চিলি",
      "bn_IN": "চিলি",
      "br": "Chile",
      "bs": "Čile",
      "ca": "Xile",
      "ce": "Чили",
      "ch": "Chile",
      "cs": "Chile",
      "cv": "Чили",
      "cy": "Chile",
      "da": "Chile",
      "de": "Chile",
      "dv": "ޗިލީ",
      "dz": "ཅི་ལི།",
      "ee": "Chile",
      "el": "Χιλή",
      "en": "Chile",
      "eo": "Ĉilio",
      "es": "Chile",
      "et": "Tšiili",
      "eu": "Txile",
      "fa": "شیلی",
      "ff": "Ciile",
      "fi": "Chile",
      "fo": "Kili",
      "fr": "Chili",
      "fy": "Sily",
      "ga": "An tSile",
      "gl": "Chile",
      "gn": "Chile",
      "gu": "ચીલી",
      "gv": "Yn Çhillee",
      "ha": "Chile",
      "he": "צ'ילה",
      "hi": "चिली",
      "hr": "Čile",
      "ht": "Chili",
      "hu": "Chile",
      "hy": "Չիլի",
      "ia": "Chile",
      "id": "Chili",
      "io": "Chili",
      "is": "Síle",
      "it": "Cile",
      "iu": "ᓯᓕ",
      "ja": "チリ",
      "ka": "ჩილი",
      "ki": "Chile",
      "kk": "Чили",
      "kl": "Chile",
      "km": "ឈីលី",
      "kn": "ಚಿಲಿ",
      "ko": "칠레",
      "ku": "Sîlî",
      "kv": "Чили",
      "kw": "Chile",
      "ky": "Чили",
      "lo": "Chile",
      "lt": "Čilė",
      "lv": "Čīle",
      "mi": "Hiri",
      "mk": "Чиле",
      "ml": "ചിലി",
      "mn": "Чили",
      "mr": "चिली",
      "ms": "Chile",
      "mt": "Ċile",
      "my": "ချီလီပြည်သူ့သမ္မတနိုင်ငံ",
      "na": "Tsire",
      "nb": "Chile",
      "ne": "चिली",
      "nl": "Chili",
      "nn": "Chile",
      "nv": "Chile",
      "oc": "Chile",
      "or": "ଚିଲୀ",
      "pa": "ਚਿੱਲੀ",
      "pi": "चिले",
      "pl": "Chile",
      "ps": "چېلي",
      "pt": "Chile",
      "pt_BR": "Chile",
      "ro": "Chile",
      "ru": "Чили",
      "rw": "Shili",
      "sc": "Tzile",
      "sd": "چلي",
      "si": "චිලී",
      "sk": "Čile",
      "sl": "Čile",
      "so": "Jili",
      "sq": "Kili",
      "sr": "Чиле",
      "sv": "Chile",
      "sw": "Chile",
      "ta": "சிலி",
      "te": "చిలీ",
      "tg": "Чили",
      "th": "ชิลี",
      "ti": "ቺሊ",
      "tk": "Çili",
      "tl": "Tsile",
      "tr": "Şili",
      "tt": "Чили",
      "ug": "چىلى",
      "uk": "Чилі",
      "ur": "چلی",
      "uz": "Chili",
      "ve": "Shile",
      "vi": "Chi-lê",
      "wa": "Tchili",
      "wo": "Ciili",
      "xh": "Chile",
      "yo": "Tsílè",
      "zh_CN": "智利",
      "zh_HK": "智利",
      "zh_TW": "智利",
      "zu": "I-Chile"
    },
  );

  /// Country: The Republic of Cameroon
  static const Country cmr = Country(
    alpha2: 'CM',
    alpha3: 'CMR',
    continent: Continent.africa,
    countryCode: '237',
    currencyCode: 'XAF',
    gec: 'CM',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 7.369721999999999,
        longitude: 12.354722,
      ),
      maxCoordinate: Coordinate(
        latitude: 13.083335,
        longitude: 16.1944081,
      ),
      minCoordinate: Coordinate(
        latitude: 1.6559,
        longitude: 8.3936001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 13.083335,
          longitude: 16.1944081,
        ),
        southwest: Coordinate(
          latitude: 1.6559,
          longitude: 8.3936001,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'CMR',
    isoLongName: 'The Republic of Cameroon',
    isoShortName: 'Cameroon',
    languagesOfficial: ['en', 'fr'],
    languagesSpoken: ['en', 'fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Cameroonian',
    number: '120',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Middle Africa',
    unLocode: 'CM',
    unofficialNames: [
      'Cameroon',
      'Kamerun',
      'Cameroun',
      'Camerún',
      'カメルーン',
      'Kameroen'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Cameroon",
      "af": "Kameroen",
      "ak": "Cameroon",
      "am": "ጢሣሩን",
      "an": "Cameroon",
      "ar": "الكاميرون",
      "as": "কেমেৰুণ",
      "ay": "Cameroon",
      "az": "Kamerun",
      "ba": "Cameroon",
      "be": "Камерун",
      "bg": "Камерун",
      "bi": "Cameroon",
      "bn": "ক্যামেরুণ",
      "bn_IN": "ক্যামেরুণ",
      "br": "Kameroun",
      "bs": "Kamerun",
      "ca": "Camerun",
      "ce": "Камерун",
      "ch": "Cameroon",
      "cs": "Kamerun",
      "cv": "Камерун",
      "cy": "Cameroon",
      "da": "Cameroun",
      "de": "Kamerun",
      "dv": "ކެމަރޫން",
      "dz": "ཀེ་མི་རཱུན།",
      "ee": "Cameroon",
      "el": "Καμερούν",
      "en": "Cameroon",
      "eo": "Kameruno",
      "es": "Camerún",
      "et": "Kamerun",
      "eu": "Kamerun",
      "fa": "کامرون",
      "ff": "Kamerun",
      "fi": "Kamerun",
      "fo": "Kamerun",
      "fr": "Cameroun",
      "fy": "Kameroen",
      "ga": "Camarún",
      "gl": "Camerún",
      "gn": "Cameroon",
      "gu": "કેમેરુન",
      "gv": "Cameroon",
      "ha": "Kameru",
      "he": "קמרון",
      "hi": "कैमरुन",
      "hr": "Kamerun",
      "ht": "Kamewoun",
      "hu": "Kamerun",
      "hy": "Կամերուն",
      "ia": "Camerun",
      "id": "Kamerun",
      "io": "Kamerun",
      "is": "Kamerún",
      "it": "Camerun",
      "iu": "Cameroon",
      "ja": "カメルーン",
      "ka": "კამერუნი",
      "ki": "Cameroon",
      "kk": "Камерун",
      "kl": "Cameroon",
      "km": "កាមេរ៉ូន",
      "kn": "ಕ್ಯಾಮರೂನ್",
      "ko": "카메룬",
      "ku": "Kamerûn",
      "kv": "Cameroon",
      "kw": "Kameroun",
      "ky": "Камерун",
      "lo": "Cameroon",
      "lt": "Kamerūnas",
      "lv": "Kamerūna",
      "mi": "Kamarūna",
      "mk": "Камерун",
      "ml": "കാമറൂണ്‍",
      "mn": "Камерун",
      "mr": "कॅमेरून",
      "ms": "Kamerun",
      "mt": "Kamerun",
      "my": "ကင်မရွန်းနိုင်ငံ",
      "na": "Kamerun",
      "nb": "Kamerun",
      "ne": "क्यामरुन",
      "nl": "Kameroen",
      "nn": "Kamerun",
      "nv": "Táłtłʼááh Chʼosh Daadánígíí Bitooh",
      "oc": "Cameron",
      "or": "କାମେଋନ",
      "pa": "ਕੈਮਰੂਨ",
      "pi": "केमेरून",
      "pl": "Kamerun",
      "ps": "کامرون",
      "pt": "Camarões",
      "pt_BR": "Camarões",
      "ro": "Camerun",
      "ru": "Камерун",
      "rw": "Kameruni",
      "sc": "Camerùn",
      "sd": "Cameroon",
      "si": "කැමරූන්",
      "sk": "Kamerun",
      "sl": "Kamerun",
      "so": "Kameruun",
      "sq": "Kamerun",
      "sr": "Камерун",
      "sv": "Kamerun",
      "sw": "Kamerun",
      "ta": "கேமரூன்",
      "te": "కేమరూన్",
      "tg": "Камерун",
      "th": "แคเมอรูน",
      "ti": "ካሜሩን",
      "tk": "Kamerun",
      "tl": "Kamerun",
      "tr": "Kamerun",
      "tt": "Камероон",
      "ug": "كامېرون",
      "uk": "Камерун",
      "ur": "کیمرون",
      "uz": "Kamerun",
      "ve": "Cameroon",
      "vi": "Ca-mơ-runh",
      "wa": "Camrone",
      "wo": "Kameroon",
      "xh": "Cameroon",
      "yo": "Kamẹrúùnù",
      "zh_CN": "喀麦隆",
      "zh_HK": "喀麥隆",
      "zh_TW": "喀麥隆",
      "zu": "IKamerooni"
    },
  );

  /// Country: The People's Republic of China
  static const Country chn = Country(
    alpha2: 'CN',
    alpha3: 'CHN',
    continent: Continent.asia,
    countryCode: '86',
    currencyCode: 'CNY',
    gec: 'CH',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 35.86166,
        longitude: 104.195397,
      ),
      maxCoordinate: Coordinate(
        latitude: 53.5609739,
        longitude: 134.7754563,
      ),
      minCoordinate: Coordinate(
        latitude: 17.9996,
        longitude: 73.4994136,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 53.5609739,
          longitude: 134.7754563,
        ),
        southwest: Coordinate(
          latitude: 17.9996,
          longitude: 73.4994136,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'CHN',
    isoLongName: 'The People\'s Republic of China',
    isoShortName: 'China',
    languagesOfficial: ['zh'],
    languagesSpoken: ['zh'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8, 9, 10, 11],
    nationalPrefix: '0',
    nationality: 'Chinese',
    number: '156',
    postalCode: true,
    postalCodeFormat: r'\d{6}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Eastern Asia',
    unLocode: 'CN',
    unofficialNames: ['China', 'Chine', '中国'],
    worldRegion: WorldRegion.apac,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}} {{region_short}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "China",
      "af": "Sjina",
      "ak": "China",
      "am": "ኂ፤ና",
      "an": "China",
      "ar": "الصّين",
      "as": "চীন",
      "ay": "China",
      "az": "Çin",
      "ba": "China",
      "be": "Кітай",
      "bg": "Китай",
      "bi": "China",
      "bn": "চীন",
      "bn_IN": "চীন",
      "br": "Sina",
      "bs": "Kina",
      "ca": "Xina",
      "ce": "China",
      "ch": "China",
      "cs": "Čína",
      "cv": "China",
      "cy": "Tsieina",
      "da": "Kina",
      "de": "China",
      "dv": "China",
      "dz": "ཅ་ཡེ་ན།(རྒྱ་ནག)",
      "ee": "China",
      "el": "Κίνα",
      "en": "China",
      "eo": "Ĉinio",
      "es": "China",
      "et": "Hiina",
      "eu": "Txina",
      "fa": "چین",
      "ff": "China",
      "fi": "Kiina",
      "fo": "Kina",
      "fr": "Chine",
      "fy": "China",
      "ga": "An tSín",
      "gl": "China",
      "gn": "China",
      "gu": "ચીન",
      "gv": "China",
      "ha": "China",
      "he": "סין",
      "hi": "चीन",
      "hr": "Kina",
      "ht": "Chin",
      "hu": "Kína",
      "hy": "Չինաստան",
      "ia": "China",
      "id": "Cina",
      "io": "China",
      "is": "Kína",
      "it": "Cina",
      "iu": "China",
      "ja": "中国",
      "ka": "ჩინეთი",
      "ki": "China",
      "kk": "Қытай",
      "kl": "China",
      "km": "ចិន",
      "kn": "ಚೈನಾ",
      "ko": "중국",
      "ku": "Çîn",
      "kv": "China",
      "kw": "China",
      "ky": "Кытай",
      "lo": "China",
      "lt": "Kinija",
      "lv": "Ķīna",
      "mi": "Haina",
      "mk": "Кина",
      "ml": "ചൈന",
      "mn": "Хятад",
      "mr": "चीन",
      "ms": "China",
      "mt": "Ċina",
      "my": "China",
      "na": "China",
      "nb": "Kina",
      "ne": "चीन",
      "nl": "China",
      "nn": "Kina",
      "nv": "China",
      "oc": "China",
      "or": "ଚୀନ",
      "pa": "ਚੀਨ",
      "pi": "China",
      "pl": "Chiny",
      "ps": "چین",
      "pt": "China",
      "pt_BR": "China",
      "ro": "China",
      "ru": "Китай",
      "rw": "Ubushinwa",
      "sc": "Tzina",
      "sd": "China",
      "si": "චීනය",
      "sk": "Čína",
      "sl": "Kitajska",
      "so": "Shiinaha",
      "sq": "Kinë",
      "sr": "Кина",
      "sv": "Kina",
      "sw": "China",
      "ta": "சீனா",
      "te": "చైనా",
      "tg": "Чин",
      "th": "จีน",
      "ti": "ቻይና",
      "tk": "Hytaý",
      "tl": "Tsina",
      "tr": "Çin",
      "tt": "Чин",
      "ug": "جۇڭگو",
      "uk": "Китай",
      "ur": "China",
      "uz": "China",
      "ve": "China",
      "vi": "Trung Quốc",
      "wa": "Chine",
      "wo": "Ciin",
      "xh": "Tshayina",
      "yo": "China",
      "zh_CN": "中国",
      "zh_HK": "中國",
      "zh_TW": "中國",
      "zu": "Isi-Shayina"
    },
  );

  /// Country: The Republic of Colombia
  static const Country col = Country(
    alpha2: 'CO',
    alpha3: 'COL',
    continent: Continent.southAmerica,
    countryCode: '57',
    currencyCode: 'COP',
    gec: 'CO',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 4.570868,
        longitude: -74.297333,
      ),
      maxCoordinate: Coordinate(
        latitude: 13.5177999,
        longitude: -66.8463122,
      ),
      minCoordinate: Coordinate(
        latitude: -4.227109899999999,
        longitude: -81.8317,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 13.5177999,
          longitude: -66.8463122,
        ),
        southwest: Coordinate(
          latitude: -4.227109899999999,
          longitude: -81.8317,
        ),
      ),
    ),
    internationalPrefix: '005',
    ioc: 'COL',
    isoLongName: 'The Republic of Colombia',
    isoShortName: 'Colombia',
    languagesOfficial: ['es'],
    languagesSpoken: ['es'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9, 10],
    nationalPrefix: '05',
    nationality: 'Colombian',
    number: '170',
    postalCode: true,
    postalCodeFormat: r'\d{6}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'South America',
    unLocode: 'CO',
    unofficialNames: ['Colombia', 'Kolumbien', 'Colombie', 'コロンビア'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Colombia",
      "af": "Colombië",
      "ak": "Colombia",
      "am": "ጥሕሤቢ።",
      "an": "Colombia",
      "ar": "كولومبيا",
      "as": "কোলোম্বিয়া",
      "ay": "Colombia",
      "az": "Kolumbiya",
      "ba": "Colombia",
      "be": "Калумбія",
      "bg": "Колумбия",
      "bi": "Colombia",
      "bn": "কোলোম্বিয়া",
      "bn_IN": "কোলোম্বিয়া",
      "br": "Kolombia",
      "bs": "Kolumbija",
      "ca": "Colòmbia",
      "ce": "Колумби",
      "ch": "Colombia",
      "cs": "Kolumbie",
      "cv": "Колумби",
      "cy": "Colombia",
      "da": "Colombia",
      "de": "Kolumbien",
      "dv": "ކޮލަންބިއާ",
      "dz": "ཀོ་ལོམ་བི་ཡ།",
      "ee": "Colombia",
      "el": "Κολομβία",
      "en": "Colombia",
      "eo": "Kolombio",
      "es": "Colombia",
      "et": "Colombia",
      "eu": "Kolonbia",
      "fa": "کلمبیا",
      "ff": "Colombia",
      "fi": "Kolumbia",
      "fo": "Kolombia",
      "fr": "Colombie",
      "fy": "Kolombia",
      "ga": "An Cholóim",
      "gl": "Colombia",
      "gn": "Colombia",
      "gu": "કોલોમ્બિયા",
      "gv": "Yn Cholombey",
      "ha": "Colombia",
      "he": "קולומביה",
      "hi": "कोलम्बिया",
      "hr": "Kolumbija",
      "ht": "Kolonbi",
      "hu": "Kolumbia",
      "hy": "Կոլումբիա",
      "ia": "Colombia",
      "id": "Kolombia",
      "io": "Kolumbia",
      "is": "Kólumbía",
      "it": "Colombia",
      "iu": "Colombia",
      "ja": "コロンビア",
      "ka": "კოლუმბია",
      "ki": "Colombia",
      "kk": "Колумбия",
      "kl": "Colombia",
      "km": "កូឡុំប៊ី",
      "kn": "ಕೋಲಂಬಿಯಾ",
      "ko": "콜롬비아",
      "ku": "Kolombiya",
      "kv": "Colombia",
      "kw": "Kolombi",
      "ky": "Колумбия",
      "lo": "ປະເທດໂກລົມບີ",
      "lt": "Kolumbija",
      "lv": "Kolumbija",
      "mi": "Koromōpia",
      "mk": "Колумбија",
      "ml": "കൊളംബിയ",
      "mn": "Колумб",
      "mr": "कोलंबिया",
      "ms": "Colombia",
      "mt": "Colombia",
      "my": "ကိုလံဘီယာနိုင်ငံ",
      "na": "Korombiya",
      "nb": "Colombia",
      "ne": "कोलम्बिया",
      "nl": "Colombia",
      "nn": "Colombia",
      "nv": "Colombia",
      "oc": "Colombia",
      "or": "କୋଲୋମ୍ବିୟା",
      "pa": "ਕੋਲੰਬੀਆ",
      "pi": "कोलोम्बिया",
      "pl": "Kolumbia",
      "ps": "کولمبیا",
      "pt": "Colômbia",
      "pt_BR": "Colômbia",
      "ro": "Columbia",
      "ru": "Колумбия",
      "rw": "Kolombiya",
      "sc": "Colòmbia",
      "sd": "Colombia",
      "si": "කොලොම්බියාව",
      "sk": "Kolumbia",
      "sl": "Kolumbija",
      "so": "Kolombiya",
      "sq": "Kolumbi",
      "sr": "Колумбија",
      "sv": "Colombia",
      "sw": "Kolombia",
      "ta": "கொலம்பியா",
      "te": "కోలంబియా",
      "tg": "Колумбия",
      "th": "โคลอมเบีย",
      "ti": "ኮሎምብያ",
      "tk": "Kolumbiýa",
      "tl": "Kolombya",
      "tr": "Kolombiya",
      "tt": "Коломбиа",
      "ug": "كولومبىيە",
      "uk": "Колумбія",
      "ur": "کولمبیا",
      "uz": "Kolumbiya",
      "ve": "Colombia",
      "vi": "Cô-lôm-bi-a",
      "wa": "Colombeye",
      "wo": "Koloombi",
      "xh": "Colombia",
      "yo": "Kòlómbìà",
      "zh_CN": "哥伦比亚",
      "zh_HK": "哥倫比亞",
      "zh_TW": "哥倫比亞",
      "zu": "IKolombiya"
    },
  );

  /// Country: The Republic of Costa Rica
  static const Country cri = Country(
    alpha2: 'CR',
    alpha3: 'CRI',
    continent: Continent.northAmerica,
    countryCode: '506',
    currencyCode: 'CRC',
    gec: 'CS',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 9.748916999999999,
        longitude: -83.753428,
      ),
      maxCoordinate: Coordinate(
        latitude: 11.2196806,
        longitude: -82.51830009999999,
      ),
      minCoordinate: Coordinate(
        latitude: 5.496099999999999,
        longitude: -87.09899999999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 11.2196806,
          longitude: -82.51830009999999,
        ),
        southwest: Coordinate(
          latitude: 5.496099999999999,
          longitude: -87.09899999999999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'CRC',
    isoLongName: 'The Republic of Costa Rica',
    isoShortName: 'Costa Rica',
    languagesOfficial: ['es'],
    languagesSpoken: ['es'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Costa Rican',
    number: '188',
    postalCode: true,
    postalCodeFormat: r'\d{4,5}|\d{3}-\d{4}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Central America',
    unLocode: 'CR',
    unofficialNames: ['Costa Rica', 'コスタリカ'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Costa Rica",
      "af": "Costa Rica",
      "ak": "Costa Rica",
      "am": "Costa Rica",
      "an": "Costa Rica",
      "ar": "كوستاريكا",
      "as": "কোস্টা ৰিকা",
      "ay": "Costa Rica",
      "az": "Kosta Rika",
      "ba": "Costa Rica",
      "be": "Коста-Рыка",
      "bg": "Коста Рика",
      "bi": "Costa Rica",
      "bn": "কোস্টা রিকা",
      "bn_IN": "কোস্টা রিকা",
      "br": "Costa Rica",
      "bs": "Kostarika",
      "ca": "Costa Rica",
      "ce": "Коста-Рика",
      "ch": "Costa Rica",
      "cs": "Kostarika",
      "cv": "Коста-Рика",
      "cy": "Costa Rica",
      "da": "Costa Rica",
      "de": "Costa Rica",
      "dv": "ކޮސްޓަރީކާ",
      "dz": "ཀཱོསི་ཊ་རི་ཀ།",
      "ee": "Costa Rica",
      "el": "Κόστα Ρίκα",
      "en": "Costa Rica",
      "eo": "Kostariko",
      "es": "Costa Rica",
      "et": "Costa Rica",
      "eu": "Costa Rica",
      "fa": "کاستاریکا",
      "ff": "Costa Rica",
      "fi": "Costa Rica",
      "fo": "Kosta Rika",
      "fr": "Costa Rica",
      "fy": "Kosta Rika",
      "ga": "Cósta Rice",
      "gl": "Costa Rica",
      "gn": "Costa Rica",
      "gu": "કોસ્ટા રીકા",
      "gv": "Yn Coose Berçhagh",
      "ha": "Costa Rica",
      "he": "קוסטה ריקה",
      "hi": "कोस्टा रीका",
      "hr": "Kostarika",
      "ht": "Kostarika",
      "hu": "Costa Rica",
      "hy": "Կոստա-Ռիկա",
      "ia": "Costa Rica",
      "id": "Kosta Rika",
      "io": "Kosta Rika",
      "is": "Kosta Ríka",
      "it": "Costa Rica",
      "iu": "Costa Rica",
      "ja": "コスタリカ",
      "ka": "კოსტა-რიკა",
      "ki": "Costa Rica",
      "kk": "Коста-Рика",
      "kl": "Costa Rica",
      "km": "កូស្តារីកា",
      "kn": "ಕೋಸ್ಟಾರಿಕಾ",
      "ko": "코스타리카",
      "ku": "Kosta Rîka",
      "kv": "Коста-Рика",
      "kw": "Kosta Rika",
      "ky": "Коста-Рика",
      "lo": "ປະເທດກົດສະຕາລິກາ",
      "lt": "Kosta Rika",
      "lv": "Kostarika",
      "mi": "Costa Rica",
      "mk": "Костарика",
      "ml": "കോസ്റ്റ റിക",
      "mn": "Коста рика",
      "mr": "कोस्टारिका",
      "ms": "Costa Rica",
      "mt": "Kosta Rika",
      "my": "ကော့စတာရီကာနိုင်ငံ",
      "na": "Kosta Rika",
      "nb": "Costa Rica",
      "ne": "कोस्टारिका",
      "nl": "Costa Rica",
      "nn": "Costa Rica",
      "nv": "Costa Rica",
      "oc": "Còsta Rica",
      "or": "କୋଷ୍ଟା ରିକା",
      "pa": "ਕਾਸਟ ਰੀਕਾ",
      "pi": "कोस्टा रीका",
      "pl": "Kostaryka",
      "ps": "کوسټاریکا",
      "pt": "Costa Rica",
      "pt_BR": "Costa Rica",
      "ro": "Costa Rica",
      "ru": "Коста-Рика",
      "rw": "Kosita Rika",
      "sc": "Costa Rica",
      "sd": "Costa Rica",
      "si": "කොස්ටා රීකා",
      "sk": "Kostarika",
      "sl": "Kostarika",
      "so": "Kosta Rika",
      "sq": "Kosta Rikë",
      "sr": "Костарика",
      "sv": "Costa Rica",
      "sw": "Costa Rica",
      "ta": "கோஸ்டாரிகா",
      "te": "కోస్టా రికా",
      "tg": "Коста-Рика",
      "th": "คอสตาริกา",
      "ti": "ኮስታ ሪካ",
      "tk": "Kosta-Rika",
      "tl": "Costa Rica",
      "tr": "Kosta Rika",
      "tt": "Коста Рика",
      "ug": "كوستارىكا",
      "uk": "Коста-Рика",
      "ur": "کوسٹاریکا",
      "uz": "Kosta Rika",
      "ve": "Costa Rica",
      "vi": "Cốt-x-tha Ri-ca",
      "wa": "Costa Rica",
      "wo": "Kosta Riika",
      "xh": "Costa Rica",
      "yo": "Kóstá Rikà",
      "zh_CN": "哥斯达黎加",
      "zh_HK": "哥斯達黎加",
      "zh_TW": "哥斯大黎加",
      "zu": "Costa Rica"
    },
  );

  /// Country: The Republic of Cuba
  static const Country cub = Country(
    alpha2: 'CU',
    alpha3: 'CUB',
    continent: Continent.northAmerica,
    countryCode: '53',
    currencyCode: 'CUP',
    gec: 'CU',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 21.521757,
        longitude: -77.781167,
      ),
      maxCoordinate: Coordinate(
        latitude: 23.3776001,
        longitude: -73.9545,
      ),
      minCoordinate: Coordinate(
        latitude: 19.6529001,
        longitude: -85.1715001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 23.3776001,
          longitude: -73.9545,
        ),
        southwest: Coordinate(
          latitude: 19.6529001,
          longitude: -85.1715001,
        ),
      ),
    ),
    internationalPrefix: '119',
    ioc: 'CUB',
    isoLongName: 'The Republic of Cuba',
    isoShortName: 'Cuba',
    languagesOfficial: ['es'],
    languagesSpoken: ['es'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '0',
    nationality: 'Cuban',
    number: '192',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'CU',
    unofficialNames: ['Cuba', 'Kuba', 'キューバ'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Cuba",
      "af": "Kuba",
      "ak": "Cuba",
      "am": "Cuba",
      "an": "Cuba",
      "ar": "كوبا",
      "as": "কিউবা",
      "ay": "Cuba",
      "az": "Kuba",
      "ba": "Cuba",
      "be": "Куба",
      "bg": "Куба",
      "bi": "Cuba",
      "bn": "কিউবা",
      "bn_IN": "কিউবা",
      "br": "Kuba",
      "bs": "Kuba",
      "ca": "Cuba",
      "ce": "Куба",
      "ch": "Cuba",
      "cs": "Kuba",
      "cv": "Куба",
      "cy": "Ciwba",
      "da": "Cuba",
      "de": "Kuba",
      "dv": "ކިއުބާ",
      "dz": "ཀུས་བ།",
      "ee": "Cuba",
      "el": "Κούβα",
      "en": "Cuba",
      "eo": "Kubo",
      "es": "Cuba",
      "et": "Kuuba",
      "eu": "Kuba",
      "fa": "کوبا",
      "ff": "Cuba",
      "fi": "Kuuba",
      "fo": "Kuba",
      "fr": "Cuba",
      "fy": "Kuba",
      "ga": "Cúba",
      "gl": "Cuba",
      "gn": "Cuba",
      "gu": "ક્યુબા",
      "gv": "Yn Choobey",
      "ha": "Cuba",
      "he": "קובה",
      "hi": "क्यूबा",
      "hr": "Kuba",
      "ht": "Kiba",
      "hu": "Kuba",
      "hy": "Կուբա",
      "ia": "Cuba",
      "id": "Kuba",
      "io": "Kuba",
      "is": "Kúba",
      "it": "Cuba",
      "iu": "ᖂᐹ/quupaa",
      "ja": "キューバ",
      "ka": "კუბა",
      "ki": "Cuba",
      "kk": "Куба",
      "kl": "Cuba",
      "km": "គុយបា",
      "kn": "ಕ್ಯೂಬಾ",
      "ko": "쿠바",
      "ku": "Kûba",
      "kv": "Куба",
      "kw": "Kuba",
      "ky": "Куба",
      "lo": "Cuba",
      "lt": "Kuba",
      "lv": "Kuba",
      "mi": "Kūpā",
      "mk": "Куба",
      "ml": "ക്യൂബ",
      "mn": "Куба",
      "mr": "क्यूबा",
      "ms": "Cuba",
      "mt": "Kuba",
      "my": "ကျူးဘားနိုင်ငံ",
      "na": "Kiuba",
      "nb": "Cuba",
      "ne": "क्यूबा",
      "nl": "Cuba",
      "nn": "Cuba",
      "nv": "Cuba",
      "oc": "Cuba",
      "or": "କ୍ଯୁବା",
      "pa": "ਕਿਊਬਾ",
      "pi": "क्यूबा",
      "pl": "Kuba",
      "ps": "کیوبا",
      "pt": "Cuba",
      "pt_BR": "Cuba",
      "ro": "Cuba",
      "ru": "Куба",
      "rw": "Kiba",
      "sc": "Cuba",
      "sd": "ڪيوبا",
      "si": "කියුබා",
      "sk": "Kuba",
      "sl": "Kuba",
      "so": "Kuuba",
      "sq": "Kubë",
      "sr": "Куба",
      "sv": "Kuba",
      "sw": "Cuba",
      "ta": "க்யூபா",
      "te": "క్యూబా",
      "tg": "Куба",
      "th": "คิวบา",
      "ti": "ኩባ",
      "tk": "Kuba",
      "tl": "Kuba",
      "tr": "Küba",
      "tt": "Куба",
      "ug": "كۇبا",
      "uk": "Куба",
      "ur": "کیوبا",
      "uz": "Kuba",
      "ve": "Cuba",
      "vi": "Cu-ba",
      "wa": "Cuba",
      "wo": "Kubaa",
      "xh": "Cuba",
      "yo": "Kúbà",
      "zh_CN": "古巴",
      "zh_HK": "古巴",
      "zh_TW": "古巴",
      "zu": "Cuba"
    },
  );

  /// Country: The Republic of Cabo Verde
  static const Country cpv = Country(
    alpha2: 'CV',
    alpha3: 'CPV',
    continent: Continent.africa,
    countryCode: '238',
    currencyCode: 'CVE',
    gec: 'CV',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 16.5388,
        longitude: -23.0418,
      ),
      maxCoordinate: Coordinate(
        latitude: 17.3191764,
        longitude: -22.5933839,
      ),
      minCoordinate: Coordinate(
        latitude: 14.7270733,
        longitude: -25.383911,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 17.3191764,
          longitude: -22.5933839,
        ),
        southwest: Coordinate(
          latitude: 14.7270733,
          longitude: -25.383911,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'CPV',
    isoLongName: 'The Republic of Cabo Verde',
    isoShortName: 'Cabo Verde',
    languagesOfficial: ['pt'],
    languagesSpoken: ['pt'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Cape Verdian',
    number: '132',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Western Africa',
    unLocode: 'CV',
    unofficialNames: [
      'Cape Verde',
      'Kap Verde',
      'Cap Vert',
      'Cabo Verde',
      'カーボベルデ',
      'Kaapverdië'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Cabo Verde",
      "af": "Cabo Verde",
      "ak": "Cabo Verde",
      "am": "Cabo Verde",
      "an": "Cabo Verde",
      "ar": "الرأس الأخضر",
      "as": "Cabo Verde",
      "ay": "Cabo Verde",
      "az": "Cabo Verde",
      "ba": "Cabo Verde",
      "be": "Каба-Вердэ",
      "bg": "Cabo Verde",
      "bi": "Cabo Verde",
      "bn": "কেবো ভার্ডে",
      "bn_IN": "কেবো ভার্ডি",
      "br": "Cabo Verde",
      "bs": "Cabo Verde",
      "ca": "Cabo Verde",
      "ce": "Cabo Verde",
      "ch": "Cabo Verde",
      "cs": "Kapverdské ostrovy",
      "cv": "Cabo Verde",
      "cy": "Penrhyn Verde",
      "da": "Kap Verde",
      "de": "Kap Verde",
      "dv": "Cabo Verde",
      "dz": "Cabo Verde",
      "ee": "Cabo Verde",
      "el": "Πράσινο Ακρωτήριο",
      "en": "Cabo Verde",
      "eo": "Kabo-Verdo",
      "es": "Cabo Verde",
      "et": "Roheneemesaared (Cabo Verde)",
      "eu": "Cabo Verde",
      "fa": "کیپ‌ورد",
      "ff": "Cabo Verde",
      "fi": "Cabo Verde",
      "fo": "Cabo Verde",
      "fr": "Cap-Vert",
      "fy": "Cabo Verde",
      "ga": "Cabo Verde",
      "gl": "Cabo Verde",
      "gn": "Cabo Verde",
      "gu": "કેપ વર્દે",
      "gv": "Cabo Verde",
      "ha": "Cabo Verde",
      "he": "קאבו ורדה",
      "hi": "काबो वर्डे",
      "hr": "Zelenortski otoci",
      "ht": "Cabo Verde",
      "hu": "Zöld-foki-szigetek",
      "hy": "Cabo Verde",
      "ia": "Capo Verde",
      "id": "Cabo Verde",
      "io": "Cabo Verde",
      "is": "Grænhöfðaeyjar",
      "it": "Capo Verde",
      "iu": "Cabo Verde",
      "ja": "カーボヴェルデ",
      "ka": "Cabo Verde",
      "ki": "Cabo Verde",
      "kk": "Cabo Verde",
      "kl": "Cabo Verde",
      "km": "កាបវែរ",
      "kn": "Cabo Verde",
      "ko": "카보베르데",
      "ku": "Kap Verde",
      "kv": "Cabo Verde",
      "kw": "Cabo Verde",
      "ky": "Кабо-Верде",
      "lo": "Cabo Verde",
      "lt": "Cabo Verde",
      "lv": "Cabo Verde",
      "mi": "Cabo Verde",
      "mk": "Cabo Verde",
      "ml": "Cabo Verde",
      "mn": "Cabo Verde",
      "mr": "काबो व्हर्दे",
      "ms": "Cabo Verde",
      "mt": "Cabo Verde",
      "my": "Cabo Verde",
      "na": "Cabo Verde",
      "nb": "Kapp Verde",
      "ne": "Cabo Verde",
      "nl": "Kaapverdië",
      "nn": "Cabo Verde",
      "nv": "Cabo Verde",
      "oc": "Cap Verd",
      "or": "କାବୋ ଭଡ୍ରି",
      "pa": "ਕਾਬੋ ਵਾਰਡੀ",
      "pi": "Cabo Verde",
      "pl": "Republika Zielonego Przylądka",
      "ps": "Cabo Verde",
      "pt": "Cabo Verde",
      "pt_BR": "Cabo Verde",
      "ro": "Capul Verde",
      "ru": "Кабо-Верде",
      "rw": "Cabo Verde",
      "sc": "Cabu Birde",
      "sd": "Cabo Verde",
      "si": "Cabo Verde",
      "sk": "Kapverdy",
      "sl": "Cabo Verde",
      "so": "Cabo Verde",
      "sq": "Kepi i Gjelbërt",
      "sr": "Зеленортска острва",
      "sv": "Kap Verde",
      "sw": "Cabo Verde",
      "ta": "Cabo Verde",
      "te": "Cabo Verde",
      "tg": "Кабо-Верде",
      "th": "กาบูเวร์ดี",
      "ti": "Cabo Verde",
      "tk": "Kabo-Werde",
      "tl": "Cabo Verde",
      "tr": "Yeşil Burun Adaları",
      "tt": "Cabo Verde",
      "ug": "يېشىل تۇمشۇق",
      "uk": "Кабо-Верде",
      "ur": "Cabo Verde",
      "uz": "Cabo Verde",
      "ve": "Cabo Verde",
      "vi": "Cabo Verde",
      "wa": "Cabo Verde",
      "wo": "Cabo Verde",
      "xh": "Cabo Verde",
      "yo": "Cabo Verde",
      "zh_CN": "佛得角",
      "zh_HK": "佛得角",
      "zh_TW": "維德角",
      "zu": "Cabo Verde"
    },
  );

  /// Country: The Country of Curaçao
  static const Country cuw = Country(
    alpha2: 'CW',
    alpha3: 'CUW',
    continent: Continent.northAmerica,
    countryCode: '599',
    currencyCode: 'ANG',
    gec: 'UC',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 12.16957,
        longitude: -68.99002,
      ),
      maxCoordinate: Coordinate(
        latitude: 12.4941999,
        longitude: -68.5670001,
      ),
      minCoordinate: Coordinate(
        latitude: 11.9224,
        longitude: -69.29899999999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 12.4941999,
          longitude: -68.5670001,
        ),
        southwest: Coordinate(
          latitude: 11.9224,
          longitude: -69.29899999999999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'The Country of Curaçao',
    isoShortName: 'Curaçao',
    languagesOfficial: ['nl'],
    languagesSpoken: ['nl'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: '0',
    nationality: 'Dutch',
    number: '531',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'CW',
    unofficialNames: ['Curaçao', 'キュラソー島'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Curaçao",
      "af": "Curaçao",
      "ak": "Curaçao",
      "am": "Curaçao",
      "an": "Curaçao",
      "ar": "كوراساو",
      "as": "Curaçao",
      "ay": "Curaçao",
      "az": "Curaçao",
      "ba": "Curaçao",
      "be": "Кюрасаа",
      "bg": "Кюрасао",
      "bi": "Curaçao",
      "bn": "কুরাকাও",
      "bn_IN": "কুরাশাও",
      "br": "Kòrsou",
      "bs": "Curaçao",
      "ca": "Curaçao",
      "ce": "Curaçao",
      "ch": "Curaçao",
      "cs": "Curaçao",
      "cv": "Curaçao",
      "cy": "Curaçao",
      "da": "Curaçao",
      "de": "Curaçao",
      "dv": "Curaçao",
      "dz": "Curaçao",
      "ee": "Curaçao",
      "el": "Κουρασάο",
      "en": "Curaçao",
      "eo": "Kuracao",
      "es": "Curazao",
      "et": "Curaçao",
      "eu": "Curaçao",
      "fa": "کوراسائو",
      "ff": "Curaçao",
      "fi": "Curaçao",
      "fo": "Curaçao",
      "fr": "Curaçao",
      "fy": "Kurasau",
      "ga": "Curasao",
      "gl": "Curaçao",
      "gn": "Curaçao",
      "gu": "કુરાકાઓ",
      "gv": "Curaçao",
      "ha": "Curaçao",
      "he": "קוראסאו",
      "hi": "कुराकाओ",
      "hr": "Curaçao",
      "ht": "Curaçao",
      "hu": "Curaçao",
      "hy": "Կուրակաո",
      "ia": "Curasao",
      "id": "Curaçao",
      "io": "Curaçao",
      "is": "Curaçao",
      "it": "Curaçao",
      "iu": "Curaçao",
      "ja": "キュラソー",
      "ka": "Curaçao",
      "ki": "Curaçao",
      "kk": "Курасао",
      "kl": "Curaçao",
      "km": "Curaçao",
      "kn": "Curaçao",
      "ko": "퀴라소",
      "ku": "Curaçao",
      "kv": "Curaçao",
      "kw": "Curaçao",
      "ky": "Кюрасао",
      "lo": "Curaçao",
      "lt": "Kiurasao",
      "lv": "Kirasao",
      "mi": "Curaçao",
      "mk": "Куракао",
      "ml": "Curaçao",
      "mn": "Curaçao",
      "mr": "कुराकाओ",
      "ms": "Curaçao",
      "mt": "Curaçao",
      "my": "ကျူရေကိုးနယ်",
      "na": "Curaçao",
      "nb": "Curaçao",
      "ne": "कुराकाव",
      "nl": "Curaçao",
      "nn": "Curaçao",
      "nv": "Curaçao",
      "oc": "Curaçao",
      "or": "କୁରାକୋ",
      "pa": "ਕਾਰੂਸਾਓ",
      "pi": "Curaçao",
      "pl": "Curaçao",
      "ps": "Curaçao",
      "pt": "Curação",
      "pt_BR": "Curaçao",
      "ro": "Curaçao",
      "ru": "Кюрасао",
      "rw": "Curaçao",
      "sc": "Curaçao",
      "sd": "Curaçao",
      "si": "කුරාකෝ",
      "sk": "Curaçao",
      "sl": "Curaçao",
      "so": "Curaçao",
      "sq": "Kurasao",
      "sr": "Курасао",
      "sv": "Curaçao",
      "sw": "Curaçao",
      "ta": "Curaçao",
      "te": "Curaçao",
      "tg": "Кюрасао",
      "th": "คิวราเซา",
      "ti": "Curaçao",
      "tk": "Kürasao",
      "tl": "Curaçao",
      "tr": "Curaçao",
      "tt": "Curaçao",
      "ug": "كۇراسو",
      "uk": "Кюрасао",
      "ur": "کیوراساؤ",
      "uz": "Curaçao",
      "ve": "Curaçao",
      "vi": "Cu-ra-cao",
      "wa": "Curaçao",
      "wo": "Curaçao",
      "xh": "Curaçao",
      "yo": "Curaçao",
      "zh_CN": "库拉索",
      "zh_HK": "庫拉索",
      "zh_TW": "古拉索",
      "zu": "Curaçao"
    },
  );

  /// Country: The Territory of Christmas Island
  static const Country cxr = Country(
    alpha2: 'CX',
    alpha3: 'CXR',
    continent: Continent.asia,
    countryCode: '61',
    currencyCode: 'AUD',
    gec: 'KT',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -10.447525,
        longitude: 105.690449,
      ),
      maxCoordinate: Coordinate(
        latitude: -10.412352,
        longitude: 105.7129382,
      ),
      minCoordinate: Coordinate(
        latitude: -10.5703619,
        longitude: 105.5333161,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -10.412352,
          longitude: 105.7129382,
        ),
        southwest: Coordinate(
          latitude: -10.5703619,
          longitude: 105.5333161,
        ),
      ),
    ),
    internationalPrefix: '0011',
    ioc: null,
    isoLongName: 'The Territory of Christmas Island',
    isoShortName: 'Christmas Island',
    languagesOfficial: ['en', 'zh', 'ms'],
    languagesSpoken: ['en', 'zh', 'ms'],
    nationalDestinationCodeLengths: [],
    nationalNumberLengths: [],
    nationalPrefix: '0',
    nationality: 'Christmas Island',
    number: '162',
    postalCode: true,
    postalCodeFormat: r'6798',
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Australia and New Zealand',
    unLocode: 'CX',
    unofficialNames: [
      'Christmas Island',
      'Weihnachtsinsel',
      'クリスマス島',
      'Christmaseiland'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Christmas Island",
      "af": "Kerseiland",
      "ak": "Christmas Island",
      "am": "Christmas Island",
      "an": "Christmas Island",
      "ar": "جزر الكريسماس",
      "as": "ক্ৰিস্টমাছ দ্বীপপুঞ্জ",
      "ay": "Christmas Island",
      "az": "Kristmas Adası",
      "ba": "Christmas Island",
      "be": "Востраў Раства",
      "bg": "Коледни острови",
      "bi": "Christmas Island",
      "bn": "ক্রিস্টমাস দ্বীপপুঞ্জ",
      "bn_IN": "ক্রিস্টমাস দ্বীপপুঞ্জ",
      "br": "Christmas Island",
      "bs": "Uskršnje ostrvo",
      "ca": "Illa Christmas",
      "ce": "Christmas Island",
      "ch": "Christmas Island",
      "cs": "Vánoční ostrov",
      "cv": "Christmas Island",
      "cy": "Ynys y Nadolig",
      "da": "Juleøen",
      "de": "Weihnachtsinseln",
      "dv": "Christmas Island",
      "dz": "ཀིརིསིཊི་མཱསི་ ཨའི་ལེནཌི།",
      "ee": "Christmas Island",
      "el": "Νήσοι Χριστουγέννων",
      "en": "Christmas Island",
      "eo": "Kristnaskinsulo",
      "es": "Isla de Navidad",
      "et": "Jõulusaar",
      "eu": "Christmas uhartea",
      "fa": "جزیرهٔ کریسمس",
      "ff": "Christmas Island",
      "fi": "Joulusaari",
      "fo": "Christmas Island",
      "fr": "Christmas, Île",
      "fy": "Christmas Island",
      "ga": "Oileán na Nollag",
      "gl": "Illa Christmas",
      "gn": "Christmas Island",
      "gu": "ક્રિસમસ ટાપુઓ",
      "gv": "Christmas Island",
      "ha": "Christmas Island",
      "he": "איי חג המולד",
      "hi": "क्रिसमस आइलैन्ड",
      "hr": "Božićni Otok",
      "ht": "Christmas Island",
      "hu": "Karácsony-sziget",
      "hy": "Ծննդյան Կղզի",
      "ia": "Insula de Natal",
      "id": "Kepulauan Christmas",
      "io": "Christmas Island",
      "is": "Jólaeyja",
      "it": "Isola di Natale",
      "iu": "Christmas Island",
      "ja": "クリスマス島",
      "ka": "შობის კუნძული",
      "ki": "Christmas Island",
      "kk": "Рождество аралы",
      "kl": "Christmas Island",
      "km": "កោះ​គ្រីស្តម៉ាស",
      "kn": "ಕ್ರಿಸ್ಮಸ್ ದ್ವೀಪ",
      "ko": "크리스마스 섬",
      "ku": "Girava Noel",
      "kv": "Christmas Island",
      "kw": "Christmas Island",
      "ky": "Рождество Аралы",
      "lo": "Christmas Island",
      "lt": "Kalėdų sala",
      "lv": "Ziemsvētku sala",
      "mi": "Christmas Island",
      "mk": "Божиќни острови",
      "ml": "ക്രിസ്തുമസ് ദ്വീപ്",
      "mn": "Кристмас исланд",
      "mr": "क्रिसमस आयलॅंड",
      "ms": "Kepulauan Christmas",
      "mt": "Christmas Island",
      "my": "Christmas Island",
      "na": "Christmas Island",
      "nb": "Christmasøya",
      "ne": "क्रिसमस टापु",
      "nl": "Christmaseiland",
      "nn": "Christmasøya",
      "nv": "Christmas Island",
      "oc": "Illa Cristmas",
      "or": "କ୍ରିସ୍ଟମାସ ଦ୍ବୀପ",
      "pa": "ਕ੍ਰਿਸਮਿਸ ਟਾਪੂ",
      "pi": "Christmas Island",
      "pl": "Wyspa Bożego Narodzenia",
      "ps": "Christmas Island",
      "pt": "Ilha Natal",
      "pt_BR": "Ilha Christmas",
      "ro": "Insula Crăciunului",
      "ru": "Остров Рождества",
      "rw": "Ikirwa cya Noheli",
      "sc": "Ìsula de sa Natividade",
      "sd": "Christmas Island",
      "si": "ක්‍රිස්මස් දූපත්",
      "sk": "Vianočný ostrov",
      "sl": "Božični otok",
      "so": "Christmas Island",
      "sq": "Ishulli i Krishtlindjes",
      "sr": "Божићно острво",
      "sv": "Julön",
      "sw": "Kisiwa cha Christmas",
      "ta": "கிறிஸ்துமஸ் தீவு",
      "te": "క్రిస్‌మస్ ఐలాండ్",
      "tg": "Ҷазираи Крисмас",
      "th": "เกาะคริสต์มาส",
      "ti": "Christmas Island",
      "tk": "Roždestwo adalary",
      "tl": "Christmas Island",
      "tr": "Christmas Adası",
      "tt": "Җһристмас Утравлары",
      "ug": "روژدېستۋو ئارىلى",
      "uk": "Острів Різдва",
      "ur": "Christmas Island",
      "uz": "Christmas Island",
      "ve": "Christmas Island",
      "vi": "Đảo Kh-ri-xợ-mà-xợ",
      "wa": "Iye Christmas",
      "wo": "Christmas Island",
      "xh": "Christmas Island",
      "yo": "Christmas Island",
      "zh_CN": "圣诞岛",
      "zh_HK": "聖誕島",
      "zh_TW": "聖誕島",
      "zu": "Christmas Island"
    },
  );

  /// Country: The Republic of Cyprus
  static const Country cyp = Country(
    alpha2: 'CY',
    alpha3: 'CYP',
    continent: Continent.asia,
    countryCode: '357',
    currencyCode: 'EUR',
    gec: 'CY',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 35.126413,
        longitude: 33.429859,
      ),
      maxCoordinate: Coordinate(
        latitude: 35.7071999,
        longitude: 34.60450000000001,
      ),
      minCoordinate: Coordinate(
        latitude: 34.6304001,
        longitude: 32.2459,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 35.7071999,
          longitude: 34.60450000000001,
        ),
        southwest: Coordinate(
          latitude: 34.6304001,
          longitude: 32.2459,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'CYP',
    isoLongName: 'The Republic of Cyprus',
    isoShortName: 'Cyprus',
    languagesOfficial: ['el', 'tr', 'hy'],
    languagesSpoken: ['el', 'tr', 'hy'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Cypriot',
    number: '196',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Western Asia',
    unLocode: 'CY',
    unofficialNames: ['Cyprus', 'Zypern', 'Chypre', 'Chipre', 'キプロス'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: VatRates(
      standard: 19.0,
      reduced: [5.0, 9.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Cyprus",
      "af": "Siprus",
      "ak": "Cyprus",
      "am": "ሳ፤ፕረስ",
      "an": "Cyprus",
      "ar": "قبرص",
      "as": "ছাইপ্ৰাছ",
      "ay": "Cyprus",
      "az": "Kipr",
      "ba": "Cyprus",
      "be": "Кіпр",
      "bg": "Кипър",
      "bi": "Cyprus",
      "bn": "সাইপ্রাস",
      "bn_IN": "সাইপ্রাস",
      "br": "Enez Chipr",
      "bs": "Kipar",
      "ca": "Xipre",
      "ce": "Кипр",
      "ch": "Cyprus",
      "cs": "Kypr",
      "cv": "Кипр",
      "cy": "Cyprus",
      "da": "Cypern",
      "de": "Zypern",
      "dv": "Cyprus",
      "dz": "སའི་པརཱསི།",
      "ee": "Cyprus",
      "el": "Κύπρος",
      "en": "Cyprus",
      "eo": "Kipro",
      "es": "Chipre",
      "et": "Küpros",
      "eu": "Zipre",
      "fa": "قبرس",
      "ff": "Kibris",
      "fi": "Kypros",
      "fo": "Kýpros",
      "fr": "Chypre",
      "fy": "Syprus",
      "ga": "An Chipir",
      "gl": "Chipre",
      "gn": "Cyprus",
      "gu": "સાયપ્રસ",
      "gv": "Yn Cheeprey",
      "ha": "Cyprus",
      "he": "קפריסין",
      "hi": "साइप्रस",
      "hr": "Cipar",
      "ht": "Chip",
      "hu": "Ciprus",
      "hy": "Կիպրոս",
      "ia": "Cypro",
      "id": "Siprus",
      "io": "Chipro",
      "is": "Kýpur",
      "it": "Cipro",
      "iu": "Cyprus",
      "ja": "キプロス",
      "ka": "კვიპროსი",
      "ki": "Cyprus",
      "kk": "Кипр",
      "kl": "Cyprus",
      "km": "ស៊ីពរ៍",
      "kn": "ಸೈಪ್ರಸ್",
      "ko": "키프로스",
      "ku": "Kibris",
      "kv": "Кипр",
      "kw": "Kobros",
      "ky": "Кипр",
      "lo": "ປະເທດຊີບ",
      "lt": "Kipras",
      "lv": "Kipra",
      "mi": "Haipara",
      "mk": "Кипар",
      "ml": "സൈപ്രസ്",
      "mn": "Кипр",
      "mr": "सायप्रस",
      "ms": "Cyprus",
      "mt": "Ċipru",
      "my": "ဆိုက်ပရပ်စ်နိုင်ငံ",
      "na": "Taiprus",
      "nb": "Kypros",
      "ne": "साइप्रस",
      "nl": "Cyprus",
      "nn": "Kypros",
      "nv": "Béésh Łichíiʼii Bikéyah",
      "oc": "Chipre",
      "or": "ସାଇପ୍ରସ",
      "pa": "ਕਿਊਰੂਸ",
      "pi": "सायप्रस",
      "pl": "Cypr",
      "ps": "Cyprus",
      "pt": "Chipre",
      "pt_BR": "Chipre",
      "ro": "Cipru",
      "ru": "Кипр",
      "rw": "Shipure",
      "sc": "Tzipru",
      "sd": "Cyprus",
      "si": "සයිප්‍රස්",
      "sk": "Cyprus",
      "sl": "Ciper",
      "so": "Qabrus",
      "sq": "Qipro",
      "sr": "Кипар",
      "sv": "Cypern",
      "sw": "Cyprus",
      "ta": "சைப்ரஸ்",
      "te": "సైప్రస్",
      "tg": "Кипр",
      "th": "ไซปรัส",
      "ti": "ሳይፕረስ",
      "tk": "Kipr",
      "tl": "Cyprus",
      "tr": "Kıbrıs",
      "tt": "Кипер",
      "ug": "سىپرۇس",
      "uk": "Кіпр",
      "ur": "قبرص",
      "uz": "Qibris",
      "ve": "Cyprus",
      "vi": "Síp",
      "wa": "Chipe",
      "wo": "Ciipër",
      "xh": "Cyprus",
      "yo": "Kíprù",
      "zh_CN": "塞浦路斯",
      "zh_HK": "賽浦路斯",
      "zh_TW": "賽普勒斯",
      "zu": "Cyprus"
    },
  );

  /// Country: The Czech Republic
  static const Country cze = Country(
    alpha2: 'CZ',
    alpha3: 'CZE',
    continent: Continent.europe,
    countryCode: '420',
    currencyCode: 'CZK',
    gec: 'EZ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 49.81749199999999,
        longitude: 15.472962,
      ),
      maxCoordinate: Coordinate(
        latitude: 51.0557185,
        longitude: 18.8592361,
      ),
      minCoordinate: Coordinate(
        latitude: 48.5518081,
        longitude: 12.090589,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 51.0557185,
          longitude: 18.8592361,
        ),
        southwest: Coordinate(
          latitude: 48.5518081,
          longitude: 12.090589,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'CZE',
    isoLongName: 'The Czech Republic',
    isoShortName: 'Czechia',
    languagesOfficial: ['cs', 'sk'],
    languagesSpoken: ['cs', 'sk'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: 'None',
    nationality: 'Czech',
    number: '203',
    postalCode: true,
    postalCodeFormat: r'\d{3} ?\d{2}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Eastern Europe',
    unLocode: 'CZ',
    unofficialNames: [
      'Czech Republic',
      'Tschechische Republik',
      'République Tchèque',
      'República Checa',
      'チェコ',
      'Tsjechië',
      'Czechia',
      'Česká republika'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 21.0,
      reduced: [15.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Czechia",
      "af": "Tsjeggië",
      "ak": "Czechia",
      "am": "Czechia",
      "an": "Czechia",
      "ar": "التشيك",
      "as": "Czechia",
      "ay": "Czechia",
      "az": "Czechia",
      "ba": "Czechia",
      "be": "Чэхія",
      "bg": "Czechia",
      "bi": "Czechia",
      "bn": "চেকিয়া",
      "bn_IN": "চেচিয়া",
      "br": "Czechia",
      "bs": "Czechia",
      "ca": "Txèquia",
      "ce": "Czechia",
      "ch": "Czechia",
      "cs": "Česko",
      "cv": "Czechia",
      "cy": "Tsiecia",
      "da": "Tjekkiet",
      "de": "Tschechien",
      "dv": "Czechia",
      "dz": "Czechia",
      "ee": "Czechia",
      "el": "Τσεχία",
      "en": "Czechia",
      "eo": "Ĉeĥio",
      "es": "Chequia",
      "et": "Tšehhi",
      "eu": "Txekia",
      "fa": "چک",
      "ff": "Czechia",
      "fi": "Czechia",
      "fo": "Czechia",
      "fr": "Tchéquie",
      "fy": "Czechia",
      "ga": "Czechia",
      "gl": "Chequia",
      "gn": "Czechia",
      "gu": "ચેકિયા",
      "gv": "Czechia",
      "ha": "Czechia",
      "he": "צ'כיה",
      "hi": "चेकिया",
      "hr": "Češka",
      "ht": "Tchèki",
      "hu": "Csehország",
      "hy": "Czechia",
      "ia": "Cechia",
      "id": "Czechia",
      "io": "Czechia",
      "is": "Tékkland",
      "it": "Cechia",
      "iu": "Czechia",
      "ja": "チェコ共和国",
      "ka": "Czechia",
      "ki": "Czechia",
      "kk": "Czechia",
      "kl": "Czechia",
      "km": "ឆេក",
      "kn": "Czechia",
      "ko": "체코",
      "ku": "Çekistan",
      "kv": "Czechia",
      "kw": "Czechia",
      "ky": "Чехия Республикасы",
      "lo": "Czechia",
      "lt": "Čekija",
      "lv": "Czechia",
      "mi": "Czechia",
      "mk": "Czechia",
      "ml": "Czechia",
      "mn": "Czechia",
      "mr": "झेकिया",
      "ms": "Czechia",
      "mt": "Czechia",
      "my": "Czechia",
      "na": "Czechia",
      "nb": "Tsjekkia",
      "ne": "Czechia",
      "nl": "Tsjechië",
      "nn": "Czechia",
      "nv": "Czechia",
      "oc": "Chequia",
      "or": "ଚେସିଆ",
      "pa": "ਚੇਚੀਆ",
      "pi": "Czechia",
      "pl": "Czechy",
      "ps": "Czechia",
      "pt": "República Checa",
      "pt_BR": "Chéquia",
      "ro": "Cehia",
      "ru": "Чехия",
      "rw": "Czechia",
      "sc": "Tzèchia",
      "sd": "Czechia",
      "si": "Czechia",
      "sk": "Česko",
      "sl": "Czechia",
      "so": "Czechia",
      "sq": "Çeki",
      "sr": "Чешка",
      "sv": "Tjeckien",
      "sw": "Czechia",
      "ta": "Czechia",
      "te": "Czechia",
      "tg": "Чехия",
      "th": "ประเทศเช็กเกีย",
      "ti": "Czechia",
      "tk": "Çehiýa",
      "tl": "Czechia",
      "tr": "Çekya",
      "tt": "Czechia",
      "ug": "چېخ",
      "uk": "Чехія",
      "ur": "Czechia",
      "uz": "Czechia",
      "ve": "Czechia",
      "vi": "Czechia",
      "wa": "Czechia",
      "wo": "Czechia",
      "xh": "Czechia",
      "yo": "Czechia",
      "zh_CN": "捷克",
      "zh_HK": "捷克",
      "zh_TW": "捷克",
      "zu": "Czechia"
    },
  );

  /// Country: The Federal Republic of Germany
  static const Country deu = Country(
    alpha2: 'DE',
    alpha3: 'DEU',
    continent: Continent.europe,
    countryCode: '49',
    currencyCode: 'EUR',
    gec: 'GM',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 51.165691,
        longitude: 10.451526,
      ),
      maxCoordinate: Coordinate(
        latitude: 55.0815,
        longitude: 15.0418962,
      ),
      minCoordinate: Coordinate(
        latitude: 47.2701115,
        longitude: 5.8663425,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 55.0815,
          longitude: 15.0418962,
        ),
        southwest: Coordinate(
          latitude: 47.2701115,
          longitude: 5.8663425,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'GER',
    isoLongName: 'The Federal Republic of Germany',
    isoShortName: 'Germany',
    languagesOfficial: ['de'],
    languagesSpoken: ['de'],
    nationalDestinationCodeLengths: [2, 3, 4, 5],
    nationalNumberLengths: [6, 7, 8, 9, 10, 11],
    nationalPrefix: '0',
    nationality: 'German',
    number: '276',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Western Europe',
    unLocode: 'DE',
    unofficialNames: [
      'Germany',
      'Deutschland',
      'Allemagne',
      'Alemania',
      'ドイツ',
      'Duitsland'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 19.0,
      reduced: [7.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Germany",
      "af": "Duitsland",
      "ak": "Germany",
      "am": "ጀሴመን",
      "an": "Germany",
      "ar": "ألمانيا",
      "as": "জাইচ্‌লামিক্মানী",
      "ay": "Germany",
      "az": "Almaniya",
      "ba": "Germany",
      "be": "Германія",
      "bg": "Германия",
      "bi": "Germany",
      "bn": "জার্মানি",
      "bn_IN": "জার্মানি",
      "br": "Alamagn",
      "bs": "Njemačka",
      "ca": "Alemanya",
      "ce": "Германи",
      "ch": "Alemaña",
      "cs": "Německo",
      "cv": "Германи",
      "cy": "Yr Almaen",
      "da": "Tyskland",
      "de": "Deutschland",
      "dv": "ޖަރުމަނުވިލާތް",
      "dz": "ཇར་མ་ནི།",
      "ee": "Germany",
      "el": "Γερμανία",
      "en": "Germany",
      "eo": "Germanio",
      "es": "Alemania",
      "et": "Saksamaa",
      "eu": "Alemania",
      "fa": "آلمان",
      "ff": "Almaanya",
      "fi": "Saksa",
      "fo": "Týskland",
      "fr": "Allemagne",
      "fy": "Dútslân",
      "ga": "An Ghearmáin",
      "gl": "Alemaña",
      "gn": "Germany",
      "gu": "જર્મની",
      "gv": "Yn Ghermaan",
      "ha": "Jamus",
      "he": "גרמניה",
      "hi": "जर्मनी",
      "hr": "Njemačka",
      "ht": "Almay",
      "hu": "Németország",
      "hy": "Գերմանիա",
      "ia": "Germania",
      "id": "Jerman",
      "io": "Germania",
      "is": "Þýskaland",
      "it": "Germania",
      "iu": "ᔮᒪᓂ",
      "ja": "ドイツ",
      "ka": "გერმანია",
      "ki": "Germany",
      "kk": "Германия",
      "kl": "Germany",
      "km": "អាល្លឺម៉ង់",
      "kn": "ಜರ್ಮನಿ",
      "ko": "독일",
      "ku": "Almanya",
      "kv": "Германия",
      "kw": "Almayn",
      "ky": "Германия",
      "lo": "ປະເທດເຢັຽລະມັນ",
      "lt": "Vokietija",
      "lv": "Vācija",
      "mi": "Tiamana",
      "mk": "Германија",
      "ml": "ജര്‍മനി",
      "mn": "Герман",
      "mr": "जर्मनी",
      "ms": "Jerman",
      "mt": "Ġermanja",
      "my": "ဂျာမနီနိုင်ငံ",
      "na": "Djermani",
      "nb": "Tyskland",
      "ne": "जर्मनी",
      "nl": "Duitsland",
      "nn": "Tyskland",
      "nv": "Béésh Bichʼahii Bikéyah",
      "oc": "Alemanha",
      "or": "ଜର୍ମାନୀ",
      "pa": "ਜਰਮਨੀ",
      "pi": "जर्मनी",
      "pl": "Niemcy",
      "ps": "المان",
      "pt": "Alemanha",
      "pt_BR": "Alemanha",
      "ro": "Germania",
      "ru": "Германия",
      "rw": "Ubudage",
      "sc": "Germània",
      "sd": "جرمني",
      "si": "ජර්මනිය",
      "sk": "Nemecko",
      "sl": "Nemčija",
      "so": "Jarmal",
      "sq": "Gjermani",
      "sr": "Немачка",
      "sv": "Tyskland",
      "sw": "Germany",
      "ta": "ஜெர்மனி",
      "te": "జర్మనీ",
      "tg": "Олмон",
      "th": "เยอรมนี",
      "ti": "ጀርመን",
      "tk": "Germaniýa",
      "tl": "Alemanya",
      "tr": "Almanya",
      "tt": "Алманиа",
      "ug": "گېرمانىيە",
      "uk": "Німеччина",
      "ur": "جرمنی",
      "uz": "Olmoniya",
      "ve": "Germany",
      "vi": "Đức",
      "wa": "Almagne",
      "wo": "Almaañ",
      "xh": "Jamani",
      "yo": "Jẹ́mánì",
      "zh_CN": "德国",
      "zh_HK": "德國",
      "zh_TW": "德國",
      "zu": "IJalimani"
    },
  );

  /// Country: The Republic of Djibouti
  static const Country dji = Country(
    alpha2: 'DJ',
    alpha3: 'DJI',
    continent: Continent.africa,
    countryCode: '253',
    currencyCode: 'DJF',
    gec: 'DJ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 11.825138,
        longitude: 42.590275,
      ),
      maxCoordinate: Coordinate(
        latitude: 12.7136972,
        longitude: 43.4839,
      ),
      minCoordinate: Coordinate(
        latitude: 10.912953,
        longitude: 41.77084600000001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 12.7136972,
          longitude: 43.4839,
        ),
        southwest: Coordinate(
          latitude: 10.912953,
          longitude: 41.77084600000001,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'DJI',
    isoLongName: 'The Republic of Djibouti',
    isoShortName: 'Djibouti',
    languagesOfficial: ['ar', 'fr'],
    languagesSpoken: ['ar', 'fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [6],
    nationalPrefix: 'None',
    nationality: 'Djibouti',
    number: '262',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'DJ',
    unofficialNames: ['Djibouti', 'جيبوتي', 'Dschibuti', 'ジブチ'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Djibouti",
      "af": "Djiboeti",
      "ak": "Djibouti",
      "am": "Djibouti",
      "an": "Djibouti",
      "ar": "جيبوتي",
      "as": "জিবুতি",
      "ay": "Djibouti",
      "az": "Cibuti",
      "ba": "Djibouti",
      "be": "Джыбуці",
      "bg": "Джибути",
      "bi": "Djibouti",
      "bn": "জিবুতি",
      "bn_IN": "জিবুতি",
      "br": "Djibouti",
      "bs": "Džibuti",
      "ca": "Djibouti",
      "ce": "Джибути",
      "ch": "Djibouti",
      "cs": "Džibutsko",
      "cv": "Джибути",
      "cy": "Djibouti",
      "da": "Djibouti",
      "de": "Dschibuti",
      "dv": "ޖިބުތީ",
      "dz": "ཇི་བའོ་ཊི།",
      "ee": "Djibouti",
      "el": "Τζιμπουτί",
      "en": "Djibouti",
      "eo": "Ĝibutio",
      "es": "Yibuti",
      "et": "Djibouti",
      "eu": "Djibuti",
      "fa": "جیبوتی",
      "ff": "Djibouti",
      "fi": "Djibouti",
      "fo": "Djibouti",
      "fr": "Djibouti",
      "fy": "Dzjibûty",
      "ga": "Djibouti",
      "gl": "Xibutí",
      "gn": "Djibouti",
      "gu": "જીબૂટી",
      "gv": "Djibouti",
      "ha": "Jibuti",
      "he": "ג׳יבוטי",
      "hi": "जिबूती",
      "hr": "Džibuti",
      "ht": "Djibouti",
      "hu": "Dzsibuti",
      "hy": "Ջիբուտի",
      "ia": "Djibuti",
      "id": "Djibouti",
      "io": "Djibuti",
      "is": "Djíbútí",
      "it": "Gibuti",
      "iu": "Djibouti",
      "ja": "ジブチ",
      "ka": "ჯიბუტი",
      "ki": "Djibouti",
      "kk": "Джибути",
      "kl": "Djibouti",
      "km": "ហ្ស៊ីបូទី",
      "kn": "ಡ್ಜಿಬೌಟಿ",
      "ko": "지부티",
      "ku": "Cîbutî",
      "kv": "Djibouti",
      "kw": "Jibouti",
      "ky": "Жибути",
      "lo": "Djibouti",
      "lt": "Džibutis",
      "lv": "Džibutija",
      "mi": "Tipūti",
      "mk": "Џибути",
      "ml": "ജിബൂട്ടി",
      "mn": "Djibouti",
      "mr": "जिबौती",
      "ms": "Djibouti",
      "mt": "Ġibuti",
      "my": "ဂျီဘူတီနိုင်ငံ",
      "na": "Djibuti",
      "nb": "Djibouti",
      "ne": "जिबोउटी",
      "nl": "Djibouti",
      "nn": "Djibouti",
      "nv": "Djibouti",
      "oc": "Jiboti",
      "or": "ଡିଜବୌଟୀ",
      "pa": "ਡਜੀਬੂਟੀ",
      "pi": "जिबूटी",
      "pl": "Dżibuti",
      "ps": "جېبوتي",
      "pt": "Djibouti",
      "pt_BR": "Djibuti",
      "ro": "Djibouti",
      "ru": "Джибути",
      "rw": "Jibuti",
      "sc": "Gibuti",
      "sd": "جبوتي",
      "si": "ජිල්බූට්",
      "sk": "Džibutsko",
      "sl": "Džibuti",
      "so": "Jabuuti",
      "sq": "Xhibut",
      "sr": "Џибути",
      "sv": "Djibouti",
      "sw": "Djibouti",
      "ta": "சிபூட்டி",
      "te": "జిబౌతీ",
      "tg": "Ҷибути",
      "th": "จิบูตี",
      "ti": "ጂቡቲ",
      "tk": "Jibuti",
      "tl": "Djibouti",
      "tr": "Cibuti",
      "tt": "Джибути",
      "ug": "جىبۇتى",
      "uk": "Джибуті",
      "ur": "جبوتی",
      "uz": "Jibuti",
      "ve": "Djibouti",
      "vi": "Gi-bu-ti",
      "wa": "Djibouti",
      "wo": "Jibuuti",
      "xh": "Djibouti",
      "yo": "Djìbútì",
      "zh_CN": "吉布提",
      "zh_HK": "吉布提",
      "zh_TW": "吉布地",
      "zu": "IJibuthi"
    },
  );

  /// Country: The Kingdom of Denmark
  static const Country dnk = Country(
    alpha2: 'DK',
    alpha3: 'DNK',
    continent: Continent.europe,
    countryCode: '45',
    currencyCode: 'DKK',
    gec: 'DA',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 56.26392,
        longitude: 9.501785,
      ),
      maxCoordinate: Coordinate(
        latitude: 58.02846,
        longitude: 15.2298,
      ),
      minCoordinate: Coordinate(
        latitude: 54.4317001,
        longitude: 7.855200099999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 58.02846,
          longitude: 15.2298,
        ),
        southwest: Coordinate(
          latitude: 54.4317001,
          longitude: 7.855200099999999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'DEN',
    isoLongName: 'The Kingdom of Denmark',
    isoShortName: 'Denmark',
    languagesOfficial: ['da'],
    languagesSpoken: ['da'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Danish',
    number: '208',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Northern Europe',
    unLocode: 'DK',
    unofficialNames: [
      'Denmark',
      'Dänemark',
      'Danemark',
      'Dinamarca',
      'デンマーク',
      'Denemarken'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{region}}
{{country}}''',
    vatRates: VatRates(
      standard: 25.0,
      reduced: [],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Denmark",
      "af": "Denemarke",
      "ak": "Denmark",
      "am": "፤ንሢሴጤ",
      "an": "Denmark",
      "ar": "الدّنمارك",
      "as": "ডেনমাৰ্ক",
      "ay": "Denmark",
      "az": "Danimarka",
      "ba": "Denmark",
      "be": "Данія",
      "bg": "Дания",
      "bi": "Denmark",
      "bn": "ডেনমার্ক",
      "bn_IN": "ডেনমার্ক",
      "br": "Danmark",
      "bs": "Denmark",
      "ca": "Dinamarca",
      "ce": "Дани",
      "ch": "Denmark",
      "cs": "Dánsko",
      "cv": "Дани",
      "cy": "Denmarc",
      "da": "Danmark",
      "de": "Dänemark",
      "dv": "ޑެންމާކު",
      "dz": "ཌེན་མཱརཀ།",
      "ee": "Denmark",
      "el": "Δανία",
      "en": "Denmark",
      "eo": "Danio",
      "es": "Dinamarca",
      "et": "Taani",
      "eu": "Danimarka",
      "fa": "دانمارک",
      "ff": "Danemark",
      "fi": "Tanska",
      "fo": "Danmørk",
      "fr": "Danemark",
      "fy": "Denemark",
      "ga": "An Danmhairg",
      "gl": "Dinamarca",
      "gn": "Denmark",
      "gu": "ડેનમાર્ક",
      "gv": "Yn Danvarg",
      "ha": "Denmark",
      "he": "דנמרק",
      "hi": "डेनमार्क",
      "hr": "Danska",
      "ht": "Danmak",
      "hu": "Dánia",
      "hy": "Դանիա",
      "ia": "Danmark",
      "id": "Denmark",
      "io": "Dania",
      "is": "Danmörk",
      "it": "Danimarca",
      "iu": "Denmark",
      "ja": "デンマーク",
      "ka": "დანია",
      "ki": "Denmark",
      "kk": "Дания",
      "kl": "Denmark",
      "km": "ដាណឺម៉ាក",
      "kn": "ಡೆನ್ಮಾರ್ಕ್",
      "ko": "덴마크",
      "ku": "Danîmarka",
      "kv": "Дания",
      "kw": "Danmark",
      "ky": "Дания",
      "lo": "ປະເທດດານມາກ",
      "lt": "Danija",
      "lv": "Dānija",
      "mi": "Tenemāka",
      "mk": "Данска",
      "ml": "ഡെന്മാര്‍ക്ക്",
      "mn": "Дани",
      "mr": "डेन्मार्क",
      "ms": "Denmark",
      "mt": "Danimarka",
      "my": "ဒိန်းမတ်နိုင်ငံ",
      "na": "Denemark",
      "nb": "Danmark",
      "ne": "डेनमार्क",
      "nl": "Denemarken",
      "nn": "Danmark",
      "nv": "Denmark",
      "oc": "Danemarc",
      "or": "ଡେନମାର୍କ",
      "pa": "ਡੈਨਮਾਰਕ",
      "pi": "डेनमार्क",
      "pl": "Dania",
      "ps": "ډنمارک",
      "pt": "Dinamarca",
      "pt_BR": "Dinamarca",
      "ro": "Danemarca",
      "ru": "Дания",
      "rw": "Danimarike",
      "sc": "Danimarca",
      "sd": "Denmark",
      "si": "ඩෙන්මාකය",
      "sk": "Dánsko",
      "sl": "Danska",
      "so": "Danmaark",
      "sq": "Danimarkë",
      "sr": "Данска",
      "sv": "Danmark",
      "sw": "Denmark",
      "ta": "டென்மார்க்",
      "te": "డెన్మార్క్",
      "tg": "Дания",
      "th": "เดนมาร์ก",
      "ti": "ዴንማርክ",
      "tk": "Daniýa",
      "tl": "Denmark",
      "tr": "Danimarka",
      "tt": "Даниа",
      "ug": "دانىيە",
      "uk": "Данія",
      "ur": "ڈنمارک",
      "uz": "Daniya",
      "ve": "Denmark",
      "vi": "Đan Mạch",
      "wa": "Daenmåtche",
      "wo": "Danmaark",
      "xh": "Denmark",
      "yo": "Dẹ́nmárkì",
      "zh_CN": "丹麦",
      "zh_HK": "丹麥",
      "zh_TW": "丹麥",
      "zu": "IDenimaki"
    },
  );

  /// Country: The Commonwealth of Dominica
  static const Country dma = Country(
    alpha2: 'DM',
    alpha3: 'DMA',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'XCD',
    gec: 'DO',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 15.414999,
        longitude: -61.37097600000001,
      ),
      maxCoordinate: Coordinate(
        latitude: 15.6485199,
        longitude: -61.23090180000001,
      ),
      minCoordinate: Coordinate(
        latitude: 15.2042266,
        longitude: -61.484108,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 15.6485199,
          longitude: -61.23090180000001,
        ),
        southwest: Coordinate(
          latitude: 15.2042266,
          longitude: -61.484108,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'DMA',
    isoLongName: 'The Commonwealth of Dominica',
    isoShortName: 'Dominica',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Dominican',
    number: '212',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'DM',
    unofficialNames: ['Dominica', 'ドミニカ国'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1767',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Dominica",
      "af": "Dominica",
      "ak": "Dominica",
      "am": "፦ሡኒጢ",
      "an": "Dominica",
      "ar": "دومينيكا",
      "as": "ডোমিনিকা",
      "ay": "Dominica",
      "az": "Dominik",
      "ba": "Dominica",
      "be": "Дамініка",
      "bg": "Доминика",
      "bi": "Dominica",
      "bn": "ডোমিনিকা",
      "bn_IN": "ডোমিনিকা",
      "br": "Dominika",
      "bs": "Dominika",
      "ca": "Dominica",
      "ce": "Доминика",
      "ch": "Dominica",
      "cs": "Dominika",
      "cv": "Доминика",
      "cy": "Dominica",
      "da": "Dominica",
      "de": "Dominica",
      "dv": "ޑޮމިނިކާ",
      "dz": "ཌོ་མི་ནི་ཀ།",
      "ee": "Dominica",
      "el": "Ντομίνικα",
      "en": "Dominica",
      "eo": "Dominiko",
      "es": "Dominica",
      "et": "Dominica",
      "eu": "Dominika",
      "fa": "دومینیکا",
      "ff": "Dominica",
      "fi": "Dominica",
      "fo": "Dominika",
      "fr": "Dominique",
      "fy": "Dominika",
      "ga": "Doiminice",
      "gl": "Dominica",
      "gn": "Dominica",
      "gu": "ડોમિનિકા",
      "gv": "Dominica",
      "ha": "Dominica",
      "he": "דומיניקה",
      "hi": "डोमिनिका",
      "hr": "Dominika",
      "ht": "Dominik",
      "hu": "Dominika",
      "hy": "Դոմինիկա",
      "ia": "Dominica",
      "id": "Dominika",
      "io": "Dominika",
      "is": "Dóminíka",
      "it": "Dominica",
      "iu": "Dominica",
      "ja": "ドミニカ",
      "ka": "დომინიკა",
      "ki": "Dominica",
      "kk": "Доминика",
      "kl": "Dominica",
      "km": "ដូមីនីកា",
      "kn": "ಡೊಮಿನಿಕಾ",
      "ko": "도미니카 연방",
      "ku": "Domînîka",
      "kv": "Dominica",
      "kw": "Dominika",
      "ky": "Доминика",
      "lo": "Dominica",
      "lt": "Dominika",
      "lv": "Dominika",
      "mi": "Dominica",
      "mk": "Доминикана",
      "ml": "ഡൊമിനിക",
      "mn": "Доминик",
      "mr": "डॉमिनिका",
      "ms": "Dominica",
      "mt": "Dominika",
      "my": "ဒိုမီနီကာနိုင်ငံ",
      "na": "Dominika",
      "nb": "Dominica",
      "ne": "डोमिनिका",
      "nl": "Dominica",
      "nn": "Dominica",
      "nv": "Dominica",
      "oc": "Dominica",
      "or": "ଡୋମିନୀକା",
      "pa": "ਡੋਮੀਨੀਆ",
      "pi": "डोमोनिका",
      "pl": "Dominika",
      "ps": "Dominica",
      "pt": "Dominica",
      "pt_BR": "Domínica",
      "ro": "Dominica",
      "ru": "Доминика",
      "rw": "Dominika",
      "sc": "Dominica",
      "sd": "Dominica",
      "si": "ඩොමිනිකාව",
      "sk": "Dominika",
      "sl": "Dominika",
      "so": "Dominica",
      "sq": "Dominikë",
      "sr": "Доминика",
      "sv": "Dominica",
      "sw": "Dominica",
      "ta": "டொமினிக்கா",
      "te": "డొమినికా",
      "tg": "Доминика",
      "th": "โดมินิกา",
      "ti": "ዶሚኒካ",
      "tk": "Dominika",
      "tl": "Dominika",
      "tr": "Dominika",
      "tt": "Доминика",
      "ug": "دومىنىكا",
      "uk": "Домініка",
      "ur": "ڈومینیکا",
      "uz": "Dominika",
      "ve": "Dominica",
      "vi": "Đô-mi-ni-cạ",
      "wa": "Dominike",
      "wo": "Dominika",
      "xh": "Dominica",
      "yo": "Dòmíníkà",
      "zh_CN": "多米尼克",
      "zh_HK": "多米尼克",
      "zh_TW": "多米尼克",
      "zu": "Dominica"
    },
  );

  /// Country: The Dominican Republic
  static const Country dom = Country(
    alpha2: 'DO',
    alpha3: 'DOM',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'DOP',
    gec: 'DR',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 18.735693,
        longitude: -70.162651,
      ),
      maxCoordinate: Coordinate(
        latitude: 19.9786989,
        longitude: -68.25260010000001,
      ),
      minCoordinate: Coordinate(
        latitude: 17.3611001,
        longitude: -72.0075099,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 19.9786989,
          longitude: -68.25260010000001,
        ),
        southwest: Coordinate(
          latitude: 17.3611001,
          longitude: -72.0075099,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'DOM',
    isoLongName: 'The Dominican Republic',
    isoShortName: 'Dominican Republic',
    languagesOfficial: ['es'],
    languagesSpoken: ['es'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Dominican',
    number: '214',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'DO',
    unofficialNames: [
      'Dominican Republic',
      'Dominikanische Republik',
      'République Dominicaine',
      'República Dominicana',
      'ドミニカ共和国',
      'Dominicaanse Republiek'
    ],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Dominican Republic",
      "af": "Dominikaanse Republiek",
      "ak": "Dominican Republic",
      "am": "፦ሡኒጤ ሱፑብሑጤ",
      "an": "Dominican Republic",
      "ar": "جمهوريّة الدّومينيكان",
      "as": "ডোমিনিকান প্ৰজান্ত্ৰ্ৰ",
      "ay": "Dominican Republic",
      "az": "Dominikan Respublikası",
      "ba": "Dominican Republic",
      "be": "Дамініканская Рэспубліка",
      "bg": "Доминиканска република",
      "bi": "Dominican Republic",
      "bn": "ডোমিনিকান প্রজান্ত্র",
      "bn_IN": "ডোমিনিকান প্রজান্ত্র",
      "br": "Republik Dominikan",
      "bs": "Dominikanska Republika",
      "ca": "República Dominicana",
      "ce": "Доминикан Пачхьалкх",
      "ch": "Dominican Republic",
      "cs": "Dominikánská republika",
      "cv": "Доминикан Пачхьалкх",
      "cy": "Gweriniaeth Dominica",
      "da": "Dominikanske Republik",
      "de": "Dominikanische Republik",
      "dv": "ޑޮމިނިކަން ޖުމްހޫރިއްޔާ",
      "dz": "ཌོ་མི་ནི་ཀཱན་ རི་པཔ་ལིཀ།",
      "ee": "Dominican Republic",
      "el": "Δομινικανή Δημοκρατία",
      "en": "Dominican Republic",
      "eo": "Domingo",
      "es": "República Dominicana",
      "et": "Dominikaani Vabariik",
      "eu": "Dominikar Errepublika",
      "fa": "جمهوری دومینیکن",
      "ff": "Dominican Republic",
      "fi": "Dominikaaninen tasavalta",
      "fo": "Domingo lýðveldið",
      "fr": "République dominicaine",
      "fy": "Dominikaanske Republyk",
      "ga": "An Phoblacht Dhoiminiceach",
      "gl": "República Dominicana",
      "gn": "Dominican Republic",
      "gu": "ડોમિનિકન રીપબ્લિક",
      "gv": "Yn Phobblaght Ghominicagh",
      "ha": "Dominican Republic",
      "he": "הרפובליקה הדומיניקנית",
      "hi": "डोमिनिकन गणराज्य",
      "hr": "Dominikanska Republika",
      "ht": "Dominikani",
      "hu": "Dominikai Köztársaság",
      "hy": "Դոմինիկյան Հանրապետություն",
      "ia": "Republica Dominican",
      "id": "Republik Dominika",
      "io": "Dominikana Republiko",
      "is": "Dóminíkanska lýðveldið",
      "it": "Repubblica Dominicana",
      "iu": "Dominican Republic",
      "ja": "ドミニカ共和国",
      "ka": "დომინიკანის რესპუბლიკა",
      "ki": "Dominican Republic",
      "kk": "Доминикан Республикасы",
      "kl": "Dominican Republic",
      "km": "សាធារណរដ្ឋ​ដូមីនីកែន",
      "kn": "ಡೊಮಿನಿಕನ್ ರಿಪಬ್ಲಿಕ್",
      "ko": "도미니카 공화국",
      "ku": "Komara Domînîk",
      "kv": "Доминикан Республика",
      "kw": "Repoblek Dhominikanek",
      "ky": "Доминика Республикасы",
      "lo": "Dominican Republic",
      "lt": "Dominikos Respublika",
      "lv": "Dominikānas Republika",
      "mi": "Dominican Republic",
      "mk": "Доминиканска Република",
      "ml": "ഡൊമിനികന്‍ റിപ്പബ്ലിക്",
      "mn": "Доминик ард улс",
      "mr": "डॉमिनिकन रिपब्लिक",
      "ms": "Republik Dominican",
      "mt": "Repubblika Dominikana",
      "my": "ဒိုမီနီကန်သမ္မတနိုင်ငံ",
      "na": "Ripubrikin Dominika",
      "nb": "Den dominikanske republikk",
      "ne": "डोमिनिकन गणराज्य",
      "nl": "Dominicaanse Republiek",
      "nn": "Den dominikanske republikken",
      "nv": "Dominican Republic",
      "oc": "Republica Dominicana",
      "or": "ଡୋମିନୀକାନ ଗଣରାଜ୍ଯ",
      "pa": "ਡੋਮੀਨੀਆਨ ਗਣਰਾਜ",
      "pi": "डोमोनिकन रिपब्लिक",
      "pl": "Dominikana",
      "ps": "ډومنيکان جمهوريت",
      "pt": "República Dominicana",
      "pt_BR": "República Dominicana",
      "ro": "Republica Dominicană",
      "ru": "Доминиканская республика",
      "rw": "Repubulika ya Dominikani",
      "sc": "Repùblica Dominicana",
      "sd": "Dominican Republic",
      "si": "ඩොමිනිකානු ජනරජය",
      "sk": "Dominikánska republika",
      "sl": "Dominikanska republika",
      "so": "Dominican Republic",
      "sq": "Republika Dominikane",
      "sr": "Доминиканска Република",
      "sv": "Dominikanska republiken",
      "sw": "Dominican Republic",
      "ta": "டொமினிக்கன் குடியரசு",
      "te": "డొమినికన్ రిపబ్లిక్",
      "tg": "Ҷумҳурии Доминикан",
      "th": "สาธารณรัฐโดมินิกัน",
      "ti": "ዶሚኒካዊት ሪፓብሊክ",
      "tk": "Dominakan respublikasy",
      "tl": "Republikang Dominikano",
      "tr": "Dominik Cumhuriyeti",
      "tt": "Доминика Җөмһүриәте",
      "ug": "دومىنىكا جۇمھۇرىيىتى",
      "uk": "Домініканська республіка",
      "ur": "جمہوریہ ڈومینیکن",
      "uz": "Dominika Respublikasi",
      "ve": "Dominican Republic",
      "vi": "Cộng hoà Đô-mi-ni-cạ",
      "wa": "Republike Dominikinne",
      "wo": "Republik Dominikee",
      "xh": "Ulawulo lokuziphatha kwe Dominican",
      "yo": "Orílẹ̀òmìnira Dómíníkì",
      "zh_CN": "多米尼加共和国",
      "zh_HK": "多米尼加共和國",
      "zh_TW": "多明尼加共和國",
      "zu": "Ulawulo lokuziphatha kwe Dominikhani"
    },
  );

  /// Country: The People's Democratic Republic of Algeria
  static const Country dza = Country(
    alpha2: 'DZ',
    alpha3: 'DZA',
    continent: Continent.africa,
    countryCode: '213',
    currencyCode: 'DZD',
    gec: 'AG',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 28.033886,
        longitude: 1.659626,
      ),
      maxCoordinate: Coordinate(
        latitude: 37.2216,
        longitude: 11.9999992,
      ),
      minCoordinate: Coordinate(
        latitude: 18.9681469,
        longitude: -8.6676111,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 37.2216,
          longitude: 11.9999992,
        ),
        southwest: Coordinate(
          latitude: 18.9681469,
          longitude: -8.6676111,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'ALG',
    isoLongName: 'The People\'s Democratic Republic of Algeria',
    isoShortName: 'Algeria',
    languagesOfficial: ['ar'],
    languagesSpoken: ['ar'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '7',
    nationality: 'Algerian',
    number: '012',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.africa,
    startOfWeek: Week.sunday,
    subregion: 'Northern Africa',
    unLocode: 'DZ',
    unofficialNames: [
      'Algeria',
      'الجزائر',
      'Algerien',
      'Algérie',
      'Argelia',
      'アルジェリア',
      'Algerije'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Algeria",
      "af": "Algerië",
      "ak": "Algeria",
      "am": "ጐሔጄሱ።",
      "an": "Algeria",
      "ar": "الجزائر",
      "as": "আলজেৰিযা",
      "ay": "Algeria",
      "az": "Əlcəzair",
      "ba": "Algeria",
      "be": "Алжыр",
      "bg": "Алжир",
      "bi": "Algeria",
      "bn": "অ্যালজিরিয়া",
      "bn_IN": "অ্যালজিরিয়া",
      "br": "Aljeria",
      "bs": "Alžir",
      "ca": "Algèria",
      "ce": "Алжир",
      "ch": "Algeria",
      "cs": "Alžírsko",
      "cv": "Алжир",
      "cy": "Algeria",
      "da": "Algeriet",
      "de": "Algerien",
      "dv": "ޖަޒާއިރު",
      "dz": "ཨཱལ་ཇི་རི་ཡ།",
      "ee": "Algeria",
      "el": "Αλγερία",
      "en": "Algeria",
      "eo": "Alĝerio",
      "es": "Algeria",
      "et": "Alžeeria",
      "eu": "Aljeria",
      "fa": "الجزایر",
      "ff": "Aljeri",
      "fi": "Algeria",
      "fo": "Algeria",
      "fr": "Algérie",
      "fy": "Algerije",
      "ga": "An Ailgéir",
      "gl": "Alxeria",
      "gn": "Algeria",
      "gu": "અલ્જેરિયા",
      "gv": "Yn Algear",
      "ha": "Aljeriya",
      "he": "אלג'יריה",
      "hi": "अल्जीरिया",
      "hr": "Alžir",
      "ht": "Aljeri",
      "hu": "Algéria",
      "hy": "Ալժիր",
      "ia": "Algeria",
      "id": "Aljazair",
      "io": "Aljeria",
      "is": "Alsír",
      "it": "Algeria",
      "iu": "Algeria",
      "ja": "アルジェリア",
      "ka": "ალჟირი",
      "ki": "Algeria",
      "kk": "Алжир",
      "kl": "Algeria",
      "km": "អាល់ហ្សេរី",
      "kn": "ಅಲ್ಜೀರಿಯ",
      "ko": "알제리",
      "ku": "Cezayîr",
      "kv": "Algeria",
      "kw": "Aljeri",
      "ky": "Алжир",
      "lo": "Algeria",
      "lt": "Alžyras",
      "lv": "Alžīrija",
      "mi": "Algeria",
      "mk": "Алжир",
      "ml": "അള്‍ജീരിയ",
      "mn": "Алжир",
      "mr": "अल्जिरिया",
      "ms": "Algeria",
      "mt": "Alġerija",
      "my": "အယ်လ်ဂျီးရီးယားနိုင်ငံ",
      "na": "Ardjiriya",
      "nb": "Algerie",
      "ne": "अल्जेरिया",
      "nl": "Algerije",
      "nn": "Algerie",
      "nv": "Ghą́ą́ʼaskʼidii Biłikahii Bikéyah Ntsaaígíí",
      "oc": "Argeria",
      "or": "ଆଲଜେରିୟା",
      "pa": "ਅਲਜੀਰੀਆ",
      "pi": "अल्जीरिया",
      "pl": "Algieria",
      "ps": "الجزایر",
      "pt": "Argélia",
      "pt_BR": "Argélia",
      "ro": "Algeria",
      "ru": "Алжир",
      "rw": "Aligeriya",
      "sc": "Algeria",
      "sd": "الجزائر",
      "si": "ඇල්ජීරියා",
      "sk": "Alžírsko",
      "sl": "Alžirija",
      "so": "Aljeeriya",
      "sq": "Algjeri",
      "sr": "Алжир",
      "sv": "Algeriet",
      "sw": "Aljeria",
      "ta": "அல்ஜீரியா",
      "te": "అల్జిరియా",
      "tg": "Алҷазоир",
      "th": "แอลจีเรีย",
      "ti": "አልጄሪያ",
      "tk": "Alžyr",
      "tl": "Alheriya",
      "tr": "Cezayir",
      "tt": "Алжыр",
      "ug": "ئالجىرىيە",
      "uk": "Алжир",
      "ur": "الجزائر",
      "uz": "Jazoir",
      "ve": "Algeria",
      "vi": "An-giê-ri",
      "wa": "Aldjereye",
      "wo": "Aljeeri",
      "xh": "Algeria",
      "yo": "Àlgéríà",
      "zh_CN": "阿尔及利亚",
      "zh_HK": "阿爾及利亞",
      "zh_TW": "阿爾及利亞",
      "zu": "IAljiriya"
    },
  );

  /// Country: The Republic of Ecuador
  static const Country ecu = Country(
    alpha2: 'EC',
    alpha3: 'ECU',
    continent: Continent.southAmerica,
    countryCode: '593',
    currencyCode: 'USD',
    gec: 'EC',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -1.831239,
        longitude: -78.18340599999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 2.2955,
        longitude: -75.1887938,
      ),
      minCoordinate: Coordinate(
        latitude: -5.0143509,
        longitude: -92.60379999999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 2.2955,
          longitude: -75.1887938,
        ),
        southwest: Coordinate(
          latitude: -5.0143509,
          longitude: -92.60379999999999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'ECU',
    isoLongName: 'The Republic of Ecuador',
    isoShortName: 'Ecuador',
    languagesOfficial: ['es'],
    languagesSpoken: ['es'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9],
    nationalPrefix: '0',
    nationality: 'Ecuadorean',
    number: '218',
    postalCode: true,
    postalCodeFormat: r'\d{6}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'South America',
    unLocode: 'EC',
    unofficialNames: ['Ecuador', 'Équateur', 'エクアドル'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Ecuador",
      "af": "Ecuador",
      "ak": "Ecuador",
      "am": "ጒጣ፦ሴ",
      "an": "Ecuador",
      "ar": "الإكوادور",
      "as": "ইকোৱেড'ৰ",
      "ay": "Ecuador",
      "az": "Ekvador",
      "ba": "Ecuador",
      "be": "Эквадор",
      "bg": "Еквадор",
      "bi": "Ecuador",
      "bn": "ইকুয়েডোর",
      "bn_IN": "ইকুয়েডোর",
      "br": "Ekuador",
      "bs": "Ekvador",
      "ca": "Equador",
      "ce": "Эквадор",
      "ch": "Ecuador",
      "cs": "Ekvádor",
      "cv": "Эквадор",
      "cy": "Ecwador",
      "da": "Ecuador",
      "de": "Ecuador",
      "dv": "އިކުއެޑޯރު",
      "dz": "ཨི་ཀུཡེ་ཌོར།",
      "ee": "Ecuador",
      "el": "Ισημερινός",
      "en": "Ecuador",
      "eo": "Ekvadoro",
      "es": "Ecuador",
      "et": "Ecuador",
      "eu": "Ekuador",
      "fa": "اکوادور",
      "ff": "Ecuador",
      "fi": "Ecuador",
      "fo": "Ekvador",
      "fr": "Équateur",
      "fy": "Ekwador",
      "ga": "Eacuadór",
      "gl": "Ecuador",
      "gn": "Ecuador",
      "gu": "ઇક્વાડોર",
      "gv": "Ecuador",
      "ha": "Ecuador",
      "he": "אקוודור",
      "hi": "ईक्वाडोर",
      "hr": "Ekvador",
      "ht": "Ekwatè",
      "hu": "Ecuador",
      "hy": "Էկվադոր",
      "ia": "Ecuador",
      "id": "Ekuador",
      "io": "Equador",
      "is": "Ekvador",
      "it": "Ecuador",
      "iu": "Ecuador",
      "ja": "エクアドル",
      "ka": "ეკვადორი",
      "ki": "Ecuador",
      "kk": "Эквадор",
      "kl": "Ecuador",
      "km": "អេក្វាឌ័រ",
      "kn": "ಈಕ್ವೆಡಾರ್",
      "ko": "에콰도르",
      "ku": "Ekvator",
      "kv": "Ecuador",
      "kw": "Pow Ekwadorel",
      "ky": "Эквадор",
      "lo": "ປະເທດເອກົວເຕີ",
      "lt": "Ekvadoras",
      "lv": "Ekvadora",
      "mi": "Ekuatoa",
      "mk": "Еквадор",
      "ml": "ഇക്വഡോര്‍",
      "mn": "Эквадор",
      "mr": "इक्वेडॉर",
      "ms": "Ecuador",
      "mt": "Ecuador",
      "my": "အီကွေဒေါနိုင်ငံ",
      "na": "Ekwador",
      "nb": "Ecuador",
      "ne": "इक्वेडर",
      "nl": "Ecuador",
      "nn": "Ecuador",
      "nv": "Ecuador",
      "oc": "Eqüator",
      "or": "ଏକ୍ଯୁଡୋର",
      "pa": "ਏਕਵੇਡਰ",
      "pi": "एक्वाडोर",
      "pl": "Ekwador",
      "ps": "اېکوادور",
      "pt": "Equador",
      "pt_BR": "Equador",
      "ro": "Ecuador",
      "ru": "Эквадор",
      "rw": "Ekwadoro",
      "sc": "Ècuador",
      "sd": "Ecuador",
      "si": "ඉක්වදෝරය",
      "sk": "Ekvádor",
      "sl": "Ekvador",
      "so": "Ikwadoor",
      "sq": "Ekuador",
      "sr": "Еквадор",
      "sv": "Ecuador",
      "sw": "Ecuador",
      "ta": "ஈக்வடார்",
      "te": "ఈక్విడార్",
      "tg": "Эквадор",
      "th": "เอกวาดอร์",
      "ti": "ኤኳዶር",
      "tk": "Ekwador",
      "tl": "Ekwador",
      "tr": "Ekvador",
      "tt": "Екуадор",
      "ug": "ئېكۋادور",
      "uk": "Еквадор",
      "ur": "ایکواڈور",
      "uz": "Ekvador",
      "ve": "Ecuador",
      "vi": "Ê-cu-a-đoa",
      "wa": "Ecwåteur",
      "wo": "Ekwadoor",
      "xh": "Ecuador",
      "yo": "Ẹ̀kùàdọ̀r",
      "zh_CN": "厄瓜多尔",
      "zh_HK": "厄瓜多爾",
      "zh_TW": "厄瓜多",
      "zu": "Ecuador"
    },
  );

  /// Country: The Republic of Estonia
  static const Country est = Country(
    alpha2: 'EE',
    alpha3: 'EST',
    continent: Continent.europe,
    countryCode: '372',
    currencyCode: 'EUR',
    gec: 'EN',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 58.595272,
        longitude: 25.0136071,
      ),
      maxCoordinate: Coordinate(
        latitude: 59.7315,
        longitude: 28.2101389,
      ),
      minCoordinate: Coordinate(
        latitude: 57.50931600000001,
        longitude: 21.6540999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 59.7315,
          longitude: 28.2101389,
        ),
        southwest: Coordinate(
          latitude: 57.50931600000001,
          longitude: 21.6540999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'EST',
    isoLongName: 'The Republic of Estonia',
    isoShortName: 'Estonia',
    languagesOfficial: ['et'],
    languagesSpoken: ['et'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8],
    nationalPrefix: 'None',
    nationality: 'Estonian',
    number: '233',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Northern Europe',
    unLocode: 'EE',
    unofficialNames: ['Estonia', 'Estland', 'Estonie', 'エストニア'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: VatRates(
      standard: 20.0,
      reduced: [9.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Estonia",
      "af": "Estland",
      "ak": "Estonia",
      "am": "ጔስቶኒ።",
      "an": "Estonia",
      "ar": "إستونيا",
      "as": "এস্তোনিয়া",
      "ay": "Estonia",
      "az": "Estoniya",
      "ba": "Estonia",
      "be": "Эстонія",
      "bg": "Естония",
      "bi": "Estonia",
      "bn": "এস্তোনিয়া",
      "bn_IN": "এস্তোনিয়া",
      "br": "Estonia",
      "bs": "Estonija",
      "ca": "Estònia",
      "ce": "Estonia",
      "ch": "Estonia",
      "cs": "Estonsko",
      "cv": "Estonia",
      "cy": "Estonia",
      "da": "Estland",
      "de": "Estland",
      "dv": "Estonia",
      "dz": "ཨིསི་ཊོ་ནི་ཡ།",
      "ee": "Estonia",
      "el": "Εσθονία",
      "en": "Estonia",
      "eo": "Estonio",
      "es": "Estonia",
      "et": "Eesti",
      "eu": "Estonia",
      "fa": "استونی",
      "ff": "Estonia",
      "fi": "Viro",
      "fo": "Estland",
      "fr": "Estonie",
      "fy": "Estonia",
      "ga": "An Eastóin",
      "gl": "Estonia",
      "gn": "Estonia",
      "gu": "ઇસ્ટોનિયા",
      "gv": "Estonia",
      "ha": "Estonia",
      "he": "אסטוניה",
      "hi": "एस्टोनिया",
      "hr": "Estonija",
      "ht": "Estoni",
      "hu": "Észtország",
      "hy": "Էստոնիա",
      "ia": "Estonia",
      "id": "Estonia",
      "io": "Estonia",
      "is": "Eistland",
      "it": "Estonia",
      "iu": "Estonia",
      "ja": "エストニア",
      "ka": "ესტონეთი",
      "ki": "Estonia",
      "kk": "Эстония",
      "kl": "Estonia",
      "km": "អេស្តូនី",
      "kn": "ಎಸ್ತೋನಿಯಾ",
      "ko": "에스토니아",
      "ku": "Estonya",
      "kv": "Estonia",
      "kw": "Estonia",
      "ky": "Эстония",
      "lo": "Estonia",
      "lt": "Estija",
      "lv": "Igaunija",
      "mi": "Etonia",
      "mk": "Естонија",
      "ml": "എസ്തോണിയ",
      "mn": "Эстони",
      "mr": "इस्टोनिया",
      "ms": "Estonia",
      "mt": "Estonja",
      "my": "Estonia",
      "na": "Estonia",
      "nb": "Estland",
      "ne": "इस्टोनिया",
      "nl": "Estland",
      "nn": "Estland",
      "nv": "Estonia",
      "oc": "Estònia",
      "or": "ଇଷ୍ଟୋନିୟା",
      "pa": "ਈਸਟੋਨੀਆ",
      "pi": "Estonia",
      "pl": "Estonia",
      "ps": "Estonia",
      "pt": "Estónia",
      "pt_BR": "Estônia",
      "ro": "Estonia",
      "ru": "Эстония",
      "rw": "Esitoniya",
      "sc": "Estònia",
      "sd": "Estonia",
      "si": "එස්තෝනියා",
      "sk": "Estónsko",
      "sl": "Estonija",
      "so": "Estonia",
      "sq": "Estoni",
      "sr": "Естонија",
      "sv": "Estland",
      "sw": "Estonia",
      "ta": "எசுதோனியா",
      "te": "ఇస్టోనియా",
      "tg": "Эстония",
      "th": "เอสโตเนีย",
      "ti": "ኤስቶኒያ",
      "tk": "Estoniýa",
      "tl": "Estoniya",
      "tr": "Estonya",
      "tt": "Естониа",
      "ug": "ئېستونىيە",
      "uk": "Естонія",
      "ur": "Estonia",
      "uz": "Estonia",
      "ve": "Estonia",
      "vi": "E-xợ-tô-ni-a",
      "wa": "Estoneye",
      "wo": "Estooni",
      "xh": "Estonia",
      "yo": "Estonia",
      "zh_CN": "爱沙尼亚",
      "zh_HK": "愛沙尼亞",
      "zh_TW": "愛沙尼亞",
      "zu": "I-Estoniya"
    },
  );

  /// Country: The Arab Republic of Egypt
  static const Country egy = Country(
    alpha2: 'EG',
    alpha3: 'EGY',
    continent: Continent.africa,
    countryCode: '20',
    currencyCode: 'EGP',
    gec: 'EG',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 26.820553,
        longitude: 30.802498,
      ),
      maxCoordinate: Coordinate(
        latitude: 31.8122,
        longitude: 37.0569,
      ),
      minCoordinate: Coordinate(
        latitude: 21.9999999,
        longitude: 24.696775,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 31.8122,
          longitude: 37.0569,
        ),
        southwest: Coordinate(
          latitude: 21.9999999,
          longitude: 24.696775,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'EGY',
    isoLongName: 'The Arab Republic of Egypt',
    isoShortName: 'Egypt',
    languagesOfficial: ['ar'],
    languagesSpoken: ['ar'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Egyptian',
    number: '818',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.africa,
    startOfWeek: Week.sunday,
    subregion: 'Northern Africa',
    unLocode: 'EG',
    unofficialNames: [
      'Egypt',
      'مصر',
      'Ägypten',
      'Égypte',
      'Egipto',
      'エジプト',
      'Egypte'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Egypt",
      "af": "Egipte",
      "ak": "Egypt",
      "am": "ጔብፄ",
      "an": "Egypt",
      "ar": "مصر",
      "as": "মিশ্ৰ",
      "ay": "Egypt",
      "az": "Misir",
      "ba": "Egypt",
      "be": "Егіпет",
      "bg": "Египет",
      "bi": "Egypt",
      "bn": "মিশর",
      "bn_IN": "মিশর",
      "br": "Egipt",
      "bs": "Egipat",
      "ca": "Egipte",
      "ce": "Мисар",
      "ch": "Egypt",
      "cs": "Egypt",
      "cv": "Мисар",
      "cy": "Yr Aifft",
      "da": "Egypten",
      "de": "Ägypten",
      "dv": "މިޞްރު",
      "dz": "ཨི་ཇིབཊི།",
      "ee": "Egypt",
      "el": "Αίγυπτος",
      "en": "Egypt",
      "eo": "Egiptio",
      "es": "Egipto",
      "et": "Egiptus",
      "eu": "Egipto",
      "fa": "مصر",
      "ff": "Egypt",
      "fi": "Egypti",
      "fo": "Egyptaland",
      "fr": "Égypte",
      "fy": "Egypte",
      "ga": "An Éigipt",
      "gl": "Exipto",
      "gn": "Egypt",
      "gu": "ઇજીપ્ત",
      "gv": "Yn Egypt",
      "ha": "Misra",
      "he": "מצרים",
      "hi": "मिस्र",
      "hr": "Egipat",
      "ht": "Ejip",
      "hu": "Egyiptom",
      "hy": "Եգիպտոս",
      "ia": "Egypto",
      "id": "Mesir",
      "io": "Egiptia",
      "is": "Egyptaland",
      "it": "Egitto",
      "iu": "Egypt",
      "ja": "エジプト",
      "ka": "ეგვიპტე",
      "ki": "Egypt",
      "kk": "Мысыр",
      "kl": "Egypt",
      "km": "អេហ្ស៊ីប",
      "kn": "ಈಜಿಪ್ಟ್",
      "ko": "이집트",
      "ku": "Misir",
      "kv": "Египет Араб Республика",
      "kw": "Ejyp",
      "ky": "Египет",
      "lo": "Egypt",
      "lt": "Egiptas",
      "lv": "Ēģipte",
      "mi": "Egypt",
      "mk": "Египет",
      "ml": "ഈജിപ്ത്",
      "mn": "Египт",
      "mr": "इजिप्त",
      "ms": "Mesir",
      "mt": "Eġittu",
      "my": "အီဂျစ်နိုင်ငံ",
      "na": "Idjipt",
      "nb": "Egypt",
      "ne": "इजिप्ट",
      "nl": "Egypte",
      "nn": "Egypt",
      "nv": "Egypt",
      "oc": "Egipte",
      "or": "ମିଶର",
      "pa": "ਮਿਸਰ",
      "pi": "ईजिप्ट",
      "pl": "Egipt",
      "ps": "مصر",
      "pt": "Egito",
      "pt_BR": "Egito",
      "ro": "Egipt",
      "ru": "Египет",
      "rw": "Misiri",
      "sc": "Egitu",
      "sd": "مصر",
      "si": "ඊජිප්තුව",
      "sk": "Egypt",
      "sl": "Egipt",
      "so": "Masar",
      "sq": "Egjipt",
      "sr": "Египат",
      "sv": "Egypten",
      "sw": "Egypt",
      "ta": "எகிப்து",
      "te": "ఈజిప్ట్",
      "tg": "Миср",
      "th": "อียิปต์",
      "ti": "ግብጺ",
      "tk": "Müsür",
      "tl": "Ehipto",
      "tr": "Mısır",
      "tt": "Мысыр",
      "ug": "مىسىر",
      "uk": "Єгипет",
      "ur": "مصر",
      "uz": "Misr",
      "ve": "Egypt",
      "vi": "Ai Cập",
      "wa": "Edjipe",
      "wo": "Ejipt",
      "xh": "Egypt",
      "yo": "Ẹ́gíptì",
      "zh_CN": "埃及",
      "zh_HK": "埃及",
      "zh_TW": "埃及",
      "zu": "IGibhithe"
    },
  );

  /// Country: The Sahrawi Arab Democratic Republic
  static const Country esh = Country(
    alpha2: 'EH',
    alpha3: 'ESH',
    continent: Continent.africa,
    countryCode: '212',
    currencyCode: 'MAD',
    gec: 'WI',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 24.215527,
        longitude: -12.885834,
      ),
      maxCoordinate: Coordinate(
        latitude: 27.7223999,
        longitude: -8.667525,
      ),
      minCoordinate: Coordinate(
        latitude: 20.427,
        longitude: -17.4573001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 27.7223999,
          longitude: -8.667525,
        ),
        southwest: Coordinate(
          latitude: 20.427,
          longitude: -17.4573001,
        ),
      ),
    ),
    internationalPrefix: '',
    ioc: null,
    isoLongName: 'The Sahrawi Arab Democratic Republic',
    isoShortName: 'Western Sahara',
    languagesOfficial: ['es', 'fr'],
    languagesSpoken: ['es', 'fr'],
    nationalDestinationCodeLengths: [],
    nationalNumberLengths: [],
    nationalPrefix: '',
    nationality: 'Sahrawi',
    number: '732',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Northern Africa',
    unLocode: 'EH',
    unofficialNames: [
      'Western Sahara',
      'الصحراء الغربية',
      'Westsahara',
      'Sahara Occidental',
      '西サハラ',
      'Westelijke Sahara'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Western Sahara",
      "af": "Wes-Sahara",
      "ak": "Western Sahara",
      "am": "ሤፅሲባፁ ሳህሲ",
      "an": "Western Sahara",
      "ar": "الصّحراء الغربيّة",
      "as": "পশ্চিম ছাহাৰা",
      "ay": "Western Sahara",
      "az": "Qərbi Saxara",
      "ba": "Western Sahara",
      "be": "Заходняя Сахара",
      "bg": "Западна Сахара",
      "bi": "Western Sahara",
      "bn": "পশ্চীম সাহারা",
      "bn_IN": "পশ্চীম সাহারা",
      "br": "Sahara ar C'hornôg",
      "bs": "Zapadna Sahara",
      "ca": "Sàhara Occidental",
      "ce": "Сахара Iарбойн Халкъа куьйгаллийца йолу Пачхьалкх",
      "ch": "Western Sahara",
      "cs": "Západní Sahara",
      "cv": "Сахара Iарбойн Халкъа куьйгаллийца йолу Пачхьалкх",
      "cy": "Gorllewin Sahara",
      "da": "Vestsahara",
      "de": "Westsahara",
      "dv": "ހުޅަނގު ސަހަރާ",
      "dz": "ཝེསི་ཊན་ ས་ཧ་ར།",
      "ee": "Western Sahara",
      "el": "Δυτική Σαχάρα",
      "en": "Western Sahara",
      "eo": "Okcidenta Saharo",
      "es": "Sahara Occidental",
      "et": "Lääne-Sahara",
      "eu": "Mendebaldeko Sahara",
      "fa": "صحرای غربی",
      "ff": "Western Sahara",
      "fi": "Länsi-Sahara",
      "fo": "Western Sahara",
      "fr": "Sahara occidental",
      "fy": "Westlike Sahara",
      "ga": "An Sahára Thiar",
      "gl": "Sahara Occidental",
      "gn": "Western Sahara",
      "gu": "વેસ્ટર્ન સહારા",
      "gv": "Western Sahara",
      "ha": "Western Sahara",
      "he": "סהרה המערבית",
      "hi": "पश्चिमी सहारा",
      "hr": "Zapadna Sahara",
      "ht": "Sahara oksidantal",
      "hu": "Nyugat-Szahara",
      "hy": "Արեվմտյան Սահարա",
      "ia": "Sahara Occidental",
      "id": "Sahara Barat",
      "io": "Western Sahara",
      "is": "Vestur-Sahara",
      "it": "Sahara occidentale",
      "iu": "Western Sahara",
      "ja": "西サハラ",
      "ka": "დასავლეთი საჰარა",
      "ki": "Western Sahara",
      "kk": "Батыс Сахара",
      "kl": "Western Sahara",
      "km": "សាហារ៉ា​ខាងលិច",
      "kn": "ಪಶ್ಚಿಮ ಸಹಾರಾ",
      "ko": "서사하라",
      "ku": "Sehraya Rojava",
      "kv": "Western Sahara",
      "kw": "Sahara West",
      "ky": "Батыш Сахара",
      "lo": "Western Sahara",
      "lt": "Vakarų Sachara",
      "lv": "Rietumsahāra",
      "mi": "Western Sahara",
      "mk": "Северна Сахара",
      "ml": "പടിഞ്ഞാറന്‍ സഹാറ",
      "mn": "Баруун сахар",
      "mr": "वेस्टर्न सहारा",
      "ms": "Sahara Barat",
      "mt": "Sahara tal-Punent",
      "my": "Western Sahara",
      "na": "Western Sahara",
      "nb": "Vest-Sahara",
      "ne": "पश्चिमी सहारा",
      "nl": "Westelijke Sahara",
      "nn": "Vest-Sahara",
      "nv": "Kéyah Sahééwa Eʼeʼaahjí Siʼánígíí",
      "oc": "Sahara occidental",
      "or": "ପଶ୍ଚିମୀ ସାହାରା",
      "pa": "ਦੱਖਣੀ ਸਹਾਰਾ",
      "pi": "Western Sahara",
      "pl": "Sahara Zachodnia",
      "ps": "Western Sahara",
      "pt": "Saara Ocidental",
      "pt_BR": "Saara Ocidental",
      "ro": "Sahara de Vest",
      "ru": "Западная Сахара",
      "rw": "Sahara y'Uburengerazuba",
      "sc": "Sahara Otzidentale",
      "sd": "Western Sahara",
      "si": "බටහිර සහරාව",
      "sk": "Západná Sahara",
      "sl": "Zahodna Sahara",
      "so": "Western Sahara",
      "sq": "Saharaja Perëndimore",
      "sr": "Западна Сахара",
      "sv": "Västsahara",
      "sw": "Western Sahara",
      "ta": "மேற்கு சஹாரா",
      "te": "వెస్ట్రన్ సహారా",
      "tg": "Сахараи Ғарбӣ",
      "th": "เวสเทิร์นสะฮารา",
      "ti": "ምዕራባዊ ሳህራ",
      "tk": "Günbatar Sahara",
      "tl": "Kanlurang Sahara",
      "tr": "Batı Sahra",
      "tt": "Батыш Саһара",
      "ug": "غەربىي ساخارا",
      "uk": "Західна Сахара",
      "ur": "مغربی صحارا",
      "uz": "Gʻarbiy sahroi kabir",
      "ve": "Western Sahara",
      "vi": "Tây Sa-ha-ra",
      "wa": "Sara Coûtchantrece",
      "wo": "Sahara Oksidantaal",
      "xh": "Western Sahara",
      "yo": "Apáìwọ̀orùn Sàhárà",
      "zh_CN": "西撒哈拉",
      "zh_HK": "西撒哈拉",
      "zh_TW": "西撒哈拉",
      "zu": "Western Sahara"
    },
  );

  /// Country: The State of Eritrea
  static const Country eri = Country(
    alpha2: 'ER',
    alpha3: 'ERI',
    continent: Continent.africa,
    countryCode: '291',
    currencyCode: 'ETB',
    gec: 'ER',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 15.179384,
        longitude: 39.782334,
      ),
      maxCoordinate: Coordinate(
        latitude: 18.0204137,
        longitude: 43.2312,
      ),
      minCoordinate: Coordinate(
        latitude: 12.354723,
        longitude: 36.433348,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 18.0204137,
          longitude: 43.2312,
        ),
        southwest: Coordinate(
          latitude: 12.354723,
          longitude: 36.433348,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'ERI',
    isoLongName: 'The State of Eritrea',
    isoShortName: 'Eritrea',
    languagesOfficial: ['en', 'ar', 'ti'],
    languagesSpoken: ['en', 'ar', 'ti'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: '0',
    nationality: 'Eritrean',
    number: '232',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'ER',
    unofficialNames: ['Eritrea', 'إريتريا', 'Érythrée', 'エリトリア'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Eritrea",
      "af": "Eritreë",
      "ak": "Eritrea",
      "am": "ጔሴትሲ",
      "an": "Eritrea",
      "ar": "إريتريا",
      "as": "এৰিট্ৰিয়া",
      "ay": "Eritrea",
      "az": "Eritre",
      "ba": "Eritrea",
      "be": "Эрытрэя",
      "bg": "Еритрея",
      "bi": "Eritrea",
      "bn": "এরিট্রিয়া",
      "bn_IN": "এরিট্রিয়া",
      "br": "Eritrea",
      "bs": "Eritreja",
      "ca": "Eritrea",
      "ce": "Эритре",
      "ch": "Eritrea",
      "cs": "Eritrea",
      "cv": "Эритре",
      "cy": "Eritrea",
      "da": "Eritrea",
      "de": "Eritrea",
      "dv": "އެރިތުރިއާ",
      "dz": "ཨི་རི་ཊི།",
      "ee": "Eritrea",
      "el": "Ερυθραία",
      "en": "Eritrea",
      "eo": "Eritreo",
      "es": "Eritrea",
      "et": "Eritrea",
      "eu": "Eritrea",
      "fa": "اریتره",
      "ff": "Eritereya",
      "fi": "Eritrea",
      "fo": "Eritrea",
      "fr": "Érythrée",
      "fy": "Eritrea",
      "ga": "An Eiritré",
      "gl": "Eritrea",
      "gn": "Eritrea",
      "gu": "ઇરીટરીઆ",
      "gv": "Eritrea",
      "ha": "Eritrea",
      "he": "אריתריאה",
      "hi": "इरित्रिया",
      "hr": "Eritreja",
      "ht": "Eritre",
      "hu": "Eritrea",
      "hy": "Էրիտրեա",
      "ia": "Eritrea",
      "id": "Eritrea",
      "io": "Eritrea",
      "is": "Erítrea",
      "it": "Eritrea",
      "iu": "Eritrea",
      "ja": "エリトリア国",
      "ka": "ერიტრეა",
      "ki": "Eritrea",
      "kk": "Эритрея",
      "kl": "Eritrea",
      "km": "អេរីទ្រា",
      "kn": "ಎರಿಟ್ರಿಯಾ",
      "ko": "에리트레아",
      "ku": "Erître",
      "kv": "Eritrea",
      "kw": "Eritrea",
      "ky": "Эритрея",
      "lo": "Eritrea",
      "lt": "Eritrėja",
      "lv": "Eritreja",
      "mi": "Eritēria",
      "mk": "Еритреа",
      "ml": "എറിട്രിയ",
      "mn": "Эритрей",
      "mr": "इरित्रीया",
      "ms": "Eritrea",
      "mt": "Eritreja",
      "my": "အီရီထရီးယားနိုင်ငံ",
      "na": "Eritrea",
      "nb": "Eritrea",
      "ne": "एरिट्रिया",
      "nl": "Eritrea",
      "nn": "Eritrea",
      "nv": "Eritrea",
      "oc": "Eritrèa",
      "or": "ଇରୀଟ୍ରିୟା",
      "pa": "ਈਰਟੀਰਆ",
      "pi": "एरिट्रिया",
      "pl": "Erytrea",
      "ps": "اریتره",
      "pt": "Eritreia",
      "pt_BR": "Eritréia",
      "ro": "Eritreea",
      "ru": "Эритрея",
      "rw": "Eritereya",
      "sc": "Eritrea",
      "sd": "Eritrea",
      "si": "එරිත්‍රියා",
      "sk": "Eritrea",
      "sl": "Eritreja",
      "so": "Eratareya",
      "sq": "Eritre",
      "sr": "Еритреја",
      "sv": "Eritrea",
      "sw": "Eritrea",
      "ta": "எரிட்ரேயா",
      "te": "ఇరిత్రీయా",
      "tg": "Эритрея",
      "th": "เอริเทรีย",
      "ti": "ኤርትራ",
      "tk": "Eritreýa",
      "tl": "Eritrea",
      "tr": "Eritre",
      "tt": "Еритреа",
      "ug": "ئېرىترېيە",
      "uk": "Еритрея",
      "ur": "اریتریا",
      "uz": "Eritreya",
      "ve": "Eritrea",
      "vi": "Ê-ri-tơ-rê-a",
      "wa": "Eritrêye",
      "wo": "Eriteeri",
      "xh": "Eritrea",
      "yo": "Ẹritrẹ́à",
      "zh_CN": "厄立特里亚",
      "zh_HK": "厄立特里亞",
      "zh_TW": "厄利垂亞",
      "zu": "I-Eritrea"
    },
  );

  /// Country: The Kingdom of Spain
  static const Country esp = Country(
    alpha2: 'ES',
    alpha3: 'ESP',
    continent: Continent.europe,
    countryCode: '34',
    currencyCode: 'EUR',
    gec: 'SP',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 40.46366700000001,
        longitude: -3.74922,
      ),
      maxCoordinate: Coordinate(
        latitude: 43.8504,
        longitude: 4.6362,
      ),
      minCoordinate: Coordinate(
        latitude: 27.4985,
        longitude: -18.2648001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 43.8504,
          longitude: 4.6362,
        ),
        southwest: Coordinate(
          latitude: 27.4985,
          longitude: -18.2648001,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'ESP',
    isoLongName: 'The Kingdom of Spain',
    isoShortName: 'Spain',
    languagesOfficial: ['es'],
    languagesSpoken: ['es'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: 'None',
    nationality: 'Spanish',
    number: '724',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Southern Europe',
    unLocode: 'ES',
    unofficialNames: [
      'Spain',
      'Spanien',
      'Espagne',
      'España',
      'スペイン',
      'Spanje'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{region}}
{{country}}''',
    vatRates: VatRates(
      standard: 21.0,
      reduced: [10.0],
      superReduced: 4.0,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Spain",
      "af": "Spanje",
      "ak": "Spain",
      "am": "ስፔን",
      "an": "Spain",
      "ar": "إسبانيا",
      "as": "স্পেইন",
      "ay": "Spain",
      "az": "İspaniya",
      "ba": "Spain",
      "be": "Іспанія",
      "bg": "Испания",
      "bi": "Spain",
      "bn": "স্পেন",
      "bn_IN": "স্পেন",
      "br": "Spagn",
      "bs": "Španija",
      "ca": "Espanya",
      "ce": "Испани",
      "ch": "España",
      "cs": "Španělsko",
      "cv": "Испани",
      "cy": "Sbaen",
      "da": "Spanien",
      "de": "Spanien",
      "dv": "އިސްޕެއިން",
      "dz": "སིཔེན།",
      "ee": "Spain",
      "el": "Ισπανία",
      "en": "Spain",
      "eo": "Hispanio",
      "es": "España",
      "et": "Hispaania",
      "eu": "Espainia",
      "fa": "اسپانیا",
      "ff": "Hispaanya",
      "fi": "Espanja",
      "fo": "Spania",
      "fr": "Espagne",
      "fy": "Spanje",
      "ga": "An Spáinn",
      "gl": "España",
      "gn": "Spain",
      "gu": "સ્પેન",
      "gv": "Yn Spaainey",
      "ha": "An Spàinn",
      "he": "ספרד",
      "hi": "स्पेन",
      "hr": "Španjolska",
      "ht": "Espay",
      "hu": "Spanyolország",
      "hy": "Իսպանիա",
      "ia": "Espania",
      "id": "Spanyol",
      "io": "Hispania",
      "is": "Spánn",
      "it": "Spagna",
      "iu": "ᓯᐸᐃᓐ",
      "ja": "スペイン",
      "ka": "ესპანეთი",
      "ki": "Spain",
      "kk": "Испания",
      "kl": "Spain",
      "km": "អេស្ប៉ាញ",
      "kn": "ಸ್ಪೇನ್",
      "ko": "스페인",
      "ku": "Spanya",
      "kv": "Испания",
      "kw": "Spayn",
      "ky": "Испания",
      "lo": "ປະເທດແອສະປາຍ",
      "lt": "Ispanija",
      "lv": "Spānija",
      "mi": "Pāniora",
      "mk": "Шпанија",
      "ml": "സ്പെയിന്‍",
      "mn": "Испани",
      "mr": "स्पेन",
      "ms": "Sepanyol",
      "mt": "Spanja",
      "my": "စပိန်နိုင်ငံ",
      "na": "Pain",
      "nb": "Spania",
      "ne": "स्पेन",
      "nl": "Spanje",
      "nn": "Spania",
      "nv": "Dibé Diníí Bikéyah",
      "oc": "Espanha",
      "or": "ସ୍ପେନ",
      "pa": "ਸਪੇਨ",
      "pi": "स्पेन",
      "pl": "Hiszpania",
      "ps": "هسپانیه",
      "pt": "Espanha",
      "pt_BR": "Espanha",
      "ro": "Spania",
      "ru": "Испания",
      "rw": "Esipanye",
      "sc": "Ispagna",
      "sd": "اسپين",
      "si": "ස්පාඤ්ඤය",
      "sk": "Španielsko",
      "sl": "Španija",
      "so": "Isbeyn",
      "sq": "Spanjë",
      "sr": "Шпанија",
      "sv": "Spanien",
      "sw": "Spain",
      "ta": "ஸ்பெயின்",
      "te": "స్పెయిన్",
      "tg": "Испания",
      "th": "สเปน",
      "ti": "ስጳኛ",
      "tk": "Ispaniýa",
      "tl": "Espanya",
      "tr": "İspanya",
      "tt": "İспаниа",
      "ug": "ئىسپانىيە",
      "uk": "Іспанія",
      "ur": "ہسپانیہ",
      "uz": "Ispaniya",
      "ve": "Spain",
      "vi": "Tây Ban Nha",
      "wa": "Espagne",
      "wo": "Ispaañ",
      "xh": "Spain",
      "yo": "Spéìn",
      "zh_CN": "西班牙",
      "zh_HK": "西班牙",
      "zh_TW": "西班牙",
      "zu": "ISpeyini"
    },
  );

  /// Country: The Federal Democratic Republic of Ethiopia
  static const Country eth = Country(
    alpha2: 'ET',
    alpha3: 'ETH',
    continent: Continent.africa,
    countryCode: '251',
    currencyCode: 'ETB',
    gec: 'ET',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 9.145000000000001,
        longitude: 40.489673,
      ),
      maxCoordinate: Coordinate(
        latitude: 14.8942141,
        longitude: 48.0010561,
      ),
      minCoordinate: Coordinate(
        latitude: 3.4041369,
        longitude: 32.997734,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 14.8942141,
          longitude: 48.0010561,
        ),
        southwest: Coordinate(
          latitude: 3.4041369,
          longitude: 32.997734,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'ETH',
    isoLongName: 'The Federal Democratic Republic of Ethiopia',
    isoShortName: 'Ethiopia',
    languagesOfficial: ['am'],
    languagesSpoken: ['am'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Ethiopian',
    number: '231',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'ET',
    unofficialNames: [
      'Ethiopia',
      'Äthiopien',
      'Éthiopie',
      'Etiopía',
      'エチオピア',
      'Ethiopië'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Ethiopia",
      "af": "Etiopië",
      "ak": "Ethiopia",
      "am": "ጒት፥ጵ።",
      "an": "Ethiopia",
      "ar": "إثيوبيا",
      "as": "ইথিওপিয়া",
      "ay": "Ethiopia",
      "az": "Efiopiya",
      "ba": "Ethiopia",
      "be": "Эфіопія",
      "bg": "Етиопия",
      "bi": "Ethiopia",
      "bn": "ইথিওপিয়া",
      "bn_IN": "ইথিওপিয়া",
      "br": "Etiopia",
      "bs": "Etiopija",
      "ca": "Etiòpia",
      "ce": "Эфиопи",
      "ch": "Ethiopia",
      "cs": "Etiopie",
      "cv": "Эфиопи",
      "cy": "Ethiopia",
      "da": "Etiopien",
      "de": "Äthiopien",
      "dv": "ޙަބުޝްކަރަ",
      "dz": "ཨི་ཐོ་པི་ཡ།",
      "ee": "Ethiopia",
      "el": "Αιθιοπία",
      "en": "Ethiopia",
      "eo": "Etiopio",
      "es": "Etiopía",
      "et": "Etioopia",
      "eu": "Etiopia",
      "fa": "اتیوپی",
      "ff": "Ethiopia",
      "fi": "Etiopia",
      "fo": "Etiopia",
      "fr": "Éthiopie",
      "fy": "Etioopje",
      "ga": "An Aetóip",
      "gl": "Etiopía",
      "gn": "Ethiopia",
      "gu": "ઇથોપિયા",
      "gv": "Yn Eetoip",
      "ha": "Ethiopia",
      "he": "אתיופיה",
      "hi": "इथियोपिया",
      "hr": "Etiopija",
      "ht": "Etyopi",
      "hu": "Etiópia",
      "hy": "Եթովպիա",
      "ia": "Ethiopia",
      "id": "Ethiopia",
      "io": "Etiopia",
      "is": "Eþíópía",
      "it": "Etiopia",
      "iu": "Ethiopia",
      "ja": "エチオピア",
      "ka": "ეთიოპია",
      "ki": "Ethiopia",
      "kk": "Эфиопия",
      "kl": "Ethiopia",
      "km": "អេត្យូពី",
      "kn": "ಎಥಿಯೋಪಿಯಾ",
      "ko": "에티오피아",
      "ku": "Etîyopya",
      "kv": "Эфиопия",
      "kw": "Ethiopi",
      "ky": "Эфиопия",
      "lo": "ເອທິໂອເປຍ",
      "lt": "Etiopija",
      "lv": "Etiopija",
      "mi": "Etiopia",
      "mk": "Етиопија",
      "ml": "എത്യോപ്യ",
      "mn": "Этопи",
      "mr": "इथिओपिया",
      "ms": "Ethiopia",
      "mt": "Etjopja",
      "my": "အီသီယိုးပီးယားနိုင်ငံ",
      "na": "Itiyopiya",
      "nb": "Etiopia",
      "ne": "इथियोपिया",
      "nl": "Ethiopië",
      "nn": "Etiopia",
      "nv": "Ethiopia",
      "oc": "Etiopia",
      "or": "ଇଥୋପିୟା",
      "pa": "ਈਥੋਪਈਆ",
      "pi": "ईथ्योपिया",
      "pl": "Etiopia",
      "ps": "حبشه",
      "pt": "Etiópia",
      "pt_BR": "Etiópia",
      "ro": "Etiopia",
      "ru": "Эфиопия",
      "rw": "Etiyopiya",
      "sc": "Etiòpia",
      "sd": "Ethiopia",
      "si": "ඉතියෝපියාව",
      "sk": "Etiópia",
      "sl": "Etiopija",
      "so": "Itoobiya",
      "sq": "Etiopi",
      "sr": "Етиопија",
      "sv": "Etiopien",
      "sw": "Ethiopia",
      "ta": "எதியோப்பியா",
      "te": "ఇథియోపియా",
      "tg": "Ҳабашистон",
      "th": "เอธิโอเปีย",
      "ti": "ኢትዮጵያ",
      "tk": "Efiopiýa",
      "tl": "Ethiopia",
      "tr": "Etiyopya",
      "tt": "Ефиопиа",
      "ug": "ئېفىيوپىيە",
      "uk": "Ефіопія",
      "ur": "ایتھوپیا",
      "uz": "Efiopiya",
      "ve": "Ethiopia",
      "vi": "Ê-ti-ô-pi-a",
      "wa": "Etiopeye",
      "wo": "Ecoopi",
      "xh": "Ethiopia",
      "yo": "Ethiópíà",
      "zh_CN": "埃塞俄比亚",
      "zh_HK": "埃塞俄比亞",
      "zh_TW": "衣索比亞",
      "zu": "I-Ithiopia"
    },
  );

  /// Country: The Republic of Finland
  static const Country fin = Country(
    alpha2: 'FI',
    alpha3: 'FIN',
    continent: Continent.europe,
    countryCode: '358',
    currencyCode: 'EUR',
    gec: 'FI',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 61.92410999999999,
        longitude: 25.7481511,
      ),
      maxCoordinate: Coordinate(
        latitude: 70.0922932,
        longitude: 31.5870999,
      ),
      minCoordinate: Coordinate(
        latitude: 59.693623,
        longitude: 20.4565002,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 70.0922932,
          longitude: 31.5870999,
        ),
        southwest: Coordinate(
          latitude: 59.693623,
          longitude: 20.4565002,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'FIN',
    isoLongName: 'The Republic of Finland',
    isoShortName: 'Finland',
    languagesOfficial: ['fi', 'sv'],
    languagesSpoken: ['fi', 'sv'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Finnish',
    number: '246',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Northern Europe',
    unLocode: 'FI',
    unofficialNames: ['Finland', 'Finnland', 'Finlande', 'Finlandia', 'フィンランド'],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 24.0,
      reduced: [10.0, 14.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Finland",
      "af": "Finland",
      "ak": "Finland",
      "am": "ፑንሒን፥",
      "an": "Finland",
      "ar": "فنلندا",
      "as": "ফিনলেণ্ড",
      "ay": "Finland",
      "az": "Finlandiya",
      "ba": "Finland",
      "be": "Фінляндыя",
      "bg": "Финландия",
      "bi": "Finland",
      "bn": "ফিনল্যান্ড",
      "bn_IN": "ফিনল্যান্ড",
      "br": "Finland",
      "bs": "Finska",
      "ca": "Finlàndia",
      "ce": "Финлянди",
      "ch": "Finlandia",
      "cs": "Finsko",
      "cv": "Финлянди",
      "cy": "Y Ffindir",
      "da": "Finland",
      "de": "Finnland",
      "dv": "ފިންލޭންޑު",
      "dz": "ཕིན་ལེནཌི།",
      "ee": "Finland",
      "el": "Φινλανδία",
      "en": "Finland",
      "eo": "Finnlando",
      "es": "Finlandia",
      "et": "Soome",
      "eu": "Finlandia",
      "fa": "فنلاند",
      "ff": "Finland",
      "fi": "Suomi",
      "fo": "Finnland",
      "fr": "Finlande",
      "fy": "Finlân",
      "ga": "An Fhionlainn",
      "gl": "Finlandia",
      "gn": "Finland",
      "gu": "ફિનલેન્ડ",
      "gv": "Finnlynn",
      "ha": "Finland",
      "he": "פינלנד",
      "hi": "फ़िनलैण्ड",
      "hr": "Finska",
      "ht": "Fenlann",
      "hu": "Finnország",
      "hy": "Ֆինլանդիա",
      "ia": "Finlandia",
      "id": "Finlandia",
      "io": "Finlando",
      "is": "Finnland",
      "it": "Finlandia",
      "iu": "ᐃᓐᓚᓐᑦ",
      "ja": "フィンランド",
      "ka": "ფინეთი",
      "ki": "Finland",
      "kk": "Финляндия",
      "kl": "Finland",
      "km": "ហ្វាំងឡង់",
      "kn": "ಫಿನ್ಲಂಡ್",
      "ko": "핀란드",
      "ku": "Fînlandiya",
      "kv": "Суоми Му",
      "kw": "Pow Finn",
      "ky": "Финляндия",
      "lo": "ປະເທດແຟງລັງ",
      "lt": "Suomija",
      "lv": "Somija",
      "mi": "Hinerangi",
      "mk": "Финска",
      "ml": "ഫിന്‍ലന്‍ഡ്",
      "mn": "Финнлянд",
      "mr": "फिनलॅंड",
      "ms": "Finland",
      "mt": "Finlandja",
      "my": "ဖင်လန်နိုင်ငံ",
      "na": "Pinrand",
      "nb": "Finland",
      "ne": "फिन्ल्यान्ड",
      "nl": "Finland",
      "nn": "Finland",
      "nv": "Nahoditsʼǫʼłání Dineʼé Bikéyah",
      "oc": "Finlàndia",
      "or": "ଫିନଲ୍ଯାଣ୍ଡ",
      "pa": "ਫ਼ਿਨਲੈਂਡ",
      "pi": "फिन्लैंड",
      "pl": "Finlandia",
      "ps": "فنلینډ",
      "pt": "Finlândia",
      "pt_BR": "Finlândia",
      "ro": "Finlanda",
      "ru": "Финляндия",
      "rw": "Finilande",
      "sc": "Finlàndia",
      "sd": "فن لينڊ",
      "si": "ෆින්ලන්තය",
      "sk": "Fínsko",
      "sl": "Finska",
      "so": "Fiinlaand",
      "sq": "Finlandë",
      "sr": "Финска",
      "sv": "Finland",
      "sw": "Finland",
      "ta": "பின்லாந்து",
      "te": "ఫిన్‌లాండ్",
      "tg": "Финляндия",
      "th": "ฟินแลนด์",
      "ti": "ፊንላንድ",
      "tk": "Finlýandiýa",
      "tl": "Finland",
      "tr": "Finlandiya",
      "tt": "Финланд (Суоми)",
      "ug": "فىنلاندىيە",
      "uk": "Фінляндія",
      "ur": "فن لینڈ",
      "uz": "Finlandiya",
      "ve": "Finland",
      "vi": "Phần Lan",
      "wa": "Finlande",
      "wo": "Finlaand",
      "xh": "Finland",
      "yo": "Fínlándì",
      "zh_CN": "芬兰",
      "zh_HK": "芬蘭",
      "zh_TW": "芬蘭",
      "zu": "IFinlandi"
    },
  );

  /// Country: The Republic of Fiji
  static const Country fji = Country(
    alpha2: 'FJ',
    alpha3: 'FJI',
    continent: Continent.australia,
    countryCode: '679',
    currencyCode: 'FJD',
    gec: 'FJ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -17.713371,
        longitude: 178.065032,
      ),
      maxCoordinate: Coordinate(
        latitude: -12.2084957,
        longitude: -177.8686523,
      ),
      minCoordinate: Coordinate(
        latitude: -20.8998713,
        longitude: 176.7919922,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -12.2084957,
          longitude: -177.8686523,
        ),
        southwest: Coordinate(
          latitude: -20.8998713,
          longitude: 176.7919922,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'FIJ',
    isoLongName: 'The Republic of Fiji',
    isoShortName: 'Fiji',
    languagesOfficial: ['en', 'fj', 'hi', 'ur'],
    languagesSpoken: ['en', 'fj', 'hi', 'ur'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Fijian',
    number: '242',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Melanesia',
    unLocode: 'FJ',
    unofficialNames: ['Fiji', 'Fidschi', 'Fidji', 'フィジー'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Fiji",
      "af": "Fidji",
      "ak": "Fiji",
      "am": "ፑጂ",
      "an": "Fiji",
      "ar": "فيجي",
      "as": "ফিজি",
      "ay": "Fiji",
      "az": "Fici",
      "ba": "Fiji",
      "be": "Фіджы",
      "bg": "Фиджи",
      "bi": "Fiji",
      "bn": "ফিজি",
      "bn_IN": "ফিজি",
      "br": "Fidji",
      "bs": "Fidži",
      "ca": "Fiji",
      "ce": "Фиджи",
      "ch": "Fiji",
      "cs": "Fidži",
      "cv": "Фиджи",
      "cy": "Ffiji",
      "da": "Fiji",
      "de": "Fidschi",
      "dv": "ފިޖީ",
      "dz": "ཕི་ཇི།",
      "ee": "Fiji",
      "el": "Φίτζι",
      "en": "Fiji",
      "eo": "Fiĝioj",
      "es": "Fiyi",
      "et": "Fidži",
      "eu": "Fiji",
      "fa": "فیجی",
      "ff": "Fiiji",
      "fi": "Fidži",
      "fo": "Fiji",
      "fr": "Fidji",
      "fy": "Fidzjy",
      "ga": "Fidsí",
      "gl": "Fixi",
      "gn": "Fiji",
      "gu": "ફીજી",
      "gv": "Fiji",
      "ha": "Fiji",
      "he": "פיג'י",
      "hi": "फ़िजी",
      "hr": "Fidži",
      "ht": "Fidji",
      "hu": "Fidzsi-szigetek",
      "hy": "Ֆիջի",
      "ia": "Fiji",
      "id": "Fiji",
      "io": "Fidji",
      "is": "Fídjieyjar",
      "it": "Figi",
      "iu": "Fiji",
      "ja": "フィジー",
      "ka": "ფიჯი",
      "ki": "Fiji",
      "kk": "Фиджи",
      "kl": "Fiji",
      "km": "ហ្វីហ្ស៊ី",
      "kn": "ಫಿಜಿ",
      "ko": "피지",
      "ku": "Fîjî",
      "kv": "Fiji",
      "kw": "Fiji",
      "ky": "Фижи",
      "lo": "Fiji",
      "lt": "Fidžis",
      "lv": "Fidži",
      "mi": "Fiji",
      "mk": "Фиџи",
      "ml": "ഫിജി",
      "mn": "Фижи",
      "mr": "फिजी",
      "ms": "Fiji",
      "mt": "Fiġi",
      "my": "ဖီဂျီနိုင်ငံ",
      "na": "Bidji",
      "nb": "Fiji",
      "ne": "फिजी",
      "nl": "Fiji",
      "nn": "Fiji",
      "nv": "Fiji",
      "oc": "Fiji",
      "or": "ଫିଜୀ",
      "pa": "ਫਿਜ਼ੀ",
      "pi": "फिजी",
      "pl": "Fidżi",
      "ps": "Fiji",
      "pt": "Fiji",
      "pt_BR": "Fiji",
      "ro": "Fiji",
      "ru": "Фиджи",
      "rw": "Fiji",
      "sc": "Fiji",
      "sd": "فجي",
      "si": "ෆීජි",
      "sk": "Fidži",
      "sl": "Fidži",
      "so": "Fiji",
      "sq": "Fixhi",
      "sr": "Фиџи",
      "sv": "Fiji",
      "sw": "Fiji",
      "ta": "பிஜி",
      "te": "ఫిజీ",
      "tg": "Фиҷи",
      "th": "ฟิจิ",
      "ti": "ፊጂ",
      "tk": "Fiji",
      "tl": "Fiji",
      "tr": "Fiji",
      "tt": "Фижи",
      "ug": "فىجى",
      "uk": "Фіджі",
      "ur": "فجی",
      "uz": "Fiji",
      "ve": "Fiji",
      "vi": "Phi-gi",
      "wa": "Fidji",
      "wo": "Fiiji",
      "xh": "Fiji",
      "yo": "Fíjì",
      "zh_CN": "斐济",
      "zh_HK": "斐濟羣島",
      "zh_TW": "斐濟",
      "zu": "IFiji"
    },
  );

  /// Country: The Falkland Islands
  static const Country flk = Country(
    alpha2: 'FK',
    alpha3: 'FLK',
    continent: Continent.southAmerica,
    countryCode: '500',
    currencyCode: 'FKP',
    gec: 'FK',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -51.796253,
        longitude: -59.523613,
      ),
      maxCoordinate: Coordinate(
        latitude: -50.9809115,
        longitude: -57.6768495,
      ),
      minCoordinate: Coordinate(
        latitude: -52.4744161,
        longitude: -61.3792419,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -50.9809115,
          longitude: -57.6768495,
        ),
        southwest: Coordinate(
          latitude: -52.4744161,
          longitude: -61.3792419,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'The Falkland Islands',
    isoShortName: 'Falkland Islands (Malvinas)',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [5],
    nationalPrefix: 'None',
    nationality: 'Falkland Islander',
    number: '238',
    postalCode: true,
    postalCodeFormat: r'FIQQ 1ZZ',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'South America',
    unLocode: 'FK',
    unofficialNames: [
      'Falkland Islands',
      'Falklandinseln',
      'Îles Malouines',
      'Islas Malvinas',
      'フォークランド（マルビナス）諸島',
      'Falklandeilanden [Islas Malvinas]'
    ],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Falkland Islands (Malvinas)",
      "af": "Falklandeilande (Malvinas)",
      "ak": "Falkland Islands (Malvinas)",
      "am": "Falkland Islands (Malvinas)",
      "an": "Falkland Islands (Malvinas)",
      "ar": "جزر فولكلاند (مالفيناس)",
      "as": "ফাকলেণ্ড দ্বীপ (মাল্‌ভিনাছ)",
      "ay": "Falkland Islands (Malvinas)",
      "az": "Fokland Adaları (Malvin)",
      "ba": "Falkland Islands (Malvinas)",
      "be": "Фалклендскія астравы (Мальвіны)",
      "bg": "Фолклендски Острови (Малвини)",
      "bi": "Falkland Islands (Malvinas)",
      "bn": "ফল্কল্যান্ড দ্বীপপুঞ্জ (মালভিনাস)",
      "bn_IN": "ফল্কল্যান্ড দ্বীপপুঞ্জ (মালভিনাস)",
      "br": "Falkland Islands (Malvinas)",
      "bs": "Falklandsko otočje",
      "ca": "Illes Malvines (Falkland)",
      "ce": "Falkland Islands (Malvinas)",
      "ch": "Falkland Islands (Malvinas)",
      "cs": "Falkandské ostrovy (Malvíny)",
      "cv": "Falkland Islands (Malvinas)",
      "cy": "Ynysoedd y Falklands (Malvinas)",
      "da": "Falklandsøerne (Malvinas)",
      "de": "Falklandinseln (Malwinen)",
      "dv": "Falkland Islands (Malvinas)",
      "dz": "ཕཱལཀ་ལེནཌི་ མཚོ་གླིང་ (མཱལ་ཝི་ནཱསི)",
      "ee": "Falkland Islands (Malvinas)",
      "el": "Νήσοι Φώκλαντ (Μαλβίνες)",
      "en": "Falkland Islands (Malvinas)",
      "eo": "Falklandoj (Malvinoj)",
      "es": "Islas Falkland (Malvinas)",
      "et": "Falklandi saared",
      "eu": "Falkland uharteak (Malvina uharteak)",
      "fa": "جزایر فالکلند(مالویناس)",
      "ff": "Falkland Islands (Malvinas)",
      "fi": "Falklandinsaaret",
      "fo": "Falkland Islands (Malvinas)",
      "fr": "Malouines, Îles (Falkland)",
      "fy": "Falkland Islands (Malvinas)",
      "ga": "Oileáin Fháclainne (Malvinas)",
      "gl": "Illas Falkland (Malvinas)",
      "gn": "Falkland Islands (Malvinas)",
      "gu": "ફોકલેન્ડ ટાપુઓ (માલ્વિનસ)",
      "gv": "Falkland Islands (Malvinas)",
      "ha": "Falkland Islands (Malvinas)",
      "he": "איי פוקלנד",
      "hi": "फॉकलैंड आइलैंड्स (मालविनास)",
      "hr": "Falklandski otoci",
      "ht": "Falkland Islands (Malvinas)",
      "hu": "Falkland-szigetek (Malvinas)",
      "hy": "Ֆոլկլոնդյան Կղզիներ",
      "ia": "Insulas Falkland (Malvinas)",
      "id": "Kepulauan Falkland (Malvinas)",
      "io": "Falkland Islands (Malvinas)",
      "is": "Falklandseyjar (Malvinaeyjar)",
      "it": "Isole Falkland (Malvine)",
      "iu": "Falkland Islands (Malvinas)",
      "ja": "フォークランド諸島 (マルビナス)",
      "ka": "ფოლკლენდის კუნძულები",
      "ki": "Falkland Islands (Malvinas)",
      "kk": "Фолкленд (Мальвин) аралдары",
      "kl": "Falkland Islands (Malvinas)",
      "km": "កោះ​ហ្វ៉កឡង់ (ម៉ាល់វីណា)",
      "kn": "ಫಾಕ್‍ಲ್ಯಾಂಡ್ ದ್ವೀಪಗಳು(ಮಾಲ್ವಿನಾಸ್)",
      "ko": "포클랜드 제도 (말비나스)",
      "ku": "Giravên Falkland (Malvin)",
      "kv": "Falkland Islands (Malvinas)",
      "kw": "Falkland Islands (Malvinas)",
      "ky": "Фолкленд (Мальвин) аралдары",
      "lo": "Falkland Islands (Malvinas)",
      "lt": "Folklando (Malvinų) salos",
      "lv": "Folklenda (Malvinu) salas",
      "mi": "Falkland Islands (Malvinas)",
      "mk": "Фокландски острови (Малвини)",
      "ml": "ഫാക്‍ലാന്‍ഡ് ദ്വീപുകള്‍ (മാള്‍വിനാസ്)",
      "mn": "Falkland Islands (Malvinas)",
      "mr": "फाल्कन आयलॅंडस्(माल्विनास)",
      "ms": "Kepulauan Falkland (Malvinas)",
      "mt": "Falkland Islands (Malvinas)",
      "my": "Falkland Islands (Malvinas)",
      "na": "Falkland Islands (Malvinas)",
      "nb": "Falklandsøyene",
      "ne": "फकल्याण्ड टापु (Malvinas)",
      "nl": "Falklandeilanden",
      "nn": "Falklandsøyane",
      "nv": "Falkland Islands (Malvinas)",
      "oc": "Illas Falkand (Malvinas)",
      "or": "ଫାଲ୍କଲ୍ଯାଣ୍ଡ ଦ୍ବୀପ(ମାଲ୍ଭିନାସ)",
      "pa": "ਫਾਕਲੈਂਡ ਟਾਪੂ (ਮਾਲਵੀਨਸ)",
      "pi": "Falkland Islands (Malvinas)",
      "pl": "Falklandy (Malwiny)",
      "ps": "Falkland Islands (Malvinas)",
      "pt": "Ilhas Falkland (Malvinas)",
      "pt_BR": "Ilhas Malvinas (Falkland)",
      "ro": "Insulele Falkland (Insulele Malvine)",
      "ru": "Фолклендские (Мальвинские) острова",
      "rw": "Ibirwa bya Folukilande (Maluvinasi)",
      "sc": "Ìsulas Falkland (Malvinas)",
      "sd": "Falkland Islands (Malvinas)",
      "si": "ෆෝක්ලන්ඩ් දූපත් (මැල්විනා)",
      "sk": "Falklandy (Malvíny)",
      "sl": "Falklandski otoki",
      "so": "Falkland Islands (Malvinas)",
      "sq": "Ishujt Falkland (Malvinas)",
      "sr": "Фолкландска острва (Малвини)",
      "sv": "Falklandsöarna (Malvinas)",
      "sw": "Falkland Islands (Malvinas)",
      "ta": "பாக்லான்ட் தீவுகள் (மால்வினாஸ்)",
      "te": "ఫాల్కలంద్ ఐలాండ్స్(మాల్వినాస్)",
      "tg": "Ҷазираҳои Фолкленд (Малвин)",
      "th": "หมู่เกาะฟอล์กแลนด์ (มาลบีนาส)",
      "ti": "Falkland Islands (Malvinas)",
      "tk": "Folklend (Malwin) adalary",
      "tl": "Falkland Islands (Malvinas)",
      "tr": "Falkland Adaları (Malvinas)",
      "tt": "Фалкланд Утравлары (Малвиннар)",
      "ug": "فالكلاند تاقىم ئاراللىرى (مالۋىناس)",
      "uk": "Фолклендські острови (Британія)",
      "ur": "Falkland Islands (Malvinas)",
      "uz": "Falkland Islands (Malvinas)",
      "ve": "Falkland Islands (Malvinas)",
      "vi": "Quần Đảo Phoa-kh-lận-đợ (Man-vi-na)",
      "wa": "Iyes Malouwines",
      "wo": "Iil yu Falkland (Malvinas)",
      "xh": "Falkland Islands (Malvinas)",
      "yo": "Falkland Islands (Malvinas)",
      "zh_CN": "福克兰群岛(马尔维纳斯)",
      "zh_HK": "福克蘭羣島",
      "zh_TW": "福克蘭群島 (馬維娜斯)",
      "zu": "Falkland Islands (Malvinas)"
    },
  );

  /// Country: The Federated States of Micronesia
  static const Country fsm = Country(
    alpha2: 'FM',
    alpha3: 'FSM',
    continent: Continent.australia,
    countryCode: '691',
    currencyCode: 'USD',
    gec: 'FM',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 7.425554,
        longitude: 150.550812,
      ),
      maxCoordinate: Coordinate(
        latitude: 10.2770863,
        longitude: 163.5177612,
      ),
      minCoordinate: Coordinate(
        latitude: 0.1538084,
        longitude: 136.9226075,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 10.2770863,
          longitude: 163.5177612,
        ),
        southwest: Coordinate(
          latitude: 0.1538084,
          longitude: 136.9226075,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'FSM',
    isoLongName: 'The Federated States of Micronesia',
    isoShortName: 'Micronesia (Federated States of)',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: '1',
    nationality: 'Micronesian',
    number: '583',
    postalCode: true,
    postalCodeFormat: r'(9694[1-4])(?:[ \-](\d{4}))?',
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Micronesia',
    unLocode: 'FM',
    unofficialNames: [
      'Micronesia',
      'Mikronesien',
      'Micronésie',
      'ミクロネシア連邦',
      'Micronesië'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Micronesia, Federated States of",
      "af": "Mikronesië, Gefedereerde State van",
      "ak": "Micronesia, Federated States of",
      "am": "ሡጤስኔፒ።",
      "an": "Micronesia, Federated States of",
      "ar": "ميكرونيزيا، ولايات ميكرونيزيا الموحّدة",
      "as": "মাইক্ৰোনেছিয়া যুক্তৰাষ্ট্ৰ",
      "ay": "Micronesia, Federated States of",
      "az": "Micronesia, Federated States of",
      "ba": "Micronesia, Federated States of",
      "be": "Мікранезія, Федэратыўныя Штаты",
      "bg": "Микронезия, Обединени щати",
      "bi": "Micronesia, Federated States of",
      "bn": "মাইক্রোনেশিয়া যুক্তরাষ্ট্র",
      "bn_IN": "মাইক্রোনেশিয়া যুক্তরাষ্ট্র",
      "br": "Micronesia, Federated States of",
      "bs": "Federalne Države Mikronezije",
      "ca": "Micronèsia, Estats Federats de",
      "ce": "Micronesia, Federated States of",
      "ch": "Micronesia, Federated States of",
      "cs": "Mikronésie, federativní státy",
      "cv": "Micronesia, Federated States of",
      "cy": "Micronesia, Taleithiau Cyfunol",
      "da": "Mikronesiens Forenede Stater",
      "de": "Mikronesien, Föderierte Staaten von",
      "dv": "Micronesia, Federated States of",
      "dz": "མི་ཀོ་རོ་་ནི་སིཡཱ་ སྤྱི་མཐུན་རྒྱལ་ཁབ།",
      "ee": "Micronesia, Federated States of",
      "el": "Μικρονησία, Ομόσπονδες Πολιτείες της",
      "en": "Micronesia, Federated States of",
      "eo": "Mikronezio, Federaciaj Ŝtatoj de",
      "es": "Micronesia, Estados Federados de",
      "et": "Mikroneesia",
      "eu": "Mikronesia, Estatu Federatuak",
      "fa": "میکرونزی، ایالات فدرال",
      "ff": "Micronesia, Federated States of",
      "fi": "Mikronesian liittovaltio",
      "fo": "Micronesia, Federated States of",
      "fr": "Micronésie, États fédérés de",
      "fy": "Micronesia, Federated States of",
      "ga": "An Mhicrinéis",
      "gl": "Micronesia, Estados Federados de",
      "gn": "Micronesia, Federated States of",
      "gu": "માઇક્રોનેશિયા, ફેડરસ સ્ટેટ્સ ઓફ",
      "gv": "Micronesia, Federated States of",
      "ha": "Micronesia, Federated States of",
      "he": "מיקרונזיה",
      "hi": "माइक्रोनीसिया, फेडेरेटड स्टेट्स ऑफ",
      "hr": "Mikronezija, Savezne Države",
      "ht": "Micronesia, Federated States of",
      "hu": "Mikronézia, Államszövetség",
      "hy": "Միկրոնեզիայի Ֆեդերային Պետություն",
      "ia": "Micronesia",
      "id": "Federasi Negara-negara Micronesia",
      "io": "Micronesia, Federated States of",
      "is": "Míkrónesía, Sambandsríki",
      "it": "Micronesia",
      "iu": "Micronesia, Federated States of",
      "ja": "ミクロネシア連邦",
      "ka": "მიკრონეზიის ფედერალური შტატები",
      "ki": "Micronesia, Federated States of",
      "kk": "Микронезия",
      "kl": "Micronesia, Federated States of",
      "km": "​មីក្រូណេស៊ី​ រដ្ឋ​សហព័ន្ថ​នៃ",
      "kn": "Micronesia, Federated States of",
      "ko": "미크로네시아 연방",
      "ku": "Mîkronesya, Dewletên Federal yên",
      "kv": "Micronesia, Federated States of",
      "kw": "Micronesia, Federated States of",
      "ky": "Микронезия Федерация Штаттары",
      "lo": "Micronesia, Federated States of",
      "lt": "Mikronezijos Federacinės Valstijos",
      "lv": "Mikronēzijas",
      "mi": "Micronesia, Federated States of",
      "mk": "Микронезија",
      "ml": "മൈക്രോനേഷ്യ, ഫെഡറേറ്റഡ് സ്റ്റേറ്റ്സ് ഓഫ്",
      "mn": "Micronesia, Federated States of",
      "mr": "मायक्रोनेशिया, फेडरेटेड स्टेटस ऑफ",
      "ms": "Micronesia, Federated States of",
      "mt": "Micronesia, Federated States of",
      "my": "Micronesia, Federated States of",
      "na": "Micronesia, Federated States of",
      "nb": "Mikronesia, Føderasjonen",
      "ne": "मिक्रोनेसियाको संघिय राज्यहरू",
      "nl": "Micronesia",
      "nn": "Mikronesiaføderasjonen",
      "nv": "Micronesia, Federated States of",
      "oc": "Micronesia, Estats Federats de",
      "or": "ମାଇକ୍ରୋନେସିୟା",
      "pa": "ਮਾਈਕਰੋਨੇਸਿਆ, ਸੰਘ",
      "pi": "Micronesia, Federated States of",
      "pl": "Mikronezja",
      "ps": "Micronesia, Federated States of",
      "pt": "Estados Federados da Micronésia",
      "pt_BR": "Estados Federados da Micronésia",
      "ro": "Micronesia, Statele federale ale",
      "ru": "Федеративные Штаты Микронезии",
      "rw": "Mikoronesiya, Leta Zishyizehamwe za",
      "sc": "Micronèsia, Istados Federados de",
      "sd": "Micronesia, Federated States of",
      "si": "මයික්‍රෝසියා ෆෙඩරල් ජනපද",
      "sk": "Mikronézske federatívne štáty",
      "sl": "Mikronezija",
      "so": "Micronesia, Federated States of",
      "sq": "Mikronezi, Shtetet Federative të",
      "sr": "Микронезија, Федералне Државе",
      "sv": "Mikronesien, federala staterna",
      "sw": "Micronesia, Federated States of",
      "ta": "மைக்ரோனிஸியா கூட்டு நாடுகள்",
      "te": "మైక్రోనేశియా, ఫెడరేటేడ్ స్టేట్స ఆఫ్",
      "tg": "Иёлоти Федеративии Микронезия",
      "th": "ไมโครนีเซีย",
      "ti": "Micronesia, Federated States of",
      "tk": "Mikroneziýa federatiw ştatlary",
      "tl": "Micronesia, Federated States of",
      "tr": "Mikronezya Federe Devletleri",
      "tt": "Микронесиа, Берләшкән İлләре",
      "ug": "مىكرونېزىيە فېدېراتسىيەسى",
      "uk": "Мікронезія, федеративні штати",
      "ur": "Micronesia, Federated States of",
      "uz": "Micronesia, Federated States of",
      "ve": "Micronesia, Federated States of",
      "vi": "Mi-khợ-rô-nê-xi-a, Liên Bang",
      "wa": "Micronezeye",
      "wo": "Mikroneesi, Etaa yuñu Federe yu",
      "xh": "Micronesia, Federated States of",
      "yo": "Micronesia, Federated States of",
      "zh_CN": "密克罗尼西亚",
      "zh_HK": "密克羅尼西亞聯邦",
      "zh_TW": "密克羅尼西亞聯邦",
      "zu": "Micronesia, Federated States of"
    },
  );

  /// Country: The Faroe Islands
  static const Country fro = Country(
    alpha2: 'FO',
    alpha3: 'FRO',
    continent: Continent.europe,
    countryCode: '298',
    currencyCode: 'DKK',
    gec: 'FO',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 61.89263500000001,
        longitude: -6.9118061,
      ),
      maxCoordinate: Coordinate(
        latitude: 62.4310742,
        longitude: -6.190796,
      ),
      minCoordinate: Coordinate(
        latitude: 61.3677776,
        longitude: -7.7178956,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 62.4310742,
          longitude: -6.190796,
        ),
        southwest: Coordinate(
          latitude: 61.3677776,
          longitude: -7.7178956,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'FRO',
    isoLongName: 'The Faroe Islands',
    isoShortName: 'Faroe Islands',
    languagesOfficial: ['fo'],
    languagesSpoken: ['fo'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [6],
    nationalPrefix: 'None',
    nationality: 'Faroese',
    number: '234',
    postalCode: true,
    postalCodeFormat: r'\d{3}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Northern Europe',
    unLocode: 'FO',
    unofficialNames: [
      'Faroe Islands',
      'Färöer-Inseln',
      'Îles Féroé',
      'Islas Faroe',
      'フェロー諸島',
      'Faeröer'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Faroe Islands",
      "af": "Faroëreilande",
      "ak": "Faroe Islands",
      "am": "Faroe Islands",
      "an": "Faroe Islands",
      "ar": "جزر الفارو",
      "as": "ফাৰো দ্বীপপুঞ্জ",
      "ay": "Faroe Islands",
      "az": "Faro Adaları",
      "ba": "Faroe Islands",
      "be": "Фарэрскія астравы",
      "bg": "Острови Фаро",
      "bi": "Faroe Islands",
      "bn": "ফ্যারো দ্বীপপুঞ্জ",
      "bn_IN": "ফ্যারো দ্বীপপুঞ্জ",
      "br": "Faero",
      "bs": "Farska ostrva",
      "ca": "Illes Fèroe",
      "ce": "Фарерийн гІайренаш",
      "ch": "Faroe Islands",
      "cs": "Faerské ostrovy",
      "cv": "Фарерийн гІайренаш",
      "cy": "Ynysoedd y Ffaro",
      "da": "Færøerne",
      "de": "Färöer-Inseln",
      "dv": "ފަރޮއޭ ޖަޒީރާ",
      "dz": "ཕ་རོའི་ ཨའི་ལེནཌིསི།",
      "ee": "Faroe Islands",
      "el": "Νησιά Φερόε",
      "en": "Faroe Islands",
      "eo": "Ferooj",
      "es": "Islas Feroe",
      "et": "Fääri saared",
      "eu": "Faroe uharteak",
      "fa": "جزایر فارو",
      "ff": "Faroe Islands",
      "fi": "Färsaaret",
      "fo": "Føroyar",
      "fr": "Îles Féroé",
      "fy": "Faeröer",
      "ga": "Oileáin Fharó",
      "gl": "Illas Feroe",
      "gn": "Faroe Islands",
      "gu": "ફારો ટાપુઓ",
      "gv": "Ellanyn ny Geyrragh",
      "ha": "Faroe Islands",
      "he": "איי פארו",
      "hi": "फ़रो द्वीपसमूह",
      "hr": "Farski otoci",
      "ht": "Faroe Islands",
      "hu": "Feröer",
      "hy": "Ֆարերյան կղզիներ",
      "ia": "Insulas Feroe",
      "id": "Kepulauan Faroe",
      "io": "Faero",
      "is": "Færeyjar",
      "it": "Isole Fær Øer",
      "iu": "Faroe Islands",
      "ja": "フェロー諸島",
      "ka": "ფაროეს კუნძულები",
      "ki": "Faroe Islands",
      "kk": "Фарер аралдары",
      "kl": "Faroe Islands",
      "km": "កោះ​ហ្វារ៉ូ",
      "kn": "ಪರೋ ದ್ವೀಪಗಳು",
      "ko": "페로 제도",
      "ku": "Giravên Faroye",
      "kv": "Фарер діяс",
      "kw": "Ynysow Faroe",
      "ky": "Фарер аралдары",
      "lo": "Faroe Islands",
      "lt": "Farerų salos",
      "lv": "Fēru salas",
      "mi": "Moutere Faroe",
      "mk": "Фаројски острови",
      "ml": "ഫറവോ ദ്വീപുകള്‍",
      "mn": "Фарерын арлууд",
      "mr": "फेरो आयलॅंडस्",
      "ms": "Kepulauan Faroe",
      "mt": "Gżejjer Faroe",
      "my": "Faroe Islands",
      "na": "Faroe Islands",
      "nb": "Færøyene",
      "ne": "फारो टापु",
      "nl": "Faeröer",
      "nn": "Færøyane",
      "nv": "Faroe Islands",
      "oc": "Illas Feròe",
      "or": "ଫାରୋ ଦ୍ବୀପପୁଞ୍ଜ",
      "pa": "ਫਾਰੀਓ ਟਾਪੂ",
      "pi": "Faroe Islands",
      "pl": "Wyspy Owcze",
      "ps": "Faroe Islands",
      "pt": "Ilhas Faroé",
      "pt_BR": "Ilhas Faroe",
      "ro": "Insulele Feroe",
      "ru": "Фарерские острова",
      "rw": "Ibirwa bya Farowe",
      "sc": "Ìsulas Føroyar",
      "sd": "Faroe Islands",
      "si": "ෆාරෝ දූපත්",
      "sk": "Faerské ostrovy",
      "sl": "Ferski otoki",
      "so": "Jasiiradaha Feroe",
      "sq": "Ishujt Faroe",
      "sr": "Фарска острва",
      "sv": "Färöarna",
      "sw": "Faroe Islands",
      "ta": "பேரோ தீவுகள்",
      "te": "ఫేరో ఐలాండ్స్",
      "tg": "Ҷазираҳои Форуй",
      "th": "หมู่เกาะแฟโร",
      "ti": "Faroe Islands",
      "tk": "Farer adalary",
      "tl": "Faroe Islands",
      "tr": "Faroe Adaları",
      "tt": "Фарое Утравлары",
      "ug": "فائېرو تاقىم ئاراللىرى (دانىيە)",
      "uk": "Фарерські острови",
      "ur": "جزائرفارو",
      "uz": "Farer orollari",
      "ve": "Faroe Islands",
      "vi": "Quần đảo Pha-rô",
      "wa": "Iyes Faeroyé",
      "wo": "Iil yu Faarow",
      "xh": "Faroe Islands",
      "yo": "Àwọn Erékùṣù Fàróè",
      "zh_CN": "法罗群岛",
      "zh_HK": "法羅羣島",
      "zh_TW": "法羅群島",
      "zu": "Faroe Islands"
    },
  );

  /// Country: The French Republic
  static const Country fra = Country(
    alpha2: 'FR',
    alpha3: 'FRA',
    continent: Continent.europe,
    countryCode: '33',
    currencyCode: 'EUR',
    gec: 'FR',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 46.227638,
        longitude: 2.213749,
      ),
      maxCoordinate: Coordinate(
        latitude: 51.1241999,
        longitude: 9.6624999,
      ),
      minCoordinate: Coordinate(
        latitude: 41.31433,
        longitude: -5.5591,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 51.1241999,
          longitude: 9.6624999,
        ),
        southwest: Coordinate(
          latitude: 41.31433,
          longitude: -5.5591,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'FRA',
    isoLongName: 'The French Republic',
    isoShortName: 'France',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [1],
    nationalNumberLengths: [9, 10],
    nationalPrefix: '0',
    nationality: 'French',
    number: '250',
    postalCode: true,
    postalCodeFormat: r'\d{2} ?\d{3}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Western Europe',
    unLocode: 'FR',
    unofficialNames: [
      'France',
      'Frankreich',
      'the French Republic',
      'フランス',
      'Frankrijk',
      'Francia'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 20.0,
      reduced: [5.5, 10.0],
      superReduced: 2.1,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "France",
      "af": "Frankryk",
      "ak": "France",
      "am": "France",
      "an": "France",
      "ar": "فرنسا",
      "as": "ফ্ইচ্‌লামিকান্স",
      "ay": "France",
      "az": "Fransa",
      "ba": "France",
      "be": "Францыя",
      "bg": "Франция",
      "bi": "France",
      "bn": "ফ্রান্স",
      "bn_IN": "ফ্রান্স",
      "br": "Frañs",
      "bs": "Francuska",
      "ca": "França",
      "ce": "Франци",
      "ch": "Francia",
      "cs": "Francie",
      "cv": "Франци",
      "cy": "Ffrainc",
      "da": "Frankrig",
      "de": "Frankreich",
      "dv": "ފަރަންސޭސިވިލާތް",
      "dz": "ཕརཱནསི།",
      "ee": "France",
      "el": "Γαλλία",
      "en": "France",
      "eo": "Francio",
      "es": "Francia",
      "et": "Prantsusmaa",
      "eu": "Frantzia",
      "fa": "فرانسه",
      "ff": "Faransi",
      "fi": "Ranska",
      "fo": "Frakland",
      "fr": "France",
      "fy": "Frankryk",
      "ga": "An Fhrainc",
      "gl": "Francia",
      "gn": "France",
      "gu": "ફ્રાન્સ",
      "gv": "Yn Rank",
      "ha": "Faransa",
      "he": "צרפת",
      "hi": "फ़्रान्स",
      "hr": "Francuska",
      "ht": "Frans",
      "hu": "Franciaország",
      "hy": "Ֆրանսիա",
      "ia": "Francia",
      "id": "Perancis",
      "io": "Francia",
      "is": "Frakkland",
      "it": "Francia",
      "iu": "France",
      "ja": "フランス",
      "ka": "საფრანგეთი",
      "ki": "Baranja",
      "kk": "Франция",
      "kl": "France",
      "km": "បារាំង",
      "kn": "ಫ್ರಾನ್ಸ್",
      "ko": "프랑스",
      "ku": "Fransa",
      "kv": "Франция",
      "kw": "Pow Frynk",
      "ky": "Франция",
      "lo": "ປະເທດຝະລັ່ງ",
      "lt": "Prancūzija",
      "lv": "Francija",
      "mi": "Wīwī",
      "mk": "Франција",
      "ml": "ഫ്രാന്‍സ്",
      "mn": "Франц",
      "mr": "फ्रान्स",
      "ms": "Perancis",
      "mt": "Franza",
      "my": "ပြင်သစ်နိုင်ငံ",
      "na": "Prant",
      "nb": "Frankrike",
      "ne": "फ्रान्स",
      "nl": "Frankrijk",
      "nn": "Frankrike",
      "nv": "Dáághahii Dinéʼiʼ Bikéyah",
      "oc": "França",
      "or": "ଫ୍ରାନ୍ସ",
      "pa": "ਫਰਾਂਸ",
      "pi": "फ्रांस",
      "pl": "Francja",
      "ps": "فرانسه",
      "pt": "França",
      "pt_BR": "França",
      "ro": "Franța",
      "ru": "Франция",
      "rw": "Ubufaransa",
      "sc": "Frantza",
      "sd": "فرانس",
      "si": "ප්‍රංශය",
      "sk": "Francúzsko",
      "sl": "Francija",
      "so": "Faransiis",
      "sq": "Francë",
      "sr": "Француска",
      "sv": "Frankrike",
      "sw": "Ufaransa",
      "ta": "ஃப்ரான்ஸ்",
      "te": "ఫ్రాన్స్",
      "tg": "Фаронса",
      "th": "ฝรั่งเศส",
      "ti": "ፈረንሳ",
      "tk": "Fransiýa",
      "tl": "Pransya",
      "tr": "Fransa",
      "tt": "Франсиа",
      "ug": "فىرانسىيە",
      "uk": "Франція",
      "ur": "فرانس",
      "uz": "Fransiya",
      "ve": "Fura",
      "vi": "Pháp",
      "wa": "France",
      "wo": "Faraas",
      "xh": "Franisi",
      "yo": "Fránsì",
      "zh_CN": "法国",
      "zh_HK": "法國",
      "zh_TW": "法國",
      "zu": "IFulansi"
    },
  );

  /// Country: The Gabonese Republic
  static const Country gab = Country(
    alpha2: 'GA',
    alpha3: 'GAB',
    continent: Continent.africa,
    countryCode: '241',
    currencyCode: 'XAF',
    gec: 'GB',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -0.803689,
        longitude: 11.609444,
      ),
      maxCoordinate: Coordinate(
        latitude: 2.318109,
        longitude: 14.5269234,
      ),
      minCoordinate: Coordinate(
        latitude: -4.1656,
        longitude: 8.421,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 2.318109,
          longitude: 14.5269234,
        ),
        southwest: Coordinate(
          latitude: -4.1656,
          longitude: 8.421,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'GAB',
    isoLongName: 'The Gabonese Republic',
    isoShortName: 'Gabon',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [6, 7, 8],
    nationalPrefix: 'None',
    nationality: 'Gabonese',
    number: '266',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Middle Africa',
    unLocode: 'GA',
    unofficialNames: ['Gabon', 'Gabun', 'Gabón', 'ガボン'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Gabon",
      "af": "Gaboen",
      "ak": "Gabon",
      "am": "Gabon",
      "an": "Gabon",
      "ar": "الغابون",
      "as": "গেবন",
      "ay": "Gabon",
      "az": "Qabon",
      "ba": "Gabon",
      "be": "Габон",
      "bg": "Габон",
      "bi": "Gabon",
      "bn": "গেবন",
      "bn_IN": "গেবন",
      "br": "Gabon",
      "bs": "Gabon",
      "ca": "Gabon",
      "ce": "Габон",
      "ch": "Gabon",
      "cs": "Gabon",
      "cv": "Габон",
      "cy": "Gabon",
      "da": "Gabon",
      "de": "Gabun",
      "dv": "ގެބޯން",
      "dz": "གེ་བཱོན།",
      "ee": "Gabon",
      "el": "Γκαμπόν",
      "en": "Gabon",
      "eo": "Gabono",
      "es": "Gabón",
      "et": "Gabon",
      "eu": "Gabon",
      "fa": "گابون",
      "ff": "Gabon",
      "fi": "Gabon",
      "fo": "Gabon",
      "fr": "Gabon",
      "fy": "Gabon",
      "ga": "An Ghabúin",
      "gl": "Gabón",
      "gn": "Gabon",
      "gu": "ગેબોન",
      "gv": "Gabon",
      "ha": "Gabon",
      "he": "גבון",
      "hi": "गबॉन",
      "hr": "Gabon",
      "ht": "Gabon",
      "hu": "Gabon",
      "hy": "Գաբոն",
      "ia": "Gabon",
      "id": "Gabon",
      "io": "Gabon",
      "is": "Gabon",
      "it": "Gabon",
      "iu": "Gabon",
      "ja": "ガボン",
      "ka": "გაბონი",
      "ki": "Gabon",
      "kk": "Габон",
      "kl": "Gabon",
      "km": "ហ្គាបុង",
      "kn": "ಗ್ಯಾಬನ್",
      "ko": "가봉",
      "ku": "Gabon",
      "kv": "Gabon",
      "kw": "Gabon",
      "ky": "Габон",
      "lo": "Gabon",
      "lt": "Gabonas",
      "lv": "Gabona",
      "mi": "Kāpona",
      "mk": "Габон",
      "ml": "ഗാബോണ്‍",
      "mn": "Габон",
      "mr": "गॅबॉन",
      "ms": "Gabon",
      "mt": "Gabon",
      "my": "ဂါဘွန်နိုင်ငံ",
      "na": "Gabun",
      "nb": "Gabon",
      "ne": "गाबोन",
      "nl": "Gabon",
      "nn": "Gabon",
      "nv": "Gabon",
      "oc": "Gabon",
      "or": "ଗୈବୋନ",
      "pa": "ਗਾਬੋਨ",
      "pi": "गाबोन",
      "pl": "Gabon",
      "ps": "گابون",
      "pt": "Gabão",
      "pt_BR": "Gabão",
      "ro": "Gabon",
      "ru": "Габон",
      "rw": "Gabo",
      "sc": "Gabòn",
      "sd": "گيبون",
      "si": "ගාබෝන්",
      "sk": "Gabon",
      "sl": "Gabon",
      "so": "Gabon",
      "sq": "Gabon",
      "sr": "Габон",
      "sv": "Gabon",
      "sw": "Gabon",
      "ta": "கபோன்",
      "te": "గెబాన్",
      "tg": "Габон",
      "th": "กาบอง",
      "ti": "Gabon",
      "tk": "Gabon",
      "tl": "Gabon",
      "tr": "Gabon",
      "tt": "Gабон",
      "ug": "گابون",
      "uk": "Габон",
      "ur": "گیبون",
      "uz": "Gabon",
      "ve": "Gabon",
      "vi": "Ga-bon",
      "wa": "Gabon",
      "wo": "Gaboŋ",
      "xh": "Gabon",
      "yo": "Gàbọ̀n",
      "zh_CN": "加蓬",
      "zh_HK": "加蓬",
      "zh_TW": "加彭",
      "zu": "IGaboni"
    },
  );

  /// Country: The United Kingdom of Great Britain and Northern Ireland
  static const Country gbr = Country(
    alpha2: 'GB',
    alpha3: 'GBR',
    continent: Continent.europe,
    countryCode: '44',
    currencyCode: 'GBP',
    gec: 'UK',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 55.378051,
        longitude: -3.435973,
      ),
      maxCoordinate: Coordinate(
        latitude: 60.91569999999999,
        longitude: 1.68153079591,
      ),
      minCoordinate: Coordinate(
        latitude: 49.959999905,
        longitude: -7.57216793459,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 60.91569999999999,
          longitude: 1.68153079591,
        ),
        southwest: Coordinate(
          latitude: 49.959999905,
          longitude: -7.57216793459,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'GBR',
    isoLongName: 'The United Kingdom of Great Britain and Northern Ireland',
    isoShortName: 'United Kingdom of Great Britain and Northern Ireland',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [10, 11],
    nationalPrefix: '0',
    nationality: 'British',
    number: '826',
    postalCode: true,
    postalCodeFormat:
        r'GIR ?0AA|(?:(?:AB|AL|B|BA|BB|BD|BF|BH|BL|BN|BR|BS|BT|BX|CA|CB|CF|CH|CM|CO|CR|CT|CV|CW|DA|DD|DE|DG|DH|DL|DN|DT|DY|E|EC|EH|EN|EX|FK|FY|G|GL|GY|GU|HA|HD|HG|HP|HR|HS|HU|HX|IG|IM|IP|IV|JE|KA|KT|KW|KY|L|LA|LD|LE|LL|LN|LS|LU|M|ME|MK|ML|N|NE|NG|NN|NP|NR|NW|OL|OX|PA|PE|PH|PL|PO|PR|RG|RH|RM|S|SA|SE|SG|SK|SL|SM|SN|SO|SP|SR|SS|ST|SW|SY|TA|TD|TF|TN|TQ|TR|TS|TW|UB|W|WA|WC|WD|WF|WN|WR|WS|WV|YO|ZE)(?:\d[\dA-Z]? ?\d[ABD-HJLN-UW-Z]{2}))|BFPO ?\d{1,4}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Northern Europe',
    unLocode: 'GB',
    unofficialNames: [
      'United Kingdom',
      'The United Kingdom',
      'England',
      'Großbritannien',
      'Vereinigtes Königreich',
      'Royaume-Uni',
      'Reino Unido',
      'イギリス',
      'Verenigd Koninkrijk',
      'Great Britain (UK)',
      'UK',
      'Великобритания',
      'Velká Británie',
      'İngiltere',
      'Великобританія'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{city}}
{{region}}
{{postalcode}}
{{country}}''',
    vatRates: VatRates(
      standard: 20.0,
      reduced: [5.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: false,
    euMember: false,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "United Kingdom",
      "af": "Verenidge Koninkryk",
      "ak": "United Kingdom",
      "am": "ጕንጔሑፔ",
      "an": "United Kingdom",
      "ar": "المملكة المتحدة",
      "as": "যুক্তৰাজ্য",
      "ay": "United Kingdom",
      "az": "United Kingdom",
      "ba": "United Kingdom",
      "be": "Злучанае Каралеўства",
      "bg": "Обединено кралство",
      "bi": "United Kingdom",
      "bn": "যুক্তরাজ্য",
      "bn_IN": "যুক্তরাজ্য",
      "br": "Rouantelezh-Unanet",
      "bs": "Velika Britanija",
      "ca": "Regne Unit",
      "ce": "Йоккха Британи",
      "ch": "United Kingdom",
      "cs": "Spojené království",
      "cv": "Йоккха Британи",
      "cy": "Y Deyrnas Unedig",
      "da": "Storbritannien",
      "de": "Vereinigtes Königreich",
      "dv": "ޔުނައިޓެޑް ކިންގްޑަމް",
      "dz": "ཡུ་ནའི་ཊེཊ་ ཀིང་ཌོམ།",
      "ee": "United Kingdom",
      "el": "Ηνωμένο Βασίλειο",
      "en": "United Kingdom",
      "eo": "Britio",
      "es": "Reino Unido",
      "et": "Suurbritannia",
      "eu": "Erresuma Batua",
      "fa": "انگلستان",
      "ff": "Biritaani-Mawndi",
      "fi": "Yhdistynyt kuningaskunta",
      "fo": "United Kingdom",
      "fr": "Royaume-Uni",
      "fy": "Grut-Brittanje",
      "ga": "An Ríocht Aontaithe",
      "gl": "Reino Unido",
      "gn": "United Kingdom",
      "gu": "યુનાઇટેડ કિંગડમ",
      "gv": "Reeriaght Unnaneysit",
      "ha": "Birtaniya",
      "he": "הממלכה המאוחדת",
      "hi": "यूनाइटेड किंगडम",
      "hr": "Ujedinjeno Kraljevstvo",
      "ht": "Wayòm Ini",
      "hu": "Egyesült Királyság",
      "hy": "Մեծ Բրիտանիա",
      "ia": "Regno Unite",
      "id": "Britania Raya",
      "io": "Unionita Rejio",
      "is": "Bretland",
      "it": "Regno Unito",
      "iu": "ᑐᓗᐃᑦ ᓄᓈᑦ",
      "ja": "英国",
      "ka": "გაერთიანებული სამეფო",
      "ki": "United Kingdom",
      "kk": "Ұлыбритания",
      "kl": "United Kingdom",
      "km": "ចក្រភព​អង់គ្លេស",
      "kn": "ಯುನೈಟೆಡ್ ಕಿಂಗ್ಡಮ್",
      "ko": "영국",
      "ku": "Şahitiya Yekbuyî",
      "kv": "Ыджыд Британия",
      "kw": "Ruwvaneth Unys",
      "ky": "Улуу Британия",
      "lo": "ສະຫະລາຊະອານາຈັກ",
      "lt": "Jungtinė Karalystė",
      "lv": "Lielbritānija",
      "mi": "Kīngitanga Kotahi",
      "mk": "Велика Британија",
      "ml": "യുണൈറ്റഡ് കിങ്ഡം",
      "mn": "Нэгдсэн Вант Улс",
      "mr": "युनायटेड किंगडम",
      "ms": "United Kingdom",
      "mt": "Ingilterra",
      "my": "ယူနိုက်တက် ကင်းဒမ်း",
      "na": "Ingerand",
      "nb": "Storbritannia",
      "ne": "संयुक्त अधिराज्य",
      "nl": "Verenigd Koninkrijk",
      "nn": "Storbritannia",
      "nv": "Tó Táʼ Dinéʼiʼ Bikéyah",
      "oc": "Reialme Unit",
      "or": "ଯୁକ୍ତ ରାଜ୍ଯ",
      "pa": "ਬਰਤਾਨੀਆ",
      "pi": "United Kingdom",
      "pl": "Wielka Brytania",
      "ps": "برتانیه",
      "pt": "Reino Unido",
      "pt_BR": "Reino Unido",
      "ro": "Regatul Unit",
      "ru": "Соединённое Королевство",
      "rw": "Ubwongereza (UK)",
      "sc": "Rennu Unidu",
      "sd": "United Kingdom",
      "si": "එක්සත් රාජධානිය",
      "sk": "Spojené kráľovstvo",
      "sl": "Združeno kraljestvo",
      "so": "Midowga boqortooyada Britan",
      "sq": "Mbretëria e Bashkuar",
      "sr": "Уједињено Краљевство",
      "sv": "Storbritannien",
      "sw": "United Kingdom",
      "ta": "ஐக்கிய இராஜ்ஜியம்",
      "te": "యునైటెడ్ కింగ్‌డమ్",
      "tg": "Шоҳигарии Муттаҳида",
      "th": "สหราชอาณาจักร",
      "ti": "ብሪጣንያ",
      "tk": "Birleşen Patyşalyk",
      "tl": "Nagkaisang Kaharian",
      "tr": "Birleşik Krallık",
      "tt": "Берләшкән Падшаһлык",
      "ug": "ئەنگلىيە",
      "uk": "Велика Британія",
      "ur": "برطانیہ",
      "uz": "Birlashgan Qirollik",
      "ve": "United Kingdom",
      "vi": "Vương Quốc Anh Thống Nhất",
      "wa": "Rweyåme Uni",
      "wo": "Ruwaayom bu Bennoo",
      "xh": "United Kingdom",
      "yo": "Ilẹ̀ọba Aṣọ̀kan",
      "zh_CN": "英国",
      "zh_HK": "英國",
      "zh_TW": "英國",
      "zu": "Umbuso Ohlangeneyo"
    },
  );

  /// Country: Grenada
  static const Country grd = Country(
    alpha2: 'GD',
    alpha3: 'GRD',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'XCD',
    gec: 'GJ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 12.1165,
        longitude: -61.67899999999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 12.5367,
        longitude: -61.3746999,
      ),
      minCoordinate: Coordinate(
        latitude: 11.9829051,
        longitude: -61.80589999999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 12.5367,
          longitude: -61.3746999,
        ),
        southwest: Coordinate(
          latitude: 11.9829051,
          longitude: -61.80589999999999,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'GRN',
    isoLongName: 'Grenada',
    isoShortName: 'Grenada',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Grenadian',
    number: '308',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'GD',
    unofficialNames: ['Grenada', 'グレナダ'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1473',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Grenada",
      "af": "Grenada",
      "ak": "Grenada",
      "am": "Grenada",
      "an": "Grenada",
      "ar": "غرينادا",
      "as": "গ্ৰেনাডা",
      "ay": "Grenada",
      "az": "Qrenada",
      "ba": "Grenada",
      "be": "Грэнада",
      "bg": "Гренада",
      "bi": "Grenada",
      "bn": "গ্রেনাডা",
      "bn_IN": "গ্রেনাডা",
      "br": "Grenada",
      "bs": "Grenada",
      "ca": "Grenada",
      "ce": "Гренада",
      "ch": "Grenada",
      "cs": "Grenada",
      "cv": "Гренада",
      "cy": "Grenada",
      "da": "Grenada",
      "de": "Grenada",
      "dv": "ގެރެންޑާ",
      "dz": "གིརི་ན་ཌ།",
      "ee": "Grenada",
      "el": "Γρενάδα",
      "en": "Grenada",
      "eo": "Grenado",
      "es": "Granada",
      "et": "Grenada",
      "eu": "Grenada",
      "fa": "گرانادا",
      "ff": "Grenada",
      "fi": "Grenada",
      "fo": "Grenada",
      "fr": "Grenade",
      "fy": "Grenada",
      "ga": "Grenada",
      "gl": "Granada",
      "gn": "Grenada",
      "gu": "ગ્રેનેડા",
      "gv": "Grenada",
      "ha": "Grenada",
      "he": "גרנדה",
      "hi": "ग्रेनाडा",
      "hr": "Grenada",
      "ht": "Grenad",
      "hu": "Grenada",
      "hy": "Գրենադա",
      "ia": "Grenada",
      "id": "Grenada",
      "io": "Grenada",
      "is": "Grenada",
      "it": "Grenada",
      "iu": "Grenada",
      "ja": "グレナダ",
      "ka": "გრენადა",
      "ki": "Grenada",
      "kk": "Гренада",
      "kl": "Grenada",
      "km": "ហ្គ្រីណាដា",
      "kn": "ಗ್ರೆನಡಾ",
      "ko": "그레나다",
      "ku": "Girava Grenada",
      "kv": "Гренада",
      "kw": "Grenayd",
      "ky": "Гренада",
      "lo": "Grenada",
      "lt": "Grenada",
      "lv": "Grenāda",
      "mi": "Grenada",
      "mk": "Гренада",
      "ml": "ഗ്രനഡ",
      "mn": "Гренда",
      "mr": "ग्रेनेडा",
      "ms": "Grenada",
      "mt": "Grenada",
      "my": "ဂရီနေဒါနိုင်ငံ",
      "na": "Grenada",
      "nb": "Grenada",
      "ne": "ग्रिनाडा",
      "nl": "Grenada",
      "nn": "Grenada",
      "nv": "Grenada",
      "oc": "Granada",
      "or": "ଗ୍ରେନେଡା",
      "pa": "ਗਰੀਨਾਡਾਆ",
      "pi": "ग्रेनाडा",
      "pl": "Grenada",
      "ps": "ګرېنادا",
      "pt": "Granada",
      "pt_BR": "Granada",
      "ro": "Grenada",
      "ru": "Гренада",
      "rw": "Gerenada",
      "sc": "Grenada",
      "sd": "Grenada",
      "si": "ග්‍රෙනාඩා",
      "sk": "Grenada",
      "sl": "Grenada",
      "so": "Giriinaada",
      "sq": "Grenadë",
      "sr": "Гренада",
      "sv": "Grenada",
      "sw": "Grenada",
      "ta": "கிரனாடா",
      "te": "గ్రేనేడా",
      "tg": "Гренада",
      "th": "เกรนาดา",
      "ti": "Grenada",
      "tk": "Grenada",
      "tl": "Grenada",
      "tr": "Grenada",
      "tt": "Gренада",
      "ug": "گىرېنادا",
      "uk": "Гренада",
      "ur": "گریناڈا",
      "uz": "Grenada",
      "ve": "Grenada",
      "vi": "Gợ-rê-na-đa",
      "wa": "Grenåde",
      "wo": "Grenada",
      "xh": "Grenada",
      "yo": "Grẹ̀nádà",
      "zh_CN": "格林纳达",
      "zh_HK": "格林納達",
      "zh_TW": "格瑞那達",
      "zu": "I-Grenada"
    },
  );

  /// Country: Georgia
  static const Country geo = Country(
    alpha2: 'GE',
    alpha3: 'GEO',
    continent: Continent.asia,
    countryCode: '995',
    currencyCode: 'GEL',
    gec: 'GG',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 42.315407,
        longitude: 43.35689199999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 43.5866269,
        longitude: 46.7361189,
      ),
      minCoordinate: Coordinate(
        latitude: 41.054942,
        longitude: 39.9792001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 43.5866269,
          longitude: 46.7361189,
        ),
        southwest: Coordinate(
          latitude: 41.054942,
          longitude: 39.9792001,
        ),
      ),
    ),
    internationalPrefix: '810',
    ioc: 'GEO',
    isoLongName: 'Georgia',
    isoShortName: 'Georgia',
    languagesOfficial: ['ka'],
    languagesSpoken: ['ka'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '8*',
    nationality: 'Georgian',
    number: '268',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Western Asia',
    unLocode: 'GE',
    unofficialNames: ['Georgia', 'Georgien', 'Géorgie', 'グルジア', 'Georgië'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Georgia",
      "af": "Georgië",
      "ak": "Georgia",
      "am": "ጆሴጂ።",
      "an": "Georgia",
      "ar": "جورجيا",
      "as": "জৰ্জিয়া",
      "ay": "Georgia",
      "az": "Gürcüstan",
      "ba": "Georgia",
      "be": "Грузія",
      "bg": "Грузия",
      "bi": "Georgia",
      "bn": "জর্জিয়া",
      "bn_IN": "জর্জিয়া",
      "br": "Jorjia",
      "bs": "Gruzija",
      "ca": "Geòrgia",
      "ce": "Гуьржийчоь",
      "ch": "Georgia",
      "cs": "Gruzie",
      "cv": "Гуьржийчоь",
      "cy": "Georgia",
      "da": "Georgien",
      "de": "Georgien",
      "dv": "ޖޯޖިޔާ",
      "dz": "ཇིའོར་ཇི་ཡ།",
      "ee": "Georgia",
      "el": "Γεωργία",
      "en": "Georgia",
      "eo": "Kartvelio",
      "es": "Georgia",
      "et": "Gruusia",
      "eu": "Georgia",
      "fa": "گرجستان",
      "ff": "Jorjiya",
      "fi": "Georgia",
      "fo": "Georgia",
      "fr": "Géorgie",
      "fy": "Geörgje",
      "ga": "An tSeoirsia",
      "gl": "Xeorxia",
      "gn": "Georgia",
      "gu": "જર્યોજિયા",
      "gv": "Yn Çhorshey",
      "ha": "Georgia",
      "he": "גאורגיה",
      "hi": "जॉर्जिया",
      "hr": "Gruzija",
      "ht": "Jeoji",
      "hu": "Grúzia",
      "hy": "Վրաստան",
      "ia": "Georgia",
      "id": "Georgia",
      "io": "Gruzia",
      "is": "Georgía",
      "it": "Georgia",
      "iu": "Georgia",
      "ja": "グルジア",
      "ka": "საქართველო",
      "ki": "Georgia",
      "kk": "Грузия",
      "kl": "Georgia",
      "km": "ហ្សកហ្ស៊ី",
      "kn": "ಜಾರ್ಜಿಯಾ",
      "ko": "조지아",
      "ku": "Gurcistan",
      "kv": "Грузия",
      "kw": "Pow Grouzi",
      "ky": "Грузия",
      "lo": "ປະເທດເຊອັອກຊີ",
      "lt": "Gruzija",
      "lv": "Gruzija",
      "mi": "Hōria",
      "mk": "Грузија",
      "ml": "ജോര്‍ജിയ",
      "mn": "Георги",
      "mr": "जॉर्जिया",
      "ms": "Georgia",
      "mt": "Ġeorġja",
      "my": "ဂျော်ဂျီယာနိုင်ငံ",
      "na": "Djiordjiya",
      "nb": "Georgia",
      "ne": "जर्जिया",
      "nl": "Georgia",
      "nn": "Georgia",
      "nv": "Georgia",
      "oc": "Georgia",
      "or": "ଜାର୍ଜିୟା",
      "pa": "ਜਾਰਜੀਆ",
      "pi": "जार्जिया-देश",
      "pl": "Gruzja",
      "ps": "ګرجستان",
      "pt": "Geórgia",
      "pt_BR": "Geórgia",
      "ro": "Georgia",
      "ru": "Грузия",
      "rw": "Geworigiya",
      "sc": "Geòrgia",
      "sd": "Georgia",
      "si": "ජෝජියාව",
      "sk": "Gruzínsko",
      "sl": "Gruzija",
      "so": "Joorjiya",
      "sq": "Gjeorgji",
      "sr": "Грузија",
      "sv": "Georgien",
      "sw": "Georgia",
      "ta": "ஜார்ஜியா",
      "te": "జార్జియా",
      "tg": "Гурҷистон",
      "th": "จอร์เจีย",
      "ti": "ጆርጂያ",
      "tk": "Gruziýa",
      "tl": "Georgia",
      "tr": "Gürcistan",
      "tt": "Gөрҗестан",
      "ug": "گىرۇزىيە",
      "uk": "Грузія",
      "ur": "جارجیا",
      "uz": "Gurjiston",
      "ve": "Georgia",
      "vi": "Gi-oa-gi-a",
      "wa": "Djeyordjeye",
      "wo": "Jeoorji",
      "xh": "Georgia",
      "yo": "Georgia",
      "zh_CN": "格鲁吉亚",
      "zh_HK": "格魯吉亞",
      "zh_TW": "喬治亞",
      "zu": "Georgia"
    },
  );

  /// Country: Guyane
  static const Country guf = Country(
    alpha2: 'GF',
    alpha3: 'GUF',
    continent: Continent.southAmerica,
    countryCode: '594',
    currencyCode: 'EUR',
    gec: 'FG',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 3.933889,
        longitude: -53.125782,
      ),
      maxCoordinate: Coordinate(
        latitude: 5.9548,
        longitude: -51.6164491,
      ),
      minCoordinate: Coordinate(
        latitude: 2.109287,
        longitude: -54.5544379,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 5.9548,
          longitude: -51.6164491,
        ),
        southwest: Coordinate(
          latitude: 2.109287,
          longitude: -54.5544379,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'Guyane',
    isoShortName: 'French Guiana',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: 'None',
    nationality: 'French Guianan',
    number: '254',
    postalCode: true,
    postalCodeFormat: r'9[78]3\d{2}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'South America',
    unLocode: 'GF',
    unofficialNames: [
      'French Guiana',
      'Französisch Guyana',
      'Guayana Francesa',
      'フランス領ギアナ',
      'Frans-Guyana'
    ],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "French Guiana",
      "af": "Frans-Guyana",
      "ak": "French Guiana",
      "am": "ፘፈረንሳ፤ ጉፁጐና",
      "an": "French Guiana",
      "ar": "غيانا الفرنسيّة",
      "as": "ফ্ৰেঞ্চ গায়ানা",
      "ay": "French Guiana",
      "az": "Fransız Gvineyası",
      "ba": "French Guiana",
      "be": "Французская Гвіяна",
      "bg": "Френска Гвиана",
      "bi": "French Guiana",
      "bn": "ফ্রেঞ্চ গায়ানা",
      "bn_IN": "ফ্রেঞ্চ গায়ানা",
      "br": "Gwiana c'hall",
      "bs": "Francuska Gvajana",
      "ca": "Guaiana Francesa",
      "ce": "Французийн Гвиана",
      "ch": "French Guiana",
      "cs": "Francouzská Guayana",
      "cv": "Французийн Гвиана",
      "cy": "Guiana Ffrangeg",
      "da": "Fransk Guyana",
      "de": "Französisch-Guyana",
      "dv": "ފަރަންސޭސި ގީނާ",
      "dz": "ཕེརེནཆི་ གུའི་ན།",
      "ee": "French Guiana",
      "el": "Γαλλική Γουιάνα",
      "en": "French Guiana",
      "eo": "Franca Gviano",
      "es": "Guayana Francesa",
      "et": "Prantsuse Guajaana",
      "eu": "Guyana Frantsesa",
      "fa": "گویان فرانسه",
      "ff": "French Guiana",
      "fi": "Ranskan Guayana",
      "fo": "French Guiana",
      "fr": "Guyane française",
      "fy": "Frânsk Guyana",
      "ga": "An Ghuáin Fhrancach",
      "gl": "Güiana Francesa",
      "gn": "French Guiana",
      "gu": "ફ્રેન્ચ ગુએના",
      "gv": "French Guiana",
      "ha": "French Guiana",
      "he": "גיאנה הצרפתית",
      "hi": "फ़्रान्सीसी गुयाना",
      "hr": "Francuska Gijana",
      "ht": "Giyàn franse",
      "hu": "Francia Guyana",
      "hy": "Ֆրանսիական Գվիանա",
      "ia": "Guiana Francese",
      "id": "Guyana Perancis",
      "io": "French Guiana",
      "is": "Franska Gvæjana",
      "it": "Guyana francese",
      "iu": "French Guiana",
      "ja": "仏領ギアナ",
      "ka": "ფრანგული გუიანა",
      "ki": "French Guyana",
      "kk": "Француз Гвианасы",
      "kl": "French Guiana",
      "km": "ហ្គូអ៊ីយ៉ាណា​បារាំង",
      "kn": "ಫ್ರೆಂಚ್ ಗಯಾನಾ",
      "ko": "프랑스령 기아나",
      "ku": "Gîneya Fransî",
      "kv": "French Guiana",
      "kw": "Gwayana Frynkek",
      "ky": "Гвиана",
      "lo": "French Guiana",
      "lt": "Prancūzijos Gviana",
      "lv": "Gviāna",
      "mi": "Kaiana Wīwī",
      "mk": "Француска Гвинеја",
      "ml": "ഫ്രഞ്ച് ഗയാന",
      "mn": "Франц гана",
      "mr": "फ्रेंच गियाना",
      "ms": "Guiana Perancis",
      "mt": "Gujana Franċiża",
      "my": "French Guiana",
      "na": "French Guiana",
      "nb": "Fransk Guyana",
      "ne": "फ्रेन्च जिनिया",
      "nl": "Frans-Guyana",
      "nn": "Fransk Guyana",
      "nv": "French Guiana",
      "oc": "Guaiana francesa",
      "or": "ଫ୍ରେଞ୍ଚ ଗୁଆନା",
      "pa": "ਫਰੈਂਚ ਗੁਆਨਾ",
      "pi": "French Guiana",
      "pl": "Gujana Francuska",
      "ps": "French Guiana",
      "pt": "Guiana Francesa",
      "pt_BR": "Guiana Francesa",
      "ro": "Guiana Franceză",
      "ru": "Французская Гвиана",
      "rw": "Guyane Nyamfaransa",
      "sc": "Guyana Frantzesa",
      "sd": "French Guiana",
      "si": "ප්‍රංශ ගිනියාව",
      "sk": "Francúzska Guyana",
      "sl": "Francoska Gvajana",
      "so": "Faransiis Guyana",
      "sq": "Guajana Frënge",
      "sr": "Француска Гвајана",
      "sv": "Franska Guyana",
      "sw": "French Guiana",
      "ta": "ஃப்ரெஞ்ச் கையானா",
      "te": "ఫ్రెంచ్ గియానా",
      "tg": "Гвианаи Фаронса",
      "th": "เฟรนช์เกียนา",
      "ti": "የፈረንሳይ ጉዊአና",
      "tk": "Fransuz Gwiana",
      "tl": "French Guiana",
      "tr": "Fransız Guyanası",
      "tt": "Франс Gуиана",
      "ug": "فىرانسىيەگە قاراشلىق گىۋىيانا",
      "uk": "Французька Гвіана",
      "ur": "فرانسیسی گیانا",
      "uz": "Fransiya Gvianasi",
      "ve": "French Guiana",
      "vi": "Ghi-a-na Pháp",
      "wa": "Guyane francesse",
      "wo": "Guyaana Faraañse",
      "xh": "French Guiana",
      "yo": "Gùyánà Fránsì",
      "zh_CN": "法属圭亚那",
      "zh_HK": "法屬圭亞那",
      "zh_TW": "法屬蓋亞那",
      "zu": "French Guiana"
    },
  );

  /// Country: The Bailiwick of Guernsey
  static const Country ggy = Country(
    alpha2: 'GG',
    alpha3: 'GGY',
    continent: Continent.europe,
    countryCode: '44',
    currencyCode: 'GBP',
    gec: 'GK',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 49.4481982,
        longitude: -2.58949,
      ),
      maxCoordinate: Coordinate(
        latitude: 49.5094108,
        longitude: -2.5016885,
      ),
      minCoordinate: Coordinate(
        latitude: 49.4167199,
        longitude: -2.6745361,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 49.5094108,
          longitude: -2.5016885,
        ),
        southwest: Coordinate(
          latitude: 49.4167199,
          longitude: -2.6745361,
        ),
      ),
    ),
    internationalPrefix: '',
    ioc: null,
    isoLongName: 'The Bailiwick of Guernsey',
    isoShortName: 'Guernsey',
    languagesOfficial: ['en', 'fr'],
    languagesSpoken: ['en', 'fr'],
    nationalDestinationCodeLengths: [],
    nationalNumberLengths: [],
    nationalPrefix: '',
    nationality: 'Channel Islander',
    number: '831',
    postalCode: true,
    postalCodeFormat: r'GY\d[\dA-Z]? ?\d[ABD-HJLN-UW-Z]{2}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Northern Europe',
    unLocode: 'GG',
    unofficialNames: [
      'Guernsey and Alderney',
      'Guernsey und Alderney',
      'Guernsey et Alderney',
      'Guernsey y Alderney',
      'ガーンジー',
      'Guernsey'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Guernsey",
      "af": "Guernsey",
      "ak": "Guernsey",
      "am": "Guernsey",
      "an": "Guernsey",
      "ar": "جزيرة جويرزني",
      "as": "গুয়েৰ্ন্সে",
      "ay": "Guernsey",
      "az": "Guernsey",
      "ba": "Guernsey",
      "be": "Гернсі",
      "bg": "Гърнсей",
      "bi": "Guernsey",
      "bn": "গুয়ের্নসে",
      "bn_IN": "গুয়ের্নসে",
      "br": "Gwernenez",
      "bs": "Gernzi",
      "ca": "Guernsey",
      "ce": "Guernsey",
      "ch": "Guernsey",
      "cs": "Guernsey",
      "cv": "Guernsey",
      "cy": "Guernsey",
      "da": "Guernsey",
      "de": "Guernsey",
      "dv": "ގުއާންސޭ",
      "dz": "གུ་རེན་སེ།",
      "ee": "Guernsey",
      "el": "Γκέρνσεϊ",
      "en": "Guernsey",
      "eo": "Gernezejo",
      "es": "Guernsey",
      "et": "Guernsey",
      "eu": "Guernsey",
      "fa": "گرنزی",
      "ff": "Guernsey",
      "fi": "Guernsey",
      "fo": "Guernsey",
      "fr": "Guernesey",
      "fy": "Guernsey",
      "ga": "Geansaí",
      "gl": "Guernsey",
      "gn": "Guernsey",
      "gu": "ગુર્નસે",
      "gv": "Guernsey",
      "ha": "Guernsey",
      "he": "גרנזי",
      "hi": "ग्वेर्नसे",
      "hr": "Guernsey",
      "ht": "Guernsey",
      "hu": "Guernsey",
      "hy": "Գերնսի",
      "ia": "Guernsey",
      "id": "Guernsey",
      "io": "Guernsey",
      "is": "Guernsey",
      "it": "Guernsey",
      "iu": "Guernsey",
      "ja": "ガーンジー",
      "ka": "გუერნსი",
      "ki": "Guernsey",
      "kk": "Гернси",
      "kl": "Guernsey",
      "km": "Guernsey",
      "kn": "Guernsey",
      "ko": "건지 섬",
      "ku": "Guernsey",
      "kv": "Guernsey",
      "kw": "Gernsi",
      "ky": "Гернси",
      "lo": "Guernsey",
      "lt": "Gernsis",
      "lv": "Gērnsija",
      "mi": "Kōnihi",
      "mk": "Гурнези",
      "ml": "ജേണ്‍സി",
      "mn": "Guernsey",
      "mr": "ग्विर्नसे",
      "ms": "Guernsey",
      "mt": "Guernsey",
      "my": "Guernsey",
      "na": "Guernsey",
      "nb": "Guernsey",
      "ne": "गुइन्सी",
      "nl": "Guernsey",
      "nn": "Guernsey",
      "nv": "Guernsey",
      "oc": "Guernsey",
      "or": "ଗୁୟେର୍ନସୀ",
      "pa": "ਗੁਰੀਨਸੇ",
      "pi": "Guernsey",
      "pl": "Guernsey",
      "ps": "Guernsey",
      "pt": "Guernsey",
      "pt_BR": "Guernsey",
      "ro": "Guernsey",
      "ru": "Гернси",
      "rw": "Guernsey",
      "sc": "Guernsey",
      "sd": "Guernsey",
      "si": "ගුවන්සි",
      "sk": "Guernsey",
      "sl": "Guernsey",
      "so": "Guernsey",
      "sq": "Gërnsi",
      "sr": "Гернси",
      "sv": "Guernsey",
      "sw": "Guernsey",
      "ta": "க்ரென்சி",
      "te": "గ్విర్నసే",
      "tg": "Гернси",
      "th": "เกิร์นซีย์",
      "ti": "Guernsey",
      "tk": "Gernsi",
      "tl": "Guernsey",
      "tr": "Guernsey",
      "tt": "Guernsey",
      "ug": "گېرىنسى",
      "uk": "Острів Гернсі",
      "ur": "گرنزی",
      "uz": "Guernsey",
      "ve": "Guernsey",
      "vi": "Gơnh-xị",
      "wa": "Guernsey",
      "wo": "Guernsey",
      "xh": "Guernsey",
      "yo": "Guernsey",
      "zh_CN": "根西岛",
      "zh_HK": "根息",
      "zh_TW": "根息島",
      "zu": "Guernsey"
    },
  );

  /// Country: The Republic of Ghana
  static const Country gha = Country(
    alpha2: 'GH',
    alpha3: 'GHA',
    continent: Continent.africa,
    countryCode: '233',
    currencyCode: 'GHS',
    gec: 'GH',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 7.946527,
        longitude: -1.023194,
      ),
      maxCoordinate: Coordinate(
        latitude: 11.1750308,
        longitude: 1.199972,
      ),
      minCoordinate: Coordinate(
        latitude: 4.6339001,
        longitude: -3.2607859,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 11.1750308,
          longitude: 1.199972,
        ),
        southwest: Coordinate(
          latitude: 4.6339001,
          longitude: -3.2607859,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'GHA',
    isoLongName: 'The Republic of Ghana',
    isoShortName: 'Ghana',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [5, 6, 7, 8],
    nationalPrefix: 'None',
    nationality: 'Ghanaian',
    number: '288',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Western Africa',
    unLocode: 'GH',
    unofficialNames: ['Ghana', 'ガーナ'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Ghana",
      "af": "Ghana",
      "ak": "Ghana",
      "am": "Ghana",
      "an": "Ghana",
      "ar": "غانا",
      "as": "ঘানা",
      "ay": "Ghana",
      "az": "Qana",
      "ba": "Ghana",
      "be": "Гана",
      "bg": "Гана",
      "bi": "Ghana",
      "bn": "ঘানা",
      "bn_IN": "ঘানা",
      "br": "Ghana",
      "bs": "Gana",
      "ca": "Ghana",
      "ce": "Гана",
      "ch": "Ghana",
      "cs": "Ghana",
      "cv": "Гана",
      "cy": "Ghana",
      "da": "Ghana",
      "de": "Ghana",
      "dv": "ގާނާ",
      "dz": "གྷ་ན།",
      "ee": "Ghana",
      "el": "Γκάνα",
      "en": "Ghana",
      "eo": "Ganao",
      "es": "Ghana",
      "et": "Ghana",
      "eu": "Ghana",
      "fa": "غنا",
      "ff": "Gana",
      "fi": "Ghana",
      "fo": "Ghana",
      "fr": "Ghana",
      "fy": "Gana",
      "ga": "Gána",
      "gl": "Ghana",
      "gn": "Ghana",
      "gu": "ઘાના",
      "gv": "Yn Ghaney",
      "ha": "Ghana",
      "he": "גאנה",
      "hi": "घाना",
      "hr": "Gana",
      "ht": "Gana",
      "hu": "Ghána",
      "hy": "Գանա",
      "ia": "Ghana",
      "id": "Ghana",
      "io": "Ghana",
      "is": "Gana",
      "it": "Ghana",
      "iu": "Ghana",
      "ja": "ガーナ",
      "ka": "განა",
      "ki": "Ghana",
      "kk": "Гана",
      "kl": "Ghana",
      "km": "ហ្គាណា",
      "kn": "ಘಾನಾ",
      "ko": "가나",
      "ku": "Gana",
      "kv": "Ghana",
      "kw": "Ghana",
      "ky": "Гана",
      "lo": "Ghana",
      "lt": "Gana",
      "lv": "Gana",
      "mi": "Kāna",
      "mk": "Гана",
      "ml": "ഘാന",
      "mn": "Гана",
      "mr": "घाना",
      "ms": "Ghana",
      "mt": "Gana",
      "my": "ဂါနာနိုင်ငံ",
      "na": "Gana",
      "nb": "Ghana",
      "ne": "घाना",
      "nl": "Ghana",
      "nn": "Ghana",
      "nv": "Ghana",
      "oc": "Gana",
      "or": "ଘାନା",
      "pa": "ਘਾਨਾ",
      "pi": "घाना",
      "pl": "Ghana",
      "ps": "ګانا",
      "pt": "Gana",
      "pt_BR": "Gana",
      "ro": "Ghana",
      "ru": "Гана",
      "rw": "Gana",
      "sc": "Ghana",
      "sd": "گھانا",
      "si": "ඝානාව",
      "sk": "Ghana",
      "sl": "Gana",
      "so": "Gaana",
      "sq": "Ganë",
      "sr": "Гана",
      "sv": "Ghana",
      "sw": "Ghana",
      "ta": "கானா",
      "te": "ఘనా",
      "tg": "Гана",
      "th": "กานา",
      "ti": "Ghana",
      "tk": "Gana",
      "tl": "Ghana",
      "tr": "Gana",
      "tt": "Gһана",
      "ug": "گانا",
      "uk": "Гана",
      "ur": "گھانا",
      "uz": "Gana",
      "ve": "Ghana",
      "vi": "Ga-na",
      "wa": "Gana",
      "wo": "Gana",
      "xh": "Ghana",
      "yo": "Ghánà",
      "zh_CN": "加纳",
      "zh_HK": "加納",
      "zh_TW": "迦納",
      "zu": "IGana"
    },
  );

  /// Country: Gibraltar
  static const Country gib = Country(
    alpha2: 'GI',
    alpha3: 'GIB',
    continent: Continent.europe,
    countryCode: '350',
    currencyCode: 'GIP',
    gec: 'GI',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 36.140751,
        longitude: -5.353585,
      ),
      maxCoordinate: Coordinate(
        latitude: 36.1551186,
        longitude: -5.334499999999999,
      ),
      minCoordinate: Coordinate(
        latitude: 36.1038999,
        longitude: -5.3721,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 36.1551186,
          longitude: -5.334499999999999,
        ),
        southwest: Coordinate(
          latitude: 36.1038999,
          longitude: -5.3721,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'Gibraltar',
    isoShortName: 'Gibraltar',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Gibraltar',
    number: '292',
    postalCode: true,
    postalCodeFormat: r'GX11 1AA',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Southern Europe',
    unLocode: 'GI',
    unofficialNames: ['Gibraltar', 'ジブラルタル'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Gibraltar",
      "af": "Gibraltar",
      "ak": "Gibraltar",
      "am": "Gibraltar",
      "an": "Gibraltar",
      "ar": "جبل طارق",
      "as": "জিব্ৰাল্টাৰ",
      "ay": "Gibraltar",
      "az": "Gibraltar",
      "ba": "Gibraltar",
      "be": "Гібралтар",
      "bg": "Гибралтар",
      "bi": "Gibraltar",
      "bn": "জিব্রাল্টার",
      "bn_IN": "জিব্রাল্টার",
      "br": "Jibraltar",
      "bs": "Gibraltar",
      "ca": "Gibraltar",
      "ce": "Gibraltar",
      "ch": "Gibraltar",
      "cs": "Gibraltar",
      "cv": "Gibraltar",
      "cy": "Gibraltar",
      "da": "Gibraltar",
      "de": "Gibraltar",
      "dv": "ޖަބަލްޠާރިޤު",
      "dz": "ཇིབ་རཱལ་ཊར།",
      "ee": "Gibraltar",
      "el": "Γιβραλτάρ",
      "en": "Gibraltar",
      "eo": "Ĝibraltaro",
      "es": "Gibraltar",
      "et": "Gibraltar",
      "eu": "Gibraltar",
      "fa": "گیبرالتار",
      "ff": "Gibraltar",
      "fi": "Gibraltar",
      "fo": "Gibraltar",
      "fr": "Gibraltar",
      "fy": "Gibraltar",
      "ga": "Giobráltar",
      "gl": "Xibraltar",
      "gn": "Gibraltar",
      "gu": "જીબ્રાલ્ટર",
      "gv": "Gibraaltar",
      "ha": "Gibraltar",
      "he": "גיברלטר",
      "hi": "जिब्राल्टर",
      "hr": "Gibraltar",
      "ht": "Gibraltar",
      "hu": "Gibraltár",
      "hy": "Ջիբրալթար",
      "ia": "Gibraltar",
      "id": "Gibraltar",
      "io": "Gibraltar",
      "is": "Gíbraltar",
      "it": "Gibilterra",
      "iu": "Gibraltar",
      "ja": "ジブラルタル",
      "ka": "გიბრალტარი",
      "ki": "Gibraltar",
      "kk": "Гибралтар",
      "kl": "Gibraltar",
      "km": "ហ្គីប្រាល់តា",
      "kn": "ಜಿಬ್ರಾಲ್ಟರ್",
      "ko": "지브롤터",
      "ku": "Cebelîtariq",
      "kv": "Gibraltar",
      "kw": "Jibraltar",
      "ky": "Гибралтар",
      "lo": "Gibraltar",
      "lt": "Gibraltaras",
      "lv": "Gibraltārs",
      "mi": "Kāmaka",
      "mk": "Гибралтар",
      "ml": "ജിബ്രാള്‍ട്ടര്‍",
      "mn": "Гибралтар",
      "mr": "जिब्राल्टर",
      "ms": "Gibraltar",
      "mt": "Ġibiltà",
      "my": "ဂျီဘရော်လ်တာ",
      "na": "Gibraltar",
      "nb": "Gibraltar",
      "ne": "गिब्रिलटार",
      "nl": "Gibraltar",
      "nn": "Gibraltar",
      "nv": "Gibraltar",
      "oc": "Gibartar",
      "or": "ଜିବ୍ରାଲଟର",
      "pa": "ਗੀਬਰਾਲਟਰ",
      "pi": "Gibraltar",
      "pl": "Gibraltar",
      "ps": "Gibraltar",
      "pt": "Gibraltar",
      "pt_BR": "Gibraltar",
      "ro": "Gibraltar",
      "ru": "Гибралтар",
      "rw": "Giburalitari",
      "sc": "Gibilterra",
      "sd": "Gibraltar",
      "si": "ජිබෝල්ටා",
      "sk": "Gibraltár",
      "sl": "Gibraltar",
      "so": "Jibraltaar",
      "sq": "Gjibraltar",
      "sr": "Гибралтар",
      "sv": "Gibraltar",
      "sw": "Gibraltar",
      "ta": "கிப்ரால்டர்",
      "te": "జిబ్రాల్టర్",
      "tg": "Гибралтар",
      "th": "ยิบรอลตาร์",
      "ti": "Gibraltar",
      "tk": "Gibraltar",
      "tl": "Gibraltar",
      "tr": "Cebelitarık",
      "tt": "Gибралтар",
      "ug": "جەبىلتارىق",
      "uk": "Гібралтар",
      "ur": "جبل الطارق",
      "uz": "Gibraltar",
      "ve": "Gibraltar",
      "vi": "Gi-boa-tha",
      "wa": "Djibraltar",
      "wo": "Gibraltaar",
      "xh": "Gibraltar",
      "yo": "Gibraltar",
      "zh_CN": "直布罗陀",
      "zh_HK": "直布羅陀",
      "zh_TW": "直布羅陀",
      "zu": "Gibraltar"
    },
  );

  /// Country: Kalaallit Nunaat
  static const Country grl = Country(
    alpha2: 'GL',
    alpha3: 'GRL',
    continent: Continent.northAmerica,
    countryCode: '299',
    currencyCode: 'DKK',
    gec: 'GL',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 71.706936,
        longitude: -42.604303,
      ),
      maxCoordinate: Coordinate(
        latitude: 83.9702561,
        longitude: -8.2617199,
      ),
      minCoordinate: Coordinate(
        latitude: 58.26329,
        longitude: -73.8281196,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 83.9702561,
          longitude: -8.2617199,
        ),
        southwest: Coordinate(
          latitude: 58.26329,
          longitude: -73.8281196,
        ),
      ),
    ),
    internationalPrefix: '009',
    ioc: null,
    isoLongName: 'Kalaallit Nunaat',
    isoShortName: 'Greenland',
    languagesOfficial: ['kl'],
    languagesSpoken: ['kl'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [6],
    nationalPrefix: 'None',
    nationality: 'Greenlandic',
    number: '304',
    postalCode: true,
    postalCodeFormat: r'39\d{2}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Northern America',
    unLocode: 'GL',
    unofficialNames: [
      'Greenland',
      'Grönland',
      'Groenland',
      'Groenlandia',
      'グリーンランド'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Greenland",
      "af": "Groenland",
      "ak": "Greenland",
      "am": "Greenland",
      "an": "Greenland",
      "ar": "غرينلاند",
      "as": "গ্ৰীনলেণ্ড",
      "ay": "Greenland",
      "az": "Qrinland",
      "ba": "Greenland",
      "be": "Грэнландыя",
      "bg": "Гренландия",
      "bi": "Greenland",
      "bn": "গ্রিনল্যান্ড",
      "bn_IN": "গ্রিনল্যান্ড",
      "br": "Greunland",
      "bs": "Grenland",
      "ca": "Groenlàndia",
      "ce": "Гренланди",
      "ch": "Greenland",
      "cs": "Grónsko",
      "cv": "Гренланди",
      "cy": "Greenland",
      "da": "Grønland",
      "de": "Grönland",
      "dv": "ގުރީންލޭންޑު",
      "dz": "གིརིན་ལེནཌི།",
      "ee": "Greenland",
      "el": "Γροιλανδία",
      "en": "Greenland",
      "eo": "Gronlando",
      "es": "Groenlandia",
      "et": "Gröönimaa",
      "eu": "Groenlandia",
      "fa": "گروئنلند",
      "ff": "Greenland",
      "fi": "Grönlanti",
      "fo": "Greenland",
      "fr": "Groënland",
      "fy": "Grienlân",
      "ga": "An Ghraonlainn",
      "gl": "Grenlandia",
      "gn": "Greenland",
      "gu": "ગ્રીનલેન્ડ",
      "gv": "Greenlynn",
      "ha": "Greenland",
      "he": "גרינלנד",
      "hi": "ग्रीनलैण्ड",
      "hr": "Grenland",
      "ht": "Groenlann",
      "hu": "Grönland",
      "hy": "Գրենլանդիա",
      "ia": "Groenlandia",
      "id": "Greenland",
      "io": "Grenlando",
      "is": "Grænland",
      "it": "Groenlandia",
      "iu": "ᐊᑯᑭᑦᑐᑦ",
      "ja": "グリーンランド",
      "ka": "გრინლანდია",
      "ki": "Greenland",
      "kk": "Гренландия",
      "kl": "Greenland",
      "km": "ហ្គ្រីនលែន",
      "kn": "ಗ್ರೀನ್‍ಲ್ಯಾಂಡ್",
      "ko": "그린란드",
      "ku": "Greenland",
      "kv": "Гренландия",
      "kw": "Greunland",
      "ky": "Гренландия",
      "lo": "Greenland",
      "lt": "Grenlandija",
      "lv": "Grenlande",
      "mi": "Greenland",
      "mk": "Гренланд",
      "ml": "ഗ്രീന്‍ ലാന്‍ഡ്",
      "mn": "Греенланд",
      "mr": "ग्रीनलॅंड",
      "ms": "Greenland",
      "mt": "Groenlandja",
      "my": "ဂရင်းလန်ကျွန်း",
      "na": "Greenland",
      "nb": "Grønland",
      "ne": "ग्रिनल्याण्ड",
      "nl": "Groenland",
      "nn": "Grønland",
      "nv": "Haʼaʼaahjí Hakʼaz Dineʼé Bikéyah",
      "oc": "Groenlàndia",
      "or": "ଗ୍ରୀନଲ୍ଯାଣ୍ଡ",
      "pa": "ਗਰੀਨਲੈਂਡ",
      "pi": "Greenland",
      "pl": "Grenlandia",
      "ps": "Greenland",
      "pt": "Gronelândia",
      "pt_BR": "Groenlândia",
      "ro": "Groenlanda",
      "ru": "Гренландия",
      "rw": "Goronulande",
      "sc": "Groenlàndia",
      "sd": "Greenland",
      "si": "ග්‍රීන්ලන්තය",
      "sk": "Grónsko",
      "sl": "Grenlandija",
      "so": "Griinland",
      "sq": "Groenlandë",
      "sr": "Гренланд",
      "sv": "Grönland",
      "sw": "Greenland",
      "ta": "கிரீன்லாந்து",
      "te": "గ్రీన్‌లాండ్",
      "tg": "Гренландия",
      "th": "กรีนแลนด์",
      "ti": "Greenland",
      "tk": "Grenlandiýa",
      "tl": "Lupangluntian",
      "tr": "Grönland",
      "tt": "Gреенланд",
      "ug": "گىرېنلاند",
      "uk": "Ґренландія",
      "ur": "گرین لینڈ",
      "uz": "Grenlandiya",
      "ve": "Greenland",
      "vi": "Đảo Băng",
      "wa": "Groenlande",
      "wo": "Greenland",
      "xh": "Greenland",
      "yo": "Grínlándì",
      "zh_CN": "格陵兰",
      "zh_HK": "格陵蘭",
      "zh_TW": "格陵蘭",
      "zu": "Greenland"
    },
  );

  /// Country: The Republic of The Gambia
  static const Country gmb = Country(
    alpha2: 'GM',
    alpha3: 'GMB',
    continent: Continent.africa,
    countryCode: '220',
    currencyCode: 'GMD',
    gec: 'GA',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 13.443182,
        longitude: -15.310139,
      ),
      maxCoordinate: Coordinate(
        latitude: 13.825058,
        longitude: -13.7913862,
      ),
      minCoordinate: Coordinate(
        latitude: 13.0098999,
        longitude: -16.9464001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 13.825058,
          longitude: -13.7913862,
        ),
        southwest: Coordinate(
          latitude: 13.0098999,
          longitude: -16.9464001,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'GAM',
    isoLongName: 'The Republic of The Gambia',
    isoShortName: 'Gambia',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Gambian',
    number: '270',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Western Africa',
    unLocode: 'GM',
    unofficialNames: ['The Gambia', 'ガンビア'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Gambia",
      "af": "Gambië",
      "ak": "Gambia",
      "am": "ጒሤቢ።",
      "an": "Gambia",
      "ar": "غامبيا",
      "as": "গাম্বিয়া",
      "ay": "Gambia",
      "az": "Qambiya",
      "ba": "Gambia",
      "be": "Гамбія",
      "bg": "Гамбия",
      "bi": "Gambia",
      "bn": "গাম্বিয়া",
      "bn_IN": "গাম্বিয়া",
      "br": "Gambia",
      "bs": "Gambija",
      "ca": "Gàmbia",
      "ce": "Gambia",
      "ch": "Gambia",
      "cs": "Gambie",
      "cv": "Gambia",
      "cy": "Gambia",
      "da": "Gambia",
      "de": "Gambia",
      "dv": "Gambia",
      "dz": "གམ་བོ་ནི་ཡ།",
      "ee": "Gambia",
      "el": "Γκάμπια",
      "en": "Gambia",
      "eo": "Gambio",
      "es": "Gambia",
      "et": "Gambia",
      "eu": "Gambia",
      "fa": "گامبیا",
      "ff": "Gambia",
      "fi": "Gambia",
      "fo": "Gambia",
      "fr": "Gambie",
      "fy": "Gambia",
      "ga": "An Ghaimbia",
      "gl": "Gambia",
      "gn": "Gambia",
      "gu": "ગામ્બિયા",
      "gv": "Gambia",
      "ha": "Gambia",
      "he": "גמביה",
      "hi": "गाम्बिया",
      "hr": "Gambija",
      "ht": "Ganbi",
      "hu": "Gambia",
      "hy": "Գամբիա",
      "ia": "Gambia",
      "id": "Gambia",
      "io": "Gambia",
      "is": "Gambía",
      "it": "Gambia",
      "iu": "Gambia",
      "ja": "ガンビア",
      "ka": "გამბია",
      "ki": "Gambia",
      "kk": "Гамбия",
      "kl": "Gambia",
      "km": "ហ្គាំប៊ី",
      "kn": "ಗ್ಯಾಂಬಿಯಾ",
      "ko": "감비아",
      "ku": "Gambiya",
      "kv": "Gambia",
      "kw": "Gambia",
      "ky": "Гамбия",
      "lo": "Gambia",
      "lt": "Gambija",
      "lv": "Gambija",
      "mi": "Gambia",
      "mk": "Гамбија",
      "ml": "ഗാംബിയ",
      "mn": "Гамби",
      "mr": "गॅंबिया",
      "ms": "Gambia",
      "mt": "Gambia",
      "my": "Gambia",
      "na": "Gambia",
      "nb": "Gambia",
      "ne": "गाम्बीया",
      "nl": "Gambia",
      "nn": "Gambia",
      "nv": "Gambia",
      "oc": "Gàmbia",
      "or": "ଗାମ୍ବିୟା",
      "pa": "ਗਾਬੀਆ",
      "pi": "Gambia",
      "pl": "Gambia",
      "ps": "Gambia",
      "pt": "Gâmbia",
      "pt_BR": "Gâmbia",
      "ro": "Gambia",
      "ru": "Гамбия",
      "rw": "Gambiya",
      "sc": "Gàmbia",
      "sd": "Gambia",
      "si": "ගැම්බියාව",
      "sk": "Gambia",
      "sl": "Gambija",
      "so": "Gambia",
      "sq": "Gambia",
      "sr": "Гамбија",
      "sv": "Gambia",
      "sw": "Gambia",
      "ta": "கம்பியா",
      "te": "గాంబియా",
      "tg": "Гамбия",
      "th": "แกมเบีย",
      "ti": "ጋምቢያ",
      "tk": "Gambiýa",
      "tl": "Gambia",
      "tr": "Gambiya",
      "tt": "Gамбиа",
      "ug": "گامبىيە",
      "uk": "Гамбія",
      "ur": "Gambia",
      "uz": "Gambia",
      "ve": "Gambia",
      "vi": "Găm-bi-a",
      "wa": "Gambeye",
      "wo": "Gaambi",
      "xh": "Gambia",
      "yo": "Gambia",
      "zh_CN": "冈比亚",
      "zh_HK": "岡比亞",
      "zh_TW": "甘比亞",
      "zu": "Gambia"
    },
  );

  /// Country: The Republic of Guinea
  static const Country gin = Country(
    alpha2: 'GN',
    alpha3: 'GIN',
    continent: Continent.africa,
    countryCode: '224',
    currencyCode: 'GNF',
    gec: 'GV',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 9.945587,
        longitude: -9.696645,
      ),
      maxCoordinate: Coordinate(
        latitude: 12.6748616,
        longitude: -7.637853,
      ),
      minCoordinate: Coordinate(
        latitude: 7.190909099999999,
        longitude: -15.282,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 12.6748616,
          longitude: -7.637853,
        ),
        southwest: Coordinate(
          latitude: 7.190909099999999,
          longitude: -15.282,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'GUI',
    isoLongName: 'The Republic of Guinea',
    isoShortName: 'Guinea',
    languagesOfficial: ['fr', 'ff'],
    languagesSpoken: ['fr', 'ff'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Guinean',
    number: '324',
    postalCode: true,
    postalCodeFormat: r'\d{3}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Western Africa',
    unLocode: 'GN',
    unofficialNames: ['Guinea', 'Guinée', 'ギニア', 'Guinee'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Guinea",
      "af": "Guinee",
      "ak": "Guinea",
      "am": "ጊኔ",
      "an": "Guinea",
      "ar": "غينيا",
      "as": "গিনি",
      "ay": "Guinea",
      "az": "Qvineya",
      "ba": "Guinea",
      "be": "Гвінея",
      "bg": "Гвинея",
      "bi": "Guinea",
      "bn": "গিনি",
      "bn_IN": "গিনি",
      "br": "Ginea",
      "bs": "Gvineja",
      "ca": "Guinea",
      "ce": "Гвине",
      "ch": "Guinea",
      "cs": "Guinea",
      "cv": "Гвине",
      "cy": "Guinea",
      "da": "Guinea",
      "de": "Guinea",
      "dv": "ގީނިއާ",
      "dz": "གི་ནི།",
      "ee": "Guinea",
      "el": "Γουινέα",
      "en": "Guinea",
      "eo": "Gvineo",
      "es": "Guinea",
      "et": "Guinea",
      "eu": "Ginea",
      "fa": "گینه",
      "ff": "Gine",
      "fi": "Guinea",
      "fo": "Guinea",
      "fr": "Guinée",
      "fy": "Guinee",
      "ga": "An Ghuine",
      "gl": "Guinea",
      "gn": "Guinea",
      "gu": "ગિએના",
      "gv": "Yn Ghuinea",
      "ha": "Gine",
      "he": "גינאה",
      "hi": "गिनी",
      "hr": "Gvineja",
      "ht": "Gine",
      "hu": "Guinea",
      "hy": "Գվինեա",
      "ia": "Guinea",
      "id": "Guinea",
      "io": "Guinea",
      "is": "Gínea",
      "it": "Guinea",
      "iu": "Guinea",
      "ja": "ギニア",
      "ka": "გვინეა",
      "ki": "Guinea",
      "kk": "Гвинея",
      "kl": "Guinea",
      "km": "ហ្គីណេ",
      "kn": "ಗಿನೀ",
      "ko": "기니",
      "ku": "Gîne",
      "kv": "Guinea",
      "kw": "Gyni",
      "ky": "Гвинея",
      "lo": "Guinea",
      "lt": "Gvinėja",
      "lv": "Gvineja",
      "mi": "Guinea",
      "mk": "Гвинеја",
      "ml": "ഗിനിയ",
      "mn": "Гвиней",
      "mr": "गिनी",
      "ms": "Guinea",
      "mt": "Gineja",
      "my": "ဂီနီနိုင်ငံ",
      "na": "Gini",
      "nb": "Guinea",
      "ne": "जिनिया",
      "nl": "Guinee",
      "nn": "Guinea",
      "nv": "Guinea",
      "oc": "Guinèa",
      "or": "ଗିନୀ",
      "pa": "ਗੂਈਨੀਆ",
      "pi": "गिनी",
      "pl": "Gwinea",
      "ps": "ګیانا",
      "pt": "Guiné",
      "pt_BR": "Guiné",
      "ro": "Guinea",
      "ru": "Гвинея",
      "rw": "Gineya",
      "sc": "Guinea",
      "sd": "Guinea",
      "si": "ගිනියාව",
      "sk": "Guinea",
      "sl": "Gvineja",
      "so": "Gini",
      "sq": "Guine",
      "sr": "Гвинеја",
      "sv": "Guinea",
      "sw": "Guinea",
      "ta": "கினி",
      "te": "గినీ",
      "tg": "Гвинея",
      "th": "กินี",
      "ti": "ጊኒ",
      "tk": "Gwineýa",
      "tl": "Guinea",
      "tr": "Gine",
      "tt": "Gуинеа",
      "ug": "گىۋىنېيە",
      "uk": "Гвінея",
      "ur": "جمہوریہ گنی",
      "uz": "Gvineya",
      "ve": "Guinea",
      "vi": "Ghi-nê",
      "wa": "Guinêye",
      "wo": "Ginne",
      "xh": "Guinea",
      "yo": "Guinea",
      "zh_CN": "几内亚",
      "zh_HK": "畿內亞",
      "zh_TW": "幾內亞",
      "zu": "IGini"
    },
  );

  /// Country: Guadeloupe
  static const Country glp = Country(
    alpha2: 'GP',
    alpha3: 'GLP',
    continent: Continent.northAmerica,
    countryCode: '590',
    currencyCode: 'EUR',
    gec: 'GP',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 16.265,
        longitude: -61.55099999999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 16.5572273,
        longitude: -60.9473,
      ),
      minCoordinate: Coordinate(
        latitude: 15.742032,
        longitude: -61.8468,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 16.5572273,
          longitude: -60.9473,
        ),
        southwest: Coordinate(
          latitude: 15.742032,
          longitude: -61.8468,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'Guadeloupe',
    isoShortName: 'Guadeloupe',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: 'None',
    nationality: 'French',
    number: '312',
    postalCode: true,
    postalCodeFormat: r'9[78][01]\d{2}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'GP',
    unofficialNames: ['Guadeloupe', 'Guadalupe', 'グアドループ'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Guadeloupe",
      "af": "Guadeloupe",
      "ak": "Guadeloupe",
      "am": "Guadeloupe",
      "an": "Guadeloupe",
      "ar": "جوادالوبّي",
      "as": "গুৱাডেলোপ",
      "ay": "Guadeloupe",
      "az": "Quadelup",
      "ba": "Guadeloupe",
      "be": "Гвадэлупа",
      "bg": "Гваделупа",
      "bi": "Guadeloupe",
      "bn": "গুয়াডেল্যুপ",
      "bn_IN": "গুয়াডেল্যুপ",
      "br": "Gwadaloup",
      "bs": "Gvadalupe",
      "ca": "Guadalupe",
      "ce": "Гваделупа",
      "ch": "Guadeloupe",
      "cs": "Guadeloupe",
      "cv": "Гваделупа",
      "cy": "Guadeloupe",
      "da": "Guadeloupe",
      "de": "Guadeloupe",
      "dv": "ގޯޑިލޫޕު",
      "dz": "གུ་འ་དི་ལོཔ།",
      "ee": "Guadeloupe",
      "el": "Γουαδελούπη",
      "en": "Guadeloupe",
      "eo": "Gvadelupo",
      "es": "Guadalupe",
      "et": "Guadeloupe",
      "eu": "Guadalupe",
      "fa": "گوادلوپ",
      "ff": "Guadeloupe",
      "fi": "Guadeloupe",
      "fo": "Guadeloupe",
      "fr": "Guadeloupe",
      "fy": "Guadeloupe",
      "ga": "Guadalúip",
      "gl": "Guadalupe",
      "gn": "Guadeloupe",
      "gu": "ગ્ડેલોપે",
      "gv": "Guadeloupe",
      "ha": "Guadeloupe",
      "he": "גוואדלופ",
      "hi": "गुआदेलूप",
      "hr": "Gvadalupa",
      "ht": "Gwadloup",
      "hu": "Guadeloupe",
      "hy": "Գվադելուպա",
      "ia": "Guadeloupe",
      "id": "Guadeloupe",
      "io": "Guadelupa",
      "is": "Gvadalúp",
      "it": "Guadalupa",
      "iu": "Guadeloupe",
      "ja": "グアドループ",
      "ka": "გვადალუპე",
      "ki": "Guadeloupe",
      "kk": "Гваделупа",
      "kl": "Guadeloupe",
      "km": "ហ្គូអាដឺលូប៉េ",
      "kn": "Guadeloupe",
      "ko": "과들루프",
      "ku": "Guadelûp",
      "kv": "Guadeloupe",
      "kw": "Gwadeloup",
      "ky": "Гваделупа",
      "lo": "Guadeloupe",
      "lt": "Gvadelupa",
      "lv": "Gvadelupa",
      "mi": "Guadeloupe",
      "mk": "Гуадалопе",
      "ml": "ഗ്വാഡെലോപ്",
      "mn": "Guadeloupe",
      "mr": "ग्वाडेलोप",
      "ms": "Guadeloupe",
      "mt": "Gwadelupe",
      "my": "ဂွါဒလ်ကျွန်း",
      "na": "Guadeloupe",
      "nb": "Guadeloupe",
      "ne": "ग्वादेलोप",
      "nl": "Guadeloupe",
      "nn": "Guadeloupe",
      "nv": "Guadeloupe",
      "oc": "Guadalope",
      "or": "ଗୁଆଡେଲୋପ",
      "pa": "ਗੁਆਡੀਲੂਪੀ",
      "pi": "Guadeloupe",
      "pl": "Gwadelupa",
      "ps": "Guadeloupe",
      "pt": "Guadalupe",
      "pt_BR": "Guadalupe",
      "ro": "Guadelupa",
      "ru": "Гваделупа",
      "rw": "Gwadelupe",
      "sc": "Guadalupa",
      "sd": "Guadeloupe",
      "si": "ගුවාඩිලෝප්",
      "sk": "Guadeloupe",
      "sl": "Gvadelup",
      "so": "Guadeloupe",
      "sq": "Guadalupë",
      "sr": "Гвадалупе",
      "sv": "Guadeloupe",
      "sw": "Guadeloupe",
      "ta": "காஉடிலொபி",
      "te": "గ్వాడేలోప్",
      "tg": "Гваделупа",
      "th": "กวาเดอลูป",
      "ti": "Guadeloupe",
      "tk": "Gwadelupa",
      "tl": "Guadeloupe",
      "tr": "Guadeloupe",
      "tt": "Gуаделупа",
      "ug": "گىۋادېلۇپ",
      "uk": "Гваделупа",
      "ur": "گواڈیلوپ",
      "uz": "Gvadelupa",
      "ve": "Guadeloupe",
      "vi": "Gu-a-đe-lup",
      "wa": "Gwadeloupe",
      "wo": "Guwaadaluup",
      "xh": "Guadeloupe",
      "yo": "Guadeloupe",
      "zh_CN": "瓜德罗普",
      "zh_HK": "瓜德魯普島",
      "zh_TW": "瓜地洛普",
      "zu": "Guadeloupe"
    },
  );

  /// Country: The Republic of Equatorial Guinea
  static const Country gnq = Country(
    alpha2: 'GQ',
    alpha3: 'GNQ',
    continent: Continent.africa,
    countryCode: '240',
    currencyCode: 'XAF',
    gec: 'EK',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 1.650801,
        longitude: 10.267895,
      ),
      maxCoordinate: Coordinate(
        latitude: 3.8355,
        longitude: 11.3333,
      ),
      minCoordinate: Coordinate(
        latitude: -1.5475,
        longitude: 5.541900099999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 3.8355,
          longitude: 11.3333,
        ),
        southwest: Coordinate(
          latitude: -1.5475,
          longitude: 5.541900099999999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'GEQ',
    isoLongName: 'The Republic of Equatorial Guinea',
    isoShortName: 'Equatorial Guinea',
    languagesOfficial: ['es', 'fr'],
    languagesSpoken: ['es', 'fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [6],
    nationalPrefix: 'None',
    nationality: 'Equatorial Guinean',
    number: '226',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Middle Africa',
    unLocode: 'GQ',
    unofficialNames: [
      'Equatorial Guinea',
      'Äquatorial-Guinea',
      'Guinée Équatoriale',
      'Guinea Ecuatorial',
      '赤道ギニア',
      'Equatoriaal-Guinea'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Equatorial Guinea",
      "af": "Ekwatoriaal-Guinee",
      "ak": "Equatorial Guinea",
      "am": "Equatorial Guinea",
      "an": "Equatorial Guinea",
      "ar": "غينيا الاستوائيّة",
      "as": "বিষুবীয় গিনি",
      "ay": "Equatorial Guinea",
      "az": "Ekvatorial Qvineya",
      "ba": "Equatorial Guinea",
      "be": "Экватарыяльная Гвінея",
      "bg": "Екваториална Гвинея",
      "bi": "Equatorial Guinea",
      "bn": "ইকুয়েটোরিয়াল গিনি",
      "bn_IN": "ইকুয়েটোরিয়াল গিনি",
      "br": "Ginea ar C'heheder",
      "bs": "Ekvatorijalna Gvineja",
      "ca": "Guinea Equatorial",
      "ce": "Экваторан Гвиней",
      "ch": "Equatorial Guinea",
      "cs": "Rovníková Guinea",
      "cv": "Экваторан Гвиней",
      "cy": "Guinea Cyhydeddol",
      "da": "Ækvatorialguinea",
      "de": "Äquatorialguinea",
      "dv": "އިކުއެޓޯރިއަލް ގިނީ",
      "dz": "ཨི་ཀུཡེ་ཊོ་རི་ཡཱལ་ གི་ནི།",
      "ee": "Equatorial Guinea",
      "el": "Ισημερινή Γουινέα",
      "en": "Equatorial Guinea",
      "eo": "Ekvatora Gvineo",
      "es": "Guinea Ecuatorial",
      "et": "Ekvatoriaal-Guinea",
      "eu": "Ekuatore Ginea",
      "fa": "گینهٔ استوایی",
      "ff": "Gine Ekwatoriyal",
      "fi": "Päiväntasaajan Guinea",
      "fo": "Ekvator Guinea",
      "fr": "Guinée Équatoriale",
      "fy": "Ekwatoriaal-Guinee",
      "ga": "An Ghuine Mheánchiorclach",
      "gl": "Guinea Ecuatorial",
      "gn": "Equatorial Guinea",
      "gu": "ઇક્વોરીઅલ ગુએના",
      "gv": "Guinea Chryss ny Cruinney",
      "ha": "Equatorial Guinea",
      "he": "גינאה המשוונית",
      "hi": "भूमध्यरेखीय गिनी",
      "hr": "Ekvatorijalna Gvineja",
      "ht": "Gine ekwateryal",
      "hu": "Egyenlítői-Guinea",
      "hy": "Հասարակածային Գվինեա",
      "ia": "Guinea Equatorial",
      "id": "Guinea Khatulistiwa",
      "io": "Equatorala Guinea",
      "is": "Miðbaugs-Gínea",
      "it": "Guinea equatoriale",
      "iu": "Equatorial Guinea",
      "ja": "赤道ギニア",
      "ka": "ეკვატორული გვინეა",
      "ki": "Equatorial Guinea",
      "kk": "Экваториалдық Гвинея",
      "kl": "Equatorial Guinea",
      "km": "ហ្គីណេ​អេក្វាទ័រ",
      "kn": "ಈಕ್ವಟೋರಿಯಲ್ ಗಿನೀ",
      "ko": "적도 기니",
      "ku": "Gîneya Ekvatorî",
      "kv": "Equatorial Guinea",
      "kw": "Gyni Ekwadoriel",
      "ky": "Экваториалдык Гвинея",
      "lo": "Equatorial Guinea",
      "lt": "Pusiaujo Gvinėja",
      "lv": "Ekvatoriālā Gvineja",
      "mi": "Kini Ekuatoria",
      "mk": "Екваторијална Гвинеја",
      "ml": "ഇക്വടോറിയല്‍ ഗിനിയ",
      "mn": "Equatorial Guinea",
      "mr": "इक्वेटोरियल गिनी",
      "ms": "Guinea Khatulistiwa",
      "mt": "Ginea Ekwatorjali",
      "my": "အီကွေတာဂီနီနိုင်ငံ",
      "na": "Gini t Ekwador",
      "nb": "Ekvatorial-Guinea",
      "ne": "इक्वेटरियल जिनीया",
      "nl": "Equatoriaal-Guinea",
      "nn": "Ekvatorial-Guinea",
      "nv": "Gíní Nahasdzáán Ałníiʼgi Siʼánígíí",
      "oc": "Guinèa eqüatoriala",
      "or": "ବିଷୁବରେଖୀୟ ଗିନୀ",
      "pa": "ਭੂ-ਖੰਡੀ ਗੁਆਨਾ",
      "pi": "Equatorial Guinea",
      "pl": "Gwinea Równikowa",
      "ps": "Equatorial Guinea",
      "pt": "Guiné Equatorial",
      "pt_BR": "Guiné Equatorial",
      "ro": "Guinea Ecuatorială",
      "ru": "Экваториальная Гвинея",
      "rw": "Gineya Ekwatoriyale",
      "sc": "Guinea Ecuadoriale",
      "sd": "Equatorial Guinea",
      "si": "ගිනියා සමානාත්මය",
      "sk": "Rovníková Guinea",
      "sl": "Ekvatorialna Gvineja",
      "so": "Ikweetiga Guinea",
      "sq": "Guinea Ekuatoriale",
      "sr": "Екваторијална Гвинеја",
      "sv": "Ekvatorialguinea",
      "sw": "Equatorial Guinea",
      "ta": "ஈக்குவிடோரியல் கினி",
      "te": "ఇక్విటోరియల్ గినీ",
      "tg": "Гвинеяи Экваторӣ",
      "th": "อิเควทอเรียลกินี",
      "ti": "ኢኳቶሪያል ጊኒ",
      "tk": "Ekwatorial Gwineýa",
      "tl": "Equatorial Guinea",
      "tr": "Ekvator Ginesi",
      "tt": "Екуаторлы Gуинеа",
      "ug": "ئېكۋاتور گىۋىنېيەسى",
      "uk": "Екваторіальна Гвінея",
      "ur": "استوائی گنی",
      "uz": "Ekvatorli Gvineya",
      "ve": "Equatorial Guinea",
      "vi": "Ghi-nê Xích Đạo",
      "wa": "Guinêye Ecwåtoriåle",
      "wo": "Ginne Ekwatoriaal",
      "xh": "Equatorial Guinea",
      "yo": "Guinea Alágedeméjì",
      "zh_CN": "赤道几内亚",
      "zh_HK": "赤道畿內亞",
      "zh_TW": "赤道幾內亞",
      "zu": "IGini Enkabazwe"
    },
  );

  /// Country: The Hellenic Republic
  static const Country grc = Country(
    alpha2: 'GR',
    alpha3: 'GRC',
    continent: Continent.europe,
    countryCode: '30',
    currencyCode: 'EUR',
    gec: 'GR',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 39.074208,
        longitude: 21.824312,
      ),
      maxCoordinate: Coordinate(
        latitude: 41.7488784,
        longitude: 29.6527999,
      ),
      minCoordinate: Coordinate(
        latitude: 34.5428,
        longitude: 19.3098,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 41.7488784,
          longitude: 29.6527999,
        ),
        southwest: Coordinate(
          latitude: 34.5428,
          longitude: 19.3098,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'GRE',
    isoLongName: 'The Hellenic Republic',
    isoShortName: 'Greece',
    languagesOfficial: ['el'],
    languagesSpoken: ['el'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [10],
    nationalPrefix: 'None',
    nationality: 'Greek',
    number: '300',
    postalCode: true,
    postalCodeFormat: r'\d{3} ?\d{2}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Southern Europe',
    unLocode: 'GR',
    unofficialNames: [
      'Greece',
      'Griechenland',
      'Grèce',
      'Grecia',
      'ギリシャ',
      'Griekenland'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 24.0,
      reduced: [6.0, 13.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Greece",
      "af": "Griekeland",
      "ak": "Greece",
      "am": "ጔሱጤ",
      "an": "Greece",
      "ar": "اليونان",
      "as": "গ্ইচ্‌লামিকীচ",
      "ay": "Greece",
      "az": "Yunanıstan",
      "ba": "Greece",
      "be": "Грэцыя",
      "bg": "Гърция",
      "bi": "Greece",
      "bn": "গ্রিস",
      "bn_IN": "গ্রিস",
      "br": "Gres",
      "bs": "Grčka",
      "ca": "Grècia",
      "ce": "Грекийн",
      "ch": "Greece",
      "cs": "Řecko",
      "cv": "Грекийн",
      "cy": "Groeg",
      "da": "Grækenland",
      "de": "Griechenland",
      "dv": "ޔޫނާން",
      "dz": "གིརིསི་།",
      "ee": "Greece",
      "el": "Ελλάδα",
      "en": "Greece",
      "eo": "Grekio",
      "es": "Grecia",
      "et": "Kreeka",
      "eu": "Grezia",
      "fa": "یونان",
      "ff": "Yunan",
      "fi": "Kreikka",
      "fo": "Grikkaland",
      "fr": "Grèce",
      "fy": "Grikelân",
      "ga": "An Ghréig",
      "gl": "Grecia",
      "gn": "Greece",
      "gu": "ગ્રીસ",
      "gv": "Yn Ghreag",
      "ha": "Greek",
      "he": "יוון",
      "hi": "यूनान",
      "hr": "Grčka",
      "ht": "Grès",
      "hu": "Görögország",
      "hy": "Հունաստան",
      "ia": "Grecia",
      "id": "Yunani",
      "io": "Grekia",
      "is": "Grikkland",
      "it": "Grecia",
      "iu": "Greece",
      "ja": "ギリシャ",
      "ka": "საბერძნეთი",
      "ki": "Ngiriki",
      "kk": "Грекия",
      "kl": "Greece",
      "km": "ក្រិក",
      "kn": "ಗ್ರೀಸ್",
      "ko": "그리스",
      "ku": "Yewnanistan",
      "kv": "Эллада",
      "kw": "Pow Grek",
      "ky": "Греция",
      "lo": "ປະເທດກະແລັດ",
      "lt": "Graikija",
      "lv": "Grieķija",
      "mi": "Kirihi",
      "mk": "Грција",
      "ml": "ഗ്രീസ്",
      "mn": "Грек",
      "mr": "ग्रीस",
      "ms": "Yunani",
      "mt": "Greċja",
      "my": "ဂရိနိုင်ငံ",
      "na": "Grit",
      "nb": "Hellas",
      "ne": "ग्रीस",
      "nl": "Griekenland",
      "nn": "Hellas",
      "nv": "Gwíík Dineʼé Bikéyah",
      "oc": "Grècia",
      "or": "ଗ୍ରୀସ",
      "pa": "ਗਰੀਸ",
      "pi": "ग्रीस (यूनान)",
      "pl": "Grecja",
      "ps": "یونان",
      "pt": "Grécia",
      "pt_BR": "Grécia",
      "ro": "Grecia",
      "ru": "Греция",
      "rw": "Ikigereki",
      "sc": "Grètzia",
      "sd": "يونان",
      "si": "ග්‍රීසිය",
      "sk": "Grécko",
      "sl": "Grčija",
      "so": "Giriigga",
      "sq": "Greqi",
      "sr": "Грчка",
      "sv": "Grekland",
      "sw": "Greece",
      "ta": "கிரீஸ்",
      "te": "గ్రీస్",
      "tg": "Юнон",
      "th": "กรีซ",
      "ti": "ግሪኽ",
      "tk": "Gresiýa",
      "tl": "Gresya",
      "tr": "Yunanistan",
      "tt": "Юнанстан",
      "ug": "گىرېتسىيە",
      "uk": "Греція",
      "ur": "یونان",
      "uz": "Yunoniston",
      "ve": "Greece",
      "vi": "Hy Lạp",
      "wa": "Grece",
      "wo": "Girees",
      "xh": "Greece",
      "yo": "Gríìsì",
      "zh_CN": "希腊",
      "zh_HK": "希臘",
      "zh_TW": "希臘",
      "zu": "IGreki"
    },
  );

  /// Country: South Georgia and the South Sandwich Islands
  static const Country sgs = Country(
    alpha2: 'GS',
    alpha3: 'SGS',
    continent: Continent.antarctica,
    countryCode: '500',
    currencyCode: 'GBP',
    gec: 'SX',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -54.429579,
        longitude: -36.587909,
      ),
      maxCoordinate: Coordinate(
        latitude: -53.8525267,
        longitude: -25.4663085,
      ),
      minCoordinate: Coordinate(
        latitude: -59.91097600000001,
        longitude: -38.4301758,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -53.8525267,
          longitude: -25.4663085,
        ),
        southwest: Coordinate(
          latitude: -59.91097600000001,
          longitude: -38.4301758,
        ),
      ),
    ),
    internationalPrefix: '',
    ioc: null,
    isoLongName: 'South Georgia and the South Sandwich Islands',
    isoShortName: 'South Georgia and the South Sandwich Islands',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [],
    nationalNumberLengths: [],
    nationalPrefix: '',
    nationality: 'South Georgia and the South Sandwich Islander',
    number: '239',
    postalCode: true,
    postalCodeFormat: r'SIQQ 1ZZ',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'South America',
    unLocode: 'GS',
    unofficialNames: [
      'South Georgia',
      'South Georgia and the South Sandwich Islands',
      'Südgeorgien und die Südlichen Sandwichinseln',
      'サウスジョージア・サウスサンドウィッチ諸島',
      'Zuid-Georgia en Zuidelijke Sandwicheilanden'
    ],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "South Georgia and the South Sandwich Islands",
      "af": "Suid-Georgië en die Suidelike Sandwicheilande",
      "ak": "South Georgia and the South Sandwich Islands",
      "am": "South Georgia and the South Sandwich Islands",
      "an": "South Georgia and the South Sandwich Islands",
      "ar": "جورجيا الجنوبيّة و جزر ساندويتش الجنوبيّة",
      "as": "দক্ষিণ জৰ্জিয়া আৰু দক্ষিণ চেন্ডউইচ দ্বীপপুঞ্জ",
      "ay": "South Georgia and the South Sandwich Islands",
      "az": "Cənubi Georgiya və Cənubi Sendviç Adaları",
      "ba": "South Georgia and the South Sandwich Islands",
      "be": "Паўднёвая Джорджыя і Паўднёвыя Сандвічавы астравы",
      "bg": "Южна Джорджия и Южни Сандвичеви острови",
      "bi": "South Georgia and the South Sandwich Islands",
      "bn": "দক্ষিণ জর্জিয়া ও দক্ষিণ স্যান্ডউইচ দ্বীপপুঞ্জ",
      "bn_IN": "দক্ষিণ জর্জিয়া ও দক্ষিণ স্যান্ডউইচ দ্বীপপুঞ্জ",
      "br": "Georgia ar Su hag Inizi Sandwich ar Su",
      "bs": "South Georgia i South Sandwich Ostrva",
      "ca": "Illes Geòrgia del Sud i Sandwich del Sud",
      "ce": "South Georgia and the South Sandwich Islands",
      "ch": "South Georgia and the South Sandwich Islands",
      "cs": "Jižní Georgie a Jižní Sandwichovy ostrovy",
      "cv": "South Georgia and the South Sandwich Islands",
      "cy": "De Georgia ac Ynysoedd De Sandwich",
      "da": "South Georgia og De Sydlige Sandwichøer",
      "de": "South Georgia und die Südlichen Sandwichinseln",
      "dv": "South Georgia and the South Sandwich Islands",
      "dz": "ལྷོ་ ཇོར་ཇི་ཡ་ དང་ ལྷོ་ སེནཌི་ཝིཅ་ ཨའི་ལེནཌིསི།",
      "ee": "South Georgia and the South Sandwich Islands",
      "el": "Νήσοι Νότια Γεωργία και Νότιες Σάντουιτς",
      "en": "South Georgia and the South Sandwich Islands",
      "eo": "Sud-Georgio kaj Sud-Sandviĉinsuloj",
      "es": "Islas Georgias del Sur y Sándwich del Sur",
      "et": "Lõuna-Georgia ja Lõuna-Sandwichi saared",
      "eu": "Hegoaldeko Georgia eta Hegoaldeko Sandwich uharteak",
      "fa": "جورجیای جنوبی و جزایر ساندویچ جنوبی",
      "ff": "South Georgia and the South Sandwich Islands",
      "fi": "Etelä-Georgia ja Eteläiset Sandwichinsaaret",
      "fo": "South Georgia and the South Sandwich Islands",
      "fr": "Géorgie du Sud et les îles Sandwich du Sud",
      "fy": "Súd-Georgje en de Súdlike Sandwicheilannen",
      "ga": "An tSeoirsia Theas agus Sandwich Theas",
      "gl": "Xeorxia do Sul e as Illas Sandwich do Sul",
      "gn": "South Georgia and the South Sandwich Islands",
      "gu": "દક્ષિણ જર્યોજીયા અને દક્ષિણ સેન્ડવિચ ટાપુઓ",
      "gv": "South Georgia and the South Sandwich Islands",
      "ha": "South Georgia and the South Sandwich Islands",
      "he": "איי ג׳ורג׳יה הדרומית ואיי סנדוויץ׳ הדרומיים",
      "hi": "दक्षिण जॉर्जिया एवं दक्षिण सैंडविच द्वीप समूह",
      "hr": "Južna Georgija i otočje Južni Sandwich",
      "ht": "South Georgia and the South Sandwich Islands",
      "hu": "Déli-Georgia és Déli-Sandwich-szigetek",
      "hy": "Հարավային Ջորջիա և Հարավային Սանդվիչյան կղզիներ",
      "ia": "Georgia del Sud e Insulas Sandwich del Sud",
      "id": "Georgia Selatan dan Kepulauan Sandwich Selatan",
      "io": "South Georgia and the South Sandwich Islands",
      "is": "Suður-Georgía og Suður-Sandvíkureyjar",
      "it": "Georgia del Sud e Isole Sandwich Australi",
      "iu": "South Georgia and the South Sandwich Islands",
      "ja": "サウスジョージア及びサウスサンドウィッチ諸島",
      "ka": "სამხრეთ ჯორჯია და სამხრეთ სენდვიჩის კუნძულები",
      "ki": "South Georgia and the South Sandwich Islands",
      "kk": "Оңтүстік Джорджия мен Оңтүстік Сендвия аралдары",
      "kl": "South Georgia and the South Sandwich Islands",
      "km": "ហ្សកហ្ស៊ី​ខាង​ត្បូង និង កោះសាំងវិច​ខាង​ត្បូង",
      "kn": "ದಕ್ಷಿಣ ಜಾರ್ಜಿಯಾ ಮತ್ತು ದಕ್ಷಿಣ ಸ್ಯಾಂಡ್ವಿಚ್ ದ್ವೀಪಗಳು",
      "ko": "사우스조지아 사우스샌드위치 제도",
      "ku": "Georgiaya Basûr û Giravên Sandwicha Basûr",
      "kv": "South Georgia and the South Sandwich Islands",
      "kw": "Jeorji Dheghow hag Ynysow Sandwich Deghow",
      "ky": "Түштүк Джорджия жана Түштүк Сандвич аралдары",
      "lo": "South Georgia and the South Sandwich Islands",
      "lt": "Pietų Džordžijos ir Pietų Sandvičo salos",
      "lv": "Dienviddžordžija un Dienvidsendviču Salas",
      "mi": "South Georgia and the South Sandwich Islands",
      "mk": "Јужна Грузија и Јужните острови",
      "ml": "തെക്കന്‍ ജോര്‍ജിയയും തെക്കന്‍ സാന്‍ഡ്‌വിച്ചും ദ്വീപുകള്‍",
      "mn": "Өмнөд георги ба өмнөд завсрын арлууд",
      "mr": "साउथ जॉर्जिया आणी दि साउथ सॅंडविच आयलॅंडस्",
      "ms": "Georgia Selatan dan Kepulauan Sandwich Selatan",
      "mt": "Ġeorġja t’Isfel u l-Gżejjer Sandwich t’Isfel",
      "my": "South Georgia and the South Sandwich Islands",
      "na": "South Georgia and the South Sandwich Islands",
      "nb": "Sør-Georgia og Sør-Sandwichøyene",
      "ne": "दक्षिण जर्जिया र दक्षिण स्यान्डविच टापु",
      "nl": "Zuid-Georgia en de Zuidelijke Sandwicheilanden",
      "nn": "Sør-Georgia og dei sørlege Sandwichøyane",
      "nv": "South Georgia and the South Sandwich Islands",
      "oc": "Illas Georgia del Sud e Sandwich del Sud",
      "or": "ଦକ୍ଷିଣ ଜାର୍ଜିୟା ଏବଂ ଦକ୍ଷିଣ ସେଣ୍ଡୱିଚ ଦ୍ବୀପପୁଞ୍ଜ",
      "pa": "ਦੱਖਣੀ ਜਾਰਜੀਆ ਅਤੇ ਦੱਖਣੀ ਸੈਂਡਵਿਚ ਟਾਪੂ",
      "pi": "South Georgia and the South Sandwich Islands",
      "pl": "Georgia Południowa i Sandwich Południowy",
      "ps": "South Georgia and the South Sandwich Islands",
      "pt": "Ilhas Geórgia do Sul e Sandwich do Sul",
      "pt_BR": "Geórgia do Sul e Ilhas Sandwich do Sul",
      "ro": "Georgia de Sud și Insulele Sandwich de sud",
      "ru": "Южная Джорджия и Южные Сандвичевы острова",
      "rw": "Geworugiya y'Epfo n'Ibirwa bya Sanduwice y'Epfo",
      "sc": "Geòrgia de su Sud e Ìsulas Sandwich Australes",
      "sd": "South Georgia and the South Sandwich Islands",
      "si": "දකුණු ජෝජියආ හා දකුණු සැන්ඩ්විච් දූපත්",
      "sk": "Južná Georgia a Južné Sandwichove ostrovy",
      "sl": "Južna Georgia in Južni Sandwichevi otoki",
      "so": "South Georgia and the South Sandwich Islands",
      "sq": "Xhorxhia Jugore dhe Ishujt Sanduiç të Jugut",
      "sr": "Јужна Џорџија и Јужна Сендвич острва",
      "sv": "Sydgeorgien och södra Sandwichöarna",
      "sw": "South Georgia and the South Sandwich Islands",
      "ta": "தெற்கு ஜார்ஜியா மற்றும் தெற்கு சான்ட்விட்ச்",
      "te": "సౌత్ జార్జియా మరియు ది సౌత్ సాండ్‌విచ్ ఐలాండ్స్",
      "tg": "Ҷорҷияи Ҷанубӣ ва Ҷазираҳои Сандвич",
      "th": "เกาะเซาท์จอร์เจียและหมู่เกาะเซาท์แซนด์วิช",
      "ti": "South Georgia and the South Sandwich Islands",
      "tk": "Günorda Jorjiýa we Günorta Sendwiç adalary",
      "tl": "South Georgia at ang South Sandwich Islands",
      "tr": "Güney Georgia ve Güney Sandwich Adaları",
      "tt": "South Georgia and the South Sandwich Islands",
      "ug": "جەنۇبىي جورجىيە ۋە جەنۇبىي ساندىۋىچ ئارىلى",
      "uk": "Південна Джорджія та Південні Сандвічеві острови",
      "ur": "جنوبی جارجیا و جزائر جنوبی سینڈوچ",
      "uz": "South Georgia and the South Sandwich Islands",
      "ve": "South Georgia and the South Sandwich Islands",
      "vi": "Nam Gi-oa-gi-a va Nam Quần Đảo Xan-oui-chợ",
      "wa": "Iyes Sandwich do sud",
      "wo": "Jeoorji gu Bëj-saalum ak Duni Islaand yi Bëj-saalum",
      "xh": "South Georgia and the South Sandwich Islands",
      "yo": "Gúúsù Georgia àti Àwọn Erékùṣù Gúúsù Sandwich",
      "zh_CN": "南乔治亚岛和南桑德韦奇岛",
      "zh_HK": "南佐治亞及南三文治羣島",
      "zh_TW": "南喬治亞及南三明治群島",
      "zu": "South Georgia and the South Sandwich Islands"
    },
  );

  /// Country: The Republic of Guatemala
  static const Country gtm = Country(
    alpha2: 'GT',
    alpha3: 'GTM',
    continent: Continent.northAmerica,
    countryCode: '502',
    currencyCode: 'GTQ',
    gec: 'GT',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 15.783471,
        longitude: -90.23075899999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 17.815697,
        longitude: -88.1982001,
      ),
      minCoordinate: Coordinate(
        latitude: 13.63,
        longitude: -92.2714,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 17.815697,
          longitude: -88.1982001,
        ),
        southwest: Coordinate(
          latitude: 13.63,
          longitude: -92.2714,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'GUA',
    isoLongName: 'The Republic of Guatemala',
    isoShortName: 'Guatemala',
    languagesOfficial: ['es'],
    languagesSpoken: ['es'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Guatemalan',
    number: '320',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Central America',
    unLocode: 'GT',
    unofficialNames: ['Guatemala', 'グアテマラ'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Guatemala",
      "af": "Guatemala",
      "ak": "Guatemala",
      "am": "Guatemala",
      "an": "Guatemala",
      "ar": "غواتيمالا",
      "as": "গুৱাটেমালা",
      "ay": "Guatemala",
      "az": "Quatemala",
      "ba": "Guatemala",
      "be": "Гватэмала",
      "bg": "Гватемала",
      "bi": "Guatemala",
      "bn": "গুয়াতেমালা",
      "bn_IN": "গুয়াতেমালা",
      "br": "Guatemala",
      "bs": "Gvatemala",
      "ca": "Guatemala",
      "ce": "Гватемала",
      "ch": "Guatemala",
      "cs": "Guatemala",
      "cv": "Гватемала",
      "cy": "Gwatemala",
      "da": "Guatemala",
      "de": "Guatemala",
      "dv": "ގުއަޓެމާލާ",
      "dz": "གའུ་ཏི་མ་ལ།",
      "ee": "Guatemala",
      "el": "Γουατεμάλα",
      "en": "Guatemala",
      "eo": "Gvatemalo",
      "es": "Guatemala",
      "et": "Guatemala",
      "eu": "Guatemala",
      "fa": "گواتمالا",
      "ff": "Guatemala",
      "fi": "Guatemala",
      "fo": "Guatemala",
      "fr": "Guatemala",
      "fy": "Gûatemala",
      "ga": "Guatamala",
      "gl": "Guatemala",
      "gn": "Guatemala",
      "gu": "ગ્વાટેમાલા",
      "gv": "Yn Ghuatemaley",
      "ha": "Guatemala",
      "he": "גואטמלה",
      "hi": "ग्वाटेमाला",
      "hr": "Gvatemala",
      "ht": "Gwatemala",
      "hu": "Guatemala",
      "hy": "Գվատեմալա",
      "ia": "Guatemala",
      "id": "Guatemala",
      "io": "Guatemala",
      "is": "Gvatemala",
      "it": "Guatemala",
      "iu": "Guatemala",
      "ja": "グアテマラ",
      "ka": "გვატემალა",
      "ki": "Guatemala",
      "kk": "Гватемала",
      "kl": "Guatemala",
      "km": "ហ្គាតេម៉ាឡា",
      "kn": "ಗ್ವಾಟೆಮಾಲಾ",
      "ko": "과테말라",
      "ku": "Guatemala",
      "kv": "Гватемала",
      "kw": "Gwatemala",
      "ky": "Гватемала",
      "lo": "ປະເທດກົວເຕມາລາ",
      "lt": "Gvatemala",
      "lv": "Gvatemala",
      "mi": "Guatemala",
      "mk": "Гватемала",
      "ml": "ഗ്വാട്ടിമാല",
      "mn": "Гватемал",
      "mr": "ग्वाटेमाला",
      "ms": "Guatemala",
      "mt": "Gwatemala",
      "my": "ဂွါတီမာလာနိုင်ငံ",
      "na": "Guatemara",
      "nb": "Guatemala",
      "ne": "ग्वाटेमाला",
      "nl": "Guatemala",
      "nn": "Guatemala",
      "nv": "Guatemala",
      "oc": "Guatemala",
      "or": "ଗ୍ବାଟେମାଲା",
      "pa": "ਗੁਆਟੇਮਾਲਾ",
      "pi": "ग्वाटेमाला",
      "pl": "Gwatemala",
      "ps": "ګواتیمالا",
      "pt": "Guatemala",
      "pt_BR": "Guatemala",
      "ro": "Guatemala",
      "ru": "Гватемала",
      "rw": "Gwatemala",
      "sc": "Guatemala",
      "sd": "Guatemala",
      "si": "ගෝතමාලාව",
      "sk": "Guatemala",
      "sl": "Gvatemala",
      "so": "Guatemala",
      "sq": "Guatemalë",
      "sr": "Гватемала",
      "sv": "Guatemala",
      "sw": "Guatemala",
      "ta": "குவாதமாலா",
      "te": "గ్వాటేమాలా",
      "tg": "Гватемала",
      "th": "กัวเตมาลา",
      "ti": "ጓቲማላ",
      "tk": "Gwatemala",
      "tl": "Gwatemala",
      "tr": "Guatemala",
      "tt": "Gуатемала",
      "ug": "گىۋاتېمالا",
      "uk": "Гватемала",
      "ur": "گوئٹے مالا",
      "uz": "Gvatemala",
      "ve": "Guatemala",
      "vi": "Gua-tê-ma-la",
      "wa": "Gwatemala",
      "wo": "Guwaatemaala",
      "xh": "Guatemala",
      "yo": "Guatẹmálà",
      "zh_CN": "瓜地马拉",
      "zh_HK": "危地馬拉",
      "zh_TW": "瓜地馬拉",
      "zu": "I-Guwathemala"
    },
  );

  /// Country: The Territory of Guam
  static const Country gum = Country(
    alpha2: 'GU',
    alpha3: 'GUM',
    continent: Continent.australia,
    countryCode: '1',
    currencyCode: 'USD',
    gec: 'GQ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 13.444304,
        longitude: 144.793731,
      ),
      maxCoordinate: Coordinate(
        latitude: 13.7994072,
        longitude: 145.112915,
      ),
      minCoordinate: Coordinate(
        latitude: 13.1022175,
        longitude: 144.4647218,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 13.7994072,
          longitude: 145.112915,
        ),
        southwest: Coordinate(
          latitude: 13.1022175,
          longitude: 144.4647218,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'GUM',
    isoLongName: 'The Territory of Guam',
    isoShortName: 'Guam',
    languagesOfficial: ['en', 'ch', 'es'],
    languagesSpoken: ['en', 'ch', 'es'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Guamanian',
    number: '316',
    postalCode: true,
    postalCodeFormat: r'(969(?:[12]\d|3[12]))(?:[ \-](\d{4}))?',
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Micronesia',
    unLocode: 'GU',
    unofficialNames: ['Guam', 'グアム'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1671',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Guam",
      "af": "Guam",
      "ak": "Guam",
      "am": "Guam",
      "an": "Guam",
      "ar": "جوام",
      "as": "গুৱাম",
      "ay": "Guam",
      "az": "Quam",
      "ba": "Guam",
      "be": "Гуам",
      "bg": "Гуам",
      "bi": "Guam",
      "bn": "গুয়াম",
      "bn_IN": "গুয়াম",
      "br": "Guam",
      "bs": "Guam",
      "ca": "Guam",
      "ce": "Гуам",
      "ch": "Guåhån",
      "cs": "Guam",
      "cv": "Гуам",
      "cy": "Guam",
      "da": "Guam",
      "de": "Guam",
      "dv": "ގުއާމު",
      "dz": "གུའམ།",
      "ee": "Guam",
      "el": "Γκουάμ",
      "en": "Guam",
      "eo": "Gvamo",
      "es": "Guam",
      "et": "Guam",
      "eu": "Guam",
      "fa": "گوام",
      "ff": "Guam",
      "fi": "Guam",
      "fo": "Guam",
      "fr": "Guam",
      "fy": "Gûam",
      "ga": "Guam",
      "gl": "Guam",
      "gn": "Guam",
      "gu": "ગુઆમ",
      "gv": "Guam",
      "ha": "Guam",
      "he": "גואם",
      "hi": "गुआम",
      "hr": "Guam",
      "ht": "Guam",
      "hu": "Guam",
      "hy": "Գուամ",
      "ia": "Guam",
      "id": "Guam",
      "io": "Guam",
      "is": "Gvam",
      "it": "Guam",
      "iu": "Guam",
      "ja": "グアム",
      "ka": "გუამი",
      "ki": "Guam",
      "kk": "Гуам",
      "kl": "Guam",
      "km": "ហ្គាម",
      "kn": "ಗ್ವಾಮ್",
      "ko": "괌",
      "ku": "Guam",
      "kv": "Guam",
      "kw": "Guam",
      "ky": "Гуам",
      "lo": "Guam",
      "lt": "Guamas",
      "lv": "Guama",
      "mi": "Kuamu",
      "mk": "Гуам",
      "ml": "ഗുവാം",
      "mn": "Гуам",
      "mr": "ग्वाम",
      "ms": "Guam",
      "mt": "Gwam",
      "my": "ဂူအမ်ကျွန်း",
      "na": "Guam",
      "nb": "Guam",
      "ne": "ग्वाम",
      "nl": "Guam",
      "nn": "Guam",
      "nv": "Guam",
      "oc": "Guam",
      "or": "ଗୁଆମ",
      "pa": "ਗੁਆਮ",
      "pi": "Guam",
      "pl": "Guam",
      "ps": "Guam",
      "pt": "Guam",
      "pt_BR": "Guam",
      "ro": "Guam",
      "ru": "Гуам",
      "rw": "Gwami",
      "sc": "Guàm",
      "sd": "Guam",
      "si": "ගුවාම්",
      "sk": "Guam",
      "sl": "Guam",
      "so": "Guam",
      "sq": "Guam",
      "sr": "Гиам",
      "sv": "Guam",
      "sw": "Guam",
      "ta": "குவாம்",
      "te": "గ్వామ్",
      "tg": "Гуам",
      "th": "กวม",
      "ti": "Guam",
      "tk": "Guam",
      "tl": "Gwam",
      "tr": "Guam",
      "tt": "Gуам",
      "ug": "گۇئام",
      "uk": "Гуам",
      "ur": "گوام",
      "uz": "Guam",
      "ve": "Guam",
      "vi": "Gu-ăm",
      "wa": "Gwam",
      "wo": "Guam",
      "xh": "Guam",
      "yo": "Guam",
      "zh_CN": "关岛",
      "zh_HK": "關島",
      "zh_TW": "關島",
      "zu": "Guam"
    },
  );

  /// Country: The Republic of Guinea-Bissau
  static const Country gnb = Country(
    alpha2: 'GW',
    alpha3: 'GNB',
    continent: Continent.africa,
    countryCode: '245',
    currencyCode: 'XOF',
    gec: 'PU',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 11.803749,
        longitude: -15.180413,
      ),
      maxCoordinate: Coordinate(
        latitude: 12.6869468,
        longitude: -13.6265235,
      ),
      minCoordinate: Coordinate(
        latitude: 10.7146,
        longitude: -16.9518999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 12.6869468,
          longitude: -13.6265235,
        ),
        southwest: Coordinate(
          latitude: 10.7146,
          longitude: -16.9518999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'GBS',
    isoLongName: 'The Republic of Guinea-Bissau',
    isoShortName: 'Guinea-Bissau',
    languagesOfficial: ['pt'],
    languagesSpoken: ['pt'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Guinea-Bissauan',
    number: '624',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Western Africa',
    unLocode: 'GW',
    unofficialNames: [
      'Guinea-Bissau',
      'Guinée-Bissau',
      'ギニアビサウ',
      'Guinee-Bissau',
      'Guinea Bissau'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Guinea-Bissau",
      "af": "Guinee-Bissau",
      "ak": "Guinea-Bissau",
      "am": "ቢሳፅ",
      "an": "Guinea-Bissau",
      "ar": "غينيا بيساو",
      "as": "গিনি-বিছাউ",
      "ay": "Guinea-Bissau",
      "az": "Qvineya Bissau",
      "ba": "Guinea-Bissau",
      "be": "Гвінея-Бісау",
      "bg": "Гвинея-Бисау",
      "bi": "Guinea-Bissau",
      "bn": "গিনি-বিসাউ",
      "bn_IN": "গিনি-বিসাউ",
      "br": "Ginea-Bissau",
      "bs": "Gvineja Bisau",
      "ca": "Guinea Bissau",
      "ce": "Гвине-Бисау",
      "ch": "Guinea-Bissau",
      "cs": "Guinea-Bissau",
      "cv": "Гвине-Бисау",
      "cy": "Guinea-Bissau",
      "da": "Guinea-Bissau",
      "de": "Guinea-Bissau",
      "dv": "ގީނީ-ބިސާއޫ",
      "dz": "གི་ནི་-བི་སའོ།",
      "ee": "Guinea-Bissau",
      "el": "Γουινέα-Μπισσάου",
      "en": "Guinea-Bissau",
      "eo": "Gvineo Bisaŭa",
      "es": "Guinea-Bisáu",
      "et": "Guinea-Bissau",
      "eu": "Ginea Bissau",
      "fa": "گینهٔ بیسائو",
      "ff": "Gine-Bisaawo",
      "fi": "Guinea-Bissau",
      "fo": "Guinea Bissau",
      "fr": "Guinée-Bissau",
      "fy": "Guinee-Bissau",
      "ga": "An Ghuine-Bhissau",
      "gl": "Guinea-Bissau",
      "gn": "Guinea-Bissau",
      "gu": "ગિએના-બિસાઉ",
      "gv": "Yn Ghuinea-Bissau",
      "ha": "Guinea-Bissau",
      "he": "גינאה ביסאו",
      "hi": "गिनी-बिसाऊ",
      "hr": "Gvineja Bisau",
      "ht": "Gine-Bisao",
      "hu": "Bissau-Guinea",
      "hy": "Գվինեա-Բիսաու",
      "ia": "Guinea-Bissau",
      "id": "Guinea-Bissau",
      "io": "Guinea Bisau",
      "is": "Gínea-Bissá",
      "it": "Guinea-Bissau",
      "iu": "Guinea-Bissau",
      "ja": "ギニアビサウ",
      "ka": "გვინეა-ბისაუ",
      "ki": "Guinea-Bissau",
      "kk": "Гвинея-Бисау",
      "kl": "Guinea-Bissau",
      "km": "ហ្គីណេប៊ីសៅ",
      "kn": "ಗಿನೀ-ಬಿಸ್ಸೋ",
      "ko": "기니비사우",
      "ku": "Gîneya Bisoî",
      "kv": "Guinea-Bissau",
      "kw": "Gyni-Bissaw",
      "ky": "Гвинея-Бисау",
      "lo": "Guinea-Bissau",
      "lt": "Bisau Gvinėja",
      "lv": "Gvineja-Bisava",
      "mi": "Kini Pihō",
      "mk": "Гвинеја-Бисау",
      "ml": "ഗിനിയ-ബിസ്സാവു",
      "mn": "Guinea-Bissau",
      "mr": "गिनी-बिसाव",
      "ms": "Guinea Bissau",
      "mt": "Ginea-Bissaw",
      "my": "ဂင်းနီဗစ်ဆောနိုင်ငံ",
      "na": "Gini-Bitau",
      "nb": "Guinea-Bissau",
      "ne": "गिइनि बिसाउ",
      "nl": "Guinee-Bissau",
      "nn": "Guinea-Bissau",
      "nv": "Gíní Bisó",
      "oc": "Guinèa-Bissau",
      "or": "ଗିନୀ-ବିସୁ",
      "pa": "ਗੁਨੇਆ-ਬਿਸਾਉ",
      "pi": "गिनी-बिसो",
      "pl": "Gwinea Bissau",
      "ps": "Guinea-Bissau",
      "pt": "Guiné-Bissáu",
      "pt_BR": "Guiné-Bissau",
      "ro": "Guinea-Bissau",
      "ru": "Гвинея-Бисау",
      "rw": "Guneya-Biso",
      "sc": "Guinea-Bissau",
      "sd": "Guinea-Bissau",
      "si": "ගිනියා-බිසව්",
      "sk": "Guinea-Bissau",
      "sl": "Gvineja Bissau",
      "so": "Guinea-Bissau",
      "sq": "Guinea-Bisau",
      "sr": "Гвинеја-Бисао",
      "sv": "Guinea-Bissau",
      "sw": "Guinea-Bissau",
      "ta": "கினி-பீசோ",
      "te": "గినీ-బిసావ",
      "tg": "Гвинея-Бисау",
      "th": "กินีบิสเซา",
      "ti": "ቢሳዎ",
      "tk": "Gwineýa-Bisau",
      "tl": "Guinea-Bissau",
      "tr": "Gine-Bissau",
      "tt": "Gуинеа-Биссау",
      "ug": "گىۋىنېيە بىسسائۇ",
      "uk": "Гвінея-Бісау",
      "ur": "گنی بساؤ",
      "uz": "Gvineya-Bissau",
      "ve": "Guinea-Bissau",
      "vi": "Ghi-nê Bi-xau",
      "wa": "Guinêye-Bissaw",
      "wo": "Ginne Bisaawóo",
      "xh": "Guinea-Bissau",
      "yo": "Guinea-Bissau",
      "zh_CN": "几内亚比绍",
      "zh_HK": "畿內亞比紹",
      "zh_TW": "幾內亞比索",
      "zu": "IGini Bisawu"
    },
  );

  /// Country: The Co-operative Republic of Guyana
  static const Country guy = Country(
    alpha2: 'GY',
    alpha3: 'GUY',
    continent: Continent.southAmerica,
    countryCode: '592',
    currencyCode: 'GYD',
    gec: 'GY',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 4.860416,
        longitude: -58.93018,
      ),
      maxCoordinate: Coordinate(
        latitude: 8.722199999999999,
        longitude: -56.49112,
      ),
      minCoordinate: Coordinate(
        latitude: 1.164724,
        longitude: -61.414905,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 8.722199999999999,
          longitude: -56.49112,
        ),
        southwest: Coordinate(
          latitude: 1.164724,
          longitude: -61.414905,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'GUY',
    isoLongName: 'The Co-operative Republic of Guyana',
    isoShortName: 'Guyana',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [6, 7],
    nationalPrefix: 'None',
    nationality: 'Guyanese',
    number: '328',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'South America',
    unLocode: 'GY',
    unofficialNames: ['Guyana', 'ガイアナ'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Guyana",
      "af": "Guyana",
      "ak": "Guyana",
      "am": "ጉ።ና",
      "an": "Guyana",
      "ar": "غويانا",
      "as": "গায়ানা",
      "ay": "Guyana",
      "az": "Quyana",
      "ba": "Guyana",
      "be": "Гаяна",
      "bg": "Гияна",
      "bi": "Guyana",
      "bn": "গায়ানা",
      "bn_IN": "গায়ানা",
      "br": "Guyana",
      "bs": "Gvajana",
      "ca": "Guyana",
      "ce": "Гайана",
      "ch": "Guyana",
      "cs": "Guyana",
      "cv": "Гайана",
      "cy": "Guyana",
      "da": "Guyana",
      "de": "Guyana",
      "dv": "ގުޔާނާ",
      "dz": "གུ་ཡ་ན།",
      "ee": "Guyana",
      "el": "Γουιάνα",
      "en": "Guyana",
      "eo": "Gujano",
      "es": "Guyana",
      "et": "Guyana",
      "eu": "Guyana",
      "fa": "گویان",
      "ff": "Guyana",
      "fi": "Guyana",
      "fo": "Gujana",
      "fr": "Guyana",
      "fy": "Guyana",
      "ga": "An Ghuáin",
      "gl": "Güiana",
      "gn": "Guyana",
      "gu": "ગુયાના",
      "gv": "Geeaaney",
      "ha": "Guyana",
      "he": "גיאנה",
      "hi": "गयाना",
      "hr": "Gvajana",
      "ht": "Giyàn",
      "hu": "Guyana",
      "hy": "Գայանա",
      "ia": "Guyana",
      "id": "Guyana",
      "io": "Guyana",
      "is": "Gvæjana",
      "it": "Guyana",
      "iu": "Guyana",
      "ja": "ガイアナ",
      "ka": "გაიანა",
      "ki": "Guyana",
      "kk": "Гайана",
      "kl": "Guyana",
      "km": "ហ្គីយ៉ាណា",
      "kn": "ಗಯಾನಾ",
      "ko": "가이아나",
      "ku": "Guyana",
      "kv": "Guyana",
      "kw": "Gwayana",
      "ky": "Гайана",
      "lo": "ປະເທດກຸຍຢານ",
      "lt": "Gajana",
      "lv": "Gajāna",
      "mi": "Kaiana",
      "mk": "Гвајана",
      "ml": "ഗയാന",
      "mn": "Гайана",
      "mr": "गयाना",
      "ms": "Guyana",
      "mt": "Gujana",
      "my": "ဂိုင်ယာနာနိုင်ငံ",
      "na": "Guyana",
      "nb": "Guyana",
      "ne": "गुयाना",
      "nl": "Guyana",
      "nn": "Guyana",
      "nv": "Guyana",
      "oc": "Guyana",
      "or": "ଗୁୟାନା",
      "pa": "ਗੁਆਨਾ",
      "pi": "गयाना",
      "pl": "Gujana",
      "ps": "ګايانا",
      "pt": "Guiana",
      "pt_BR": "Guiana",
      "ro": "Guyana",
      "ru": "Гайана",
      "rw": "Giyana",
      "sc": "Guyana",
      "sd": "گيانا",
      "si": "ගයනා",
      "sk": "Guyana",
      "sl": "Gvajana",
      "so": "Guyana",
      "sq": "Guajana",
      "sr": "Гвајана",
      "sv": "Guyana",
      "sw": "Guyana",
      "ta": "கயானா",
      "te": "గయానా",
      "tg": "Гайана",
      "th": "กายอานา",
      "ti": "ጉያና",
      "tk": "Gaýana",
      "tl": "Guyana",
      "tr": "Guyana",
      "tt": "Gуяна",
      "ug": "گىۋىيانا",
      "uk": "Гаяна",
      "ur": "گیانا",
      "uz": "Gayana",
      "ve": "Guyana",
      "vi": "Guy-a-na",
      "wa": "Guyana",
      "wo": "Guyaana",
      "xh": "Guyana",
      "yo": "Gùyánà",
      "zh_CN": "圭亚那",
      "zh_HK": "圭亞那",
      "zh_TW": "蓋亞那",
      "zu": "Guyana"
    },
  );

  /// Country: The Hong Kong Special Administrative Region of China
  static const Country hkg = Country(
    alpha2: 'HK',
    alpha3: 'HKG',
    continent: Continent.asia,
    countryCode: '852',
    currencyCode: 'HKD',
    gec: 'HK',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 22.3193039,
        longitude: 114.1693611,
      ),
      maxCoordinate: Coordinate(
        latitude: 22.5619469,
        longitude: 114.4294999,
      ),
      minCoordinate: Coordinate(
        latitude: 22.1435,
        longitude: 113.8259001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 22.5619469,
          longitude: 114.4294999,
        ),
        southwest: Coordinate(
          latitude: 22.1435,
          longitude: 113.8259001,
        ),
      ),
    ),
    internationalPrefix: '001',
    ioc: 'HKG',
    isoLongName: 'The Hong Kong Special Administrative Region of China',
    isoShortName: 'Hong Kong',
    languagesOfficial: ['en', 'zh'],
    languagesSpoken: ['en', 'zh'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Hong Kongese',
    number: '344',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Eastern Asia',
    unLocode: 'HK',
    unofficialNames: ['Hong Kong', '香港', 'Hongkong'],
    worldRegion: WorldRegion.apac,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}} {{region_short}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Hong Kong",
      "af": "Hongkong",
      "ak": "Hong Kong",
      "am": "ሆንጔ ጥንጔ",
      "an": "Hong Kong",
      "ar": "هونغ كونغ",
      "as": "হংকং",
      "ay": "Hong Kong",
      "az": "Honq Konq",
      "ba": "Hong Kong",
      "be": "Ганконг",
      "bg": "Хонг Конг",
      "bi": "Hong Kong",
      "bn": "হং কং",
      "bn_IN": "হং কং",
      "br": "Hong Kong",
      "bs": "Hong Kong",
      "ca": "Hong Kong",
      "ce": "Гонконг",
      "ch": "Hong Kong",
      "cs": "Hongkong",
      "cv": "Гонконг",
      "cy": "Hong Kong",
      "da": "Hongkong",
      "de": "Hongkong",
      "dv": "ހޮންކޮންގު",
      "dz": "ཧོང་ཀོང་",
      "ee": "Hong Kong",
      "el": "Χονγκ Κονγκ",
      "en": "Hong Kong",
      "eo": "Honkongo",
      "es": "Hong Kong",
      "et": "Hongkong",
      "eu": "Hong Kong",
      "fa": "هنگ کنگ",
      "ff": "Hong Kong",
      "fi": "Hong Kong",
      "fo": "Hong Kong",
      "fr": "Hong Kong",
      "fy": "Hongkong",
      "ga": "Hong Cong",
      "gl": "Hong Kong",
      "gn": "Hong Kong",
      "gu": "હોંગ કોંગ",
      "gv": "Hong Kong",
      "ha": "Hong Kong",
      "he": "הונג קונג",
      "hi": "हांगकांग",
      "hr": "Hong Kong",
      "ht": "Hong Kong",
      "hu": "Hongkong",
      "hy": "Հոնգ Կոնգ",
      "ia": "Hong Kong",
      "id": "Hong Kong",
      "io": "Hong Kong",
      "is": "Hong Kong",
      "it": "Hong Kong",
      "iu": "Hong Kong",
      "ja": "香港",
      "ka": "ჰონკონგი",
      "ki": "Hong Kong",
      "kk": "Сянган (Гонконг)",
      "kl": "Hong Kong",
      "km": "ហុងកុង",
      "kn": "ಹಾಂಗ್ ಕಾಂಗ್",
      "ko": "홍콩",
      "ku": "Hong Kong",
      "kv": "Hong Kong",
      "kw": "Hong Kong",
      "ky": "Гонконг",
      "lo": "ຮົງກົງ",
      "lt": "Honkongas",
      "lv": "Honkonga",
      "mi": "Hongipua",
      "mk": "Хонк Конг",
      "ml": "ഹോങ് കോങ്",
      "mn": "Хонконг",
      "mr": "हॉंगकॉंग",
      "ms": "Hong Kong",
      "mt": "Ħong Kong",
      "my": "ဟောင်ကောင်",
      "na": "Hong Kong",
      "nb": "Hongkong",
      "ne": "हङकङ",
      "nl": "Hongkong",
      "nn": "Hongkong",
      "nv": "Hong Kong",
      "oc": "Hong Kong",
      "or": "ହଙ୍ଗ କଙ୍ଗ",
      "pa": "ਹਾਂਗ ਕਾਂਗ",
      "pi": "Hong Kong",
      "pl": "Hongkong",
      "ps": "هانګ کانګ",
      "pt": "Hong Kong",
      "pt_BR": "Hong Kong",
      "ro": "Hong Kong",
      "ru": "Гонконг",
      "rw": "Hongo Kongo",
      "sc": "Hong Kong",
      "sd": "Hong Kong",
      "si": "හොංග් කොංග්",
      "sk": "Hongkong",
      "sl": "Hong Kong",
      "so": "Hong Kong",
      "sq": "Hong Kong",
      "sr": "Хонг Конг",
      "sv": "Hongkong",
      "sw": "Hong Kong",
      "ta": "ஹாங்காங்",
      "te": "హౖంగ్‌కాంగ్",
      "tg": "Ҳонгконг",
      "th": "ฮ่องกง",
      "ti": "ሆንግ ኮንግ",
      "tk": "Gonkong",
      "tl": "Hong Kong",
      "tr": "Hong Kong",
      "tt": "Һонg Конg",
      "ug": "شياڭگاڭ",
      "uk": "Гонконг",
      "ur": "ہانگ کانگ",
      "uz": "Gonkong",
      "ve": "Hong Kong",
      "vi": "Hông Kông",
      "wa": "Hong Kong",
      "wo": "Ooŋ Koŋ",
      "xh": "Hong Kong",
      "yo": "Họ́ng Kọng",
      "zh_CN": "香港",
      "zh_HK": "香港",
      "zh_TW": "香港",
      "zu": "Hong Kong"
    },
  );

  /// Country: The Territory of Heard Island and McDonald Islands
  static const Country hmd = Country(
    alpha2: 'HM',
    alpha3: 'HMD',
    continent: Continent.antarctica,
    countryCode: '672',
    currencyCode: 'AUD',
    gec: 'HM',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -53.08181,
        longitude: 73.50415799999999,
      ),
      maxCoordinate: Coordinate(
        latitude: -52.9609444,
        longitude: 73.7792016,
      ),
      minCoordinate: Coordinate(
        latitude: -53.19168759999999,
        longitude: 73.25065599999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -52.9609444,
          longitude: 73.7792016,
        ),
        southwest: Coordinate(
          latitude: -53.19168759999999,
          longitude: 73.25065599999999,
        ),
      ),
    ),
    internationalPrefix: '',
    ioc: null,
    isoLongName: 'The Territory of Heard Island and McDonald Islands',
    isoShortName: 'Heard Island and McDonald Islands',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [],
    nationalNumberLengths: [],
    nationalPrefix: '',
    nationality: 'Heard and McDonald Islander',
    number: '334',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.unknown,
    startOfWeek: Week.monday,
    subregion: '',
    unLocode: 'HM',
    unofficialNames: [
      'Heard and McDonald Islands',
      'Heard und die McDonaldinseln',
      'ハード島とマクドナルド諸島',
      'Heard- en McDonaldeilanden',
      'Heard Island and McDonald Islands'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Heard Island and McDonald Islands",
      "af": "Heard- en McDonaldeilande",
      "ak": "Heard Island and McDonald Islands",
      "am": "Heard Island and McDonald Islands",
      "an": "Heard Island and McDonald Islands",
      "ar": "جزيرة هيرد وجزر مَكْدونالد",
      "as": "হাৰ্ড দ্বীপ আৰু মেকডোনাল্ড দ্বীপপুঞ্জ",
      "ay": "Heard Island and McDonald Islands",
      "az": "Heard Island and McDonald Islands",
      "ba": "Heard Island and McDonald Islands",
      "be": "Востраў Херд і Астравы Макдоналд",
      "bg": "Острови Хърд и МакДоналд",
      "bi": "Heard Island and McDonald Islands",
      "bn": "হার্ড দ্বীপ ও ম্যাকডোনাল্ড দ্বীপপুঞ্জ",
      "bn_IN": "হার্ড দ্বীপ ও ম্যাকডোনাল্ড দ্বীপপুঞ্জ",
      "br": "Enez Heard hag Inizi McDonald",
      "bs": "Heard Ostrvo i McDonald Ostrva",
      "ca": "Illa Heard i Illes McDonald",
      "ce": "Heard Island and McDonald Islands",
      "ch": "Heard Island and McDonald Islands",
      "cs": "Heardův a McDonaldovy ostrovy",
      "cv": "Heard Island and McDonald Islands",
      "cy": "Ynys Heard ac Ynysoedd McDonald",
      "da": "Heard-øen og McDonald-øerne",
      "de": "Heard und McDonaldinseln",
      "dv": "Heard Island and McDonald Islands",
      "dz": "ཧརཌ་མཚོ་གླིང་དང་ཨེམ་སི་ ཌའུན་ལེནཌ་ མཚོ་གལིང།",
      "ee": "Heard Island and McDonald Islands",
      "el": "Νήσος Χερντ και Νήσοι ΜακΝτόναλντ",
      "en": "Heard Island and McDonald Islands",
      "eo": "Herda kaj Makdonaldaj Insuloj",
      "es": "Islas Heard y McDonald",
      "et": "Heard ja McDonald",
      "eu": "Heard eta McDonald uharteak",
      "fa": "جزیرهٔ هرد و جزایر مک‌دونالد",
      "ff": "Heard Island and McDonald Islands",
      "fi": "Heard ja McDonaldinsaaret",
      "fo": "Heard Island and McDonald Islands",
      "fr": "Îles Heard-et-MacDonald",
      "fy": "Heardeilân en McDonaldeilannen",
      "ga": "Oileán Heard agus Oileáin McDonald",
      "gl": "Illa Heard e Illas McDonald",
      "gn": "Heard Island and McDonald Islands",
      "gu": "હેર્ડ ટાપુઓ અને મેકડોનાલ્ડ ટાપુઓ",
      "gv": "Ellan Heard as Ellanyn McDonald",
      "ha": "Heard Island and McDonald Islands",
      "he": "האי הרד ואיי מקדונלד",
      "hi": "हर्ड द्वीप और मैकडोनाल्ड द्वीप",
      "hr": "Otok Heard i otočje McDonald",
      "ht": "Heard Island and McDonald Islands",
      "hu": "Heard-sziget és McDonald-szigetek",
      "hy": "Հերդ և Մակդոնալդ Կղզիներ",
      "ia": "Insula Heard e Insulas McDonald",
      "id": "Pulau Heard dan Kepulauan McDonald",
      "io": "Heard Island and McDonald Islands",
      "is": "Heard og McDonaldseyjar",
      "it": "Isole Heard e McDonald",
      "iu": "Heard Island and McDonald Islands",
      "ja": "ハード島及びマクドナルド諸島",
      "ka": "ჰერდის და მაკდონალდის კუნძულები",
      "ki": "Heard Island and McDonald Islands",
      "kk": "Хеард пен Макдональд аралдары",
      "kl": "Heard Island and McDonald Islands",
      "km": "កោះ​ហ៊ើដ និង កោះ​ម៉ាកដូណាល់",
      "kn": "ಹರ್ಡ್ ದ್ವೀಪ ಮತ್ತು ಮೆಕ್ ಡೊನಾಲ್ಡ್ ದ್ವೀಪಗಳು",
      "ko": "허드 맥도널드 제도",
      "ku": "Giravên Heard û McDonald",
      "kv": "Heard Island and McDonald Islands",
      "kw": "Heard Island and McDonald Islands",
      "ky": "Херд аралы жана МакДональд аралдары",
      "lo": "Heard Island and McDonald Islands",
      "lt": "Herdo ir Makdonaldo salos",
      "lv": "Hērda Sala un Makdonalda Salas",
      "mi": "Heard Island and McDonald Islands",
      "mk": "Херд острови и Мекдоналд острови",
      "ml": "ഹെര്‍ഡ് ദ്വീപും മക്ഡൊണാള്‍ഡ് ദ്വീപുകളും",
      "mn": "Heard Island and McDonald Islands",
      "mr": "हर्ड आयलॅंड आणी मॅकडोनाल्ड आयलॅंडस्",
      "ms": "Pulau Heard dan Kepulauan McDonald",
      "mt": "Gżejjer Heard u McDonald",
      "my": "Heard Island and McDonald Islands",
      "na": "Heard Island and McDonald Islands",
      "nb": "Heard- og McDonaldøyene",
      "ne": "हर्ड टापु र एमसी डोनाल्ड टापु",
      "nl": "Heardeiland en McDonaldeilanden",
      "nn": "Heard- og McDonaldøyane",
      "nv": "Heard Island and McDonald Islands",
      "oc": "Heard Island and McDonald Islands",
      "or": "ହାର୍ଡ ଦ୍ୱୀପ ଏବଂ ମାକ ଡନାଲ୍ଡ ଦ୍ୱୀପ",
      "pa": "ਹਾਰਡ ਟਾਪੂ ਅਤੇ ਮੈਕਡਾਨਲਡ ਟਾਪੂ",
      "pi": "Heard Island and McDonald Islands",
      "pl": "Wyspy Heard i McDonalda",
      "ps": "Heard Island and McDonald Islands",
      "pt": "Ilha Heard e Ilhas McDonald",
      "pt_BR": "Ilha Heard e Ilhas McDonald",
      "ro": "Insula Heard și Insulele McDonald",
      "ru": "Остров Херд и острова МакДональд",
      "rw": "Icyirwa Hadi n'Ibirwa MakeDonalidi",
      "sc": "Ìsulas Heard e McDonald",
      "sd": "Heard Island and McDonald Islands",
      "si": "හර්ඩ් හා මැක්ඩොනල්ඩ් දූපත්",
      "sk": "Heardov ostrov",
      "sl": "Otoki Heard in McDonald",
      "so": "Heard Island and McDonald Islands",
      "sq": "Ishulli Hërd dhe Ishujt MkDonald",
      "sr": "Острво Херд и острва Мекдоналд",
      "sv": "Heardön och McDonaldöarna",
      "sw": "Heard Island and McDonald Islands",
      "ta": "ஹெர்ட் தீவு மற்றும் மெக் டொனால்ட் தீவுகள்",
      "te": "హర్డ ఐలాండ్ మరియు మెక్‌డోనాల్డ్ ఐలాండ్స్",
      "tg": "Ҷазираи Ҳерд ва Ҷазираҳои Макдоналд",
      "th": "เกาะเฮิร์ดและหมู่เกาะแมกดอนัลด์",
      "ti": "Heard Island and McDonald Islands",
      "tk": "Herd adasy we Makdonald adalary",
      "tl": "Heard Island at McDonald Islands",
      "tr": "Heard Adası ve McDonald Adaları",
      "tt": "Heard Island and McDonald Islands",
      "ug": "خېرد ئارىلى ۋە ماك-دونالد ئارىلى",
      "uk": "Острів Герд і острови Макдональд",
      "ur": "جزیرہ ہرڈ و جزائر مکڈونلڈ",
      "uz": "Heard Island and McDonald Islands",
      "ve": "Heard Island and McDonald Islands",
      "vi": "Đảo He-ợ-đợ và Quần Đảo Mợc-đo-nậ-đợ",
      "wa": "Iyeas Heard et McDonald",
      "wo": "Heard Island and McDonald Islands",
      "xh": "Heard Island and McDonald Islands",
      "yo": "Erékùṣù Heard àti Àwọn Erékùṣù McDonald",
      "zh_CN": "赫德岛与麦克唐纳群岛",
      "zh_HK": "德島及麥當勞羣島",
      "zh_TW": "赫德島及麥當勞群島",
      "zu": "Heard Island and McDonald Islands"
    },
  );

  /// Country: The Republic of Honduras
  static const Country hnd = Country(
    alpha2: 'HN',
    alpha3: 'HND',
    continent: Continent.northAmerica,
    countryCode: '504',
    currencyCode: 'HNL',
    gec: 'HO',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 15.199999,
        longitude: -86.241905,
      ),
      maxCoordinate: Coordinate(
        latitude: 17.4677999,
        longitude: -83.0621001,
      ),
      minCoordinate: Coordinate(
        latitude: 12.9808201,
        longitude: -89.3564822,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 17.4677999,
          longitude: -83.0621001,
        ),
        southwest: Coordinate(
          latitude: 12.9808201,
          longitude: -89.3564822,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'HON',
    isoLongName: 'The Republic of Honduras',
    isoShortName: 'Honduras',
    languagesOfficial: ['es'],
    languagesSpoken: ['es'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8],
    nationalPrefix: 'None',
    nationality: 'Honduran',
    number: '340',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Central America',
    unLocode: 'HN',
    unofficialNames: ['Honduras', 'ホンジュラス'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Honduras",
      "af": "Honduras",
      "ak": "Honduras",
      "am": "Honduras",
      "an": "Honduras",
      "ar": "هندوراس",
      "as": "হণ্ডুৰাছ",
      "ay": "Honduras",
      "az": "Honduras",
      "ba": "Honduras",
      "be": "Гандурас",
      "bg": "Хондурас",
      "bi": "Honduras",
      "bn": "হন্ডুরাস",
      "bn_IN": "হন্ডুরাস",
      "br": "Honduras",
      "bs": "Honduras",
      "ca": "Hondures",
      "ce": "Гондурас",
      "ch": "Honduras",
      "cs": "Honduras",
      "cv": "Гондурас",
      "cy": "Honduras",
      "da": "Honduras",
      "de": "Honduras",
      "dv": "ހޮންޑިއުރަސް",
      "dz": "ཧཱོན་ཌུ་རཱསི།",
      "ee": "Honduras",
      "el": "Ονδούρα",
      "en": "Honduras",
      "eo": "Honduro",
      "es": "Honduras",
      "et": "Honduras",
      "eu": "Honduras",
      "fa": "هندوراس",
      "ff": "Honduras",
      "fi": "Honduras",
      "fo": "Honduras",
      "fr": "Honduras",
      "fy": "Hondueras",
      "ga": "Hondúras",
      "gl": "Honduras",
      "gn": "Honduras",
      "gu": "હોન્ડુરાસ",
      "gv": "Ny Hondooraghyn",
      "ha": "Honduras",
      "he": "הונדורס",
      "hi": "हौण्डुरस",
      "hr": "Honduras",
      "ht": "Ondiras",
      "hu": "Honduras",
      "hy": "Հոնդուրաս",
      "ia": "Honduras",
      "id": "Honduras",
      "io": "Honduras",
      "is": "Hondúras",
      "it": "Honduras",
      "iu": "Honduras",
      "ja": "ホンジュラス",
      "ka": "ჰონდურასი",
      "ki": "Honduras",
      "kk": "Гондурас",
      "kl": "Honduras",
      "km": "ហុងឌូរ៉ាស់",
      "kn": "ಹೊಂಡುರಾಸ್",
      "ko": "온두라스",
      "ku": "Honduras",
      "kv": "Гондурас",
      "kw": "Hondouras",
      "ky": "Гондурас",
      "lo": "Honduras",
      "lt": "Hondūras",
      "lv": "Hondurasa",
      "mi": "Honduras",
      "mk": "Хондурас",
      "ml": "ഹോണ്ടുറാസ്",
      "mn": "Гондурас",
      "mr": "होंडुरास",
      "ms": "Honduras",
      "mt": "Ħonduras",
      "my": "ဟွန်ဒူးရပ်စ်နိုင်ငံ",
      "na": "Ondurat",
      "nb": "Honduras",
      "ne": "हन्डुरस्",
      "nl": "Honduras",
      "nn": "Honduras",
      "nv": "Honduras",
      "oc": "Honduras",
      "or": "ହୋଣ୍ଡୁରାସ",
      "pa": "ਹਾਨਡੂਰਸ",
      "pi": "हांडूरस",
      "pl": "Honduras",
      "ps": "هانډوراس",
      "pt": "Honduras",
      "pt_BR": "Honduras",
      "ro": "Honduras",
      "ru": "Гондурас",
      "rw": "Hondurasi",
      "sc": "Honduras",
      "sd": "Honduras",
      "si": "හොන්ඩුරාස්",
      "sk": "Honduras",
      "sl": "Honduras",
      "so": "Honduras",
      "sq": "Honduras",
      "sr": "Хондурас",
      "sv": "Honduras",
      "sw": "Honduras",
      "ta": "ஹோன்டுராஸ்",
      "te": "హోండురస్",
      "tg": "Ҳондурас",
      "th": "ฮอนดูรัส",
      "ti": "ሆንዱራስ",
      "tk": "Gonduras",
      "tl": "Honduras",
      "tr": "Honduras",
      "tt": "Һондурас",
      "ug": "ھوندۇراس",
      "uk": "Гондурас",
      "ur": "ہونڈوراس",
      "uz": "Gonduras",
      "ve": "Honduras",
      "vi": "Hôn-đu-ra-xợ",
      "wa": "Honduras",
      "wo": "Onduuras",
      "xh": "Honduras",
      "yo": "Họ̀ndúràs",
      "zh_CN": "洪都拉斯",
      "zh_HK": "洪都拉斯",
      "zh_TW": "宏都拉斯",
      "zu": "I-Hondurasi"
    },
  );

  /// Country: The Republic of Croatia
  static const Country hrv = Country(
    alpha2: 'HR',
    alpha3: 'HRV',
    continent: Continent.europe,
    countryCode: '385',
    currencyCode: 'EUR',
    gec: 'HR',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 45.1,
        longitude: 15.2000001,
      ),
      maxCoordinate: Coordinate(
        latitude: 46.5549857,
        longitude: 19.4480523,
      ),
      minCoordinate: Coordinate(
        latitude: 42.3385087,
        longitude: 13.3649,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 46.5549857,
          longitude: 19.4480523,
        ),
        southwest: Coordinate(
          latitude: 42.3385087,
          longitude: 13.3649,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'CRO',
    isoLongName: 'The Republic of Croatia',
    isoShortName: 'Croatia',
    languagesOfficial: ['hr'],
    languagesSpoken: ['hr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '0',
    nationality: 'Croatian',
    number: '191',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Southern Europe',
    unLocode: 'HR',
    unofficialNames: [
      'Croatia',
      'Kroatien',
      'Croatie',
      'Croacia',
      'クロアチア',
      'Kroatië',
      'Croatia (Hrvatska)'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 25.0,
      reduced: [5.0, 13.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Croatia",
      "af": "Kroasië",
      "ak": "Croatia",
      "am": "ጤስጔቄ።",
      "an": "Croatia",
      "ar": "كرواتيا",
      "as": "ক্ৰোয়েছিয়া",
      "ay": "Croatia",
      "az": "Xırvatıstan",
      "ba": "Croatia",
      "be": "Харватыя",
      "bg": "Хърватия",
      "bi": "Croatia",
      "bn": "ক্রোয়েশিয়া",
      "bn_IN": "ক্রোয়েশিয়া",
      "br": "Kroatia",
      "bs": "Hrvatska",
      "ca": "Croàcia",
      "ce": "Хорвати",
      "ch": "Croatia",
      "cs": "Chorvatsko",
      "cv": "Хорвати",
      "cy": "Croatia",
      "da": "Kroatien",
      "de": "Kroatien",
      "dv": "ކުރޮއޭޝިއާ",
      "dz": "ཀོརོ་ཤི་ཡ།",
      "ee": "Croatia",
      "el": "Κροατία",
      "en": "Croatia",
      "eo": "Kroatio",
      "es": "Croacia",
      "et": "Horvaatia",
      "eu": "Kroazia",
      "fa": "کرواسی",
      "ff": "Korowaasiya",
      "fi": "Kroatia",
      "fo": "Kroatia",
      "fr": "Croatie",
      "fy": "Kroaasje",
      "ga": "An Chróit",
      "gl": "Croacia",
      "gn": "Croatia",
      "gu": "ક્રોએશિયા",
      "gv": "Yn Chroit",
      "ha": "Kroatiya",
      "he": "קרואטיה",
      "hi": "क्रोएशिया",
      "hr": "Hrvatska",
      "ht": "Kroasi",
      "hu": "Horvátország",
      "hy": "Խորվաթիա",
      "ia": "Croatia",
      "id": "Kroasia",
      "io": "Kroatia",
      "is": "Króatía",
      "it": "Croazia",
      "iu": "Croatia",
      "ja": "クロアチア",
      "ka": "ჰორვატია",
      "ki": "Croatia",
      "kk": "Хорватия",
      "kl": "Croatia",
      "km": "ក្រូអាត",
      "kn": "ಕ್ರೊಏಶಿಯಾ",
      "ko": "크로아티아",
      "ku": "Hirvatistan",
      "kv": "Хорватия",
      "kw": "Kroati",
      "ky": "Хорватия",
      "lo": "ປະເທດກະໂລອາຊີ",
      "lt": "Kroatija",
      "lv": "Horvātija",
      "mi": "Koroātia",
      "mk": "Хрватска",
      "ml": "ക്രോയേഷ്യ",
      "mn": "Хорват",
      "mr": "क्रोशिया",
      "ms": "Kroatia",
      "mt": "Kroazja",
      "my": "ခရိုအေးရှားနိုင်ငံ",
      "na": "Kroaitsiya",
      "nb": "Kroatia",
      "ne": "क्रोएशिया",
      "nl": "Kroatië",
      "nn": "Kroatia",
      "nv": "Kwóóʼad Bikéyah",
      "oc": "Croàcia",
      "or": "କ୍ରୋଏଶିଆ",
      "pa": "ਕਰੋਟੀਆ",
      "pi": "क्रोएशिया",
      "pl": "Chorwacja",
      "ps": "کروواسيا",
      "pt": "Croácia",
      "pt_BR": "Croácia",
      "ro": "Croația",
      "ru": "Хорватия",
      "rw": "Korowatiya",
      "sc": "Croàtzia",
      "sd": "Croatia",
      "si": "ක්‍රෝශියා",
      "sk": "Chorvátsko",
      "sl": "Hrvaška",
      "so": "Korweeshiya",
      "sq": "Kroaci",
      "sr": "Хрватска",
      "sv": "Kroatien",
      "sw": "Croatia",
      "ta": "குரோவேசியா",
      "te": "క్రోటియా",
      "tg": "Хорватия",
      "th": "โครเอเชีย",
      "ti": "ክሮኤሽያ",
      "tk": "Horwatiýa",
      "tl": "Croatia",
      "tr": "Hırvatistan",
      "tt": "Кроатиа",
      "ug": "كىرودىيە",
      "uk": "Хорватія",
      "ur": "کروشیا",
      "uz": "Xorvatiya",
      "ve": "Croatia",
      "vi": "Cợ-rô-a-ti-a",
      "wa": "Crowåceye",
      "wo": "Korwaasi",
      "xh": "Croatia",
      "yo": "Kroatíà",
      "zh_CN": "克罗地亚",
      "zh_HK": "克羅地亞",
      "zh_TW": "克羅埃西亞",
      "zu": "IKrowati"
    },
  );

  /// Country: The Republic of Haiti
  static const Country hti = Country(
    alpha2: 'HT',
    alpha3: 'HTI',
    continent: Continent.northAmerica,
    countryCode: '509',
    currencyCode: 'HTG',
    gec: 'HA',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 18.971187,
        longitude: -72.285215,
      ),
      maxCoordinate: Coordinate(
        latitude: 20.1282,
        longitude: -71.621754,
      ),
      minCoordinate: Coordinate(
        latitude: 17.9422,
        longitude: -74.6082,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 20.1282,
          longitude: -71.621754,
        ),
        southwest: Coordinate(
          latitude: 17.9422,
          longitude: -74.6082,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'HAI',
    isoLongName: 'The Republic of Haiti',
    isoShortName: 'Haiti',
    languagesOfficial: ['fr', 'ht'],
    languagesSpoken: ['fr', 'ht'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Haitian',
    number: '332',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'HT',
    unofficialNames: ['Haiti', 'ハイチ', 'Haïti'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Haiti",
      "af": "Haïti",
      "ak": "Haiti",
      "am": "ሀ፤ቲ",
      "an": "Haiti",
      "ar": "هايتي",
      "as": "হাইতি",
      "ay": "Haiti",
      "az": "Haiti",
      "ba": "Haiti",
      "be": "Гаіці",
      "bg": "Хаити",
      "bi": "Haiti",
      "bn": "হাইতি",
      "bn_IN": "হাইতি",
      "br": "Republik Haiti",
      "bs": "Haiti",
      "ca": "Haití",
      "ce": "Гаити Пачхьалкх",
      "ch": "Haiti",
      "cs": "Haiti",
      "cv": "Гаити Пачхьалкх",
      "cy": "Haiti",
      "da": "Haiti",
      "de": "Haiti",
      "dv": "ހެއިޓީ",
      "dz": "ཧའི་ཏི།",
      "ee": "Haiti",
      "el": "Αϊτή",
      "en": "Haiti",
      "eo": "Haitio",
      "es": "Haití",
      "et": "Haiti",
      "eu": "Haiti",
      "fa": "هاییتی",
      "ff": "Haiti",
      "fi": "Haiti",
      "fo": "Haiti",
      "fr": "Haïti",
      "fy": "Haïty",
      "ga": "Háítí",
      "gl": "Haití",
      "gn": "Haiti",
      "gu": "હૈતી",
      "gv": "Haiti",
      "ha": "Haiti",
      "he": "האיטי",
      "hi": "हैती",
      "hr": "Haiti",
      "ht": "Ayiti",
      "hu": "Haiti",
      "hy": "Հաիթի",
      "ia": "Haiti",
      "id": "Haiti",
      "io": "Haiti",
      "is": "Haítí",
      "it": "Haiti",
      "iu": "Haiti",
      "ja": "ハイチ",
      "ka": "ჰაიტი",
      "ki": "Haiti",
      "kk": "Гаити",
      "kl": "Haiti",
      "km": "ហៃទី",
      "kn": "ಹೈಟಿ",
      "ko": "아이티",
      "ku": "Haîtî",
      "kv": "Гаити",
      "kw": "Hayti",
      "ky": "Гаити Республикасы",
      "lo": "Haiti",
      "lt": "Haitis",
      "lv": "Haiti",
      "mi": "Haiti",
      "mk": "Хаити",
      "ml": "ഹൈതി",
      "mn": "Гайти",
      "mr": "हैती",
      "ms": "Haiti",
      "mt": "Ħaiti",
      "my": "ဟေတီနိုင်ငံ",
      "na": "Aiti",
      "nb": "Haiti",
      "ne": "हैटि",
      "nl": "Haïti",
      "nn": "Haiti",
      "nv": "Haiti",
      "oc": "Haití",
      "or": "ହୈତି",
      "pa": "ਹਾਈਟੀ",
      "pi": "हेटी",
      "pl": "Haiti",
      "ps": "هایتي",
      "pt": "Haiti",
      "pt_BR": "Haiti",
      "ro": "Haiti",
      "ru": "Гаити",
      "rw": "Hayiti",
      "sc": "Haiti",
      "sd": "هيٽي",
      "si": "හයිටි",
      "sk": "Haiti",
      "sl": "Haiti",
      "so": "Haiti",
      "sq": "Haiti",
      "sr": "Хаити",
      "sv": "Haiti",
      "sw": "Haiti",
      "ta": "கையிட்டி",
      "te": "హైతీ",
      "tg": "Ҳоити",
      "th": "เฮติ",
      "ti": "ሀይቲ",
      "tk": "Gaiti",
      "tl": "Haiti",
      "tr": "Haiti",
      "tt": "Һаити",
      "ug": "ھايتى",
      "uk": "Гаїті",
      "ur": "ہیٹی",
      "uz": "Gaiti",
      "ve": "Haiti",
      "vi": "Ha-i-ti",
      "wa": "Hayiti",
      "wo": "Aayti",
      "xh": "Haiti",
      "yo": "Hàítì",
      "zh_CN": "海地",
      "zh_HK": "海地",
      "zh_TW": "海地",
      "zu": "Haiti"
    },
  );

  /// Country: Hungary
  static const Country hun = Country(
    alpha2: 'HU',
    alpha3: 'HUN',
    continent: Continent.europe,
    countryCode: '36',
    currencyCode: 'HUF',
    gec: 'HU',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 47.162494,
        longitude: 19.5033041,
      ),
      maxCoordinate: Coordinate(
        latitude: 48.585234,
        longitude: 22.8965438,
      ),
      minCoordinate: Coordinate(
        latitude: 45.7370889,
        longitude: 16.1133078,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 48.585234,
          longitude: 22.8965438,
        ),
        southwest: Coordinate(
          latitude: 45.7370889,
          longitude: 16.1133078,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'HUN',
    isoLongName: 'Hungary',
    isoShortName: 'Hungary',
    languagesOfficial: ['hu'],
    languagesSpoken: ['hu'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9],
    nationalPrefix: '06',
    nationality: 'Hungarian',
    number: '348',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Eastern Europe',
    unLocode: 'HU',
    unofficialNames: [
      'Hungary',
      'Ungarn',
      'Hongrie',
      'Hungría',
      'ハンガリー',
      'Hongarije'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{city}}
{{street}}
{{postalcode}}
{{country}}''',
    vatRates: VatRates(
      standard: 27.0,
      reduced: [5.0, 18.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Hungary",
      "af": "Hongarye",
      "ak": "Hungary",
      "am": "ሀንጒሱ",
      "an": "Hungary",
      "ar": "المجر (هنغاريا)",
      "as": "হাংগেৰী",
      "ay": "Hungary",
      "az": "Macarıstan",
      "ba": "Hungary",
      "be": "Венгрыя",
      "bg": "Унгария",
      "bi": "Hungary",
      "bn": "হাঙ্গেরি",
      "bn_IN": "হাঙ্গেরি",
      "br": "Hungaria",
      "bs": "Mađarska",
      "ca": "Hongria",
      "ce": "Венгри",
      "ch": "Hungary",
      "cs": "Maďarsko",
      "cv": "Венгри",
      "cy": "Hwngari",
      "da": "Ungarn",
      "de": "Ungarn",
      "dv": "ހަންގޭރީ",
      "dz": "ཧང་ག་རི།",
      "ee": "Hungary",
      "el": "Ουγγαρία",
      "en": "Hungary",
      "eo": "Hungario",
      "es": "Hungría",
      "et": "Ungari",
      "eu": "Hungaria",
      "fa": "مجارستان",
      "ff": "Hunngariya",
      "fi": "Unkari",
      "fo": "Ungarn",
      "fr": "Hongrie",
      "fy": "Hongarije",
      "ga": "An Ungáir",
      "gl": "Hungría",
      "gn": "Hungary",
      "gu": "હંગેરી",
      "gv": "Yn Ungaar",
      "ha": "Hungariya",
      "he": "הונגריה",
      "hi": "हंगरी",
      "hr": "Mađarska",
      "ht": "Ongri",
      "hu": "Magyarország",
      "hy": "Հունգարիա",
      "ia": "Hungaria",
      "id": "Hongaria",
      "io": "Hungaria",
      "is": "Ungverjaland",
      "it": "Ungheria",
      "iu": "Hungary",
      "ja": "ハンガリー",
      "ka": "უნგრეთი",
      "ki": "Macartsa",
      "kk": "Венгрия",
      "kl": "Hungary",
      "km": "ហុងគ្រី",
      "kn": "ಹಂಗರಿ",
      "ko": "헝가리",
      "ku": "Macaristan",
      "kv": "Мадьяр Му",
      "kw": "Hungari",
      "ky": "Мажарстан",
      "lo": "ປະເທດຮົງກະລີ",
      "lt": "Vengrija",
      "lv": "Ungārija",
      "mi": "Hanekari",
      "mk": "Унгарија",
      "ml": "ഹംഗറി",
      "mn": "Унгар",
      "mr": "हंगेरी",
      "ms": "Hungari",
      "mt": "Ungerija",
      "my": "ဟန်ဂေရီနိုင်ငံ",
      "na": "Ungari",
      "nb": "Ungarn",
      "ne": "हङ्गेरी",
      "nl": "Hongarije",
      "nn": "Ungarn",
      "nv": "Hángewii",
      "oc": "Ongria",
      "or": "ହଙ୍ଗାରୀ",
      "pa": "ਹੰਗਰੀ",
      "pi": "हंगरी",
      "pl": "Węgry",
      "ps": "مجارستان",
      "pt": "Hungria",
      "pt_BR": "Hungria",
      "ro": "Ungaria",
      "ru": "Венгрия",
      "rw": "Hongiriya",
      "sc": "Ungheria",
      "sd": "Hungary",
      "si": "හංගේරියාව",
      "sk": "Maďarsko",
      "sl": "Madžarska",
      "so": "Hangeri",
      "sq": "Hungari",
      "sr": "Мађарска",
      "sv": "Ungern",
      "sw": "Hungary",
      "ta": "ஹங்கேரி",
      "te": "హంగేరీ",
      "tg": "Маҷористон",
      "th": "ฮังการี",
      "ti": "ሀንጋሪ",
      "tk": "Wengriýa",
      "tl": "Hungary",
      "tr": "Macaristan",
      "tt": "Маҗарстан",
      "ug": "ۋېنگىرىيە",
      "uk": "Угорщина",
      "ur": "مجارستان",
      "uz": "Mojariston",
      "ve": "Hungary",
      "vi": "Hun-ga-ri",
      "wa": "Hongreye",
      "wo": "Oonguri",
      "xh": "Hungary",
      "yo": "Húngárì",
      "zh_CN": "匈牙利",
      "zh_HK": "匈牙利",
      "zh_TW": "匈牙利",
      "zu": "I-Hungariya"
    },
  );

  /// Country: The Republic of Indonesia
  static const Country idn = Country(
    alpha2: 'ID',
    alpha3: 'IDN',
    continent: Continent.asia,
    countryCode: '62',
    currencyCode: 'IDR',
    gec: 'ID',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -0.789275,
        longitude: 113.921327,
      ),
      maxCoordinate: Coordinate(
        latitude: 6.216999899999999,
        longitude: 141.0425,
      ),
      minCoordinate: Coordinate(
        latitude: -11.1082999,
        longitude: 94.7351,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 6.216999899999999,
          longitude: 141.0425,
        ),
        southwest: Coordinate(
          latitude: -11.1082999,
          longitude: 94.7351,
        ),
      ),
    ),
    internationalPrefix: '001',
    ioc: 'INA',
    isoLongName: 'The Republic of Indonesia',
    isoShortName: 'Indonesia',
    languagesOfficial: ['id'],
    languagesSpoken: ['id'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9, 10, 11],
    nationalPrefix: '0',
    nationality: 'Indonesian',
    number: '360',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'South-Eastern Asia',
    unLocode: 'ID',
    unofficialNames: [
      'Indonesia',
      'Indonesien',
      'Indonésie',
      'インドネシア',
      'Indonesië'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: '''{{recipient}}
{{street}}
{{city}}
{{region}} {{postalcode}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Indonesia",
      "af": "Indonesië",
      "ak": "Indonesia",
      "am": "ጒን፦ኔፒ።",
      "an": "Indonesia",
      "ar": "إندونيسيا",
      "as": "ইণ্ডোনেছিয়া",
      "ay": "Indonesia",
      "az": "İndoneziya",
      "ba": "Indonesia",
      "be": "Інданезія",
      "bg": "Индонезия",
      "bi": "Indonesia",
      "bn": "ইন্দোনেশিয়া",
      "bn_IN": "ইন্দোনেশিয়া",
      "br": "Indonezia",
      "bs": "Indonezija",
      "ca": "Indonèsia",
      "ce": "Индонези",
      "ch": "Indonesia",
      "cs": "Indonésie",
      "cv": "Индонези",
      "cy": "Indonesia",
      "da": "Indonesien",
      "de": "Indonesien",
      "dv": "އިންޑޮނޭޝިޔާ",
      "dz": "ཨིན་ཌོ་ནེ་ཤི་ཡ།",
      "ee": "Indonesia",
      "el": "Ινδονησία",
      "en": "Indonesia",
      "eo": "Indonezio",
      "es": "Indonesia",
      "et": "Indoneesia",
      "eu": "Indonesia",
      "fa": "اندونزی",
      "ff": "Indonesia",
      "fi": "Indonesia",
      "fo": "Indonesia",
      "fr": "Indonésie",
      "fy": "Yndoneezje",
      "ga": "An Indinéis",
      "gl": "Indonesia",
      "gn": "Indonesia",
      "gu": "ઇન્ડોનેશિયા",
      "gv": "Yn Indoneesh",
      "ha": "Indonesiya",
      "he": "אינדונזיה",
      "hi": "इंडोनेशिया",
      "hr": "Indonezija",
      "ht": "Endonezi",
      "hu": "Indonézia",
      "hy": "Ինդոնեզիա",
      "ia": "Indonesia",
      "id": "Indonesia",
      "io": "Indonezia",
      "is": "Indónesía",
      "it": "Indonesia",
      "iu": "ᐄᓅᓯᐊ",
      "ja": "インドネシア",
      "ka": "ინდონეზია",
      "ki": "Indonesia",
      "kk": "Индонезия",
      "kl": "Indonesia",
      "km": "ឥណ្ឌូនេស៊ី",
      "kn": "ಇಂಡೋನೇಶಿಯಾ",
      "ko": "인도네시아",
      "ku": "Endonezya",
      "kv": "Индонезия",
      "kw": "Indonesi",
      "ky": "Индонезия",
      "lo": "ປະເທດອິນໂດເນເຊຍ",
      "lt": "Indonezija",
      "lv": "Indonēzija",
      "mi": "Initonīhia",
      "mk": "Индонезија",
      "ml": "ഇന്തോനേഷ്യ",
      "mn": "Индонез",
      "mr": "इंडोनेशिया",
      "ms": "Indonesia",
      "mt": "Indoneżja",
      "my": "အင်ဒိုနီးရှားနိုင်ငံ",
      "na": "Indonitsiya",
      "nb": "Indonesia",
      "ne": "इन्डोनेसिया",
      "nl": "Indonesië",
      "nn": "Indonesia",
      "nv": "Kéyah Dah Ndaaʼeełí Łání",
      "oc": "Indonesia",
      "or": "ଇଣ୍ଡୋନେଶିୟା",
      "pa": "ਇੰਡੋਨੇਸ਼ੀਆ",
      "pi": "इन्दोनेशिया",
      "pl": "Indonezja",
      "ps": "اندونیزیا",
      "pt": "Indonésia",
      "pt_BR": "Indonésia",
      "ro": "Indonezia",
      "ru": "Индонезия",
      "rw": "Indonesiya",
      "sc": "Indonèsia",
      "sd": "انڊونيشيا",
      "si": "ඉන්දුනීසියාව",
      "sk": "Indonézia",
      "sl": "Indonezija",
      "so": "Indoneesiya",
      "sq": "Indonezi",
      "sr": "Индонезија",
      "sv": "Indonesien",
      "sw": "Indonesia",
      "ta": "இந்தோனேசியா",
      "te": "ఇండోనేషియా",
      "tg": "Индонезия",
      "th": "อินโดนีเซีย",
      "ti": "ኢንዶኔዢያ",
      "tk": "Indoneziýa",
      "tl": "Indonesia",
      "tr": "Endonezya",
      "tt": "İндонесиа",
      "ug": "ھىندونېزىيە",
      "uk": "Індонезія",
      "ur": "انڈونیشیا",
      "uz": "Indoneziya",
      "ve": "Indonesia",
      "vi": "Nam Dương",
      "wa": "Indonezeye",
      "wo": "Indoneesi",
      "xh": "Indonesia",
      "yo": "Indonésíà",
      "zh_CN": "印度尼西亚",
      "zh_HK": "印尼",
      "zh_TW": "印度尼西亞",
      "zu": "I-Indonesia"
    },
  );

  /// Country: Ireland
  static const Country irl = Country(
    alpha2: 'IE',
    alpha3: 'IRL',
    continent: Continent.europe,
    countryCode: '353',
    currencyCode: 'EUR',
    gec: 'EI',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 53.1423672,
        longitude: -7.692053599999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 55.38294149999999,
        longitude: -5.431909999999999,
      ),
      minCoordinate: Coordinate(
        latitude: 51.4475448,
        longitude: -10.4800237,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 55.38294149999999,
          longitude: -5.431909999999999,
        ),
        southwest: Coordinate(
          latitude: 51.4475448,
          longitude: -10.4800237,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'IRL',
    isoLongName: 'Ireland',
    isoShortName: 'Ireland',
    languagesOfficial: ['en', 'ga'],
    languagesSpoken: ['en', 'ga'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Irish',
    number: '372',
    postalCode: true,
    postalCodeFormat: r'[\dA-Z]{3} ?[\dA-Z]{4}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Northern Europe',
    unLocode: 'IE',
    unofficialNames: [
      'Ireland',
      'Irland',
      'Irlande',
      'Irlanda',
      'アイルランド',
      'Ierland'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{city}} {{region_short}} {{postalcode}}
{{country}}''',
    vatRates: VatRates(
      standard: 23.0,
      reduced: [9.0, 13.5],
      superReduced: 4.8,
      parking: 13.5,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Ireland",
      "af": "Ierland",
      "ak": "Ireland",
      "am": "ጐፘሴሒን፥",
      "an": "Ireland",
      "ar": "أيرلندا",
      "as": "আয়াৰ্লেণ্ড",
      "ay": "Ireland",
      "az": "İrlandiya",
      "ba": "Ireland",
      "be": "Ірландыя",
      "bg": "Ирландия",
      "bi": "Ireland",
      "bn": "আয়ারল্যান্ড",
      "bn_IN": "আয়ারল্যান্ড",
      "br": "Iwerzhon",
      "bs": "Irska",
      "ca": "Irlanda",
      "ce": "Ирланди",
      "ch": "Ireland",
      "cs": "Irsko",
      "cv": "Ирланди",
      "cy": "Iwerddon",
      "da": "Irland",
      "de": "Irland",
      "dv": "އަޔަލޭންޑުގެ ޖުމްހޫރިއްޔާ",
      "dz": "ཨའི་རི་ལེནཌི།",
      "ee": "Ireland",
      "el": "Ιρλανδία",
      "en": "Ireland",
      "eo": "Irlando",
      "es": "Irlanda",
      "et": "Iirimaa",
      "eu": "Irlanda",
      "fa": "ایرلند",
      "ff": "Irlannda",
      "fi": "Irlanti",
      "fo": "Írland",
      "fr": "Irlande",
      "fy": "Ierlân",
      "ga": "Éire",
      "gl": "Irlanda",
      "gn": "Ireland",
      "gu": "આયરલેન્ડ",
      "gv": "Pobblaght Nerin",
      "ha": "Ireland",
      "he": "אירלנד",
      "hi": "आयरलैण्ड",
      "hr": "Irska",
      "ht": "Ilann",
      "hu": "Írország",
      "hy": "Իռլանդիա",
      "ia": "Irlanda",
      "id": "Irlandia",
      "io": "Republiko di Irlando",
      "is": "Írland",
      "it": "Irlanda",
      "iu": "Ireland",
      "ja": "アイルランド",
      "ka": "ირლანდია",
      "ki": "Ireland",
      "kk": "Ирландия",
      "kl": "Ireland",
      "km": "អៀរឡង់",
      "kn": "ಐರ್ಲ್ಯಂಡ್",
      "ko": "아일랜드",
      "ku": "Îrlanda",
      "kv": "Ирландия",
      "kw": "Repoblek Wordhen",
      "ky": "Ирландия",
      "lo": "ປະເທດອຽກລັງ",
      "lt": "Airija",
      "lv": "Īrija",
      "mi": "Airangi",
      "mk": "Ирска",
      "ml": "അയര്‍ലണ്ട്",
      "mn": "Ирланд",
      "mr": "आयर्लंड",
      "ms": "Ireland",
      "mt": "Irlanda",
      "my": "အိုင်ယာလန်သမ္မတနိုင်ငံ",
      "na": "Ripubrikit Airerand",
      "nb": "Irland",
      "ne": "आयरल्याण्ड",
      "nl": "Ierland",
      "nn": "Irland",
      "nv": "Bitsiighaʼ Łichííʼí Bikéyah",
      "oc": "Irlanda",
      "or": "ଆୟରଲ୍ଯାଣ୍ଡ",
      "pa": "ਆਈਰਲੈਂਡ",
      "pi": "Ireland",
      "pl": "Irlandia",
      "ps": "د آيرلېنډ جمهوريت",
      "pt": "Irlanda",
      "pt_BR": "Irlanda",
      "ro": "Irlanda",
      "ru": "Ирландия",
      "rw": "Irilande",
      "sc": "Irlanda",
      "sd": "Ireland",
      "si": "අයර්ලන්තය",
      "sk": "Írsko",
      "sl": "Irska",
      "so": "Ayrlaanda",
      "sq": "Irlandë",
      "sr": "Ирска",
      "sv": "Irland",
      "sw": "Ireland",
      "ta": "அயர்லாந்து",
      "te": "ఐర్లాండ్",
      "tg": "Ирландия",
      "th": "ไอร์แลนด์",
      "ti": "አየርላንድ",
      "tk": "Irlandiýa",
      "tl": "Ireland",
      "tr": "İrlanda",
      "tt": "İреланд, İрландиа",
      "ug": "ئىرېلاندىيە",
      "uk": "Ірландія",
      "ur": "جمہوریہ آئرستان",
      "uz": "Irlandiya",
      "ve": "Ireland",
      "vi": "Ái Nhĩ Lan",
      "wa": "Irlande",
      "wo": "Irlaand",
      "xh": "Ireland",
      "yo": "Írẹ́lándì",
      "zh_CN": "爱尔兰",
      "zh_HK": "愛爾蘭",
      "zh_TW": "愛爾蘭",
      "zu": "I-Ayilendi"
    },
  );

  /// Country: The State of Israel
  static const Country isr = Country(
    alpha2: 'IL',
    alpha3: 'ISR',
    continent: Continent.asia,
    countryCode: '972',
    currencyCode: 'ILS',
    gec: 'IS',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 31.046051,
        longitude: 34.851612,
      ),
      maxCoordinate: Coordinate(
        latitude: 33.33280500000001,
        longitude: 35.896244,
      ),
      minCoordinate: Coordinate(
        latitude: 29.47969999999999,
        longitude: 34.2673871,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 33.33280500000001,
          longitude: 35.896244,
        ),
        southwest: Coordinate(
          latitude: 29.47969999999999,
          longitude: 34.2673871,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'ISR',
    isoLongName: 'The State of Israel',
    isoShortName: 'Israel',
    languagesOfficial: ['he', 'ar'],
    languagesSpoken: ['he', 'ar'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8, 9],
    nationalPrefix: '0',
    nationality: 'Israeli',
    number: '376',
    postalCode: true,
    postalCodeFormat: r'\d{5}(?:\d{2})?',
    region: Region.asia,
    startOfWeek: Week.sunday,
    subregion: 'Western Asia',
    unLocode: 'IL',
    unofficialNames: ['Israel', 'Israël', 'イスラエル'],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 17.0,
      reduced: [],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Israel",
      "af": "Israel",
      "ak": "Israel",
      "am": "ጕስሲጔሔ",
      "an": "Israel",
      "ar": "إسرائيل",
      "as": "ইজ্ৰাইল",
      "ay": "Israel",
      "az": "İsrail",
      "ba": "Israel",
      "be": "Ізраіль",
      "bg": "Израел",
      "bi": "Israel",
      "bn": "ইজরাইল",
      "bn_IN": "ইজরাইল",
      "br": "Israel",
      "bs": "Izrael",
      "ca": "Israel",
      "ce": "Израиль",
      "ch": "Israel",
      "cs": "Izrael",
      "cv": "Израиль",
      "cy": "Israel",
      "da": "Israel",
      "de": "Israel",
      "dv": "އިސްރާއީލު",
      "dz": "ཨིཛི་རེལ།",
      "ee": "Israel",
      "el": "Ισραήλ",
      "en": "Israel",
      "eo": "Israelo",
      "es": "Israel",
      "et": "Iisrael",
      "eu": "Israel",
      "fa": "اسراییل",
      "ff": "Israel",
      "fi": "Israel",
      "fo": "Ísrael",
      "fr": "Israël",
      "fy": "Israel",
      "ga": "Iosrael",
      "gl": "Israel",
      "gn": "Israel",
      "gu": "ઇઝરાયેલ",
      "gv": "Israel",
      "ha": "Isra'ila",
      "he": "ישראל",
      "hi": "इज़राइल",
      "hr": "Izrael",
      "ht": "Izrayèl",
      "hu": "Izrael",
      "hy": "Իսրայել",
      "ia": "Israel",
      "id": "Israel",
      "io": "Israel",
      "is": "Ísrael",
      "it": "Israele",
      "iu": "Israel",
      "ja": "イスラエル",
      "ka": "ისრაელი",
      "ki": "Israel",
      "kk": "Израиль",
      "kl": "Israel",
      "km": "អ៊ីស្រាអែល",
      "kn": "ಇಸ್ರೇಲ್",
      "ko": "이스라엘",
      "ku": "Îsraîl",
      "kv": "Израиль",
      "kw": "Ysrael",
      "ky": "Израиль",
      "lo": "Israel",
      "lt": "Izraelis",
      "lv": "Izraēla",
      "mi": "Iharaira",
      "mk": "Израел",
      "ml": "ഇസ്രായേല്‍",
      "mn": "Израйл",
      "mr": "इस्रायल",
      "ms": "Israel",
      "mt": "Iżrael",
      "my": "အစ္စရေးနိုင်ငံ",
      "na": "Iteraer",
      "nb": "Israel",
      "ne": "इज्रायल",
      "nl": "Israël",
      "nn": "Israel",
      "nv": "Ízrel Bikéyah",
      "oc": "Israel",
      "or": "ଇଜ୍ରାଇଲ",
      "pa": "ਇਜ਼ਰਾਈਲ",
      "pi": "इस्रैल",
      "pl": "Izrael",
      "ps": "اسرائیل",
      "pt": "Israel",
      "pt_BR": "Israel",
      "ro": "Israel",
      "ru": "Израиль",
      "rw": "Isirayeli",
      "sc": "Israele",
      "sd": "اسرائيل جي رياست",
      "si": "ඊශ්‍රායලය",
      "sk": "Izrael",
      "sl": "Izrael",
      "so": "Israa'iil",
      "sq": "Izrael",
      "sr": "Израел",
      "sv": "Israel",
      "sw": "Israel",
      "ta": "இஸ்ரேல்",
      "te": "ఇస్రాయిల్",
      "tg": "Исроил",
      "th": "อิสราเอล",
      "ti": "እስራኤል",
      "tk": "Izraýyl",
      "tl": "Israel",
      "tr": "İsrail",
      "tt": "İсраел",
      "ug": "ئىسرائىلىيە",
      "uk": "Ізраїль",
      "ur": "اسرائیل",
      "uz": "Isroil",
      "ve": "Israel",
      "vi": "Do Thái",
      "wa": "Israyel",
      "wo": "Israayil",
      "xh": "Sirayeli",
      "yo": "Ísráẹ́lì",
      "zh_CN": "以色列",
      "zh_HK": "以色列",
      "zh_TW": "以色列",
      "zu": "Isreyili"
    },
  );

  /// Country: The Isle of Man
  static const Country imn = Country(
    alpha2: 'IM',
    alpha3: 'IMN',
    continent: Continent.europe,
    countryCode: '44',
    currencyCode: 'GBP',
    gec: 'IM',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 54.236107,
        longitude: -4.548056,
      ),
      maxCoordinate: Coordinate(
        latitude: 54.4369363,
        longitude: -4.270618199999999,
      ),
      minCoordinate: Coordinate(
        latitude: 54.0186764,
        longitude: -4.8736609,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 54.4369363,
          longitude: -4.270618199999999,
        ),
        southwest: Coordinate(
          latitude: 54.0186764,
          longitude: -4.8736609,
        ),
      ),
    ),
    internationalPrefix: '',
    ioc: null,
    isoLongName: 'The Isle of Man',
    isoShortName: 'Isle of Man',
    languagesOfficial: ['en', 'gv'],
    languagesSpoken: ['en', 'gv'],
    nationalDestinationCodeLengths: [],
    nationalNumberLengths: [],
    nationalPrefix: '',
    nationality: 'Manx',
    number: '833',
    postalCode: true,
    postalCodeFormat: r'IM\d[\dA-Z]? ?\d[ABD-HJLN-UW-Z]{2}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Northern Europe',
    unLocode: 'IM',
    unofficialNames: [
      'Isle of Man',
      'Insel Man',
      'Île de Man',
      'Isla de Man',
      'マン島'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Isle of Man",
      "af": "Eiland Man",
      "ak": "Isle of Man",
      "am": "Isle of Man",
      "an": "Isle of Man",
      "ar": "آيزل أف مان",
      "as": "আইল অফ মেন",
      "ay": "Isle of Man",
      "az": "Isle of Man",
      "ba": "Isle of Man",
      "be": "Востраў Мэн",
      "bg": "Айл ъф мен",
      "bi": "Isle of Man",
      "bn": "আইল অফ ম্যান",
      "bn_IN": "আইল অফ ম্যান",
      "br": "Manav",
      "bs": "Ostrvo Man",
      "ca": "Illa de Man",
      "ce": "Isle of Man",
      "ch": "Isle of Man",
      "cs": "Ostrov Man",
      "cv": "Isle of Man",
      "cy": "Ynys Manaw",
      "da": "Isle of Man",
      "de": "Insel Man",
      "dv": "އައިޒަލް އޮފް މޭން",
      "dz": "ཨ་ཡིལ་ཨོཕ་མེན།",
      "ee": "Isle of Man",
      "el": "Νήσος του Μαν",
      "en": "Isle of Man",
      "eo": "Manksinsulo",
      "es": "Isla de Man",
      "et": "Man",
      "eu": "Man uhartea",
      "fa": "جزیره من",
      "ff": "Isle of Man",
      "fi": "Mansaari",
      "fo": "Isle of Man",
      "fr": "Île de Man",
      "fy": "Man",
      "ga": "Oileán Mhanann",
      "gl": "Illa de Man",
      "gn": "Isle of Man",
      "gu": "આઇસ્લે ઓફ મેન",
      "gv": "Mannin",
      "ha": "Isle of Man",
      "he": "האי מאן",
      "hi": "मनुष्य का टापू",
      "hr": "Otok Man",
      "ht": "Isle of Man",
      "hu": "Man",
      "hy": "Մեն Կղզի",
      "ia": "Insula de Man",
      "id": "Pulau Man",
      "io": "Man-Insulo",
      "is": "Eyjan Mön",
      "it": "Isola di Man",
      "iu": "Isle of Man",
      "ja": "マン島",
      "ka": "მენის კუნძული",
      "ki": "Isle of Man",
      "kk": "Мэн аралы",
      "kl": "Isle of Man",
      "km": "Isle of Man",
      "kn": "Isle of Man",
      "ko": "맨 섬",
      "ku": "Girava Man",
      "kv": "Isle of Man",
      "kw": "Ynys Manow",
      "ky": "Мэн аралы",
      "lo": "Isle of Man",
      "lt": "Meno sala",
      "lv": "Menas sala",
      "mi": "Motu o Man",
      "mk": "Ман остров",
      "ml": "ഐല്‍ ഓഫ് മാന്‍",
      "mn": "Isle of Man",
      "mr": "आइल ऑफ मॅन",
      "ms": "Isle of Man",
      "mt": "Gżira ta' Man",
      "my": "Isle of Man",
      "na": "Isle of Man",
      "nb": "Man",
      "ne": "मानव द्वीप",
      "nl": "Eiland Man",
      "nn": "Øya Man",
      "nv": "Isle of Man",
      "oc": "Illa de Man",
      "or": "ଇସ୍ଲେ ଅଫ ମେନ",
      "pa": "ਇਸਲੇ ਆਫ ਮੈਨ",
      "pi": "Isle of Man",
      "pl": "Wyspa Man",
      "ps": "Isle of Man",
      "pt": "Ilha de Man",
      "pt_BR": "Ilha de Man",
      "ro": "Insula Man",
      "ru": "Остров Мэн",
      "rw": "Ikirwa cya Man",
      "sc": "Ìsula de Man",
      "sd": "Isle of Man",
      "si": "මාන් දිවයින",
      "sk": "Man",
      "sl": "Otok Man",
      "so": "Isle of Man",
      "sq": "Ishulli Man",
      "sr": "Острво Ман",
      "sv": "Isle of Man",
      "sw": "Isle of Man",
      "ta": "ஐல் ஆஃப் மேன்",
      "te": "ఐలె ఆఫ్ మాన్",
      "tg": "Ҷазираи Мэн",
      "th": "เกาะแมน",
      "ti": "Isle of Man",
      "tk": "Men adasy",
      "tl": "Pulo ng Man",
      "tr": "Man Adası",
      "tt": "Isle of Man",
      "ug": "مەن ئارىلى",
      "uk": "Острів Мен",
      "ur": "آئل آف مین",
      "uz": "Isle of Man",
      "ve": "Isle of Man",
      "vi": "Đảo Man",
      "wa": "Iye di Man",
      "wo": "Isle of Man",
      "xh": "Isle of Man",
      "yo": "Erékùṣù ilẹ̀ Man",
      "zh_CN": "曼岛",
      "zh_HK": "萌島",
      "zh_TW": "曼島",
      "zu": "Isle of Man"
    },
  );

  /// Country: The Republic of India
  static const Country ind = Country(
    alpha2: 'IN',
    alpha3: 'IND',
    continent: Continent.asia,
    countryCode: '91',
    currencyCode: 'INR',
    gec: 'IN',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 20.593684,
        longitude: 78.96288,
      ),
      maxCoordinate: Coordinate(
        latitude: 35.513327,
        longitude: 97.39535869999999,
      ),
      minCoordinate: Coordinate(
        latitude: 6.4626999,
        longitude: 68.1097,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 35.513327,
          longitude: 97.39535869999999,
        ),
        southwest: Coordinate(
          latitude: 6.4626999,
          longitude: 68.1097,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'IND',
    isoLongName: 'The Republic of India',
    isoShortName: 'India',
    languagesOfficial: ['hi', 'en'],
    languagesSpoken: ['hi', 'en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [10],
    nationalPrefix: '0',
    nationality: 'Indian',
    number: '356',
    postalCode: true,
    postalCodeFormat: r'\d{6}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Southern Asia',
    unLocode: 'IN',
    unofficialNames: ['India', 'Indien', 'Inde', 'インド'],
    worldRegion: WorldRegion.apac,
    addressFormat: '''{{recipient}}
{{street}}
{{region}}
{{city}} {{postalcode}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "India",
      "af": "Indië",
      "ak": "India",
      "am": "ህን፥",
      "an": "India",
      "ar": "الهند",
      "as": "ভাৰত",
      "ay": "India",
      "az": "Hindistan",
      "ba": "India",
      "be": "Індыя",
      "bg": "Индия",
      "bi": "India",
      "bn": "ভারত",
      "bn_IN": "ভারত",
      "br": "India",
      "bs": "Indija",
      "ca": "Índia",
      "ce": "Инди",
      "ch": "India",
      "cs": "Indie",
      "cv": "Инди",
      "cy": "India",
      "da": "Indien",
      "de": "Indien",
      "dv": "އިންޑިޔާ",
      "dz": "རྒྱ་གར།",
      "ee": "India",
      "el": "Ινδία",
      "en": "India",
      "eo": "Barato",
      "es": "India",
      "et": "India",
      "eu": "India",
      "fa": "هندوستان",
      "ff": "India",
      "fi": "Intia",
      "fo": "India",
      "fr": "Inde",
      "fy": "Yndia",
      "ga": "An India",
      "gl": "A India",
      "gn": "India",
      "gu": "ભારત",
      "gv": "Yn Injey",
      "ha": "Indiya",
      "he": "הודו",
      "hi": "भारत",
      "hr": "Indija",
      "ht": "End",
      "hu": "India",
      "hy": "Հնդկաստան",
      "ia": "India",
      "id": "India",
      "io": "India",
      "is": "Indland",
      "it": "India",
      "iu": "ᐃᓐᑎᐊ",
      "ja": "インド",
      "ka": "ინდოეთი",
      "ki": "India",
      "kk": "Үндістан",
      "kl": "India",
      "km": "ឥណ្ឌា",
      "kn": "ಭಾರತ",
      "ko": "인도",
      "ku": "Hindistan",
      "kv": "Индия",
      "kw": "Eynda",
      "ky": "Индия",
      "lo": "India",
      "lt": "Indija",
      "lv": "Indija",
      "mi": "Īnia",
      "mk": "Индија",
      "ml": "ഇന്ത്യ",
      "mn": "Энэтхэг",
      "mr": "भारत",
      "ms": "Hindia",
      "mt": "Indja",
      "my": "အိန္ဒိယနိုင်ငံ",
      "na": "Indjiya",
      "nb": "India",
      "ne": "भारत",
      "nl": "India",
      "nn": "India",
      "nv": "Tó Wónaanídę́ę́ʼ Bitsįʼ Yishtłizhii Bikéyah",
      "oc": "Índia",
      "or": "ଭାରତ",
      "pa": "ਭਾਰਤ",
      "pi": "भारत",
      "pl": "Indie",
      "ps": "هند",
      "pt": "Índia",
      "pt_BR": "Índia",
      "ro": "India",
      "ru": "Индия",
      "rw": "Ubuhinde",
      "sc": "Ìndia",
      "sd": "ڀارت",
      "si": "ඉන්දියාව",
      "sk": "India",
      "sl": "Indija",
      "so": "Hindiya",
      "sq": "Indi",
      "sr": "Индија",
      "sv": "Indien",
      "sw": "India",
      "ta": "இந்தியா",
      "te": "భారతదేశము",
      "tg": "Ҳиндустон",
      "th": "อินเดีย",
      "ti": "ህንዲ",
      "tk": "Hindistan",
      "tl": "Indiya",
      "tr": "Hindistan",
      "tt": "Һиндстан",
      "ug": "ھىندىستان",
      "uk": "Індія",
      "ur": "بھارت",
      "uz": "Hindiston",
      "ve": "India",
      "vi": "Ấn-độ",
      "wa": "Inde",
      "wo": "Eend",
      "xh": "India",
      "yo": "Índíà",
      "zh_CN": "印度",
      "zh_HK": "印度",
      "zh_TW": "印度",
      "zu": "India"
    },
  );

  /// Country: The British Indian Ocean Territory
  static const Country iot = Country(
    alpha2: 'IO',
    alpha3: 'IOT',
    continent: Continent.asia,
    countryCode: '246',
    currencyCode: 'USD',
    gec: 'IO',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -6.343194,
        longitude: 71.876519,
      ),
      maxCoordinate: Coordinate(
        latitude: -5.1401857,
        longitude: 72.5880433,
      ),
      minCoordinate: Coordinate(
        latitude: -7.4891118,
        longitude: 71.1859131,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -5.1401857,
          longitude: 72.5880433,
        ),
        southwest: Coordinate(
          latitude: -7.4891118,
          longitude: 71.1859131,
        ),
      ),
    ),
    internationalPrefix: '',
    ioc: null,
    isoLongName: 'The British Indian Ocean Territory',
    isoShortName: 'British Indian Ocean Territory',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [],
    nationalNumberLengths: [],
    nationalPrefix: '',
    nationality: 'Indian',
    number: '086',
    postalCode: true,
    postalCodeFormat: r'BBND 1ZZ',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'IO',
    unofficialNames: [
      'British Indian Ocean Territory',
      'Britisches Territorium im Indischen Ozean',
      'イギリス領インド洋地域',
      'Britse Gebieden in de Indische Oceaan'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "British Indian Ocean Territory",
      "af": "Britse Indiese Oseaangebied",
      "ak": "British Indian Ocean Territory",
      "am": "British Indian Ocean Territory",
      "an": "British Indian Ocean Territory",
      "ar": "مقاطعة المحيط الهندي البريطانيّة",
      "as": "ব্ৰিটিশ্ব ভাৰতীয় মহাসাগৰীয় অঞ্চল",
      "ay": "British Indian Ocean Territory",
      "az": "Britaniya Hind Okeanı Sahəsi",
      "ba": "British Indian Ocean Territory",
      "be": "Брытанская тэрыторыя ў Індыйскім акіяне",
      "bg": "Английски територии в индийския океан",
      "bi": "British Indian Ocean Territory",
      "bn": "ব্রিটিশ ভারতীয় মহাসাগরীয় অঞ্চল",
      "bn_IN": "ব্রিটিশ ভারতীয় মহাসাগরীয় অঞ্চল",
      "br": "Tiriad Meurvor Indez Breizh-Veur",
      "bs": "Britansko-Indijska Okeanska Teritorija",
      "ca": "Territori Britànic de l'Oceà Índic",
      "ce": "Британин латта Индин океанехь",
      "ch": "British Indian Ocean Territory",
      "cs": "Britské indickooceánské území",
      "cv": "Британин латта Индин океанехь",
      "cy": "British Indian Ocean Territory",
      "da": "Det britiske territorium i Det Indiske Ocean",
      "de": "Britisches Territorium im Indischen Ozean",
      "dv": "British Indian Ocean Territory",
      "dz":
          "བིརི་ཊིཤ་ ཨིན་ཌི་ཡཱན་ ཨོ་ཤི་ཡཱན་ ཊེ་རི་ཊོ་རི།(ཕྱི་གླིངཔ་དང་རྒྱ་གར་གྱི་རྒྱ་མཚོའི་དབང་བསྒྱུར་ས་ཁོངས)།",
      "ee": "British Indian Ocean Territory",
      "el": "Βρετανικό Έδαφος Ινδικού Ωκεανού",
      "en": "British Indian Ocean Territory",
      "eo": "Brita Hindoceana Teritorio",
      "es": "Territorio Británico del Océano Índico",
      "et": "Briti India ookeani ala",
      "eu": "Indiar Ozeanoko Lurralde Britainiarra",
      "fa": "مستعمره‌های انگلستان در اقیانوس هند",
      "ff": "British Indian Ocean Territory",
      "fi": "Brittiläinen Intian valtameren alue",
      "fo": "British Indian Ocean Territory",
      "fr": "Territoire britannique de l'océan Indien",
      "fy": "Britsk Yndyske Oseaanterritoarium",
      "ga": "Críocha Briotanacha an Aigéin Indiaigh",
      "gl": "Territorio Británico do Océano Índico",
      "gn": "British Indian Ocean Territory",
      "gu": "બ્રિટિશ ઇન્ડિયન ઓસન ટેરીટરી",
      "gv": "British Indian Ocean Territory",
      "ha": "British Indian Ocean Territory",
      "he": "הטריטוריה הבריטית באוקיינוס ההודי",
      "hi": "ब्रिटिश हिंद महासागर क्षेत्र",
      "hr": "Britanski Indijskooceanski teritorij",
      "ht": "British Indian Ocean Territory",
      "hu": "Brit Indiai-óceáni Terület",
      "hy": "Հնդկական օվկիանոսի բրիտանական տարածքներ",
      "ia": "Territorio Britannic del Oceano Indian",
      "id": "Wilayah Samudra Hindia Britania",
      "io": "Britaniana teritorio en Indiana Oceano",
      "is": "Bresku Indlandshafseyjar",
      "it": "Territorio britannico dell'Oceano Indiano",
      "iu": "British Indian Ocean Territory",
      "ja": "英国インド洋領土",
      "ka": "ბრიტანეთის ინდოეთის ოკეანის ტერიტორია",
      "ki": "British Indian Ocean Territory",
      "kk": "Үнді Мұхитындағы Ұлыбритания Аймағы",
      "kl": "British Indian Ocean Territory",
      "km": "អាណាចក្រ​​មហា​សមុទ្រ​ឥណ្ឌា ចក្រភព​អង់គ្លេស",
      "kn": "ಬ್ರಿಟಿಷ್ ಇಂಡಿಯನ್ ಓಶಿಯನ್ ಪ್ರದೇಶ",
      "ko": "영국령 인도양 지역",
      "ku": "Herêma Îngîlîz a Deryaya Hindî",
      "kv": "British Indian Ocean Territory",
      "kw": "British Indian Ocean Territory",
      "ky": "Инди океанындагы Британ территориясы",
      "lo": "British Indian Ocean Territory",
      "lt": "Indijos Vandenyno Britų sritis",
      "lv": "Indijas Okeāna Britu teritorija",
      "mi": "British Indian Ocean Territory",
      "mk": "Британска територија на Индиски океан",
      "ml": "ബ്രിട്ടീഷ് ഇന്ത്യന്‍ മഹാസമുദ്ര പ്രദേശം",
      "mn": "Британий энэтхэгийн далайн нутаг",
      "mr": "ब्रिटिश ईंडियन ओशन टेरिटोरी",
      "ms": "Wilayah Lautan Hindi British",
      "mt": "Territorji Brittaniċi fl-Oċean Indjan",
      "my": "ဗြိတိသျှ အိန္ဒိယသမုဒ္ဒရာ နယ်မြေ",
      "na": "British Indian Ocean Territory",
      "nb": "Det britiske territoriet i Indiahavet",
      "ne": "बृटिश इन्डियन सामुन्द्रिक क्षेत्र",
      "nl": "Brits Indische Oceaanterritorium",
      "nn": "Det britiske området i Indiahavet",
      "nv": "British Indian Ocean Territory",
      "oc": "Territòris britanics de l'ocean indian",
      "or": "ବ୍ରିଟିଶ ଇଣ୍ଡିୟାନ ସାମୁଦ୍ରୀକ କ୍ଷେତ୍ର",
      "pa": "ਬਰਤਾਨੀਆ ਭਾਰਤੀ ਸਮੁੰਦਰੀ ਖੇਤਰ",
      "pi": "British Indian Ocean Territory",
      "pl": "Brytyjskie Terytorium Oceanu Indyjskiego",
      "ps": "British Indian Ocean Territory",
      "pt": "Território Britânico do Oceano Índico",
      "pt_BR": "Território Britânico do Oceano Índico",
      "ro": "Teritoriul britanic din Oceanul Indian",
      "ru": "Британская территория Индийского океана",
      "rw": "Teritwari y'Inyanja y'Abahinde Nyongereza",
      "sc": "Territòriu Britànnicu de s'Otzèanu Indianu",
      "sd": "British Indian Ocean Territory",
      "si": "බ්‍රිතාන්‍ය ඉන්දීය මුහුදු ප්‍රදේශ",
      "sk": "Britské indickooceánske územie",
      "sl": "Britansko ozemlje v Indijskem oceanu",
      "so": "British Indian Ocean Territory",
      "sq": "Territoret Britanike të Oqeanit Indian",
      "sr": "Британска Индијска Океанска Територија",
      "sv": "Brittiskt territorium i Indiska Oceanen",
      "sw": "British Indian Ocean Territory",
      "ta": "ப்ரிட்டிஷ் இந்திய பெருங்கடல் பிரதேசம்",
      "te": "బ్రిటిష్ యిండియన ఓసియన్ టేరిటోరీ",
      "tg": "Қаламрави Британия дар уқёнуси Ҳинд",
      "th": "บริติชอินเดียนโอเชียนเทร์ริทอรี",
      "ti": "British Indian Ocean Territory",
      "tk": "Hindi ummanynyň britan territoriýasy",
      "tl": "Teritoryong Britaniya sa Dagat Indiyo",
      "tr": "Britanya Hint Okyanusu Toprakları",
      "tt": "British Indian Ocean Territory",
      "ug": "ئەنگلىيەنىڭ ھىندى ئوكياندىكى زېمىنى",
      "uk": "Британська територія в Індійському океані",
      "ur": "برطانوی بحرہند کا خطہ",
      "uz": "British Indian Ocean Territory",
      "ve": "British Indian Ocean Territory",
      "vi": "Miền Đại Dương Ấn-độ Anh",
      "wa": "Teritweres britanikes di l' Oceyan Indyin",
      "wo": "British Indian Ocean Territory",
      "xh": "British Indian Ocean Territory",
      "yo": "Agbègbè Òkun Índíà Brítánì",
      "zh_CN": "英属印度洋领地",
      "zh_HK": "英屬印度洋地區",
      "zh_TW": "英屬印度洋領地",
      "zu": "British Indian Ocean Territory"
    },
  );

  /// Country: The Republic of Iraq
  static const Country irq = Country(
    alpha2: 'IQ',
    alpha3: 'IRQ',
    continent: Continent.asia,
    countryCode: '964',
    currencyCode: 'IQD',
    gec: 'IZ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 33.223191,
        longitude: 43.679291,
      ),
      maxCoordinate: Coordinate(
        latitude: 37.380645,
        longitude: 48.6350999,
      ),
      minCoordinate: Coordinate(
        latitude: 29.0612079,
        longitude: 38.7936741,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 37.380645,
          longitude: 48.6350999,
        ),
        southwest: Coordinate(
          latitude: 29.0612079,
          longitude: 38.7936741,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'IRQ',
    isoLongName: 'The Republic of Iraq',
    isoShortName: 'Iraq',
    languagesOfficial: ['ar'],
    languagesSpoken: ['ar'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9, 10],
    nationalPrefix: 'None',
    nationality: 'Iraqi',
    number: '368',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.asia,
    startOfWeek: Week.sunday,
    subregion: 'Western Asia',
    unLocode: 'IQ',
    unofficialNames: ['Iraq', 'العراق', 'Irak', 'イラク'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Iraq",
      "af": "Irak",
      "ak": "Iraq",
      "am": "ጒሲቅ",
      "an": "Iraq",
      "ar": "العراق",
      "as": "ইৰাক",
      "ay": "Iraq",
      "az": "İraq",
      "ba": "Iraq",
      "be": "Ірак",
      "bg": "Ирак",
      "bi": "Iraq",
      "bn": "ইরাক",
      "bn_IN": "ইরাক",
      "br": "Irak",
      "bs": "Irak",
      "ca": "Iraq",
      "ce": "Ӏиракъ",
      "ch": "Iraq",
      "cs": "Irák",
      "cv": "Ӏиракъ",
      "cy": "Irac",
      "da": "Irak",
      "de": "Irak",
      "dv": "ޢިރާޤު",
      "dz": "ཨི་རཀ།",
      "ee": "Iraq",
      "el": "Ιράκ",
      "en": "Iraq",
      "eo": "Irako",
      "es": "Irak",
      "et": "Iraak",
      "eu": "Irak",
      "fa": "عراق",
      "ff": "Iraq",
      "fi": "Irak",
      "fo": "Irak",
      "fr": "Irak",
      "fy": "Irak",
      "ga": "An Iaráic",
      "gl": "Iraq",
      "gn": "Iraq",
      "gu": "ઇરાક",
      "gv": "Yn Earack",
      "ha": "Irak",
      "he": "עיראק",
      "hi": "इराक़",
      "hr": "Irak",
      "ht": "Irak",
      "hu": "Irak",
      "hy": "Իրաք",
      "ia": "Irak",
      "id": "Irak",
      "io": "Irak",
      "is": "Írak",
      "it": "Iraq",
      "iu": "ᐃᕉᒃ",
      "ja": "イラク",
      "ka": "ერაყი",
      "ki": "Iraq",
      "kk": "Ирак",
      "kl": "Iraq",
      "km": "អ៊ីរ៉ាក់",
      "kn": "ಇರಾಕ್",
      "ko": "이라크",
      "ku": "Iraq",
      "kv": "Ирак",
      "kw": "Irak",
      "ky": "Ирак",
      "lo": "Iraq",
      "lt": "Irakas",
      "lv": "Irāka",
      "mi": "Īrāki",
      "mk": "Ирак",
      "ml": "ഇറാഖ്",
      "mn": "Ирак",
      "mr": "इराक",
      "ms": "Iraq",
      "mt": "Iraq",
      "my": "အီရတ်နိုင်ငံ",
      "na": "Irak",
      "nb": "Irak",
      "ne": "इराक",
      "nl": "Irak",
      "nn": "Irak",
      "nv": "Iraq",
      "oc": "Iraq",
      "or": "ଇରାକ",
      "pa": "ਇਰਾਕ",
      "pi": "ईराक",
      "pl": "Irak",
      "ps": "عراق",
      "pt": "Iraque",
      "pt_BR": "Iraque",
      "ro": "Irak",
      "ru": "Ирак",
      "rw": "Irake",
      "sc": "Iraq",
      "sd": "عراق",
      "si": "ඉරාකය",
      "sk": "Irak",
      "sl": "Irak",
      "so": "Ciraaq",
      "sq": "Irak",
      "sr": "Ирак",
      "sv": "Irak",
      "sw": "Iraq",
      "ta": "ஈராக்",
      "te": "ఇరాక్",
      "tg": "Ироқ",
      "th": "อิรัก",
      "ti": "ዒራቅ",
      "tk": "Yrak",
      "tl": "Iraq",
      "tr": "Irak",
      "tt": "Гырак",
      "ug": "ئىراق",
      "uk": "Ірак",
      "ur": "عراق",
      "uz": "Iroq",
      "ve": "Iraq",
      "vi": "I-rắc",
      "wa": "Irak",
      "wo": "Iraak",
      "xh": "Iraq",
      "yo": "Irak",
      "zh_CN": "伊拉克",
      "zh_HK": "伊拉克",
      "zh_TW": "伊拉克",
      "zu": "I-Iraki"
    },
  );

  /// Country: The Islamic Republic of Iran
  static const Country irn = Country(
    alpha2: 'IR',
    alpha3: 'IRN',
    continent: Continent.asia,
    countryCode: '98',
    currencyCode: 'IRR',
    gec: 'IR',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 32.427908,
        longitude: 53.688046,
      ),
      maxCoordinate: Coordinate(
        latitude: 39.782056,
        longitude: 63.3333366,
      ),
      minCoordinate: Coordinate(
        latitude: 24.8066999,
        longitude: 44.0326949,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 39.782056,
          longitude: 63.3333366,
        ),
        southwest: Coordinate(
          latitude: 24.8066999,
          longitude: 44.0326949,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'IRI',
    isoLongName: 'The Islamic Republic of Iran',
    isoShortName: 'Iran (Islamic Republic of)',
    languagesOfficial: ['fa'],
    languagesSpoken: ['fa'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [10],
    nationalPrefix: '0',
    nationality: 'Iranian',
    number: '364',
    postalCode: true,
    postalCodeFormat: r'\d{5}-?\d{5}',
    region: Region.asia,
    startOfWeek: Week.saturday,
    subregion: 'Southern Asia',
    unLocode: 'IR',
    unofficialNames: [
      'Iran',
      'Irán',
      'Iran (Islamic Republic Of)',
      'イラン・イスラム共和国',
      'Islamic Republic of Iran'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Iran, Islamic Republic of",
      "af": "Iran, Islamitiese Republiek van",
      "ak": "Iran, Islamic Republic of",
      "am": "Iran, Islamic Republic of",
      "an": "Iran, Islamic Republic of",
      "ar": "إيران، الجمهوريّة الإسلاميّة الإيرانيّة",
      "as": "ইৰান, ইচ্‌লামিক প্ৰজাতন্ত্ৰ",
      "ay": "Iran, Islamic Republic of",
      "az": "Iran, Islamic Republic of",
      "ba": "Iran, Islamic Republic of",
      "be": "Іран, Ісламская Рэспубліка",
      "bg": "Иран, Ислямска република",
      "bi": "Iran, Islamic Republic of",
      "bn": "ইরান, ইসলামিক প্রজাতন্ত্র",
      "bn_IN": "ইরান, ইসলামিক প্রজাতন্ত্র",
      "br": "Iran, Islamic Republic of",
      "bs": "Islamska Republika Iran",
      "ca": "Iran",
      "ce": "Iran, Islamic Republic of",
      "ch": "Iran, Islamic Republic of",
      "cs": "Írán, islámská republika",
      "cv": "Iran, Islamic Republic of",
      "cy": "Iran, Gweriniaeth Islamaidd",
      "da": "Iran, Den Islamiske Republik",
      "de": "Iran, Islamische Republik",
      "dv": "Iran, Islamic Republic of",
      "dz": "ཨི་རཱན་ ཨིས་ལ་མིཀ་ མི་སེར་རྒྱལ་ཁབ།",
      "ee": "Iran, Islamic Republic of",
      "el": "Ιράν, Ισλαμική Δημοκρατία του",
      "en": "Iran",
      "eo": "Irano, Islama Respubliko",
      "es": "Irán, República islámica de",
      "et": "Iraan",
      "eu": "Iran, Islamiar Errepublika",
      "fa": "ایران",
      "ff": "Iran, Islamic Republic of",
      "fi": "Iranin islamilainen tasavalta",
      "fo": "Iran, Islamic Republic of",
      "fr": "Iran, République islamique d'",
      "fy": "Iran, Islamic Republic of",
      "ga": "An Iaráin",
      "gl": "Irán, República Islámica de",
      "gn": "Iran, Islamic Republic of",
      "gu": "ઇરાન, ઇસ્લામિક રીપબ્લિક ઓફ",
      "gv": "Iran, Islamic Republic of",
      "ha": "Iran, Islamic Republic of",
      "he": "אירן, הרפובליקה האיסלמית של",
      "hi": "ईरान, इस्लामिक रिपब्लिक ऑफ",
      "hr": "Iran, Islamska Republika",
      "ht": "Iran, Islamic Republic of",
      "hu": "Irán, Iszlám Köztársaság",
      "hy": "Իրան, -ի Իսլամական Հանրապետություն",
      "ia": "Iran",
      "id": "Iran, Republik Islam",
      "io": "Iran, Islamic Republic of",
      "is": "Íran, íslamska lýðveldið",
      "it": "Iran",
      "iu": "Iran, Islamic Republic of",
      "ja": "イラン・イスラム共和国",
      "ka": "ირანის ისლამური რესპუბლიკა",
      "ki": "Iran, Islamic Republic of",
      "kk": "Иран",
      "kl": "Iran, Islamic Republic of",
      "km": "​អ៊ីរ៉ង់ សាធារណ​រដ្ឋ​អ៊ីស្លាម​នៃ",
      "kn": "ಇರಾನ್ ಇಸ್ಲಾಮಿಕ್ ಗಣರಾಜ್ಯ",
      "ko": "이란 이슬람 공화국",
      "ku": "Îran, Komara Îslamî ya",
      "kv": "Iran, Islamic Republic of",
      "kw": "Iran, Islamic Republic of",
      "ky": "Иран",
      "lo": "Iran, Islamic Republic of",
      "lt": "Irano Islamo Respublika",
      "lv": "Irāna",
      "mi": "Iran, Islamic Republic of",
      "mk": "Иран",
      "ml": "ഇറാന്‍, ഇസ്ലാമിക് റിപ്പബ്ലിക് ഓഫ്",
      "mn": "Iran, Islamic Republic of",
      "mr": "इराण, इस्लामिक रिपब्लिक ऑफ",
      "ms": "Iran, Islamic Republic of",
      "mt": "Iran, Islamic Republic of",
      "my": "Iran, Islamic Republic of",
      "na": "Iran, Islamic Republic of",
      "nb": "Iran, Den islamske republikk",
      "ne": "इरान, इस्लामिक गणराज्य",
      "nl": "Iran",
      "nn": "Iran",
      "nv": "Iran, Islamic Republic of",
      "oc": "Republica Dominicana",
      "or": "ଇରାନ, ଇସଲାମିକ ଗଣତନ୍ତ୍ର",
      "pa": "ਈਰਾਨ, ਮੁਸਲਮਾਨ ਗਣਰਾਜ",
      "pi": "Iran, Islamic Republic of",
      "pl": "Iran",
      "ps": "Iran, Islamic Republic of",
      "pt": "Irão",
      "pt_BR": "Irã",
      "ro": "Iran, Republica islamică",
      "ru": "Иран",
      "rw": "Iran, Repubulika ya Kisilimu",
      "sc": "Iran, Repùblica Islàmica de",
      "sd": "Iran, Islamic Republic of",
      "si": "ඉරාන ඉස්ලාමීය ජනරජය",
      "sk": "Iránska islamská republika",
      "sl": "Iran",
      "so": "Iiraan",
      "sq": "Iran, Republika Islamike",
      "sr": "Иран, Исламска Република",
      "sv": "Iran, islamiska republiken",
      "sw": "Iran, Islamic Republic of",
      "ta": "ஈரான், இஸ்லாமிக் குடியரசு",
      "te": "ఇరాన్, ఇస్లామిక్ రిపబ్లిక్ ఆఫ్",
      "tg": "Ҷумҳурии Исломии Эрон",
      "th": "อิหร่าน, สาธารณรัฐอิสลาม",
      "ti": "Iran, Islamic Republic of",
      "tk": "Eýran yslam respublikasy",
      "tl": "Iran, Republikang Islam ng",
      "tr": "İran İslâm Cumhuriyeti",
      "tt": "İран, İслам Җөмһүриәте",
      "ug": "ئىران ئىسلام جۇمھۇرىيىتى",
      "uk": "Іран",
      "ur": "Iran, Islamic Republic of",
      "uz": "Iran, Islamic Republic of",
      "ve": "Iran, Islamic Republic of",
      "vi": "Ba Tư, Cộng hoà Hồi giáo",
      "wa": "Iran",
      "wo": "Iraan, Republik Islaamik bu",
      "xh": "Iran, Islamic Republic of",
      "yo": "Iran, Islamic Republic of",
      "zh_CN": "伊朗",
      "zh_HK": "伊朗",
      "zh_TW": "伊朗伊斯蘭共和國",
      "zu": "Iran, Islamic Republic of"
    },
  );

  /// Country: Iceland
  static const Country isl = Country(
    alpha2: 'IS',
    alpha3: 'ISL',
    continent: Continent.europe,
    countryCode: '354',
    currencyCode: 'ISK',
    gec: 'IC',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 64.963051,
        longitude: -19.020835,
      ),
      maxCoordinate: Coordinate(
        latitude: 67.2466,
        longitude: -12.2388001,
      ),
      minCoordinate: Coordinate(
        latitude: 62.4819,
        longitude: -26.2572999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 67.2466,
          longitude: -12.2388001,
        ),
        southwest: Coordinate(
          latitude: 62.4819,
          longitude: -26.2572999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'ISL',
    isoLongName: 'Iceland',
    isoShortName: 'Iceland',
    languagesOfficial: ['is'],
    languagesSpoken: ['is'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8, 9],
    nationalPrefix: '0',
    nationality: 'Icelander',
    number: '352',
    postalCode: true,
    postalCodeFormat: r'\d{3}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Northern Europe',
    unLocode: 'IS',
    unofficialNames: [
      'Iceland',
      'Island',
      'Islande',
      'Islandia',
      'アイスランド',
      'IJsland'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 24.0,
      reduced: [11.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Iceland",
      "af": "Ysland",
      "ak": "Iceland",
      "am": "ጐ፤ስሒን፥",
      "an": "Iceland",
      "ar": "آيسلندا",
      "as": "আইচলেণ্ড",
      "ay": "Iceland",
      "az": "İslandiya",
      "ba": "Iceland",
      "be": "Ісландыя",
      "bg": "Исландия",
      "bi": "Iceland",
      "bn": "আইসল্যান্ড",
      "bn_IN": "আইসল্যান্ড",
      "br": "Island",
      "bs": "Island",
      "ca": "Islàndia",
      "ce": "Исланди",
      "ch": "Iceland",
      "cs": "Island",
      "cv": "Исланди",
      "cy": "Gwlad yr Iâ",
      "da": "Island",
      "de": "Island",
      "dv": "އައިސްލަންޑަން",
      "dz": "ཨའིསི་ལེནཌི།",
      "ee": "Iceland",
      "el": "Ισλανδία",
      "en": "Iceland",
      "eo": "Islando",
      "es": "Islandia",
      "et": "Island",
      "eu": "Islandia",
      "fa": "ایسلند",
      "ff": "Islannda",
      "fi": "Islanti",
      "fo": "Ísland",
      "fr": "Islande",
      "fy": "Yslân",
      "ga": "An Íoslainn",
      "gl": "Islandia",
      "gn": "Iceland",
      "gu": "આઇસલેન્ડ",
      "gv": "Yn Eeslynn",
      "ha": "Iceland",
      "he": "איסלנד",
      "hi": "आइसलैण्ड",
      "hr": "Island",
      "ht": "Islann",
      "hu": "Izland",
      "hy": "Իսլանդիա",
      "ia": "Islanda",
      "id": "Islandia",
      "io": "Islando",
      "is": "Ísland",
      "it": "Islanda",
      "iu": "Iceland",
      "ja": "アイスランド",
      "ka": "ისლანდია",
      "ki": "Iceland",
      "kk": "Исландия",
      "kl": "Iceland",
      "km": "អ៊ីស្លង់",
      "kn": "ಐಸ್‍ಲ್ಯಾಂಡ್",
      "ko": "아이슬란드",
      "ku": "Îzlanda",
      "kv": "Исландия",
      "kw": "Island",
      "ky": "Исландия",
      "lo": "ອິດສະລັງ",
      "lt": "Islandija",
      "lv": "Islande",
      "mi": "Tiorangi",
      "mk": "Исланд",
      "ml": "ഐസ്‌ലാന്‍ഡ്",
      "mn": "Исланд",
      "mr": "आइसलॅंड",
      "ms": "Iceland",
      "mt": "Islandja",
      "my": "အိုက်စလန်နိုင်ငံ",
      "na": "Aiterand",
      "nb": "Island",
      "ne": "आइसल्याण्ड",
      "nl": "IJsland",
      "nn": "Island",
      "nv": "Tin Kéyah",
      "oc": "Islàndia",
      "or": "ଆଇସଲ୍ଯାଣ୍ଡ",
      "pa": "ਆਈਸਲੈਂਡ",
      "pi": "आइसलैंड",
      "pl": "Islandia",
      "ps": "آیسلینډ",
      "pt": "Islândia",
      "pt_BR": "Islândia",
      "ro": "Islanda",
      "ru": "Исландия",
      "rw": "Isilande",
      "sc": "Islanda",
      "sd": "Iceland",
      "si": "අයිස්ලන්තය",
      "sk": "Island",
      "sl": "Islandija",
      "so": "Iislaand",
      "sq": "Islandë",
      "sr": "Исланд",
      "sv": "Island",
      "sw": "Iceland",
      "ta": "ஐஸ்லாந்து",
      "te": "ఐలాండ్",
      "tg": "Исландия",
      "th": "ไอซ์แลนด์",
      "ti": "አይስላንድ",
      "tk": "Islandiýa",
      "tl": "Lupangyelo",
      "tr": "İzlanda",
      "tt": "İсланд",
      "ug": "ئىسلاندىيە",
      "uk": "Ісландія",
      "ur": "آئس لینڈ",
      "uz": "Islandiya",
      "ve": "Iceland",
      "vi": "Băng Đảo",
      "wa": "Izlande",
      "wo": "Islaand",
      "xh": "Iceland",
      "yo": "Íslándì",
      "zh_CN": "冰岛",
      "zh_HK": "冰島",
      "zh_TW": "冰島",
      "zu": "I-Ayisilandi"
    },
  );

  /// Country: The Italian Republic
  static const Country ita = Country(
    alpha2: 'IT',
    alpha3: 'ITA',
    continent: Continent.europe,
    countryCode: '39',
    currencyCode: 'EUR',
    gec: 'IT',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 41.87194,
        longitude: 12.56738,
      ),
      maxCoordinate: Coordinate(
        latitude: 47.092,
        longitude: 18.7975999,
      ),
      minCoordinate: Coordinate(
        latitude: 35.4897,
        longitude: 6.6267201,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 47.092,
          longitude: 18.7975999,
        ),
        southwest: Coordinate(
          latitude: 35.4897,
          longitude: 6.6267201,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'ITA',
    isoLongName: 'The Italian Republic',
    isoShortName: 'Italy',
    languagesOfficial: ['it'],
    languagesSpoken: ['it'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [9, 11],
    nationalPrefix: 'None',
    nationality: 'Italian',
    number: '380',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Southern Europe',
    unLocode: 'IT',
    unofficialNames: ['Italy', 'Italien', 'Italie', 'Italia', 'イタリア', 'Italië'],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}} {{region_short}}
{{country}}''',
    vatRates: VatRates(
      standard: 22.0,
      reduced: [10.0],
      superReduced: 4.0,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Italy",
      "af": "Italië",
      "ak": "Italy",
      "am": "ጣሑ።ን",
      "an": "Italy",
      "ar": "إيطاليا",
      "as": "ইটালি",
      "ay": "Italy",
      "az": "İtaliya",
      "ba": "Italy",
      "be": "Італія",
      "bg": "Италия",
      "bi": "Italy",
      "bn": "ইটালি",
      "bn_IN": "ইটালি",
      "br": "Italia",
      "bs": "Italija",
      "ca": "Itàlia",
      "ce": "Итали",
      "ch": "Italia",
      "cs": "Itálie",
      "cv": "Итали",
      "cy": "Yr Eidal",
      "da": "Italien",
      "de": "Italien",
      "dv": "އިޓަލީވިލާތް",
      "dz": "ཨི་ཊ་ལི།",
      "ee": "Italy",
      "el": "Ιταλία",
      "en": "Italy",
      "eo": "Italio",
      "es": "Italia",
      "et": "Itaalia",
      "eu": "Italia",
      "fa": "ایتالیا",
      "ff": "Italiya",
      "fi": "Italia",
      "fo": "Italia",
      "fr": "Italie",
      "fy": "Itaalje",
      "ga": "An Iodáil",
      "gl": "Italia",
      "gn": "Italy",
      "gu": "ઇટાલી",
      "gv": "Yn Iddaal",
      "ha": "Italiya",
      "he": "איטליה",
      "hi": "इटली",
      "hr": "Italija",
      "ht": "Itali",
      "hu": "Olaszország",
      "hy": "Իտալիա",
      "ia": "Italia",
      "id": "Italia",
      "io": "Italia",
      "is": "Ítalía",
      "it": "Italia",
      "iu": "Italy",
      "ja": "イタリア",
      "ka": "იტალია",
      "ki": "Italia",
      "kk": "Италия",
      "kl": "Italy",
      "km": "អ៊ីតាលី",
      "kn": "ಇಟಲಿ",
      "ko": "이탈리아",
      "ku": "Îtalya",
      "kv": "Италия",
      "kw": "Itali",
      "ky": "Италия",
      "lo": "ອິຕາລີ",
      "lt": "Italija",
      "lv": "Itālija",
      "mi": "Itāria",
      "mk": "Италија",
      "ml": "ഇറ്റലി",
      "mn": "Итали",
      "mr": "इटली",
      "ms": "Itali",
      "mt": "Italja",
      "my": "အီတလီနိုင်ငံ",
      "na": "Itari",
      "nb": "Italia",
      "ne": "इटाली",
      "nl": "Italië",
      "nn": "Italia",
      "nv": "Doohatsʼíí Yátiʼ Dineʼé Bikéyah",
      "oc": "Itàlia",
      "or": "ଇଟାଲୀ",
      "pa": "ਇਟਲੀ",
      "pi": "इटली",
      "pl": "Włochy",
      "ps": "ایټالیه",
      "pt": "Itália",
      "pt_BR": "Itália",
      "ro": "Italia",
      "ru": "Италия",
      "rw": "Ubutariyani",
      "sc": "Itàlia",
      "sd": "اٽلي",
      "si": "ඉතාලිය",
      "sk": "Taliansko",
      "sl": "Italija",
      "so": "Talyaani",
      "sq": "Itali",
      "sr": "Италија",
      "sv": "Italien",
      "sw": "Italy",
      "ta": "இத்தாலி",
      "te": "ఇటలీ",
      "tg": "Италия",
      "th": "อิตาลี",
      "ti": "ኢጣልያ",
      "tk": "Italiýa",
      "tl": "Italya",
      "tr": "İtalya",
      "tt": "İталиа",
      "ug": "ئىتالىيە",
      "uk": "Італія",
      "ur": "اطالیہ",
      "uz": "Italiya",
      "ve": "Italy",
      "vi": "Ý",
      "wa": "Itåleye",
      "wo": "Itaali",
      "xh": "Ithali",
      "yo": "Itálíà",
      "zh_CN": "意大利",
      "zh_HK": "意大利",
      "zh_TW": "義大利",
      "zu": "ITaliya"
    },
  );

  /// Country: The Bailiwick of Jersey
  static const Country jey = Country(
    alpha2: 'JE',
    alpha3: 'JEY',
    continent: Continent.europe,
    countryCode: '44',
    currencyCode: 'GBP',
    gec: 'JE',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 49.214439,
        longitude: -2.13125,
      ),
      maxCoordinate: Coordinate(
        latitude: 49.26650009999999,
        longitude: -2.0013001,
      ),
      minCoordinate: Coordinate(
        latitude: 49.1582,
        longitude: -2.2602001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 49.26650009999999,
          longitude: -2.0013001,
        ),
        southwest: Coordinate(
          latitude: 49.1582,
          longitude: -2.2602001,
        ),
      ),
    ),
    internationalPrefix: '',
    ioc: null,
    isoLongName: 'The Bailiwick of Jersey',
    isoShortName: 'Jersey',
    languagesOfficial: ['en', 'fr'],
    languagesSpoken: ['en', 'fr'],
    nationalDestinationCodeLengths: [],
    nationalNumberLengths: [],
    nationalPrefix: '',
    nationality: 'Channel Islander',
    number: '832',
    postalCode: true,
    postalCodeFormat: r'JE\d[\dA-Z]? ?\d[ABD-HJLN-UW-Z]{2}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Northern Europe',
    unLocode: 'JE',
    unofficialNames: ['Jersey', 'ジャージー'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Jersey",
      "af": "Jersey",
      "ak": "Jersey",
      "am": "Jersey",
      "an": "Jersey",
      "ar": "جيرسي",
      "as": "জাৰ্চী",
      "ay": "Jersey",
      "az": "Jersey",
      "ba": "Jersey",
      "be": "Джэрсі",
      "bg": "Джърси",
      "bi": "Jersey",
      "bn": "জার্সি",
      "bn_IN": "জার্সি",
      "br": "Jerzenez",
      "bs": "Džerzi",
      "ca": "Jersey",
      "ce": "Jersey",
      "ch": "Jersey",
      "cs": "Jersey",
      "cv": "Jersey",
      "cy": "Jersey",
      "da": "Jersey",
      "de": "Jersey",
      "dv": "ޖާސޭ",
      "dz": "ཇར་སི།",
      "ee": "Jersey",
      "el": "Τζέρσεϊ",
      "en": "Jersey",
      "eo": "Ĵerzejo",
      "es": "Jersey",
      "et": "Jersey",
      "eu": "Jersey",
      "fa": "جرسی",
      "ff": "Jersey",
      "fi": "Jersey",
      "fo": "Jersey",
      "fr": "Jersey",
      "fy": "Jersey",
      "ga": "Geirsí",
      "gl": "Jersey",
      "gn": "Jersey",
      "gu": "જર્સી",
      "gv": "Jersee",
      "ha": "Jersey",
      "he": "ג'רזי",
      "hi": "जर्सी",
      "hr": "Jersey",
      "ht": "Jersey",
      "hu": "Jersey",
      "hy": "Ջերսի",
      "ia": "Jersey",
      "id": "Jersey",
      "io": "Jersey",
      "is": "Jersey",
      "it": "Jersey",
      "iu": "Jersey",
      "ja": "ジャージー",
      "ka": "ჯერსი",
      "ki": "Jersey",
      "kk": "Джерси",
      "kl": "Jersey",
      "km": "Jersey",
      "kn": "ಜರ್ಸಿ",
      "ko": "저지 섬",
      "ku": "Jersey",
      "kv": "Jersey",
      "kw": "Jersi",
      "ky": "Джерси",
      "lo": "Jersey",
      "lt": "Džersis",
      "lv": "Džersija",
      "mi": "Tōrehe",
      "mk": "Џерси",
      "ml": "ജെര്‍സി",
      "mn": "Jersey",
      "mr": "जर्सी",
      "ms": "Jersey",
      "mt": "Jersey",
      "my": "Jersey",
      "na": "Jersey",
      "nb": "Jersey",
      "ne": "जर्सी",
      "nl": "Jersey",
      "nn": "Jersey",
      "nv": "Jersey",
      "oc": "Jersei",
      "or": "ଜର୍ସୀ",
      "pa": "ਜਰਸੀ",
      "pi": "Jersey",
      "pl": "Jersey",
      "ps": "Jersey",
      "pt": "Jersey",
      "pt_BR": "Jersey",
      "ro": "Jersey",
      "ru": "Джерси",
      "rw": "Jersey",
      "sc": "Jersey",
      "sd": "Jersey",
      "si": "ජර්සි",
      "sk": "Jersey",
      "sl": "Jersey",
      "so": "Jersey",
      "sq": "Xhersi",
      "sr": "Џерси",
      "sv": "Jersey",
      "sw": "Jersey",
      "ta": "ஜெர்சி",
      "te": "జర్సీ",
      "tg": "Ҷерси",
      "th": "เจอร์ซีย์",
      "ti": "Jersey",
      "tk": "Jersi",
      "tl": "Jersey",
      "tr": "Jersey",
      "tt": "Jersey",
      "ug": "جېرسېي",
      "uk": "Джерсі",
      "ur": "جرزی",
      "uz": "Jersey",
      "ve": "Jersey",
      "vi": "Giơ-xị",
      "wa": "Djersey",
      "wo": "Jersey",
      "xh": "Jersey",
      "yo": "Jersey",
      "zh_CN": "泽西岛",
      "zh_HK": "澤西",
      "zh_TW": "澤西島",
      "zu": "Jersey"
    },
  );

  /// Country: Jamaica
  static const Country jam = Country(
    alpha2: 'JM',
    alpha3: 'JAM',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'JMD',
    gec: 'JM',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 18.109581,
        longitude: -77.297508,
      ),
      maxCoordinate: Coordinate(
        latitude: 18.5697821,
        longitude: -76.1448669,
      ),
      minCoordinate: Coordinate(
        latitude: 17.6688854,
        longitude: -78.4073639,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 18.5697821,
          longitude: -76.1448669,
        ),
        southwest: Coordinate(
          latitude: 17.6688854,
          longitude: -78.4073639,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'JAM',
    isoLongName: 'Jamaica',
    isoShortName: 'Jamaica',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Jamaican',
    number: '388',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'JM',
    unofficialNames: ['Jamaica', 'Jamaika', 'Jamaïque', 'ジャマイカ'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1876',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Jamaica",
      "af": "Jamaika",
      "ak": "Jamaica",
      "am": "ጃሢ፤ጢ",
      "an": "Jamaica",
      "ar": "جامايكا",
      "as": "জামাইকা",
      "ay": "Jamaica",
      "az": "Yamayka",
      "ba": "Jamaica",
      "be": "Ямайка",
      "bg": "Ямайка",
      "bi": "Jamaica",
      "bn": "জামাইকা",
      "bn_IN": "জামাইকা",
      "br": "Jamaika",
      "bs": "Jamajka",
      "ca": "Jamaica",
      "ce": "Ямайка",
      "ch": "Jamaica",
      "cs": "Jamajka",
      "cv": "Ямайка",
      "cy": "Jamaica",
      "da": "Jamaica",
      "de": "Jamaika",
      "dv": "ޖެމެއިކާ",
      "dz": "ཇ་མའི་ཀ",
      "ee": "Jamaica",
      "el": "Τζαμάικα",
      "en": "Jamaica",
      "eo": "Jamajko",
      "es": "Jamaica",
      "et": "Jamaica",
      "eu": "Jamaika",
      "fa": "جاماییکا",
      "ff": "Jamaica",
      "fi": "Jamaika",
      "fo": "Jameika",
      "fr": "Jamaïque",
      "fy": "Jamaika",
      "ga": "Iamáice",
      "gl": "Xamaica",
      "gn": "Jamaica",
      "gu": "જમૈકા",
      "gv": "Yn Yamaicey",
      "ha": "Jamaica",
      "he": "ג'מייקה",
      "hi": "जमैका",
      "hr": "Jamajka",
      "ht": "Jamayik",
      "hu": "Jamaica",
      "hy": "Ջամայկա",
      "ia": "Jamaica",
      "id": "Jamaika",
      "io": "Jamaika",
      "is": "Jamaíka",
      "it": "Giamaica",
      "iu": "Jamaica",
      "ja": "ジャマイカ",
      "ka": "იამაიკა",
      "ki": "Jamaica",
      "kk": "Ямайка",
      "kl": "Jamaica",
      "km": "ចាម៉ៃកា",
      "kn": "ಜಮೈಕ",
      "ko": "자메이카",
      "ku": "Jamayîka",
      "kv": "Ямайка",
      "kw": "Jamayka",
      "ky": "Ямайка",
      "lo": "Jamaica",
      "lt": "Jamaika",
      "lv": "Jamaika",
      "mi": "Jamaica",
      "mk": "Јамајка",
      "ml": "ജമൈക്ക",
      "mn": "Ямайк",
      "mr": "जमैका",
      "ms": "Jamaika",
      "mt": "Jamaica",
      "my": "ဂျမေကာနိုင်ငံ",
      "na": "Djamaika",
      "nb": "Jamaica",
      "ne": "जमैका",
      "nl": "Jamaica",
      "nn": "Jamaica",
      "nv": "Jamaica",
      "oc": "Jamaica",
      "or": "ଜାମୈକା",
      "pa": "ਜੈਮਾਈਕਾ",
      "pi": "जमैका",
      "pl": "Jamajka",
      "ps": "جمیکا",
      "pt": "Jamaica",
      "pt_BR": "Jamaica",
      "ro": "Jamaica",
      "ru": "Ямайка",
      "rw": "Jamayika",
      "sc": "Giamàica",
      "sd": "جميڪا",
      "si": "ජැමෙයිකාව",
      "sk": "Jamajka",
      "sl": "Jamajka",
      "so": "Jameyka",
      "sq": "Xhamajkë",
      "sr": "Јамајка",
      "sv": "Jamaica",
      "sw": "Jamaica",
      "ta": "ஜமைக்கா",
      "te": "జమైకా",
      "tg": "Ҷомайка",
      "th": "จาเมกา",
      "ti": "ጃማይካ",
      "tk": "Ýamaýka",
      "tl": "Jamaica",
      "tr": "Jamaika",
      "tt": "Жамайка",
      "ug": "يامايكا",
      "uk": "Ямайка",
      "ur": "جمیکا",
      "uz": "Yamayka",
      "ve": "Jamaica",
      "vi": "Gia-mê-ca",
      "wa": "Djamayike",
      "wo": "Jamayka",
      "xh": "Jamaica",
      "yo": "Jamáíkà",
      "zh_CN": "牙买加",
      "zh_HK": "牙買加",
      "zh_TW": "牙買加",
      "zu": "Jamaica"
    },
  );

  /// Country: The Hashemite Kingdom of Jordan
  static const Country jor = Country(
    alpha2: 'JO',
    alpha3: 'JOR',
    continent: Continent.asia,
    countryCode: '962',
    currencyCode: 'JOD',
    gec: 'JO',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 30.585164,
        longitude: 36.238414,
      ),
      maxCoordinate: Coordinate(
        latitude: 33.374735,
        longitude: 39.301154,
      ),
      minCoordinate: Coordinate(
        latitude: 29.1850361,
        longitude: 34.9441001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 33.374735,
          longitude: 39.301154,
        ),
        southwest: Coordinate(
          latitude: 29.1850361,
          longitude: 34.9441001,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'JOR',
    isoLongName: 'The Hashemite Kingdom of Jordan',
    isoShortName: 'Jordan',
    languagesOfficial: ['ar'],
    languagesSpoken: ['ar'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9],
    nationalPrefix: '0',
    nationality: 'Jordanian',
    number: '400',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.asia,
    startOfWeek: Week.sunday,
    subregion: 'Western Asia',
    unLocode: 'JO',
    unofficialNames: [
      'Jordan',
      'الأردن',
      'Jordanien',
      'Jordanie',
      'Jordania',
      'ヨルダン',
      'Jordanië'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Jordan",
      "af": "Jordanië",
      "ak": "Jordan",
      "am": "ጆሴ፣ን",
      "an": "Jordan",
      "ar": "الأردن",
      "as": "জৰ্ডান",
      "ay": "Jordan",
      "az": "İordaniya",
      "ba": "Jordan",
      "be": "Іарданія",
      "bg": "Йордания",
      "bi": "Jordan",
      "bn": "জর্ডান",
      "bn_IN": "জর্ডান",
      "br": "Jordania",
      "bs": "Jordan",
      "ca": "Jordània",
      "ce": "Урдан",
      "ch": "Jordan",
      "cs": "Jordánsko",
      "cv": "Урдан",
      "cy": "Gwlad Yr Iorddonen",
      "da": "Jordan",
      "de": "Jordanien",
      "dv": "އުރުދުން",
      "dz": "ཇོར་ཌན།",
      "ee": "Jordan",
      "el": "Ιορδανία",
      "en": "Jordan",
      "eo": "Jordanio",
      "es": "Jordania",
      "et": "Jordaania",
      "eu": "Jordania",
      "fa": "اردن",
      "ff": "Jordan",
      "fi": "Jordania",
      "fo": "Jordan",
      "fr": "Jordanie",
      "fy": "Jordaanje",
      "ga": "An Iordáin",
      "gl": "Xordania",
      "gn": "Jordan",
      "gu": "જોર્ડન",
      "gv": "Yn Jordaan",
      "ha": "Jordan",
      "he": "ירדן",
      "hi": "जॉर्डन",
      "hr": "Jordan",
      "ht": "Jòdani",
      "hu": "Jordánia",
      "hy": "Հորդանան",
      "ia": "Jordania",
      "id": "Yordania",
      "io": "Jordania",
      "is": "Jórdanía",
      "it": "Giordania",
      "iu": "Jordan",
      "ja": "ヨルダン",
      "ka": "იორდანია",
      "ki": "Jordan",
      "kk": "Иордания",
      "kl": "Jordan",
      "km": "ហ្ស៊កដង់",
      "kn": "ಜೋರ್ಡಾನ್",
      "ko": "요르단",
      "ku": "Urdin",
      "kv": "Иордания",
      "kw": "Jordan",
      "ky": "Иордания",
      "lo": "Jordan",
      "lt": "Jordanija",
      "lv": "Jordānija",
      "mi": "Jordan",
      "mk": "Џордан",
      "ml": "ജോര്‍ഡാന്‍",
      "mn": "Ёрдан",
      "mr": "जॉर्डन",
      "ms": "Jordan",
      "mt": "Ġordan",
      "my": "ဂျော်ဒန်နိုင်ငံ",
      "na": "Djordan",
      "nb": "Jordan",
      "ne": "जोर्डन",
      "nl": "Jordanië",
      "nn": "Jordan",
      "nv": "Jordan",
      "oc": "Jordania",
      "or": "ଜୋର୍ଡାନ",
      "pa": "ਜਾਰਡਨ",
      "pi": "जार्डन",
      "pl": "Jordania",
      "ps": "اردن",
      "pt": "Jordânia",
      "pt_BR": "Jordânia",
      "ro": "Iordania",
      "ru": "Иордания",
      "rw": "Yorudani",
      "sc": "Giordània",
      "sd": "اردن",
      "si": "ජෝර්දානය",
      "sk": "Jordánsko",
      "sl": "Jordanija",
      "so": "Urdun",
      "sq": "Jordani",
      "sr": "Јордан",
      "sv": "Jordanien",
      "sw": "Jordan",
      "ta": "ஜோர்டான்",
      "te": "జోర్డాన్",
      "tg": "Ҷордон",
      "th": "จอร์แดน",
      "ti": "ጆርዳን",
      "tk": "Iordaniýa",
      "tl": "Jordan",
      "tr": "Ürdün",
      "tt": "Жордан",
      "ug": "ئىيوردانىيە",
      "uk": "Йорданія",
      "ur": "اردن",
      "uz": "Iordaniya",
      "ve": "Jordan",
      "vi": "Gi-oa-đanh",
      "wa": "Djordaneye",
      "wo": "Jordaani",
      "xh": "Jordan",
      "yo": "Jọ́rdánì",
      "zh_CN": "约旦",
      "zh_HK": "約旦",
      "zh_TW": "約旦",
      "zu": "Jordan"
    },
  );

  /// Country: Japan
  static const Country jpn = Country(
    alpha2: 'JP',
    alpha3: 'JPN',
    continent: Continent.asia,
    countryCode: '81',
    currencyCode: 'JPY',
    gec: 'JA',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 36.204824,
        longitude: 138.252924,
      ),
      maxCoordinate: Coordinate(
        latitude: 45.6412626,
        longitude: 154.0031455,
      ),
      minCoordinate: Coordinate(
        latitude: 20.3585295,
        longitude: 122.8554688,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 45.6412626,
          longitude: 154.0031455,
        ),
        southwest: Coordinate(
          latitude: 20.3585295,
          longitude: 122.8554688,
        ),
      ),
    ),
    internationalPrefix: '010',
    ioc: 'JPN',
    isoLongName: 'Japan',
    isoShortName: 'Japan',
    languagesOfficial: ['ja'],
    languagesSpoken: ['ja'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9, 10],
    nationalPrefix: '0',
    nationality: 'Japanese',
    number: '392',
    postalCode: true,
    postalCodeFormat: r'\d{3}-?\d{4}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Eastern Asia',
    unLocode: 'JP',
    unofficialNames: ['Japan', 'Japon', 'Japón', '日本'],
    worldRegion: WorldRegion.apac,
    addressFormat: '''〒{{postalcode}}
{{region_short}}{{city}}{{street}}
{{recipient}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Japan",
      "af": "Japan",
      "ak": "Japan",
      "am": "ጃፓን",
      "an": "Japan",
      "ar": "اليابان",
      "as": "জাপান",
      "ay": "Japan",
      "az": "Yaponiya",
      "ba": "Japan",
      "be": "Японія",
      "bg": "Япония",
      "bi": "Japan",
      "bn": "জাপান",
      "bn_IN": "জাপান",
      "br": "Japan",
      "bs": "Japan",
      "ca": "Japó",
      "ce": "Япони",
      "ch": "Chapan",
      "cs": "Japonsko",
      "cv": "Япони",
      "cy": "Japan",
      "da": "Japan",
      "de": "Japan",
      "dv": "ޖަޕާނު",
      "dz": "ཇ་པཱན།",
      "ee": "Japan",
      "el": "Ιαπωνία",
      "en": "Japan",
      "eo": "Japanio",
      "es": "Japón",
      "et": "Jaapan",
      "eu": "Japonia",
      "fa": "ژاپن",
      "ff": "Japan",
      "fi": "Japani",
      "fo": "Japan",
      "fr": "Japon",
      "fy": "Japan",
      "ga": "An tSeapáin",
      "gl": "Xapón",
      "gn": "Japan",
      "gu": "જાપાન",
      "gv": "Yn Çhapaan",
      "ha": "Japan",
      "he": "יפן",
      "hi": "जापान",
      "hr": "Japan",
      "ht": "Japon",
      "hu": "Japán",
      "hy": "Ճապոնիա",
      "ia": "Japon",
      "id": "Jepang",
      "io": "Japonia",
      "is": "Japan",
      "it": "Giappone",
      "iu": "ᓃᑉᐊᓐ",
      "ja": "日本",
      "ka": "იაპონია",
      "ki": "Japan",
      "kk": "Жапония",
      "kl": "Japan",
      "km": "ជប៉ុន",
      "kn": "ಜಪಾನ್",
      "ko": "일본",
      "ku": "Japonya",
      "kv": "Япония",
      "kw": "Nihon",
      "ky": "Жапония",
      "lo": "ປະເທດຍີ່ປຸ່ນ",
      "lt": "Japonija",
      "lv": "Japāna",
      "mi": "Nipono",
      "mk": "Јапонија",
      "ml": "ജപ്പാന്‍",
      "mn": "Япон",
      "mr": "जपान",
      "ms": "Jepun",
      "mt": "Ġappun",
      "my": "ဂျပန်နိုင်ငံ",
      "na": "Djapan",
      "nb": "Japan",
      "ne": "जापान",
      "nl": "Japan",
      "nn": "Japan",
      "nv": "Binaʼadaałtzózí Dinéʼiʼ Bikéyah",
      "oc": "Japon",
      "or": "ଜାପାନ",
      "pa": "ਜਾਪਾਨ",
      "pi": "जापान",
      "pl": "Japonia",
      "ps": "جاپان",
      "pt": "Japão",
      "pt_BR": "Japão",
      "ro": "Japonia",
      "ru": "Япония",
      "rw": "Ubuyapani",
      "sc": "Giapone",
      "sd": "جاپان",
      "si": "ජපානය",
      "sk": "Japonsko",
      "sl": "Japonska",
      "so": "Jabbaan",
      "sq": "Japoni",
      "sr": "Јапан",
      "sv": "Japan",
      "sw": "Japan",
      "ta": "ஜப்பான்",
      "te": "జపాన్",
      "tg": "Ҷопон",
      "th": "ญี่ปุ่น",
      "ti": "ጃፓን",
      "tk": "Ýaponiýa",
      "tl": "Hapon",
      "tr": "Japonya",
      "tt": "Жапан, Япониа",
      "ug": "ياپونىيە",
      "uk": "Японія",
      "ur": "جاپان",
      "uz": "Yaponiya",
      "ve": "Japan",
      "vi": "Nhật",
      "wa": "Djapon",
      "wo": "Japoŋ",
      "xh": "Japhani",
      "yo": "Japan",
      "zh_CN": "日本",
      "zh_HK": "日本",
      "zh_TW": "日本",
      "zu": "IJaphani"
    },
  );

  /// Country: The Republic of Kenya
  static const Country ken = Country(
    alpha2: 'KE',
    alpha3: 'KEN',
    continent: Continent.africa,
    countryCode: '254',
    currencyCode: 'KES',
    gec: 'KE',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -0.023559,
        longitude: 37.906193,
      ),
      maxCoordinate: Coordinate(
        latitude: 5.033420899999999,
        longitude: 41.9069449,
      ),
      minCoordinate: Coordinate(
        latitude: -4.724299999999999,
        longitude: 33.90982109999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 5.033420899999999,
          longitude: 41.9069449,
        ),
        southwest: Coordinate(
          latitude: -4.724299999999999,
          longitude: 33.90982109999999,
        ),
      ),
    ),
    internationalPrefix: '000',
    ioc: 'KEN',
    isoLongName: 'The Republic of Kenya',
    isoShortName: 'Kenya',
    languagesOfficial: ['en', 'sw'],
    languagesSpoken: ['en', 'sw'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Kenyan',
    number: '404',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'KE',
    unofficialNames: ['Kenya', 'Kenia', 'ケニア'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Kenya",
      "af": "Kenia",
      "ak": "Kenya",
      "am": "ኬንያ",
      "an": "Kenya",
      "ar": "كينيا",
      "as": "কেনিয়া",
      "ay": "Kenya",
      "az": "Kenya",
      "ba": "Kenya",
      "be": "Кенія",
      "bg": "Кения",
      "bi": "Kenya",
      "bn": "কেনিয়া",
      "bn_IN": "কেনিয়া",
      "br": "Kenya",
      "bs": "Kenija",
      "ca": "Kenya",
      "ce": "Кени",
      "ch": "Kenya",
      "cs": "Keňa",
      "cv": "Кени",
      "cy": "Kenya",
      "da": "Kenya",
      "de": "Kenia",
      "dv": "ކެންޔާ",
      "dz": "ཀེན་ཡ།",
      "ee": "Kenya",
      "el": "Κένυα",
      "en": "Kenya",
      "eo": "Kenjo",
      "es": "Kenia",
      "et": "Kenya",
      "eu": "Kenya",
      "fa": "کنیا",
      "ff": "Kenya",
      "fi": "Kenia",
      "fo": "Kenja",
      "fr": "Kenya",
      "fy": "Kenya",
      "ga": "An Chéinia",
      "gl": "Quenia",
      "gn": "Kenya",
      "gu": "કેન્યા",
      "gv": "Yn Cheinney",
      "ha": "Kenya",
      "he": "קניה",
      "hi": "कीनिया",
      "hr": "Kenija",
      "ht": "Kenya",
      "hu": "Kenya",
      "hy": "Քենիա",
      "ia": "Kenya",
      "id": "Kenya",
      "io": "Kenia",
      "is": "Kenía",
      "it": "Kenya",
      "iu": "Kenya",
      "ja": "ケニア",
      "ka": "კენია",
      "ki": "Kenya",
      "kk": "Кения",
      "kl": "Kenya",
      "km": "កេនយ៉ា",
      "kn": "ಕೀನ್ಯಾ",
      "ko": "케냐",
      "ku": "Kenya",
      "kv": "Kenya",
      "kw": "Kenya",
      "ky": "Кения",
      "lo": "Kenya",
      "lt": "Kenija",
      "lv": "Kenija",
      "mi": "Kēnia",
      "mk": "Кенија",
      "ml": "കെനിയ",
      "mn": "Кениа",
      "mr": "केनिया",
      "ms": "Kenya",
      "mt": "Kenja",
      "my": "ကင်ညာနိုင်ငံ",
      "na": "Keniya",
      "nb": "Kenya",
      "ne": "केन्या",
      "nl": "Kenia",
      "nn": "Kenya",
      "nv": "Kenya",
      "oc": "Kenya",
      "or": "କେନିୟା",
      "pa": "ਕੀਨੀਆ",
      "pi": "केन्या",
      "pl": "Kenia",
      "ps": "کېنيا",
      "pt": "Quénia",
      "pt_BR": "Quênia",
      "ro": "Kenia",
      "ru": "Кения",
      "rw": "Kenya",
      "sc": "Kènya",
      "sd": "Kenya",
      "si": "කෙන්යාව",
      "sk": "Keňa",
      "sl": "Kenija",
      "so": "Kiiniya",
      "sq": "Kenia",
      "sr": "Кенија",
      "sv": "Kenya",
      "sw": "Kenya",
      "ta": "கென்யா",
      "te": "కెన్యా",
      "tg": "Кения",
      "th": "เคนยา",
      "ti": "ኬንያ",
      "tk": "Keniýa",
      "tl": "Kenya",
      "tr": "Kenya",
      "tt": "Кениа",
      "ug": "كېنىيە",
      "uk": "Кенія",
      "ur": "کینیا",
      "uz": "Keniya",
      "ve": "Kenya",
      "vi": "Khi-ni-a",
      "wa": "Kenia",
      "wo": "Kenya",
      "xh": "Kenya",
      "yo": "Kẹ́nyà",
      "zh_CN": "肯尼亚",
      "zh_HK": "肯雅",
      "zh_TW": "肯亞",
      "zu": "IKenya"
    },
  );

  /// Country: The Kyrgyz Republic
  static const Country kgz = Country(
    alpha2: 'KG',
    alpha3: 'KGZ',
    continent: Continent.asia,
    countryCode: '996',
    currencyCode: 'KGS',
    gec: 'KG',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 41.20438,
        longitude: 74.766098,
      ),
      maxCoordinate: Coordinate(
        latitude: 43.2653569,
        longitude: 80.2281514,
      ),
      minCoordinate: Coordinate(
        latitude: 39.180254,
        longitude: 69.250998,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 43.2653569,
          longitude: 80.2281514,
        ),
        southwest: Coordinate(
          latitude: 39.180254,
          longitude: 69.250998,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'KGZ',
    isoLongName: 'The Kyrgyz Republic',
    isoShortName: 'Kyrgyzstan',
    languagesOfficial: ['ky', 'ru'],
    languagesSpoken: ['ky', 'ru'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Kirghiz',
    number: '417',
    postalCode: true,
    postalCodeFormat: r'\d{6}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Central Asia',
    unLocode: 'KG',
    unofficialNames: [
      'Kyrgyzstan',
      'Kirgisistan',
      'Kirghizistan',
      'Kirguizistán',
      'キルギス',
      'Kirgizië',
      'Kyrgzstan'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Kyrgyzstan",
      "af": "Kirgisië",
      "ak": "Kyrgyzstan",
      "am": "ኪርጊዝስታን",
      "an": "Kyrgyzstan",
      "ar": "قيرغزستان",
      "as": "কিৰ্গিজস্তান",
      "ay": "Kyrgyzstan",
      "az": "Qırğızıstan",
      "ba": "Kyrgyzstan",
      "be": "Кыргызстан",
      "bg": "Киргизстан",
      "bi": "Kyrgyzstan",
      "bn": "কির্গিজস্তান",
      "bn_IN": "কির্গিজস্তান",
      "br": "Kirgizstan",
      "bs": "Kirgistan",
      "ca": "Kirguizistan",
      "ce": "Киргизи",
      "ch": "Kyrgyzstan",
      "cs": "Kyrgyzstán",
      "cv": "Киргизи",
      "cy": "Kyrgyzstan",
      "da": "Kirgisistan",
      "de": "Kirgisistan",
      "dv": "ކިރިގިސްތާން",
      "dz": "ཀར་གིཛི་ཏཱན།",
      "ee": "Kyrgyzstan",
      "el": "Κιργιζία",
      "en": "Kyrgyzstan",
      "eo": "Kirgizio",
      "es": "Kirguistán",
      "et": "Kõrgõzstan",
      "eu": "Kirgizistan",
      "fa": "قرقیزستان",
      "ff": "Kyrgyzstan",
      "fi": "Kirgisia",
      "fo": "Kirgisia",
      "fr": "Kirghizistan",
      "fy": "Kirgyzje",
      "ga": "An Chirgeastáin",
      "gl": "Quirgizistán",
      "gn": "Kyrgyzstan",
      "gu": "કિર્ગિસ્તાન",
      "gv": "Yn Chyrgistaan",
      "ha": "Kyrgystan",
      "he": "קירגיזסטן",
      "hi": "किर्गिज़स्तान",
      "hr": "Kirgistan",
      "ht": "Kirgistan",
      "hu": "Kirgizisztán",
      "hy": "Կիրգիզստան",
      "ia": "Kirghizistan",
      "id": "Kirgizstan",
      "io": "Kirgizistan",
      "is": "Kirgisistan",
      "it": "Kirghizistan",
      "iu": "Kyrgyzstan",
      "ja": "キルギスタン",
      "ka": "ყირგიზეთი",
      "ki": "Kyrgyzstan",
      "kk": "Қырғызстан",
      "kl": "Kyrgyzstan",
      "km": "គៀរហ្គីស្តង់",
      "kn": "ಕಿರ್ಗಿಝ್‍ಸ್ತಾನ್",
      "ko": "키르기스스탄",
      "ku": "Kirgîsistan",
      "kv": "Кыргызстан",
      "kw": "Pow Kyrgys",
      "ky": "Кыргызстан",
      "lo": "Kyrgyzstan",
      "lt": "Kirgizija",
      "lv": "Kirgizstāna",
      "mi": "Kyrgyzstan",
      "mk": "Киргистан",
      "ml": "കിര്‍ഗിസ്താന്‍",
      "mn": "Киргиз",
      "mr": "किर्गिझस्तान",
      "ms": "Kyrgyzstan",
      "mt": "Kirgistan",
      "my": "ကာဂျစ္စတန်နိုင်ငံ",
      "na": "Kirgitan",
      "nb": "Kirgisistan",
      "ne": "किर्जिस्तान",
      "nl": "Kirgizië",
      "nn": "Kirgisistan",
      "nv": "Kyrgyzstan",
      "oc": "Kirguizstan",
      "or": "କିର୍ଗିଜସ୍ତାନ",
      "pa": "ਕਿਰਗਸਤਾਨ",
      "pi": "किरगिस्थान",
      "pl": "Kirgistan",
      "ps": "قرغزستان",
      "pt": "Quirguistão",
      "pt_BR": "Quirguistão",
      "ro": "Kârgâzstan",
      "ru": "Киргизия",
      "rw": "Kirigizasitani",
      "sc": "Kirghìzistan",
      "sd": "ڪِرگزِستانُ",
      "si": "කිර්ගිස්තානය",
      "sk": "Kirgizsko",
      "sl": "Kirgizistan",
      "so": "Qargistan",
      "sq": "Kirgistan",
      "sr": "Киргистан",
      "sv": "Kirgizistan",
      "sw": "Kyrgyzstan",
      "ta": "கிரைகிசுத்தான்",
      "te": "కిర్గిఝస్తాన",
      "tg": "Қирғизистон",
      "th": "คีร์กีซสถาน",
      "ti": "Kyrgyzstan",
      "tk": "Gyrgyzstan",
      "tl": "Kyrgyzstan",
      "tr": "Kırgızistan",
      "tt": "Кыргызстан",
      "ug": "قىرغىزىستان",
      "uk": "Киргизстан",
      "ur": "کرغیزستان",
      "uz": "Qirgʻiziston",
      "ve": "Kyrgyzstan",
      "vi": "Khư-rơ-gư-xtanh",
      "wa": "Kirguiztan",
      "wo": "Kirgistaan",
      "xh": "Kyrgyzstan",
      "yo": "Kirgistani",
      "zh_CN": "吉尔吉斯坦",
      "zh_HK": "吉爾吉斯",
      "zh_TW": "吉爾吉斯",
      "zu": "Kyrgyzstan"
    },
  );

  /// Country: The Kingdom of Cambodia
  static const Country khm = Country(
    alpha2: 'KH',
    alpha3: 'KHM',
    continent: Continent.asia,
    countryCode: '855',
    currencyCode: 'KHR',
    gec: 'CB',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 12.565679,
        longitude: 104.990963,
      ),
      maxCoordinate: Coordinate(
        latitude: 14.6901791,
        longitude: 107.627687,
      ),
      minCoordinate: Coordinate(
        latitude: 9.6007,
        longitude: 102.333542,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 14.6901791,
          longitude: 107.627687,
        ),
        southwest: Coordinate(
          latitude: 9.6007,
          longitude: 102.333542,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'CAM',
    isoLongName: 'The Kingdom of Cambodia',
    isoShortName: 'Cambodia',
    languagesOfficial: ['km'],
    languagesSpoken: ['km'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '0',
    nationality: 'Cambodian',
    number: '116',
    postalCode: true,
    postalCodeFormat: r'\d{5,6}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'South-Eastern Asia',
    unLocode: 'KH',
    unofficialNames: [
      'Cambodia',
      'Kambodscha',
      'Cambodge',
      'Camboya',
      'カンボジア',
      'Cambodja'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Cambodia",
      "af": "Kambodja",
      "ak": "Cambodia",
      "am": "ጢሤቦ።።",
      "an": "Cambodia",
      "ar": "كمبوديا",
      "as": "কম্বোডিয়া",
      "ay": "Cambodia",
      "az": "Kambodja",
      "ba": "Cambodia",
      "be": "Камбоджа",
      "bg": "Камбоджа",
      "bi": "Cambodia",
      "bn": "ক্যাম্বোডিয়া",
      "bn_IN": "ক্যাম্বোডিয়া",
      "br": "Kambodja",
      "bs": "Kambodža",
      "ca": "Cambodja",
      "ce": "Камбоджа",
      "ch": "Cambodia",
      "cs": "Kambodža",
      "cv": "Камбоджа",
      "cy": "Cambodia",
      "da": "Cambodja",
      "de": "Kambodscha",
      "dv": "ކެންބޯޑިއާ",
      "dz": "ཀམ་བོ་ཌི་ཡ།",
      "ee": "Cambodia",
      "el": "Καμπότζη",
      "en": "Cambodia",
      "eo": "Kamboĝo",
      "es": "Camboya",
      "et": "Kambodža",
      "eu": "Kanbodia",
      "fa": "کامبوج",
      "ff": "Kammbooja",
      "fi": "Kambodža",
      "fo": "Kambodja",
      "fr": "Cambodge",
      "fy": "Kambodja",
      "ga": "An Chambóid",
      "gl": "Camboxa",
      "gn": "Cambodia",
      "gu": "કંબોડિઆ",
      "gv": "Yn Chamboyd",
      "ha": "Kambodiya",
      "he": "קמבודיה",
      "hi": "कम्बोडिया",
      "hr": "Kambodža",
      "ht": "Kanbòdj",
      "hu": "Kambodzsa",
      "hy": "Կամբոջա",
      "ia": "Cambodgia",
      "id": "Kamboja",
      "io": "Kambodja",
      "is": "Kambódía",
      "it": "Cambogia",
      "iu": "Cambodia",
      "ja": "カンボジア",
      "ka": "კამბოჯა",
      "ki": "Cambodia",
      "kk": "Камбоджа",
      "kl": "Cambodia",
      "km": "កម្ពុជា",
      "kn": "ಕಾಂಬೋಡಿಯಾ",
      "ko": "캄보디아",
      "ku": "Kamboca",
      "kv": "Камбоджа",
      "kw": "Kamboji",
      "ky": "Камбожа",
      "lo": "ປະເທດກຳປູເຈຍ",
      "lt": "Kambodža",
      "lv": "Kambodža",
      "mi": "Kamapōtia",
      "mk": "Камбоџа",
      "ml": "കമ്പോഡിയ",
      "mn": "Камбож",
      "mr": "कंबोडिया",
      "ms": "Kemboja",
      "mt": "Kambodja",
      "my": "ကမ္ဘောဒီးယားနိုင်ငံ",
      "na": "Kambodja",
      "nb": "Kambodsja",
      "ne": "क्याम्बोडिया",
      "nl": "Cambodja",
      "nn": "Kambodsja",
      "nv": "Cambodia",
      "oc": "Cambòtja",
      "or": "କାମ୍ବୋଡିୟା",
      "pa": "ਕੋਲੰਬੀਆ",
      "pi": "कम्बोदिया",
      "pl": "Kambodża",
      "ps": "کمبودیا",
      "pt": "Camboja",
      "pt_BR": "Camboja",
      "ro": "Cambogia",
      "ru": "Камбоджа",
      "rw": "Kambodiya",
      "sc": "Cambògia",
      "sd": "ڪمبوڊيا",
      "si": "කාම්බෝජියාව",
      "sk": "Kambodža",
      "sl": "Kambodža",
      "so": "Kamboodiya",
      "sq": "Kamboxhia",
      "sr": "Камбоџа",
      "sv": "Kambodja",
      "sw": "Cambodia",
      "ta": "கம்போடியா",
      "te": "కంబోడియా",
      "tg": "Камбоҷа",
      "th": "กัมพูชา",
      "ti": "ካምቦዲያ",
      "tk": "Kambojiýa",
      "tl": "Kambodya",
      "tr": "Kamboçya",
      "tt": "Камбодиа",
      "ug": "كامبودژا",
      "uk": "Камбоджа",
      "ur": "کمبوڈیا",
      "uz": "Kambodja",
      "ve": "Cambodia",
      "vi": "Căm Bốt",
      "wa": "Cambodje",
      "wo": "Kambodia",
      "xh": "Cambodia",
      "yo": "Kàmbódíà",
      "zh_CN": "柬埔寨",
      "zh_HK": "柬埔寨",
      "zh_TW": "柬埔寨",
      "zu": "Cambodia"
    },
  );

  /// Country: The Republic of Kiribati
  static const Country kir = Country(
    alpha2: 'KI',
    alpha3: 'KIR',
    continent: Continent.australia,
    countryCode: '686',
    currencyCode: 'AUD',
    gec: 'KR',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -3.370417,
        longitude: -168.734039,
      ),
      maxCoordinate: Coordinate(
        latitude: 5.4082108,
        longitude: -145.1513674,
      ),
      minCoordinate: Coordinate(
        latitude: -13.0502263,
        longitude: 168.8818359,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 5.4082108,
          longitude: -145.1513674,
        ),
        southwest: Coordinate(
          latitude: -13.0502263,
          longitude: 168.8818359,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'KIR',
    isoLongName: 'The Republic of Kiribati',
    isoShortName: 'Kiribati',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [5],
    nationalPrefix: 'None',
    nationality: 'I-Kiribati',
    number: '296',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Micronesia',
    unLocode: 'KI',
    unofficialNames: ['Kiribati', 'キリバス'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Kiribati",
      "af": "Kiribati",
      "ak": "Kiribati",
      "am": "ኪሪባስ",
      "an": "Kiribati",
      "ar": "كيريباتي",
      "as": "কিৰিবাটি",
      "ay": "Kiribati",
      "az": "Kiribati",
      "ba": "Kiribati",
      "be": "Кірыбаці",
      "bg": "Кирибати",
      "bi": "Kiribati",
      "bn": "কিরিবাস",
      "bn_IN": "কিরিবাস",
      "br": "Kiribati",
      "bs": "Kiribati",
      "ca": "Kiribati",
      "ce": "Кирибати",
      "ch": "Kiribati",
      "cs": "Kiribati",
      "cv": "Кирибати",
      "cy": "Kiribati",
      "da": "Kiribati",
      "de": "Kiribati",
      "dv": "ކިރިބަތީ",
      "dz": "ཀི་རི་བ་ཏི།",
      "ee": "Kiribati",
      "el": "Κιριμπάτι",
      "en": "Kiribati",
      "eo": "Kiribato",
      "es": "Kiribati",
      "et": "Kiribati",
      "eu": "Kiribati",
      "fa": "کیریباتی",
      "ff": "Kiribati",
      "fi": "Kiribati",
      "fo": "Kiribati",
      "fr": "Kiribati",
      "fy": "Kiribaty",
      "ga": "Cireabaití",
      "gl": "Quiribati",
      "gn": "Kiribati",
      "gu": "કીરીબાતી",
      "gv": "Yn Chiribati",
      "ha": "Kiribati",
      "he": "קיריבטי",
      "hi": "किरिबाती",
      "hr": "Kiribati",
      "ht": "Kiribès",
      "hu": "Kiribati",
      "hy": "Կիրիբատի",
      "ia": "Kiribati",
      "id": "Kiribati",
      "io": "Kiribati",
      "is": "Kíribatí",
      "it": "Kiribati",
      "iu": "Kiribati",
      "ja": "キリバス",
      "ka": "კირიბატი",
      "ki": "Kiribati",
      "kk": "Кирибати",
      "kl": "Kiribati",
      "km": "គិរិបាទី",
      "kn": "ಕಿರಿಬಾಟಿ",
      "ko": "키리바시",
      "ku": "Kirîbatî",
      "kv": "Kiribati",
      "kw": "Kiribati",
      "ky": "Кирибати",
      "lo": "Kiribati",
      "lt": "Kiribatis",
      "lv": "Kiribati",
      "mi": "Kiripati",
      "mk": "Кирибати",
      "ml": "കിരിബാറ്റി",
      "mn": "Кирибати",
      "mr": "किरिबाती",
      "ms": "Kiribati",
      "mt": "Kiribati",
      "my": "ကီရီဘတ်စ်နိုင်ငံ",
      "na": "Kiribat",
      "nb": "Kiribati",
      "ne": "किरिबाटी",
      "nl": "Kiribati",
      "nn": "Kiribati",
      "nv": "Kiribati",
      "oc": "Kiribati",
      "or": "କୀରିବତୀ",
      "pa": "ਕੀਰੀਬਾਟੀ",
      "pi": "किरिबाटी",
      "pl": "Kiribati",
      "ps": "Kiribati",
      "pt": "Kiribati",
      "pt_BR": "Kiribati",
      "ro": "Kiribati",
      "ru": "Кирибати",
      "rw": "Kiribati",
      "sc": "Kiribati",
      "sd": "Kiribati",
      "si": "කිරිබටි",
      "sk": "Kiribati",
      "sl": "Kiribati",
      "so": "Kiribati",
      "sq": "Kiribati",
      "sr": "Кирибати",
      "sv": "Kiribati",
      "sw": "Kiribati",
      "ta": "கிரிபாடி",
      "te": "కిరిబాతీ",
      "tg": "Кирибати",
      "th": "คิริบาตี",
      "ti": "Kiribati",
      "tk": "Kiribati",
      "tl": "Kiribati",
      "tr": "Kiribati",
      "tt": "Кирибати",
      "ug": "كىرىباتى",
      "uk": "Кірибаті",
      "ur": "کیریباتی",
      "uz": "Kiribati",
      "ve": "Kiribati",
      "vi": "Ki-ri-ba-ti",
      "wa": "Kiribati",
      "wo": "Kiribati",
      "xh": "Kiribati",
      "yo": "Kìrìbátì",
      "zh_CN": "基里巴斯",
      "zh_HK": "基里巴斯",
      "zh_TW": "吉里巴斯",
      "zu": "Kiribati"
    },
  );

  /// Country: The Union of the Comoros
  static const Country com = Country(
    alpha2: 'KM',
    alpha3: 'COM',
    continent: Continent.africa,
    countryCode: '269',
    currencyCode: 'KMF',
    gec: 'CN',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -11.6455,
        longitude: 43.3333,
      ),
      maxCoordinate: Coordinate(
        latitude: -11.3373321,
        longitude: 44.5646666,
      ),
      minCoordinate: Coordinate(
        latitude: -12.4687602,
        longitude: 43.1968689,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -11.3373321,
          longitude: 44.5646666,
        ),
        southwest: Coordinate(
          latitude: -12.4687602,
          longitude: 43.1968689,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'COM',
    isoLongName: 'The Union of the Comoros',
    isoShortName: 'Comoros',
    languagesOfficial: ['ar', 'fr'],
    languagesSpoken: ['ar', 'fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Comoran',
    number: '174',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'KM',
    unofficialNames: [
      'Comoros',
      'Union der Komoren',
      'Comores',
      'コモロ',
      'Comoren'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Comoros",
      "af": "Comore",
      "ak": "Comoros",
      "am": "ጥሥስስ",
      "an": "Comoros",
      "ar": "جزر القمر",
      "as": "কমোৰছ",
      "ay": "Comoros",
      "az": "Komor",
      "ba": "Comoros",
      "be": "Каморскія астравы",
      "bg": "Комори",
      "bi": "Comoros",
      "bn": "কোমোরোস",
      "bn_IN": "কোমোরোস",
      "br": "Komorez",
      "bs": "Komori",
      "ca": "Comores",
      "ce": "Комора Гlайреш",
      "ch": "Comoros",
      "cs": "Komory",
      "cv": "Комора Гlайреш",
      "cy": "Comoros",
      "da": "Comorerne",
      "de": "Komoren",
      "dv": "ޖުޒުރުޤަމަރު",
      "dz": "ཀོ་མོ་རཱོསི།",
      "ee": "Comoros",
      "el": "Κομόρες",
      "en": "Comoros",
      "eo": "Komoroj",
      "es": "Comores, Islas",
      "et": "Komoorid",
      "eu": "Komoreak",
      "fa": "کومورو",
      "ff": "Comoros",
      "fi": "Komorit",
      "fo": "Komorooyggjarnar",
      "fr": "Comores",
      "fy": "Komoaren",
      "ga": "Oileán Chomóra",
      "gl": "Comores",
      "gn": "Comoros",
      "gu": "કોમોરોસ",
      "gv": "Ny h-Ellanyn Chomoro",
      "ha": "Komoros",
      "he": "קומורו",
      "hi": "कोमोरोस",
      "hr": "Komori",
      "ht": "Komò",
      "hu": "Comore-szigetek",
      "hy": "Կոմորոս",
      "ia": "Comores",
      "id": "Komoro",
      "io": "Komori",
      "is": "Kómoreyjar",
      "it": "Comore",
      "iu": "Comoros",
      "ja": "コモロ",
      "ka": "კომორის კუნძულები",
      "ki": "Comoros",
      "kk": "Комор аралдары",
      "kl": "Comoros",
      "km": "កុំម៉ូរ៉ូស",
      "kn": "ಕೊಮೊರೋಸ್",
      "ko": "코모로",
      "ku": "Komoros",
      "kv": "Comoros",
      "kw": "Komorys",
      "ky": "Комор аралдары",
      "lo": "Comoros",
      "lt": "Komorai",
      "lv": "Komoras",
      "mi": "Comoros",
      "mk": "Коморос",
      "ml": "കൊമോറോസ്",
      "mn": "Comoros",
      "mr": "कोमरोस",
      "ms": "Comoros",
      "mt": "Komoros",
      "my": "ကိုမိုရိုနိုင်ငံ",
      "na": "Komorot",
      "nb": "Komorene",
      "ne": "कोमोरोस",
      "nl": "Comoren",
      "nn": "Komorane",
      "nv": "Ooljééʼ Bikéyah Yázhí",
      "oc": "Comòras",
      "or": "କୋମୋରୋସ",
      "pa": "ਕੋਮੋਰਸ",
      "pi": "कोमोरोस",
      "pl": "Komory",
      "ps": "Comoros",
      "pt": "Comores",
      "pt_BR": "Comores",
      "ro": "Comoros",
      "ru": "Коморы",
      "rw": "Komore",
      "sc": "Comoras",
      "sd": "Comoros",
      "si": "කොමොරොස්",
      "sk": "Komory",
      "sl": "Komori",
      "so": "Comoros",
      "sq": "Komoros",
      "sr": "Комори",
      "sv": "Comorerna",
      "sw": "Komori",
      "ta": "கோமரோஸ்",
      "te": "కోమరోస్",
      "tg": "Комор",
      "th": "คอโมโรส",
      "ti": "ኮሞሮስ",
      "tk": "Komor Adalary",
      "tl": "Comoros",
      "tr": "Komorlar",
      "tt": "Коморлар",
      "ug": "كوموروس",
      "uk": "Коморські острови",
      "ur": "اتحاد القمری",
      "uz": "Komoros",
      "ve": "Comoros",
      "vi": "Cô-mô-rô-xợ",
      "wa": "Comores",
      "wo": "Komoor",
      "xh": "Comoros",
      "yo": "Kòmórò",
      "zh_CN": "科摩罗",
      "zh_HK": "科摩羅",
      "zh_TW": "葛摩",
      "zu": "IsiKhomorosi"
    },
  );

  /// Country: Saint Kitts and Nevis
  static const Country kna = Country(
    alpha2: 'KN',
    alpha3: 'KNA',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'XCD',
    gec: 'SC',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 17.357822,
        longitude: -62.782998,
      ),
      maxCoordinate: Coordinate(
        latitude: 17.4205891,
        longitude: -62.52369989999999,
      ),
      minCoordinate: Coordinate(
        latitude: 17.07861,
        longitude: -62.86949999999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 17.4205891,
          longitude: -62.52369989999999,
        ),
        southwest: Coordinate(
          latitude: 17.07861,
          longitude: -62.86949999999999,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'SKN',
    isoLongName: 'Saint Kitts and Nevis',
    isoShortName: 'Saint Kitts and Nevis',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Kittian and Nevisian',
    number: '659',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'KN',
    unofficialNames: [
      'Saint Kitts and Nevis',
      'Föderation St. Kitts und Nevis',
      'Saint Kitts et Nevis',
      'Saint Kitts y Nevis',
      'セントクリストファー・ネイビス',
      'Saint Kitts en Nevis',
      'St. Kitts and Nevis',
      'St Kitts and Nevis'
    ],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1869',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Saint Kitts and Nevis",
      "af": "St. Kitts en Nevis",
      "ak": "Saint Kitts and Nevis",
      "am": "ሰይንት ኪትስና ኒቨስ",
      "an": "Saint Kitts and Nevis",
      "ar": "سانت كيتس و نيفس",
      "as": "চেন্ট কিট্‌স আৰু নেভিচ",
      "ay": "Saint Kitts and Nevis",
      "az": "Saint Kitts and Nevis",
      "ba": "Saint Kitts and Nevis",
      "be": "Сент-Кітс і Невіс",
      "bg": "Свети Китс и Невис",
      "bi": "Saint Kitts and Nevis",
      "bn": "সেন্ট কিটস ও নেভিস",
      "bn_IN": "সেন্ট কিটস ও নেভিস",
      "br": "S. Kitts ha Nevis",
      "bs": "Saint Kitts i Nevis",
      "ca": "Saint Christopher i Nevis",
      "ce": "Сент-Китс а Невис",
      "ch": "Saint Kitts and Nevis",
      "cs": "Svatý Kryštof a Nevis",
      "cv": "Сент-Китс а Невис",
      "cy": "Saint Kitts a Nevis",
      "da": "Sankt Kitts og Nevis",
      "de": "St. Kitts und Nevis",
      "dv": "ސަންތި ކިޓަސް އަދި ނޭވީސް",
      "dz": "སེནཊི་ ཀིཊིསི་ ཨེནཌི་ ནེ་བིསི།",
      "ee": "Saint Kitts and Nevis",
      "el": "Άγιος Χριστόφορος και Νέβις",
      "en": "Saint Kitts and Nevis",
      "eo": "Sankta-Kito kaj Neviso",
      "es": "San Cristóbal y Nieves",
      "et": "Saint Kitts ja Nevis",
      "eu": "Saint Kitts eta Nevis",
      "fa": "سن کیتس و نویس",
      "ff": "Saint Kitts and Nevis",
      "fi": "Saint Kitts ja Nevis",
      "fo": "Saint Kitts og Nevis",
      "fr": "Saint-Christophe-et-Niévès",
      "fy": "Sint Kits en Nevis",
      "ga": "Saint Kitts agus Nevis",
      "gl": "San Cristobo e Nevis",
      "gn": "Saint Kitts and Nevis",
      "gu": "સેન્ટ કીટ્સ અને નેવિસ",
      "gv": "Noo Kitts as Nevis",
      "ha": "Saint Kitts and Nevis",
      "he": "סנט קיטס ונוויס",
      "hi": "सन्त किट्स और नेविस",
      "hr": "Sveti Kristofor i Nevis",
      "ht": "Saint Kitts and Nevis",
      "hu": "Saint Kitts és Nevis",
      "hy": "Սենտ Կիտս-Նեվիս",
      "ia": "Sancte Christophoro e Nevis",
      "id": "Saint Kitts dan Nevis",
      "io": "Santa Kitts e Nevis",
      "is": "Sankti Kitts og Neviseyjar",
      "it": "Saint Kitts e Nevis",
      "iu": "Saint Kitts and Nevis",
      "ja": "セントクリストファー・ネーヴィス",
      "ka": "სენტ-კიტსი და ნევისი",
      "ki": "Saint Kitts and Nevis",
      "kk": "Сент-Китс және Невис",
      "kl": "Saint Kitts and Nevis",
      "km": "សង់ឃីត និង នេវីស",
      "kn": "ಸೇಂಟ್ ಕಿಟ್ಸ್ ಮತ್ತು ನೇವಿಸ್",
      "ko": "세인트키츠 네비스",
      "ku": "Saint Kitts û Nevis",
      "kv": "Saint Kitts and Nevis",
      "kw": "Sen Kitts ha Nevis",
      "ky": "Сент-Китс жана Невис",
      "lo": "Saint Kitts and Nevis",
      "lt": "Sent Kitsas ir Nevis",
      "lv": "Sentkitsa un Nevisa",
      "mi": "Saint Kitts and Nevis",
      "mk": "Св. Китс и Невис",
      "ml": "സെയിന്റ് കിറ്റ്സും നെവിസും",
      "mn": "Сент-Китс ба Невис",
      "mr": "सेंट किटस् आणी नेव्हिस",
      "ms": "Saint Kitts dan Nevis",
      "mt": "Saint Kitts and Nevis",
      "my": "စိန့်ကစ်နှင့် နီးဗစ်နိုင်ငံ",
      "na": "Saint Kitts and Nevis",
      "nb": "Saint Kitts og Nevis",
      "ne": "सेन्ट किट्स र नेभिस",
      "nl": "Saint Kitts en Nevis",
      "nn": "St. Kitts og Nevis; Saint Kitts og Nevis",
      "nv": "Saint Kitts and Nevis",
      "oc": "St. Kitts e Nevis",
      "or": "ସେଣ୍ଟ କିଟ୍ସ ଏବଂ ନେଭିସ",
      "pa": "ਸੇਂਟ ਕਿਟਸ ਅਤੇ ਨੇਵੀਸ",
      "pi": "सेंट किट्",
      "pl": "Saint Kitts i Nevis",
      "ps": "Saint Kitts and Nevis",
      "pt": "São Cristóvão e Nevis",
      "pt_BR": "São Cristóvão e Névis",
      "ro": "Saint Kitts și Nevis",
      "ru": "Сент-Китс и Невис",
      "rw": "Mutagatifu Kitsi na Nevisi",
      "sc": "Saint Kitts e Nevis",
      "sd": "Saint Kitts and Nevis",
      "si": "ශාන්ත කිට්ස් හා නෙවිස්",
      "sk": "Svätý Krištof a Nevis",
      "sl": "Saint Kitts in Nevis",
      "so": "Saint Kitts and Nevis",
      "sq": "Shën Kits dhe Nevis",
      "sr": "Свети Китс и Невис",
      "sv": "Sankt Kitts och Nevis",
      "sw": "Saint Kitts and Nevis",
      "ta": "செயின்ட் கிட்ஸ் மற்றும் நிவிஸ்",
      "te": "సైంట్ కిట్స్ మరియు నెవిస్",
      "tg": "Сент-Китс ва Невис",
      "th": "เซนต์คิตส์และเนวิส",
      "ti": "Saint Kitts and Nevis",
      "tk": "Sent-Kits we Newis",
      "tl": "Saint Kitts at Nevis",
      "tr": "Saint Kitts ve Nevis",
      "tt": "Saint Kitts and Nevis",
      "ug": "ساينىت-كىرىستوفېر ۋە نېۋىس",
      "uk": "Сент-Кіттс і Невіс",
      "ur": "سینٹ کیٹز و ناویس",
      "uz": "Saint Kitts va Nevis",
      "ve": "Saint Kitts and Nevis",
      "vi": "Xan-kít và Nê-vi",
      "wa": "St Kitts & Nevis",
      "wo": "Saint Kitts and Nevis",
      "xh": "Saint Kitts and Nevis",
      "yo": "Saint Kitts àti Nevis",
      "zh_CN": "圣基茨和尼维斯",
      "zh_HK": "聖基茨和尼維斯聯邦",
      "zh_TW": "聖克里斯多福及尼維斯",
      "zu": "Saint Kitts and Nevis"
    },
  );

  /// Country: The Democratic People's Republic of Korea
  static const Country prk = Country(
    alpha2: 'KP',
    alpha3: 'PRK',
    continent: Continent.asia,
    countryCode: '850',
    currencyCode: 'KPW',
    gec: 'KN',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 40.339852,
        longitude: 127.510093,
      ),
      maxCoordinate: Coordinate(
        latitude: 43.01159,
        longitude: 130.6990167,
      ),
      minCoordinate: Coordinate(
        latitude: 37.5892001,
        longitude: 124.1491605,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 43.01159,
          longitude: 130.6990167,
        ),
        southwest: Coordinate(
          latitude: 37.5892001,
          longitude: 124.1491605,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'PRK',
    isoLongName: 'The Democratic People\'s Republic of Korea',
    isoShortName: 'Korea (Democratic People\'s Republic of)',
    languagesOfficial: ['ko'],
    languagesSpoken: ['ko'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9],
    nationalPrefix: '0',
    nationality: 'North Korean',
    number: '408',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Eastern Asia',
    unLocode: 'KP',
    unofficialNames: [
      'Korea (North)',
      'North Korea',
      'Nordkorea',
      'Corée du Nord',
      'Corea del Norte',
      '朝鮮民主主義人民共和国',
      'Noord-Korea',
      'Korea Democratic People\'s Republic',
      'Korea (Democratic People s Republic of)'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "North Korea",
      "af": "Noord-Korea",
      "ak": "North Korea",
      "am": "ሰሜናዊ ኮሪያ",
      "an": "North Korea",
      "ar": "كوريا، جمهورية كوريا الشّعبيّة الدّيموقراطيّة",
      "as": "কোৰিয়া, গণতান্ত্ৰিক গণপ্ৰজাতন্ত্ৰী",
      "ay": "North Korea",
      "az": "Koreya, Demokratık Xalq Respublikası",
      "ba": "North Korea",
      "be": "Карэя, Народна-Дэмакратычная Рэспубліка",
      "bg": "Корея, Демократична народна република",
      "bi": "North Korea",
      "bn": "কোরিয়া, গণতান্ত্রিক গণপ্রজাতন্ত্রী",
      "bn_IN": "কোরিয়া, গণতান্ত্রিক গণপ্রজাতন্ত্রী",
      "br": "North Korea",
      "bs": "Koreja, Demokratska Narodna Republika",
      "ca": "Corea del Nord",
      "ce": "North Korea",
      "ch": "North Korea",
      "cs": "Korea, lidově demokratická republika",
      "cv": "North Korea",
      "cy": "Korea (Gweriniaeth Democrataidd Pobl)",
      "da": "Korea, Den Demokratiske Folkerepublik",
      "de": "Nordkorea",
      "dv": "North Korea",
      "dz": "ཀོ་རི་ཡ། ཌེ་མོ་ཀེརེ་ཊིཀ་ པི་པཱལསི་ རི་པཔ་ལིཀ་ ཨོཕ་",
      "ee": "North Korea",
      "el": "Κορέα, Λαοκρατική Δημοκρατία της",
      "en": "North Korea",
      "eo": "Nord-Koreio",
      "es": "Corea, República Democrática Popular de",
      "et": "Põhja-Korea",
      "eu": "Korea, Herri Errepublika Demokratikoa",
      "fa": "کره، جمهوری دموکراتیک خلق",
      "ff": "North Korea",
      "fi": "Korean demokraattinen kansantasavalta",
      "fo": "North Korea",
      "fr": "Corée du Nord",
      "fy": "North Korea",
      "ga": "Daonphoblacht Dhaonlathach na Cóiré",
      "gl": "Corea, República Democrática Popular de",
      "gn": "North Korea",
      "gu": "ન્યુ કેલેડોનિયા",
      "gv": "North Korea",
      "ha": "North Korea",
      "he": "קוריאה הצפונית",
      "hi": "उत्तर कोरिया",
      "hr": "Sjeverna Koreja",
      "ht": "North Korea",
      "hu": "Koreai Népi Demokratikus Köztársaság",
      "hy": "Կորեա, Ժողովրդադեմոկրատական Հանրապետություն",
      "ia": "Corea, Republica Popular Democratic de",
      "id": "Korea Utara",
      "io": "North Korea",
      "is": "Norður-Kórea",
      "it": "Corea del Nord",
      "iu": "North Korea",
      "ja": "朝鮮民主主義人民共和国",
      "ka": "კორეის სახალხო-დემოკრატიული რესპუბლიკა",
      "ki": "North Korea",
      "kk": "Корея (Солтүстік)",
      "kl": "North Korea",
      "km": "កូរ៉េ សាធារណ​រដ្ឋ​ប្រជាមានិត​ប្រជាធិបតេយ្យ​​នៃ",
      "kn": "ಕೋರಿಯಾ, ಡೆಮೊಕ್ರಟಿಕ್ ಪೀಪಲ್ಸ್ ರಿಪಬ್ಲಿಕ್",
      "ko": "조선민주주의인민공화국",
      "ku": "Kore, Komara Demokratîk a Gelê",
      "kv": "North Korea",
      "kw": "North Korea",
      "ky": "Корея Элдик Демократиялык Республикасы",
      "lo": "North Korea",
      "lt": "Korėjos Liaudies Demokratinė Respublika",
      "lv": "Ziemeļkoreja",
      "mi": "North Korea",
      "mk": "Кореја, Демократска народна република",
      "ml": "കൊറിയ, ഡെമോക്രാറ്റിക് പീപ്പിള്‍സ് റിപ്പബ്ലിക് ഓഫ്",
      "mn": "Ардчилсан солонгос улс",
      "mr": "कोरिया, डेमोक्रॅटिक पिपल्स रिपब्लिक ऑफ",
      "ms": "North Korea",
      "mt": "North Korea",
      "my": "North Korea",
      "na": "North Korea",
      "nb": "Nord-Korea",
      "ne": "कोरियाको प्रजातन्त्रिक जनगणराज्य",
      "nl": "Noord-Korea",
      "nn": "Nord-Korea",
      "nv": "North Korea",
      "oc": "Corèa del Nòrd",
      "or": "କୋରିଆ, ସର୍ବସାଧାରଣ ଜନସମାଜ ଗଣତନ୍ତ୍ର",
      "pa": "ਕੋਰੀਆ, ਲੋਕਤੰਤਰੀ ਗਣਰਾਜ",
      "pi": "North Korea",
      "pl": "Korea Północna",
      "ps": "North Korea",
      "pt": "Coreia do Norte",
      "pt_BR": "Coreia do Norte",
      "ro": "Republica democrată populară Coreea",
      "ru": "Северная Корея",
      "rw": "Koreya, Repubulika Iharanira Demokarasi ya Rubanda ya",
      "sc": "Corea de su Nord",
      "sd": "North Korea",
      "si": "සමාජවාදී මහජන කොරියා ජනරජය",
      "sk": "Kórejská ľudovodemokratická republika",
      "sl": "Severna Koreja",
      "so": "North Korea",
      "sq": "Korea, Republika Popullore Demokratike e",
      "sr": "Кореја, Демократска Народна Република",
      "sv": "Nordkorea",
      "sw": "North Korea",
      "ta": "கொரிய ஜனநாயக மக்கள் குடியரசு",
      "te": "కోరియా, డెమోక్రటిక్ పీపుల్స్ రిపబ్లిక్ ఆఫ్",
      "tg": "Ҷумҳурии Халқӣ-Демократии Корея",
      "th": "เกาหลีเหนือ",
      "ti": "North Korea",
      "tk": "Koreýa halk demokratik respublikasy",
      "tl": "Korea, Taumbayang Demokratikong Republika of",
      "tr": "Kuzey Kore",
      "tt": "North Korea",
      "ug": "چاۋشيەن",
      "uk": "Північна Корея",
      "ur": "North Korea",
      "uz": "North Korea",
      "ve": "North Korea",
      "vi": "Bắc Hàn, Cộng hoà Nhân dân Dân chủ",
      "wa": "Corêye (bijhrece)",
      "wo": "Koore, Republik Popileer Demokaraatik bu",
      "xh": "North Korea",
      "yo": "North Korea",
      "zh_CN": "朝鲜",
      "zh_HK": "北韓",
      "zh_TW": "朝鮮民主主義人民共和國",
      "zu": "North Korea"
    },
  );

  /// Country: The Republic of Korea
  static const Country kor = Country(
    alpha2: 'KR',
    alpha3: 'KOR',
    continent: Continent.asia,
    countryCode: '82',
    currencyCode: 'KRW',
    gec: 'KS',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 35.907757,
        longitude: 127.766922,
      ),
      maxCoordinate: Coordinate(
        latitude: 38.63400000000001,
        longitude: 131.1603,
      ),
      minCoordinate: Coordinate(
        latitude: 33.0041,
        longitude: 124.5863,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 38.63400000000001,
          longitude: 131.1603,
        ),
        southwest: Coordinate(
          latitude: 33.0041,
          longitude: 124.5863,
        ),
      ),
    ),
    internationalPrefix: '001',
    ioc: 'KOR',
    isoLongName: 'The Republic of Korea',
    isoShortName: 'Korea (Republic of)',
    languagesOfficial: ['ko'],
    languagesSpoken: ['ko'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9],
    nationalPrefix: '0',
    nationality: 'South Korean',
    number: '410',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Eastern Asia',
    unLocode: 'KR',
    unofficialNames: [
      'South Korea',
      'Korea (South)',
      'Südkorea',
      'Corée du Sud',
      'Corea del Sur',
      '大韓民国',
      'Zuid-Korea',
      'Korea (Republic of)'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: '''{{recipient}}
{{street}}
{{city}} {{region_short}}
{{postalcode}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "South Korea",
      "af": "Suid-Korea",
      "ak": "South Korea",
      "am": "ደቡብ ኮሪያ",
      "an": "South Korea",
      "ar": "كوريا، جمهوريّة كوريا",
      "as": "কোৰিয়া প্ৰজাতন্ত্ৰ",
      "ay": "South Korea",
      "az": "Koreya, Respublika",
      "ba": "South Korea",
      "be": "Карэя, Рэспубліка",
      "bg": "Корея, Република",
      "bi": "South Korea",
      "bn": "কোরিয়া প্রজাতন্ত্র",
      "bn_IN": "কোরিয়া প্রজাতন্ত্র",
      "br": "South Korea",
      "bs": "Koreja, Republika",
      "ca": "Corea del Sud",
      "ce": "South Korea",
      "ch": "South Korea",
      "cs": "Korea, republika",
      "cv": "South Korea",
      "cy": "Corëa, Gweriniaeth",
      "da": "Korea, Republikken",
      "de": "Südkorea",
      "dv": "South Korea",
      "dz": "ཀོ་རི་ཡ། རི་པཔ་ལིཀ་ ཨོཕ་",
      "ee": "South Korea",
      "el": "Κορέα, Δημοκρατία της",
      "en": "South Korea",
      "eo": "Sud-Koreio",
      "es": "Corea, República de",
      "et": "Lõuna-Korea",
      "eu": "Korea, Errepublika",
      "fa": "جمهوری کره",
      "ff": "South Korea",
      "fi": "Korean tasavalta",
      "fo": "South Korea",
      "fr": "Corée du Sud",
      "fy": "South Korea",
      "ga": "Poblacht na Cóiré",
      "gl": "Corea, República de",
      "gn": "South Korea",
      "gu": "દક્ષિણ આફ્રિકા",
      "gv": "South Korea",
      "ha": "South Korea",
      "he": "קוריאה הדרומית",
      "hi": "दक्षिण कोरिया",
      "hr": "Južna Korea",
      "ht": "South Korea",
      "hu": "Koreai Köztársaság",
      "hy": "Կորեա Հանարպետություն",
      "ia": "Corea, Republica de",
      "id": "Korea Selatan",
      "io": "South Korea",
      "is": "Suður-Kórea",
      "it": "Corea del sud",
      "iu": "South Korea",
      "ja": "大韓民国 (韓国)",
      "ka": "კორეა, რესპუბლიკა",
      "ki": "South Korea",
      "kk": "Корея Республикасы",
      "kl": "South Korea",
      "km": "កូរ៉េ សាធារណរដ្ឋ​នៃរ៉េ",
      "kn": "ಕೋರಿಯಾ ಗಣರಾಜ್ಯ",
      "ko": "대한민국",
      "ku": "Kore, Komara",
      "kv": "South Korea",
      "kw": "South Korea",
      "ky": "Корея Республикасы",
      "lo": "South Korea",
      "lt": "Korėjos Respublika",
      "lv": "Dienvidkoreja",
      "mi": "South Korea",
      "mk": "Кореја, Република",
      "ml": "കൊറിയ, റിപ്പബ്ലിക് ഓഫ്",
      "mn": "Солонгос ард улс",
      "mr": "कोरिया, रिपब्लिक ऑफ",
      "ms": "South Korea",
      "mt": "South Korea",
      "my": "South Korea",
      "na": "South Korea",
      "nb": "Sør-Korea",
      "ne": "कोरियाको गणराज्य",
      "nl": "Zuid-Korea",
      "nn": "Sør-Korea",
      "nv": "South Korea",
      "oc": "Corèa del Sud",
      "or": "କୋରିଆ, ଗଣତନ୍ତ୍ର",
      "pa": "ਕੋਰੀਆ ਗਣਰਾਜ",
      "pi": "South Korea",
      "pl": "Korea Południowa",
      "ps": "South Korea",
      "pt": "Coreia do Sul",
      "pt_BR": "Coreia do Sul",
      "ro": "Republica Coreea",
      "ru": "Южная Корея",
      "rw": "Koreya, Repubulika ya",
      "sc": "Corea de su Sud",
      "sd": "South Korea",
      "si": "කොරියා ජනරජය",
      "sk": "Kórejská republika",
      "sl": "Južna Koreja",
      "so": "South Korea",
      "sq": "Korea, Republika e",
      "sr": "Кореја, Република",
      "sv": "Sydkorea",
      "sw": "South Korea",
      "ta": "கொரிய குடியரசு",
      "te": "కోరియా, రిపబ్లిక్ ఆఫ్",
      "tg": "Ҷумҳурии Корея",
      "th": "เกาหลีใต้",
      "ti": "South Korea",
      "tk": "Koreýa respublikasy",
      "tl": "Korea, Republika ng",
      "tr": "Güney Kore",
      "tt": "Кореа Җөмһүриәте",
      "ug": "كورېيە",
      "uk": "Південна Корея",
      "ur": "South Korea",
      "uz": "South Korea",
      "ve": "South Korea",
      "vi": "Cộng hoà Nam Hàn",
      "wa": "Corêye (nonnrece)",
      "wo": "Koore, Republik bu",
      "xh": "South Korea",
      "yo": "South Korea",
      "zh_CN": "韩国",
      "zh_HK": "大韓民國",
      "zh_TW": "大韓民國",
      "zu": "South Korea"
    },
  );

  /// Country: The State of Kuwait
  static const Country kwt = Country(
    alpha2: 'KW',
    alpha3: 'KWT',
    continent: Continent.asia,
    countryCode: '965',
    currencyCode: 'KWD',
    gec: 'KU',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 29.31166,
        longitude: 47.481766,
      ),
      maxCoordinate: Coordinate(
        latitude: 30.1036993,
        longitude: 48.5184,
      ),
      minCoordinate: Coordinate(
        latitude: 28.5244463,
        longitude: 46.55303989999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 30.1036993,
          longitude: 48.5184,
        ),
        southwest: Coordinate(
          latitude: 28.5244463,
          longitude: 46.55303989999999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'KUW',
    isoLongName: 'The State of Kuwait',
    isoShortName: 'Kuwait',
    languagesOfficial: ['ar'],
    languagesSpoken: ['ar'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Kuwaiti',
    number: '414',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.asia,
    startOfWeek: Week.sunday,
    subregion: 'Western Asia',
    unLocode: 'KW',
    unofficialNames: ['Kuwait', 'الكويت', 'Koweït', 'クウェート', 'Koeweit'],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{region}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Kuwait",
      "af": "Koeweit",
      "ak": "Kuwait",
      "am": "ጤፃት",
      "an": "Kuwait",
      "ar": "الكويت",
      "as": "কুৱেইট",
      "ay": "Kuwait",
      "az": "Küveyt",
      "ba": "Kuwait",
      "be": "Кувейт",
      "bg": "Кувейт",
      "bi": "Kuwait",
      "bn": "কুয়েত",
      "bn_IN": "কুয়েত",
      "br": "Koweit",
      "bs": "Kuvajt",
      "ca": "Kuwait",
      "ce": "Кувейт",
      "ch": "Kuwait",
      "cs": "Kuvajt",
      "cv": "Кувейт",
      "cy": "Coweit",
      "da": "Kuwait",
      "de": "Kuwait",
      "dv": "ކުވެއިތު",
      "dz": "ཀུ་ཝེཊི།",
      "ee": "Kuwait",
      "el": "Κουβέιτ",
      "en": "Kuwait",
      "eo": "Kuvajto",
      "es": "Kuwait",
      "et": "Kuveit",
      "eu": "Kuwait",
      "fa": "کویت",
      "ff": "Kuwait",
      "fi": "Kuwait",
      "fo": "Kuvait",
      "fr": "Koweït",
      "fy": "Koeweit",
      "ga": "Cuáit",
      "gl": "Kuvait",
      "gn": "Kuwait",
      "gu": "કુવૈત",
      "gv": "Yn Choowait",
      "ha": "Kuwait",
      "he": "כווית",
      "hi": "कुवैत",
      "hr": "Kuvajt",
      "ht": "Kowet",
      "hu": "Kuvait",
      "hy": "Քուվեյթ",
      "ia": "Kuwait",
      "id": "Kuwait",
      "io": "Kuwait",
      "is": "Kúveit",
      "it": "Kuwait",
      "iu": "Kuwait",
      "ja": "クウェート",
      "ka": "კუვეიტი",
      "ki": "Kuwait",
      "kk": "Кувейт",
      "kl": "Kuwait",
      "km": "គុយវ៉ែត",
      "kn": "ಕುವೈತ್",
      "ko": "쿠웨이트",
      "ku": "Kûveyt",
      "kv": "Кувейт",
      "kw": "Koweyt",
      "ky": "Кувейт",
      "lo": "Kuwait",
      "lt": "Kuveitas",
      "lv": "Kuveita",
      "mi": "Kuwait",
      "mk": "Кувајт",
      "ml": "കുവൈത്ത്",
      "mn": "Кувейт",
      "mr": "कुवैत",
      "ms": "Kuwait",
      "mt": "Kuwajt",
      "my": "ကူဝိတ်နိုင်ငံ",
      "na": "Kuwait",
      "nb": "Kuwait",
      "ne": "कुवेत",
      "nl": "Koeweit",
      "nn": "Kuwait",
      "nv": "Kuwait",
      "oc": "Koweit",
      "or": "କୁଏତ",
      "pa": "ਕੁਵੈਤ",
      "pi": "कुवैत",
      "pl": "Kuwejt",
      "ps": "کویټ",
      "pt": "Kuwait",
      "pt_BR": "Kuwait",
      "ro": "Kuweit",
      "ru": "Кувейт",
      "rw": "Koweti",
      "sc": "Kuwait",
      "sd": "Kuwait",
      "si": "කුවේට්",
      "sk": "Kuvajt",
      "sl": "Kuvajt",
      "so": "Kuwayt",
      "sq": "Kuvajt",
      "sr": "Кувајт",
      "sv": "Kuwait",
      "sw": "Kuwait",
      "ta": "குவைத்",
      "te": "కువైట్",
      "tg": "Қувайт",
      "th": "คูเวต",
      "ti": "ክዌት",
      "tk": "Kuweýt",
      "tl": "Kuwait",
      "tr": "Kuveyt",
      "tt": "Күвәйт",
      "ug": "كۇۋەيت",
      "uk": "Кувейт",
      "ur": "کویت",
      "uz": "Quvayt",
      "ve": "Kuwait",
      "vi": "Cu-ouai-thợ",
      "wa": "Kuweyt",
      "wo": "Kuwet",
      "xh": "Kuwait",
      "yo": "Kuwaiti",
      "zh_CN": "科威特",
      "zh_HK": "科威特",
      "zh_TW": "科威特",
      "zu": "Kuwait"
    },
  );

  /// Country: The Cayman Islands
  static const Country cym = Country(
    alpha2: 'KY',
    alpha3: 'CYM',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'KYD',
    gec: 'CJ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 19.3133,
        longitude: -81.2546,
      ),
      maxCoordinate: Coordinate(
        latitude: 19.7616,
        longitude: -79.7191,
      ),
      minCoordinate: Coordinate(
        latitude: 19.2538999,
        longitude: -81.42940010000001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 19.7616,
          longitude: -79.7191,
        ),
        southwest: Coordinate(
          latitude: 19.2538999,
          longitude: -81.42940010000001,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'CAY',
    isoLongName: 'The Cayman Islands',
    isoShortName: 'Cayman Islands',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Caymanian',
    number: '136',
    postalCode: true,
    postalCodeFormat: r'KY\d-\d{4}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'KY',
    unofficialNames: [
      'Cayman Islands',
      'Kaimaninseln',
      'Îles Caïmans',
      'Islas Caimán',
      'ケイマン諸島',
      'Caymaneilanden'
    ],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1345',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Cayman Islands",
      "af": "Kaaimanseilande",
      "ak": "Cayman Islands",
      "am": "Cayman Islands",
      "an": "Cayman Islands",
      "ar": "جزر الكيمان",
      "as": "কেমেন দ্বীপ",
      "ay": "Cayman Islands",
      "az": "Kayman Adaları",
      "ba": "Cayman Islands",
      "be": "Кайманавы астравы",
      "bg": "Кайманови острови",
      "bi": "Cayman Islands",
      "bn": "কেম্যান দ্বীপপুঞ্জ",
      "bn_IN": "কেম্যান দ্বীপপুঞ্জ",
      "br": "Inizi Cayman",
      "bs": "Kajmanska ostrva",
      "ca": "Illes Caiman",
      "ce": "Кайманийн гӀайренаш",
      "ch": "Cayman Islands",
      "cs": "Kajmanské ostrovy",
      "cv": "Кайманийн гӀайренаш",
      "cy": "Ynysoedd y Cayman",
      "da": "Caymanøerne",
      "de": "Cayman-Inseln",
      "dv": "ކޭމަން ޖަޒީރާ",
      "dz": "ཀེ་མཱན་ ཨའི་ལེནཌིསི།",
      "ee": "Cayman Islands",
      "el": "Νησιά Κέιμαν",
      "en": "Cayman Islands",
      "eo": "Kejmanoj",
      "es": "Islas Caimán",
      "et": "Kaimanisaared",
      "eu": "Kaiman uharteak",
      "fa": "جزایر کِیمن",
      "ff": "Cayman Islands",
      "fi": "Caymansaaret",
      "fo": "Cayman Islands",
      "fr": "Îles Caïmans",
      "fy": "Kaaimaneilannen",
      "ga": "Oileáin Cayman",
      "gl": "Illas Caimán",
      "gn": "Cayman Islands",
      "gu": "કેમેન ટાપુઓ",
      "gv": "Cayman Islands",
      "ha": "Cayman Islands",
      "he": "איי קיימן",
      "hi": "केमन द्वीपसमूह",
      "hr": "Kajmanski otoci",
      "ht": "Kayman",
      "hu": "Kajmán-szigetek",
      "hy": "Կայմանյան Կղզիներ",
      "ia": "Insulas Caiman",
      "id": "Kepulauan Cayman",
      "io": "Kaiman-Insuli",
      "is": "Caymaneyjar",
      "it": "Isole Cayman",
      "iu": "Cayman Islands",
      "ja": "ケイマン諸島",
      "ka": "კაიამანის კუნძულები",
      "ki": "Cayman Islands",
      "kk": "Кайман аралдары",
      "kl": "Cayman Islands",
      "km": "កោះ​កៃម៉ាន",
      "kn": "ಕೇಮನ್ ದ್ವೀಪಗಳು",
      "ko": "케이맨 제도",
      "ku": "Giravên Kayman",
      "kv": "Cayman Islands",
      "kw": "Ynysow Kayman",
      "ky": "Кайман аралдары",
      "lo": "Cayman Islands",
      "lt": "Kaimanų salos",
      "lv": "Kaimanu salas",
      "mi": "Cayman Islands",
      "mk": "Кајмански острови",
      "ml": "കയ്‌മാന്‍ ദ്വീപുകള്‍",
      "mn": "Cayman Islands",
      "mr": "केमेन आयलॅंडस्",
      "ms": "Kepulauan Cayman",
      "mt": "Gżejjer Kajman",
      "my": "Cayman Islands",
      "na": "Cayman Islands",
      "nb": "Caymanøyene",
      "ne": "सैम्यान टापु",
      "nl": "Kaaimaneilanden",
      "nn": "Caymanøyane",
      "nv": "Cayman Islands",
      "oc": "Illas Caiman",
      "or": "କୈମେନ ଦ୍ବୀପ",
      "pa": "ਕਾਯਮਨ ਟਾਪੂ",
      "pi": "Cayman Islands",
      "pl": "Kajmany",
      "ps": "Cayman Islands",
      "pt": "Ilhas Caimão",
      "pt_BR": "Ilhas Cayman",
      "ro": "Insulele Caiman",
      "ru": "Каймановы острова",
      "rw": "Ibirwa bya Kayimani",
      "sc": "Ìsulas Càiman",
      "sd": "Cayman Islands",
      "si": "සයිමන් දූපත්",
      "sk": "Kajmanie ostrovy",
      "sl": "Kajmanski otoki",
      "so": "Cayman Islands",
      "sq": "Ishujt Kajman",
      "sr": "Острва Кајман",
      "sv": "Caymanöarna",
      "sw": "Visiwa vya Cayman",
      "ta": "கேமான் தீவுகள்",
      "te": "కేమేన్ ఐలాండ్స్",
      "tg": "Ҷазираҳои Кайман",
      "th": "หมู่เกาะเคย์แมน",
      "ti": "Cayman Islands",
      "tk": "Kaýman adalary",
      "tl": "Pulong Cayman",
      "tr": "Cayman Adaları",
      "tt": "Кайман Утравлары",
      "ug": "كايمان تاقىم ئاراللىرى",
      "uk": "Кайманові острови",
      "ur": "جزائر کیمین",
      "uz": "Kayman orollari",
      "ve": "Cayman Islands",
      "vi": "Quần đảo Cay-man",
      "wa": "Iyes Cayman",
      "wo": "Iil yu Kaymaan",
      "xh": "Cayman Islands",
      "yo": "Àwọn Erékùṣù Káímàn",
      "zh_CN": "开曼群岛",
      "zh_HK": "開曼羣島",
      "zh_TW": "開曼群島",
      "zu": "Cayman Islands"
    },
  );

  /// Country: The Republic of Kazakhstan
  static const Country kaz = Country(
    alpha2: 'KZ',
    alpha3: 'KAZ',
    continent: Continent.asia,
    countryCode: '7',
    currencyCode: 'KZT',
    gec: 'KZ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 48.019573,
        longitude: 66.923684,
      ),
      maxCoordinate: Coordinate(
        latitude: 55.4419839,
        longitude: 87.315415,
      ),
      minCoordinate: Coordinate(
        latitude: 40.5685841,
        longitude: 46.493672,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 55.4419839,
          longitude: 87.315415,
        ),
        southwest: Coordinate(
          latitude: 40.5685841,
          longitude: 46.493672,
        ),
      ),
    ),
    internationalPrefix: '810',
    ioc: 'KAZ',
    isoLongName: 'The Republic of Kazakhstan',
    isoShortName: 'Kazakhstan',
    languagesOfficial: ['kk', 'ru'],
    languagesSpoken: ['kk', 'ru'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '8',
    nationality: 'Kazakhstani',
    number: '398',
    postalCode: true,
    postalCodeFormat: r'\d{6}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Central Asia',
    unLocode: 'KZ',
    unofficialNames: [
      'Kazakhstan',
      'Kasachstan',
      'Kazajistán',
      'カザフスタン',
      'Kazachstan'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Kazakhstan",
      "af": "Kazakstan",
      "ak": "Kazakhstan",
      "am": "ካዛክስታን",
      "an": "Kazakhstan",
      "ar": "كازاخستان",
      "as": "কাজাখিস্তান",
      "ay": "Kazakhstan",
      "az": "Qazaxstan",
      "ba": "Kazakhstan",
      "be": "Казахстан",
      "bg": "Казахстан",
      "bi": "Kazakhstan",
      "bn": "কাজাখস্তান",
      "bn_IN": "কাজাখস্তান",
      "br": "Kazakstan",
      "bs": "Kazahstan",
      "ca": "Kazakhstan",
      "ce": "Кхазакхстан",
      "ch": "Kazakhstan",
      "cs": "Kazachstán",
      "cv": "Кхазакхстан",
      "cy": "Kazakhstan",
      "da": "Kasakhstan",
      "de": "Kasachstan",
      "dv": "ކަޒަކިސްތާން",
      "dz": "ཀ་ཛཀསི་ཏཱན།",
      "ee": "Kazakhstan",
      "el": "Καζακστάν",
      "en": "Kazakhstan",
      "eo": "Kazaĥio",
      "es": "Kazajistán",
      "et": "Kasahstan",
      "eu": "Kazakhstan",
      "fa": "قزاقستان",
      "ff": "Kazakhstan",
      "fi": "Kazakstan",
      "fo": "Kasakstan",
      "fr": "Kazakhstan",
      "fy": "Kazakstan",
      "ga": "An Chasacstáin",
      "gl": "Kazakhstán",
      "gn": "Kazakhstan",
      "gu": "કઝાખસ્તાન",
      "gv": "Yn Chassaghstaan",
      "ha": "Kazakystan",
      "he": "קזחסטן",
      "hi": "कज़ाख़िस्तान",
      "hr": "Kazahstan",
      "ht": "Kazakstan",
      "hu": "Kazahsztán",
      "hy": "Ղազախստան",
      "ia": "Kazakhstan",
      "id": "Kazakhstan",
      "io": "Kazakstan",
      "is": "Kasakstan",
      "it": "Kazakistan",
      "iu": "ᑲᓴᒃᖢᓇ ᓄᓇ",
      "ja": "カザフスタン",
      "ka": "ყაზახეთი",
      "ki": "Kazakhstan",
      "kk": "Қазақстан",
      "kl": "Kazakhstan",
      "km": "កាហ្សាក់ស្តង់",
      "kn": "ಕಝಕಸ್ತಾನ್",
      "ko": "카자흐스탄",
      "ku": "Kazaxstan",
      "kv": "Казахстан",
      "kw": "Pow Kazagh",
      "ky": "Казакстан",
      "lo": "Kazakhstan",
      "lt": "Kazachstanas",
      "lv": "Kazahstāna",
      "mi": "Katatānga",
      "mk": "Казакстан",
      "ml": "കസാഖിസ്താന്‍",
      "mn": "Казакстан",
      "mr": "कझाकिस्तान",
      "ms": "Kazakhstan",
      "mt": "Każakistan",
      "my": "ကာဇက်စတန်နိုင်ငံ",
      "na": "Kadaketan",
      "nb": "Kasakhstan",
      "ne": "काजखास्तान",
      "nl": "Kazachstan",
      "nn": "Kasakhstan",
      "nv": "Bilį́į́ʼ Ńdeiltihii Dineʼé Bikéyah",
      "oc": "Cazacstan",
      "or": "କାଜାଖସ୍ତାନ",
      "pa": "ਕਜ਼ਾਕਸਤਾਨ",
      "pi": "कजाकस्थान",
      "pl": "Kazachstan",
      "ps": "قزاقستان",
      "pt": "Cazaquistão",
      "pt_BR": "Cazaquistão",
      "ro": "Kazakhstan",
      "ru": "Казахстан",
      "rw": "Kazakisitani",
      "sc": "Kazakistan",
      "sd": "قازڪستان",
      "si": "කසකස්තානය",
      "sk": "Kazachstan",
      "sl": "Kazahstan",
      "so": "Kasaakhistaan",
      "sq": "Kazakistan",
      "sr": "Казахстан",
      "sv": "Kazakstan",
      "sw": "Kazakhstan",
      "ta": "கசகிஸ்தான்",
      "te": "కఝకిస్తాన్",
      "tg": "Қазоқистон",
      "th": "คาซัคสถาน",
      "ti": "Kazakhstan",
      "tk": "Gazagystan",
      "tl": "Kazakhstan",
      "tr": "Kazakistan",
      "tt": "Казакстан",
      "ug": "قازاقىستان",
      "uk": "Казахстан",
      "ur": "قازقستان",
      "uz": "Qozogʻiston",
      "ve": "Kazakhstan",
      "vi": "Kha-xa-kh-x-thanh",
      "wa": "Kazaxhtan",
      "wo": "Kaasakestaan",
      "xh": "Kazakhstan",
      "yo": "Kàsàkstán",
      "zh_CN": "哈萨克斯坦",
      "zh_HK": "哈薩克",
      "zh_TW": "哈薩克",
      "zu": "Kazakhstan"
    },
  );

  /// Country: The Lao People's Democratic Republic
  static const Country lao = Country(
    alpha2: 'LA',
    alpha3: 'LAO',
    continent: Continent.asia,
    countryCode: '856',
    currencyCode: 'LAK',
    gec: 'LA',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 19.85627,
        longitude: 102.495496,
      ),
      maxCoordinate: Coordinate(
        latitude: 22.5090449,
        longitude: 107.635094,
      ),
      minCoordinate: Coordinate(
        latitude: 13.9097198,
        longitude: 100.0832139,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 22.5090449,
          longitude: 107.635094,
        ),
        southwest: Coordinate(
          latitude: 13.9097198,
          longitude: 100.0832139,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'LAO',
    isoLongName: 'The Lao People\'s Democratic Republic',
    isoShortName: 'Lao People\'s Democratic Republic',
    languagesOfficial: ['lo'],
    languagesSpoken: ['lo'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '0',
    nationality: 'Laotian',
    number: '418',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'South-Eastern Asia',
    unLocode: 'LA',
    unofficialNames: ['Laos', 'ラオス人民民主共和国', 'Lao People s Democratic Republic'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Lao People's Democratic Republic",
      "af": "Lao People's Democratic Republic",
      "ak": "Lao People's Democratic Republic",
      "am": "Lao People's Democratic Republic",
      "an": "Lao People's Democratic Republic",
      "ar": "جمهوريّة لاو الدّيموقراطيّة الشّعبيّة",
      "as": "গণপ্ৰজাতন্ত্ৰী লাও",
      "ay": "Lao People's Democratic Republic",
      "az": "Lao People's Democratic Republic",
      "ba": "Lao People's Democratic Republic",
      "be": "Лаоская Народна-Дэмакратычная Рэспубліка",
      "bg": "Демократична република на народа на Лао",
      "bi": "Lao People's Democratic Republic",
      "bn": "গণপ্রজাতন্ত্রী লাও",
      "bn_IN": "গণপ্রজাতন্ত্রী লাও",
      "br": "Lao People's Democratic Republic",
      "bs": "Narodna Demokratska Republika Lao",
      "ca": "República Democràtica Popular de Laos",
      "ce": "Lao People's Democratic Republic",
      "ch": "Lao People's Democratic Republic",
      "cs": "Laoská lidově demokratická republika",
      "cv": "Lao People's Democratic Republic",
      "cy": "Gweriniaeth Ddemocrataidd y Bobl Lao",
      "da": "Lao, Folkets Demokratiske Republik",
      "de": "Laos, Demokratische Volksrepublik",
      "dv": "Lao People's Democratic Republic",
      "dz": "ལེཝོ་ མི་སེར་གྱི་དམང་གཙོའི་གཞུང་།",
      "ee": "Lao People's Democratic Republic",
      "el": "Λαϊκή Δημοκρατία του Λάος",
      "en": "Lao People's Democratic Republic",
      "eo": "Laosa Popola Demokratia Respubliko",
      "es": "República Democrática Popular de Lao",
      "et": "Laose Demokraatlik Rahvavabariik",
      "eu": "Laoseko Herri Errepublika Demokratikoa",
      "fa": "جمهوری دموکراتیک خلق لائو",
      "ff": "Lao People's Democratic Republic",
      "fi": "Laos",
      "fo": "Lao People's Democratic Republic",
      "fr": "Lao, République démocratique populaire",
      "fy": "Lao People's Democratic Republic",
      "ga": "Daonphoblacht Dhaonlathach Laoch",
      "gl": "República Democrática Popular de Lao",
      "gn": "Lao People's Democratic Republic",
      "gu": "લાઓ પીપલ્સ ડેમોક્રેટિક રીપબ્લિક",
      "gv": "Lao People's Democratic Republic",
      "ha": "Lao People's Democratic Republic",
      "he": "לאוס",
      "hi": "लाओ पीपल्स डेमोक्रेटिक रिपब्लिक",
      "hr": "Laoska Narodna Demokratska Republika",
      "ht": "Lao People's Democratic Republic",
      "hu": "Laoszi Népi Demokratikus Köztársaság",
      "hy": "Լաոսի Ժողովրդադեմոկրատական հանրապետություն",
      "ia": "Laos",
      "id": "Republik Demokrat Rakyat Laos",
      "io": "Lao People's Democratic Republic",
      "is": "Alþýðulýðveldið Laó",
      "it": "Laos",
      "iu": "Lao People's Democratic Republic",
      "ja": "ラオス人民民主共和国",
      "ka": "ლაოს სახალხო დემოკრატიული რესპუბლიკა",
      "ki": "Lao People's Democratic Republic",
      "kk": "Лаос Халық Демократиялық Республикасы",
      "kl": "Lao People's Democratic Republic",
      "km": "សាធារណ​រដ្ឋ​ប្រជាធិបតេយ្យ​​ប្រជាមានិត​ឡាវ",
      "kn": "ಲಾವೋ ಪೀಪಲ್ಸ್ ಡೆಮೊಕ್ರಟಿಕ್ ರಿಪಬ್ಲಿಕ್",
      "ko": "라오 인민 민주주의 공화국",
      "ku": "Komara Demokratîka Gelê Lao",
      "kv": "Lao People's Democratic Republic",
      "kw": "Lao People's Democratic Republic",
      "ky": "Лаос Элдик Демократияляк Республикасы",
      "lo": "Lao People's Democratic Republic",
      "lt": "Laoso Liaudies Demokratinė Respublika",
      "lv": "Laosa",
      "mi": "Lao People's Democratic Republic",
      "mk": "Народна демократска република Лао",
      "ml": "ലാവോ പീപ്പിള്‍സ് ജനാധിപത്യ റിപ്പബ്ലിക്",
      "mn": "Lao People's Democratic Republic",
      "mr": "लाओ पिपल्स डेमोक्रॅटिक रिपब्लिक",
      "ms": "Lao People's Democratic Republic",
      "mt": "Lao People's Democratic Republic",
      "my": "Lao People's Democratic Republic",
      "na": "Lao People's Democratic Republic",
      "nb": "Den demokratiske folkerepublikk Laos",
      "ne": "लाओ जनताको प्रजातन्त्रिक गणराज्य",
      "nl": "Laos Democratische Volksrepubliek",
      "nn": "Laos",
      "nv": "Lao People's Democratic Republic",
      "oc": "Republica democratica populara del Laos",
      "or": "ଲାଓ ଜନସମାଜ ସର୍ବସାଧାରଣ ଗଣତନ୍ତ୍ର",
      "pa": "ਲਿਓ ਪੀਪਲ ਦਾ ਗਣਰਾਜ",
      "pi": "Lao People's Democratic Republic",
      "pl": "Laos",
      "ps": "Lao People's Democratic Republic",
      "pt": "Laos",
      "pt_BR": "República Popular Democrática do Laos",
      "ro": "Republica populară democrată Lao",
      "ru": "Лаосская Народно-Демократическая Республика",
      "rw": "Repubulika Iharanira Demokorasi ya Lawosi",
      "sc": "Repùblica Democràtica Populare de Lao",
      "sd": "Lao People's Democratic Republic",
      "si": "මහජන ප්‍රජාතාන්ත්‍රික ලාවෝ ජනරජය",
      "sk": "Laoská ľudovodemokratická republika",
      "sl": "Laoška ljudska demokratična republika",
      "so": "Lao People's Democratic Republic",
      "sq": "Republika Demokratike Popullore e Laosit",
      "sr": "Лаошка Народна Демократска Република",
      "sv": "Demokratiska folkrepubliken Lao",
      "sw": "Lao People's Democratic Republic",
      "ta": "லவொ மக்கள் சுதந்திர குடியரசு",
      "te": "లాఓ పీపుల్స్ డెమోక్రటిక్ రిపబ్లిక్",
      "tg": "Ҷумҳурии Халқӣ-Демократии Лаъо",
      "th": "สาธารณรัฐประชาธิปไตยประชาชนลาว",
      "ti": "Lao People's Democratic Republic",
      "tk": "Lao halk demokratik respublikasy",
      "tl": "Taumbayang Demokratikong Republikang Lao",
      "tr": "Lao Demokratik Halk Cumhuriyeti",
      "tt": "Lao People's Democratic Republic",
      "ug": "لائوس خەلق دېموكراتىك جۇمھۇرىيىتى",
      "uk": "Лаоська Народно-Демократична Республіка",
      "ur": "Lao People's Democratic Republic",
      "uz": "Lao People's Democratic Republic",
      "ve": "Lao People's Democratic Republic",
      "vi": "Cộng hoà Nhân dân Dân chủ Lào",
      "wa": "Laosse",
      "wo": "Republik Popileer Demokaraatik bu Laawos",
      "xh": "Lao People's Democratic Republic",
      "yo": "Lao People's Democratic Republic",
      "zh_CN": "老挝人民民主共和国",
      "zh_HK": "老撾人民民主共和國",
      "zh_TW": "寮人民民主共和國",
      "zu": "Lao People's Democratic Republic"
    },
  );

  /// Country: The Lebanese Republic
  static const Country lbn = Country(
    alpha2: 'LB',
    alpha3: 'LBN',
    continent: Continent.asia,
    countryCode: '961',
    currencyCode: 'LBP',
    gec: 'LE',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 33.854721,
        longitude: 35.862285,
      ),
      maxCoordinate: Coordinate(
        latitude: 34.69209,
        longitude: 36.62372,
      ),
      minCoordinate: Coordinate(
        latitude: 33.0550256,
        longitude: 35.0711001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 34.69209,
          longitude: 36.62372,
        ),
        southwest: Coordinate(
          latitude: 33.0550256,
          longitude: 35.0711001,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'LIB',
    isoLongName: 'The Lebanese Republic',
    isoShortName: 'Lebanon',
    languagesOfficial: ['ar', 'fr'],
    languagesSpoken: ['ar', 'fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '0',
    nationality: 'Lebanese',
    number: '422',
    postalCode: true,
    postalCodeFormat: r'(?:\d{4})(?: ?(?:\d{4}))?',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Western Asia',
    unLocode: 'LB',
    unofficialNames: ['Lebanon', 'لبنان', 'Libanon', 'Liban', 'Líbano', 'レバノン'],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Lebanon",
      "af": "Libanon",
      "ak": "Lebanon",
      "am": "ሑባኖስ",
      "an": "Lebanon",
      "ar": "لبنان",
      "as": "লেবানন",
      "ay": "Lebanon",
      "az": "Livan",
      "ba": "Lebanon",
      "be": "Ліван",
      "bg": "Лебанон",
      "bi": "Lebanon",
      "bn": "লেবানন",
      "bn_IN": "লেবানন",
      "br": "Liban",
      "bs": "Liban",
      "ca": "Líban",
      "ce": "Ливан",
      "ch": "Lebanon",
      "cs": "Libanon",
      "cv": "Ливан",
      "cy": "Lebanon",
      "da": "Libanon",
      "de": "Libanon",
      "dv": "ލުބުނާން",
      "dz": "ལེ་བ་ནཱོན།",
      "ee": "Lebanon",
      "el": "Λίβανος",
      "en": "Lebanon",
      "eo": "Libano",
      "es": "Líbano",
      "et": "Liibanon",
      "eu": "Libano",
      "fa": "لبنان",
      "ff": "Lebanon",
      "fi": "Libanon",
      "fo": "Libanon",
      "fr": "Liban",
      "fy": "Libanon",
      "ga": "An Liobáin",
      "gl": "Líbano",
      "gn": "Lebanon",
      "gu": "લેબેનોન",
      "gv": "Yn Livaan",
      "ha": "Lebanon",
      "he": "לבנון",
      "hi": "लेबनान",
      "hr": "Libanon",
      "ht": "Liban",
      "hu": "Libanon",
      "hy": "Լիբանան",
      "ia": "Libano",
      "id": "Lebanon",
      "io": "Libano",
      "is": "Líbanon",
      "it": "Libano",
      "iu": "Lebanon",
      "ja": "レバノン",
      "ka": "ლიბანი",
      "ki": "Lebanon",
      "kk": "Ливан",
      "kl": "Lebanon",
      "km": "លីបង់",
      "kn": "ಲೆಬನನ್",
      "ko": "레바논",
      "ku": "Lubnan",
      "kv": "Ливан",
      "kw": "Lebnon",
      "ky": "Ливан",
      "lo": "Lebanon",
      "lt": "Libanas",
      "lv": "Libāna",
      "mi": "Lebanon",
      "mk": "Либан",
      "ml": "ലെബനോണ്‍",
      "mn": "Либони",
      "mr": "लेबेनॉन",
      "ms": "Lubnan",
      "mt": "Libanu",
      "my": "လက်ဘနွန်နိုင်ငံ",
      "na": "Ribanon",
      "nb": "Libanon",
      "ne": "लेबनान",
      "nl": "Libanon",
      "nn": "Libanon",
      "nv": "Lebanon",
      "oc": "Liban",
      "or": "ଲେବାନୋନ",
      "pa": "ਲੀਬਨਾਨ",
      "pi": "लेबनान",
      "pl": "Liban",
      "ps": "لبنان",
      "pt": "Líbano",
      "pt_BR": "Líbano",
      "ro": "Liban",
      "ru": "Ливан",
      "rw": "Libani",
      "sc": "Lìbanu",
      "sd": "Lebanon",
      "si": "ලෙබනන",
      "sk": "Libanon",
      "sl": "Libanon",
      "so": "Lubnaan",
      "sq": "Liban",
      "sr": "Либан",
      "sv": "Libanon",
      "sw": "Lebanon",
      "ta": "லெபனான்",
      "te": "లెబనాన్",
      "tg": "Лубнон",
      "th": "เลบานอน",
      "ti": "ሊባኖስ",
      "tk": "Liwan",
      "tl": "Lebanon",
      "tr": "Lübnan",
      "tt": "Лебанон",
      "ug": "لىۋان",
      "uk": "Ліван",
      "ur": "لبنان",
      "uz": "Livan",
      "ve": "Lebanon",
      "vi": "Le-ba-non",
      "wa": "Liban",
      "wo": "Libãa",
      "xh": "Lebanon",
      "yo": "Lẹ́bánọ́nì",
      "zh_CN": "黎巴嫩",
      "zh_HK": "黎巴嫩",
      "zh_TW": "黎巴嫩",
      "zu": "Lebanon"
    },
  );

  /// Country: Saint Lucia
  static const Country lca = Country(
    alpha2: 'LC',
    alpha3: 'LCA',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'XCD',
    gec: 'ST',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 13.909444,
        longitude: -60.978893,
      ),
      maxCoordinate: Coordinate(
        latitude: 14.1209277,
        longitude: -60.85979460000001,
      ),
      minCoordinate: Coordinate(
        latitude: 13.7047779,
        longitude: -61.0812378,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 14.1209277,
          longitude: -60.85979460000001,
        ),
        southwest: Coordinate(
          latitude: 13.7047779,
          longitude: -61.0812378,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'LCA',
    isoLongName: 'Saint Lucia',
    isoShortName: 'Saint Lucia',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Saint Lucian',
    number: '662',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'LC',
    unofficialNames: [
      'Saint Lucia',
      'Saint-Lucie',
      'Santa Lucía',
      'セントルシア',
      'St. Lucia',
      'St Lucia'
    ],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1758',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Saint Lucia",
      "af": "St. Lucia",
      "ak": "Saint Lucia",
      "am": "ሰይንት ሉሻ",
      "an": "Saint Lucia",
      "ar": "سانت لوسيا",
      "as": "চেন্ট লুচিয়া",
      "ay": "Saint Lucia",
      "az": "Saint Lucia",
      "ba": "Saint Lucia",
      "be": "Сент-Люсія",
      "bg": "Санта Лучия",
      "bi": "Saint Lucia",
      "bn": "সেন্ট লুসিয়া",
      "bn_IN": "সেন্ট লুসিয়া",
      "br": "Saint Lucia",
      "bs": "Saint Lucia",
      "ca": "Saint Lucia",
      "ce": "Сент-Люси",
      "ch": "Saint Lucia",
      "cs": "Svatá Lucie",
      "cv": "Сент-Люси",
      "cy": "Saint Lucia",
      "da": "Sankt Lucia",
      "de": "St. Lucia",
      "dv": "ސަންތި ލޫސިއާ",
      "dz": "སེནཊི་ ལུ་སི་ཡ།",
      "ee": "Saint Lucia",
      "el": "Αγία Λουκία",
      "en": "Saint Lucia",
      "eo": "Sankta-Lucio",
      "es": "Santa Lucía",
      "et": "Saint Lucia",
      "eu": "Santa Luzia",
      "fa": "سن لوسیا",
      "ff": "Saint Lucia",
      "fi": "Saint Lucia",
      "fo": "Saint Lusia",
      "fr": "Sainte-Lucie",
      "fy": "Sint Lusia",
      "ga": "Saint Lucia",
      "gl": "Santa Lucía",
      "gn": "Saint Lucia",
      "gu": "સેન્ટ લ્યુસિઆ",
      "gv": "Noo Lucia",
      "ha": "Saint Lucia",
      "he": "סנט לוסיה",
      "hi": "सेंट लूसिया",
      "hr": "Sveta Lucija",
      "ht": "Saint Lucia",
      "hu": "Saint Lucia",
      "hy": "Սանտա Լուչիա",
      "ia": "Sancte Lucia",
      "id": "Saint Lucia",
      "io": "Santa Lucia",
      "is": "Sankti Lúsía",
      "it": "Saint Lucia",
      "iu": "Saint Lucia",
      "ja": "セントルシア",
      "ka": "სენტ-ლუსია",
      "ki": "Saint Lucia",
      "kk": "Сент-Люсия",
      "kl": "Saint Lucia",
      "km": "សង់លូស៊ីយ៉ា",
      "kn": "ಸೇಂಟ್ ಲೂಸಿಯಾ",
      "ko": "세인트루시아",
      "ku": "Saint Lucia",
      "kv": "Сент-Люсия",
      "kw": "Sen Lusia",
      "ky": "Сент-Люсия",
      "lo": "Saint Lucia",
      "lt": "Sent Lusija",
      "lv": "Sentlūsija",
      "mi": "Hato Ruiha",
      "mk": "Св. Лусија",
      "ml": "സെയിന്റ് ലുസിയ",
      "mn": "Saint Lucia",
      "mr": "सेंट लुसिआ",
      "ms": "Saint Lucia",
      "mt": "Saint Lucia",
      "my": "စိန့်လူစီယာနိုင်ငံ",
      "na": "Saint Lucia",
      "nb": "Saint Lucia",
      "ne": "सेन्ट लुसिया",
      "nl": "Saint Lucia",
      "nn": "St. Lucia; Saint Lucia",
      "nv": "Saint Lucia",
      "oc": "St. Lucia",
      "or": "ସେଣ୍ଟ ଲୁସିୟା",
      "pa": "ਸੇਂਟ ਲੂਸੀਆ",
      "pi": "सेंट लूसिया",
      "pl": "Saint Lucia",
      "ps": "سېنټ لوسیا",
      "pt": "Santa Lúcia",
      "pt_BR": "Santa Lúcia",
      "ro": "Sfânta Lucia",
      "ru": "Сент-Люсия",
      "rw": "Mutagatifu Lusiya",
      "sc": "Santa Lucia",
      "sd": "Saint Lucia",
      "si": "ශාන්ත ලුසියා",
      "sk": "Svätá Lucia",
      "sl": "Saint Lucia",
      "so": "Saint Lucia",
      "sq": "Shën Luçia",
      "sr": "Света Луција",
      "sv": "Sankt Lucia",
      "sw": "Saint Lucia",
      "ta": "செயின்ட் லூசியா",
      "te": "సైంట్ లుసియా",
      "tg": "Сент-Люсия",
      "th": "เซนต์ลูเซีย",
      "ti": "Saint Lucia",
      "tk": "Sent-Lýusiýa",
      "tl": "Saint Lucia",
      "tr": "Saint Lucia",
      "tt": "Саинт Луҗиа",
      "ug": "ساينىت-لۇسىيە",
      "uk": "Сент-Люсія",
      "ur": "سینٹ لوسیا",
      "uz": "Saint Lucia",
      "ve": "Saint Lucia",
      "vi": "Xan Lu-xi",
      "wa": "Sinte Luceye",
      "wo": "Saint Lucia",
      "xh": "Saint Lucia",
      "yo": "Lùsíà Mímọ́",
      "zh_CN": "圣路西亚",
      "zh_HK": "聖盧西亞",
      "zh_TW": "聖露西亞",
      "zu": "Saint Lucia"
    },
  );

  /// Country: The Principality of Liechtenstein
  static const Country lie = Country(
    alpha2: 'LI',
    alpha3: 'LIE',
    continent: Continent.europe,
    countryCode: '423',
    currencyCode: 'CHF',
    gec: 'LS',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 47.166,
        longitude: 9.555373,
      ),
      maxCoordinate: Coordinate(
        latitude: 47.2705467,
        longitude: 9.6356501,
      ),
      minCoordinate: Coordinate(
        latitude: 47.04828999999999,
        longitude: 9.47162,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 47.2705467,
          longitude: 9.6356501,
        ),
        southwest: Coordinate(
          latitude: 47.04828999999999,
          longitude: 9.47162,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'LIE',
    isoLongName: 'The Principality of Liechtenstein',
    isoShortName: 'Liechtenstein',
    languagesOfficial: ['de'],
    languagesSpoken: ['de'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Liechtensteiner',
    number: '438',
    postalCode: true,
    postalCodeFormat: r'948[5-9]|949[0-8]',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Western Europe',
    unLocode: 'LI',
    unofficialNames: ['Liechtenstein', 'リヒテンシュタイン'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: true,
    euMember: null,
    esmMember: true,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Liechtenstein",
      "af": "Liechtenstein",
      "ak": "Liechtenstein",
      "am": "ሊክተንስታይን",
      "an": "Liechtenstein",
      "ar": "ليشتنشتاين",
      "as": "লাইচেষ্টেইন",
      "ay": "Liechtenstein",
      "az": "Lixtenşteyn",
      "ba": "Liechtenstein",
      "be": "Ліхтэнштэйн",
      "bg": "Лихтенщайн",
      "bi": "Liechtenstein",
      "bn": "লিখতেনস্টাইন",
      "bn_IN": "লিখতেনস্টাইন",
      "br": "Liechtenstein",
      "bs": "Lihtenštajn",
      "ca": "Liechtenstein",
      "ce": "Лихтенштейн",
      "ch": "Liechtenstein",
      "cs": "Lichtenštejnsko",
      "cv": "Лихтенштейн",
      "cy": "Liechtenstein",
      "da": "Liechtenstein",
      "de": "Liechtenstein",
      "dv": "ލީޝްތެންސްޓީން",
      "dz": "ལིཆི་ཊེནསི་ཊིན།",
      "ee": "Liechtenstein",
      "el": "Λίχτενσταϊν",
      "en": "Liechtenstein",
      "eo": "Liĥtenŝtejno",
      "es": "Liechtenstein",
      "et": "Liechtenstein",
      "eu": "Liechtenstein",
      "fa": "لیختن‌اشتاین",
      "ff": "Liechtenstein",
      "fi": "Liechtenstein",
      "fo": "Liktenstein",
      "fr": "Liechtenstein",
      "fy": "Lychtenstein",
      "ga": "Lichtinstéin",
      "gl": "Liechtenstein",
      "gn": "Liechtenstein",
      "gu": "લીચટેન્સટાઇન",
      "gv": "Liechtenstein",
      "ha": "Liechtenstein",
      "he": "ליכטנשטיין",
      "hi": "लिक्टेन्स्टाइन",
      "hr": "Lihtenštajn",
      "ht": "Lichtènstayn",
      "hu": "Liechtenstein",
      "hy": "Լիխտենշտեյն",
      "ia": "Liechtenstein",
      "id": "Liechtenstein",
      "io": "Liechtenstein",
      "is": "Liechtenstein",
      "it": "Liechtenstein",
      "iu": "Liechtenstein",
      "ja": "リヒテンシュタイン",
      "ka": "ლიხტენშტეინი",
      "ki": "Liechtenstein",
      "kk": "Лихтенштейн",
      "kl": "Liechtenstein",
      "km": "លិចទេនស្តែន",
      "kn": "ಲೆಷ್ಟೆಂಸ್ಟೆನ್",
      "ko": "리히텐슈타인",
      "ku": "Lihtenstayn",
      "kv": "Лихтенштейн",
      "kw": "Liechtenstein",
      "ky": "Лихтенштейн",
      "lo": "ປະເທດລິກເຕນສະຕາຍ",
      "lt": "Lichtenšteinas",
      "lv": "Lihtenšteina",
      "mi": "Rīkeneteina",
      "mk": "Линхештајн",
      "ml": "ലിചെസ്റ്റൈന്‍",
      "mn": "Лейхтенштайн",
      "mr": "लायकेनस्टिन",
      "ms": "Liechtenstein",
      "mt": "Liechtenstein",
      "my": "လစ်တန်စတိန်းနိုင်ငံ",
      "na": "Riketentein",
      "nb": "Liechtenstein",
      "ne": "लिचटेन्सटाइन",
      "nl": "Liechtenstein",
      "nn": "Liechtenstein",
      "nv": "Łííhtensain",
      "oc": "Liechtenstein",
      "or": "ଲିଚେଂଷ୍ଟାଇନ",
      "pa": "ਲੀਚਟੀਨੀਆ",
      "pi": "लिक्टनस्टैन",
      "pl": "Liechtenstein",
      "ps": "Liechtenstein",
      "pt": "Liechtenstein",
      "pt_BR": "Liechtenstein",
      "ro": "Liechtenstein",
      "ru": "Лихтенштейн",
      "rw": "Liyeshitensiteyine",
      "sc": "Liechtenstein",
      "sd": "Liechtenstein",
      "si": "ලිච්ටෙන්ස්ටයින්",
      "sk": "Lichtenštajnsko",
      "sl": "Lihtenštajn",
      "so": "Liechtenstein",
      "sq": "Lihtenshtejn",
      "sr": "Лихтенштајн",
      "sv": "Liechtenstein",
      "sw": "Liechtenstein",
      "ta": "லீச்சென்சுதீன்",
      "te": "లాయకేనస్టిన",
      "tg": "Лихтенштейн",
      "th": "ลิกเตนสไตน์",
      "ti": "Liechtenstein",
      "tk": "Lihtenşteýn",
      "tl": "Liechtenstein",
      "tr": "Lihtenştayn",
      "tt": "Лиһтенстеин",
      "ug": "لىچتېنشتېين",
      "uk": "Ліхтенштейн",
      "ur": "لیختینستائن",
      "uz": "Lixtenshteyn",
      "ve": "Liechtenstein",
      "vi": "Likh-ten-xtainh",
      "wa": "Lîchtensteyn",
      "wo": "Liechtenstein",
      "xh": "Liechtenstein",
      "yo": "Líktẹ́nstáìnì",
      "zh_CN": "列支敦士登",
      "zh_HK": "列支敦士登",
      "zh_TW": "列支敦斯登",
      "zu": "Liechtenstein"
    },
  );

  /// Country: The Democratic Socialist Republic of Sri Lanka
  static const Country lka = Country(
    alpha2: 'LK',
    alpha3: 'LKA',
    continent: Continent.asia,
    countryCode: '94',
    currencyCode: 'LKR',
    gec: 'CE',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 7.873053999999999,
        longitude: 80.77179699999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 10.03377,
        longitude: 82.14479999999999,
      ),
      minCoordinate: Coordinate(
        latitude: 5.6816,
        longitude: 79.26769999999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 10.03377,
          longitude: 82.14479999999999,
        ),
        southwest: Coordinate(
          latitude: 5.6816,
          longitude: 79.26769999999999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'SRI',
    isoLongName: 'The Democratic Socialist Republic of Sri Lanka',
    isoShortName: 'Sri Lanka',
    languagesOfficial: ['si', 'ta'],
    languagesSpoken: ['si', 'ta'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [10],
    nationalPrefix: '0',
    nationality: 'Sri Lankan',
    number: '144',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Southern Asia',
    unLocode: 'LK',
    unofficialNames: ['Sri Lanka', 'スリランカ'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Sri Lanka",
      "af": "Sri Lanka",
      "ak": "Sri Lanka",
      "am": "ሽሪ ላንካ",
      "an": "Sri Lanka",
      "ar": "سريلانكا",
      "as": "শ্ৰীলঙ্কা",
      "ay": "Sri Lanka",
      "az": "Şri Lanka",
      "ba": "Sri Lanka",
      "be": "Шры-Ланка",
      "bg": "Шри Ланка",
      "bi": "Sri Lanka",
      "bn": "শ্রীলঙ্কা",
      "bn_IN": "শ্রীলঙ্কা",
      "br": "Sri Lanka",
      "bs": "Šri Lanka",
      "ca": "Sri Lanka",
      "ce": "Шри-Ланка",
      "ch": "Sri Lanka",
      "cs": "Šrí Lanka",
      "cv": "Шри-Ланка",
      "cy": "Sri Lanka",
      "da": "Sri Lanka",
      "de": "Sri Lanka",
      "dv": "އޮޅުދޫކަރަ",
      "dz": "སི་རི་ལང་ཀ།(ཤྲི་ལངྐ་)",
      "ee": "Sri Lanka",
      "el": "Σρι Λάνκα",
      "en": "Sri Lanka",
      "eo": "Sri-Lanko",
      "es": "Sri Lanka",
      "et": "Sri Lanka",
      "eu": "Sri Lanka",
      "fa": "سری‌لانکا",
      "ff": "Sri Lanka",
      "fi": "Sri Lanka",
      "fo": "Sri Lanka",
      "fr": "Sri Lanka",
      "fy": "Sry Lanka",
      "ga": "Srí Lanca",
      "gl": "Sri Lanka",
      "gn": "Sri Lanka",
      "gu": "શ્રી લંકા",
      "gv": "Sri Lanka",
      "ha": "Sri Lanka",
      "he": "סרי לנקה",
      "hi": "श्रीलंका",
      "hr": "Šri Lanka",
      "ht": "Srilanka",
      "hu": "Srí Lanka",
      "hy": "Շրի Լանկա",
      "ia": "Sri Lanka",
      "id": "Sri Lanka",
      "io": "Sri-Lanka",
      "is": "Srí Lanka",
      "it": "Sri Lanka",
      "iu": "Sri Lanka",
      "ja": "スリランカ",
      "ka": "შრი-ლანკა",
      "ki": "Sri Lanka",
      "kk": "Шри-Ланка",
      "kl": "Sri Lanka",
      "km": "ស្រីលង្កា",
      "kn": "ಶ್ರೀಲಂಕಾ",
      "ko": "스리랑카",
      "ku": "Srî Lanka",
      "kv": "Шри-Ланка",
      "kw": "Shri Lanka",
      "ky": "Шри-Ланка",
      "lo": "ປະເທດສີລັງກາ",
      "lt": "Šri Lanka",
      "lv": "Šrilanka",
      "mi": "Hiri Rānaka",
      "mk": "Шри Ланка",
      "ml": "ശ്രീലങ്ക",
      "mn": "Шри Ланка",
      "mr": "श्री लंका",
      "ms": "Sri Lanka",
      "mt": "Sri Lanka",
      "my": "သီရိလင်္ကာနိုင်ငံ",
      "na": "Sri Lanka",
      "nb": "Sri Lanka",
      "ne": "श्री लङ्का",
      "nl": "Sri Lanka",
      "nn": "Sri Lanka",
      "nv": "Naakaii Dootłʼizhí Bikéyah Dah Naaʼeełígíí",
      "oc": "Sri Lanka",
      "or": "ଶ୍ରୀଲଙ୍କା",
      "pa": "ਸ੍ਰੀਲੰਕਾ",
      "pi": "श्रीलङ्का",
      "pl": "Sri Lanka",
      "ps": "سریلانکا",
      "pt": "Sri Lanka",
      "pt_BR": "Sri Lanka",
      "ro": "Sri Lanka",
      "ru": "Шри-Ланка",
      "rw": "Siri Lanka",
      "sc": "Sri Lanka",
      "sd": "سريلنڪا",
      "si": "ශ්‍රී ලංකාව",
      "sk": "Srí Lanka",
      "sl": "Šrilanka",
      "so": "Siirilaanka",
      "sq": "Sri Lankë",
      "sr": "Шри Ланка",
      "sv": "Sri Lanka",
      "sw": "Sri Lanka",
      "ta": "இலங்கை",
      "te": "శ్రీలంక",
      "tg": "Князигарии Лихтенштейн",
      "th": "ศรีลังกา",
      "ti": "ስሪ ላንካ",
      "tk": "Şri-Lanka",
      "tl": "Sri Lanka",
      "tr": "Sri Lanka",
      "tt": "Шри Ланка",
      "ug": "سىرىلانكا",
      "uk": "Шрі-Ланка",
      "ur": "سری لنکا",
      "uz": "Shri-Lanka",
      "ve": "Sri Lanka",
      "vi": "Tích Lan",
      "wa": "Sri Lanka",
      "wo": "Siri Laaŋka",
      "xh": "Sri Lanka",
      "yo": "Sri Lanka",
      "zh_CN": "斯里兰卡",
      "zh_HK": "斯里蘭卡",
      "zh_TW": "斯里蘭卡",
      "zu": "Sri Lanka"
    },
  );

  /// Country: The Republic of Liberia
  static const Country lbr = Country(
    alpha2: 'LR',
    alpha3: 'LBR',
    continent: Continent.africa,
    countryCode: '231',
    currencyCode: 'LRD',
    gec: 'LI',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 6.428055,
        longitude: -9.429499000000002,
      ),
      maxCoordinate: Coordinate(
        latitude: 8.551986,
        longitude: -7.3692549,
      ),
      minCoordinate: Coordinate(
        latitude: 4.269699999999999,
        longitude: -11.5355999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 8.551986,
          longitude: -7.3692549,
        ),
        southwest: Coordinate(
          latitude: 4.269699999999999,
          longitude: -11.5355999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'LBR',
    isoLongName: 'The Republic of Liberia',
    isoShortName: 'Liberia',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [6, 7, 8],
    nationalPrefix: '22',
    nationality: 'Liberian',
    number: '430',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Western Africa',
    unLocode: 'LR',
    unofficialNames: ['Liberia', 'リベリア'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Liberia",
      "af": "Liberië",
      "ak": "Liberia",
      "am": "ላይቤሪያ",
      "an": "Liberia",
      "ar": "ليبيريا",
      "as": "লাইবেৰিয়া",
      "ay": "Liberia",
      "az": "Liberiya",
      "ba": "Liberia",
      "be": "Ліберыя",
      "bg": "Либерия",
      "bi": "Liberia",
      "bn": "লাইবেরিয়া",
      "bn_IN": "লাইবেরিয়া",
      "br": "Liberia",
      "bs": "Liberija",
      "ca": "Libèria",
      "ce": "Либери",
      "ch": "Liberia",
      "cs": "Libérie",
      "cv": "Либери",
      "cy": "Liberia",
      "da": "Liberia",
      "de": "Liberia",
      "dv": "ލައިބީރިއާ",
      "dz": "ལི་བི་རི་ཡ།",
      "ee": "Liberia",
      "el": "Λιβερία",
      "en": "Liberia",
      "eo": "Liberio",
      "es": "Liberia",
      "et": "Libeeria",
      "eu": "Liberia",
      "fa": "لیبریا",
      "ff": "Labiriyaa",
      "fi": "Liberia",
      "fo": "Liberia",
      "fr": "Libéria",
      "fy": "Libearia",
      "ga": "An Libéir",
      "gl": "Liberia",
      "gn": "Liberia",
      "gu": "લાઇબેરિયા",
      "gv": "Yn Laibeer",
      "ha": "Liberia",
      "he": "ליבריה",
      "hi": "लाइबेरिया",
      "hr": "Liberija",
      "ht": "Liberya",
      "hu": "Libéria",
      "hy": "Լիբերիա",
      "ia": "Liberia",
      "id": "Liberia",
      "io": "Liberia",
      "is": "Líbería",
      "it": "Liberia",
      "iu": "Liberia",
      "ja": "リベリア",
      "ka": "ლიბერია",
      "ki": "Liberia",
      "kk": "Либерия",
      "kl": "Liberia",
      "km": "លីបេរីយ៉ា",
      "kn": "ಲೈಬೀರಿಯಾ",
      "ko": "라이베리아",
      "ku": "Lîberya",
      "kv": "Liberia",
      "kw": "Liberi",
      "ky": "Либерия",
      "lo": "Liberia",
      "lt": "Liberija",
      "lv": "Libērija",
      "mi": "Liberia",
      "mk": "Либерија",
      "ml": "ലൈബീരിയ",
      "mn": "Liberia",
      "mr": "लायबेरिया",
      "ms": "Liberia",
      "mt": "Liberja",
      "my": "လိုက်ဘေးရီးယားနိုင်ငံ",
      "na": "Liberia",
      "nb": "Liberia",
      "ne": "लिबेरीया",
      "nl": "Liberia",
      "nn": "Liberia",
      "nv": "Liberia",
      "oc": "Libèria",
      "or": "ଲାଇବେରିୟା",
      "pa": "ਲੀਬਾਰੀਆ",
      "pi": "लायबीरिया",
      "pl": "Liberia",
      "ps": "لایبریا",
      "pt": "Libéria",
      "pt_BR": "Libéria",
      "ro": "Liberia",
      "ru": "Либерия",
      "rw": "Liberiya",
      "sc": "Libèria",
      "sd": "Liberia",
      "si": "ලියිබීරියාව",
      "sk": "Libéria",
      "sl": "Liberija",
      "so": "Laybeeriya",
      "sq": "Liberi",
      "sr": "Либерија",
      "sv": "Liberia",
      "sw": "Liberia",
      "ta": "லைபீரியா",
      "te": "లైబీరియా",
      "tg": "Либерия",
      "th": "ไลบีเรีย",
      "ti": "Liberia",
      "tk": "Liberiýa",
      "tl": "Liberia",
      "tr": "Liberya",
      "tt": "Либериа",
      "ug": "لىبېرىيە",
      "uk": "Ліберія",
      "ur": "لائبیریا",
      "uz": "Liberiya",
      "ve": "Liberia",
      "vi": "Li-bê-ri-a",
      "wa": "Liberia",
      "wo": "Libeeria",
      "xh": "Liberia",
      "yo": "Làìbéríà",
      "zh_CN": "利比里亚",
      "zh_HK": "利比里亞",
      "zh_TW": "賴比瑞亞",
      "zu": "ILiberia"
    },
  );

  /// Country: The Kingdom of Lesotho
  static const Country lso = Country(
    alpha2: 'LS',
    alpha3: 'LSO',
    continent: Continent.africa,
    countryCode: '266',
    currencyCode: 'LSL',
    gec: 'LT',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -29.609988,
        longitude: 28.233608,
      ),
      maxCoordinate: Coordinate(
        latitude: -28.5708011,
        longitude: 29.4557087,
      ),
      minCoordinate: Coordinate(
        latitude: -30.6755788,
        longitude: 27.011231,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -28.5708011,
          longitude: 29.4557087,
        ),
        southwest: Coordinate(
          latitude: -30.6755788,
          longitude: 27.011231,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'LES',
    isoLongName: 'The Kingdom of Lesotho',
    isoShortName: 'Lesotho',
    languagesOfficial: ['en', 'st'],
    languagesSpoken: ['en', 'st'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Mosotho',
    number: '426',
    postalCode: true,
    postalCodeFormat: r'\d{3}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Southern Africa',
    unLocode: 'LS',
    unofficialNames: ['Lesotho', 'レソト'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: 'ZAR',
    isoShortNameByLocale: {
      "ab": "Lesotho",
      "af": "Lesotho",
      "ak": "Lesotho",
      "am": "ሌሶቶ",
      "an": "Lesotho",
      "ar": "ليسوتو",
      "as": "লেছোথো",
      "ay": "Lesotho",
      "az": "Lesoto",
      "ba": "Lesotho",
      "be": "Лесота",
      "bg": "Лесото",
      "bi": "Lesotho",
      "bn": "লেসোথো",
      "bn_IN": "লেসোথো",
      "br": "Lesotho",
      "bs": "Lesoto",
      "ca": "Lesotho",
      "ce": "Лесото",
      "ch": "Lesotho",
      "cs": "Lesotho",
      "cv": "Лесото",
      "cy": "Lesotho",
      "da": "Lesotho",
      "de": "Lesotho",
      "dv": "ލެސޯތޯ",
      "dz": "ལི་སོ་ཐོ།",
      "ee": "Lesotho",
      "el": "Λεσότο",
      "en": "Lesotho",
      "eo": "Lesoto",
      "es": "Lesoto",
      "et": "Lesotho",
      "eu": "Lesotho",
      "fa": "لسوتو",
      "ff": "Lesotho",
      "fi": "Lesotho",
      "fo": "Lesoto",
      "fr": "Lesotho",
      "fy": "Lesoto",
      "ga": "Leosóta",
      "gl": "Lesoto",
      "gn": "Lesotho",
      "gu": "લેસોથો",
      "gv": "Lesoto",
      "ha": "Lesotho",
      "he": "לסוטו",
      "hi": "लेसोथो",
      "hr": "Lesoto",
      "ht": "Lezoto",
      "hu": "Lesotho",
      "hy": "Լեսոտո",
      "ia": "Lesotho",
      "id": "Lesotho",
      "io": "Lesotho",
      "is": "Lesótó",
      "it": "Lesotho",
      "iu": "Lesotho",
      "ja": "レソト",
      "ka": "ლესოტო",
      "ki": "Lesotho",
      "kk": "Лесото",
      "kl": "Lesotho",
      "km": "ឡេសូតូ",
      "kn": "ಲೆಸೋಥೋ",
      "ko": "레소토",
      "ku": "Lesoto",
      "kv": "Lesotho",
      "kw": "Lesotho",
      "ky": "Лесото",
      "lo": "Lesotho",
      "lt": "Lesotas",
      "lv": "Lesoto",
      "mi": "Lesotho",
      "mk": "Лесото",
      "ml": "ലെസോത്തോ",
      "mn": "Лесото",
      "mr": "लेसोथो",
      "ms": "Lesotho",
      "mt": "Lesoto",
      "my": "လီဆိုသိုနိုင်ငံ",
      "na": "Resoto",
      "nb": "Lesotho",
      "ne": "लेसोथो",
      "nl": "Lesotho",
      "nn": "Lesotho",
      "nv": "Sotho Dineʼé Bikéyah",
      "oc": "Lesoto",
      "or": "ଲେସୋଥୋ",
      "pa": "ਲੀਸੋਥੋ",
      "pi": "लेसोथो",
      "pl": "Lesotho",
      "ps": "Lesotho",
      "pt": "Lesoto",
      "pt_BR": "Lesoto",
      "ro": "Lesotho",
      "ru": "Лесото",
      "rw": "Lesoto",
      "sc": "Lesotho",
      "sd": "Lesotho",
      "si": "ලෙස්තෝ",
      "sk": "Lesotho",
      "sl": "Lesoto",
      "so": "Losooto",
      "sq": "Lesoto",
      "sr": "Лесото",
      "sv": "Lesotho",
      "sw": "Lesotho",
      "ta": "லெசோதோ",
      "te": "లెసోథో",
      "tg": "Лесото",
      "th": "เลโซโท",
      "ti": "Lesotho",
      "tk": "Lesoto",
      "tl": "Lesotho",
      "tr": "Lesoto",
      "tt": "Лесото",
      "ug": "لېسوتو",
      "uk": "Лесото",
      "ur": "لیسوتھو",
      "uz": "Lesoto",
      "ve": "Li-Sotho",
      "vi": "Lê-xô-thô",
      "wa": "Lessoto",
      "wo": "Lesoto",
      "xh": "Lesotho",
      "yo": "Lèsóthò",
      "zh_CN": "莱索托",
      "zh_HK": "萊索托",
      "zh_TW": "賴索托",
      "zu": "OSotho"
    },
  );

  /// Country: The Republic of Lithuania
  static const Country ltu = Country(
    alpha2: 'LT',
    alpha3: 'LTU',
    continent: Continent.europe,
    countryCode: '370',
    currencyCode: 'EUR',
    gec: 'LH',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 55.169438,
        longitude: 23.881275,
      ),
      maxCoordinate: Coordinate(
        latitude: 56.45032089999999,
        longitude: 26.835523,
      ),
      minCoordinate: Coordinate(
        latitude: 53.8967949,
        longitude: 20.931,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 56.45032089999999,
          longitude: 26.835523,
        ),
        southwest: Coordinate(
          latitude: 53.8967949,
          longitude: 20.931,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'LTU',
    isoLongName: 'The Republic of Lithuania',
    isoShortName: 'Lithuania',
    languagesOfficial: ['lt'],
    languagesSpoken: ['lt'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '8',
    nationality: 'Lithuanian',
    number: '440',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Northern Europe',
    unLocode: 'LT',
    unofficialNames: [
      'Lithuania',
      'Litauen',
      'Lituanie',
      'Lituania',
      'リトアニア',
      'Litouwen',
      'Літва',
      'Lietuva'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: VatRates(
      standard: 21.0,
      reduced: [5.0, 9.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Lithuania",
      "af": "Litoue",
      "ak": "Lithuania",
      "am": "ሑቱፃኒ።",
      "an": "Lithuania",
      "ar": "لثوانيا",
      "as": "লিথুৱানিয়া",
      "ay": "Lithuania",
      "az": "Litva",
      "ba": "Lithuania",
      "be": "Літва",
      "bg": "Литва",
      "bi": "Lithuania",
      "bn": "লিথুয়ানিয়া",
      "bn_IN": "লিথুয়ানিয়া",
      "br": "Lituania",
      "bs": "Litvanija",
      "ca": "Lituània",
      "ce": "Литва",
      "ch": "Lituania",
      "cs": "Litva",
      "cv": "Литва",
      "cy": "Lithwania",
      "da": "Litauen",
      "de": "Litauen",
      "dv": "ލިތުއޭނިއާ",
      "dz": "ལི་ཐུ་ནི་ཡ།",
      "ee": "Lithuania",
      "el": "Λιθουανία",
      "en": "Lithuania",
      "eo": "Litovio",
      "es": "Lituania",
      "et": "Leedu",
      "eu": "Lituania",
      "fa": "لیتوانی",
      "ff": "Lituwaniya",
      "fi": "Liettua",
      "fo": "Litava",
      "fr": "Lituanie",
      "fy": "Litouwen",
      "ga": "An Liotuáin",
      "gl": "Lituania",
      "gn": "Lithuania",
      "gu": "લિથુઆનીઆ",
      "gv": "Yn Litaan",
      "ha": "Lithuania",
      "he": "ליטא",
      "hi": "लिथुआनिया",
      "hr": "Litva",
      "ht": "Lityani",
      "hu": "Litvánia",
      "hy": "Լիտվա",
      "ia": "Lituania",
      "id": "Lituania",
      "io": "Lituania",
      "is": "Litháen",
      "it": "Lituania",
      "iu": "ᓕᐋᑐᕙ",
      "ja": "リトアニア",
      "ka": "ლიტვა",
      "ki": "Lithuania",
      "kk": "Литва",
      "kl": "Lithuania",
      "km": "លីទុយអានី",
      "kn": "ಲಿಥುವೇನಿಯಾ",
      "ko": "리투아니아",
      "ku": "Lîtvanya",
      "kv": "Литва",
      "kw": "Lithouani",
      "ky": "Литва",
      "lo": "ປະເທດລີຕົວນີ",
      "lt": "Lietuva",
      "lv": "Lietuva",
      "mi": "Rituānia",
      "mk": "Литванија",
      "ml": "ലിത്വാനിയ",
      "mn": "Литва",
      "mr": "लिथुआनिया",
      "ms": "Lithuania",
      "mt": "Litwanja",
      "my": "လစ်သူယေးနီးယားနိုင်ငံ",
      "na": "Rituainiya",
      "nb": "Litauen",
      "ne": "लिथुआनिया",
      "nl": "Litouwen",
      "nn": "Litauen",
      "nv": "Łitʼoowę́ęya",
      "oc": "Lituània",
      "or": "ଲିଥୁଆନିୟା",
      "pa": "ਲੀਥੂਨੀਆ",
      "pi": "लिथ्वानिया",
      "pl": "Litwa",
      "ps": "لېتوانيا",
      "pt": "Lituânia",
      "pt_BR": "Lituânia",
      "ro": "Lituania",
      "ru": "Литва",
      "rw": "Lituwaniya",
      "sc": "Lituània",
      "sd": "Lithuania",
      "si": "ලිතුවේනියාව",
      "sk": "Litva",
      "sl": "Litva",
      "so": "Lithuania",
      "sq": "Lituani",
      "sr": "Литванија",
      "sv": "Litauen",
      "sw": "Lithuania",
      "ta": "லிதுவேனியா",
      "te": "లిథుఆనియా",
      "tg": "Литва",
      "th": "ลิทัวเนีย",
      "ti": "ሊቱዌኒያ",
      "tk": "Litwa",
      "tl": "Lithuania",
      "tr": "Litvanya",
      "tt": "Литуаниа",
      "ug": "لىتۋانىيە",
      "uk": "Литва",
      "ur": "لتھووینیا",
      "uz": "Litva",
      "ve": "Lituania",
      "vi": "Li-tu-a-ni-a",
      "wa": "Litwaneye",
      "wo": "Lituwaani",
      "xh": "Lithuania",
      "yo": "Lituéníà",
      "zh_CN": "立陶宛",
      "zh_HK": "立陶宛",
      "zh_TW": "立陶宛",
      "zu": "ILithuwaniya"
    },
  );

  /// Country: The Grand Duchy of Luxembourg
  static const Country lux = Country(
    alpha2: 'LU',
    alpha3: 'LUX',
    continent: Continent.europe,
    countryCode: '352',
    currencyCode: 'EUR',
    gec: 'LU',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 49.815273,
        longitude: 6.129582999999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 50.18282,
        longitude: 6.530970099999999,
      ),
      minCoordinate: Coordinate(
        latitude: 49.447779,
        longitude: 5.7356699,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 50.18282,
          longitude: 6.530970099999999,
        ),
        southwest: Coordinate(
          latitude: 49.447779,
          longitude: 5.7356699,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'LUX',
    isoLongName: 'The Grand Duchy of Luxembourg',
    isoShortName: 'Luxembourg',
    languagesOfficial: ['fr', 'de', 'lb'],
    languagesSpoken: ['fr', 'de', 'lb'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: 'None',
    nationality: 'Luxembourger',
    number: '442',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Western Europe',
    unLocode: 'LU',
    unofficialNames: ['Luxembourg', 'Luxemburg', 'Luxemburgo', 'ルクセンブルク'],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 17.0,
      reduced: [8.0, 14.0],
      superReduced: 3.0,
      parking: 12.0,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Luxembourg",
      "af": "Luxenburg",
      "ak": "Luxembourg",
      "am": "ሉክሰምበርግ",
      "an": "Luxembourg",
      "ar": "لوكسمبورغ",
      "as": "লাক্সেমবুৰ্গ",
      "ay": "Luxembourg",
      "az": "Lüksemburq",
      "ba": "Luxembourg",
      "be": "Люксембург",
      "bg": "Люксембург",
      "bi": "Luxembourg",
      "bn": "লাক্সেমবুর্গ",
      "bn_IN": "লাক্সেমবুর্গ",
      "br": "Luksembourg",
      "bs": "Luksemburg",
      "ca": "Luxemburg",
      "ce": "Люксембург",
      "ch": "Luxembourg",
      "cs": "Lucembursko",
      "cv": "Люксембург",
      "cy": "Lwcsembwrg",
      "da": "Luxembourg",
      "de": "Luxemburg",
      "dv": "Luxembourg",
      "dz": "ལག་ཟེམ་བཱརག།",
      "ee": "Luxembourg",
      "el": "Λουξεμβούργο",
      "en": "Luxembourg",
      "eo": "Luksemburgio",
      "es": "Luxemburgo",
      "et": "Luksemburg",
      "eu": "Luxenburgo",
      "fa": "لوگزامبورگ",
      "ff": "Luksammbuur",
      "fi": "Luxemburg",
      "fo": "Luksemborg",
      "fr": "Luxembourg",
      "fy": "Lúksemboarch",
      "ga": "Lucsamburg",
      "gl": "Luxemburgo",
      "gn": "Luxembourg",
      "gu": "લક્ઝમબર્ગ",
      "gv": "Lucsemburg",
      "ha": "Luksamburg",
      "he": "לוקסמבורג",
      "hi": "लक्ज़मबर्ग",
      "hr": "Luksemburg",
      "ht": "Liksanbou",
      "hu": "Luxemburg",
      "hy": "Լյուքսեմբուրգ",
      "ia": "Luxemburg",
      "id": "Luksemburg",
      "io": "Luxemburgia",
      "is": "Lúxemborg",
      "it": "Lussemburgo",
      "iu": "Luxembourg",
      "ja": "ルクセンブルク",
      "ka": "ლუქსემბურგი",
      "ki": "Luxembourg",
      "kk": "Люксембург",
      "kl": "Luxembourg",
      "km": "លុចហ្សំបួរ",
      "kn": "ಲುಗ್ಸೆಮ್ಬರ್ಗ್",
      "ko": "룩셈부르크",
      "ku": "Luksemburg",
      "kv": "Люксембург",
      "kw": "Lushaborg",
      "ky": "Люксембург",
      "lo": "ປະເທດລູກຊຳບວກ",
      "lt": "Liuksemburgas",
      "lv": "Luksemburga",
      "mi": "Rakapuō",
      "mk": "Луксембург",
      "ml": "ലക്സെംബര്‍ഗ്",
      "mn": "Льюксембург",
      "mr": "लग्झेंबर्ग",
      "ms": "Luksembourg",
      "mt": "Lussemburgu",
      "my": "လူဇင်ဘတ်နိုင်ငံ",
      "na": "Ruketemburg",
      "nb": "Luxembourg",
      "ne": "लक्जेम्बर्ग",
      "nl": "Luxemburg",
      "nn": "Luxembourg; Luxemburg",
      "nv": "Látsębooʼ",
      "oc": "Luxemborg",
      "or": "ଲେକଜେମ୍ବର୍ଗ",
      "pa": "ਲ਼ਕਸ਼ਬਰਗ",
      "pi": "लक्सम्बर्ग",
      "pl": "Luksemburg",
      "ps": "لوګزامبورګ",
      "pt": "Luxemburgo",
      "pt_BR": "Luxemburgo",
      "ro": "Luxemburg",
      "ru": "Люксембург",
      "rw": "Lugizamburu",
      "sc": "Lussemburgu",
      "sd": "لڪسمبرگ",
      "si": "ලක්සම්බර්ග්",
      "sk": "Luxembursko",
      "sl": "Luksemburg",
      "so": "Luksemboorg",
      "sq": "Luksemburg",
      "sr": "Луксембург",
      "sv": "Luxemburg",
      "sw": "Luxembourg",
      "ta": "லக்ஸம்பர்க்",
      "te": "లగ్జెంబర్గ్",
      "tg": "Люксембург",
      "th": "ลักเซมเบิร์ก",
      "ti": "Luxembourg",
      "tk": "Lýuksemburg",
      "tl": "Luxembourg",
      "tr": "Lüksemburg",
      "tt": "Лүксембурg",
      "ug": "لىيۇكسېمبۇرگ",
      "uk": "Люксембург",
      "ur": "لکسمبرگ",
      "uz": "Lyuksemburg",
      "ve": "Luxembourg",
      "vi": "Lục Xâm Bảo",
      "wa": "Lussimbork",
      "wo": "Luksembuur",
      "xh": "Luxembourg",
      "yo": "Lúksẹ́mbọ̀rg",
      "zh_CN": "卢森堡",
      "zh_HK": "盧森堡",
      "zh_TW": "盧森堡",
      "zu": "I-Luxembourg"
    },
  );

  /// Country: The Republic of Latvia
  static const Country lva = Country(
    alpha2: 'LV',
    alpha3: 'LVA',
    continent: Continent.europe,
    countryCode: '371',
    currencyCode: 'EUR',
    gec: 'LG',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 56.879635,
        longitude: 24.603189,
      ),
      maxCoordinate: Coordinate(
        latitude: 58.0855688,
        longitude: 28.2414029,
      ),
      minCoordinate: Coordinate(
        latitude: 55.6747769,
        longitude: 20.8465999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 58.0855688,
          longitude: 28.2414029,
        ),
        southwest: Coordinate(
          latitude: 55.6747769,
          longitude: 20.8465999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'LAT',
    isoLongName: 'The Republic of Latvia',
    isoShortName: 'Latvia',
    languagesOfficial: ['lv'],
    languagesSpoken: ['lv'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '8',
    nationality: 'Latvian',
    number: '428',
    postalCode: true,
    postalCodeFormat: r'LV-\d{4}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Northern Europe',
    unLocode: 'LV',
    unofficialNames: [
      'Latvia',
      'Lettland',
      'Lettonie',
      'Letonia',
      'ラトビア',
      'Letland'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{region}}
{{city}} {{postalcode}}
{{country}}''',
    vatRates: VatRates(
      standard: 21.0,
      reduced: [12.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Latvia",
      "af": "Letland",
      "ak": "Latvia",
      "am": "ሒትቱ።",
      "an": "Latvia",
      "ar": "لاتفيا",
      "as": "লাটভিয়া",
      "ay": "Latvia",
      "az": "Latviya",
      "ba": "Latvia",
      "be": "Латвія",
      "bg": "Латвия",
      "bi": "Latvia",
      "bn": "লাটভিয়া",
      "bn_IN": "লাটভিয়া",
      "br": "Latvia",
      "bs": "Latvija",
      "ca": "Letònia",
      "ce": "Латви",
      "ch": "Latvia",
      "cs": "Lotyšsko",
      "cv": "Латви",
      "cy": "Latfia",
      "da": "Letland",
      "de": "Lettland",
      "dv": "ލެޓުވިއާ",
      "dz": "ལེཊི་བི་ཡ།",
      "ee": "Latvia",
      "el": "Λετονία",
      "en": "Latvia",
      "eo": "Latvio",
      "es": "Letonia",
      "et": "Läti",
      "eu": "Letonia",
      "fa": "لتونی",
      "ff": "Latvia",
      "fi": "Latvia",
      "fo": "Lettland",
      "fr": "Lettonie",
      "fy": "Letlân",
      "ga": "An Laitvia",
      "gl": "Letonia",
      "gn": "Latvia",
      "gu": "લેટવિયા",
      "gv": "Yn Latvey",
      "ha": "Laitfiya",
      "he": "לטביה",
      "hi": "लातविया",
      "hr": "Latvija",
      "ht": "Letoni",
      "hu": "Lettország",
      "hy": "Լատվիա",
      "ia": "Lettonia",
      "id": "Latvia",
      "io": "Latvia",
      "is": "Lettland",
      "it": "Lettonia",
      "iu": "Latvia",
      "ja": "ラトビア",
      "ka": "ლატვია",
      "ki": "Latvia",
      "kk": "Латвия",
      "kl": "Latvia",
      "km": "ឡាតវីយ៉ា",
      "kn": "ಲಾತ್ವಿಯಾ",
      "ko": "라트비아",
      "ku": "Latviya",
      "kv": "Латвия",
      "kw": "Latvi",
      "ky": "Латвия",
      "lo": "ປະເທດແລດໂຕນີ",
      "lt": "Latvija",
      "lv": "Latvija",
      "mi": "Rāwhia",
      "mk": "Летонија",
      "ml": "ലാത്വിയ",
      "mn": "Латви",
      "mr": "लाटव्हिया",
      "ms": "Latvia",
      "mt": "Latvja",
      "my": "လတ်ဗီယာနိုင်ငံ",
      "na": "Ratebiya",
      "nb": "Latvia",
      "ne": "लात्भिया",
      "nl": "Letland",
      "nn": "Latvia",
      "nv": "Létbiiya",
      "oc": "Letònia",
      "or": "ଲାଟଭିୟା",
      "pa": "ਲਾਟੀਵਾਆ",
      "pi": "लाट्विया",
      "pl": "Łotwa",
      "ps": "Latvia",
      "pt": "Letónia",
      "pt_BR": "Letônia",
      "ro": "Letonia",
      "ru": "Латвия",
      "rw": "Lativiya",
      "sc": "Letònia",
      "sd": "Latvia",
      "si": "ලැත්වියාව",
      "sk": "Lotyšsko",
      "sl": "Latvija",
      "so": "Laatfiya",
      "sq": "Letoni",
      "sr": "Летонија",
      "sv": "Lettland",
      "sw": "Latvia",
      "ta": "லட்வியா",
      "te": "లాటవ్హియా",
      "tg": "Латвия",
      "th": "ลัตเวีย",
      "ti": "ላትቪያ",
      "tk": "Latwiýa",
      "tl": "Latvia",
      "tr": "Letonya",
      "tt": "Латвиа",
      "ug": "لاتۋىيە",
      "uk": "Латвія",
      "ur": "لٹویا",
      "uz": "Latviya",
      "ve": "Latvia",
      "vi": "Lát-vi-a",
      "wa": "Letoneye",
      "wo": "Letóoni",
      "xh": "Latvia",
      "yo": "Látfíà",
      "zh_CN": "拉脱维亚",
      "zh_HK": "拉脫維亞",
      "zh_TW": "拉脫維亞",
      "zu": "ILatviya"
    },
  );

  /// Country: The State of Libya
  static const Country lby = Country(
    alpha2: 'LY',
    alpha3: 'LBY',
    continent: Continent.africa,
    countryCode: '218',
    currencyCode: 'LYD',
    gec: 'LY',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 26.3351,
        longitude: 17.228331,
      ),
      maxCoordinate: Coordinate(
        latitude: 33.2203,
        longitude: 25.2686,
      ),
      minCoordinate: Coordinate(
        latitude: 19.5,
        longitude: 9.391466,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 33.2203,
          longitude: 25.2686,
        ),
        southwest: Coordinate(
          latitude: 19.5,
          longitude: 9.391466,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'LBA',
    isoLongName: 'The State of Libya',
    isoShortName: 'Libya',
    languagesOfficial: ['ar'],
    languagesSpoken: ['ar'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9],
    nationalPrefix: '0',
    nationality: 'Libyan',
    number: '434',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.sunday,
    subregion: 'Northern Africa',
    unLocode: 'LY',
    unofficialNames: [
      'Libya',
      'ليبيا',
      'Libyen',
      'Libye',
      'Libia',
      'リビア',
      'Libië',
      'Libyan Arab Jamahiriya'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Libya",
      "af": "Libië",
      "ak": "Libya",
      "am": "ሊቢያ",
      "an": "Libya",
      "ar": "ليبيا",
      "as": "লিবিয়া",
      "ay": "Libya",
      "az": "Libya",
      "ba": "Libya",
      "be": "Лівія",
      "bg": "Либия",
      "bi": "Libya",
      "bn": "লিবিয়া",
      "bn_IN": "লিবিয়া",
      "br": "Libia",
      "bs": "Libija",
      "ca": "Líbia",
      "ce": "Ливи",
      "ch": "Libya",
      "cs": "Libye",
      "cv": "Ливи",
      "cy": "Libya",
      "da": "Libyen",
      "de": "Libyen",
      "dv": "ލީބިޔާ",
      "dz": "ལིབ་ཡ་",
      "ee": "Libya",
      "el": "Λιβύη",
      "en": "Libya",
      "eo": "Libio",
      "es": "Libia",
      "et": "Liibüa",
      "eu": "Libia",
      "fa": "لیبی",
      "ff": "Libya",
      "fi": "Libya",
      "fo": "Libya",
      "fr": "Libye",
      "fy": "Lybje",
      "ga": "An Libia",
      "gl": "Libia",
      "gn": "Libya",
      "gu": "લિબયા",
      "gv": "Yn Leeb",
      "ha": "Libya",
      "he": "לוב",
      "hi": "लीबिया",
      "hr": "Libija",
      "ht": "Libi",
      "hu": "Líbia",
      "hy": "Լիբիա",
      "ia": "Libya",
      "id": "Libya",
      "io": "Libia",
      "is": "Líbýa",
      "it": "Libia",
      "iu": "Libya",
      "ja": "リビア",
      "ka": "Libya",
      "ki": "Libya",
      "kk": "Ливия",
      "kl": "Libya",
      "km": "លីបេរីយ៉ា",
      "kn": "Libya",
      "ko": "리비아",
      "ku": "Lîbya",
      "kv": "Libya",
      "kw": "Libi",
      "ky": "Ливия",
      "lo": "Libya",
      "lt": "Libija",
      "lv": "Lībija",
      "mi": "Libya",
      "mk": "Либија",
      "ml": "Libya",
      "mn": "Ливи",
      "mr": "लिबया",
      "ms": "Libya",
      "mt": "Libja",
      "my": "လစ်ဗျားနိုင်ငံ",
      "na": "Libya",
      "nb": "Libya",
      "ne": "लिबेया",
      "nl": "Libië",
      "nn": "Libya",
      "nv": "Libya",
      "oc": "Libia",
      "or": "ଲୀବିୟା",
      "pa": "ਲੀਬੀਆ",
      "pi": "लिबिया",
      "pl": "Libia",
      "ps": "Libya",
      "pt": "Líbia",
      "pt_BR": "Líbia",
      "ro": "Libia",
      "ru": "Ливия",
      "rw": "Libiya",
      "sc": "Lìbia",
      "sd": "لبيا",
      "si": "ලිබියාව",
      "sk": "Líbya",
      "sl": "Libija",
      "so": "Libiya",
      "sq": "Libi",
      "sr": "Либија",
      "sv": "Libyen",
      "sw": "Libya",
      "ta": "Libya",
      "te": "లిబయా",
      "tg": "Либия",
      "th": "ลิเบีย",
      "ti": "ሊብያ",
      "tk": "Liwiýa",
      "tl": "Libya",
      "tr": "Libya",
      "tt": "Libya",
      "ug": "لىۋىيە",
      "uk": "Лівія",
      "ur": "لیبیا",
      "uz": "Liviya",
      "ve": "Libya",
      "vi": "Li-bi",
      "wa": "Libeye",
      "wo": "Libi",
      "xh": "Libya",
      "yo": "Líbyà",
      "zh_CN": "利比亚",
      "zh_HK": "利比亞",
      "zh_TW": "利比亞",
      "zu": "ILibiya"
    },
  );

  /// Country: The Kingdom of Morocco
  static const Country mar = Country(
    alpha2: 'MA',
    alpha3: 'MAR',
    continent: Continent.africa,
    countryCode: '212',
    currencyCode: 'MAD',
    gec: 'MO',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 31.791702,
        longitude: -7.092619999999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 35.9344,
        longitude: -0.9969759,
      ),
      minCoordinate: Coordinate(
        latitude: 27.6672693,
        longitude: -13.3044001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 35.9344,
          longitude: -0.9969759,
        ),
        southwest: Coordinate(
          latitude: 27.6672693,
          longitude: -13.3044001,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'MAR',
    isoLongName: 'The Kingdom of Morocco',
    isoShortName: 'Morocco',
    languagesOfficial: ['ar'],
    languagesSpoken: ['ar'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '0',
    nationality: 'Moroccan',
    number: '504',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Northern Africa',
    unLocode: 'MA',
    unofficialNames: [
      'Morocco',
      'المغرب',
      'Marokko',
      'Maroc',
      'Marruecos',
      'モロッコ'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Morocco",
      "af": "Marokko",
      "ak": "Morocco",
      "am": "ሥስጥ",
      "an": "Morocco",
      "ar": "المغرب",
      "as": "মৰোক্কো",
      "ay": "Morocco",
      "az": "Mərakeş",
      "ba": "Morocco",
      "be": "Марока",
      "bg": "Мароко",
      "bi": "Morocco",
      "bn": "মরোক্কো",
      "bn_IN": "মরোক্কো",
      "br": "Maroko",
      "bs": "Maroko",
      "ca": "Marroc",
      "ce": "Марокко",
      "ch": "Morocco",
      "cs": "Maroko",
      "cv": "Марокко",
      "cy": "Moroco",
      "da": "Marokko",
      "de": "Marokko",
      "dv": "މައުރިބު",
      "dz": "མོ་རོཀ་ཀོ།",
      "ee": "Morocco",
      "el": "Μαρόκο",
      "en": "Morocco",
      "eo": "Maroko",
      "es": "Marruecos",
      "et": "Maroko",
      "eu": "Maroko",
      "fa": "مراکش",
      "ff": "Morocco",
      "fi": "Marokko",
      "fo": "Marokko",
      "fr": "Maroc",
      "fy": "Marokko",
      "ga": "Maracó",
      "gl": "Marrocos",
      "gn": "Morocco",
      "gu": "મોરક્કો",
      "gv": "Yn Varoc",
      "ha": "Morocco",
      "he": "מרוקו",
      "hi": "मोरक्को",
      "hr": "Maroko",
      "ht": "Mawòk",
      "hu": "Marokkó",
      "hy": "Մարոկո",
      "ia": "Marocco",
      "id": "Maroko",
      "io": "Maroko",
      "is": "Marokkó",
      "it": "Marocco",
      "iu": "Morocco",
      "ja": "モロッコ",
      "ka": "მაროკო",
      "ki": "Morocco",
      "kk": "Марокко",
      "kl": "Morocco",
      "km": "ម៉ារ៉ុក",
      "kn": "ಮೊರೊಕ್ಕೊ",
      "ko": "모로코",
      "ku": "Fas",
      "kv": "Morocco",
      "kw": "Marokk",
      "ky": "Марокко",
      "lo": "Morocco",
      "lt": "Marokas",
      "lv": "Maroka",
      "mi": "Moroko",
      "mk": "Мароко",
      "ml": "മൊറോക്കോ",
      "mn": "Морокко",
      "mr": "मोरोक्को",
      "ms": "Maghribi",
      "mt": "Marokk",
      "my": "မော်ရိုကိုနိုင်ငံ",
      "na": "Morocco",
      "nb": "Marokko",
      "ne": "मोरक्को",
      "nl": "Marokko",
      "nn": "Marokko",
      "nv": "Eʼeʼaahjí Ghą́ą́ʼaskʼidii Biłikahii Bikéyah",
      "oc": "Marròc",
      "or": "ମୋରକ୍କୋ",
      "pa": "ਮੋਰੋਸ਼ਸੋ",
      "pi": "मोराको",
      "pl": "Maroko",
      "ps": "مراکش",
      "pt": "Marrocos",
      "pt_BR": "Marrocos",
      "ro": "Maroc",
      "ru": "Марокко",
      "rw": "Maroke",
      "sc": "Marocu",
      "sd": "Morocco",
      "si": "මොරොක්කෝව",
      "sk": "Maroko",
      "sl": "Maroko",
      "so": "Marooko",
      "sq": "Marok",
      "sr": "Мароко",
      "sv": "Marocko",
      "sw": "Morocco",
      "ta": "மொரோக்கோ",
      "te": "మోరోక్కో",
      "tg": "Марокаш",
      "th": "โมร็อกโก",
      "ti": "ሞሮኮ",
      "tk": "Morokko",
      "tl": "Morocco",
      "tr": "Fas",
      "tt": "Морокко",
      "ug": "ماراكەش",
      "uk": "Марокко",
      "ur": "مراکش",
      "uz": "Marokash",
      "ve": "Morocco",
      "vi": "Mo-ro-cô",
      "wa": "Marok",
      "wo": "Marook",
      "xh": "Morocco",
      "yo": "Mòrókò",
      "zh_CN": "摩洛哥",
      "zh_HK": "摩洛哥",
      "zh_TW": "摩洛哥",
      "zu": "IMorokho"
    },
  );

  /// Country: The Principality of Monaco
  static const Country mco = Country(
    alpha2: 'MC',
    alpha3: 'MCO',
    continent: Continent.europe,
    countryCode: '377',
    currencyCode: 'EUR',
    gec: 'MN',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 43.73841760000001,
        longitude: 7.424615799999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 43.7519029,
        longitude: 7.4426,
      ),
      minCoordinate: Coordinate(
        latitude: 43.7237999,
        longitude: 7.4091049,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 43.7519029,
          longitude: 7.4426,
        ),
        southwest: Coordinate(
          latitude: 43.7237999,
          longitude: 7.4091049,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'MON',
    isoLongName: 'The Principality of Monaco',
    isoShortName: 'Monaco',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9],
    nationalPrefix: '0',
    nationality: 'Monegasque',
    number: '492',
    postalCode: true,
    postalCodeFormat: r'980\d{2}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Western Europe',
    unLocode: 'MC',
    unofficialNames: ['Monaco', 'Mónaco', 'モナコ'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: false,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Monaco",
      "af": "Monaco",
      "ak": "Monaco",
      "am": "ሞናኮ",
      "an": "Monaco",
      "ar": "موناكو",
      "as": "মোনাকো",
      "ay": "Monaco",
      "az": "Monako",
      "ba": "Monaco",
      "be": "Манака",
      "bg": "Монако",
      "bi": "Monaco",
      "bn": "মোনাকো",
      "bn_IN": "মোনাকো",
      "br": "Monako",
      "bs": "Monako",
      "ca": "Mònaco",
      "ce": "Монако",
      "ch": "Monaco",
      "cs": "Monako",
      "cv": "Монако",
      "cy": "Monaco",
      "da": "Monaco",
      "de": "Monaco",
      "dv": "މޮނާކޯ",
      "dz": "མོ་ན་ཀོ",
      "ee": "Monaco",
      "el": "Μονακό",
      "en": "Monaco",
      "eo": "Monako",
      "es": "Mónaco",
      "et": "Monaco",
      "eu": "Monako",
      "fa": "موناکو",
      "ff": "Monako",
      "fi": "Monaco",
      "fo": "Monako",
      "fr": "Monaco",
      "fy": "Monako",
      "ga": "Monacó",
      "gl": "Mónaco",
      "gn": "Monaco",
      "gu": "મોનેકો",
      "gv": "Monaco",
      "ha": "Monaco",
      "he": "מונקו",
      "hi": "मोनैको",
      "hr": "Monako",
      "ht": "Monako",
      "hu": "Monaco",
      "hy": "Մոնակո",
      "ia": "Monaco",
      "id": "Monako",
      "io": "Monako",
      "is": "Mónakó",
      "it": "Monaco",
      "iu": "Monaco",
      "ja": "モナコ",
      "ka": "მონაკო",
      "ki": "Monaco",
      "kk": "Монако",
      "kl": "Monaco",
      "km": "ម៉ូណាកូ",
      "kn": "ಮೊನಾಕೋ",
      "ko": "모나코",
      "ku": "Monako",
      "kv": "Монако",
      "kw": "Monako",
      "ky": "Монако",
      "lo": "ປະເທດໂມນາໂກ",
      "lt": "Monakas",
      "lv": "Monako",
      "mi": "Manako",
      "mk": "Монако",
      "ml": "മൊണാക്കോ",
      "mn": "Монако",
      "mr": "मोनॅको",
      "ms": "Monaco",
      "mt": "Monako",
      "my": "မိုနာကိုနိုင်ငံ",
      "na": "Monako",
      "nb": "Monaco",
      "ne": "मोनाको",
      "nl": "Monaco",
      "nn": "Monaco",
      "nv": "Monaco",
      "oc": "Mónegue",
      "or": "ମୋନାକୋ",
      "pa": "ਮੋਨਕੋ",
      "pi": "मोनाको",
      "pl": "Monako",
      "ps": "Monaco",
      "pt": "Mónaco",
      "pt_BR": "Mônaco",
      "ro": "Monaco",
      "ru": "Монако",
      "rw": "Monako",
      "sc": "Mònaco",
      "sd": "Monaco",
      "si": "මොනාකෝ",
      "sk": "Monako",
      "sl": "Monako",
      "so": "Moonako",
      "sq": "Monako",
      "sr": "Монако",
      "sv": "Monaco",
      "sw": "Monaco",
      "ta": "மொனாக்கோ",
      "te": "మోనాకో",
      "tg": "Монако",
      "th": "โมนาโก",
      "ti": "Monaco",
      "tk": "Monako",
      "tl": "Monaco",
      "tr": "Monako",
      "tt": "Манако",
      "ug": "موناكو",
      "uk": "Монако",
      "ur": "موناکو",
      "uz": "Monako",
      "ve": "Monaco",
      "vi": "Mo-na-cô",
      "wa": "Monaco",
      "wo": "Monaako",
      "xh": "Monaco",
      "yo": "Mónakò",
      "zh_CN": "摩纳哥",
      "zh_HK": "摩納哥",
      "zh_TW": "摩納哥",
      "zu": "Monaco"
    },
  );

  /// Country: The Republic of Moldova
  static const Country mda = Country(
    alpha2: 'MD',
    alpha3: 'MDA',
    continent: Continent.europe,
    countryCode: '373',
    currencyCode: 'MDL',
    gec: 'MD',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 47.411631,
        longitude: 28.369885,
      ),
      maxCoordinate: Coordinate(
        latitude: 48.492029,
        longitude: 30.1635898,
      ),
      minCoordinate: Coordinate(
        latitude: 45.4674379,
        longitude: 26.6164248,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 48.492029,
          longitude: 30.1635898,
        ),
        southwest: Coordinate(
          latitude: 45.4674379,
          longitude: 26.6164248,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'MDA',
    isoLongName: 'The Republic of Moldova',
    isoShortName: 'Moldova (Republic of)',
    languagesOfficial: ['ro'],
    languagesSpoken: ['ro'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '0',
    nationality: 'Moldovan',
    number: '498',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Eastern Europe',
    unLocode: 'MD',
    unofficialNames: [
      'Moldova',
      'Moldawien',
      'Moldavie',
      'Moldavia',
      'the Republic of Moldova',
      'モルドバ共和国',
      'Moldavië'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Moldova",
      "af": "Moldawië",
      "ak": "Moldova",
      "am": "ሞልዶቫ",
      "an": "Moldova",
      "ar": "المالديف",
      "as": "মোলডোভা",
      "ay": "Moldova",
      "az": "Moldova",
      "ba": "Moldova",
      "be": "Малдова",
      "bg": "Молдова",
      "bi": "Moldova",
      "bn": "মোলডোভা",
      "bn_IN": "মোলডোভা",
      "br": "Moldova",
      "bs": "Moldavija",
      "ca": "Moldàvia",
      "ce": "Молдави",
      "ch": "Moldova",
      "cs": "Moldavsko",
      "cv": "Молдави",
      "cy": "Moldofa",
      "da": "Moldova",
      "de": "Moldau",
      "dv": "މޮލްޑޯވާ",
      "dz": "མོལ་ཌོ་ཝ།",
      "ee": "Moldova",
      "el": "Μολδαβία",
      "en": "Moldova",
      "eo": "Moldavio",
      "es": "Moldavia",
      "et": "Moldova",
      "eu": "Moldavia",
      "fa": "مولداوی",
      "ff": "Moldowa",
      "fi": "Moldova",
      "fo": "Moldova",
      "fr": "Moldavie",
      "fy": "Moldaavje",
      "ga": "An Mholdóiv",
      "gl": "Moldavia",
      "gn": "Moldova",
      "gu": "મોલ્ડોવા",
      "gv": "Moldova",
      "ha": "MOldufiniya",
      "he": "מולדובה",
      "hi": "मॉल्डोवा",
      "hr": "Moldavija",
      "ht": "Moldavi",
      "hu": "Moldova",
      "hy": "Մոլդովա",
      "ia": "Moldavia",
      "id": "Moldova",
      "io": "Moldova",
      "is": "Moldavía",
      "it": "Moldavia",
      "iu": "Moldova",
      "ja": "モルドバ",
      "ka": "მოლდოვა",
      "ki": "Moldova",
      "kk": "Молдова",
      "kl": "Moldova",
      "km": "មុលឌូវ៉ា",
      "kn": "Moldova",
      "ko": "몰도바",
      "ku": "Moldova",
      "kv": "Молдова",
      "kw": "Moldova",
      "ky": "Молдова",
      "lo": "Moldova",
      "lt": "Moldova",
      "lv": "Moldova",
      "mi": "Morotawa",
      "mk": "Молдавија",
      "ml": "മോള്‍ഡോവ",
      "mn": "Молдав",
      "mr": "मोल्डोवा",
      "ms": "Moldova",
      "mt": "Moldova",
      "my": "မော်လ်ဒိုဗာနိုင်ငံ",
      "na": "Ripubrikin Mordowa",
      "nb": "Moldova",
      "ne": "मोल्डोभा",
      "nl": "Moldavië",
      "nn": "Moldova",
      "nv": "Moldova",
      "oc": "Moldàvia",
      "or": "ମାଲଡୋଭା",
      "pa": "ਮੋਲਡੀਵਾ",
      "pi": "मोल्दोवा",
      "pl": "Mołdawia",
      "ps": "مولدوا",
      "pt": "Moldávia",
      "pt_BR": "Moldávia",
      "ro": "Moldova",
      "ru": "Молдавия",
      "rw": "Molidova",
      "sc": "Moldàvia",
      "sd": "Moldova",
      "si": "මොල්ඩෝවා",
      "sk": "Moldavsko",
      "sl": "Moldavija",
      "so": "Moldofa",
      "sq": "Moldavi",
      "sr": "Молдавија",
      "sv": "Moldavien",
      "sw": "Moldova",
      "ta": "மோல்டோவா",
      "te": "మాల్డోవా",
      "tg": "Молдова",
      "th": "มอลโดวา",
      "ti": "Moldova",
      "tk": "Moldawiýa",
      "tl": "Moldova",
      "tr": "Moldova",
      "tt": "Moldova",
      "ug": "مولدوۋا",
      "uk": "Молдова",
      "ur": "مالدووا",
      "uz": "Moldova",
      "ve": "Moldova",
      "vi": "Mon-đô-va",
      "wa": "Moldova",
      "wo": "Moldaawi",
      "xh": "Moldova",
      "yo": "Móldófà",
      "zh_CN": "摩尔多瓦",
      "zh_HK": "摩爾多瓦",
      "zh_TW": "摩爾多瓦",
      "zu": "Moldova"
    },
  );

  /// Country: Montenegro
  static const Country mne = Country(
    alpha2: 'ME',
    alpha3: 'MNE',
    continent: Continent.europe,
    countryCode: '382',
    currencyCode: 'EUR',
    gec: 'MJ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 42.708678,
        longitude: 19.37439,
      ),
      maxCoordinate: Coordinate(
        latitude: 43.558743,
        longitude: 20.352926,
      ),
      minCoordinate: Coordinate(
        latitude: 41.8297,
        longitude: 18.4337921,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 43.558743,
          longitude: 20.352926,
        ),
        southwest: Coordinate(
          latitude: 41.8297,
          longitude: 18.4337921,
        ),
      ),
    ),
    internationalPrefix: '99',
    ioc: 'MNE',
    isoLongName: 'Montenegro',
    isoShortName: 'Montenegro',
    languagesOfficial: ['sr', 'bs', 'sq', 'hr'],
    languagesSpoken: ['sr', 'bs', 'sq', 'hr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '0',
    nationality: 'Montenegrin',
    number: '499',
    postalCode: true,
    postalCodeFormat: r'8\d{4}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Southern Europe',
    unLocode: 'ME',
    unofficialNames: ['Crna Gora', 'Montenegro', 'モンテネグロ'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Montenegro",
      "af": "Montenegro",
      "ak": "Montenegro",
      "am": "ሞንቴኔግሮ",
      "an": "Montenegro",
      "ar": "المنتنيغرو",
      "as": "মন্টেনেগ্ৰো",
      "ay": "Montenegro",
      "az": "Montenegro",
      "ba": "Montenegro",
      "be": "Чарнагорыя",
      "bg": "Черна гора",
      "bi": "Montenegro",
      "bn": "মন্টেনেগ্রো",
      "bn_IN": "মন্টেনেগ্রো",
      "br": "Montenegro",
      "bs": "Crna Gora",
      "ca": "Montenegro",
      "ce": "Ӏаьржаламанхойчоь",
      "ch": "Montenegro",
      "cs": "Černá Hora",
      "cv": "Ӏаьржаламанхойчоь",
      "cy": "Montenegro",
      "da": "Montenegro",
      "de": "Montenegro",
      "dv": "މޮންޓެނީގުރޯ",
      "dz": "མཱོན་ཊི་ནིག་རོ།",
      "ee": "Montenegro",
      "el": "Μαυροβούνιο",
      "en": "Montenegro",
      "eo": "Montenegro",
      "es": "Montenegro",
      "et": "Montenegro",
      "eu": "Montenegro",
      "fa": "مونته نگرو",
      "ff": "Montenegro",
      "fi": "Montenegro",
      "fo": "Montenegro",
      "fr": "Monténégro",
      "fy": "Montenegro",
      "ga": "Montainéagró",
      "gl": "Montenegro",
      "gn": "Montenegro",
      "gu": "મોન્ટેનેગરો",
      "gv": "Montenegro",
      "ha": "Montenegro",
      "he": "מונטנגרו",
      "hi": "मॉन्टेनीग्रो",
      "hr": "Crna Gora",
      "ht": "Montenegwo",
      "hu": "Montenegró",
      "hy": "Մոնտենեգրո",
      "ia": "Montenegro",
      "id": "Montenegro",
      "io": "Montenegro",
      "is": "Svartfjallaland",
      "it": "Montenegro",
      "iu": "Montenegro",
      "ja": "モンテネグロ",
      "ka": "მონტენეგრო",
      "ki": "Montenegro",
      "kk": "Черногория",
      "kl": "Montenegro",
      "km": "​ម៉ុងតេណេក្រូ",
      "kn": "ಮಾಂಟೆನೆಗ್ರೋ",
      "ko": "몬테네그로",
      "ku": "Montenegro",
      "kv": "Черногория",
      "kw": "Montenegro",
      "ky": "Монтенегро",
      "lo": "Montenegro",
      "lt": "Juodkalnija",
      "lv": "Melnkalne",
      "mi": "Montenegro",
      "mk": "Црна Гора",
      "ml": "മോണ്ടിനെഗ്രോ",
      "mn": "Montenegro",
      "mr": "मॉंटेनेग्रो",
      "ms": "Montenegro",
      "mt": "Montenegro",
      "my": "မွန်တီနီဂရိုးနိုင်ငံ",
      "na": "Montenegro",
      "nb": "Montenegro",
      "ne": "मोन्टेनेग्रो",
      "nl": "Montenegro",
      "nn": "Montenegro",
      "nv": "Dziłizhin Bikéyah",
      "oc": "Montenegro",
      "or": "ମୋଣ୍ଟେନୀଗ୍ରୋ",
      "pa": "ਮੋਨਟੇਨੇਗਰੋ",
      "pi": "Montenegro",
      "pl": "Czarnogóra",
      "ps": "مانتېنېګرو",
      "pt": "Montenegro",
      "pt_BR": "Montenegro",
      "ro": "Muntenegru",
      "ru": "Черногория",
      "rw": "Montenegoro",
      "sc": "Montenegro",
      "sd": "Montenegro",
      "si": "මොන්ටෙන්ග්‍රෝ",
      "sk": "Čierna Hora",
      "sl": "Črna gora",
      "so": "Montenegro",
      "sq": "Mali i Zi",
      "sr": "Црна Гора",
      "sv": "Montenegro",
      "sw": "Montenegro",
      "ta": "மோன்டே நெக்ரோ",
      "te": "మాంటేనేగ్రో",
      "tg": "Черногория",
      "th": "มอนเตเนโกร",
      "ti": "Montenegro",
      "tk": "Çernogoriýa",
      "tl": "Montenegro",
      "tr": "Karadağ",
      "tt": "Montenegro",
      "ug": "مونتېنېگرو",
      "uk": "Чорногорія",
      "ur": "مونٹینیگرو",
      "uz": "Chernogoriya",
      "ve": "Montenegro",
      "vi": "Mon-te-nê-gợ-rô",
      "wa": "Montenegro",
      "wo": "Montenegro",
      "xh": "Montenegro",
      "yo": "Montenẹ́grò",
      "zh_CN": "黑山",
      "zh_HK": "黑山",
      "zh_TW": "蒙特內哥羅",
      "zu": "IMontenegro"
    },
  );

  /// Country: The Collectivity of Saint-Martin
  static const Country maf = Country(
    alpha2: 'MF',
    alpha3: 'MAF',
    continent: Continent.northAmerica,
    countryCode: '590',
    currencyCode: 'EUR',
    gec: 'RN',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 18.08255,
        longitude: -63.05225100000001,
      ),
      maxCoordinate: Coordinate(
        latitude: 18.1356001,
        longitude: -62.9613001,
      ),
      minCoordinate: Coordinate(
        latitude: 18.0462883,
        longitude: -63.1630001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 18.1356001,
          longitude: -62.9613001,
        ),
        southwest: Coordinate(
          latitude: 18.0462883,
          longitude: -63.1630001,
        ),
      ),
    ),
    internationalPrefix: '',
    ioc: null,
    isoLongName: 'The Collectivity of Saint-Martin',
    isoShortName: 'Saint Martin (French part)',
    languagesOfficial: ['en', 'fr', 'nl'],
    languagesSpoken: ['en', 'fr', 'nl'],
    nationalDestinationCodeLengths: [],
    nationalNumberLengths: [],
    nationalPrefix: '',
    nationality: 'French',
    number: '663',
    postalCode: true,
    postalCodeFormat: r'9[78][01]\d{2}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'MF',
    unofficialNames: ['Saint Martin', 'サン・マルタン（フランス領）', 'Saint-Martin'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Saint Martin (French part)",
      "af": "Sint Martin (Franse deel)",
      "ak": "Saint Martin (French part)",
      "am": "Saint Martin (French part)",
      "an": "Saint Martin (French part)",
      "ar": "سانت مارتين (القطاع الفرنسي)",
      "as": "চেন্ট মাৰ্টিন (ফ্ৰেঞ্চ অংশ)",
      "ay": "Saint Martin (French part)",
      "az": "Saint Martin (French part)",
      "ba": "Saint Martin (French part)",
      "be": "Востраў Святога Марціна (французская частка)",
      "bg": "Свети Мартин (френска част)",
      "bi": "Saint Martin (French part)",
      "bn": "সেন্ট মার্টিন (ফ্রেঞ্চ অংশ)",
      "bn_IN": "সেন্ট মার্টিন (ফ্রেঞ্চ অংশ)",
      "br": "Sant Marzhin (rann gallek)",
      "bs": "Sveti Martin (Francuski dio)",
      "ca": "Saint Martin (part francesa)",
      "ce": "Saint Martin (French part)",
      "ch": "Saint Martin (French part)",
      "cs": "Svatý Martin (francouzská část)",
      "cv": "Saint Martin (French part)",
      "cy": "Saint Martin (rhan Ffrengig)",
      "da": "Sankt Martin (Fransk del)",
      "de": "Saint Martin (Französischer Teil)",
      "dv": "Saint Martin (French part)",
      "dz": "སེནཊི་མར་ཊིན (ཕརེནཆི་གི་ཡན་ལག)།",
      "ee": "Saint Martin (French part)",
      "el": "Άγιος Μαρτίνος (Γαλλικό τμήμα)",
      "en": "Saint Martin (French part)",
      "eo": "Sankta-Marteno (franca parto)",
      "es": "San Martín (zona francesa)",
      "et": "Saint Martin (Prantsuse osa)",
      "eu": "Saint Martin (Frantziar zatia)",
      "fa": "سنت مارتین (بخش فرانسوی)",
      "ff": "Saint Martin (French part)",
      "fi": "Saint-Martin (ranskalainen osa)",
      "fo": "Saint Martin (French part)",
      "fr": "Saint-Martin (partie française)",
      "fy": "Saint Martin (French part)",
      "ga": "Saint Martin (An Fhrainc)",
      "gl": "San Martiño (parte francesa)",
      "gn": "Saint Martin (French part)",
      "gu": "સેન્ટ માર્ટિન (ફ્રેન્ચ વિસ્તાર)",
      "gv": "Saint Martin (French part)",
      "ha": "Saint Martin (French part)",
      "he": "סן מרטן",
      "hi": "सेंट मार्टिन (फ्रेंच भाग)",
      "hr": "Sveti Martin (francuski dio)",
      "ht": "Saint Martin (French part)",
      "hu": "Saint Martin (francia oldal)",
      "hy": "Սուրբ Մարտին (Ֆրանսիական Մաս)",
      "ia": "Sancte Martin (parte francese)",
      "id": "Saint Martin (wilayah Prancis)",
      "io": "Saint Martin (French part)",
      "is": "Sankti Martin (franski hluti)",
      "it": "Saint-Martin (Francia)",
      "iu": "Saint Martin (French part)",
      "ja": "サンマルタン (仏領)",
      "ka": "სენ-მარტინი (ფრანგული ნაწილი)",
      "ki": "Saint Martin (French part)",
      "kk": "Сен-Мартин (Франция аймағы)",
      "kl": "Saint Martin (French part)",
      "km": "សាន​ម៉ាទីន (ផ្នែក​របស់​បារាំង)",
      "kn": "Saint Martin (French part)",
      "ko": "생마르탱 (프랑스령)",
      "ku": "Saint Martin (beşa firansî)",
      "kv": "Saint Martin (French part)",
      "kw": "Saint Martin (French part)",
      "ky": "Сен-Мартин (Франция аймагы)",
      "lo": "Saint Martin (French part)",
      "lt": "San Martenas (Prancūzijos dalis)",
      "lv": "Senmartēna",
      "mi": "Saint Martin (French part)",
      "mk": "Св. Мартин (Француски дел)",
      "ml": "സെയിന്റ് മാര്‍ട്ടിന്‍ (ഫ്രഞ്ച് ഭാഗം)",
      "mn": "Saint Martin (French part)",
      "mr": "सेंट मार्टिन (फ्रेंच भाग)",
      "ms": "Saint Martin (French part)",
      "mt": "Saint Martin (French part)",
      "my": "Saint Martin (French part)",
      "na": "Saint Martin (French part)",
      "nb": "Saint Martin (fransk del)",
      "ne": "शन्त Martin (French तर्फ)",
      "nl": "Sint-Maarten",
      "nn": "Saint Martin (French part)",
      "nv": "Saint Martin (French part)",
      "oc": "Sant Martin (Part francesa)",
      "or": "ସେଣ୍ଟ ମାର୍ଟିନ (ଫରାସୀ ଅଂଶ)",
      "pa": "ਸੇਂਟ ਮਾਰਟਿਨ (ਫਰਾਂਸੀਸੀ ਭਾਗ)",
      "pi": "Saint Martin (French part)",
      "pl": "Saint-Martin (część francuska)",
      "ps": "Saint Martin (French part)",
      "pt": "São Martin (Território Francês)",
      "pt_BR": "São Martim (parte francesa)",
      "ro": "Sfântul Martin (partea franceză)",
      "ru": "Сен-Мартен (Франция)",
      "rw": "Saint Martin (French part)",
      "sc": "Saint-Martin (parte frantzesa)",
      "sd": "Saint Martin (French part)",
      "si": "ශාන්ත මාටින් (ප්‍රංශ කොටස)",
      "sk": "Saint Martin (francúzska časť)",
      "sl": "Saint Martin (francoski del)",
      "so": "Saint Martin (French part)",
      "sq": "Shën Martin (pjesa Frënge)",
      "sr": "Свети Мартин (француски део)",
      "sv": "Saint Martin (franska delen)",
      "sw": "Saint Martin (French part)",
      "ta": "செயின் மார்டின் (பிரெஞ்சு பகுதி)",
      "te": "సైంట్ మార్టిన్ (ఫ్రెంచ్ భాగము)",
      "tg": "Сент-Мартин (қисми фаронсавӣ)",
      "th": "แซงมาร์แตง (ส่วนของฝรั่งเศส)",
      "ti": "Saint Martin (French part)",
      "tk": "Sen-Marten (Fransuz tarapy)",
      "tl": "Saint Martin (French part)",
      "tr": "Saint Martin (Fransız kısmı)",
      "tt": "Saint Martin (French part)",
      "ug": "ساينىت-مارتېن",
      "uk": "Сен-Мартен (французька частина)",
      "ur": "Saint Martin (French part)",
      "uz": "Saint Martin (French part)",
      "ve": "Saint Martin (French part)",
      "vi": "Saint Martin (vùng Pháp)",
      "wa": "Sint Mårtén (boket francès)",
      "wo": "Saint Martin (Français)",
      "xh": "Saint Martin (French part)",
      "yo": "Saint Martin (French part)",
      "zh_CN": "法属圣马丁",
      "zh_HK": "聖馬丁 (法屬)",
      "zh_TW": "聖馬丁 (法屬)",
      "zu": "Saint Martin (French part)"
    },
  );

  /// Country: The Republic of Madagascar
  static const Country mdg = Country(
    alpha2: 'MG',
    alpha3: 'MDG',
    continent: Continent.africa,
    countryCode: '261',
    currencyCode: 'MGA',
    gec: 'MA',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -18.766947,
        longitude: 46.869107,
      ),
      maxCoordinate: Coordinate(
        latitude: -11.4369999,
        longitude: 50.9985001,
      ),
      minCoordinate: Coordinate(
        latitude: -26.2146,
        longitude: 42.7368,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -11.4369999,
          longitude: 50.9985001,
        ),
        southwest: Coordinate(
          latitude: -26.2146,
          longitude: 42.7368,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'MAD',
    isoLongName: 'The Republic of Madagascar',
    isoShortName: 'Madagascar',
    languagesOfficial: ['fr', 'mg'],
    languagesSpoken: ['fr', 'mg'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: 'None',
    nationality: 'Malagasy',
    number: '450',
    postalCode: true,
    postalCodeFormat: r'\d{3}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'MG',
    unofficialNames: [
      'Madagascar',
      'Madagaskar',
      'the Republic of Madagascar',
      'マダガスカル'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Madagascar",
      "af": "Madagaskar",
      "ak": "Madagascar",
      "am": "ማዳጋስካር",
      "an": "Madagascar",
      "ar": "مدغشقر",
      "as": "মাডাগাস্কাৰ",
      "ay": "Madagascar",
      "az": "Madaqaskar",
      "ba": "Madagascar",
      "be": "Мадагаскар",
      "bg": "Мадагаскар",
      "bi": "Madagascar",
      "bn": "মাদাগাস্কার",
      "bn_IN": "মাদাগাস্কার",
      "br": "Madagaskar",
      "bs": "Madagaskar",
      "ca": "Madagascar",
      "ce": "Мадагаскар",
      "ch": "Madagascar",
      "cs": "Madagaskar",
      "cv": "Мадагаскар",
      "cy": "Madagascar",
      "da": "Madagaskar",
      "de": "Madagaskar",
      "dv": "މަޑަގަސްކަރަ",
      "dz": "མ་ད་གཱསི་ཀར།",
      "ee": "Madagascar",
      "el": "Μαδαγασκάρη",
      "en": "Madagascar",
      "eo": "Madagaskaro",
      "es": "Madagascar",
      "et": "Madagaskar",
      "eu": "Madagaskar",
      "fa": "ماداگاسکار",
      "ff": "Madagascar",
      "fi": "Madagaskar",
      "fo": "Madagaskar",
      "fr": "Madagascar",
      "fy": "Madagaskar",
      "ga": "Madagascar",
      "gl": "Madagascar",
      "gn": "Madagascar",
      "gu": "માડાગાસ્કર",
      "gv": "Madagascar",
      "ha": "Madagascar",
      "he": "מדגסקר",
      "hi": "मेडागास्कर",
      "hr": "Madagaskar",
      "ht": "Madagaskar",
      "hu": "Madagaszkár",
      "hy": "Մադագասկար",
      "ia": "Madagascar",
      "id": "Madagaskar",
      "io": "Madagaskar",
      "is": "Madagaskar",
      "it": "Madagascar",
      "iu": "Madagascar",
      "ja": "マダガスカル",
      "ka": "მადაგასკარი",
      "ki": "Madagascar",
      "kk": "Мадагаскар",
      "kl": "Madagascar",
      "km": "ម៉ាដាហ្គាស្ការ",
      "kn": "ಮಡಗಾಸ್ಕರ್",
      "ko": "마다가스카르",
      "ku": "Madagaskar",
      "kv": "Madagascar",
      "kw": "Madagaskar",
      "ky": "Мадагаскар Республикасы",
      "lo": "Madagascar",
      "lt": "Madagaskaras",
      "lv": "Madagaskara",
      "mi": "Marakāhia",
      "mk": "Мадагаскар",
      "ml": "മഡഗാസ്കര്‍",
      "mn": "Мадагаскар",
      "mr": "मादागास्कर",
      "ms": "Madagaskar",
      "mt": "Madagaskar",
      "my": "မဒါဂတ်စကားနိုင်ငံ",
      "na": "Madagascar",
      "nb": "Madagaskar",
      "ne": "मदगास्कार",
      "nl": "Madagaskar",
      "nn": "Madagaskar",
      "nv": "Mágí Bitseeʼ Noodǫ́zí Bikéyah",
      "oc": "Madagascar",
      "or": "ମାଡାଗାସ୍କାର",
      "pa": "ਮੈਡਾਗਾਸਕਰ",
      "pi": "मडगास्कर",
      "pl": "Madagaskar",
      "ps": "مادغاسکر",
      "pt": "Madagáscar",
      "pt_BR": "Madagascar",
      "ro": "Madagascar",
      "ru": "Мадагаскар",
      "rw": "Madagasikari",
      "sc": "Madagascàr",
      "sd": "Madagascar",
      "si": "මැඩගස්කරය",
      "sk": "Madagaskar",
      "sl": "Madagaskar",
      "so": "Madagaskar",
      "sq": "Madagaskar",
      "sr": "Мадагаскар",
      "sv": "Madagaskar",
      "sw": "Madagascar",
      "ta": "மடகாஸ்கர்",
      "te": "మడగాస్కర్",
      "tg": "Мадагаскар",
      "th": "มาดากัสการ์",
      "ti": "ማዳጋስካር",
      "tk": "Madagaskar",
      "tl": "Madagascar",
      "tr": "Madagaskar",
      "tt": "Мадаgаскар",
      "ug": "ماداغاسقار",
      "uk": "Мадагаскар",
      "ur": "مڈغاسکر",
      "uz": "Madagaskar",
      "ve": "Madagascar",
      "vi": "Ma-đa-ga-xợ-ca",
      "wa": "Madagascar",
      "wo": "Madagaskar",
      "xh": "Madagascar",
      "yo": "Madagáskàr",
      "zh_CN": "马达加斯加",
      "zh_HK": "馬達加斯加",
      "zh_TW": "馬達加斯加",
      "zu": "IMadagasika"
    },
  );

  /// Country: The Republic of the Marshall Islands
  static const Country mhl = Country(
    alpha2: 'MH',
    alpha3: 'MHL',
    continent: Continent.australia,
    countryCode: '692',
    currencyCode: 'USD',
    gec: 'RM',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 7.131474,
        longitude: 171.184478,
      ),
      maxCoordinate: Coordinate(
        latitude: 15.0190749,
        longitude: 172.5732421,
      ),
      minCoordinate: Coordinate(
        latitude: 4.1601583,
        longitude: 159.8840332,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 15.0190749,
          longitude: 172.5732421,
        ),
        southwest: Coordinate(
          latitude: 4.1601583,
          longitude: 159.8840332,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'MHL',
    isoLongName: 'The Republic of the Marshall Islands',
    isoShortName: 'Marshall Islands',
    languagesOfficial: ['en', 'mh'],
    languagesSpoken: ['en', 'mh'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: '1',
    nationality: 'Marshallese',
    number: '584',
    postalCode: true,
    postalCodeFormat: r'(969[67]\d)(?:[ \-](\d{4}))?',
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Micronesia',
    unLocode: 'MH',
    unofficialNames: [
      'Marshall Islands',
      'Marshallinseln',
      'Îles Marshall',
      'Islas Marshall',
      'マーシャル諸島',
      'Marshalleilanden'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Marshall Islands",
      "af": "Marshall-eilande",
      "ak": "Marshall Islands",
      "am": "Marshall Islands",
      "an": "Marshall Islands",
      "ar": "جزر المارشال",
      "as": "মাৰ্শ্বেল দ্বীপপুঞ্জ",
      "ay": "Marshall Islands",
      "az": "Marşal Adaları",
      "ba": "Marshall Islands",
      "be": "Маршалавы Астравы",
      "bg": "Маршалски острови",
      "bi": "Marshall Islands",
      "bn": "মার্শাল দ্বীপপুঞ্জ",
      "bn_IN": "মার্শাল দ্বীপপুঞ্জ",
      "br": "Marshall Islands",
      "bs": "Maršalska Ostrva",
      "ca": "Illes Marshall",
      "ce": "Marshall Islands",
      "ch": "Marshall Islands",
      "cs": "Marshallovy ostrovy",
      "cv": "Marshall Islands",
      "cy": "Ynysoedd Marshall",
      "da": "Marshalløerne",
      "de": "Marshallinseln",
      "dv": "Marshall Islands",
      "dz": "མར་ཤཱལ་ ཨའི་ལེནཌིསི།",
      "ee": "Marshall Islands",
      "el": "Νήσοι Μάρσαλ",
      "en": "Marshall Islands",
      "eo": "Marŝaloj",
      "es": "Islas Marshall",
      "et": "Marshalli Saared",
      "eu": "Marshall uharteak",
      "fa": "جزایر مارشال",
      "ff": "Marshall Islands",
      "fi": "Marshallinsaaret",
      "fo": "Marshalloyggjarnar",
      "fr": "Îles Marshall",
      "fy": "Marshall Islands",
      "ga": "Oileáin Marshall",
      "gl": "Illas Marshall",
      "gn": "Marshall Islands",
      "gu": "માર્શલ ટાપુઓ",
      "gv": "Marshall Islands",
      "ha": "Marshall Islands",
      "he": "איי מרשל",
      "hi": "मार्शल आइलैंड्स",
      "hr": "Maršalovi otoci",
      "ht": "Marshall Islands",
      "hu": "Marshall-szigetek",
      "hy": "Մարշալյան կղզիներ",
      "ia": "Insulas Marshall",
      "id": "Kepulauan Marshall",
      "io": "Marshall Islands",
      "is": "Marshalleyjar",
      "it": "Isole Marshall",
      "iu": "Marshall Islands",
      "ja": "マーシャル諸島",
      "ka": "მარშალის კუნძულები",
      "ki": "Marshall Islands",
      "kk": "Маршалл аралдары",
      "kl": "Marshall Islands",
      "km": "កោះ​ម៉ាស្យល",
      "kn": "ಮಾರ್ಷಲ್ ದ್ವೀಪಗಳು",
      "ko": "마셜 제도",
      "ku": "Giravên Marsal",
      "kv": "Marshall Islands",
      "kw": "Marshall Islands",
      "ky": "Маршалл аралдары",
      "lo": "Marshall Islands",
      "lt": "Maršalo salos",
      "lv": "Māršala salas",
      "mi": "Marshall Islands",
      "mk": "Маршалови острови",
      "ml": "മാര്‍ഷല്‍ ദ്വീപുകള്‍",
      "mn": "Маршаллын арлууд",
      "mr": "मार्शल आयलॅंडस्",
      "ms": "Kepulauan Marshall",
      "mt": "Gżejjer ta' Marshall",
      "my": "Marshall Islands",
      "na": "Marshall Islands",
      "nb": "Marshalløyene",
      "ne": "मार्शल टापु",
      "nl": "Marshalleilanden",
      "nn": "Marshalløyane",
      "nv": "Marshall Islands",
      "oc": "Illas Marshall",
      "or": "ମାର୍ଶଲ ଦ୍ବୀପ",
      "pa": "ਮਾਰਸ਼ਲ ਟਾਪੂ",
      "pi": "Marshall Islands",
      "pl": "Wyspy Marshalla",
      "ps": "Marshall Islands",
      "pt": "Ilhas Marshall",
      "pt_BR": "Ilhas Marshall",
      "ro": "Insulele Marshall",
      "ru": "Маршалловы острова",
      "rw": "Ibirwa bya Marishali",
      "sc": "Ìsulas Marshall",
      "sd": "Marshall Islands",
      "si": "මාශල් දූපත්",
      "sk": "Marshallove ostrovy",
      "sl": "Marshallovi otoki",
      "so": "Marshall Islands",
      "sq": "Ishujt Marshall",
      "sr": "Маршалска острва",
      "sv": "Marshallöarna",
      "sw": "Marshall Islands",
      "ta": "மார்சல் தீவுகள்",
      "te": "మార్షల్ ఐలాండ్స్",
      "tg": "Ҷазираҳои Маршал",
      "th": "หมู่เกาะมาร์แชลล์",
      "ti": "Marshall Islands",
      "tk": "Marşal adaslary",
      "tl": "Marshall Islands",
      "tr": "Marşal Adaları",
      "tt": "Маршал Утравлары",
      "ug": "مارشال تاقىم ئارىلى",
      "uk": "Маршаллові острови",
      "ur": "Marshall Islands",
      "uz": "Marshall Islands",
      "ve": "Marshall Islands",
      "vi": "Quần Đảo Ma-san",
      "wa": "Iyes Marshall",
      "wo": "Marshall Islands",
      "xh": "Marshall Islands",
      "yo": "Marshall Islands",
      "zh_CN": "马绍尔群岛",
      "zh_HK": "馬紹爾羣島",
      "zh_TW": "馬紹爾群島",
      "zu": "Marshall Islands"
    },
  );

  /// Country: The Republic of North Macedonia
  static const Country mkd = Country(
    alpha2: 'MK',
    alpha3: 'MKD',
    continent: Continent.europe,
    countryCode: '389',
    currencyCode: 'MKD',
    gec: 'MK',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 41.608635,
        longitude: 21.745275,
      ),
      maxCoordinate: Coordinate(
        latitude: 42.373646,
        longitude: 23.0340441,
      ),
      minCoordinate: Coordinate(
        latitude: 40.8537826,
        longitude: 20.452423,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 42.373646,
          longitude: 23.0340441,
        ),
        southwest: Coordinate(
          latitude: 40.8537826,
          longitude: 20.452423,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'MKD',
    isoLongName: 'The Republic of North Macedonia',
    isoShortName: 'North Macedonia',
    languagesOfficial: ['mk'],
    languagesSpoken: ['mk'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8],
    nationalPrefix: '0',
    nationality: 'Macedonian',
    number: '807',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Southern Europe',
    unLocode: 'MK',
    unofficialNames: [
      'Macedonia',
      'Mazedonien',
      'Macédoine',
      'F.Y.R.O.M (Macedonia)',
      'マケドニア旧ユーゴスラビア共和国',
      'Macedonië [FYROM]',
      'Macedonia (The Former Yugoslav Republic of)',
      'North Macedonia',
      'Macedonia (FYROM)'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{city}} {{postalcode}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "North Macedonia",
      "af": "North Macedonia",
      "ak": "North Macedonia",
      "am": "ሰሜን መቄዶኒያ",
      "an": "North Macedonia",
      "ar": "مقدونيا الشمالية",
      "as": "North Macedonia",
      "ay": "North Macedonia",
      "az": "North Macedonia",
      "ba": "North Macedonia",
      "be": "Паўночная Македонія",
      "bg": "North Macedonia",
      "bi": "North Macedonia",
      "bn": "উত্তর ম্যাসেডোনিয়া",
      "bn_IN": "উত্তর ম্যাসেডোনিয়া",
      "br": "North Macedonia",
      "bs": "North Macedonia",
      "ca": "North Macedonia",
      "ce": "North Macedonia",
      "ch": "North Macedonia",
      "cs": "Severní Makedonie",
      "cv": "North Macedonia",
      "cy": "Gogledd Macedonia",
      "da": "Nordmakedonien",
      "de": "Nordmazedonien",
      "dv": "North Macedonia",
      "dz": "North Macedonia",
      "ee": "North Macedonia",
      "el": "Βόρεια Μακεδονία",
      "en": "North Macedonia",
      "eo": "Nord-Makedonio",
      "es": "Macedonia del Norte",
      "et": "Põhja-Makedoonia",
      "eu": "Ipar Mazedonia",
      "fa": "مقدونیه شمالی",
      "ff": "North Macedonia",
      "fi": "North Macedonia",
      "fo": "North Macedonia",
      "fr": "Macédoine du Nord",
      "fy": "North Macedonia",
      "ga": "North Macedonia",
      "gl": "North Macedonia",
      "gn": "North Macedonia",
      "gu": "ન્યુ કેલેડોનિયા",
      "gv": "North Macedonia",
      "ha": "North Macedonia",
      "he": "צפון קלדוניה",
      "hi": "उत्तर मैसेडोनिया",
      "hr": "Sjeverna Makedonija",
      "ht": "North Macedonia",
      "hu": "Észak-Macedónia",
      "hy": "North Macedonia",
      "ia": "Macedonia del Nord",
      "id": "Makedonia Utara",
      "io": "North Macedonia",
      "is": "Norður-Makedónía",
      "it": "Macedonia del Nord",
      "iu": "North Macedonia",
      "ja": "北マケドニア共和国",
      "ka": "North Macedonia",
      "ki": "North Macedonia",
      "kk": "North Macedonia",
      "kl": "North Macedonia",
      "km": "North Macedonia",
      "kn": "North Macedonia",
      "ko": "북마케도니아",
      "ku": "Kaledonyaya Nû",
      "kv": "North Macedonia",
      "kw": "North Macedonia",
      "ky": "North Macedonia",
      "lo": "North Macedonia",
      "lt": "North Macedonia",
      "lv": "North Macedonia",
      "mi": "North Macedonia",
      "mk": "Северна Македонија",
      "ml": "North Macedonia",
      "mn": "North Macedonia",
      "mr": "उत्तर मॅसेडोनिया",
      "ms": "North Macedonia",
      "mt": "North Macedonia",
      "my": "North Macedonia",
      "na": "North Macedonia",
      "nb": "Nord-Makedonia",
      "ne": "North Macedonia",
      "nl": "Noord-Macedonië",
      "nn": "North Macedonia",
      "nv": "North Macedonia",
      "oc": "Macedònia del Nòrd",
      "or": "ନର୍ଥ ମ୍ୟାସିଡୋନିୟା",
      "pa": "ਨਾਰਥ ਕਾਲੀਡੋਨੀਆ",
      "pi": "North Macedonia",
      "pl": "Macedonia Północna",
      "ps": "North Macedonia",
      "pt": "Macedónia do Norte",
      "pt_BR": "Macedônia do Norte",
      "ro": "North Macedonia",
      "ru": "Северная Македония",
      "rw": "North Macedonia",
      "sc": "Matzedònia de su Nord",
      "sd": "North Macedonia",
      "si": "North Macedonia",
      "sk": "North Macedonia",
      "sl": "North Macedonia",
      "so": "North Macedonia",
      "sq": "Maqedonia e Veriut",
      "sr": "Северна Македонија",
      "sv": "Nordmakedonien",
      "sw": "North Macedonia",
      "ta": "North Macedonia",
      "te": "North Macedonia",
      "tg": "Македонияи Шимолӣ",
      "th": "มาซิโดเนียเหนือ",
      "ti": "North Macedonia",
      "tk": "Demirgazyk Makedoniýa",
      "tl": "North Macedonia",
      "tr": "Kuzey Makedonya",
      "tt": "North Macedonia",
      "ug": "شىمالىي ماكېدونىيە",
      "uk": "Північна Македонія",
      "ur": "North Macedonia",
      "uz": "North Macedonia",
      "ve": "North Macedonia",
      "vi": "North Macedonia",
      "wa": "North Macedonia",
      "wo": "North Macedonia",
      "xh": "North Macedonia",
      "yo": "North Macedonia",
      "zh_CN": "北马其顿",
      "zh_HK": "北馬其頓",
      "zh_TW": "北馬其頓",
      "zu": "North Macedonia"
    },
  );

  /// Country: The Republic of Mali
  static const Country mli = Country(
    alpha2: 'ML',
    alpha3: 'MLI',
    continent: Continent.africa,
    countryCode: '223',
    currencyCode: 'XOF',
    gec: 'ML',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 17.570692,
        longitude: -3.996166,
      ),
      maxCoordinate: Coordinate(
        latitude: 25.001084,
        longitude: 4.267382599999999,
      ),
      minCoordinate: Coordinate(
        latitude: 10.147811,
        longitude: -12.2403447,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 25.001084,
          longitude: 4.267382599999999,
        ),
        southwest: Coordinate(
          latitude: 10.147811,
          longitude: -12.2403447,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'MLI',
    isoLongName: 'The Republic of Mali',
    isoShortName: 'Mali',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '0',
    nationality: 'Malian',
    number: '466',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Western Africa',
    unLocode: 'ML',
    unofficialNames: ['Mali', 'マリ'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Mali",
      "af": "Mali",
      "ak": "Mali",
      "am": "ማሊ",
      "an": "Mali",
      "ar": "مالي",
      "as": "মালি",
      "ay": "Mali",
      "az": "Mali",
      "ba": "Mali",
      "be": "Малі",
      "bg": "Мали",
      "bi": "Mali",
      "bn": "মালি",
      "bn_IN": "মালি",
      "br": "Mali",
      "bs": "Mali",
      "ca": "Mali",
      "ce": "Мали",
      "ch": "Mali",
      "cs": "Mali",
      "cv": "Мали",
      "cy": "Mali",
      "da": "Mali",
      "de": "Mali",
      "dv": "މާލީ",
      "dz": "མ་ལི།",
      "ee": "Mali",
      "el": "Μάλι",
      "en": "Mali",
      "eo": "Malio",
      "es": "Malí",
      "et": "Mali",
      "eu": "Mali",
      "fa": "مالی",
      "ff": "Maali",
      "fi": "Mali",
      "fo": "Mali",
      "fr": "Mali",
      "fy": "Maly",
      "ga": "Mailí",
      "gl": "Mali",
      "gn": "Mali",
      "gu": "માલી",
      "gv": "Malee",
      "ha": "Mali",
      "he": "מאלי",
      "hi": "माली",
      "hr": "Mali",
      "ht": "Mali",
      "hu": "Mali",
      "hy": "Մալի",
      "ia": "Mali",
      "id": "Mali",
      "io": "Mali",
      "is": "Malí",
      "it": "Mali",
      "iu": "Mali",
      "ja": "マリ",
      "ka": "მალი",
      "ki": "Mali",
      "kk": "Мали",
      "kl": "Mali",
      "km": "ម៉ាលី",
      "kn": "ಮಾಲಿ",
      "ko": "말리",
      "ku": "Malî",
      "kv": "Mali",
      "kw": "Mali",
      "ky": "Мали",
      "lo": "Mali",
      "lt": "Malis",
      "lv": "Mali",
      "mi": "Māri",
      "mk": "Мали",
      "ml": "മാലി",
      "mn": "Мали",
      "mr": "माली",
      "ms": "Mali",
      "mt": "Mali",
      "my": "မာလီနိုင်ငံ",
      "na": "Mali",
      "nb": "Mali",
      "ne": "माली",
      "nl": "Mali",
      "nn": "Mali",
      "nv": "Mali",
      "oc": "Mali",
      "or": "ମାଲୀ",
      "pa": "ਮਾਲੀ",
      "pi": "माली",
      "pl": "Mali",
      "ps": "مالي",
      "pt": "Mali",
      "pt_BR": "Mali",
      "ro": "Mali",
      "ru": "Мали",
      "rw": "Mali",
      "sc": "Mali",
      "sd": "Mali",
      "si": "මාලි",
      "sk": "Mali",
      "sl": "Mali",
      "so": "Maali",
      "sq": "Mali",
      "sr": "Мали",
      "sv": "Mali",
      "sw": "Mali",
      "ta": "மாலி",
      "te": "माली",
      "tg": "Мали",
      "th": "มาลี",
      "ti": "ማሊ",
      "tk": "Mali",
      "tl": "Mali",
      "tr": "Mali",
      "tt": "Мали",
      "ug": "مالى",
      "uk": "Малі",
      "ur": "مالی",
      "uz": "Mali",
      "ve": "Mali",
      "vi": "Ma-li",
      "wa": "Mali",
      "wo": "Mali",
      "xh": "Mali",
      "yo": "Málì",
      "zh_CN": "马里",
      "zh_HK": "馬里",
      "zh_TW": "馬利",
      "zu": "IMali"
    },
  );

  /// Country: The Republic of the Union of Myanmar
  static const Country mmr = Country(
    alpha2: 'MM',
    alpha3: 'MMR',
    continent: Continent.asia,
    countryCode: '95',
    currencyCode: 'MMK',
    gec: 'BM',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 21.916221,
        longitude: 95.955974,
      ),
      maxCoordinate: Coordinate(
        latitude: 28.5478351,
        longitude: 101.1702717,
      ),
      minCoordinate: Coordinate(
        latitude: 9.4518,
        longitude: 92.171808,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 28.5478351,
          longitude: 101.1702717,
        ),
        southwest: Coordinate(
          latitude: 9.4518,
          longitude: 92.171808,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'MYA',
    isoLongName: 'The Republic of the Union of Myanmar',
    isoShortName: 'Myanmar',
    languagesOfficial: ['my'],
    languagesSpoken: ['my'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8],
    nationalPrefix: 'None',
    nationality: 'Myanmarian',
    number: '104',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'South-Eastern Asia',
    unLocode: 'MM',
    unofficialNames: ['Myanmar (Burma)', 'ミャンマー'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Myanmar",
      "af": "Mianmar",
      "ak": "Myanmar",
      "am": "ምየንማ",
      "an": "Myanmar",
      "ar": "ميانمار",
      "as": "মায়ান্মাৰ",
      "ay": "Myanmar",
      "az": "Myanmar",
      "ba": "Myanmar",
      "be": "М'янма",
      "bg": "Мянмар",
      "bi": "Myanmar",
      "bn": "মায়ানমার",
      "bn_IN": "মায়ানমার",
      "br": "Myanmar",
      "bs": "Myanmar",
      "ca": "Myanmar",
      "ce": "Мьянма",
      "ch": "Myanmar",
      "cs": "Myanmar",
      "cv": "Мьянма",
      "cy": "Myanmar",
      "da": "Burma",
      "de": "Myanmar",
      "dv": "ބަރުމާ",
      "dz": "མི་ཡཱན་མར།",
      "ee": "Myanmar",
      "el": "Μιανμάρ",
      "en": "Myanmar",
      "eo": "Mjanmao",
      "es": "Birmania",
      "et": "Myanmar",
      "eu": "Myanmar",
      "fa": "میانمار",
      "ff": "Myanmar",
      "fi": "Myanmar",
      "fo": "Myanmar",
      "fr": "Birmanie",
      "fy": "Birma",
      "ga": "Maenmar",
      "gl": "Birmania",
      "gn": "Myanmar",
      "gu": "મ્યાનમાર",
      "gv": "Myanmar",
      "ha": "Myanmar",
      "he": "מיאנמר",
      "hi": "म्यान्मार",
      "hr": "Mjanmar",
      "ht": "Bimani",
      "hu": "Mianmar",
      "hy": "Մյանմա",
      "ia": "Myanmar",
      "id": "Myanmar",
      "io": "Myanmar",
      "is": "Mjanmar",
      "it": "Birmania",
      "iu": "Myanmar",
      "ja": "ミャンマー",
      "ka": "მიანმარი",
      "ki": "Burma",
      "kk": "Мьянма",
      "kl": "Myanmar",
      "km": "មីយ៉ាន់ម៉ា",
      "kn": "ಮಿಯನ್ಮಾರ್",
      "ko": "미얀마",
      "ku": "Miyanmar",
      "kv": "Мьянма",
      "kw": "Byrmani",
      "ky": "Мьянма",
      "lo": "ປະເທດມຽນມາ",
      "lt": "Mianmaras",
      "lv": "Mjanma",
      "mi": "Pēma",
      "mk": "Мианмар",
      "ml": "മ്യാന്മാര്‍",
      "mn": "Мянмар",
      "mr": "म्यानमार",
      "ms": "Myanmar",
      "mt": "Myanmar",
      "my": "မြန်မာနိုင်ငံ",
      "na": "Miyanmar",
      "nb": "Myanmar",
      "ne": "म्यान्मार",
      "nl": "Myanmar",
      "nn": "Myanmar",
      "nv": "Myanmar",
      "oc": "Birmania",
      "or": "ବର୍ମା/ମ୍ଯାଂମାର",
      "pa": "ਮਿਆਂਮਾਰ",
      "pi": "मयन्मार",
      "pl": "Mjanma",
      "ps": "ميانمار",
      "pt": "Birmânia",
      "pt_BR": "Myanmar",
      "ro": "Myanmar",
      "ru": "Мьянма",
      "rw": "Mayanimari",
      "sc": "Birmània",
      "sd": "ميانمار",
      "si": "මියන්මාරය",
      "sk": "Mjanmarsko",
      "sl": "Mjanmar",
      "so": "Myanmar",
      "sq": "Birmani",
      "sr": "Бурма",
      "sv": "Myanmar",
      "sw": "Myanmar",
      "ta": "மியான்மர்",
      "te": "మయన్మార్",
      "tg": "Мянмор",
      "th": "พม่า",
      "ti": "Myanmar",
      "tk": "Birma",
      "tl": "Myanmar",
      "tr": "Myanmar",
      "tt": "Мианмар",
      "ug": "بىرما",
      "uk": "М’янма",
      "ur": "میانمار",
      "uz": "Birma",
      "ve": "Myanmar",
      "vi": "Miến Điện",
      "wa": "Birmaneye",
      "wo": "Miyanmaar",
      "xh": "Myanmar",
      "yo": "Myanmar",
      "zh_CN": "缅甸",
      "zh_HK": "緬甸",
      "zh_TW": "緬甸",
      "zu": "Myanmar"
    },
  );

  /// Country: Mongolia
  static const Country mng = Country(
    alpha2: 'MN',
    alpha3: 'MNG',
    continent: Continent.asia,
    countryCode: '976',
    currencyCode: 'MNT',
    gec: 'MG',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 46.862496,
        longitude: 103.846656,
      ),
      maxCoordinate: Coordinate(
        latitude: 52.148355,
        longitude: 119.9315098,
      ),
      minCoordinate: Coordinate(
        latitude: 41.581833,
        longitude: 87.7344789,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 52.148355,
          longitude: 119.9315098,
        ),
        southwest: Coordinate(
          latitude: 41.581833,
          longitude: 87.7344789,
        ),
      ),
    ),
    internationalPrefix: '001',
    ioc: 'MGL',
    isoLongName: 'Mongolia',
    isoShortName: 'Mongolia',
    languagesOfficial: ['mn'],
    languagesSpoken: ['mn'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8, 9, 10],
    nationalPrefix: '0',
    nationality: 'Mongolian',
    number: '496',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Eastern Asia',
    unLocode: 'MN',
    unofficialNames: ['Mongolia', 'Mongolei', 'Mongolie', 'モンゴル', 'Mongolië'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Mongolia",
      "af": "Mongolië",
      "ak": "Mongolia",
      "am": "ሥንጕሑ።",
      "an": "Mongolia",
      "ar": "منغوليا",
      "as": "মঙ্গোলিয়া",
      "ay": "Mongolia",
      "az": "Monqolustan",
      "ba": "Mongolia",
      "be": "Манголія",
      "bg": "Монголия",
      "bi": "Mongolia",
      "bn": "মঙ্গোলিয়া",
      "bn_IN": "মঙ্গোলিয়া",
      "br": "Mongolia",
      "bs": "Mongolija",
      "ca": "Mongòlia",
      "ce": "Монголи",
      "ch": "Mongolia",
      "cs": "Mongolsko",
      "cv": "Монголи",
      "cy": "Mongolia",
      "da": "Mongoliet",
      "de": "Mongolei",
      "dv": "މޮންގޯލިއާ",
      "dz": "མོང་གོ་ལི་ཡ།",
      "ee": "Mongolia",
      "el": "Μογγολία",
      "en": "Mongolia",
      "eo": "Mongolio",
      "es": "Mongolia",
      "et": "Mongoolia",
      "eu": "Mongolia",
      "fa": "مغولستان",
      "ff": "Mongolia",
      "fi": "Mongolia",
      "fo": "Mongolia",
      "fr": "Mongolie",
      "fy": "Mongoalje",
      "ga": "An Mhongóil",
      "gl": "Mongolia",
      "gn": "Mongolia",
      "gu": "મોંગોલિયા",
      "gv": "Yn Vongoil",
      "ha": "Mangolia",
      "he": "מונגוליה",
      "hi": "मंगोलिया",
      "hr": "Mongolija",
      "ht": "Mongoli",
      "hu": "Mongólia",
      "hy": "Մոնղոլիա",
      "ia": "Mongolia",
      "id": "Mongolia",
      "io": "Mongolia",
      "is": "Mongólía",
      "it": "Mongolia",
      "iu": "Mongolia",
      "ja": "モンゴル国",
      "ka": "მონღოლეთი",
      "ki": "Mongolia",
      "kk": "Монғолия",
      "kl": "Mongolia",
      "km": "ម៉ុងហ្គោលី",
      "kn": "ಮಂಗೋಲಿಯಾ",
      "ko": "몽골",
      "ku": "Mongolya",
      "kv": "Монголия",
      "kw": "Mongoli",
      "ky": "Моңголстан",
      "lo": "Mongolia",
      "lt": "Mongolija",
      "lv": "Mongolija",
      "mi": "Mongōria",
      "mk": "Монголија",
      "ml": "മംഗോളിയ",
      "mn": "Монгол",
      "mr": "मंगोलिया",
      "ms": "Mongolia",
      "mt": "Mongolja",
      "my": "မွန်ဂိုးလီးယားနိုင်ငံ",
      "na": "Mongoriya",
      "nb": "Mongolia",
      "ne": "मङ्गोलिया",
      "nl": "Mongolië",
      "nn": "Mongolia",
      "nv": "Chʼah Diʼilii Bikéyah",
      "oc": "Mongolia",
      "or": "ମଙ୍ଗୋଲିୟା",
      "pa": "ਮੰਗੋਲੀਆ",
      "pi": "मंगोलिया",
      "pl": "Mongolia",
      "ps": "مغولستان",
      "pt": "Mongólia",
      "pt_BR": "Mongólia",
      "ro": "Mongolia",
      "ru": "Монголия",
      "rw": "Mongoliya",
      "sc": "Mongòlia",
      "sd": "Mongolia",
      "si": "මොංගෝලියාව",
      "sk": "Mongolsko",
      "sl": "Mongolija",
      "so": "Mongolia",
      "sq": "Mongoli",
      "sr": "Монголија",
      "sv": "Mongoliet",
      "sw": "Mongolia",
      "ta": "மங்கோலியா",
      "te": "మంగోలియా",
      "tg": "Муғулистон",
      "th": "มองโกเลีย",
      "ti": "ሞንጎልያ",
      "tk": "Mongoliýa",
      "tl": "Mongolia",
      "tr": "Moğolistan",
      "tt": "Моголстан",
      "ug": "موڭغۇلىيە",
      "uk": "Монголія",
      "ur": "منگولیا",
      "uz": "Moʻgʻuliston",
      "ve": "Mongolia",
      "vi": "Mông Cổ",
      "wa": "Mongoleye",
      "wo": "Moŋgooli",
      "xh": "Mongolia",
      "yo": "Mòngólíà",
      "zh_CN": "蒙古",
      "zh_HK": "蒙古",
      "zh_TW": "蒙古",
      "zu": "Mongolia"
    },
  );

  /// Country: The Macao Special Administrative Region of China
  static const Country mac = Country(
    alpha2: 'MO',
    alpha3: 'MAC',
    continent: Continent.asia,
    countryCode: '853',
    currencyCode: 'MOP',
    gec: 'MC',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 22.198745,
        longitude: 113.543873,
      ),
      maxCoordinate: Coordinate(
        latitude: 22.2170639,
        longitude: 113.6127001,
      ),
      minCoordinate: Coordinate(
        latitude: 22.1066001,
        longitude: 113.5276053,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 22.2170639,
          longitude: 113.6127001,
        ),
        southwest: Coordinate(
          latitude: 22.1066001,
          longitude: 113.5276053,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'The Macao Special Administrative Region of China',
    isoShortName: 'Macao',
    languagesOfficial: ['zh', 'pt'],
    languagesSpoken: ['zh', 'pt'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '0',
    nationality: 'Chinese',
    number: '446',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Eastern Asia',
    unLocode: 'MO',
    unofficialNames: ['Macao', 'Macau', 'マカオ'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Macao",
      "af": "Macao",
      "ak": "Macao",
      "am": "ሢጢፅ",
      "an": "Macao",
      "ar": "مكّاو",
      "as": "মেকাও",
      "ay": "Macao",
      "az": "Makao",
      "ba": "Macao",
      "be": "Макаа",
      "bg": "Макао",
      "bi": "Macao",
      "bn": "ম্যাকাও",
      "bn_IN": "ম্যাকাও",
      "br": "Macao",
      "bs": "Makau",
      "ca": "Macau",
      "ce": "Macao",
      "ch": "Macao",
      "cs": "Macao",
      "cv": "Macao",
      "cy": "Macao",
      "da": "Macao",
      "de": "Macao",
      "dv": "Macao",
      "dz": "མ་ཀའོ།",
      "ee": "Macao",
      "el": "Μακάο",
      "en": "Macao",
      "eo": "Makao",
      "es": "Macao",
      "et": "Aomen",
      "eu": "Macau",
      "fa": "ماکائو",
      "ff": "Macao",
      "fi": "Macao",
      "fo": "Macao",
      "fr": "Macau",
      "fy": "Macao",
      "ga": "Macao",
      "gl": "Macau",
      "gn": "Macao",
      "gu": "મકાઉ",
      "gv": "Macao",
      "ha": "Macao",
      "he": "מאקאו",
      "hi": "मकाउ",
      "hr": "Makao",
      "ht": "Macao",
      "hu": "Makaó",
      "hy": "Աոմին",
      "ia": "Macao",
      "id": "Macao",
      "io": "Macao",
      "is": "Makaó",
      "it": "Macao",
      "iu": "Macao",
      "ja": "マカオ",
      "ka": "მაკაო",
      "ki": "Macao",
      "kk": "Макао",
      "kl": "Macao",
      "km": "ម៉ាកាវ",
      "kn": "ಮಕಾವು",
      "ko": "마카오",
      "ku": "Makao",
      "kv": "Macao",
      "kw": "Macao",
      "ky": "Макао",
      "lo": "Macao",
      "lt": "Makao",
      "lv": "Makao",
      "mi": "Macao",
      "mk": "Макао",
      "ml": "മകാവോ",
      "mn": "Макао",
      "mr": "मॅकाव्ह",
      "ms": "Macao",
      "mt": "Macao",
      "my": "Macao",
      "na": "Macao",
      "nb": "Macao",
      "ne": "मकाओ",
      "nl": "Macau",
      "nn": "Macao",
      "nv": "Macao",
      "oc": "Macau",
      "or": "ମାକାଓ",
      "pa": "ਮੈਕੋ",
      "pi": "Macao",
      "pl": "Makau",
      "ps": "Macao",
      "pt": "Macau",
      "pt_BR": "Macau",
      "ro": "Macao",
      "ru": "Макао",
      "rw": "Makawo",
      "sc": "Macao",
      "sd": "Macao",
      "si": "මැකාවෝ",
      "sk": "Macao",
      "sl": "Makao",
      "so": "Macao",
      "sq": "Makao",
      "sr": "Макао",
      "sv": "Macao",
      "sw": "Macao",
      "ta": "மகாவோ",
      "te": "మకో",
      "tg": "Макао",
      "th": "มาเก๊า",
      "ti": "Macao",
      "tk": "Makao",
      "tl": "Makaw",
      "tr": "Makao",
      "tt": "Макао",
      "ug": "ئاۋمېن",
      "uk": "Макао",
      "ur": "Macao",
      "uz": "Macao",
      "ve": "Macao",
      "vi": "Ma-cao",
      "wa": "Macao",
      "wo": "Makaaw",
      "xh": "Macao",
      "yo": "Macao",
      "zh_CN": "澳门",
      "zh_HK": "澳門",
      "zh_TW": "澳門",
      "zu": "Macao"
    },
  );

  /// Country: The Commonwealth of the Northern Mariana Islands
  static const Country mnp = Country(
    alpha2: 'MP',
    alpha3: 'MNP',
    continent: Continent.australia,
    countryCode: '1',
    currencyCode: 'USD',
    gec: 'CQ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 15.0979,
        longitude: 145.6739,
      ),
      maxCoordinate: Coordinate(
        latitude: 20.6584862,
        longitude: 146.2060546,
      ),
      minCoordinate: Coordinate(
        latitude: 13.9713848,
        longitude: 144.7668457,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 20.6584862,
          longitude: 146.2060546,
        ),
        southwest: Coordinate(
          latitude: 13.9713848,
          longitude: 144.7668457,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: null,
    isoLongName: 'The Commonwealth of the Northern Mariana Islands',
    isoShortName: 'Northern Mariana Islands',
    languagesOfficial: ['en', 'ch'],
    languagesSpoken: ['en', 'ch'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'American',
    number: '580',
    postalCode: true,
    postalCodeFormat: r'(9695[012])(?:[ \-](\d{4}))?',
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Micronesia',
    unLocode: 'MP',
    unofficialNames: [
      'Northern Mariana Islands',
      'Nördliche Marianen',
      'Mariannes du Nord',
      'Islas Marianas del Norte',
      '北マリアナ諸島',
      'Noordelijke Marianeneilanden'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Northern Mariana Islands",
      "af": "Noordelike Mariana-eilande",
      "ak": "Northern Mariana Islands",
      "am": "Northern Mariana Islands",
      "an": "Northern Mariana Islands",
      "ar": "جزر ماريانا الشّماليّة",
      "as": "উত্তৰ মাৰিয়ানা দ্বীপ",
      "ay": "Northern Mariana Islands",
      "az": "Şimali Marian Adaları",
      "ba": "Northern Mariana Islands",
      "be": "Паўночныя Марыянскія астравы",
      "bg": "Северни марианови Острови",
      "bi": "Northern Mariana Islands",
      "bn": "উত্তর মারিয়ানা দ্বীপ",
      "bn_IN": "উত্তর মারিয়ানা দ্বীপ",
      "br": "Mariana an Norzh",
      "bs": "Sjeverna Marijanska ostrva",
      "ca": "Illes Marianes del Nord",
      "ce": "Къилбседера Марианан гӀайренаш",
      "ch": "Notte Mariånas",
      "cs": "Severní Mariany",
      "cv": "Къилбседера Марианан гӀайренаш",
      "cy": "Ynysoedd Northern Mariana",
      "da": "Nordmarianerne",
      "de": "Nördliche Marianen",
      "dv": "އުތުރު މެރިއާނާ ޖަޒީރާ",
      "dz": "བྱང་ མེ་རི་ཡ་ན་ ཨའི་ལེནཌིསི།",
      "ee": "Northern Mariana Islands",
      "el": "Βόρειες Μαριάνες Νήσοι",
      "en": "Northern Mariana Islands",
      "eo": "Nord-Marianoj",
      "es": "Islas Marianas del Norte",
      "et": "Põhja-Mariaanid",
      "eu": "Iparraldeko Mariana Uharteak",
      "fa": "جزایر ماریانای شمالی",
      "ff": "Northern Mariana Islands",
      "fi": "Pohjois-Mariaanit",
      "fo": "Northern Mariana Islands",
      "fr": "Îles Mariannes du Nord",
      "fy": "Noardlike Marianen",
      "ga": "Oileáin Mariana Thuaidh",
      "gl": "Illas Marianas do Norte",
      "gn": "Northern Mariana Islands",
      "gu": "ઉત્તરી મારીઆના ટાપુઓ",
      "gv": "Northern Mariana Islands",
      "ha": "Northern Mariana Islands",
      "he": "איי מריאנה הצפוניים",
      "hi": "उत्तरी मारियाना द्वीप",
      "hr": "Sjevernomarijanski otoci",
      "ht": "Northern Mariana Islands",
      "hu": "Északi-Mariana-szigetek",
      "hy": "Հյուսիսային Մարիանայի կղզիներ",
      "ia": "Insulas Marianna del Nord",
      "id": "Kepulauan Mariana Utara",
      "io": "Norda Mariani",
      "is": "Norður-Maríanaeyjar",
      "it": "Isole Marianne Settentrionali",
      "iu": "Northern Mariana Islands",
      "ja": "北マリアナ諸島",
      "ka": "ჩრდილო მარიანას კუნძულები",
      "ki": "Northern Mariana Islands",
      "kk": "Солтүстік Марианна Аралдары",
      "kl": "Northern Mariana Islands",
      "km": "កោះ​ម៉ារៀណា​ភាគ​ខាង​ជើង",
      "kn": "ಉತ್ತರ ಮಾರಿಯಾನಾ ದ್ವೀಪಗಳು",
      "ko": "북마리아나 제도",
      "ku": "Giravên Marîyana Bakûr",
      "kv": "Northern Mariana Islands",
      "kw": "Ynysow Mariana Kledh",
      "ky": "Түштүк Марианна аралдары",
      "lo": "Northern Mariana Islands",
      "lt": "Marianos šiaurinės salos",
      "lv": "Ziemeļu Marianas Salas",
      "mi": "Northern Mariana Islands",
      "mk": "Северна Мариана острови",
      "ml": "വടക്കന്‍ മരിയാന ദ്വീപുകള്‍",
      "mn": "Хойд марианы арлууд",
      "mr": "नॉर्दन मरिआना आयलॅंडस्",
      "ms": "Kepulauan Mariana Utara",
      "mt": "Gżejjer Marjana ta' Fuq",
      "my": "Northern Mariana Islands",
      "na": "Northern Mariana Islands",
      "nb": "Nord-Marianene",
      "ne": "उत्तरिय मरिआना टापु",
      "nl": "Noordelijke Marianen",
      "nn": "Nord-Marianane",
      "nv": "Northern Mariana Islands",
      "oc": "Illas Marianas del Nòrd",
      "or": "ଉତ୍ତରୀୟ ମାରୀୟାନା ଦ୍ବୀପ",
      "pa": "ਉੱਤਰੀ ਮਰੀਵੀਆਨਾ ਟਾਪੂ",
      "pi": "Northern Mariana Islands",
      "pl": "Mariany Północne",
      "ps": "Northern Mariana Islands",
      "pt": "Ilhas Marianas do Norte",
      "pt_BR": "Ilhas Marianas do Norte",
      "ro": "Insulele Mariane de Nord",
      "ru": "Острова северной Марианы",
      "rw": "Ibirwa bya Mariyana y'Amajyaruguru",
      "sc": "Ìsulas Mariannas Setentrionales",
      "sd": "Northern Mariana Islands",
      "si": "උතුරු මැරීනා දූපත්",
      "sk": "Severné Mariány",
      "sl": "Severni Marianski otoki",
      "so": "Northern Mariana Islands",
      "sq": "Ishujt Veriorë Mariana",
      "sr": "Северна Маријанска острва",
      "sv": "Nordmarianerna",
      "sw": "Northern Mariana Islands",
      "ta": "வட மரியானா தீவுகள்",
      "te": "నార్త్రన్ మరైనా ఐలాండ్స్",
      "tg": "Ҷазираҳои Марианаи Шимолӣ",
      "th": "หมู่เกาะนอร์เทิร์นมาเรียนา",
      "ti": "Northern Mariana Islands",
      "tk": "Demirgazyk Mariana adalary",
      "tl": "Northern Mariana Islands",
      "tr": "Kuzey Mariana Adaları",
      "tt": "Төняк Мариана Утравлары",
      "ug": "شىمالىي مارىيانا ئارىلى",
      "uk": "Північні Маріанські Острови",
      "ur": "جزائر شمالی ماریانا",
      "uz": "Shimoliy Mariana orollari",
      "ve": "Northern Mariana Islands",
      "vi": "Bắc Quần Đảo Ma-ri-a-na",
      "wa": "Iyes Marianes bijhreces",
      "wo": "Northern Mariana Islands",
      "xh": "Northern Mariana Islands",
      "yo": "Àwọn Erékùṣù Apáàríwá Mariana",
      "zh_CN": "北马里亚纳群岛",
      "zh_HK": "北馬里亞納羣島",
      "zh_TW": "北馬里亞納群島",
      "zu": "Northern Mariana Islands"
    },
  );

  /// Country: Martinique
  static const Country mtq = Country(
    alpha2: 'MQ',
    alpha3: 'MTQ',
    continent: Continent.northAmerica,
    countryCode: '596',
    currencyCode: 'EUR',
    gec: 'MB',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 14.641528,
        longitude: -61.024174,
      ),
      maxCoordinate: Coordinate(
        latitude: 14.8973451,
        longitude: -60.7856368,
      ),
      minCoordinate: Coordinate(
        latitude: 14.370834,
        longitude: -61.24191279999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 14.8973451,
          longitude: -60.7856368,
        ),
        southwest: Coordinate(
          latitude: 14.370834,
          longitude: -61.24191279999999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'Martinique',
    isoShortName: 'Martinique',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: 'None',
    nationality: 'French',
    number: '474',
    postalCode: true,
    postalCodeFormat: r'9[78]2\d{2}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'MQ',
    unofficialNames: ['Martinique', 'Martinica', 'マルティニーク'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Martinique",
      "af": "Martinique",
      "ak": "Martinique",
      "am": "Martinique",
      "an": "Martinique",
      "ar": "مارتينيك",
      "as": "মাৰ্টিনিক",
      "ay": "Martinique",
      "az": "Martiniq",
      "ba": "Martinique",
      "be": "Марцініка",
      "bg": "Мартиника",
      "bi": "Martinique",
      "bn": "মার্টিনিক",
      "bn_IN": "মার্টিনিক",
      "br": "Martinik",
      "bs": "Martinik",
      "ca": "Martinica",
      "ce": "Мартиника",
      "ch": "Martinique",
      "cs": "Martinik",
      "cv": "Мартиника",
      "cy": "Martinique",
      "da": "Martinique",
      "de": "Martinique",
      "dv": "މާޓިނީކޫ",
      "dz": "མར་ཊི་ནིཀ།",
      "ee": "Martinique",
      "el": "Μαρτινίκα",
      "en": "Martinique",
      "eo": "Martiniko",
      "es": "Martinica",
      "et": "Martinique",
      "eu": "Martinika",
      "fa": "مارتینیک",
      "ff": "Martinique",
      "fi": "Martinique",
      "fo": "Martinique",
      "fr": "Martinique",
      "fy": "Martinique",
      "ga": "Martainíc",
      "gl": "Martinica",
      "gn": "Martinique",
      "gu": "માર્ટિનિક",
      "gv": "Martinique",
      "ha": "Martinique",
      "he": "מרטיניק",
      "hi": "मार्टीनिक",
      "hr": "Martinik",
      "ht": "Matinik",
      "hu": "Martinique",
      "hy": "Մարտինիկա",
      "ia": "Martinica",
      "id": "Martinik",
      "io": "Martinik",
      "is": "Martiník",
      "it": "Martinica",
      "iu": "Martinique",
      "ja": "マルティニーク",
      "ka": "მარტინიკი",
      "ki": "Martinique",
      "kk": "Мартиника",
      "kl": "Martinique",
      "km": "ម៉ារទីនីគ",
      "kn": "Martinique",
      "ko": "마르티니크",
      "ku": "Martinîk",
      "kv": "Martinique",
      "kw": "Martinik",
      "ky": "Мартиника",
      "lo": "Martinique",
      "lt": "Martinika",
      "lv": "Martinika",
      "mi": "Martinique",
      "mk": "Мартиник",
      "ml": "മാര്‍ട്ടിനിക്ക്",
      "mn": "Martinique",
      "mr": "मार्टिनिक",
      "ms": "Martinique",
      "mt": "Martinik",
      "my": "Martinique",
      "na": "Martinique",
      "nb": "Martinique",
      "ne": "मार्टिनिक",
      "nl": "Martinique",
      "nn": "Martinique",
      "nv": "Martinique",
      "oc": "Martinica",
      "or": "ମାର୍ଟିନୀକ",
      "pa": "ਮਾਰਟੀਨੀਕਿਊ",
      "pi": "Martinique",
      "pl": "Martynika",
      "ps": "Martinique",
      "pt": "Martinica",
      "pt_BR": "Martinica",
      "ro": "Martinica",
      "ru": "Мартиника",
      "rw": "Maritike",
      "sc": "Martinica",
      "sd": "Martinique",
      "si": "මාටිනිකි",
      "sk": "Martinik",
      "sl": "Martinik",
      "so": "Martinique",
      "sq": "Martinikë",
      "sr": "Мартиник",
      "sv": "Martinique",
      "sw": "Martinique",
      "ta": "மார்டினீக்கு",
      "te": "మార్టినిక్",
      "tg": "Мартиника",
      "th": "มาร์ตินีก",
      "ti": "Martinique",
      "tk": "Martinika",
      "tl": "Martiniko",
      "tr": "Martinique",
      "tt": "Мартиник",
      "ug": "مارتىنىكا",
      "uk": "Мартиніка",
      "ur": "مارٹینیک",
      "uz": "Martinique",
      "ve": "Martinique",
      "vi": "Ma-thi-ni-khợ",
      "wa": "Martinike",
      "wo": "Martinik",
      "xh": "Martinique",
      "yo": "Mártíníkì",
      "zh_CN": "马提尼克",
      "zh_HK": "法屬馬丁尼克",
      "zh_TW": "馬丁尼克",
      "zu": "Martinique"
    },
  );

  /// Country: The Islamic Republic of Mauritania
  static const Country mrt = Country(
    alpha2: 'MR',
    alpha3: 'MRT',
    continent: Continent.africa,
    countryCode: '222',
    currencyCode: 'MRU',
    gec: 'MR',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 21.00789,
        longitude: -10.940835,
      ),
      maxCoordinate: Coordinate(
        latitude: 27.3158916,
        longitude: -4.833334799999999,
      ),
      minCoordinate: Coordinate(
        latitude: 14.721273,
        longitude: -17.0687276,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 27.3158916,
          longitude: -4.833334799999999,
        ),
        southwest: Coordinate(
          latitude: 14.721273,
          longitude: -17.0687276,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'MTN',
    isoLongName: 'The Islamic Republic of Mauritania',
    isoShortName: 'Mauritania',
    languagesOfficial: ['ar', 'fr'],
    languagesSpoken: ['ar', 'fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: '0',
    nationality: 'Mauritanian',
    number: '478',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Western Africa',
    unLocode: 'MR',
    unofficialNames: [
      'Mauritania',
      'موريتانيا',
      'Mauretanien',
      'Mauritanie',
      'モーリタニア',
      'Mauritanië'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Mauritania",
      "af": "Mouritanië",
      "ak": "Mauritania",
      "am": "ሥሱቴኒ።",
      "an": "Mauritania",
      "ar": "موريتانيا",
      "as": "ম'ৰিটানিয়া",
      "ay": "Mauritania",
      "az": "Mavritaniya",
      "ba": "Mauritania",
      "be": "Маўрытанія",
      "bg": "Мавритания",
      "bi": "Mauritania",
      "bn": "মরিটানিয়া",
      "bn_IN": "মরিটানিয়া",
      "br": "Maouritania",
      "bs": "Mauritanija",
      "ca": "Mauritània",
      "ce": "Мавритани",
      "ch": "Mauritania",
      "cs": "Mauritánie",
      "cv": "Мавритани",
      "cy": "Mauritania",
      "da": "Mauretanien",
      "de": "Mauretanien",
      "dv": "މޮރިޓާނިއާ",
      "dz": "མའུ་རི་ཊ་ནི་ཡ།",
      "ee": "Mauritania",
      "el": "Μαυριτανία",
      "en": "Mauritania",
      "eo": "Maŭritanio",
      "es": "Mauritania",
      "et": "Mauritaania",
      "eu": "Mauritania",
      "fa": "موریتانی",
      "ff": "Muritani",
      "fi": "Mauritania",
      "fo": "Móritania",
      "fr": "Mauritanie",
      "fy": "Mauritaanje",
      "ga": "An Mháratáin",
      "gl": "Mauritania",
      "gn": "Mauritania",
      "gu": "મોરિશિઆના",
      "gv": "Yn Varitaan",
      "ha": "Muritaniya",
      "he": "מאוריטניה",
      "hi": "मॉरीतानिया",
      "hr": "Mauretanija",
      "ht": "Moritani",
      "hu": "Mauritánia",
      "hy": "Մավրիտանիա",
      "ia": "Mauritania",
      "id": "Mauritania",
      "io": "Mauritania",
      "is": "Máritanía",
      "it": "Mauritania",
      "iu": "Mauritania",
      "ja": "モーリタニア",
      "ka": "მავრიტანია",
      "ki": "Mauritania",
      "kk": "Мавритания",
      "kl": "Mauritania",
      "km": "ម៉ូរីតានី",
      "kn": "ಮಾರಿಟೇನಿಯಾ",
      "ko": "모리타니",
      "ku": "Morîtanya",
      "kv": "Mauritania",
      "kw": "Moritani",
      "ky": "Мавритания",
      "lo": "Mauritania",
      "lt": "Mauritanija",
      "lv": "Mauritānija",
      "mi": "Mauritānia",
      "mk": "Мавританија",
      "ml": "മൌറിട്ടാനിയ",
      "mn": "Мавритан",
      "mr": "मॉरिटानिया",
      "ms": "Mauritania",
      "mt": "Mawritanja",
      "my": "မော်ရီတေးနီးယားနိုင်ငံ",
      "na": "Mauritania",
      "nb": "Mauritania",
      "ne": "माउरिटानिया",
      "nl": "Mauritanië",
      "nn": "Mauritania",
      "nv": "Shádiʼááhjí Ghą́ą́ʼaskʼidii Biłikahii Bikéyah",
      "oc": "Mauritània",
      "or": "ମାରୀଟୋନିୟା",
      "pa": "ਮਾਓਰੀਟਆਨਾ",
      "pi": "मारिटेनिया",
      "pl": "Mauretania",
      "ps": "موریتاني",
      "pt": "Mauritânia",
      "pt_BR": "Mauritânia",
      "ro": "Mauritania",
      "ru": "Мавритания",
      "rw": "Moritaniya",
      "sc": "Mauritània",
      "sd": "Mauritania",
      "si": "මෝරිටානියා",
      "sk": "Mauritánia",
      "sl": "Mavretanija",
      "so": "Muritaaniya",
      "sq": "Mauritani",
      "sr": "Мауританија",
      "sv": "Mauretanien",
      "sw": "Mauritania",
      "ta": "மொரிசியேனியா",
      "te": "మౌరిటానియా",
      "tg": "Мавритания",
      "th": "มอริเตเนีย",
      "ti": "ሞሪቴኒያ",
      "tk": "Mawritaniýa",
      "tl": "Mauritania",
      "tr": "Moritanya",
      "tt": "Мауританиа",
      "ug": "ماۋرىتانىيە",
      "uk": "Мавританія",
      "ur": "موریتانیہ",
      "uz": "Mavritaniya",
      "ve": "Mauritania",
      "vi": "Mô-ri-ta-ni-a",
      "wa": "Moritanreye",
      "wo": "Móritaani",
      "xh": "Mauritania",
      "yo": "Mauritáníà",
      "zh_CN": "毛里塔尼亚",
      "zh_HK": "毛里塔尼亞",
      "zh_TW": "茅利塔尼亞",
      "zu": "IMoritaniya"
    },
  );

  /// Country: Montserrat
  static const Country msr = Country(
    alpha2: 'MS',
    alpha3: 'MSR',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'XCD',
    gec: 'MH',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 16.742498,
        longitude: -62.187366,
      ),
      maxCoordinate: Coordinate(
        latitude: 16.8260672,
        longitude: -62.14262009999999,
      ),
      minCoordinate: Coordinate(
        latitude: 16.671007,
        longitude: -62.242584,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 16.8260672,
          longitude: -62.14262009999999,
        ),
        southwest: Coordinate(
          latitude: 16.671007,
          longitude: -62.242584,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: null,
    isoLongName: 'Montserrat',
    isoShortName: 'Montserrat',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Montserratian',
    number: '500',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'MS',
    unofficialNames: ['Montserrat', 'モントセラト'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1664',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Montserrat",
      "af": "Montserrat",
      "ak": "Montserrat",
      "am": "Montserrat",
      "an": "Montserrat",
      "ar": "مونتسيرات",
      "as": "মন্টছেৰাট",
      "ay": "Montserrat",
      "az": "Montserrat",
      "ba": "Montserrat",
      "be": "Мантсерат",
      "bg": "Монсерат",
      "bi": "Montserrat",
      "bn": "মন্টসেরাত",
      "bn_IN": "মন্টসেরাত",
      "br": "Enez Montserrat",
      "bs": "Montserrat",
      "ca": "Montserrat",
      "ce": "Монтсеррат",
      "ch": "Montserrat",
      "cs": "Montserrat",
      "cv": "Монтсеррат",
      "cy": "Montserrat",
      "da": "Montserrat",
      "de": "Montserrat",
      "dv": "މޮންސެރާޓު",
      "dz": "མཱོནཊི་སི་རཊི།",
      "ee": "Montserrat",
      "el": "Μοντσεράτ",
      "en": "Montserrat",
      "eo": "Moncerato",
      "es": "Montserrat",
      "et": "Montserrat",
      "eu": "Montserrat",
      "fa": "مونت‌سرات",
      "ff": "Montserrat",
      "fi": "Montserrat",
      "fo": "Montserrat",
      "fr": "Montserrat",
      "fy": "Montserrat",
      "ga": "Montsarat",
      "gl": "Montserrat",
      "gn": "Montserrat",
      "gu": "મોન્ટસેરાન્ટ",
      "gv": "Montserrat",
      "ha": "Montserrat",
      "he": "מונטסראט",
      "hi": "मॉण्टसेराट",
      "hr": "Montserrat",
      "ht": "Montserrat",
      "hu": "Montserrat",
      "hy": "Մոնտսերատ",
      "ia": "Montserrat",
      "id": "Montserrat",
      "io": "Montserrat",
      "is": "Montserrat",
      "it": "Montserrat",
      "iu": "Montserrat",
      "ja": "モントセラト",
      "ka": "მონსერატი",
      "ki": "Montserrat",
      "kk": "Монсеррат",
      "kl": "Montserrat",
      "km": "ម៉ុងសេរ៉ា",
      "kn": "ಮಾಂಟ್ಸೆರ್ರಾಟ್",
      "ko": "몬트세랫",
      "ku": "Montserat",
      "kv": "Montserrat",
      "kw": "Montserrat",
      "ky": "Монтсеррат",
      "lo": "Montserrat",
      "lt": "Montseratas",
      "lv": "Montserrata",
      "mi": "Montserrat",
      "mk": "Монтсерат",
      "ml": "മോണ്ട്സെറാറ്റ്",
      "mn": "Montserrat",
      "mr": "मोंट्सेर्रात",
      "ms": "Montserrat",
      "mt": "Montserrat",
      "my": "Montserrat",
      "na": "Montserrat",
      "nb": "Montserrat",
      "ne": "मोनसेराट",
      "nl": "Montserrat",
      "nn": "Montserrat",
      "nv": "Montserrat",
      "oc": "Montserrat",
      "or": "ମୋଣ୍ଟସେରାଟ",
      "pa": "ਮੋਨਟਸ਼ਟੀਟ",
      "pi": "Montserrat",
      "pl": "Montserrat",
      "ps": "Montserrat",
      "pt": "Monserrate",
      "pt_BR": "Montserrat",
      "ro": "Montserrat",
      "ru": "Монтсеррат",
      "rw": "Monserati",
      "sc": "Montserrat",
      "sd": "Montserrat",
      "si": "මොන්ට්සෙරා",
      "sk": "Montserrat",
      "sl": "Montserrat",
      "so": "Montserrat",
      "sq": "Monserrat",
      "sr": "Монсерат",
      "sv": "Montserrat",
      "sw": "Montserrat",
      "ta": "மொன்சாராட்",
      "te": "మోంట్సేర్రాత",
      "tg": "Монтсеррат",
      "th": "มอนต์เซอร์รัต",
      "ti": "Montserrat",
      "tk": "Montserrat",
      "tl": "Montserrat",
      "tr": "Montserrat",
      "tt": "Монцеррат",
      "ug": "مونتسېررات",
      "uk": "Монтсеррат",
      "ur": "مانٹسریٹ",
      "uz": "Montserrat",
      "ve": "Montserrat",
      "vi": "Mon-xe-rạc",
      "wa": "Montserrat",
      "wo": "Montserrat",
      "xh": "Montserrat",
      "yo": "Montserrat",
      "zh_CN": "蒙塞拉特岛",
      "zh_HK": "蒙瑟拉特島",
      "zh_TW": "蒙塞拉特島",
      "zu": "Montserrat"
    },
  );

  /// Country: The Republic of Malta
  static const Country mlt = Country(
    alpha2: 'MT',
    alpha3: 'MLT',
    continent: Continent.europe,
    countryCode: '356',
    currencyCode: 'EUR',
    gec: 'MT',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 35.937496,
        longitude: 14.375416,
      ),
      maxCoordinate: Coordinate(
        latitude: 36.0853,
        longitude: 14.5765999,
      ),
      minCoordinate: Coordinate(
        latitude: 35.79960000000001,
        longitude: 14.1801001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 36.0853,
          longitude: 14.5765999,
        ),
        southwest: Coordinate(
          latitude: 35.79960000000001,
          longitude: 14.1801001,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'MLT',
    isoLongName: 'The Republic of Malta',
    isoShortName: 'Malta',
    languagesOfficial: ['mt', 'en'],
    languagesSpoken: ['mt', 'en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '21',
    nationality: 'Maltese',
    number: '470',
    postalCode: true,
    postalCodeFormat: r'[A-Z]{3} ?\d{2,4}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Southern Europe',
    unLocode: 'MT',
    unofficialNames: ['Malta', 'Malte', 'マルタ'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: VatRates(
      standard: 18.0,
      reduced: [5.0, 7.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Malta",
      "af": "Malta",
      "ak": "Malta",
      "am": "ሢሔታ",
      "an": "Malta",
      "ar": "مالطة",
      "as": "মাল্টা",
      "ay": "Malta",
      "az": "Malta",
      "ba": "Malta",
      "be": "Мальта",
      "bg": "Малта",
      "bi": "Malta",
      "bn": "মল্টা",
      "bn_IN": "মল্টা",
      "br": "Malta",
      "bs": "Malta",
      "ca": "Malta",
      "ce": "Мальта",
      "ch": "Malta",
      "cs": "Malta",
      "cv": "Мальта",
      "cy": "Malta",
      "da": "Malta",
      "de": "Malta",
      "dv": "މޯލްޓާ",
      "dz": "མཱལ་ཊ་ མི་སེར་རྒྱལ་ཁབ།",
      "ee": "Malta",
      "el": "Μάλτα",
      "en": "Malta",
      "eo": "Malto",
      "es": "Malta",
      "et": "Malta",
      "eu": "Malta",
      "fa": "جزیره مالت",
      "ff": "Malta",
      "fi": "Malta",
      "fo": "Malta",
      "fr": "Malte",
      "fy": "Malta",
      "ga": "Málta",
      "gl": "Malta",
      "gn": "Malta",
      "gu": "માલ્ટા",
      "gv": "Yn Valta",
      "ha": "Malta",
      "he": "מלטה",
      "hi": "माल्टा",
      "hr": "Malta",
      "ht": "Malt",
      "hu": "Málta",
      "hy": "Մալթա",
      "ia": "Malta",
      "id": "Malta",
      "io": "Malta",
      "is": "Malta",
      "it": "Malta",
      "iu": "Malta",
      "ja": "マルタ",
      "ka": "მალტა",
      "ki": "Malta",
      "kk": "Мальта",
      "kl": "Malta",
      "km": "ម៉ាល់តា",
      "kn": "ಮಾಲ್ಟಾ",
      "ko": "몰타",
      "ku": "Malta",
      "kv": "Мальта",
      "kw": "Malta",
      "ky": "Мальта",
      "lo": "ປະເທດມັນ",
      "lt": "Malta",
      "lv": "Malta",
      "mi": "Mārata",
      "mk": "Малта",
      "ml": "മാള്‍ട്ട",
      "mn": "Малта",
      "mr": "माल्टा",
      "ms": "Malta",
      "mt": "Malta",
      "my": "မော်လတာနိုင်ငံ",
      "na": "Marta",
      "nb": "Malta",
      "ne": "माल्टा",
      "nl": "Malta",
      "nn": "Malta",
      "nv": "Malta",
      "oc": "Malta",
      "or": "ମାଲ୍ଟା",
      "pa": "ਮਾਲਟਾ",
      "pi": "माल्टा",
      "pl": "Malta",
      "ps": "مالټا",
      "pt": "Malta",
      "pt_BR": "Malta",
      "ro": "Malta",
      "ru": "Мальта",
      "rw": "Malita",
      "sc": "Malta",
      "sd": "Malta",
      "si": "මෝල්ටා",
      "sk": "Malta",
      "sl": "Malta",
      "so": "Maalda",
      "sq": "Maltë",
      "sr": "Малта",
      "sv": "Malta",
      "sw": "Malta",
      "ta": "மால்டா",
      "te": "మాల్టా",
      "tg": "Малта",
      "th": "มอลตา",
      "ti": "ማልታ",
      "tk": "Malta",
      "tl": "Malta",
      "tr": "Malta",
      "tt": "Малта",
      "ug": "مالتا",
      "uk": "Мальта",
      "ur": "مالٹا",
      "uz": "Malta",
      "ve": "Malta",
      "vi": "Moa-ta",
      "wa": "Male",
      "wo": "Malt",
      "xh": "Malta",
      "yo": "Máltà",
      "zh_CN": "马尔他",
      "zh_HK": "馬耳他",
      "zh_TW": "馬爾他",
      "zu": "IMalta"
    },
  );

  /// Country: The Republic of Mauritius
  static const Country mus = Country(
    alpha2: 'MU',
    alpha3: 'MUS',
    continent: Continent.africa,
    countryCode: '230',
    currencyCode: 'MUR',
    gec: 'MP',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -20.348404,
        longitude: 57.55215200000001,
      ),
      maxCoordinate: Coordinate(
        latitude: -10.0878538,
        longitude: 63.80859390000001,
      ),
      minCoordinate: Coordinate(
        latitude: -20.7458403,
        longitude: 56.3159179,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -10.0878538,
          longitude: 63.80859390000001,
        ),
        southwest: Coordinate(
          latitude: -20.7458403,
          longitude: 56.3159179,
        ),
      ),
    ),
    internationalPrefix: '020',
    ioc: 'MRI',
    isoLongName: 'The Republic of Mauritius',
    isoShortName: 'Mauritius',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Mauritian',
    number: '480',
    postalCode: true,
    postalCodeFormat: r'\d{3}(?:\d{2}|[A-Z]{2}\d{3})',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'MU',
    unofficialNames: ['Mauritius', 'Île Maurice', 'Mauricio', 'モーリシャス'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Mauritius",
      "af": "Mauritius",
      "ak": "Mauritius",
      "am": "ሢሩሸስ",
      "an": "Mauritius",
      "ar": "موريشيوس",
      "as": "মৰিছাছ",
      "ay": "Mauritius",
      "az": "Mauritius",
      "ba": "Mauritius",
      "be": "Маўрыкій",
      "bg": "Мавриций",
      "bi": "Mauritius",
      "bn": "মরিশাস",
      "bn_IN": "মরিশাস",
      "br": "Maoris",
      "bs": "Mauricijus",
      "ca": "Maurici",
      "ce": "Маврики",
      "ch": "Mauritius",
      "cs": "Mauricius",
      "cv": "Маврики",
      "cy": "Mauritius",
      "da": "Mauritius",
      "de": "Mauritius",
      "dv": "މޮރިޝަސް",
      "dz": "མའུ་རི་ཤི་ཡཱསི།",
      "ee": "Mauritius",
      "el": "Μαυρίκιος",
      "en": "Mauritius",
      "eo": "Maŭricio",
      "es": "Mauricio",
      "et": "Mauritius",
      "eu": "Maurizio",
      "fa": "موریتیوس",
      "ff": "Mauritius",
      "fi": "Mauritius",
      "fo": "Móritius",
      "fr": "Maurice",
      "fy": "Mauritsius",
      "ga": "Oileán Mhuirís",
      "gl": "Mauricio",
      "gn": "Mauritius",
      "gu": "મોરિશિયસ",
      "gv": "Ellan Wirrish",
      "ha": "Mauritius",
      "he": "מאוריציוס",
      "hi": "मॉरिशस",
      "hr": "Mauricijus",
      "ht": "Moris",
      "hu": "Mauritius",
      "hy": "Մավրիտոս",
      "ia": "Mauritio",
      "id": "Mauritius",
      "io": "Maurico",
      "is": "Máritíus",
      "it": "Maurizio",
      "iu": "Mauritius",
      "ja": "モーリシャス",
      "ka": "მავრიკია",
      "ki": "Mauritius",
      "kk": "Маврикий",
      "kl": "Mauritius",
      "km": "ម៉ូរីទុស",
      "kn": "ಮಾರಿಶಸ್",
      "ko": "모리셔스",
      "ku": "Morîtiyus",
      "kv": "Mauritius",
      "kw": "Ynys Morrys",
      "ky": "Маврикий",
      "lo": "Mauritius",
      "lt": "Mauricijus",
      "lv": "Maurīcija",
      "mi": "Maurituhi",
      "mk": "Маурициус",
      "ml": "മൌറീഷ്യസ്",
      "mn": "Mauritius",
      "mr": "मॉरिशस",
      "ms": "Mauritius",
      "mt": "Mawrizji",
      "my": "မောရစ်ရှနိုင်ငံ",
      "na": "Mauritius",
      "nb": "Mauritius",
      "ne": "माउरिसस",
      "nl": "Mauritius",
      "nn": "Mauritius",
      "nv": "Mauritius",
      "oc": "Maurici",
      "or": "ମରୀଶସ",
      "pa": "ਮਾਓਟੀਸ",
      "pi": "मारिशस",
      "pl": "Mauritius",
      "ps": "ماوریتوس",
      "pt": "Maurícia",
      "pt_BR": "Maurício",
      "ro": "Maurițius",
      "ru": "Маврикий",
      "rw": "Morise",
      "sc": "Maurìtzius",
      "sd": "Mauritius",
      "si": "මවුරිටියස්",
      "sk": "Maurícius",
      "sl": "Mavricij",
      "so": "Mauritius",
      "sq": "Mauricius",
      "sr": "Маурицијус",
      "sv": "Mauritius",
      "sw": "Mauritius",
      "ta": "மொரீஷியஸ்",
      "te": "మారిషస్",
      "tg": "Маврикий",
      "th": "มอริเชียส",
      "ti": "ማሩሸስ",
      "tk": "Mawrikiý",
      "tl": "Mauritius",
      "tr": "Mauritius",
      "tt": "Мауритиус",
      "ug": "ماۋرىتىئۇس",
      "uk": "Маврикій",
      "ur": "موریشس",
      "uz": "Mavritsiya",
      "ve": "Mauritius",
      "vi": "Mô-ri-sơ-xợ",
      "wa": "Iye Môrice",
      "wo": "Móoris",
      "xh": "Mauritius",
      "yo": "Mọ́rísì",
      "zh_CN": "毛里求斯",
      "zh_HK": "毛里裘斯",
      "zh_TW": "模里西斯",
      "zu": "IMorishisi"
    },
  );

  /// Country: The Republic of Maldives
  static const Country mdv = Country(
    alpha2: 'MV',
    alpha3: 'MDV',
    continent: Continent.asia,
    countryCode: '960',
    currencyCode: 'MVR',
    gec: 'MV',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 3.202778,
        longitude: 73.22068,
      ),
      maxCoordinate: Coordinate(
        latitude: 7.5149809,
        longitude: 74.7290038,
      ),
      minCoordinate: Coordinate(
        latitude: -1.2907844,
        longitude: 71.75170899999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 7.5149809,
          longitude: 74.7290038,
        ),
        southwest: Coordinate(
          latitude: -1.2907844,
          longitude: 71.75170899999999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'MDV',
    isoLongName: 'The Republic of Maldives',
    isoShortName: 'Maldives',
    languagesOfficial: ['dv'],
    languagesSpoken: ['dv'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Maldivan',
    number: '462',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.asia,
    startOfWeek: Week.sunday,
    subregion: 'Southern Asia',
    unLocode: 'MV',
    unofficialNames: ['Maldives', 'Malediven', 'Maldivas', 'モルディブ', 'Maldiven'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Maldives",
      "af": "Maledive",
      "ak": "Maldives",
      "am": "ማልዲቭስ",
      "an": "Maldives",
      "ar": "جزر المالديف",
      "as": "মালডিভ্‌চ",
      "ay": "Maldives",
      "az": "Maldives",
      "ba": "Maldives",
      "be": "Мальдывы",
      "bg": "Малдиви",
      "bi": "Maldives",
      "bn": "মালডিভস",
      "bn_IN": "মালডিভস",
      "br": "Maldivez",
      "bs": "Maldivi",
      "ca": "Maldives",
      "ce": "Мальдиви",
      "ch": "Maldives",
      "cs": "Maledivy",
      "cv": "Мальдиви",
      "cy": "Maldives",
      "da": "Maldiverne",
      "de": "Malediven",
      "dv": "ދިވެހިރާއްޖެ",
      "dz": "མེལ་ཌིབསི།",
      "ee": "Maldives",
      "el": "Μαλδίβες",
      "en": "Maldives",
      "eo": "Maldivoj",
      "es": "Islas Maldivas",
      "et": "Maldiivid",
      "eu": "Maldivak",
      "fa": "مالدیو",
      "ff": "Maldives",
      "fi": "Malediivit",
      "fo": "Maldivuoyggjarnar",
      "fr": "Maldives",
      "fy": "Maldiven",
      "ga": "Oileáin Mhaildíve",
      "gl": "Maldivas",
      "gn": "Maldives",
      "gu": "માલ્દીવ્સ",
      "gv": "Ny Maldeevaghyn",
      "ha": "Maldives",
      "he": "האיים המלדיביים",
      "hi": "मालदीव",
      "hr": "Maldivi",
      "ht": "Maldiv",
      "hu": "Maldív-szigetek",
      "hy": "Մալդիվներ",
      "ia": "Maldivas",
      "id": "Maladewa",
      "io": "Maldivi",
      "is": "Maldíveyjar",
      "it": "Maldive",
      "iu": "Maldives",
      "ja": "モルディブ",
      "ka": "მალდივის კუნძულები",
      "ki": "Maldives",
      "kk": "Мальдив аралдары",
      "kl": "Maldives",
      "km": "ម៉ាល់ឌីវ",
      "kn": "ಮಾಲ್ಡೀವ್ಸ್",
      "ko": "몰디브",
      "ku": "Giravên Maldiv",
      "kv": "Мальдивъяс",
      "kw": "Maldivys",
      "ky": "Мальдивдер",
      "lo": "Maldives",
      "lt": "Maldyvai",
      "lv": "Maldīvija",
      "mi": "Maldives",
      "mk": "Малдиви",
      "ml": "മാല്‍ഡീവ്സ്",
      "mn": "Малдивс",
      "mr": "मालदिव्हज्",
      "ms": "Maldiv",
      "mt": "Maldivi",
      "my": "မော်လဒိုက်နိုင်ငံ",
      "na": "Mardib",
      "nb": "Maldivene",
      "ne": "मालदिव्स",
      "nl": "Maldiven",
      "nn": "Maldivane",
      "nv": "Naakaii Dootłʼizhí Bikéyah Yázhí",
      "oc": "Maldivas",
      "or": "ମାଲଦୀଭ",
      "pa": "ਮਾਲਦੀਵ",
      "pi": "मालदीव",
      "pl": "Malediwy",
      "ps": "مالديپ",
      "pt": "Maldivas",
      "pt_BR": "Maldivas",
      "ro": "Maldive",
      "ru": "Мальдивы",
      "rw": "Malidivezi",
      "sc": "Maldivas",
      "sd": "مالديپ",
      "si": "මාල දිවයින",
      "sk": "Maldivy",
      "sl": "Maldivi",
      "so": "Maaldiqeen",
      "sq": "Maldive",
      "sr": "Малдиви",
      "sv": "Maldiverna",
      "sw": "Maldives",
      "ta": "மாலதீவுகள்",
      "te": "మాల్దీవ్స్",
      "tg": "Малдив",
      "th": "มัลดีฟส์",
      "ti": "Maldives",
      "tk": "Maldiw adalary",
      "tl": "Maldives",
      "tr": "Maldivler",
      "tt": "Малдивлар",
      "ug": "مالدىۋې",
      "uk": "Мальдіви",
      "ur": "مالدیپ",
      "uz": "Maldivalar",
      "ve": "Maldives",
      "vi": "Mal-đi-vợx",
      "wa": "Maldives",
      "wo": "Maldiif",
      "xh": "Maldives",
      "yo": "Àwọn Maldive",
      "zh_CN": "马尔代夫",
      "zh_HK": "馬爾代夫",
      "zh_TW": "馬爾地夫",
      "zu": "Maldives"
    },
  );

  /// Country: The Republic of Malawi
  static const Country mwi = Country(
    alpha2: 'MW',
    alpha3: 'MWI',
    continent: Continent.africa,
    countryCode: '265',
    currencyCode: 'MWK',
    gec: 'MI',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -13.254308,
        longitude: 34.301525,
      ),
      maxCoordinate: Coordinate(
        latitude: -9.3672272,
        longitude: 35.91857299999999,
      ),
      minCoordinate: Coordinate(
        latitude: -17.1295216,
        longitude: 32.6725205,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -9.3672272,
          longitude: 35.91857299999999,
        ),
        southwest: Coordinate(
          latitude: -17.1295216,
          longitude: 32.6725205,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'MAW',
    isoLongName: 'The Republic of Malawi',
    isoShortName: 'Malawi',
    languagesOfficial: ['en', 'ny'],
    languagesSpoken: ['en', 'ny'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Malawian',
    number: '454',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'MW',
    unofficialNames: ['Malawi', 'マラウイ'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Malawi",
      "af": "Malawi",
      "ak": "Malawi",
      "am": "ማላዊ",
      "an": "Malawi",
      "ar": "ملاوي",
      "as": "মালাৱী",
      "ay": "Malawi",
      "az": "Malavi",
      "ba": "Malawi",
      "be": "Малаві",
      "bg": "Малави",
      "bi": "Malawi",
      "bn": "মালাউই",
      "bn_IN": "মালাউই",
      "br": "Malawi",
      "bs": "Malavi",
      "ca": "Malawi",
      "ce": "Малави",
      "ch": "Malawi",
      "cs": "Malawi",
      "cv": "Малави",
      "cy": "Malawi",
      "da": "Malawi",
      "de": "Malawi",
      "dv": "މަލާވީ",
      "dz": "མ་ལ་ཝི།",
      "ee": "Malawi",
      "el": "Μαλάουι",
      "en": "Malawi",
      "eo": "Malavio",
      "es": "Malaui",
      "et": "Malawi",
      "eu": "Malawi",
      "fa": "مالاوی",
      "ff": "Malawi",
      "fi": "Malawi",
      "fo": "Malavi",
      "fr": "Malawi",
      "fy": "Malawy",
      "ga": "An Mhaláiv",
      "gl": "Malaui",
      "gn": "Malawi",
      "gu": "માલાવી",
      "gv": "Malawi",
      "ha": "Malawi",
      "he": "מלאווי",
      "hi": "मलावी",
      "hr": "Malavi",
      "ht": "Malawi",
      "hu": "Malawi",
      "hy": "Մալավի",
      "ia": "Malawi",
      "id": "Malawi",
      "io": "Malawi",
      "is": "Malaví",
      "it": "Malawi",
      "iu": "Malawi",
      "ja": "マラウイ",
      "ka": "მალავი",
      "ki": "Malawi",
      "kk": "Малави",
      "kl": "Malawi",
      "km": "ម៉ាឡាវី",
      "kn": "ಮಲಾವಿ",
      "ko": "말라위",
      "ku": "Malawî",
      "kv": "Malawi",
      "kw": "Malawi",
      "ky": "Малави",
      "lo": "Malawi",
      "lt": "Malavis",
      "lv": "Malāvija",
      "mi": "Marāwi",
      "mk": "Малави",
      "ml": "മലാവി",
      "mn": "Малави",
      "mr": "मलवी",
      "ms": "Malawi",
      "mt": "Malawi",
      "my": "မာလဝီနိုင်ငံ",
      "na": "Malawi",
      "nb": "Malawi",
      "ne": "मालावी",
      "nl": "Malawi",
      "nn": "Malawi",
      "nv": "Malawi",
      "oc": "Malawi",
      "or": "ମାଲାଓ୍ବି",
      "pa": "ਮਾਲਾਵੀਆ",
      "pi": "मलावी",
      "pl": "Malawi",
      "ps": "مالاوي",
      "pt": "Malawi",
      "pt_BR": "Malaui",
      "ro": "Malawi",
      "ru": "Малави",
      "rw": "Malawi",
      "sc": "Malawi",
      "sd": "Malawi",
      "si": "මලාවි",
      "sk": "Malawi",
      "sl": "Malavi",
      "so": "Malaawi",
      "sq": "Malaui",
      "sr": "Малави",
      "sv": "Malawi",
      "sw": "Malawi",
      "ta": "மலாவி",
      "te": "మలవీ",
      "tg": "Малави",
      "th": "มาลาวี",
      "ti": "ማላዊ",
      "tk": "Malawi",
      "tl": "Malawi",
      "tr": "Malavi",
      "tt": "Малави",
      "ug": "مالاۋى",
      "uk": "Малаві",
      "ur": "ملاوی",
      "uz": "Malavi",
      "ve": "Malawi",
      "vi": "Ma-la-uy",
      "wa": "Malawi",
      "wo": "Malawi",
      "xh": "Malawi",
      "yo": "Màláwì",
      "zh_CN": "马拉维",
      "zh_HK": "馬拉維",
      "zh_TW": "馬拉威",
      "zu": "IMalawi"
    },
  );

  /// Country: The United Mexican States
  static const Country mex = Country(
    alpha2: 'MX',
    alpha3: 'MEX',
    continent: Continent.northAmerica,
    countryCode: '52',
    currencyCode: 'MXN',
    gec: 'MX',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 23.634501,
        longitude: -102.552784,
      ),
      maxCoordinate: Coordinate(
        latitude: 32.7186534,
        longitude: -86.5887,
      ),
      minCoordinate: Coordinate(
        latitude: 14.3895,
        longitude: -118.6523001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 32.7186534,
          longitude: -86.5887,
        ),
        southwest: Coordinate(
          latitude: 14.3895,
          longitude: -118.6523001,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'MEX',
    isoLongName: 'The United Mexican States',
    isoShortName: 'Mexico',
    languagesOfficial: ['es'],
    languagesSpoken: ['es'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9, 10],
    nationalPrefix: '01',
    nationality: 'Mexican',
    number: '484',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Central America',
    unLocode: 'MX',
    unofficialNames: ['Mexico', 'Mexiko', 'Mexique', 'México', 'メキシコ'],
    worldRegion: WorldRegion.amer,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}} {{region_short}}
{{country}}''',
    vatRates: VatRates(
      standard: 16.0,
      reduced: [],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Mexico",
      "af": "Meksiko",
      "ak": "Mexico",
      "am": "ሣጤሲጥ",
      "an": "Mexico",
      "ar": "المكسيك",
      "as": "মেক্সিকো",
      "ay": "Mexico",
      "az": "Meksika",
      "ba": "Mexico",
      "be": "Мексіка",
      "bg": "Мексико",
      "bi": "Mexico",
      "bn": "মেক্সিকো",
      "bn_IN": "মেক্সিকো",
      "br": "Mec'hiko",
      "bs": "Meksiko",
      "ca": "Mèxic",
      "ce": "Мексика",
      "ch": "Mexico",
      "cs": "Mexiko",
      "cv": "Мексика",
      "cy": "Mecsico",
      "da": "Mexico",
      "de": "Mexiko",
      "dv": "މެކްސިކޯ",
      "dz": "མེག་སི་ཀོ།",
      "ee": "Mexico",
      "el": "Μεξικό",
      "en": "Mexico",
      "eo": "Meksiko",
      "es": "México",
      "et": "Mehhiko",
      "eu": "Mexiko",
      "fa": "مکزیک",
      "ff": "Mexico",
      "fi": "Meksiko",
      "fo": "Meksiko",
      "fr": "Mexique",
      "fy": "Meksiko",
      "ga": "Meicsiceo",
      "gl": "México",
      "gn": "Mexico",
      "gu": "મેક્સિકો",
      "gv": "Meksico",
      "ha": "Mexico",
      "he": "מקסיקו",
      "hi": "मेक्सिको",
      "hr": "Meksiko",
      "ht": "Meksik",
      "hu": "Mexikó",
      "hy": "Մեքսիկա",
      "ia": "Mexico",
      "id": "Meksiko",
      "io": "Mexikia",
      "is": "Mexíkó",
      "it": "Messico",
      "iu": "ᒦᒃᓰᖂ",
      "ja": "メキシコ",
      "ka": "მექსიკა",
      "ki": "Mexico",
      "kk": "Мексика",
      "kl": "Mexico",
      "km": "ម៉ិចស៊ិក",
      "kn": "ಹೊಂಡುರಾಸ್",
      "ko": "멕시코",
      "ku": "Mexîko",
      "kv": "Мексика",
      "kw": "Meksiko",
      "ky": "Мексика",
      "lo": "ປະເທດເມັກຊິກ",
      "lt": "Meksika",
      "lv": "Meksika",
      "mi": "Mehiko",
      "mk": "Мексико",
      "ml": "മെക്സികോ",
      "mn": "Мексик",
      "mr": "मेक्सिको",
      "ms": "Meksiko",
      "mt": "Messiku",
      "my": "မက္ကဆီကိုနိုင်ငံ",
      "na": "Meketiko",
      "nb": "Mexico",
      "ne": "मेक्सिको",
      "nl": "Mexico",
      "nn": "Mexico",
      "nv": "Naakaii Bikéyah",
      "oc": "Mexic",
      "or": "ମେକ୍ସିକୋ",
      "pa": "ਮੈਕਸੀਕੋ",
      "pi": "मेक्सिको",
      "pl": "Meksyk",
      "ps": "Mexico",
      "pt": "México",
      "pt_BR": "México",
      "ro": "Mexic",
      "ru": "Мексика",
      "rw": "Megizike",
      "sc": "Mèssicu",
      "sd": "Mexico",
      "si": "මෙක්සිකෝව",
      "sk": "Mexiko",
      "sl": "Mehika",
      "so": "Meksiko",
      "sq": "Meksikë",
      "sr": "Мексико",
      "sv": "Mexiko",
      "sw": "Mexico",
      "ta": "மெக்ஸிகோ",
      "te": "మేక్సికో",
      "tg": "Мексика",
      "th": "เม็กซิโก",
      "ti": "ሜክሲኮ",
      "tk": "Meksika",
      "tl": "Mehiko",
      "tr": "Meksika",
      "tt": "Мексико",
      "ug": "مېكسىكا",
      "uk": "Мексика",
      "ur": "میکسیکو",
      "uz": "Meksika",
      "ve": "Mexico",
      "vi": "Mê-hi-cô",
      "wa": "Mecsike",
      "wo": "Meksik",
      "xh": "Mexico",
      "yo": "Mẹ́ksíkò",
      "zh_CN": "墨西哥",
      "zh_HK": "墨西哥",
      "zh_TW": "墨西哥",
      "zu": "IMekisiko"
    },
  );

  /// Country: Malaysia
  static const Country mys = Country(
    alpha2: 'MY',
    alpha3: 'MYS',
    continent: Continent.asia,
    countryCode: '60',
    currencyCode: 'MYR',
    gec: 'MY',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 4.210484,
        longitude: 101.975766,
      ),
      maxCoordinate: Coordinate(
        latitude: 7.5191,
        longitude: 119.4000001,
      ),
      minCoordinate: Coordinate(
        latitude: 0.8539281000000001,
        longitude: 98.9353999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 7.5191,
          longitude: 119.4000001,
        ),
        southwest: Coordinate(
          latitude: 0.8539281000000001,
          longitude: 98.9353999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'MAS',
    isoLongName: 'Malaysia',
    isoShortName: 'Malaysia',
    languagesOfficial: ['ms', 'en'],
    languagesSpoken: ['ms', 'en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9, 10],
    nationalPrefix: '0',
    nationality: 'Malaysian',
    number: '458',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.asia,
    startOfWeek: Week.sunday,
    subregion: 'South-Eastern Asia',
    unLocode: 'MY',
    unofficialNames: ['Malaysia', 'Malaisie', 'Malasia', 'マレーシア', 'Maleisië'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Malaysia",
      "af": "Maleisië",
      "ak": "Malaysia",
      "am": "ሢሓፒ።",
      "an": "Malaysia",
      "ar": "ماليزيا",
      "as": "মালেছিয়া",
      "ay": "Malaysia",
      "az": "Malayziya",
      "ba": "Malaysia",
      "be": "Малайзія",
      "bg": "Малайзия",
      "bi": "Malaysia",
      "bn": "মালেশিয়া",
      "bn_IN": "মালেশিয়া",
      "br": "Malaysia",
      "bs": "Malezija",
      "ca": "Malàisia",
      "ce": "Малайзи",
      "ch": "Malaysia",
      "cs": "Malajsie",
      "cv": "Малайзи",
      "cy": "Malaysia",
      "da": "Malaysia",
      "de": "Malaysia",
      "dv": "މެލޭޝިޔާ",
      "dz": "མ་ལེ་ཤི་ཡ།",
      "ee": "Malaysia",
      "el": "Μαλαισία",
      "en": "Malaysia",
      "eo": "Malajzio",
      "es": "Malasia",
      "et": "Malaisia",
      "eu": "Malasia",
      "fa": "مالزی",
      "ff": "Malaysia",
      "fi": "Malesia",
      "fo": "Maleisia",
      "fr": "Malaisie",
      "fy": "Maleizje",
      "ga": "An Mhalaeisia",
      "gl": "Malasia",
      "gn": "Malaysia",
      "gu": "મલેશિયા",
      "gv": "Yn Valaysia",
      "ha": "Maleziya",
      "he": "מלזיה",
      "hi": "मलेशिया",
      "hr": "Malezija",
      "ht": "Malezi",
      "hu": "Malajzia",
      "hy": "Մալայզիա",
      "ia": "Malaysia",
      "id": "Malaysia",
      "io": "Malaizia",
      "is": "Malasía",
      "it": "Malaysia",
      "iu": "Malaysia",
      "ja": "マレーシア",
      "ka": "მალაიზია",
      "ki": "Malaysia",
      "kk": "Малайзия",
      "kl": "Malaysia",
      "km": "ម៉ាឡេស៊ី",
      "kn": "ಮಲೇಸಿಯಾ",
      "ko": "말레이시아",
      "ku": "Malezya",
      "kv": "Малайзия",
      "kw": "Malaysi",
      "ky": "Малайзия",
      "lo": "ປະເທດມາເລເຊຍ",
      "lt": "Malaizija",
      "lv": "Malaizija",
      "mi": "Marēhia",
      "mk": "Малезија",
      "ml": "മലേഷ്യ",
      "mn": "Малайз",
      "mr": "मलेशिया",
      "ms": "Malaysia",
      "mt": "Malażja",
      "my": "မလေးရှားနိုင်ငံ",
      "na": "Maraidja",
      "nb": "Malaysia",
      "ne": "मलेशिया",
      "nl": "Maleisië",
      "nn": "Malaysia",
      "nv": "Malaysia",
      "oc": "Malàisia",
      "or": "ମାଲେଶିୟା",
      "pa": "ਮਲੇਸ਼ੀਆ",
      "pi": "मलयेशिया",
      "pl": "Malezja",
      "ps": "مالیزیا",
      "pt": "Malásia",
      "pt_BR": "Malásia",
      "ro": "Malaezia",
      "ru": "Малайзия",
      "rw": "Malesiya",
      "sc": "Malèsia",
      "sd": "Malaysia",
      "si": "මලයාසියා",
      "sk": "Malajzia",
      "sl": "Malezija",
      "so": "Malaysia",
      "sq": "Malajzi",
      "sr": "Малезија",
      "sv": "Malaysia",
      "sw": "Malaysia",
      "ta": "மலேசியா",
      "te": "మలేషియా",
      "tg": "Малайзия",
      "th": "มาเลเซีย",
      "ti": "ማሌዢያ",
      "tk": "Malaýziýa",
      "tl": "Malaysia",
      "tr": "Malezya",
      "tt": "Малайсиа",
      "ug": "مالايشىيا",
      "uk": "Малайзія",
      "ur": "ملائشیا",
      "uz": "Malayziya",
      "ve": "Malaysia",
      "vi": "Ma-lai-xi-a",
      "wa": "Malaizeye",
      "wo": "Maleesi",
      "xh": "Malaysia",
      "yo": "Malaysia",
      "zh_CN": "马来西亚",
      "zh_HK": "馬來西亞",
      "zh_TW": "馬來西亞",
      "zu": "Malaysia"
    },
  );

  /// Country: The Republic of Mozambique
  static const Country moz = Country(
    alpha2: 'MZ',
    alpha3: 'MOZ',
    continent: Continent.africa,
    countryCode: '258',
    currencyCode: 'MZN',
    gec: 'MZ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -18.665695,
        longitude: 35.529562,
      ),
      maxCoordinate: Coordinate(
        latitude: -10.3128929,
        longitude: 41.3965,
      ),
      minCoordinate: Coordinate(
        latitude: -26.9612,
        longitude: 30.2155501,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -10.3128929,
          longitude: 41.3965,
        ),
        southwest: Coordinate(
          latitude: -26.9612,
          longitude: 30.2155501,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'MOZ',
    isoLongName: 'The Republic of Mozambique',
    isoShortName: 'Mozambique',
    languagesOfficial: ['pt'],
    languagesSpoken: ['pt'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9],
    nationalPrefix: '0',
    nationality: 'Mozambican',
    number: '508',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'MZ',
    unofficialNames: ['Mozambique', 'Mosambik', 'モザンビーク'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Mozambique",
      "af": "Mosambiek",
      "ak": "Mozambique",
      "am": "ሞዛምቢክ",
      "an": "Mozambique",
      "ar": "موزمبيق",
      "as": "মোজাম্বিক",
      "ay": "Mozambique",
      "az": "Mozambiq",
      "ba": "Mozambique",
      "be": "Мазамбік",
      "bg": "Мозамбик",
      "bi": "Mozambique",
      "bn": "মোজাম্বিক",
      "bn_IN": "মোজাম্বিক",
      "br": "Mozambik",
      "bs": "Mozambik",
      "ca": "Moçambic",
      "ce": "Мозамбик",
      "ch": "Mozambique",
      "cs": "Mosambik",
      "cv": "Мозамбик",
      "cy": "Mozambique",
      "da": "Mocambique",
      "de": "Mosambik",
      "dv": "މުސިންބީ",
      "dz": "མོ་ཛམ་བིཀ།",
      "ee": "Mozambique",
      "el": "Μοζαμβίκη",
      "en": "Mozambique",
      "eo": "Mozambiko",
      "es": "Mozambique",
      "et": "Mosambiik",
      "eu": "Mozanbike",
      "fa": "موزامبیک",
      "ff": "Mozammbik",
      "fi": "Mosambik",
      "fo": "Mosambik",
      "fr": "Mozambique",
      "fy": "Mozambyk",
      "ga": "Mósaimbíc",
      "gl": "Mozambique",
      "gn": "Mozambique",
      "gu": "મોઝામ્બિક",
      "gv": "Yn Vosambeeck",
      "ha": "Mozambique",
      "he": "מוזמביק",
      "hi": "मोज़ाम्बीक",
      "hr": "Mozambik",
      "ht": "Mozanbik",
      "hu": "Mozambik",
      "hy": "Մոզամբիկ",
      "ia": "Mozambique",
      "id": "Mozambik",
      "io": "Mozambik",
      "is": "Mósambík",
      "it": "Mozambico",
      "iu": "Mozambique",
      "ja": "モザンビーク",
      "ka": "მოზამბიკი",
      "ki": "Mozambique",
      "kk": "Мозамбик",
      "kl": "Mozambique",
      "km": "ម៉ូហ្សាំប៊ិក",
      "kn": "ಮೋಝಾಂಬಿಕ್",
      "ko": "모잠비크",
      "ku": "Mozambîk",
      "kv": "Mozambique",
      "kw": "Mosambik",
      "ky": "Мозамбик",
      "lo": "Mozambique",
      "lt": "Mozambikas",
      "lv": "Mozambika",
      "mi": "Mohapiki",
      "mk": "Мозамбик",
      "ml": "മൊസാമ്പിക്",
      "mn": "Мозамбайк",
      "mr": "मोझेंबिक",
      "ms": "Mozambik",
      "mt": "Możambik",
      "my": "မိုဇမ်ဘစ်နိုင်ငံ",
      "na": "Mozambique",
      "nb": "Mosambik",
      "ne": "मोजाम्बिक",
      "nl": "Mozambique",
      "nn": "Mosambik",
      "nv": "Mozambique",
      "oc": "Moçambic",
      "or": "ମୋଜାମ୍ବିକ",
      "pa": "ਮੋਜ਼ਾਮਬੀਕਿਉ",
      "pi": "मोजम्बीक",
      "pl": "Mozambik",
      "ps": "موزمبيق",
      "pt": "Moçambique",
      "pt_BR": "Moçambique",
      "ro": "Mozambic",
      "ru": "Мозамбик",
      "rw": "Mozambike",
      "sc": "Mozambicu",
      "sd": "Mozambique",
      "si": "මොසැම්බික්",
      "sk": "Mozambik",
      "sl": "Mozambik",
      "so": "Musambiig",
      "sq": "Mozambik",
      "sr": "Мозамбик",
      "sv": "Moçambique",
      "sw": "Msumbiji",
      "ta": "மொசாம்பிக்",
      "te": "మోజాంబిక్",
      "tg": "Мозамбик",
      "th": "โมซัมบิก",
      "ti": "ሞዛምቢክ",
      "tk": "Mozambik",
      "tl": "Mozambique",
      "tr": "Mozambik",
      "tt": "Мозамбик",
      "ug": "موزامبىك",
      "uk": "Мозамбік",
      "ur": "موزمبیق",
      "uz": "Mozambik",
      "ve": "Mozambikwi",
      "vi": "Mô-xam-bí-khợ",
      "wa": "Mozambike",
      "wo": "Mosaambik",
      "xh": "Mozambique",
      "yo": "Mòsámbìk",
      "zh_CN": "莫桑比克",
      "zh_HK": "莫桑比克",
      "zh_TW": "莫三比克",
      "zu": "IMozambiki"
    },
  );

  /// Country: The Republic of Namibia
  static const Country nam = Country(
    alpha2: 'NA',
    alpha3: 'NAM',
    continent: Continent.africa,
    countryCode: '264',
    currencyCode: 'NAD',
    gec: 'WA',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -22.95764,
        longitude: 18.49041,
      ),
      maxCoordinate: Coordinate(
        latitude: -16.9634849,
        longitude: 25.261752,
      ),
      minCoordinate: Coordinate(
        latitude: -28.97063889999999,
        longitude: 11.4696999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -16.9634849,
          longitude: 25.261752,
        ),
        southwest: Coordinate(
          latitude: -28.97063889999999,
          longitude: 11.4696999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'NAM',
    isoLongName: 'The Republic of Namibia',
    isoShortName: 'Namibia',
    languagesOfficial: ['en', 'af'],
    languagesSpoken: ['en', 'af'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [6, 7],
    nationalPrefix: '0',
    nationality: 'Namibian',
    number: '516',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Southern Africa',
    unLocode: 'NA',
    unofficialNames: ['Namibia', 'Namibie', 'ナミビア', 'Namibië'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: 'ZAR',
    isoShortNameByLocale: {
      "ab": "Namibia",
      "af": "Namibië",
      "ak": "Namibia",
      "am": "ናሡቢ።",
      "an": "Namibia",
      "ar": "ناميبيا",
      "as": "নামিবিয়া",
      "ay": "Namibia",
      "az": "Namibiya",
      "ba": "Namibia",
      "be": "Намібія",
      "bg": "Намибия",
      "bi": "Namibia",
      "bn": "নামিবিয়া",
      "bn_IN": "নামিবিয়া",
      "br": "Namibia",
      "bs": "Namibija",
      "ca": "Namíbia",
      "ce": "Намиби",
      "ch": "Namibia",
      "cs": "Namibie",
      "cv": "Намиби",
      "cy": "Namibia",
      "da": "Namibia",
      "de": "Namibia",
      "dv": "Namibia",
      "dz": "ནམ་བི་ཡ།",
      "ee": "Namibia",
      "el": "Ναμίμπια",
      "en": "Namibia",
      "eo": "Namibio",
      "es": "Namibia",
      "et": "Namiibia",
      "eu": "Namibia",
      "fa": "نامیبیا",
      "ff": "Namibiya",
      "fi": "Namibia",
      "fo": "Namibia",
      "fr": "Namibie",
      "fy": "Namybje",
      "ga": "An Namaib",
      "gl": "Namibia",
      "gn": "Namibia",
      "gu": "નામિબિયા",
      "gv": "Yn Nameeb",
      "ha": "Namibiya",
      "he": "נמיביה",
      "hi": "नामीबिया",
      "hr": "Namibija",
      "ht": "Namibi",
      "hu": "Namíbia",
      "hy": "Նամիբիա",
      "ia": "Namibia",
      "id": "Namibia",
      "io": "Namibia",
      "is": "Namibía",
      "it": "Namibia",
      "iu": "Namibia",
      "ja": "ナミビア",
      "ka": "ნამიბია",
      "ki": "Namibia",
      "kk": "Намибия",
      "kl": "Namibia",
      "km": "ណាមីប៊ី",
      "kn": "ನಮೀಬಿಯಾ",
      "ko": "나미비아",
      "ku": "Namîbiya",
      "kv": "Namibia",
      "kw": "Namibi",
      "ky": "Намибия",
      "lo": "Namibia",
      "lt": "Namibija",
      "lv": "Namībija",
      "mi": "Namīpia",
      "mk": "Намибија",
      "ml": "നമീബിയ",
      "mn": "Намиб",
      "mr": "नामिबिया",
      "ms": "Namibia",
      "mt": "Namibja",
      "my": "နမီးဘီးယားနိုင်ငံ",
      "na": "Namibiya",
      "nb": "Namibia",
      "ne": "नामिबिया",
      "nl": "Namibië",
      "nn": "Namibia",
      "nv": "Namibia",
      "oc": "Namibia",
      "or": "ନାମୀବିୟା",
      "pa": "ਨੀਮੀਬੀਆ",
      "pi": "नमीबिया",
      "pl": "Namibia",
      "ps": "نېمبیا",
      "pt": "Namíbia",
      "pt_BR": "Namíbia",
      "ro": "Namibia",
      "ru": "Намибия",
      "rw": "Namibiya",
      "sc": "Namìbia",
      "sd": "Namibia",
      "si": "නැම්බියාව",
      "sk": "Namíbia",
      "sl": "Namibija",
      "so": "Namiibiya",
      "sq": "Namibi",
      "sr": "Намибија",
      "sv": "Namibia",
      "sw": "Namibia",
      "ta": "நமீபியா",
      "te": "నమీబియా",
      "tg": "Намибия",
      "th": "นามิเบีย",
      "ti": "ናሚቢያ",
      "tk": "Namibiýa",
      "tl": "Namibia",
      "tr": "Namibya",
      "tt": "Намибиа",
      "ug": "نامىبىيە",
      "uk": "Намібія",
      "ur": "نمیبیا",
      "uz": "Namibiya",
      "ve": "Namibia",
      "vi": "Na-mi-bi-a",
      "wa": "Namibeye",
      "wo": "Namibi",
      "xh": "Namibia",
      "yo": "Nàmíbíà",
      "zh_CN": "纳米比亚",
      "zh_HK": "納米比亞",
      "zh_TW": "納米比亞",
      "zu": "INamibhiya"
    },
  );

  /// Country: New Caledonia
  static const Country ncl = Country(
    alpha2: 'NC',
    alpha3: 'NCL',
    continent: Continent.australia,
    countryCode: '687',
    currencyCode: 'XPF',
    gec: 'NC',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -20.904305,
        longitude: 165.618042,
      ),
      maxCoordinate: Coordinate(
        latitude: -19.1607355,
        longitude: 168.3325194,
      ),
      minCoordinate: Coordinate(
        latitude: -23.2514406,
        longitude: 163.3557129,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -19.1607355,
          longitude: 168.3325194,
        ),
        southwest: Coordinate(
          latitude: -23.2514406,
          longitude: 163.3557129,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'New Caledonia',
    isoShortName: 'New Caledonia',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [6],
    nationalPrefix: 'None',
    nationality: 'New Caledonian',
    number: '540',
    postalCode: true,
    postalCodeFormat: r'988\d{2}',
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Melanesia',
    unLocode: 'NC',
    unofficialNames: [
      'New Caledonia',
      'Neukaledonien',
      'Nouvelle-Calédonie',
      'Nueva Caledonia',
      'ニューカレドニア',
      'Nieuw-Caledonië'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "New Caledonia",
      "af": "Nieu-Kaledonië",
      "ak": "New Caledonia",
      "am": "ኒፄ ጢሓ፦ኒ።",
      "an": "New Caledonia",
      "ar": "نيو قلدونيا",
      "as": "নিউ কেলেডনিয়া",
      "ay": "New Caledonia",
      "az": "Yeni Kaledoniya",
      "ba": "New Caledonia",
      "be": "Новая Каледонія",
      "bg": "Нова Каледония",
      "bi": "New Caledonia",
      "bn": "নিউ ক্যালেডোনিয়া",
      "bn_IN": "নিউ ক্যালেডোনিয়া",
      "br": "Kaledonia-Nevez",
      "bs": "Nova Kaledonija",
      "ca": "Nova Caledònia",
      "ce": "Керла Каледони",
      "ch": "New Caledonia",
      "cs": "Nová Kaledonie",
      "cv": "Керла Каледони",
      "cy": "Caledonia Newydd",
      "da": "Ny Kaledonien",
      "de": "Neukaledonien",
      "dv": "ނިއު ކެލެޑޯނިއާ",
      "dz": "ནིའུ་ ཀེ་ལི་ཌོ་ནི་ཡ།",
      "ee": "New Caledonia",
      "el": "Νέα Καληδονία",
      "en": "New Caledonia",
      "eo": "Nov-Kaledonio",
      "es": "Nueva Caledonia",
      "et": "Uus-Kaledoonia",
      "eu": "Kaledonia Berria",
      "fa": "کالدونیای جدید",
      "ff": "New Caledonia",
      "fi": "Uusi-Kaledonia",
      "fo": "New Caledonia",
      "fr": "Nouvelle-Calédonie",
      "fy": "Nij-Kaledoanje",
      "ga": "An Nua-Chaladóin",
      "gl": "Nova Caledonia",
      "gn": "New Caledonia",
      "gu": "ન્યુ કેલેડોનિયા",
      "gv": "New Caledonia",
      "ha": "New Caledonia",
      "he": "קלדוניה החדשה",
      "hi": "नया कैलेडोनिया",
      "hr": "Nova Kaledonija",
      "ht": "Nouvèl Kaledoni",
      "hu": "Új-Kaledónia",
      "hy": "Նոր Կալեդոնիա",
      "ia": "Nove Caledonia",
      "id": "Kaledonia Baru",
      "io": "Nova-Kaledonia",
      "is": "Nýja-Kaledónía",
      "it": "Nuova Caledonia",
      "iu": "New Caledonia",
      "ja": "ニューカレドニア",
      "ka": "ახალი კალედონია",
      "ki": "New Caledonia",
      "kk": "Жаңа Каледония",
      "kl": "New Caledonia",
      "km": "នូវែលកាលេដូនី",
      "kn": "ಹೊಸ ಕೆಲೆಡೊನಿಯಾ",
      "ko": "누벨칼레도니",
      "ku": "Kaledonyaya Nû",
      "kv": "New Caledonia",
      "kw": "Kelesoni Nowydh",
      "ky": "Жаңы Каледония",
      "lo": "New Caledonia",
      "lt": "Naujoji Kaledonija",
      "lv": "Jaunkaledonija",
      "mi": "New Caledonia",
      "mk": "Нова Каледонија",
      "ml": "ന്യൂ കാലിഡോമിയ",
      "mn": "Шинэ калдени",
      "mr": "न्यू कॅलिडोनिया",
      "ms": "New Caledonia",
      "mt": "Kaledonja l-Ġdida",
      "my": "New Caledonia",
      "na": "New Caledonia",
      "nb": "Ny-Caledonia",
      "ne": "नयाँ क्यालेदोनिया",
      "nl": "Nieuw-Caledonië",
      "nn": "Ny-Caledonia",
      "nv": "New Caledonia",
      "oc": "Nòva Caledònia",
      "or": "ନ୍ଯୁ କାଲେଡୋନିୟା",
      "pa": "ਨਵਾਂ ਕਾਲੀਡੋਨੀਆਂ",
      "pi": "New Caledonia",
      "pl": "Nowa Kaledonia",
      "ps": "New Caledonia",
      "pt": "Nova Caledónia",
      "pt_BR": "Nova Caledônia",
      "ro": "Noua Caledonie",
      "ru": "Новая Каледония",
      "rw": "Nuveli Kalidoniya",
      "sc": "Noa Caledònia",
      "sd": "New Caledonia",
      "si": "නව කැලිඩෝනියාව",
      "sk": "Nová Kaledónia",
      "sl": "Nova Kaledonija",
      "so": "New Caledonia",
      "sq": "Kaledonia e Re",
      "sr": "Нова Каледонија",
      "sv": "Nya Kaledonien",
      "sw": "New Caledonia",
      "ta": "புதிய கலிடோனியா",
      "te": "న్యూ కెలిడోనియా",
      "tg": "Каледонияи Нав",
      "th": "นิวแคลิโดเนีย",
      "ti": "ኒው ካሌዶኒያ",
      "tk": "Täze Kaledoniýa",
      "tl": "Bagong Caledonia",
      "tr": "Yeni Kaledonya",
      "tt": "Яңа Каледониа",
      "ug": "يېڭى كالېدونىيە",
      "uk": "Нова Каледонія",
      "ur": "نیو کیلیڈونیا",
      "uz": "Yangi kaledoniya",
      "ve": "New Caledonia",
      "vi": "Niu Ca-lê-đô-ni-a",
      "wa": "Nouve Caledoneye",
      "wo": "Nuweel Kaledooni",
      "xh": "New Caledonia",
      "yo": "Kalẹdóníà Tuntun",
      "zh_CN": "新喀里多尼亚",
      "zh_HK": "新喀里多尼亞島",
      "zh_TW": "新喀里多尼亞",
      "zu": "New Caledonia"
    },
  );

  /// Country: The Republic of the Niger
  static const Country ner = Country(
    alpha2: 'NE',
    alpha3: 'NER',
    continent: Continent.africa,
    countryCode: '227',
    currencyCode: 'XOF',
    gec: 'NG',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 17.607789,
        longitude: 8.081666,
      ),
      maxCoordinate: Coordinate(
        latitude: 23.4999997,
        longitude: 15.9990339,
      ),
      minCoordinate: Coordinate(
        latitude: 11.693756,
        longitude: 0.1617177,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 23.4999997,
          longitude: 15.9990339,
        ),
        southwest: Coordinate(
          latitude: 11.693756,
          longitude: 0.1617177,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'NIG',
    isoLongName: 'The Republic of the Niger',
    isoShortName: 'Niger',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '0',
    nationality: 'Nigerian',
    number: '562',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Western Africa',
    unLocode: 'NE',
    unofficialNames: ['Niger', 'Níger', 'ニジェール'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Niger",
      "af": "Niger",
      "ak": "Niger",
      "am": "ኒጄር",
      "an": "Niger",
      "ar": "النّيجر",
      "as": "নাইজাৰ",
      "ay": "Niger",
      "az": "Niger",
      "ba": "Niger",
      "be": "Нігер",
      "bg": "Нигер",
      "bi": "Niger",
      "bn": "নাইজার",
      "bn_IN": "নাইজার",
      "br": "Niger",
      "bs": "Niger",
      "ca": "Níger",
      "ce": "Нигер",
      "ch": "Niger",
      "cs": "Niger",
      "cv": "Нигер",
      "cy": "Niger",
      "da": "Niger",
      "de": "Niger",
      "dv": "ނީޖަރު",
      "dz": "ནའི་ཇར།",
      "ee": "Niger",
      "el": "Νίγηρας",
      "en": "Niger",
      "eo": "Niĝero",
      "es": "Niger",
      "et": "Niger",
      "eu": "Niger",
      "fa": "نیجر",
      "ff": "Niiser",
      "fi": "Niger",
      "fo": "Niger",
      "fr": "Niger",
      "fy": "Niger",
      "ga": "An Nígir",
      "gl": "Níxer",
      "gn": "Niger",
      "gu": "નાઇજર",
      "gv": "Yn Neegeyr",
      "ha": "Nijar",
      "he": "ניז׳ר",
      "hi": "नाइजर",
      "hr": "Niger",
      "ht": "Nijè",
      "hu": "Niger",
      "hy": "Նիգեր",
      "ia": "Niger",
      "id": "Niger",
      "io": "Nijer",
      "is": "Níger",
      "it": "Niger",
      "iu": "Niger",
      "ja": "ニジェール",
      "ka": "ნიგერი",
      "ki": "Niger",
      "kk": "Нигер",
      "kl": "Niger",
      "km": "នីហ្សេរ",
      "kn": "ನೈಜರ್",
      "ko": "니제르",
      "ku": "Nîjer",
      "kv": "Niger",
      "kw": "Pow Nijer",
      "ky": "Нигер",
      "lo": "Niger",
      "lt": "Nigeris",
      "lv": "Nigēra",
      "mi": "Niger",
      "mk": "Нигер",
      "ml": "നൈജര്‍",
      "mn": "Нигер",
      "mr": "नायजेर",
      "ms": "Niger",
      "mt": "Niġer",
      "my": "နိုင်ဂျာနိုင်ငံ",
      "na": "Niger",
      "nb": "Niger",
      "ne": "निगर",
      "nl": "Niger",
      "nn": "Niger",
      "nv": "Niger",
      "oc": "Nigèr",
      "or": "ନାଇଜର",
      "pa": "ਨੀਜ਼ਰ",
      "pi": "नीजे",
      "pl": "Niger",
      "ps": "نایجېر",
      "pt": "Níger",
      "pt_BR": "Níger",
      "ro": "Niger",
      "ru": "Нигер",
      "rw": "Nigeri",
      "sc": "Nìger",
      "sd": "Niger",
      "si": "නිගර්",
      "sk": "Niger",
      "sl": "Niger",
      "so": "Niger",
      "sq": "Niger",
      "sr": "Нигер",
      "sv": "Niger",
      "sw": "Niger",
      "ta": "நைகர்",
      "te": "నైజెర్",
      "tg": "Нигер",
      "th": "ไนเจอร์",
      "ti": "ናይጀር",
      "tk": "Niger",
      "tl": "Niger",
      "tr": "Nijer",
      "tt": "Ниgер",
      "ug": "نىگېر",
      "uk": "Нігер",
      "ur": "نائجر",
      "uz": "Niger",
      "ve": "Niger",
      "vi": "Ni-gie",
      "wa": "Nidjer",
      "wo": "Nijeer",
      "xh": "Niger",
      "yo": "Nìjẹ̀r",
      "zh_CN": "尼日尔",
      "zh_HK": "尼日爾",
      "zh_TW": "尼日",
      "zu": "INayighe"
    },
  );

  /// Country: The Territory of Norfolk Island
  static const Country nfk = Country(
    alpha2: 'NF',
    alpha3: 'NFK',
    continent: Continent.australia,
    countryCode: '672',
    currencyCode: 'AUD',
    gec: 'NF',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -29.040835,
        longitude: 167.954712,
      ),
      maxCoordinate: Coordinate(
        latitude: -28.9929014,
        longitude: 167.9985523,
      ),
      minCoordinate: Coordinate(
        latitude: -29.137506,
        longitude: 167.9134083,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -28.9929014,
          longitude: 167.9985523,
        ),
        southwest: Coordinate(
          latitude: -29.137506,
          longitude: 167.9134083,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'The Territory of Norfolk Island',
    isoShortName: 'Norfolk Island',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [6],
    nationalPrefix: 'None',
    nationality: 'Norfolk Islander',
    number: '574',
    postalCode: true,
    postalCodeFormat: r'2899',
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Australia and New Zealand',
    unLocode: 'NF',
    unofficialNames: [
      'Norfolk Island',
      'Norfolkinsel',
      'Île de Norfolk',
      'Isla de Norfolk',
      'ノーフォーク島',
      'Norfolkeiland'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Norfolk Island",
      "af": "Norfolk Eiland",
      "ak": "Norfolk Island",
      "am": "Norfolk Island",
      "an": "Norfolk Island",
      "ar": "جزيرة نورفولك",
      "as": "নৰফোল্ক দ্বীপ",
      "ay": "Norfolk Island",
      "az": "Norfolk Adaları",
      "ba": "Norfolk Island",
      "be": "Востраў Норфалк",
      "bg": "Остров Норфолк",
      "bi": "Norfolk Island",
      "bn": "নরফোল্ক দ্বীপ",
      "bn_IN": "নরফোল্ক দ্বীপ",
      "br": "Enez Norfolk",
      "bs": "Norfolk ostrvo",
      "ca": "Illa Norfolk",
      "ce": "Norfolk Island",
      "ch": "Norfolk Island",
      "cs": "Norfolkský ostrov",
      "cv": "Norfolk Island",
      "cy": "Ynys Norfolk",
      "da": "Norfolk Øen",
      "de": "Norfolkinsel",
      "dv": "Norfolk Island",
      "dz": "ནོར་ཕོལཀ་ ཨའི་ལེནཌི།",
      "ee": "Norfolk Island",
      "el": "Νήσος Νόρφολκ",
      "en": "Norfolk Island",
      "eo": "Norfolkinsulo",
      "es": "Isla Norfolk",
      "et": "Norfolk",
      "eu": "Norfolk uhartea",
      "fa": "جزیرهٔ نورفولک",
      "ff": "Norfolk Island",
      "fi": "Norfolkinsaari",
      "fo": "Norfolk Island",
      "fr": "Île Norfolk",
      "fy": "Norfolk",
      "ga": "Oileán Norfolk",
      "gl": "Illa Norfolk",
      "gn": "Norfolk Island",
      "gu": "નોર્ફોક ટાપુઓ",
      "gv": "Ellan Norfolk",
      "ha": "Norfolk Island",
      "he": "נורפוק",
      "hi": "नॉर्फ़ोक द्वीप",
      "hr": "Otok Norfolk",
      "ht": "Norfolk Island",
      "hu": "Norfolk-sziget",
      "hy": "Նոր­ֆոլկ Կղզի",
      "ia": "Insula Norfolk",
      "id": "Pulau Norfolk",
      "io": "Norfolk-insulo",
      "is": "Norfolkeyja",
      "it": "Isola Norfolk",
      "iu": "Norfolk Island",
      "ja": "ノーフォーク島",
      "ka": "ნორფოლკის კუნძული",
      "ki": "Norfolk Island",
      "kk": "Норфолк аралы",
      "kl": "Norfolk Island",
      "km": "កោះណរហ្វក",
      "kn": "ನಾರ್ಫೋಕ್ ದ್ವೀಪ",
      "ko": "노퍽 섬",
      "ku": "Girava Norfolk",
      "kv": "Norfolk Island",
      "kw": "Ynys Norfolk",
      "ky": "Норфолк аралы",
      "lo": "Norfolk Island",
      "lt": "Norfolko sala",
      "lv": "Norfolkas Sala",
      "mi": "Norfolk Island",
      "mk": "Норфолк острови",
      "ml": "നോര്‍ഫോക് ദ്വീപ്",
      "mn": "Норфолк Арал",
      "mr": "मॉरफोल्क आयलॅंड",
      "ms": "Pulau Norfolk",
      "mt": "Gżira Norfolk",
      "my": "Norfolk Island",
      "na": "Norfolk Island",
      "nb": "Norfolkøya",
      "ne": "नर फक टापु",
      "nl": "Norfolk",
      "nn": "Norfolkøya",
      "nv": "Norfolk Island",
      "oc": "Illa Norfolk",
      "or": "ନୋରଫୋକ ଦ୍ବୀପ",
      "pa": "ਨੋਰਫੋਕ ਟਾਪੂ",
      "pi": "Norfolk Island",
      "pl": "Wyspy Norfolk",
      "ps": "Norfolk Island",
      "pt": "Ilha Norfolk",
      "pt_BR": "Ilha Norfolk",
      "ro": "Insula Norfolk",
      "ru": "Остров Норфолк",
      "rw": "Ibirwa bya Norufoluki",
      "sc": "Ìsula Norfolk",
      "sd": "Norfolk Island",
      "si": "නෝෆෝක් දූපත",
      "sk": "Norfolk",
      "sl": "Norfolški otok",
      "so": "Norfolk Island",
      "sq": "Ishulli Norfolk",
      "sr": "Острво Норфолк",
      "sv": "Norfolköarna",
      "sw": "Norfolk Island",
      "ta": "நொர்ஃபோக் தீவு",
      "te": "నార్‌ఫోల్క్ ఐలాండ్",
      "tg": "Ҷазираи Норфолк",
      "th": "เกาะนอร์ฟอล์ก",
      "ti": "Norfolk Island",
      "tk": "Norfolk Adalary",
      "tl": "Pulo ng Norfolk",
      "tr": "Norfolk Adası",
      "tt": "Норфолк Утравлары",
      "ug": "نورفولك ئارىلى",
      "uk": "Острів Норфолк",
      "ur": "جزیرہ نارفولک",
      "uz": "Norfolk Island",
      "ve": "Norfolk Island",
      "vi": "Đảo Noa-phọ-khợ",
      "wa": "Iye Norfolk",
      "wo": "Norfolk Island",
      "xh": "Norfolk Island",
      "yo": "Erékùṣù Norfolk",
      "zh_CN": "诺福克岛",
      "zh_HK": "諾福克羣島",
      "zh_TW": "諾福克島",
      "zu": "Norfolk Island"
    },
  );

  /// Country: The Federal Republic of Nigeria
  static const Country nga = Country(
    alpha2: 'NG',
    alpha3: 'NGA',
    continent: Continent.africa,
    countryCode: '234',
    currencyCode: 'NGN',
    gec: 'NI',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 9.081999,
        longitude: 8.675277,
      ),
      maxCoordinate: Coordinate(
        latitude: 13.8856449,
        longitude: 14.677982,
      ),
      minCoordinate: Coordinate(
        latitude: 4.1821001,
        longitude: 2.676932,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 13.8856449,
          longitude: 14.677982,
        ),
        southwest: Coordinate(
          latitude: 4.1821001,
          longitude: 2.676932,
        ),
      ),
    ),
    internationalPrefix: '009',
    ioc: 'NGR',
    isoLongName: 'The Federal Republic of Nigeria',
    isoShortName: 'Nigeria',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8],
    nationalPrefix: '0',
    nationality: 'Nigerian',
    number: '566',
    postalCode: true,
    postalCodeFormat: r'\d{6}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Western Africa',
    unLocode: 'NG',
    unofficialNames: [
      'Nigeria',
      'Nigéria',
      'the Federal Republic of Nigeria',
      'ナイジェリア'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: VatRates(
      standard: 5.0,
      reduced: [],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Nigeria",
      "af": "Nigerië",
      "ak": "Nigeria",
      "am": "ና፤ጄሱ።",
      "an": "Nigeria",
      "ar": "نيجيريا",
      "as": "নাইজেৰিয়া",
      "ay": "Nigeria",
      "az": "Nigeriya",
      "ba": "Nigeria",
      "be": "Нігерыя",
      "bg": "Нигерия",
      "bi": "Nigeria",
      "bn": "নাইজেরিয়া",
      "bn_IN": "নাইজেরিয়া",
      "br": "Nigeria",
      "bs": "Nigerija",
      "ca": "Nigèria",
      "ce": "Нигери",
      "ch": "Nigeria",
      "cs": "Nigérie",
      "cv": "Нигери",
      "cy": "Nigeria",
      "da": "Nigeria",
      "de": "Nigeria",
      "dv": "ނައިޖީރިއާ",
      "dz": "ནའི་ཇི་རི་ཡ།",
      "ee": "Nigeria",
      "el": "Νιγηρία",
      "en": "Nigeria",
      "eo": "Niĝerio",
      "es": "Nigeria",
      "et": "Nigeeria",
      "eu": "Nigeria",
      "fa": "نیجریه",
      "ff": "Niiseriya",
      "fi": "Nigeria",
      "fo": "Nigeria",
      "fr": "Nigeria",
      "fy": "Nigearia",
      "ga": "An Nigéir",
      "gl": "Nixeria",
      "gn": "Nigeria",
      "gu": "નાઇજેરિયા",
      "gv": "Yn Naigeer",
      "ha": "Nijeriya",
      "he": "ניגריה",
      "hi": "नाईजीरिया",
      "hr": "Nigerija",
      "ht": "Nijerya",
      "hu": "Nigéria",
      "hy": "Նիգերիա",
      "ia": "Nigeria",
      "id": "Nigeria",
      "io": "Nigeria",
      "is": "Nígería",
      "it": "Nigeria",
      "iu": "Nigeria",
      "ja": "ナイジェリア",
      "ka": "ნიგერია",
      "ki": "Nigeria",
      "kk": "Нигерия",
      "kl": "Nigeria",
      "km": "នីហ្សេរីយ៉ា",
      "kn": "ನೈಜೀರಿಯಾ",
      "ko": "나이지리아",
      "ku": "Nîjerya",
      "kv": "Nigeria",
      "kw": "Nijeri",
      "ky": "Нигерия",
      "lo": "Nigeria",
      "lt": "Nigerija",
      "lv": "Nigērija",
      "mi": "Nigeria",
      "mk": "Нигерија",
      "ml": "നൈജീരിയ",
      "mn": "Нигерь",
      "mr": "नायजेरिया",
      "ms": "Nigeria",
      "mt": "Niġerja",
      "my": "နိုင်ဂျီးရီးယားနိုင်ငံ",
      "na": "Nigeria",
      "nb": "Nigeria",
      "ne": "नाइजेरिया",
      "nl": "Nigeria",
      "nn": "Nigeria",
      "nv": "Naakaii Łizhinii Biʼéénézí Bikéyah",
      "oc": "Nigèria",
      "or": "ନିଈଜୀରିୟା",
      "pa": "ਨੀਜ਼ੀਰਆ",
      "pi": "नैजीरिया",
      "pl": "Nigeria",
      "ps": "نایجیریا",
      "pt": "Nigéria",
      "pt_BR": "Nigéria",
      "ro": "Nigeria",
      "ru": "Нигерия",
      "rw": "Nigeriya",
      "sc": "Nigèria",
      "sd": "نائيجيريا",
      "si": "නයිජීරියා",
      "sk": "Nigéria",
      "sl": "Nigerija",
      "so": "Nayjeeriya",
      "sq": "Nigeri",
      "sr": "Нигерија",
      "sv": "Nigeria",
      "sw": "Nigeria",
      "ta": "நைஜீரியா",
      "te": "నైజీరియా",
      "tg": "Нигерия",
      "th": "ไนจีเรีย",
      "ti": "ናይጄሪያ",
      "tk": "Nigeriýa",
      "tl": "Nigeria",
      "tr": "Nijerya",
      "tt": "Ниgериа",
      "ug": "نىگېرىيە",
      "uk": "Нігерія",
      "ur": "نائجیریا",
      "uz": "Nigeriya",
      "ve": "Nigeria",
      "vi": "Ni-giê-ri-a",
      "wa": "Nidjeria",
      "wo": "Nijeeria",
      "xh": "Nigeria",
      "yo": "Nàìjíríà",
      "zh_CN": "尼日利亚",
      "zh_HK": "尼日利亞",
      "zh_TW": "奈及利亞",
      "zu": "INigeria"
    },
  );

  /// Country: The Republic of Nicaragua
  static const Country nic = Country(
    alpha2: 'NI',
    alpha3: 'NIC',
    continent: Continent.northAmerica,
    countryCode: '505',
    currencyCode: 'NIO',
    gec: 'NU',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 12.865416,
        longitude: -85.207229,
      ),
      maxCoordinate: Coordinate(
        latitude: 15.0297369,
        longitude: -82.2766,
      ),
      minCoordinate: Coordinate(
        latitude: 10.7080549,
        longitude: -87.7588,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 15.0297369,
          longitude: -82.2766,
        ),
        southwest: Coordinate(
          latitude: 10.7080549,
          longitude: -87.7588,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'NCA',
    isoLongName: 'The Republic of Nicaragua',
    isoShortName: 'Nicaragua',
    languagesOfficial: ['es'],
    languagesSpoken: ['es'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Nicaraguan',
    number: '558',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Central America',
    unLocode: 'NI',
    unofficialNames: ['Nicaragua', 'ニカラグア'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Nicaragua",
      "af": "Nicaragua",
      "ak": "Nicaragua",
      "am": "ኒካራጓ",
      "an": "Nicaragua",
      "ar": "نيكاراجوا",
      "as": "নিকৰ্গুৱা",
      "ay": "Nicaragua",
      "az": "Nikaraqua",
      "ba": "Nicaragua",
      "be": "Нікарагуа",
      "bg": "Никарагуа",
      "bi": "Nicaragua",
      "bn": "নিকারাগুয়া",
      "bn_IN": "নিকারাগুয়া",
      "br": "Nicaragua",
      "bs": "Nikaragva",
      "ca": "Nicaragua",
      "ce": "Никарагуа",
      "ch": "Nicaragua",
      "cs": "Nikaragua",
      "cv": "Никарагуа",
      "cy": "Nicaragua",
      "da": "Nicaragua",
      "de": "Nicaragua",
      "dv": "ނިކަރާގުއާ",
      "dz": "ནི་ཀ་ར་གུ་ཝ།",
      "ee": "Nicaragua",
      "el": "Νικαράγουα",
      "en": "Nicaragua",
      "eo": "Nikaragvo",
      "es": "Nicaragua",
      "et": "Nicaragua",
      "eu": "Nikaragua",
      "fa": "نیکاراگوئه",
      "ff": "Nicaragua",
      "fi": "Nicaragua",
      "fo": "Nikaragua",
      "fr": "Nicaragua",
      "fy": "Nikaragûa",
      "ga": "Nicearagua",
      "gl": "Nicaragua",
      "gn": "Nicaragua",
      "gu": "નિકારાગુઆ",
      "gv": "Yn Nickeraag",
      "ha": "Nicaragua",
      "he": "ניקרגואה",
      "hi": "निकारागुआ",
      "hr": "Nikaragva",
      "ht": "Nikaragwa",
      "hu": "Nicaragua",
      "hy": "Նիկարագուա",
      "ia": "Nicaragua",
      "id": "Nikaragua",
      "io": "Nikaragua",
      "is": "Níkaragva",
      "it": "Nicaragua",
      "iu": "Nicaragua",
      "ja": "ニカラグア",
      "ka": "ნიკარაგუა",
      "ki": "Nicaragua",
      "kk": "Никарагуа",
      "kl": "Nicaragua",
      "km": "នីការ៉ាហ្គ័រ",
      "kn": "ನಿಕರಾಗುವಾ",
      "ko": "니카라과",
      "ku": "Nîkaragûa",
      "kv": "Никарагуа",
      "kw": "Nikaragwa",
      "ky": "Никарагуа",
      "lo": "Nicaragua",
      "lt": "Nikaragva",
      "lv": "Nikaragva",
      "mi": "Nikarāhua",
      "mk": "Никарагва",
      "ml": "നികരാഗ്വ",
      "mn": "Никрагуа",
      "mr": "निकाराग्वा",
      "ms": "Nicaragua",
      "mt": "Nikaragwa",
      "my": "နီကာရာဂွါနိုင်ငံ",
      "na": "Nikaragua",
      "nb": "Nicaragua",
      "ne": "निकारागुवा",
      "nl": "Nicaragua",
      "nn": "Nicaragua",
      "nv": "Nicaragua",
      "oc": "Nicaragua",
      "or": "ନିକାରାଗୁଆ",
      "pa": "ਨਿਕਾਰਗੁਆ",
      "pi": "निकारगुवा",
      "pl": "Nikaragua",
      "ps": "نکاراګوا",
      "pt": "Nicarágua",
      "pt_BR": "Nicarágua",
      "ro": "Nicaragua",
      "ru": "Никарагуа",
      "rw": "Nikaragwa",
      "sc": "Nicaràgua",
      "sd": "Nicaragua",
      "si": "නිකරගුවා",
      "sk": "Nikaragua",
      "sl": "Nikaragva",
      "so": "Nikaraaguwa",
      "sq": "Nikaragua",
      "sr": "Никарагва",
      "sv": "Nicaragua",
      "sw": "Nicaragua",
      "ta": "நிகராகுவா",
      "te": "నికారాగ్వా",
      "tg": "Никарагуа",
      "th": "นิการากัว",
      "ti": "ኒካራጓ",
      "tk": "Nikaragua",
      "tl": "Nicaragua",
      "tr": "Nikaragua",
      "tt": "Никараgуа",
      "ug": "نىكاراگۇئا",
      "uk": "Нікарагуа",
      "ur": "نکاراگوا",
      "uz": "Nikaragua",
      "ve": "Nicaragua",
      "vi": "Ni-ca-ra-gua",
      "wa": "Nicaragwa",
      "wo": "Nikaraaguwa",
      "xh": "Nicaragua",
      "yo": "Nikarágúà",
      "zh_CN": "尼加拉瓜",
      "zh_HK": "尼加拉瓜",
      "zh_TW": "尼加拉瓜",
      "zu": "Nicaragua"
    },
  );

  /// Country: The Kingdom of the Netherlands
  static const Country nld = Country(
    alpha2: 'NL',
    alpha3: 'NLD',
    continent: Continent.europe,
    countryCode: '31',
    currencyCode: 'EUR',
    gec: 'NL',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 52.132633,
        longitude: 5.291265999999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 53.6316,
        longitude: 7.227510199999999,
      ),
      minCoordinate: Coordinate(
        latitude: 50.75038379999999,
        longitude: 3.3316001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 53.6316,
          longitude: 7.227510199999999,
        ),
        southwest: Coordinate(
          latitude: 50.75038379999999,
          longitude: 3.3316001,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'NED',
    isoLongName: 'The Kingdom of the Netherlands',
    isoShortName: 'Netherlands',
    languagesOfficial: ['nl'],
    languagesSpoken: ['nl'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Dutch',
    number: '528',
    postalCode: true,
    postalCodeFormat: r'\d{4} ?[A-Z]{2}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Western Europe',
    unLocode: 'NL',
    unofficialNames: [
      'Netherlands',
      'The Netherlands',
      'Niederlande',
      'Pays-Bas',
      'Países Bajos',
      'オランダ',
      'Nederland',
      'Нидерландия'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 21.0,
      reduced: [9.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Netherlands",
      "af": "Nederland",
      "ak": "Netherlands",
      "am": "ኔፈሴሒን፥",
      "an": "Netherlands",
      "ar": "هولندا",
      "as": "নেডাৰলেণ্ড",
      "ay": "Netherlands",
      "az": "Hollandiya",
      "ba": "Netherlands",
      "be": "Нідэрланды",
      "bg": "Холандия",
      "bi": "Netherlands",
      "bn": "নেদারল্যান্ড",
      "bn_IN": "নেদারল্যান্ড",
      "br": "Izelvroioù",
      "bs": "Nizozemska",
      "ca": "Països Baixos",
      "ce": "Нидерландаш",
      "ch": "Netherlands",
      "cs": "Nizozemsko",
      "cv": "Нидерландаш",
      "cy": "Yr Iseldiroedd",
      "da": "Holland",
      "de": "Niederlande",
      "dv": "ނެދަލޭންޑު",
      "dz": "ནེ་དར་ལེནཌིསི།",
      "ee": "Netherlands",
      "el": "Ολλανδία",
      "en": "Netherlands",
      "eo": "Nederlando",
      "es": "Países Bajos",
      "et": "Holland",
      "eu": "Herbehereak",
      "fa": "هلند",
      "ff": "Holannda",
      "fi": "Alankomaat",
      "fo": "Niðurlond",
      "fr": "Pays-Bas",
      "fy": "Nederlân",
      "ga": "An Ísiltír",
      "gl": "Países Baixos",
      "gn": "Netherlands",
      "gu": "નેધરલેન્ડ્સ",
      "gv": "Yn Çheer Injil",
      "ha": "Netherlands",
      "he": "הולנד",
      "hi": "नीदरलैण्ड",
      "hr": "Nizozemska",
      "ht": "Peyiba",
      "hu": "Hollandia",
      "hy": "Նիդերլանդեր",
      "ia": "Pais Basse",
      "id": "Belanda",
      "io": "Nederlando",
      "is": "Holland",
      "it": "Paesi Bassi",
      "iu": "Netherlands",
      "ja": "オランダ",
      "ka": "ნიდერლანდები",
      "ki": "Netherlands",
      "kk": "Нидерланды",
      "kl": "Netherlands",
      "km": "​ហូល្លង់",
      "kn": "ನೆದರ್‌ಲ್ಯಾಂಡ್ಸ್",
      "ko": "네덜란드",
      "ku": "Holanda",
      "kv": "Нидерландъяс",
      "kw": "Iseldiryow",
      "ky": "Нидерландтар",
      "lo": "ປະເທດໂຮນລັງ",
      "lt": "Nyderlandai",
      "lv": "Nīderlande",
      "mi": "Hōrana",
      "mk": "Холандија",
      "ml": "നെതര്‍ലന്‍ഡ്സ്",
      "mn": "Нидерланд",
      "mr": "नेदरलॅंडस्",
      "ms": "Belanda",
      "mt": "Netherlands",
      "my": "နယ်သာလန်နိုင်ငံ",
      "na": "Eben Eyong",
      "nb": "Nederland",
      "ne": "नेदरल्याण्ड",
      "nl": "Nederland",
      "nn": "Nederland",
      "nv": "Kéyah Wóyahgo Siʼánígíí",
      "oc": "Païses Basses",
      "or": "ନେଦରଲ୍ଯାଣ୍ଡ",
      "pa": "ਨੀਂਦਰਲੈਂਡ",
      "pi": "नेदरलैंड्स",
      "pl": "Holandia",
      "ps": "هالېنډ",
      "pt": "Países Baixos",
      "pt_BR": "Países Baixos",
      "ro": "Olanda",
      "ru": "Нидерланды",
      "rw": "Nederilande",
      "sc": "Paisos Bassos",
      "sd": "Netherlands",
      "si": "නෙදර්ලන්තය",
      "sk": "Holandsko",
      "sl": "Nizozemska",
      "so": "Netherlands",
      "sq": "Holandë",
      "sr": "Холандија",
      "sv": "Nederländerna",
      "sw": "Uholanzi",
      "ta": "நெதர்லாந்து",
      "te": "నేదర్లాండ్స్",
      "tg": "Нидерландия",
      "th": "เนเธอร์แลนด์",
      "ti": "ኔዘርላንድ",
      "tk": "Niderland",
      "tl": "Netherlands",
      "tr": "Hollanda",
      "tt": "Нидерландлар",
      "ug": "گوللاندىيە",
      "uk": "Нідерланди",
      "ur": "نیدرلینڈز",
      "uz": "Niderlandlar",
      "ve": "Netherlands",
      "vi": "Hoà Lan",
      "wa": "Bas Payis",
      "wo": "Olaand",
      "xh": "Netherlands",
      "yo": "Nẹ́dálándì",
      "zh_CN": "荷兰",
      "zh_HK": "荷蘭",
      "zh_TW": "荷蘭",
      "zu": "I-Netherlands"
    },
  );

  /// Country: The Kingdom of Norway
  static const Country nor = Country(
    alpha2: 'NO',
    alpha3: 'NOR',
    continent: Continent.europe,
    countryCode: '47',
    currencyCode: 'NOK',
    gec: 'NO',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 60.47202399999999,
        longitude: 8.468945999999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 71.30780000000001,
        longitude: 31.3549999,
      ),
      minCoordinate: Coordinate(
        latitude: 57.8097,
        longitude: 4.0649,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 71.30780000000001,
          longitude: 31.3549999,
        ),
        southwest: Coordinate(
          latitude: 57.8097,
          longitude: 4.0649,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'NOR',
    isoLongName: 'The Kingdom of Norway',
    isoShortName: 'Norway',
    languagesOfficial: ['nb', 'nn'],
    languagesSpoken: ['nb', 'nn'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Norwegian',
    number: '578',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Northern Europe',
    unLocode: 'NO',
    unofficialNames: [
      'Norway',
      'Norwegen',
      'Norvège',
      'Noruega',
      'ノルウェー',
      'Noorwegen'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 25.0,
      reduced: [],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Norway",
      "af": "Noorweë",
      "ak": "Norway",
      "am": "ኖሴፃ",
      "an": "Norway",
      "ar": "النّرويج",
      "as": "নৰৱে",
      "ay": "Norway",
      "az": "Norveç",
      "ba": "Norway",
      "be": "Нарвегія",
      "bg": "Норвегия",
      "bi": "Norway",
      "bn": "নরওয়ে",
      "bn_IN": "নরওয়ে",
      "br": "Norvegia",
      "bs": "Norveška",
      "ca": "Noruega",
      "ce": "Норвеги",
      "ch": "Norway",
      "cs": "Norsko",
      "cv": "Норвеги",
      "cy": "Norwy",
      "da": "Norge",
      "de": "Norwegen",
      "dv": "ނޯވޭ",
      "dz": "ནོར་ཝེ།",
      "ee": "Norway",
      "el": "Νορβηγία",
      "en": "Norway",
      "eo": "Norvegio",
      "es": "Noruega",
      "et": "Norra",
      "eu": "Norvegia",
      "fa": "نروژ",
      "ff": "Norwees",
      "fi": "Norja",
      "fo": "Noreg",
      "fr": "Norvège",
      "fy": "Noarwegen",
      "ga": "An Iorua",
      "gl": "Noruega",
      "gn": "Norway",
      "gu": "નોર્વે",
      "gv": "Norlynn",
      "ha": "Norway",
      "he": "נורווגיה",
      "hi": "नॉर्वे",
      "hr": "Norveška",
      "ht": "Nòvèj",
      "hu": "Norvégia",
      "hy": "Նորվեգիա",
      "ia": "Norvegia",
      "id": "Norwegia",
      "io": "Norvegia",
      "is": "Noregur",
      "it": "Norvegia",
      "iu": "ᓄᕐᒋ/nurgi",
      "ja": "ノルウェー",
      "ka": "ნორვეგია",
      "ki": "Nowĩ",
      "kk": "Норвегия",
      "kl": "Norway",
      "km": "ន័រវែស",
      "kn": "ನಾರ್ವೇ",
      "ko": "노르웨이",
      "ku": "Norweç",
      "kv": "Норвегия",
      "kw": "Norgagh",
      "ky": "Норвегия",
      "lo": "ປະເທດນອກແວດ",
      "lt": "Norvegija",
      "lv": "Norvēģija",
      "mi": "Nōwei",
      "mk": "Норвешка",
      "ml": "നോര്‍വേ",
      "mn": "Норвеги",
      "mr": "नॉर्वे",
      "ms": "Norway",
      "mt": "Norveġja",
      "my": "နော်ဝေနိုင်ငံ",
      "na": "Norwei",
      "nb": "Norge",
      "ne": "नर्वे",
      "nl": "Noorwegen",
      "nn": "Noreg",
      "nv": "Kinghą́ą́ʼ Haltsooí Dineʼé Bikéyah",
      "oc": "Norvègia",
      "or": "ନରୱେ",
      "pa": "ਨਾਰਵੇ",
      "pi": "नार्वे",
      "pl": "Norwegia",
      "ps": "ناروې",
      "pt": "Noruega",
      "pt_BR": "Noruega",
      "ro": "Norvegia",
      "ru": "Норвегия",
      "rw": "Noruveje",
      "sc": "Norvègia",
      "sd": "Norway",
      "si": "නෝර්වේ",
      "sk": "Nórsko",
      "sl": "Norveška",
      "so": "Noorweey",
      "sq": "Norvegji",
      "sr": "Норвешка",
      "sv": "Norge",
      "sw": "Norway",
      "ta": "நார்வே",
      "te": "నార్వే",
      "tg": "Норвегия",
      "th": "นอร์เวย์",
      "ti": "ኖርወይ",
      "tk": "Norwegiýa",
      "tl": "Norway",
      "tr": "Norveç",
      "tt": "Норвай",
      "ug": "نورۋېگىيە",
      "uk": "Норвегія",
      "ur": "ناروے",
      "uz": "Norvegiya",
      "ve": "Norway",
      "vi": "Na Uy",
      "wa": "Norvedje",
      "wo": "Norweej",
      "xh": "Norway",
      "yo": "Nọ́rwèy",
      "zh_CN": "挪威",
      "zh_HK": "挪威",
      "zh_TW": "挪威",
      "zu": "INoki"
    },
  );

  /// Country: The Federal Democratic Republic of Nepal
  static const Country npl = Country(
    alpha2: 'NP',
    alpha3: 'NPL',
    continent: Continent.asia,
    countryCode: '977',
    currencyCode: 'NPR',
    gec: 'NP',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 28.394857,
        longitude: 84.12400799999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 30.4473898,
        longitude: 88.20182969999999,
      ),
      minCoordinate: Coordinate(
        latitude: 26.3473741,
        longitude: 80.05846980000001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 30.4473898,
          longitude: 88.20182969999999,
        ),
        southwest: Coordinate(
          latitude: 26.3473741,
          longitude: 80.05846980000001,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'NEP',
    isoLongName: 'The Federal Democratic Republic of Nepal',
    isoShortName: 'Nepal',
    languagesOfficial: ['ne'],
    languagesSpoken: ['ne', 'mai', 'bho', 'new', 'urd'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8],
    nationalPrefix: '0',
    nationality: 'Nepalese',
    number: '524',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.asia,
    startOfWeek: Week.sunday,
    subregion: 'Southern Asia',
    unLocode: 'NP',
    unofficialNames: [
      'Nepal',
      'Népal',
      'the Federal Democratic Republic of Nepal',
      'ネパール'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: '''{{recipient}}
{{street}}
{{city}}
{{region}} {{postalcode}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Nepal",
      "af": "Nepal",
      "ak": "Nepal",
      "am": "ኔፓሔ",
      "an": "Nepal",
      "ar": "نيبال",
      "as": "নেপাল",
      "ay": "Nepal",
      "az": "Nepal",
      "ba": "Nepal",
      "be": "Непал",
      "bg": "Непал",
      "bi": "Nepal",
      "bn": "নেপাল",
      "bn_IN": "নেপাল",
      "br": "Nepal",
      "bs": "Nepal",
      "ca": "Nepal",
      "ce": "Непал",
      "ch": "Nepal",
      "cs": "Nepál",
      "cv": "Непал",
      "cy": "Nepal",
      "da": "Nepal",
      "de": "Nepal",
      "dv": "ނޭޕާލް",
      "dz": "ནེ་པཱལ།",
      "ee": "Nepal",
      "el": "Νεπάλ",
      "en": "Nepal",
      "eo": "Nepalo",
      "es": "Nepal",
      "et": "Nepal",
      "eu": "Nepal",
      "fa": "نپال",
      "ff": "Nepal",
      "fi": "Nepal",
      "fo": "Nepal",
      "fr": "Népal",
      "fy": "Nepal",
      "ga": "Neipeal",
      "gl": "Nepal",
      "gn": "Nepal",
      "gu": "નેપાળ",
      "gv": "Nepaal",
      "ha": "Nepal",
      "he": "נפאל",
      "hi": "नेपाल",
      "hr": "Nepal",
      "ht": "Nepal",
      "hu": "Nepál",
      "hy": "Նեպալ",
      "ia": "Nepal",
      "id": "Nepal",
      "io": "Nepal",
      "is": "Nepal",
      "it": "Nepal",
      "iu": "Nepal",
      "ja": "ネパール",
      "ka": "ნეპალი",
      "ki": "Nepal",
      "kk": "Непал",
      "kl": "Nepal",
      "km": "នេប៉ាល់",
      "kn": "ನೇಪಾಳ",
      "ko": "네팔",
      "ku": "Nepal",
      "kv": "Непал",
      "kw": "Nepal",
      "ky": "Непал",
      "lo": "Nepal",
      "lt": "Nepalas",
      "lv": "Nepāla",
      "mi": "Nepōra",
      "mk": "Непал",
      "ml": "നേപാള്‍",
      "mn": "Нипал",
      "mr": "नेपाळ",
      "ms": "Nepal",
      "mt": "Nepal",
      "my": "နီပေါနိုင်ငံ",
      "na": "Nepar",
      "nb": "Nepal",
      "ne": "नेपाल",
      "nl": "Nepal",
      "nn": "Nepal",
      "nv": "Dziłghą́ąʼdi Naakaii Dootłʼizhí Bikéyah",
      "oc": "Nepal",
      "or": "ନେପାଳ",
      "pa": "ਨੇਪਾਲ",
      "pi": "नेपाल",
      "pl": "Nepal",
      "ps": "نیپال",
      "pt": "Nepal",
      "pt_BR": "Nepal",
      "ro": "Nepal",
      "ru": "Непал",
      "rw": "Nepali",
      "sc": "Nepal",
      "sd": "نيپال",
      "si": "නේපාලය",
      "sk": "Nepál",
      "sl": "Nepal",
      "so": "Nepal",
      "sq": "Nepal",
      "sr": "Непал",
      "sv": "Nepal",
      "sw": "Nepal",
      "ta": "நேபாளம்",
      "te": "నేపాల్",
      "tg": "Непал",
      "th": "เนปาล",
      "ti": "ኔፓል",
      "tk": "Nepal",
      "tl": "Nepal",
      "tr": "Nepal",
      "tt": "Непал",
      "ug": "نېپال",
      "uk": "Непал",
      "ur": "نیپال",
      "uz": "Nepal",
      "ve": "Nepal",
      "vi": "Nê-pan",
      "wa": "Nepal",
      "wo": "Nepaal",
      "xh": "Nepal",
      "yo": "Nepal",
      "zh_CN": "尼泊尔",
      "zh_HK": "尼泊爾",
      "zh_TW": "尼泊爾",
      "zu": "Nepal"
    },
  );

  /// Country: The Republic of Nauru
  static const Country nru = Country(
    alpha2: 'NR',
    alpha3: 'NRU',
    continent: Continent.australia,
    countryCode: '674',
    currencyCode: 'AUD',
    gec: 'NR',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -0.522778,
        longitude: 166.931503,
      ),
      maxCoordinate: Coordinate(
        latitude: -0.4978976000000001,
        longitude: 166.9631767,
      ),
      minCoordinate: Coordinate(
        latitude: -0.5580623,
        longitude: 166.9071293,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -0.4978976000000001,
          longitude: 166.9631767,
        ),
        southwest: Coordinate(
          latitude: -0.5580623,
          longitude: 166.9071293,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'NRU',
    isoLongName: 'The Republic of Nauru',
    isoShortName: 'Nauru',
    languagesOfficial: ['en', 'na'],
    languagesSpoken: ['en', 'na'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: '0',
    nationality: 'Nauruan',
    number: '520',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Micronesia',
    unLocode: 'NR',
    unofficialNames: ['Nauru', 'ナウル'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Nauru",
      "af": "Naoeroe",
      "ak": "Nauru",
      "am": "ናውሩ",
      "an": "Nauru",
      "ar": "ناورو",
      "as": "নাউৰু",
      "ay": "Nauru",
      "az": "Nauru",
      "ba": "Nauru",
      "be": "Науру",
      "bg": "Науру",
      "bi": "Nauru",
      "bn": "নাউরু",
      "bn_IN": "নাউরু",
      "br": "Nauru",
      "bs": "Nauru",
      "ca": "Nauru",
      "ce": "Науру",
      "ch": "Nauru",
      "cs": "Nauru",
      "cv": "Науру",
      "cy": "Nauru",
      "da": "Nauru",
      "de": "Nauru",
      "dv": "ނައުރޫ",
      "dz": "ནའུ་རུ།",
      "ee": "Nauru",
      "el": "Ναουρού",
      "en": "Nauru",
      "eo": "Nauro",
      "es": "Nauru",
      "et": "Nauru",
      "eu": "Nauru",
      "fa": "نائورو",
      "ff": "Nawru",
      "fi": "Nauru",
      "fo": "Nauru",
      "fr": "Nauru",
      "fy": "Naurû",
      "ga": "Nárú",
      "gl": "Nauru",
      "gn": "Nauru",
      "gu": "નાઉરુ",
      "gv": "Naaroo",
      "ha": "Nauru",
      "he": "נאורו",
      "hi": "नौरु",
      "hr": "Nauru",
      "ht": "Naorou",
      "hu": "Nauru",
      "hy": "Նաուրու",
      "ia": "Nauru",
      "id": "Nauru",
      "io": "Nauru",
      "is": "Nárú",
      "it": "Nauru",
      "iu": "Nauru",
      "ja": "ナウル",
      "ka": "ნაურუ",
      "ki": "Nauru",
      "kk": "Науру",
      "kl": "Nauru",
      "km": "ណូរុ",
      "kn": "Nauru",
      "ko": "나우루",
      "ku": "Naûrû",
      "kv": "Nauru",
      "kw": "Nauru",
      "ky": "Науру",
      "lo": "Nauru",
      "lt": "Nauru",
      "lv": "Nauru",
      "mi": "Nauru",
      "mk": "Науру",
      "ml": "നൌറു",
      "mn": "Науру",
      "mr": "नौरु",
      "ms": "Nauru",
      "mt": "Nauru",
      "my": "နအူရူးနိုင်ငံ",
      "na": "Naoero",
      "nb": "Nauru",
      "ne": "नाउरु",
      "nl": "Nauru",
      "nn": "Nauru",
      "nv": "Nauru",
      "oc": "Nauru",
      "or": "ନୌରୁ",
      "pa": "ਨਾਉਰੂ",
      "pi": "नौरु",
      "pl": "Nauru",
      "ps": "Nauru",
      "pt": "Nauru",
      "pt_BR": "Nauru",
      "ro": "Nauru",
      "ru": "Науру",
      "rw": "Nawuru",
      "sc": "Nauru",
      "sd": "Nauru",
      "si": "නාවුරු",
      "sk": "Nauru",
      "sl": "Nauru",
      "so": "Nauru",
      "sq": "Nauru",
      "sr": "Науру",
      "sv": "Nauru",
      "sw": "Nauru",
      "ta": "நௌரு",
      "te": "नौरु",
      "tg": "Новурӯ",
      "th": "นาอูรู",
      "ti": "Nauru",
      "tk": "Nauru",
      "tl": "Nauru",
      "tr": "Nauru",
      "tt": "Науру",
      "ug": "ناۋرۇ",
      "uk": "науру",
      "ur": "ناورو",
      "uz": "Nauru",
      "ve": "Nauru",
      "vi": "Nau-ru",
      "wa": "Nawouro",
      "wo": "Nauru",
      "xh": "Nauru",
      "yo": "Nàúrù",
      "zh_CN": "瑙鲁",
      "zh_HK": "瑙魯",
      "zh_TW": "諾魯",
      "zu": "Nauru"
    },
  );

  /// Country: Niue
  static const Country niu = Country(
    alpha2: 'NU',
    alpha3: 'NIU',
    continent: Continent.australia,
    countryCode: '683',
    currencyCode: 'NZD',
    gec: 'NE',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -19.054445,
        longitude: -169.867233,
      ),
      maxCoordinate: Coordinate(
        latitude: -18.952625,
        longitude: -169.7743248,
      ),
      minCoordinate: Coordinate(
        latitude: -19.1555668,
        longitude: -169.9500846,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -18.952625,
          longitude: -169.7743248,
        ),
        southwest: Coordinate(
          latitude: -19.1555668,
          longitude: -169.9500846,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'Niue',
    isoShortName: 'Niue',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [4],
    nationalPrefix: 'None',
    nationality: 'Niuean',
    number: '570',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Polynesia',
    unLocode: 'NU',
    unofficialNames: ['Niue', 'ニウエ'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Niue",
      "af": "Niue",
      "ak": "Niue",
      "am": "ኒዌ",
      "an": "Niue",
      "ar": "نيوي",
      "as": "নিউ",
      "ay": "Niue",
      "az": "Niue",
      "ba": "Niue",
      "be": "Ніуэ",
      "bg": "Нию",
      "bi": "Niue",
      "bn": "নিউ",
      "bn_IN": "নিউ",
      "br": "Niue",
      "bs": "Niue",
      "ca": "Niue",
      "ce": "Niue",
      "ch": "Niue",
      "cs": "Niue",
      "cv": "Niue",
      "cy": "Niue",
      "da": "Niue",
      "de": "Niue",
      "dv": "ނީއު",
      "dz": "ནིའུ།",
      "ee": "Niue",
      "el": "Νιούεϊ",
      "en": "Niue",
      "eo": "Niuo",
      "es": "Niue",
      "et": "Niue",
      "eu": "Niue",
      "fa": "نیوئه",
      "ff": "Niue",
      "fi": "Niue",
      "fo": "Niue",
      "fr": "Nioue",
      "fy": "Niue",
      "ga": "Niue",
      "gl": "Niue",
      "gn": "Niue",
      "gu": "નિયુ",
      "gv": "Niue",
      "ha": "Niue",
      "he": "ניואה",
      "hi": "निउए",
      "hr": "Niue",
      "ht": "Niue",
      "hu": "Niue",
      "hy": "Նիուե",
      "ia": "Niue",
      "id": "Niue",
      "io": "Niue",
      "is": "Niue",
      "it": "Niue",
      "iu": "Niue",
      "ja": "ニウエ",
      "ka": "ნიუე",
      "ki": "Niue",
      "kk": "Ниуэ",
      "kl": "Niue",
      "km": "នីវ",
      "kn": "Niue",
      "ko": "니우에",
      "ku": "Nîûe",
      "kv": "Niue",
      "kw": "Niue",
      "ky": "Ниуэ аралы",
      "lo": "Niue",
      "lt": "Niujė",
      "lv": "Niue",
      "mi": "Niue",
      "mk": "Ниуе",
      "ml": "നിയു",
      "mn": "Niue",
      "mr": "नियू",
      "ms": "Niue",
      "mt": "Niue",
      "my": "Niue",
      "na": "Niue",
      "nb": "Niue",
      "ne": "निउ",
      "nl": "Niue",
      "nn": "Niue",
      "nv": "Niue",
      "oc": "Niue",
      "or": "ନୀଓ୍ବେ",
      "pa": "ਨੀਊਈ",
      "pi": "Niue",
      "pl": "Niue",
      "ps": "Niue",
      "pt": "Niue",
      "pt_BR": "Niue",
      "ro": "Niue",
      "ru": "Ниуэ",
      "rw": "Niyuwe",
      "sc": "Niue",
      "sd": "Niue",
      "si": "නීයු",
      "sk": "Niue",
      "sl": "Niue",
      "so": "Niue",
      "sq": "Niue",
      "sr": "Ниуе",
      "sv": "Niue",
      "sw": "Niue",
      "ta": "நியூ",
      "te": "నియూ",
      "tg": "Нива",
      "th": "นีอูเอ",
      "ti": "Niue",
      "tk": "Niue",
      "tl": "Niue",
      "tr": "Niue",
      "tt": "Ниу",
      "ug": "نىيۇئې",
      "uk": "Ніуе",
      "ur": "نیووے",
      "uz": "Niue",
      "ve": "Niue",
      "vi": "Ni-u-e",
      "wa": "Niuwé",
      "wo": "Niue",
      "xh": "Niue",
      "yo": "Niue",
      "zh_CN": "纽埃",
      "zh_HK": "紐威島",
      "zh_TW": "紐埃",
      "zu": "Niue"
    },
  );

  /// Country: New Zealand
  static const Country nzl = Country(
    alpha2: 'NZ',
    alpha3: 'NZL',
    continent: Continent.australia,
    countryCode: '64',
    currencyCode: 'NZD',
    gec: 'NZ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -40.900557,
        longitude: 174.885971,
      ),
      maxCoordinate: Coordinate(
        latitude: -28.8773225,
        longitude: -175.1235077,
      ),
      minCoordinate: Coordinate(
        latitude: -52.7224663,
        longitude: 165.7437641,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -28.8773225,
          longitude: -175.1235077,
        ),
        southwest: Coordinate(
          latitude: -52.7224663,
          longitude: 165.7437641,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'NZL',
    isoLongName: 'New Zealand',
    isoShortName: 'New Zealand',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [1],
    nationalNumberLengths: [8, 9],
    nationalPrefix: '0',
    nationality: 'New Zealander',
    number: '554',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Australia and New Zealand',
    unLocode: 'NZ',
    unofficialNames: [
      'New Zealand',
      'Neuseeland',
      'Nouvelle Zélande',
      'Nueva Zelanda',
      'ニュージーランド',
      'Nieuw-Zeeland'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: '''{{recipient}}
{{street}}
{{region}}
{{city}} {{postalcode}}
{{country}}''',
    vatRates: VatRates(
      standard: 15.0,
      reduced: [9.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "New Zealand",
      "af": "Nieu-Seeland",
      "ak": "New Zealand",
      "am": "ኒፄ ፑሒን፥",
      "an": "New Zealand",
      "ar": "نيوزيلاندا",
      "as": "নিউজিলেণ্ড",
      "ay": "New Zealand",
      "az": "Yeni Zellandiya",
      "ba": "New Zealand",
      "be": "Новая Зеландыя",
      "bg": "Нова Зеландия",
      "bi": "New Zealand",
      "bn": "নিউজিল্যান্ড",
      "bn_IN": "নিউজিল্যান্ড",
      "br": "Zeland nevez",
      "bs": "Novi Zeland",
      "ca": "Nova Zelanda",
      "ce": "Керла Зеланди",
      "ch": "New Zealand",
      "cs": "Nový Zéland",
      "cv": "Керла Зеланди",
      "cy": "Seland Newydd",
      "da": "New Zealand",
      "de": "Neuseeland",
      "dv": "ނިއުޒިލޭންޑު",
      "dz": "ནིའུ་ཛི་ལེནཌི།",
      "ee": "New Zealand",
      "el": "Νέα Ζηλανδία",
      "en": "New Zealand",
      "eo": "Nov-Zelando",
      "es": "Nueva Zelanda",
      "et": "Uus-Meremaa",
      "eu": "Zeelanda Berria",
      "fa": "نیوزیلند",
      "ff": "New Zealand",
      "fi": "Uusi-Seelanti",
      "fo": "Ný Sæland",
      "fr": "Nouvelle-Zélande",
      "fy": "Nij-Seelân",
      "ga": "An Nua-Shéalainn",
      "gl": "Nova Celandia",
      "gn": "New Zealand",
      "gu": "ન્યુ ઝીલેન્ડ",
      "gv": "Yn Teelynn Noa",
      "ha": "New Zealand",
      "he": "ניו זילנד",
      "hi": "न्यूज़ीलैण्ड",
      "hr": "Novi Zeland",
      "ht": "Nouvèl Zelann",
      "hu": "Új-Zéland",
      "hy": "Նոր Զելանդիա",
      "ia": "Nove Zelanda",
      "id": "Selandia Baru",
      "io": "Nova-Zelando",
      "is": "Nýja-Sjáland",
      "it": "Nuova Zelanda",
      "iu": "New Zealand",
      "ja": "ニュージーランド",
      "ka": "ახალი ზელანდია",
      "ki": "New Zealand",
      "kk": "Жаңа Зеландия",
      "kl": "New Zealand",
      "km": "នូវែលហ្សេឡង់",
      "kn": "ನ್ಯೂ ಜಿಲ್ಯಂಡ್",
      "ko": "뉴질랜드",
      "ku": "Zelandaya Nû",
      "kv": "Выль Зеландия",
      "kw": "Mordir Nowydh",
      "ky": "Жаңы Зеландия",
      "lo": "ປະເທດນູແວນ ເຊລັງ",
      "lt": "Naujoji Zelandija",
      "lv": "Jaunzēlande",
      "mi": "Aotearoa",
      "mk": "Нов Зеланд",
      "ml": "ന്യൂസിലാന്‍ഡ്",
      "mn": "Шинэ зеланд",
      "mr": "न्यूझिलंड",
      "ms": "New Zealand",
      "mt": "New Zealand",
      "my": "နယူးဇီလန်နိုင်ငံ",
      "na": "Niu Djiran",
      "nb": "New Zealand",
      "ne": "न्युजिल्याण्ड",
      "nl": "Nieuw-Zeeland",
      "nn": "New Zealand",
      "nv": "New Zealand",
      "oc": "Novèla Zelanda",
      "or": "ନ୍ଯୁଜୀଲ୍ଯାଣ୍ଡ",
      "pa": "ਨਿਊਜ਼ੀਲੈਂਡ",
      "pi": "न्यू-जीलैंड",
      "pl": "Nowa Zelandia",
      "ps": "نیوزیلنډ",
      "pt": "Nova Zelândia",
      "pt_BR": "Nova Zelândia",
      "ro": "Noua Zeelandă",
      "ru": "Новая Зеландия",
      "rw": "Nuveli Zelande",
      "sc": "Zelanda Noa",
      "sd": "New Zealand",
      "si": "නවසීලන්තය",
      "sk": "Nový Zéland",
      "sl": "Nova Zelandija",
      "so": "Neyuusilaand",
      "sq": "Zelandë e Re",
      "sr": "Нови Зеланд",
      "sv": "Nya Zeeland",
      "sw": "New Zealand",
      "ta": "நியூசிலாந்து",
      "te": "న్యూజిలాండ్",
      "tg": "Зеландияи Нав",
      "th": "นิวซีแลนด์",
      "ti": "ኒው ዚላንድ",
      "tk": "Täze Zelandiýa",
      "tl": "New Zealand",
      "tr": "Yeni Zelanda",
      "tt": "Яңа Зеаланд",
      "ug": "يېڭى زېلاندىيە",
      "uk": "Нова Зеландія",
      "ur": "نیوزی لینڈ",
      "uz": "Yangi Zelandiya",
      "ve": "New Zealand",
      "vi": "Niu Xi-lân",
      "wa": "Nouve Zelande",
      "wo": "Nuweel Selaand",
      "xh": "New Zealand (izealand entsha)",
      "yo": "New Zealand",
      "zh_CN": "新西兰",
      "zh_HK": "新西蘭",
      "zh_TW": "紐西蘭",
      "zu": "INyuzilandi"
    },
  );

  /// Country: The Sultanate of Oman
  static const Country omn = Country(
    alpha2: 'OM',
    alpha3: 'OMN',
    continent: Continent.asia,
    countryCode: '968',
    currencyCode: 'OMR',
    gec: 'MU',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 21.4735329,
        longitude: 55.975413,
      ),
      maxCoordinate: Coordinate(
        latitude: 26.4361001,
        longitude: 60.30399999999999,
      ),
      minCoordinate: Coordinate(
        latitude: 16.4571999,
        longitude: 52.0000019,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 26.4361001,
          longitude: 60.30399999999999,
        ),
        southwest: Coordinate(
          latitude: 16.4571999,
          longitude: 52.0000019,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'OMA',
    isoLongName: 'The Sultanate of Oman',
    isoShortName: 'Oman',
    languagesOfficial: ['ar'],
    languagesSpoken: ['ar'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Omani',
    number: '512',
    postalCode: true,
    postalCodeFormat: r'(?:PC )?\d{3}',
    region: Region.asia,
    startOfWeek: Week.sunday,
    subregion: 'Western Asia',
    unLocode: 'OM',
    unofficialNames: ['Oman', 'عمان', 'Omán', 'オマーン'],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{region}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Oman",
      "af": "Oman",
      "ak": "Oman",
      "am": "ኦማን",
      "an": "Oman",
      "ar": "عمان",
      "as": "ওমান",
      "ay": "Oman",
      "az": "Oman",
      "ba": "Oman",
      "be": "Аман",
      "bg": "Оман",
      "bi": "Oman",
      "bn": "ওমান",
      "bn_IN": "ওমান",
      "br": "Oman",
      "bs": "Oman",
      "ca": "Oman",
      "ce": "Оман",
      "ch": "Oman",
      "cs": "Omán",
      "cv": "Оман",
      "cy": "Oman",
      "da": "Oman",
      "de": "Oman",
      "dv": "ޢުމާން",
      "dz": "ཨོ་མཱན།",
      "ee": "Oman",
      "el": "Ομάν",
      "en": "Oman",
      "eo": "Omano",
      "es": "Omán",
      "et": "Omaan",
      "eu": "Oman",
      "fa": "عمان",
      "ff": "Oman",
      "fi": "Oman",
      "fo": "Oman",
      "fr": "Oman",
      "fy": "Oman",
      "ga": "Oman",
      "gl": "Omán",
      "gn": "Oman",
      "gu": "ઓમાન",
      "gv": "Yn Omaan",
      "ha": "Oman",
      "he": "עומאן",
      "hi": "ओमान",
      "hr": "Oman",
      "ht": "Omàn",
      "hu": "Omán",
      "hy": "Օման",
      "ia": "Oman",
      "id": "Oman",
      "io": "Oman",
      "is": "Óman",
      "it": "Oman",
      "iu": "Oman",
      "ja": "オマーン",
      "ka": "ომანი",
      "ki": "Oman",
      "kk": "Оман",
      "kl": "Oman",
      "km": "អូម៉ង់",
      "kn": "ಒಮನ್",
      "ko": "오만",
      "ku": "Uman",
      "kv": "Оман",
      "kw": "Oman",
      "ky": "Оман",
      "lo": "Oman",
      "lt": "Omanas",
      "lv": "Omāna",
      "mi": "Ōmana",
      "mk": "Оман",
      "ml": "ഒമാന്‍",
      "mn": "Оман",
      "mr": "ओमान",
      "ms": "Oman",
      "mt": "Oman",
      "my": "အိုမန်နိုင်ငံ",
      "na": "Oman",
      "nb": "Oman",
      "ne": "ओमन",
      "nl": "Oman",
      "nn": "Oman",
      "nv": "Oman",
      "oc": "Oman",
      "or": "ଓମାନ",
      "pa": "ਓਮਾਨ",
      "pi": "ओमान",
      "pl": "Oman",
      "ps": "عمان",
      "pt": "Omã",
      "pt_BR": "Omã",
      "ro": "Oman",
      "ru": "Оман",
      "rw": "Omani",
      "sc": "Omàn",
      "sd": "سلطنت عمان",
      "si": "ඕමානය",
      "sk": "Omán",
      "sl": "Oman",
      "so": "Cumaan",
      "sq": "Oman",
      "sr": "Оман",
      "sv": "Oman",
      "sw": "Oman",
      "ta": "ஓமான்",
      "te": "ఓమన్",
      "tg": "Умон",
      "th": "โอมาน",
      "ti": "Oman",
      "tk": "Oman",
      "tl": "Oman",
      "tr": "Umman",
      "tt": "Оман",
      "ug": "ئومان",
      "uk": "Оман",
      "ur": "سلطنت عمان",
      "uz": "Oman",
      "ve": "Oman",
      "vi": "Ô-man",
      "wa": "Oman",
      "wo": "Omaan",
      "xh": "Oman",
      "yo": "Oman",
      "zh_CN": "阿曼",
      "zh_HK": "阿曼",
      "zh_TW": "阿曼",
      "zu": "Oman"
    },
  );

  /// Country: The Republic of Panamá
  static const Country pan = Country(
    alpha2: 'PA',
    alpha3: 'PAN',
    continent: Continent.northAmerica,
    countryCode: '507',
    currencyCode: 'PAB',
    gec: 'PM',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 8.537981,
        longitude: -80.782127,
      ),
      maxCoordinate: Coordinate(
        latitude: 9.7145001,
        longitude: -77.1584879,
      ),
      minCoordinate: Coordinate(
        latitude: 7.0409,
        longitude: -83.05224109999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 9.7145001,
          longitude: -77.1584879,
        ),
        southwest: Coordinate(
          latitude: 7.0409,
          longitude: -83.05224109999999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'PAN',
    isoLongName: 'The Republic of Panamá',
    isoShortName: 'Panama',
    languagesOfficial: ['es'],
    languagesSpoken: ['es'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Panamanian',
    number: '591',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Central America',
    unLocode: 'PA',
    unofficialNames: ['Panama', 'Panamá', 'パナマ'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: 'USD',
    isoShortNameByLocale: {
      "ab": "Panama",
      "af": "Panama",
      "ak": "Panama",
      "am": "ፓናማ",
      "an": "Panama",
      "ar": "بنما",
      "as": "পানামা",
      "ay": "Panama",
      "az": "Panama",
      "ba": "Panama",
      "be": "Панама",
      "bg": "Панама",
      "bi": "Panama",
      "bn": "পানামা",
      "bn_IN": "পানামা",
      "br": "Panama",
      "bs": "Panama",
      "ca": "Panamà",
      "ce": "Панама",
      "ch": "Panama",
      "cs": "Panama",
      "cv": "Панама",
      "cy": "Panama",
      "da": "Panama",
      "de": "Panama",
      "dv": "ޕެނަމާ",
      "dz": "པ་ན་མ།",
      "ee": "Panama",
      "el": "Παναμάς",
      "en": "Panama",
      "eo": "Panamo",
      "es": "Panamá",
      "et": "Panama",
      "eu": "Panama",
      "fa": "پاناما",
      "ff": "Panama",
      "fi": "Panama",
      "fo": "Panama",
      "fr": "Panama",
      "fy": "Panama",
      "ga": "Panama",
      "gl": "Panamá",
      "gn": "Panama",
      "gu": "પનામા",
      "gv": "Yn Phanamaa",
      "ha": "Panama",
      "he": "פנמה",
      "hi": "पनामा",
      "hr": "Panama",
      "ht": "Panama",
      "hu": "Panama",
      "hy": "Պանամա",
      "ia": "Panama",
      "id": "Panama",
      "io": "Panama",
      "is": "Panama",
      "it": "Panama",
      "iu": "Panama",
      "ja": "パナマ",
      "ka": "პანამა",
      "ki": "Panama",
      "kk": "Панама",
      "kl": "Panama",
      "km": "ប៉ាណាម៉ា",
      "kn": "ಪನಾಮಾ",
      "ko": "파나마",
      "ku": "Panama",
      "kv": "Панама",
      "kw": "Panama",
      "ky": "Панама",
      "lo": "Panama",
      "lt": "Panama",
      "lv": "Panama",
      "mi": "Panama",
      "mk": "Панама",
      "ml": "പനാമ",
      "mn": "Панама",
      "mr": "पनामा",
      "ms": "Panama",
      "mt": "Panama",
      "my": "ပနားမားနိုင်ငံ",
      "na": "Panama",
      "nb": "Panama",
      "ne": "पानामा",
      "nl": "Panama",
      "nn": "Panama",
      "nv": "Panama",
      "oc": "Panamà",
      "or": "ପାନାମା",
      "pa": "ਪੈਨਾਮਾ",
      "pi": "पानामा",
      "pl": "Panama",
      "ps": "پاناما",
      "pt": "Panamá",
      "pt_BR": "Panamá",
      "ro": "Panama",
      "ru": "Панама",
      "rw": "Panama",
      "sc": "Pànama",
      "sd": "پاناما",
      "si": "පැනමාව",
      "sk": "Panama",
      "sl": "Panama",
      "so": "Panama",
      "sq": "Panama",
      "sr": "Панама",
      "sv": "Panama",
      "sw": "Panama",
      "ta": "பனாமா",
      "te": "పనామా",
      "tg": "Панама",
      "th": "ปานามา",
      "ti": "ፓናማ",
      "tk": "Panama",
      "tl": "Panama",
      "tr": "Panama",
      "tt": "Панама",
      "ug": "پاناما",
      "uk": "Панама",
      "ur": "پاناما",
      "uz": "Panama",
      "ve": "Panama",
      "vi": "Pa-na-ma",
      "wa": "Panama",
      "wo": "Panamaa",
      "xh": "Panama",
      "yo": "Panamá",
      "zh_CN": "巴拿马",
      "zh_HK": "巴拿馬",
      "zh_TW": "巴拿馬",
      "zu": "Panama"
    },
  );

  /// Country: The Republic of Perú
  static const Country per = Country(
    alpha2: 'PE',
    alpha3: 'PER',
    continent: Continent.southAmerica,
    countryCode: '51',
    currencyCode: 'PEN',
    gec: 'PE',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -9.189967,
        longitude: -75.015152,
      ),
      maxCoordinate: Coordinate(
        latitude: -0.0387769,
        longitude: -68.65232879999999,
      ),
      minCoordinate: Coordinate(
        latitude: -18.4483,
        longitude: -81.3867001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -0.0387769,
          longitude: -68.65232879999999,
        ),
        southwest: Coordinate(
          latitude: -18.4483,
          longitude: -81.3867001,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'PER',
    isoLongName: 'The Republic of Perú',
    isoShortName: 'Peru',
    languagesOfficial: ['es'],
    languagesSpoken: ['es'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9],
    nationalPrefix: '0',
    nationality: 'Peruvian',
    number: '604',
    postalCode: true,
    postalCodeFormat: r'(?:LIMA \d{1,2}|CALLAO 0?\d)|[0-2]\d{4}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'South America',
    unLocode: 'PE',
    unofficialNames: ['Peru', 'Pérou', 'Perú', 'ペルー'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Peru",
      "af": "Peru",
      "ak": "Peru",
      "am": "ፔሩ",
      "an": "Peru",
      "ar": "البيرو",
      "as": "পেৰু",
      "ay": "Peru",
      "az": "Peru",
      "ba": "Peru",
      "be": "Перу",
      "bg": "Перу",
      "bi": "Peru",
      "bn": "পেরু",
      "bn_IN": "পেরু",
      "br": "Perou",
      "bs": "Peru",
      "ca": "Perú",
      "ce": "Перу",
      "ch": "Perú",
      "cs": "Peru",
      "cv": "Перу",
      "cy": "Periw",
      "da": "Peru",
      "de": "Peru",
      "dv": "ޕެރޫ",
      "dz": "པེ་རུ།",
      "ee": "Peru",
      "el": "Περού",
      "en": "Peru",
      "eo": "Peruo",
      "es": "Perú",
      "et": "Peruu",
      "eu": "Peru",
      "fa": "پرو",
      "ff": "Peru",
      "fi": "Peru",
      "fo": "Perú",
      "fr": "Pérou",
      "fy": "Perû",
      "ga": "Peiriú",
      "gl": "Perú",
      "gn": "Peru",
      "gu": "પેરુ",
      "gv": "Yn Pheroo",
      "ha": "Peru",
      "he": "פרו",
      "hi": "पेरू",
      "hr": "Peru",
      "ht": "Pewou",
      "hu": "Peru",
      "hy": "Պերու",
      "ia": "Peru",
      "id": "Peru",
      "io": "Peru",
      "is": "Perú",
      "it": "Perù",
      "iu": "ᐱᕉ",
      "ja": "ペルー",
      "ka": "პერუ",
      "ki": "Peru",
      "kk": "Перу",
      "kl": "Peru",
      "km": "ប៉េរ៉ូ",
      "kn": "ಪೆರು",
      "ko": "페루",
      "ku": "Perû",
      "kv": "Перу",
      "kw": "Perou",
      "ky": "Перу",
      "lo": "ປະເທດເປຣູ",
      "lt": "Peru",
      "lv": "Peru",
      "mi": "Perū",
      "mk": "Перу",
      "ml": "പെറു",
      "mn": "Перу",
      "mr": "पेरू",
      "ms": "Peru",
      "mt": "Peru",
      "my": "ပီရူးနိုင်ငံ",
      "na": "Peru",
      "nb": "Peru",
      "ne": "पेरु",
      "nl": "Peru",
      "nn": "Peru",
      "nv": "Dibénééz Bikéyah",
      "oc": "Peró",
      "or": "ପେରୁ",
      "pa": "ਪੇਰੂ",
      "pi": "पेरु",
      "pl": "Peru",
      "ps": "پيرو",
      "pt": "Peru",
      "pt_BR": "Peru",
      "ro": "Peru",
      "ru": "Перу",
      "rw": "Peru",
      "sc": "Perù",
      "sd": "پيرو",
      "si": "පේරු",
      "sk": "Peru",
      "sl": "Peru",
      "so": "Peru",
      "sq": "Peru",
      "sr": "Перу",
      "sv": "Peru",
      "sw": "Peru",
      "ta": "பெரு",
      "te": "పెరూ",
      "tg": "Перу",
      "th": "เปรู",
      "ti": "ፔሩ",
      "tk": "Peru",
      "tl": "Peru",
      "tr": "Peru",
      "tt": "Перу",
      "ug": "پېرۇ",
      "uk": "Перу",
      "ur": "پیرو",
      "uz": "Peru",
      "ve": "Peru",
      "vi": "Pê-ru",
      "wa": "Perou",
      "wo": "Peru",
      "xh": "Peru",
      "yo": "Perú",
      "zh_CN": "秘鲁",
      "zh_HK": "秘魯",
      "zh_TW": "祕魯",
      "zu": "I-Peru"
    },
  );

  /// Country: French Polynesia
  static const Country pyf = Country(
    alpha2: 'PF',
    alpha3: 'PYF',
    continent: Continent.australia,
    countryCode: '689',
    currencyCode: 'XPF',
    gec: 'FP',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -17.679742,
        longitude: -149.406843,
      ),
      maxCoordinate: Coordinate(
        latitude: -6.4682,
        longitude: -134.0551932,
      ),
      minCoordinate: Coordinate(
        latitude: -28.61346,
        longitude: -155.125483,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -6.4682,
          longitude: -134.0551932,
        ),
        southwest: Coordinate(
          latitude: -28.61346,
          longitude: -155.125483,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'French Polynesia',
    isoShortName: 'French Polynesia',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [6],
    nationalPrefix: 'None',
    nationality: 'French Polynesian',
    number: '258',
    postalCode: true,
    postalCodeFormat: r'987\d{2}',
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Polynesia',
    unLocode: 'PF',
    unofficialNames: [
      'French Polynesia',
      'Französisch-Polynesien',
      'Polynésie Française',
      'Polinesia Francesa',
      'フランス領ポリネシア',
      'Frans-Polynesië'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "French Polynesia",
      "af": "Frans-Polinesië",
      "ak": "French Polynesia",
      "am": "ፘፈረንሳ፤ ፖሑኔፒ።",
      "an": "French Polynesia",
      "ar": "بولينيسيا الفرنسيّة",
      "as": "ফ্ৰেঞ্চ পলিনেছিয়া",
      "ay": "French Polynesia",
      "az": "Fransız Poloneziyası",
      "ba": "French Polynesia",
      "be": "Французская Палінезія",
      "bg": "Френска Полинезия",
      "bi": "French Polynesia",
      "bn": "ফ্রেঞ্চ পলিনেশিয়া",
      "bn_IN": "ফ্রেঞ্চ পলিনেশিয়া",
      "br": "Polinezia Frañs",
      "bs": "Francuska Polinezija",
      "ca": "Polinèsia francesa",
      "ce": "French Polynesia",
      "ch": "French Polynesia",
      "cs": "Francouzská Polynésie",
      "cv": "French Polynesia",
      "cy": "Polynesia Ffrangeg",
      "da": "Fransk Polynesien",
      "de": "Französisch-Polynesien",
      "dv": "ފަރަންސޭސި ޕޮލިނޭޝިއާ",
      "dz": "ཕེརེནཆི་ པོ་ལི་ནི་སི་ཡ།",
      "ee": "French Polynesia",
      "el": "Γαλλική Πολυνησία",
      "en": "French Polynesia",
      "eo": "Franca Polinezio",
      "es": "Polinesia Francesa",
      "et": "Prantsuse Polüneesia",
      "eu": "Frantziar Polinesia",
      "fa": "پلی‌نزی فرانسه",
      "ff": "French Polynesia",
      "fi": "Ranskan Polynesia",
      "fo": "French Polynesia",
      "fr": "Polynésie française",
      "fy": "French Polynesia",
      "ga": "Polainéis na Fraince",
      "gl": "Polinesia Francesa",
      "gn": "French Polynesia",
      "gu": "ફ્રેન્ચ પોલિનેશિયા",
      "gv": "French Polynesia",
      "ha": "French Polynesia",
      "he": "פולינזיה הצרפתית",
      "hi": "फ़्रान्सी पॉलिनेशिया",
      "hr": "Francuska Polinezija",
      "ht": "French Polynesia",
      "hu": "Francia Polinézia",
      "hy": "Ֆրանսիական Պոլինեզիա",
      "ia": "Polynesia Francese",
      "id": "Polinesia Perancis",
      "io": "Franca Polinezia",
      "is": "Franska Pólýnesía",
      "it": "Polinesia francese",
      "iu": "French Polynesia",
      "ja": "仏領ポリネシア",
      "ka": "ფრანგული პოლინეზია",
      "ki": "French Polynesia",
      "kk": "Францияның Полинезиясы",
      "kl": "French Polynesia",
      "km": "ប៉ូលីនេស៊ី​បារាំង",
      "kn": "ಫ್ರೆಂಚ್ ಪೊಲಿನೇಸಿಯಾ",
      "ko": "프랑스령 폴리네시아",
      "ku": "Polînesya Fransî",
      "kv": "French Polynesia",
      "kw": "Polynesi Frynkek",
      "ky": "Полинезия",
      "lo": "French Polynesia",
      "lt": "Prancūzijos Polinezija",
      "lv": "Franču Polinēzija",
      "mi": "Porinīhia Wīwī",
      "mk": "Франсуска Полинезија",
      "ml": "ഫ്രഞ്ച് പോളിനേഷ്യ",
      "mn": "French Polynesia",
      "mr": "फ्रेंच पोलिनेशिया",
      "ms": "Polinesia Perancis",
      "mt": "Polinesja Franċiża",
      "my": "French Polynesia",
      "na": "French Polynesia",
      "nb": "Fransk Polynesia",
      "ne": "फ्रेन्च पोलिनेसीया",
      "nl": "Frans-Polynesië",
      "nn": "Fransk Polynesia",
      "nv": "French Polynesia",
      "oc": "Polinesia francesa",
      "or": "ଫ୍ରେଞ୍ଚ ପୋଲୀନେସିୟା",
      "pa": "ਫਰੈਚ ਪੋਲੀਸੇਲੇਵੀਆ",
      "pi": "French Polynesia",
      "pl": "Polinezja Francuska",
      "ps": "French Polynesia",
      "pt": "Polinésia Francesa",
      "pt_BR": "Polinésia Francesa",
      "ro": "Polinezia Franceză",
      "ru": "Французская Полинезия",
      "rw": "Polinesiya Nyamfaransa",
      "sc": "Polinèsia Frantzesa",
      "sd": "French Polynesia",
      "si": "ප්‍රංශ පොලිනීසියාව",
      "sk": "Francúzska Polynézia",
      "sl": "Francoska Polinezija",
      "so": "French Polynesia",
      "sq": "Polinezia Frënge",
      "sr": "Француска Полинезија",
      "sv": "Franska Polynesien",
      "sw": "French Polynesia",
      "ta": "ஃப்ரெஞ்ச் பாலினேசியா",
      "te": "ఫ్రెంచ్ పోలినేశియా",
      "tg": "Полинезияи Фаронса",
      "th": "เฟรนช์โปลินีเซีย",
      "ti": "የፈረንሳይ ፖሊኔዢያ",
      "tk": "Fransuz Polineziýa",
      "tl": "French Polynesia",
      "tr": "Fransız Polinezyası",
      "tt": "Франс Полинесиа",
      "ug": "فىرانسىيەگە قاراشلىق پولىنېزىيە",
      "uk": "Французька Полінезія",
      "ur": "فرانسیسی پولینیشیا",
      "uz": "French Polynesia",
      "ve": "French Polynesia",
      "vi": "Pô-li-nê-xi Pháp",
      "wa": "Polinezeye francesse",
      "wo": "Polineesi Faraañse",
      "xh": "French Polynesia",
      "yo": "Polinésíà Fránsì",
      "zh_CN": "法属玻利尼西亚",
      "zh_HK": "法屬玻利尼西亞",
      "zh_TW": "法屬玻里尼西亞",
      "zu": "French Polynesia"
    },
  );

  /// Country: The Independent State of Papua New Guinea
  static const Country png = Country(
    alpha2: 'PG',
    alpha3: 'PNG',
    continent: Continent.australia,
    countryCode: '675',
    currencyCode: 'PGK',
    gec: 'PP',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -6.314992999999999,
        longitude: 143.95555,
      ),
      maxCoordinate: Coordinate(
        latitude: -0.6702,
        longitude: 159.9609001,
      ),
      minCoordinate: Coordinate(
        latitude: -12.0823,
        longitude: 140.8419695,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -0.6702,
          longitude: 159.9609001,
        ),
        southwest: Coordinate(
          latitude: -12.0823,
          longitude: 140.8419695,
        ),
      ),
    ),
    internationalPrefix: '05',
    ioc: 'PNG',
    isoLongName: 'The Independent State of Papua New Guinea',
    isoShortName: 'Papua New Guinea',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Papua New Guinean',
    number: '598',
    postalCode: true,
    postalCodeFormat: r'\d{3}',
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Melanesia',
    unLocode: 'PG',
    unofficialNames: [
      'Papua New Guinea',
      'Papua-Neuguinea',
      'Papouasie Nouvelle-Guinée',
      'Papúa Nueva Guinea',
      'パプアニューギニア',
      'Papoea-Nieuw-Guinea'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Papua New Guinea",
      "af": "Papoea-Nieu-Guinee",
      "ak": "Papua New Guinea",
      "am": "ፓፑፂ ኒፄ ጑ኒ",
      "an": "Papua New Guinea",
      "ar": "بابوا غينيا الجديدة",
      "as": "পাপুৱা নিউ গিনি",
      "ay": "Papua New Guinea",
      "az": "Papua Yeni Qvineya",
      "ba": "Papua New Guinea",
      "be": "Папуа — Новая Гвінея",
      "bg": "Папуа Нова Гвинея",
      "bi": "Papua New Guinea",
      "bn": "পাপুয়া নিউ গিনি",
      "bn_IN": "পাপুয়া নিউ গিনি",
      "br": "Papoua Ginea-Nevez",
      "bs": "Papua Nova Gvineja",
      "ca": "Papua Nova Guinea",
      "ce": "Папуа — Керла Гвине",
      "ch": "Papua New Guinea",
      "cs": "Papua Nová Guinea",
      "cv": "Папуа — Керла Гвине",
      "cy": "Papua Guinea Newydd",
      "da": "Papua Ny Guinea",
      "de": "Papua-Neuguinea",
      "dv": "ޕަޕުއާ ނިއު ގިނީ",
      "dz": "པ་པུ་འ་ ནིའུ་གི་ནི།",
      "ee": "Papua New Guinea",
      "el": "Παπούα Νέα Γουινέα",
      "en": "Papua New Guinea",
      "eo": "Papuo-Nov-Gvineo",
      "es": "Papúa Nueva Guinea",
      "et": "Paapua Uus-Guinea",
      "eu": "Papua Ginea Berria",
      "fa": "پاپوا گینهٔ نو",
      "ff": "Papua New Guinea",
      "fi": "Papua-Uusi-Guinea",
      "fo": "Papua Nýguinea",
      "fr": "Papouasie-Nouvelle-Guinée",
      "fy": "Papoea Nij-Guinea",
      "ga": "Papua Nua-Ghuine",
      "gl": "Papúa Nova Guinea",
      "gn": "Papua New Guinea",
      "gu": "પાપુઆ ન્યુ ગીની",
      "gv": "Papooey Guinea Noa",
      "ha": "Papua New Guinea",
      "he": "פפואה גינאה החדשה",
      "hi": "पापुआ न्यू गिनी",
      "hr": "Papua Nova Gvineja",
      "ht": "Papwazi-Nouvèl-Gine",
      "hu": "Pápua Új-Guinea",
      "hy": "Պապուա Նոր Գվինեա",
      "ia": "Papua Nove Guinea",
      "id": "Papua Nugini",
      "io": "Papua-Nova-Guinea",
      "is": "Papúa Nýja-Gínea",
      "it": "Papua Nuova Guinea",
      "iu": "Papua New Guinea",
      "ja": "パプアニューギニア",
      "ka": "პაპუა-ახალი გვინეა",
      "ki": "Papua New Guinea",
      "kk": "Папуа - Жаңа Гвинея",
      "kl": "Papua New Guinea",
      "km": "ប៉ាពូញូវហ្គីណេ",
      "kn": "ಪಪುವಾ ನ್ಯೂ ಗಿನಿ",
      "ko": "파푸아뉴기니",
      "ku": "Papûa Gîneya Nû",
      "kv": "Papua New Guinea",
      "kw": "Papua New Guinea",
      "ky": "Папуа-Жаӊы Гвинея",
      "lo": "ປະເທດປາປົວຊີນູແວນກີເນ",
      "lt": "Papua Naujoji Gvinėja",
      "lv": "Papua-Jaungvineja",
      "mi": "Papua Nūkini",
      "mk": "Папуа Нова Гвинеја",
      "ml": "പാപുവ ന്യൂ ഗിനിയ",
      "mn": "Папуа Шинэ Гвиней",
      "mr": "पापू न्यू गिनी",
      "ms": "Papua New Guinea",
      "mt": "Papwa-Ginea Ġdida",
      "my": "ပါပူအာနယူးဂီနီနိုင်ငံ",
      "na": "Papua New Guinea",
      "nb": "Papua Ny-Guinea",
      "ne": "पपुवा न्यू जिनिया",
      "nl": "Papoea-Nieuw-Guinea",
      "nn": "Papua Ny-Guinea",
      "nv": "Chooyééł Dineʼé Bikéyah",
      "oc": "Papoa Nòva Guinèa",
      "or": "ପାପୁଆ ନ୍ଯୁ ଗିନୀ",
      "pa": "ਪਾਪੂਆ ਨਵਾਂ ਗੂਈਨਿਆ",
      "pi": "पपुवा न्यू गिनी",
      "pl": "Papua-Nowa Gwinea",
      "ps": "Papua New Guinea",
      "pt": "Papua Nova Guiné",
      "pt_BR": "Papua-Nova Guiné",
      "ro": "Papua Noua Guinee",
      "ru": "Папуа — Новая Гвинея",
      "rw": "Papuwa Nuveli Gineya",
      "sc": "Pàpua Guinea Noa",
      "sd": "Papua New Guinea",
      "si": "පැපුවා නිව්ගිනියාව",
      "sk": "Papua - Nová Guinea",
      "sl": "Papua Nova Gvineja",
      "so": "Papua New Guinea",
      "sq": "Guinea e Re Papua",
      "sr": "Папуа Нова Гвинеја",
      "sv": "Papua Nya Guinea",
      "sw": "Papua New Guinea",
      "ta": "பாப்புவா-நியூகினி",
      "te": "పాపూ న్యూ గినీ",
      "tg": "Папуа Гвинеяи Нав",
      "th": "ปาปัวนิวกินี",
      "ti": "ፓፑዋ ኒው ጊኒ",
      "tk": "Papua-Täze Gwineýa",
      "tl": "Papua New Guinea",
      "tr": "Papua Yeni Gine",
      "tt": "Папуа Яңа Gуинеа",
      "ug": "پاپۇئا يېڭى گىۋىنېيەسى",
      "uk": "Папуа Нова Гвінея",
      "ur": "پاپوا نیو گنی",
      "uz": "Papua Yangi Gvineya",
      "ve": "Papua New Guinea",
      "vi": "Pa-pu-a Niu Ghi-nê",
      "wa": "Papouwazeye Nouve Guinêye",
      "wo": "Papwa Nuweel Ginne",
      "xh": "Papua New Guinea",
      "yo": "Papua Guinea Titun",
      "zh_CN": "巴布亚新几内亚",
      "zh_HK": "巴布亞新畿內亞",
      "zh_TW": "巴布亞紐幾內亞",
      "zu": "Papua New Guinea"
    },
  );

  /// Country: The Republic of the Philippines
  static const Country phl = Country(
    alpha2: 'PH',
    alpha3: 'PHL',
    continent: Continent.asia,
    countryCode: '63',
    currencyCode: 'PHP',
    gec: 'RP',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 12.879721,
        longitude: 121.774017,
      ),
      maxCoordinate: Coordinate(
        latitude: 21.2412572,
        longitude: 127.6444784,
      ),
      minCoordinate: Coordinate(
        latitude: 4.2259,
        longitude: 116.1474999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 21.2412572,
          longitude: 127.6444784,
        ),
        southwest: Coordinate(
          latitude: 4.2259,
          longitude: 116.1474999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'PHI',
    isoLongName: 'The Republic of the Philippines',
    isoShortName: 'Philippines',
    languagesOfficial: ['tl', 'en'],
    languagesSpoken: ['tl', 'en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9, 10],
    nationalPrefix: '0',
    nationality: 'Filipino',
    number: '608',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'South-Eastern Asia',
    unLocode: 'PH',
    unofficialNames: [
      'Philippines',
      'Philippinen',
      'Filipinas',
      'フィリピン',
      'Filipijnen'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: '''{{recipient}}
{{street}} {{region_short}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 12.0,
      reduced: [],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Philippines",
      "af": "Filippyne",
      "ak": "Philippines",
      "am": "ፊሊፒንስ",
      "an": "Philippines",
      "ar": "الفلبّين",
      "as": "ফিলিপাইনছ",
      "ay": "Philippines",
      "az": "Filippin",
      "ba": "Philippines",
      "be": "Філіпіны",
      "bg": "Филипини",
      "bi": "Philippines",
      "bn": "ফিলিপাইনস",
      "bn_IN": "ফিলিপাইনস",
      "br": "Filipinez",
      "bs": "Filipini",
      "ca": "Filipines",
      "ce": "Филиппин",
      "ch": "Filipinas",
      "cs": "Filipíny",
      "cv": "Филиппин",
      "cy": "Pilipinas",
      "da": "Filippinerne",
      "de": "Philippinen",
      "dv": "ފިލިޕީންސް",
      "dz": "ཕི་ལི་པིནསི།",
      "ee": "Philippines",
      "el": "Φιλιππίνες",
      "en": "Philippines",
      "eo": "Filipinoj",
      "es": "Filipinas",
      "et": "Filipiinid",
      "eu": "Filipinak",
      "fa": "فیلیپین",
      "ff": "Philippines",
      "fi": "Filippiinit",
      "fo": "Filipsoyggjar",
      "fr": "Philippines",
      "fy": "Filipinen",
      "ga": "Na hOileáin Fhilipíneacha",
      "gl": "Filipinas",
      "gn": "Philippines",
      "gu": "ફિલિપાઇન્સ",
      "gv": "Ny h-Ellanyn Philippeenagh",
      "ha": "Filipin",
      "he": "הפיליפינים",
      "hi": "फ़िलीपीन्स",
      "hr": "Filipini",
      "ht": "Filipin",
      "hu": "Fülöp-szigetek",
      "hy": "Ֆիլիպիններ",
      "ia": "Philippinas",
      "id": "Filipina",
      "io": "Filipini",
      "is": "Filippseyjar",
      "it": "Filippine",
      "iu": "Philippines",
      "ja": "フィリピン",
      "ka": "ფილიპინები",
      "ki": "Philippines",
      "kk": "Филиппин",
      "kl": "Philippines",
      "km": "ហ្វីលីពីន",
      "kn": "ಫಿಲಿಪ್ಪೈನ್ಸ್",
      "ko": "필리핀",
      "ku": "Fîlîpîn",
      "kv": "Филиппинъяс",
      "kw": "Filipinys",
      "ky": "Филиппиндер",
      "lo": "ປະເທດຟີລິບປິນ",
      "lt": "Filipinai",
      "lv": "Filipīnas",
      "mi": "Piripīni",
      "mk": "Филипини",
      "ml": "ഫിലിപ്പൈന്‍സ്",
      "mn": "Флиппен",
      "mr": "फिलिपिन्स",
      "ms": "Filipina",
      "mt": "Filippini",
      "my": "ဖိလစ်ပိုင်နိုင်ငံ",
      "na": "Eben Piripin",
      "nb": "Filippinene",
      "ne": "फिलिपिन्स",
      "nl": "Filipijnen",
      "nn": "Filippinane",
      "nv": "Kéyah Dańlíinii",
      "oc": "Filipinas",
      "or": "ଫିଲିପାଇନ୍ସ",
      "pa": "ਫਿਲਿਪੀਨੀਜ਼",
      "pi": "फिलिपीन्स",
      "pl": "Filipiny",
      "ps": "فلېپين",
      "pt": "Filipinas",
      "pt_BR": "Filipinas",
      "ro": "Filipine",
      "ru": "Филиппины",
      "rw": "Filipine",
      "sc": "Filipinas",
      "sd": "Philippines",
      "si": "පිලිපීන",
      "sk": "Filipíny",
      "sl": "Filipini",
      "so": "Filibiin",
      "sq": "Filipine",
      "sr": "Филипини",
      "sv": "Filippinerna",
      "sw": "Philippines",
      "ta": "பிலிப்பைன்ஸ்",
      "te": "ఫిలిప్పిన్స్",
      "tg": "Филиппинҳо",
      "th": "ฟิลิปปินส์",
      "ti": "Philippines",
      "tk": "Filippin adalary",
      "tl": "Pilipinas",
      "tr": "Filipinler",
      "tt": "Филиппиннәр",
      "ug": "فىلىپپىن",
      "uk": "Філіппіни",
      "ur": "فلپائن",
      "uz": "Filippin",
      "ve": "Philippines",
      "vi": "Phi-li-pi-nợ",
      "wa": "Filipenes",
      "wo": "Filipiin",
      "xh": "Philippines",
      "yo": "Filipínì",
      "zh_CN": "菲律宾",
      "zh_HK": "菲律賓",
      "zh_TW": "菲律賓",
      "zu": "Philippines"
    },
  );

  /// Country: The Islamic Republic of Pakistan
  static const Country pak = Country(
    alpha2: 'PK',
    alpha3: 'PAK',
    continent: Continent.asia,
    countryCode: '92',
    currencyCode: 'PKR',
    gec: 'PK',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 30.375321,
        longitude: 69.34511599999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 37.0841069,
        longitude: 77.8231711,
      ),
      minCoordinate: Coordinate(
        latitude: 23.6344999,
        longitude: 60.8729721,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 37.0841069,
          longitude: 77.8231711,
        ),
        southwest: Coordinate(
          latitude: 23.6344999,
          longitude: 60.8729721,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'PAK',
    isoLongName: 'The Islamic Republic of Pakistan',
    isoShortName: 'Pakistan',
    languagesOfficial: ['en', 'ur'],
    languagesSpoken: ['en', 'ur'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9, 10],
    nationalPrefix: '0',
    nationality: 'Pakistani',
    number: '586',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Southern Asia',
    unLocode: 'PK',
    unofficialNames: ['Pakistan', 'Paquistán', 'パキスタン'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Pakistan",
      "af": "Pakistan",
      "ak": "Pakistan",
      "am": "ፓኪስታን",
      "an": "Pakistan",
      "ar": "باكستان",
      "as": "পাকিস্তান",
      "ay": "Pakistan",
      "az": "Pakistan",
      "ba": "Pakistan",
      "be": "Пакістан",
      "bg": "Пакистан",
      "bi": "Pakistan",
      "bn": "পাকিস্তান",
      "bn_IN": "পাকিস্তান",
      "br": "Pakistan",
      "bs": "Pakistan",
      "ca": "Pakistan",
      "ce": "Пакистан",
      "ch": "Pakistan",
      "cs": "Pákistán",
      "cv": "Пакистан",
      "cy": "Pacistan",
      "da": "Pakistan",
      "de": "Pakistan",
      "dv": "ޕާކިސްތާން",
      "dz": "པ་ཀིསི་ཏཱན།",
      "ee": "Pakistan",
      "el": "Πακιστάν",
      "en": "Pakistan",
      "eo": "Pakistano",
      "es": "Pakistán",
      "et": "Pakistan",
      "eu": "Pakistan",
      "fa": "پاکستان",
      "ff": "Pakistan",
      "fi": "Pakistan",
      "fo": "Pakistan",
      "fr": "Pakistan",
      "fy": "Pakistan",
      "ga": "An Phacastáin",
      "gl": "Paquistán",
      "gn": "Pakistan",
      "gu": "પાકિસ્તાન",
      "gv": "Yn Phakistaan",
      "ha": "Pakistan",
      "he": "פקיסטן",
      "hi": "पाकिस्तान",
      "hr": "Pakistan",
      "ht": "Pakistan",
      "hu": "Pakisztán",
      "hy": "Պակիստան",
      "ia": "Pakistan",
      "id": "Pakistan",
      "io": "Pakistan",
      "is": "Pakistan",
      "it": "Pakistan",
      "iu": "ᐸᑭᔅᑕᓐ",
      "ja": "パキスタン",
      "ka": "პაკისტანი",
      "ki": "Pakistan",
      "kk": "Пәкістан",
      "kl": "Pakistan",
      "km": "ប៉ាគីស្ថាន",
      "kn": "ಪಾಕಿಸ್ತಾನ್",
      "ko": "파키스탄",
      "ku": "Pakistan",
      "kv": "Пакистан",
      "kw": "Pakistan",
      "ky": "Пакистан",
      "lo": "Pakistan",
      "lt": "Pakistanas",
      "lv": "Pakistāna",
      "mi": "Pakitāne",
      "mk": "Пакистан",
      "ml": "പാകിസ്താന്‍",
      "mn": "Пакистан",
      "mr": "पाकिस्तान",
      "ms": "Pakistan",
      "mt": "Pakistan",
      "my": "ပါကစ္စတန်နိုင်ငံ",
      "na": "Pakistan",
      "nb": "Pakistan",
      "ne": "पाकिस्तान",
      "nl": "Pakistan",
      "nn": "Pakistan",
      "nv": "Eʼeʼaahjí Naakaii Dootłʼizhí Bikéyah",
      "oc": "Paquistan",
      "or": "ପାକିସ୍ତାନ",
      "pa": "ਪਾਕਿਸਤਾਨ",
      "pi": "पाकिस्तान",
      "pl": "Pakistan",
      "ps": "پاکستان",
      "pt": "Paquistão",
      "pt_BR": "Paquistão",
      "ro": "Pakistan",
      "ru": "Пакистан",
      "rw": "Pakisitani",
      "sc": "Pàkistan",
      "sd": "پاڪستان",
      "si": "පකිස්තානය",
      "sk": "Pakistan",
      "sl": "Pakistan",
      "so": "Bakistaan",
      "sq": "Pakistan",
      "sr": "Пакистан",
      "sv": "Pakistan",
      "sw": "Pakistan",
      "ta": "பாகிஸ்தான்",
      "te": "పాకిస్తాన్",
      "tg": "Покистон",
      "th": "ปากีสถาน",
      "ti": "ፓኪስታን",
      "tk": "Päkistan",
      "tl": "Pakistan",
      "tr": "Pakistan",
      "tt": "Пәкстан",
      "ug": "پاكىستان",
      "uk": "Пакистан",
      "ur": "پاکستان",
      "uz": "Pokiston",
      "ve": "Pakistan",
      "vi": "Pa-ki-xợ-thănh",
      "wa": "Pakistan",
      "wo": "Pakistaan",
      "xh": "Pakistan",
      "yo": "Pakístàn",
      "zh_CN": "巴基斯坦",
      "zh_HK": "巴基斯坦",
      "zh_TW": "巴基斯坦",
      "zu": "IPakistani"
    },
  );

  /// Country: The Republic of Poland
  static const Country pol = Country(
    alpha2: 'PL',
    alpha3: 'POL',
    continent: Continent.europe,
    countryCode: '48',
    currencyCode: 'PLN',
    gec: 'PL',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 51.919438,
        longitude: 19.145136,
      ),
      maxCoordinate: Coordinate(
        latitude: 54.9054761,
        longitude: 24.1458931,
      ),
      minCoordinate: Coordinate(
        latitude: 49.002025,
        longitude: 14.1228641,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 54.9054761,
          longitude: 24.1458931,
        ),
        southwest: Coordinate(
          latitude: 49.002025,
          longitude: 14.1228641,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'POL',
    isoLongName: 'The Republic of Poland',
    isoShortName: 'Poland',
    languagesOfficial: ['pl'],
    languagesSpoken: ['pl'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Polish',
    number: '616',
    postalCode: true,
    postalCodeFormat: r'\d{2}-\d{3}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Eastern Europe',
    unLocode: 'PL',
    unofficialNames: ['Poland', 'Polen', 'Pologne', 'Polonia', 'ポーランド'],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{region}}
{{country}}''',
    vatRates: VatRates(
      standard: 23.0,
      reduced: [5.0, 8.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Poland",
      "af": "Pole",
      "ak": "Poland",
      "am": "ፖሒን፥",
      "an": "Poland",
      "ar": "بولندا",
      "as": "পলেণ্ড",
      "ay": "Poland",
      "az": "Polşa",
      "ba": "Poland",
      "be": "Польшча",
      "bg": "Полша",
      "bi": "Poland",
      "bn": "পোল্যান্ড",
      "bn_IN": "পোল্যান্ড",
      "br": "Polonia",
      "bs": "Poljska",
      "ca": "Polònia",
      "ce": "Польша",
      "ch": "Polaki",
      "cs": "Polsko",
      "cv": "Польша",
      "cy": "Gwlad Pwyl",
      "da": "Polen",
      "de": "Polen",
      "dv": "ޕޮލެންޑު",
      "dz": "པོ་ལེནཌི།",
      "ee": "Poland",
      "el": "Πολωνία",
      "en": "Poland",
      "eo": "Pollando",
      "es": "Polonia",
      "et": "Poola",
      "eu": "Polonia",
      "fa": "لهستان",
      "ff": "Poloonya",
      "fi": "Puola",
      "fo": "Pólland",
      "fr": "Pologne",
      "fy": "Poalen",
      "ga": "An Pholainn",
      "gl": "Polonia",
      "gn": "Poland",
      "gu": "પોલેન્ડ",
      "gv": "Yn Pholynn",
      "ha": "Poland",
      "he": "פולין",
      "hi": "पोलैंड",
      "hr": "Poljska",
      "ht": "Polòy",
      "hu": "Lengyelország",
      "hy": "Լեհաստան",
      "ia": "Polonia",
      "id": "Polandia",
      "io": "Polonia",
      "is": "Pólland",
      "it": "Polonia",
      "iu": "ᐳᓚᓐᑦ",
      "ja": "ポーランド",
      "ka": "პოლონეთი",
      "ki": "Poland",
      "kk": "Польша",
      "kl": "Poland",
      "km": "ប៉ូឡូញ",
      "kn": "ಪೋಲಂಡ್",
      "ko": "폴란드",
      "ku": "Polonya",
      "kv": "Польша",
      "kw": "Poloni",
      "ky": "Польша",
      "lo": "ປະເທດໂປໂລຍ",
      "lt": "Lenkija",
      "lv": "Polija",
      "mi": "Pōrana",
      "mk": "Полска",
      "ml": "പോളണ്ട്",
      "mn": "Польш",
      "mr": "पोलंड",
      "ms": "Poland",
      "mt": "Polonja",
      "my": "ပိုလန်နိုင်ငံ",
      "na": "Poran",
      "nb": "Polen",
      "ne": "पोल्याण्ड",
      "nl": "Polen",
      "nn": "Polen",
      "nv": "Póolish Dineʼé Bikéyah",
      "oc": "Polonha",
      "or": "ପୋଲାଣ୍ଡ",
      "pa": "ਪੋਲੈਂਡ",
      "pi": "पोलैंड",
      "pl": "Polska",
      "ps": "پولنډ",
      "pt": "Polónia",
      "pt_BR": "Polônia",
      "ro": "Polonia",
      "ru": "Польша",
      "rw": "Polonye",
      "sc": "Polònia",
      "sd": "پولينڊ",
      "si": "පෝලන්තය",
      "sk": "Poľsko",
      "sl": "Poljska",
      "so": "Booland",
      "sq": "Poloni",
      "sr": "Пољска",
      "sv": "Polen",
      "sw": "Poland",
      "ta": "போலந்து",
      "te": "పోలాండ్",
      "tg": "Лаҳистон",
      "th": "โปแลนด์",
      "ti": "ፖላንድ",
      "tk": "Polşa",
      "tl": "Poland",
      "tr": "Polonya",
      "tt": "Полониа, Полша",
      "ug": "پولشا",
      "uk": "Польща",
      "ur": "بولندا",
      "uz": "Polsha",
      "ve": "Poland",
      "vi": "Ba Lan",
      "wa": "Pologne",
      "wo": "Poloñ",
      "xh": "Poland",
      "yo": "Pólàndì",
      "zh_CN": "波兰",
      "zh_HK": "波蘭",
      "zh_TW": "波蘭",
      "zu": "IPolandi"
    },
  );

  /// Country: The Overseas Collectivity of Saint-Pierre and Miquelon
  static const Country spm = Country(
    alpha2: 'PM',
    alpha3: 'SPM',
    continent: Continent.northAmerica,
    countryCode: '508',
    currencyCode: 'EUR',
    gec: 'SB',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 46.8852,
        longitude: -56.3159,
      ),
      maxCoordinate: Coordinate(
        latitude: 47.21579999999999,
        longitude: -55.98249999999999,
      ),
      minCoordinate: Coordinate(
        latitude: 46.7003,
        longitude: -56.5233,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 47.21579999999999,
          longitude: -55.98249999999999,
        ),
        southwest: Coordinate(
          latitude: 46.7003,
          longitude: -56.5233,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'The Overseas Collectivity of Saint-Pierre and Miquelon',
    isoShortName: 'Saint Pierre and Miquelon',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [6],
    nationalPrefix: '0',
    nationality: 'French',
    number: '666',
    postalCode: true,
    postalCodeFormat: r'9[78]5\d{2}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Northern America',
    unLocode: 'PM',
    unofficialNames: [
      'Saint Pierre and Miquelon',
      'Saint-Pierre und Miquelon',
      'Saint-Pierre-et-Miquelon',
      'San Pedro y Miquelón',
      'サンピエール島・ミクロン島',
      'Saint Pierre en Miquelon'
    ],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Saint Pierre and Miquelon",
      "af": "St. Pierre en Miquelon",
      "ak": "Saint Pierre and Miquelon",
      "am": "Saint Pierre and Miquelon",
      "an": "Saint Pierre and Miquelon",
      "ar": "سانت بيير و ميكيلون",
      "as": "চেন্ট পিয়েৰ আৰু মিকেলন",
      "ay": "Saint Pierre and Miquelon",
      "az": "Saint Pierre and Miquelon",
      "ba": "Saint Pierre and Miquelon",
      "be": "Сен-П'ер і Мікелон",
      "bg": "Свети Пиер и Микелон",
      "bi": "Saint Pierre and Miquelon",
      "bn": "সেন্ট পিয়ের ও মিকেলন",
      "bn_IN": "সেন্ট পিয়ের ও মিকেলন",
      "br": "Sant-Pêr-ha-Mikelon",
      "bs": "Saint Pierre i Miquelon",
      "ca": "Saint Pierre i Miquelon",
      "ce": "Saint Pierre and Miquelon",
      "ch": "Saint Pierre and Miquelon",
      "cs": "Svatý Pierre a Miquelon",
      "cv": "Saint Pierre and Miquelon",
      "cy": "Saint Pierre a Miquelon",
      "da": "Sankt Pierre og Miquelon",
      "de": "St. Pierre und Miquelon",
      "dv": "ސަންތި ޕިއޭރޭ އާއި މިކުއެލޯން",
      "dz": "སེནཊི་ པཱི་རི་དང་ མིཀིའུ་ལོན།",
      "ee": "Saint Pierre and Miquelon",
      "el": "Σαιν Πιερ και Μικελόν",
      "en": "Saint Pierre and Miquelon",
      "eo": "Sankta-Piero kaj Mikelono",
      "es": "San Pedro y Miquelon",
      "et": "Saint-Pierre ja Miquelon",
      "eu": "Saint Pierre eta Miquelon",
      "fa": "سنت پیر و میکلون",
      "ff": "Saint Pierre and Miquelon",
      "fi": "Saint-Pierre ja Miquelon",
      "fo": "Saint Pierre and Miquelon",
      "fr": "Saint-Pierre-et-Miquelon",
      "fy": "Sint-Pierre en Miquelon",
      "ga": "St. Pierre agus Miquelon",
      "gl": "San Pedro e Miquelon",
      "gn": "Saint Pierre and Miquelon",
      "gu": "સેન્ટ પીએરી અને મિક્યુલોન",
      "gv": "Saint Pierre and Miquelon",
      "ha": "Saint Pierre and Miquelon",
      "he": "סן פייר ומיקלון",
      "hi": "साँ-प्येर और मीकेलों",
      "hr": "Sveti Petar i Mikelon",
      "ht": "Saint Pierre and Miquelon",
      "hu": "Saint-Pierre és Miquelon",
      "hy": "Սեն Պիեռ և Միքելոն",
      "ia": "Saint-Pierre e Miquelon",
      "id": "Saint Pierre dan Miquelon",
      "io": "Santa Pierre e Mikelon",
      "is": "Sankti Pierre og Miquelon",
      "it": "Saint-Pierre e Miquelon",
      "iu": "Saint Pierre and Miquelon",
      "ja": "サンピエール及びミクロン",
      "ka": "სენ-პიერი და მიქელონი",
      "ki": "Saint Pierre and Miquelon",
      "kk": "Сен-Пьер және Микелон",
      "kl": "Saint Pierre and Miquelon",
      "km": "សង់ព្យែរ និង មីគុយអេឡុង",
      "kn": "Saint Pierre and Miquelon",
      "ko": "생피에르 미클롱",
      "ku": "Saint Pierre û Miquelon",
      "kv": "Saint Pierre and Miquelon",
      "kw": "Sen Peder ha Miquelon",
      "ky": "Сен-Пьер жана Микелон",
      "lo": "Saint Pierre and Miquelon",
      "lt": "Sen Pjeras ir Mikelonas",
      "lv": "Senpjēra un Mikelona",
      "mi": "Saint Pierre and Miquelon",
      "mk": "Св. Пјер и Микелон",
      "ml": "സെയിന്റ് പിയറിയും മിക്വലെനും",
      "mn": "Сен-Пьер ба Микелон",
      "mr": "सेंट पिअर आणी मिक्विलॉन",
      "ms": "Saint Pierre dan Miquelon",
      "mt": "Saint Pierre u Miquelon",
      "my": "Saint Pierre and Miquelon",
      "na": "Saint Pierre and Miquelon",
      "nb": "Saint-Pierre og Miquelon",
      "ne": "सेन्ट पिइर्रे र मिक्युलोन",
      "nl": "Saint-Pierre en Miquelon",
      "nn": "Saint-Pierre-et-Miquelon",
      "nv": "Saint Pierre and Miquelon",
      "oc": "Sant Pèire e Miquelon",
      "or": "ସେଣ୍ଟ ପିୟେରୀ ଏବଂ ମିକ୍ବୀଲୋନ",
      "pa": "ਸੇਂਟ ਪਿੱਰੇ ਅਤੇ ਮੀਕੇਲੋਨ",
      "pi": "Saint Pierre and Miquelon",
      "pl": "Saint-Pierre i Miquelon",
      "ps": "Saint Pierre and Miquelon",
      "pt": "Saint Pierre e Miquelon",
      "pt_BR": "São Pedro e Miquelon",
      "ro": "Saint Pierre și Miquelon",
      "ru": "Сен-Пьер и Микелон",
      "rw": "Mutagatifu Petero na Mikeloni",
      "sc": "Saint Pierre e Miquelon",
      "sd": "Saint Pierre and Miquelon",
      "si": "ශාන්ත පියරේ හා මිකුලෝන්",
      "sk": "Saint Pierre a Miquelon",
      "sl": "Saint Pierre in Miquelon",
      "so": "Saint Pierre and Miquelon",
      "sq": "Shën Pierr dhe Mikëlon",
      "sr": "Свети Пјер и Микелон",
      "sv": "Sankt Pierre och Miquelon",
      "sw": "Saint Pierre and Miquelon",
      "ta": "செயின்ட் பியார் மற்றும் மிக்யுலன்",
      "te": "సైంట్ పిర్రే మరియు మిక్విలాన్",
      "tg": "Сент-Пер ва Микелон",
      "th": "แซงปีแยร์และมีเกอลง",
      "ti": "Saint Pierre and Miquelon",
      "tk": "Sen-Pýer we Mikelon",
      "tl": "Saint Pierre at Miquelon",
      "tr": "Saint Pierre ve Miquelon",
      "tt": "Саинт Пиерре белән Микуелон",
      "ug": "ساينىت-پىئېر ئارىلى ۋە مىكېلون تاقىم ئاراللىرى",
      "uk": "Сен-П'єр і Мікелон",
      "ur": "سینٹ پیئر و میکیلون",
      "uz": "Sen-Pyer va Mikelon",
      "ve": "Saint Pierre and Miquelon",
      "vi": "Xan Pi-e và Mi-quê-lon",
      "wa": "Sint Pierre et Miquelon",
      "wo": "Saint Pierre ak Miquelon",
      "xh": "Saint Pierre and Miquelon",
      "yo": "Saint Pierre àti Mìkẹ́lọ̀n",
      "zh_CN": "圣皮埃尔和密克隆",
      "zh_HK": "聖皮耶及密克隆羣島",
      "zh_TW": "聖皮耶及密克隆群島",
      "zu": "Saint Pierre and Miquelon"
    },
  );

  /// Country: The Pitcairn, Henderson, Ducie and Oeno Islands
  static const Country pcn = Country(
    alpha2: 'PN',
    alpha3: 'PCN',
    continent: Continent.australia,
    countryCode: '64',
    currencyCode: 'NZD',
    gec: 'PC',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -24.3767537,
        longitude: -128.3242376,
      ),
      maxCoordinate: Coordinate(
        latitude: -23.7928845,
        longitude: -124.5410156,
      ),
      minCoordinate: Coordinate(
        latitude: -25.1776023,
        longitude: -130.9268188,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -23.7928845,
          longitude: -124.5410156,
        ),
        southwest: Coordinate(
          latitude: -25.1776023,
          longitude: -130.9268188,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'The Pitcairn, Henderson, Ducie and Oeno Islands',
    isoShortName: 'Pitcairn',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Pitcairn Islander',
    number: '612',
    postalCode: true,
    postalCodeFormat: r'PCRN 1ZZ',
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Polynesia',
    unLocode: 'PN',
    unofficialNames: [
      'Pitcairn',
      'ピトケアン',
      'Pitcairneilanden',
      'Pitcairn Islands'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Pitcairn",
      "af": "Pitcairn",
      "ak": "Pitcairn",
      "am": "Pitcairn",
      "an": "Pitcairn",
      "ar": "بتكيرن",
      "as": "পিটকেইৰ্ণ",
      "ay": "Pitcairn",
      "az": "Pitkairn",
      "ba": "Pitcairn",
      "be": "Піткэрн",
      "bg": "Питкеърн",
      "bi": "Pitcairn",
      "bn": "পিটকেয়ার্ন",
      "bn_IN": "পিটকেয়ার্ন",
      "br": "Pitcairn",
      "bs": "Pitcairn",
      "ca": "Pitcairn",
      "ce": "Pitcairn",
      "ch": "Pitcairn",
      "cs": "Pitcairnovy ostrovy",
      "cv": "Pitcairn",
      "cy": "Pitcairn",
      "da": "Pitcairn",
      "de": "Pitcairn",
      "dv": "Pitcairn",
      "dz": "པིཊི་ཀའི་རིན།",
      "ee": "Pitcairn",
      "el": "Πίτκαϊρν",
      "en": "Pitcairn",
      "eo": "Pitkarna Insulo",
      "es": "Pitcairn",
      "et": "Pitcairn",
      "eu": "Pitcairn",
      "fa": "پیتکایرن",
      "ff": "Pitcairn",
      "fi": "Pitcairn",
      "fo": "Pitcairn",
      "fr": "Îles Pitcairn",
      "fy": "Pitcairn",
      "ga": "Pitcairn",
      "gl": "Pitcairn",
      "gn": "Pitcairn",
      "gu": "પીટેકેર્ન",
      "gv": "Pitcairn",
      "ha": "Pitcairn",
      "he": "פיטקרן",
      "hi": "पिटकायर्न",
      "hr": "Pitcairnovo Otočje",
      "ht": "Pitcairn",
      "hu": "Pitcairn-szigetek",
      "hy": "Պիտքերնյան կղզիներ",
      "ia": "Insula Pitcairn",
      "id": "Pitcairn",
      "io": "Pitcairn",
      "is": "Pitkairn-eyja",
      "it": "Pitcairn",
      "iu": "Pitcairn",
      "ja": "ピトケアン",
      "ka": "პიტკარინი",
      "ki": "Pitcairn",
      "kk": "Питкэрн аралдары",
      "kl": "Pitcairn",
      "km": "ពីតខាយរិន",
      "kn": "Pitcairn",
      "ko": "핏케언 제도",
      "ku": "Pitkayirn",
      "kv": "Pitcairn",
      "kw": "Pitcairn",
      "ky": "Питкэрн аралдары",
      "lo": "Pitcairn",
      "lt": "Pitkernas",
      "lv": "Pitkērna",
      "mi": "Pitcairn",
      "mk": "Питкаирн",
      "ml": "പിറ്റ്കയേണ്‍",
      "mn": "Pitcairn",
      "mr": "पिटकेर्न",
      "ms": "Pitcairn",
      "mt": "Pitcairn",
      "my": "Pitcairn",
      "na": "Pitcairn",
      "nb": "Pitcairn",
      "ne": "पितकैरन",
      "nl": "Pitcairneilanden",
      "nn": "Pitcairn",
      "nv": "Pitcairn",
      "oc": "Illa de Pitcairn",
      "or": "ପିଟକେର୍ନ",
      "pa": "ਪਿਟਸਾਰਨ",
      "pi": "Pitcairn",
      "pl": "Pitcairn",
      "ps": "Pitcairn",
      "pt": "Pitcairn",
      "pt_BR": "Pitcairn",
      "ro": "Pitcairn",
      "ru": "Питкэрн",
      "rw": "Piticayirine",
      "sc": "Pitcairn",
      "sd": "Pitcairn",
      "si": "පිට්කායිරනව",
      "sk": "Pitcairnove ostrovy",
      "sl": "Pitcairn",
      "so": "Pitcairn",
      "sq": "Pitkern",
      "sr": "Питкарн",
      "sv": "Pitcairn",
      "sw": "Pitcairn",
      "ta": "பிட்கேரின்",
      "te": "పిట్‌కైర్న్",
      "tg": "Питкоирн",
      "th": "พิตแคร์น",
      "ti": "Pitcairn",
      "tk": "Pitkern",
      "tl": "Pitcairn",
      "tr": "Pitcairn",
      "tt": "Питкаирн",
      "ug": "پىتكاير",
      "uk": "Піткерн",
      "ur": "Pitcairn",
      "uz": "Pitcairn",
      "ve": "Pitcairn",
      "vi": "Pi-thợ-khenh",
      "wa": "Pitcairn",
      "wo": "Pitcairn",
      "xh": "Pitcairn",
      "yo": "Pitcairn",
      "zh_CN": "皮特克恩",
      "zh_HK": "皮特康",
      "zh_TW": "皮特肯島",
      "zu": "Pitcairn"
    },
  );

  /// Country: The Commonwealth of Puerto Rico
  static const Country pri = Country(
    alpha2: 'PR',
    alpha3: 'PRI',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'USD',
    gec: 'RQ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 18.220833,
        longitude: -66.590149,
      ),
      maxCoordinate: Coordinate(
        latitude: 18.5720479,
        longitude: -65.2105715,
      ),
      minCoordinate: Coordinate(
        latitude: 17.8449191,
        longitude: -67.9611844,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 18.5720479,
          longitude: -65.2105715,
        ),
        southwest: Coordinate(
          latitude: 17.8449191,
          longitude: -67.9611844,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'PUR',
    isoLongName: 'The Commonwealth of Puerto Rico',
    isoShortName: 'Puerto Rico',
    languagesOfficial: ['es', 'en'],
    languagesSpoken: ['es', 'en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Puerto Rican',
    number: '630',
    postalCode: true,
    postalCodeFormat: r'(00[679]\d{2})(?:[ \-](\d{4}))?',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'PR',
    unofficialNames: ['Puerto Rico', 'プエルトリコ'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Puerto Rico",
      "af": "Puerto Rico",
      "ak": "Puerto Rico",
      "am": "ፖሴታ ሱጥ",
      "an": "Puerto Rico",
      "ar": "بورتوريكو",
      "as": "পূৱেৰ্টো ৰিকো",
      "ay": "Puerto Rico",
      "az": "Porto Riko",
      "ba": "Puerto Rico",
      "be": "Пуэрта-Рыка",
      "bg": "Пуерто Рико",
      "bi": "Puerto Rico",
      "bn": "পুয়ের্তো রিকো",
      "bn_IN": "পুয়ের্তো রিকো",
      "br": "Puerto Rico",
      "bs": "Portoriko",
      "ca": "Puerto Rico",
      "ce": "Пуэрто-Рико",
      "ch": "Puerto Rico",
      "cs": "Portoriko",
      "cv": "Пуэрто-Рико",
      "cy": "Puerto Rico",
      "da": "Puerto Rico",
      "de": "Puerto Rico",
      "dv": "ޕުއެރްތޮ ރީކޯ",
      "dz": "པུར་ཊོ་ རི་ཀོ།",
      "ee": "Puerto Rico",
      "el": "Πουέρτο Ρίκο",
      "en": "Puerto Rico",
      "eo": "Puerto-Riko",
      "es": "Puerto Rico",
      "et": "Puerto Rico",
      "eu": "Puerto Rico",
      "fa": "پورتو ریکو",
      "ff": "Puerto Rico",
      "fi": "Puerto Rico",
      "fo": "Puerto Rico",
      "fr": "Porto Rico",
      "fy": "Puerto Riko",
      "ga": "Portó Ríce",
      "gl": "Porto Rico",
      "gn": "Puerto Rico",
      "gu": "પુર્ટો રીકો",
      "gv": "Yn Phurt Verçhagh",
      "ha": "Puerto Rico",
      "he": "פוארטו ריקו",
      "hi": "प्युर्तो रिको",
      "hr": "Portoriko",
      "ht": "Pòtoriko",
      "hu": "Puerto Rico",
      "hy": "Պուերտո Ռիկո",
      "ia": "Porto Rico",
      "id": "Puerto Riko",
      "io": "Portuo Riko",
      "is": "Puerto Ríko",
      "it": "Portorico",
      "iu": "Puerto Rico",
      "ja": "プエルトリコ",
      "ka": "პუერტო-რიკო",
      "ki": "Puerto Rico",
      "kk": "Пуэрто-Рико",
      "kl": "Puerto Rico",
      "km": "ព័រតូរីកូ",
      "kn": "ಪೋರ್ಟೋರಿಕಾ",
      "ko": "푸에르토리코",
      "ku": "Porto Rîko",
      "kv": "Puerto Rico",
      "kw": "Puerto Rico",
      "ky": "Пуэрто-Рико",
      "lo": "Puerto Rico",
      "lt": "Puerto Rikas",
      "lv": "Puertoriko",
      "mi": "Puerto Rico",
      "mk": "Пуерто Рико",
      "ml": "പ്യൂര്‍ട്ടോ റികോ",
      "mn": "Пуерто рико",
      "mr": "प्युर्टो रिको",
      "ms": "Puerto Rico",
      "mt": "Porto Riku",
      "my": "Puerto Rico",
      "na": "Puerto Rico",
      "nb": "Puerto Rico",
      "ne": "पुरटोरिको",
      "nl": "Puerto Rico",
      "nn": "Puerto Rico",
      "nv": "Puerto Rico",
      "oc": "Puerto Rico",
      "or": "ପ୍ଯୂରେଟୋ ରିକୋ",
      "pa": "ਪੁਈਰਟੋ ਰੀਸੋ",
      "pi": "Puerto Rico",
      "pl": "Portoryko",
      "ps": "Puerto Rico",
      "pt": "Porto Rico",
      "pt_BR": "Porto Rico",
      "ro": "Puerto Rico",
      "ru": "Пуэрто-Рико",
      "rw": "Puwerito Riko",
      "sc": "Puerto Rico",
      "sd": "Puerto Rico",
      "si": "පුවටෝ රිකෝව",
      "sk": "Portoriko",
      "sl": "Portoriko",
      "so": "Puerto Rico",
      "sq": "Porto Riko",
      "sr": "Порторико",
      "sv": "Puerto Rico",
      "sw": "Puerto Rico",
      "ta": "போர்ட்டோ ரீக்கோ",
      "te": "ప్యుర్టో రికో",
      "tg": "Пуэрто-Рико",
      "th": "เปอร์โตริโก",
      "ti": "ፖርታ ሪኮ",
      "tk": "Puerto-Riko",
      "tl": "Puerto Rico",
      "tr": "Porto Riko",
      "tt": "Пуерто Рико",
      "ug": "پۇئېرتو-رىكو",
      "uk": "Пуерто-Рико",
      "ur": "پورٹو ریکو",
      "uz": "Puerto-Riko",
      "ve": "Puerto Rico",
      "vi": "Pu-éc-thô Ri-cô",
      "wa": "Porto Rico",
      "wo": "Poorto Riiko",
      "xh": "Puerto Rico",
      "yo": "Púẹ́rtò Ríkò",
      "zh_CN": "波多黎各",
      "zh_HK": "波多黎各",
      "zh_TW": "波多黎各",
      "zu": "Puerto Rico"
    },
  );

  /// Country: The State of Palestine
  static const Country pse = Country(
    alpha2: 'PS',
    alpha3: 'PSE',
    continent: Continent.asia,
    countryCode: '970',
    currencyCode: 'ILS',
    gec: 'WE',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 31.952162,
        longitude: 35.233154,
      ),
      maxCoordinate: Coordinate(
        latitude: 32.5520999,
        longitude: 35.5740521,
      ),
      minCoordinate: Coordinate(
        latitude: 31.219691,
        longitude: 34.21010010000001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 32.5520999,
          longitude: 35.5740521,
        ),
        southwest: Coordinate(
          latitude: 31.219691,
          longitude: 34.21010010000001,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'PLE',
    isoLongName: 'The State of Palestine',
    isoShortName: 'Palestine, State of',
    languagesOfficial: ['ar', 'he', 'en'],
    languagesSpoken: ['ar', 'he', 'en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '0',
    nationality: 'Palestinian',
    number: '275',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.asia,
    startOfWeek: Week.sunday,
    subregion: 'Western Asia',
    unLocode: 'PS',
    unofficialNames: [
      'Palestine',
      'فلسطين',
      'Palästina',
      'Palestina',
      'the Occupied Palestinian Territory',
      'パレスチナ',
      'Palestijnse gebieden',
      'Palestinian Territory Occupied',
      'Palestinian Authority'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: 'EGP',
    isoShortNameByLocale: {
      "ab": "Palestine, State of",
      "af": "Palestine, State of",
      "ak": "Palestine, State of",
      "am": "Palestine, State of",
      "an": "Palestine, State of",
      "ar": "فلسطين",
      "as": "Palestine, State of",
      "ay": "Palestine, State of",
      "az": "Palestine, State of",
      "ba": "Palestine, State of",
      "be": "Палесціна",
      "bg": "Палестина, държава",
      "bi": "Palestine, State of",
      "bn": "ফিলিস্তিন রাষ্ট্র",
      "bn_IN": "ফিলিস্তিন, রাষ্ট্র",
      "br": "Palestine, State of",
      "bs": "Palestine, State of",
      "ca": "Palestine, State of",
      "ce": "Palestine, State of",
      "ch": "Palestine, State of",
      "cs": "Palestinský stát",
      "cv": "Palestine, State of",
      "cy": "Palestina, Gwladwriaeth",
      "da": "Palæstina, staten",
      "de": "Palästina, Staat",
      "dv": "Palestine, State of",
      "dz": "Palestine, State of",
      "ee": "Palestine, State of",
      "el": "Παλαιστίνη",
      "en": "Palestine, State of",
      "eo": "Palestino, Ŝtato",
      "es": "Palestina, Estado de",
      "et": "Palestiina Riik",
      "eu": "Palestinako Estatua",
      "fa": "فلسطین",
      "ff": "Palestine, State of",
      "fi": "Palestine, State of",
      "fo": "Palestine, State of",
      "fr": "Palestine, État de",
      "fy": "Palestine, State of",
      "ga": "Palaistíne, Stát na",
      "gl": "Palestina, Estado de",
      "gn": "Palestine, State of",
      "gu": "પેલેસ્ટાઇન, સ્ટેટ ઓફ",
      "gv": "Palestine, State of",
      "ha": "Palestine, State of",
      "he": "פלסטין, מדינת",
      "hi": "पैलेस्टाइन, स्टेट ऑफ़",
      "hr": "Palestina",
      "ht": "Palestine, State of",
      "hu": "Palesztina",
      "hy": "Պաղեստին, Պետություն",
      "ia": "Palestina",
      "id": "Negara Palestina",
      "io": "Palestine, State of",
      "is": "Palestína",
      "it": "Palestina, Stato di",
      "iu": "Palestine, State of",
      "ja": "パレスチナ",
      "ka": "Palestine, State of",
      "ki": "Palestine, State of",
      "kk": "Палестина мемлекеті",
      "kl": "Palestine, State of",
      "km": "រដ្ឋប៉ាឡេស្ទីន",
      "kn": "Palestine, State of",
      "ko": "팔레스타인",
      "ku": "Palestine, State of",
      "kv": "Palestine, State of",
      "kw": "Palestine, State of",
      "ky": "Палестина Мамлекети",
      "lo": "Palestine, State of",
      "lt": "Palestinos valstybė",
      "lv": "Palestīnas valsts",
      "mi": "Palestine, State of",
      "mk": "Palestine, State of",
      "ml": "Palestine, State of",
      "mn": "Palestine, State of",
      "mr": "पॅलेस्टाईन, राज्य",
      "ms": "Palestine, State of",
      "mt": "Palestine, State of",
      "my": "Palestine, State of",
      "na": "Palestine, State of",
      "nb": "Palestina, staten",
      "ne": "Palestine, State of",
      "nl": "Palestina",
      "nn": "Palestina",
      "nv": "Palestine, State of",
      "oc": "Palestina, estat de",
      "or": "ପାଲେଷ୍ଟାଇନ ରାଜ୍ୟ",
      "pa": "ਫਿਲਸਤੀਨ ਰਾਜ",
      "pi": "Palestine, State of",
      "pl": "Palestyna (państwo)",
      "ps": "Palestine, State of",
      "pt": "Palestina",
      "pt_BR": "Palestina, Estado da",
      "ro": "Palestina, Statul",
      "ru": "Палестина",
      "rw": "Palestine, State of",
      "sc": "Palestina, Istadu de",
      "sd": "Palestine, State of",
      "si": "Palestine, State of",
      "sk": "Palestína",
      "sl": "Palestina, država",
      "so": "Palestine, State of",
      "sq": "Palestinë, Shteti i",
      "sr": "Палестина, Држава",
      "sv": "Staten Palestina",
      "sw": "Palestine, State of",
      "ta": "Palestine, State of",
      "te": "పాలస్తీన్, స్టేట్ ఆఫ్",
      "tg": "Ҷумҳурии Фаластин",
      "th": "ปาเลสไตน์, รัฐ",
      "ti": "Palestine, State of",
      "tk": "Palestina",
      "tl": "Palestine, State of",
      "tr": "Filistin Devleti",
      "tt": "Palestine, State of",
      "ug": "پەلەستىن دۆلىتى",
      "uk": "Палестина, Держава",
      "ur": "Palestine, State of",
      "uz": "Palestine, State of",
      "ve": "Palestine, State of",
      "vi": "Palestine, quốc gia",
      "wa": "Palestine, State of",
      "wo": "Palestine, State of",
      "xh": "Palestine, State of",
      "yo": "Palestine, State of",
      "zh_CN": "巴勒斯坦",
      "zh_HK": "巴勒斯坦",
      "zh_TW": "巴勒斯坦",
      "zu": "Palestine, State of"
    },
  );

  /// Country: The Portuguese Republic
  static const Country prt = Country(
    alpha2: 'PT',
    alpha3: 'PRT',
    continent: Continent.europe,
    countryCode: '351',
    currencyCode: 'EUR',
    gec: 'PO',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 39.39987199999999,
        longitude: -8.224454,
      ),
      maxCoordinate: Coordinate(
        latitude: 42.1543111,
        longitude: -6.189159200000001,
      ),
      minCoordinate: Coordinate(
        latitude: 32.2895,
        longitude: -31.4647999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 42.1543111,
          longitude: -6.189159200000001,
        ),
        southwest: Coordinate(
          latitude: 32.2895,
          longitude: -31.4647999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'POR',
    isoLongName: 'The Portuguese Republic',
    isoShortName: 'Portugal',
    languagesOfficial: ['pt'],
    languagesSpoken: ['pt'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: 'None',
    nationality: 'Portuguese',
    number: '620',
    postalCode: true,
    postalCodeFormat: r'\d{4}-\d{3}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Southern Europe',
    unLocode: 'PT',
    unofficialNames: ['Portugal', 'ポルトガル'],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}} {{region_short}}
{{country}}''',
    vatRates: VatRates(
      standard: 23.0,
      reduced: [6.0, 13.0],
      superReduced: null,
      parking: 13.0,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Portugal",
      "af": "Portugal",
      "ak": "Portugal",
      "am": "ፖርቱጋል",
      "an": "Portugal",
      "ar": "البرتغال",
      "as": "পোর্টুগাল",
      "ay": "Portugal",
      "az": "Portuqaliya",
      "ba": "Portugal",
      "be": "Партугалія",
      "bg": "Португалия",
      "bi": "Portugal",
      "bn": "পোর্টুগাল",
      "bn_IN": "পোর্টুগাল",
      "br": "Portugal",
      "bs": "Portugal",
      "ca": "Portugal",
      "ce": "Португали",
      "ch": "Portugal",
      "cs": "Portugalsko",
      "cv": "Португали",
      "cy": "Portiwgal",
      "da": "Portugal",
      "de": "Portugal",
      "dv": "ޕޯޗުގަލް",
      "dz": "པོར་ཊུ་གཱལ།",
      "ee": "Portugal",
      "el": "Πορτογαλία",
      "en": "Portugal",
      "eo": "Portugalio",
      "es": "Portugal",
      "et": "Portugal",
      "eu": "Portugal",
      "fa": "پرتغال",
      "ff": "Portokeesi",
      "fi": "Portugali",
      "fo": "Portugal",
      "fr": "Portugal",
      "fy": "Portegal",
      "ga": "An Phortaingéil",
      "gl": "Portugal",
      "gn": "Portugal",
      "gu": "પોર્ટુગલ",
      "gv": "Yn Phortiugal",
      "ha": "Portugal",
      "he": "פורטוגל",
      "hi": "पुर्तगाल",
      "hr": "Portugal",
      "ht": "Pòtigal",
      "hu": "Portugália",
      "hy": "Պորտուգալիա",
      "ia": "Portugal",
      "id": "Portugal",
      "io": "Portugal",
      "is": "Portúgal",
      "it": "Portogallo",
      "iu": "Portugal",
      "ja": "ポルトガル",
      "ka": "პორტუგალია",
      "ki": "Portugal",
      "kk": "Португалия",
      "kl": "Portugal",
      "km": "ព័រទុយហ្គាល់",
      "kn": "ಪೋರ್ತುಗಾಲ್",
      "ko": "포르투갈",
      "ku": "Portekîz",
      "kv": "Португалия",
      "kw": "Portyngal",
      "ky": "Португалия",
      "lo": "ປະເທດປອກຕຸຍການ",
      "lt": "Portugalija",
      "lv": "Portugāle",
      "mi": "Potukara",
      "mk": "Португалија",
      "ml": "പോര്‍ച്ചുഗല്‍",
      "mn": "Португаль",
      "mr": "पोर्तुगाल",
      "ms": "Feringgi",
      "mt": "Portugall",
      "my": "ပေါ်တူဂီနိုင်ငံ",
      "na": "Portsiugar",
      "nb": "Portugal",
      "ne": "पोर्चुगल",
      "nl": "Portugal",
      "nn": "Portugal",
      "nv": "Portugal",
      "oc": "Portugal",
      "or": "ପର୍ତୁଗାଲ",
      "pa": "ਪੁਰਤਗਾਲ",
      "pi": "पुर्तगाल",
      "pl": "Portugalia",
      "ps": "پورتګال",
      "pt": "Portugal",
      "pt_BR": "Portugal",
      "ro": "Portugalia",
      "ru": "Португалия",
      "rw": "Porutigali",
      "sc": "Portugallu",
      "sd": "پرتگال",
      "si": "පෘතුගාලය",
      "sk": "Portugalsko",
      "sl": "Portugalska",
      "so": "Bortuqaal",
      "sq": "Portugali",
      "sr": "Португал",
      "sv": "Portugal",
      "sw": "Portugal",
      "ta": "போர்ச்சுகல்",
      "te": "పోర్చుగల్",
      "tg": "Португалия",
      "th": "โปรตุเกส",
      "ti": "ፖርቱጋል",
      "tk": "Portugaliýa",
      "tl": "Portugal",
      "tr": "Portekiz",
      "tt": "Портуgалиа",
      "ug": "پورتۇگالىيە",
      "uk": "Португалія",
      "ur": "پرتگال",
      "uz": "Portugaliya",
      "ve": "Portugal",
      "vi": "Bồ Đào Nha",
      "wa": "Portugal",
      "wo": "Portugaal",
      "xh": "Portugal",
      "yo": "Pọ́rtúgàl",
      "zh_CN": "葡萄牙",
      "zh_HK": "葡萄牙",
      "zh_TW": "葡萄牙",
      "zu": "IPhothugali"
    },
  );

  /// Country: The Republic of Palau
  static const Country plw = Country(
    alpha2: 'PW',
    alpha3: 'PLW',
    continent: Continent.australia,
    countryCode: '680',
    currencyCode: 'USD',
    gec: 'PS',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 7.514979999999999,
        longitude: 134.58252,
      ),
      maxCoordinate: Coordinate(
        latitude: 8.238674,
        longitude: 135.0769,
      ),
      minCoordinate: Coordinate(
        latitude: 2.6394,
        longitude: 131.0115,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 8.238674,
          longitude: 135.0769,
        ),
        southwest: Coordinate(
          latitude: 2.6394,
          longitude: 131.0115,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'PLW',
    isoLongName: 'The Republic of Palau',
    isoShortName: 'Palau',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Palauan',
    number: '585',
    postalCode: true,
    postalCodeFormat: r'(969(?:39|40))(?:[ \-](\d{4}))?',
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Micronesia',
    unLocode: 'PW',
    unofficialNames: ['Palau', 'パラオ'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Palau",
      "af": "Palau",
      "ak": "Palau",
      "am": "ፐላው",
      "an": "Palau",
      "ar": "بالاو",
      "as": "পালাউ",
      "ay": "Palau",
      "az": "Palau",
      "ba": "Palau",
      "be": "Палау",
      "bg": "Палау",
      "bi": "Palau",
      "bn": "পালাউ",
      "bn_IN": "পালাউ",
      "br": "Palau",
      "bs": "Palau",
      "ca": "Palau",
      "ce": "Палау",
      "ch": "Palau",
      "cs": "Palau",
      "cv": "Палау",
      "cy": "Palau",
      "da": "Palau",
      "de": "Palau",
      "dv": "ޕަލާއޫ",
      "dz": "པ་ལའུ།",
      "ee": "Palau",
      "el": "Παλάου",
      "en": "Palau",
      "eo": "Palaŭo",
      "es": "Palaos",
      "et": "Belau",
      "eu": "Palau",
      "fa": "پالائو",
      "ff": "Palau",
      "fi": "Palau",
      "fo": "Palau",
      "fr": "Palaos",
      "fy": "Palau",
      "ga": "Palau",
      "gl": "Palau",
      "gn": "Palau",
      "gu": "પાલાઉ",
      "gv": "Palau",
      "ha": "Palau",
      "he": "פלאו",
      "hi": "पलाउ",
      "hr": "Palau",
      "ht": "Palao",
      "hu": "Palau",
      "hy": "Պալաու",
      "ia": "Palau",
      "id": "Palau",
      "io": "Palau",
      "is": "Palá",
      "it": "Palau",
      "iu": "Palau",
      "ja": "パラオ",
      "ka": "პალაუ",
      "ki": "Palau",
      "kk": "Палау",
      "kl": "Palau",
      "km": "ប៉ាឡូ",
      "kn": "ಪಲಾಉ",
      "ko": "팔라우",
      "ku": "Palawu",
      "kv": "Palau",
      "kw": "Palau",
      "ky": "Палау",
      "lo": "Palau",
      "lt": "Palau",
      "lv": "Palau",
      "mi": "Palau",
      "mk": "Палау",
      "ml": "പലാവു",
      "mn": "Палау",
      "mr": "पालाउ",
      "ms": "Palau",
      "mt": "Palaw",
      "my": "ပလောင်းနိုင်ငံ",
      "na": "Parau",
      "nb": "Palau",
      "ne": "पालाउ",
      "nl": "Palau",
      "nn": "Palau",
      "nv": "Palau",
      "oc": "Belau",
      "or": "ପଲାଊ",
      "pa": "ਪਲਾਊ",
      "pi": "Palau",
      "pl": "Palau",
      "ps": "Palau",
      "pt": "Palau",
      "pt_BR": "Palau",
      "ro": "Palau",
      "ru": "Палау",
      "rw": "Palawu",
      "sc": "Palau",
      "sd": "Palau",
      "si": "පාලාව්",
      "sk": "Palau",
      "sl": "Palau",
      "so": "Palau",
      "sq": "Palau",
      "sr": "Палау",
      "sv": "Palau",
      "sw": "Palau",
      "ta": "பலாவு",
      "te": "పలౌ",
      "tg": "Палаув",
      "th": "ปาเลา",
      "ti": "Palau",
      "tk": "Palau",
      "tl": "Palau",
      "tr": "Palau",
      "tt": "Палау",
      "ug": "پالاۋ",
      "uk": "Палау",
      "ur": "پلاؤ",
      "uz": "Palau",
      "ve": "Palau",
      "vi": "Pa-lau",
      "wa": "Palawou",
      "wo": "Palau",
      "xh": "Palau",
      "yo": "Páláù",
      "zh_CN": "帕劳",
      "zh_HK": "帕勞",
      "zh_TW": "帛琉",
      "zu": "Palau"
    },
  );

  /// Country: The Republic of Paraguay
  static const Country pry = Country(
    alpha2: 'PY',
    alpha3: 'PRY',
    continent: Continent.southAmerica,
    countryCode: '595',
    currencyCode: 'PYG',
    gec: 'PA',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -23.442503,
        longitude: -58.443832,
      ),
      maxCoordinate: Coordinate(
        latitude: -19.2876589,
        longitude: -54.258562,
      ),
      minCoordinate: Coordinate(
        latitude: -27.5817594,
        longitude: -62.63895230000001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -19.2876589,
          longitude: -54.258562,
        ),
        southwest: Coordinate(
          latitude: -27.5817594,
          longitude: -62.63895230000001,
        ),
      ),
    ),
    internationalPrefix: '002',
    ioc: 'PAR',
    isoLongName: 'The Republic of Paraguay',
    isoShortName: 'Paraguay',
    languagesOfficial: ['es', 'gn'],
    languagesSpoken: ['es', 'gn'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Paraguayan',
    number: '600',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'South America',
    unLocode: 'PY',
    unofficialNames: ['Paraguay', 'パラグアイ'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Paraguay",
      "af": "Paraguay",
      "ak": "Paraguay",
      "am": "ፓራጓይ",
      "an": "Paraguay",
      "ar": "الباراغواي",
      "as": "পাৰাগুৱে",
      "ay": "Paraguay",
      "az": "Paraqvay",
      "ba": "Paraguay",
      "be": "Парагвай",
      "bg": "Парагвай",
      "bi": "Paraguay",
      "bn": "প্যারাগুয়ে",
      "bn_IN": "প্যারাগুয়ে",
      "br": "Paraguay",
      "bs": "Paragvaj",
      "ca": "Paraguai",
      "ce": "Парагвай",
      "ch": "Paraguay",
      "cs": "Paraguay",
      "cv": "Парагвай",
      "cy": "Paraguay",
      "da": "Paraguay",
      "de": "Paraguay",
      "dv": "ޕެރަގުއޭ",
      "dz": "པ་ར་གུ་ཡེ།",
      "ee": "Paraguay",
      "el": "Παραγουάη",
      "en": "Paraguay",
      "eo": "Paragvajo",
      "es": "Paraguay",
      "et": "Paraguay",
      "eu": "Paraguai",
      "fa": "پاراگوئه",
      "ff": "Paraguay",
      "fi": "Paraguay",
      "fo": "Paraguei",
      "fr": "Paraguay",
      "fy": "Paraguay",
      "ga": "Paragua",
      "gl": "Paraguai",
      "gn": "Paraguay",
      "gu": "પારાગ્વે",
      "gv": "Yn Pharaguay",
      "ha": "Paraguay",
      "he": "פרגוואי",
      "hi": "पैराग्वे",
      "hr": "Paragvaj",
      "ht": "Paragwe",
      "hu": "Paraguay",
      "hy": "Պարագվայ",
      "ia": "Paraguay",
      "id": "Paraguay",
      "io": "Paraguay",
      "is": "Paragvæ",
      "it": "Paraguay",
      "iu": "Paraguay",
      "ja": "パラグアイ",
      "ka": "პარაგვაი",
      "ki": "Paraguay",
      "kk": "Парагвай",
      "kl": "Paraguay",
      "km": "ប៉ារ៉ាហ្គាយ",
      "kn": "ಪರಾಗ್ವೇ",
      "ko": "파라과이",
      "ku": "Paraguay",
      "kv": "Paraguay",
      "kw": "Paragway",
      "ky": "Парагвай",
      "lo": "ປະເທດປາຣາກວາຍ",
      "lt": "Paragvajus",
      "lv": "Paragvaja",
      "mi": "Parakai",
      "mk": "Парагвај",
      "ml": "പരാഗ്വേ",
      "mn": "Прагвай",
      "mr": "पॅराग्वे",
      "ms": "Paraguay",
      "mt": "Paragwaj",
      "my": "ပါရာဂွေးနိုင်ငံ",
      "na": "Paraguay",
      "nb": "Paraguay",
      "ne": "पराग्वे",
      "nl": "Paraguay",
      "nn": "Paraguay",
      "nv": "Paraguay",
      "oc": "Paraguai",
      "or": "ପାରାଗ୍ବେ",
      "pa": "ਪੇਰੂਗਵੇ",
      "pi": "पेरेग्वाय",
      "pl": "Paragwaj",
      "ps": "Paraguay",
      "pt": "Paraguai",
      "pt_BR": "Paraguai",
      "ro": "Paraguay",
      "ru": "Парагвай",
      "rw": "Paragwe",
      "sc": "Paraguay",
      "sd": "Paraguay",
      "si": "පැරගුවේ",
      "sk": "Paraguaj",
      "sl": "Paragvaj",
      "so": "Paraguay",
      "sq": "Paraguai",
      "sr": "Парагвај",
      "sv": "Paraguay",
      "sw": "Paraguay",
      "ta": "பராகுவே",
      "te": "పరాగ్వే",
      "tg": "Парагвай",
      "th": "ปารากวัย",
      "ti": "ፓራጓይ",
      "tk": "Paragwaý",
      "tl": "Paraguay",
      "tr": "Paraguay",
      "tt": "Параgуай",
      "ug": "پاراگۋاي",
      "uk": "Парагвай",
      "ur": "پیراگوئے",
      "uz": "Paragvay",
      "ve": "Paraguay",
      "vi": "Pa-ra-guay",
      "wa": "Paragway",
      "wo": "Paraguwaay",
      "xh": "Paraguay",
      "yo": "Paragúáì",
      "zh_CN": "巴拉圭",
      "zh_HK": "巴拉圭",
      "zh_TW": "巴拉圭",
      "zu": "I-Paraguwayi"
    },
  );

  /// Country: The State of Qatar
  static const Country qat = Country(
    alpha2: 'QA',
    alpha3: 'QAT',
    continent: Continent.asia,
    countryCode: '974',
    currencyCode: 'QAR',
    gec: 'QA',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 25.354826,
        longitude: 51.183884,
      ),
      maxCoordinate: Coordinate(
        latitude: 26.2171,
        longitude: 51.7144001,
      ),
      minCoordinate: Coordinate(
        latitude: 24.471118,
        longitude: 50.7211001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 26.2171,
          longitude: 51.7144001,
        ),
        southwest: Coordinate(
          latitude: 24.471118,
          longitude: 50.7211001,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'QAT',
    isoLongName: 'The State of Qatar',
    isoShortName: 'Qatar',
    languagesOfficial: ['ar'],
    languagesSpoken: ['ar'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Qatari',
    number: '634',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.asia,
    startOfWeek: Week.sunday,
    subregion: 'Western Asia',
    unLocode: 'QA',
    unofficialNames: ['Qatar', 'قطر', 'Katar', 'カタール'],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Qatar",
      "af": "Katar",
      "ak": "Qatar",
      "am": "ቃጣር",
      "an": "Qatar",
      "ar": "قطر",
      "as": "কাটাৰ",
      "ay": "Qatar",
      "az": "Katar",
      "ba": "Qatar",
      "be": "Катар",
      "bg": "Катар",
      "bi": "Qatar",
      "bn": "কাতার",
      "bn_IN": "কাতার",
      "br": "Katar",
      "bs": "Katar",
      "ca": "Qatar",
      "ce": "КъатӀар",
      "ch": "Qatar",
      "cs": "Katar",
      "cv": "КъатӀар",
      "cy": "Qatar",
      "da": "Qatar",
      "de": "Katar",
      "dv": "ޤަޠަރު",
      "dz": "ཀ་ཊར།",
      "ee": "Qatar",
      "el": "Κατάρ",
      "en": "Qatar",
      "eo": "Kataro",
      "es": "Catar",
      "et": "Katar",
      "eu": "Qatar",
      "fa": "قطر",
      "ff": "Qatar",
      "fi": "Qatar",
      "fo": "Katar",
      "fr": "Qatar",
      "fy": "Katar",
      "ga": "Catar",
      "gl": "Qatar",
      "gn": "Qatar",
      "gu": "કતાર",
      "gv": "Yn Chatar",
      "ha": "Qatar",
      "he": "קטר",
      "hi": "क़तर",
      "hr": "Katar",
      "ht": "Katar",
      "hu": "Katar",
      "hy": "Կատար",
      "ia": "Qatar",
      "id": "Qatar",
      "io": "Katar",
      "is": "Katar",
      "it": "Qatar",
      "iu": "Qatar",
      "ja": "カタール",
      "ka": "კატარი",
      "ki": "Qatar",
      "kk": "Катар",
      "kl": "Qatar",
      "km": "កាតារ",
      "kn": "ಕತಾರ್",
      "ko": "카타르",
      "ku": "Qatar",
      "kv": "Катар",
      "kw": "Katar",
      "ky": "Катар",
      "lo": "ປະເທດກາຕາ",
      "lt": "Kataras",
      "lv": "Katara",
      "mi": "Qatar",
      "mk": "Катар",
      "ml": "ഖത്തര്‍",
      "mn": "Катар",
      "mr": "कतार",
      "ms": "Qatar",
      "mt": "Qatar",
      "my": "ကာတာနိုင်ငံ",
      "na": "Qatar",
      "nb": "Qatar",
      "ne": "कतार",
      "nl": "Qatar",
      "nn": "Qatar",
      "nv": "Qatar",
      "oc": "Qatar",
      "or": "କତାର",
      "pa": "ਕਤਰ",
      "pi": "कतार",
      "pl": "Katar",
      "ps": "قطر",
      "pt": "Catar",
      "pt_BR": "Catar",
      "ro": "Qatar",
      "ru": "Катар",
      "rw": "Katari",
      "sc": "Catar",
      "sd": "Qatar",
      "si": "කටාර්",
      "sk": "Katar",
      "sl": "Katar",
      "so": "Qadar",
      "sq": "Katar",
      "sr": "Катар",
      "sv": "Qatar",
      "sw": "Qatar",
      "ta": "கதார்",
      "te": "కతార్",
      "tg": "Қатар",
      "th": "กาตาร์",
      "ti": "Qatar",
      "tk": "Katar",
      "tl": "Qatar",
      "tr": "Katar",
      "tt": "Катар",
      "ug": "قاتار",
      "uk": "Катар",
      "ur": "قطر",
      "uz": "Qatar",
      "ve": "Qatar",
      "vi": "Ca-tă",
      "wa": "Katar",
      "wo": "Xatar",
      "xh": "Qatar",
      "yo": "Katar",
      "zh_CN": "卡塔尔",
      "zh_HK": "卡塔爾",
      "zh_TW": "卡達",
      "zu": "Qatar"
    },
  );

  /// Country: Réunion
  static const Country reu = Country(
    alpha2: 'RE',
    alpha3: 'REU',
    continent: Continent.africa,
    countryCode: '262',
    currencyCode: 'EUR',
    gec: 'RE',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -21.115141,
        longitude: 55.536384,
      ),
      maxCoordinate: Coordinate(
        latitude: -20.8671529,
        longitude: 55.84487919999999,
      ),
      minCoordinate: Coordinate(
        latitude: -21.4035321,
        longitude: 55.209732,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -20.8671529,
          longitude: 55.84487919999999,
        ),
        southwest: Coordinate(
          latitude: -21.4035321,
          longitude: 55.209732,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'Réunion',
    isoShortName: 'Réunion',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [10],
    nationalPrefix: 'None',
    nationality: 'French',
    number: '638',
    postalCode: true,
    postalCodeFormat: r'9[78]4\d{2}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'RE',
    unofficialNames: ['Réunion', 'Reunión', 'Reunion', 'レユニオン'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Réunion",
      "af": "Réunion",
      "ak": "Réunion",
      "am": "ሬዩንዮን",
      "an": "Réunion",
      "ar": "ريونيون",
      "as": "ৰিইউনিয়ান",
      "ay": "Réunion",
      "az": "Reyunion",
      "ba": "Réunion",
      "be": "Рэюньён",
      "bg": "Риюниън",
      "bi": "Réunion",
      "bn": "রিইউনিয়ান",
      "bn_IN": "রিইউনিয়ান",
      "br": "Enez ar Reunion",
      "bs": "Réunion",
      "ca": "Reunió",
      "ce": "Реюньон",
      "ch": "Réunion",
      "cs": "Réunion",
      "cv": "Реюньон",
      "cy": "Réunion",
      "da": "Réunion",
      "de": "Réunion",
      "dv": "ރިޔޫނިއަން",
      "dz": "སླར་བསྡོམ།",
      "ee": "Réunion",
      "el": "Ρεϋνιόν",
      "en": "Réunion",
      "eo": "Reunio",
      "es": "Reunión",
      "et": "Réunion",
      "eu": "Réunion",
      "fa": "رئونیون",
      "ff": "Réunion",
      "fi": "Réunion",
      "fo": "Réunion",
      "fr": "Réunion, Île de la",
      "fy": "Réunion",
      "ga": "Réunion",
      "gl": "Reunión",
      "gn": "Réunion",
      "gu": "રીયુનિયન",
      "gv": "Réunion",
      "ha": "Réunion",
      "he": "ראוניון",
      "hi": "रेयूनियों",
      "hr": "Réunion",
      "ht": "La Reyinyon",
      "hu": "Réunion",
      "hy": "Ռեյունյոն",
      "ia": "Reunion",
      "id": "Réunion",
      "io": "Reunion",
      "is": "Réunion",
      "it": "Riunione",
      "iu": "Réunion",
      "ja": "レユニオン",
      "ka": "რეუნიონი",
      "ki": "Réunion",
      "kk": "Реюньон",
      "kl": "Réunion",
      "km": "រេអុយញ៉ុង",
      "kn": "Réunion",
      "ko": "레위니옹",
      "ku": "Reûnyon",
      "kv": "Réunion",
      "kw": "Réunion",
      "ky": "Реюньон департаменти",
      "lo": "Réunion",
      "lt": "Reunjonas",
      "lv": "Reinjona",
      "mi": "Réunion",
      "mk": "Реунион",
      "ml": "റീയൂണിയന്‍",
      "mn": "Реюньон",
      "mr": "रियुनियन",
      "ms": "Réunion",
      "mt": "Réunion",
      "my": "Réunion",
      "na": "Réunion",
      "nb": "Réunion",
      "ne": "रियूनियन",
      "nl": "Réunion",
      "nn": "Réunion",
      "nv": "Réunion",
      "oc": "Réunion",
      "or": "ରିୟୁନିୟନ",
      "pa": "ਰੀਯੁਨੀਅਨ",
      "pi": "Réunion",
      "pl": "Reunion",
      "ps": "Réunion",
      "pt": "Ilha Reunião",
      "pt_BR": "Reunião",
      "ro": "Réunion",
      "ru": "Реюньон",
      "rw": "Reyiniyo",
      "sc": "Riunione",
      "sd": "Réunion",
      "si": "ප්‍රතිසංවිධානය",
      "sk": "Réunion",
      "sl": "Reunion",
      "so": "Réunion",
      "sq": "Réunion",
      "sr": "Реунион",
      "sv": "Réunion",
      "sw": "Réunion",
      "ta": "ரீயூனியன்",
      "te": "రియూనియన్",
      "tg": "Реюнон",
      "th": "เรอูนียง",
      "ti": "Réunion",
      "tk": "Reýunýon",
      "tl": "Réunion",
      "tr": "Réunion",
      "tt": "Рéунион",
      "ug": "رېئونىيون",
      "uk": "Реюньйон",
      "ur": "غے یونیوں",
      "uz": "Réunion",
      "ve": "Réunion",
      "vi": "Rê-u-ni-ợnh",
      "wa": "Reyunion",
      "wo": "Reiñõo",
      "xh": "Réunion",
      "yo": "Réunion",
      "zh_CN": "留尼汪",
      "zh_HK": "留尼旺",
      "zh_TW": "留尼旺島",
      "zu": "IRiyunion"
    },
  );

  /// Country: Romania
  static const Country rou = Country(
    alpha2: 'RO',
    alpha3: 'ROU',
    continent: Continent.europe,
    countryCode: '40',
    currencyCode: 'RON',
    gec: 'RO',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 45.943161,
        longitude: 24.96676,
      ),
      maxCoordinate: Coordinate(
        latitude: 48.26518,
        longitude: 29.77839999999999,
      ),
      minCoordinate: Coordinate(
        latitude: 43.6186193,
        longitude: 20.2617591,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 48.26518,
          longitude: 29.77839999999999,
        ),
        southwest: Coordinate(
          latitude: 43.6186193,
          longitude: 20.2617591,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'ROU',
    isoLongName: 'Romania',
    isoShortName: 'Romania',
    languagesOfficial: ['ro'],
    languagesSpoken: ['ro'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Romanian',
    number: '642',
    postalCode: true,
    postalCodeFormat: r'\d{6}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Eastern Europe',
    unLocode: 'RO',
    unofficialNames: [
      'Romania',
      'Rumänien',
      'Roumanie',
      'Rumania',
      'ルーマニア',
      'Roemenië'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 19.0,
      reduced: [5.0, 9.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Romania",
      "af": "Roemenië",
      "ak": "Romania",
      "am": "ስሣኒ።",
      "an": "Romania",
      "ar": "رومانيا",
      "as": "ৰোমানিয়া",
      "ay": "Romania",
      "az": "Ruminıya",
      "ba": "Romania",
      "be": "Румынія",
      "bg": "Румъния",
      "bi": "Romania",
      "bn": "রোমানিয়া",
      "bn_IN": "রোমানিয়া",
      "br": "Roumania",
      "bs": "Rumunija",
      "ca": "Romania",
      "ce": "Румыни",
      "ch": "Romania",
      "cs": "Rumunsko",
      "cv": "Румыни",
      "cy": "Rwmania",
      "da": "Rumænien",
      "de": "Rumänien",
      "dv": "ރުމޭނިއާ",
      "dz": "རོ་མ་ནི་ཡ།",
      "ee": "Romania",
      "el": "Ρουμανία",
      "en": "Romania",
      "eo": "Rumanio",
      "es": "Rumanía",
      "et": "Rumeenia",
      "eu": "Errumania",
      "fa": "رومانی",
      "ff": "Romaniya",
      "fi": "Romania",
      "fo": "Rumenia",
      "fr": "Roumanie",
      "fy": "Roemeenje",
      "ga": "An Rómáin",
      "gl": "Romanía",
      "gn": "Romania",
      "gu": "રોમાનિયા",
      "gv": "Yn Romaan",
      "ha": "Romainiya",
      "he": "רומניה",
      "hi": "रोमानिया",
      "hr": "Rumunjska",
      "ht": "Woumani",
      "hu": "Románia",
      "hy": "Ռումինիա",
      "ia": "Romania",
      "id": "Rumania",
      "io": "Rumania",
      "is": "Rúmenía",
      "it": "Romania",
      "iu": "Romania",
      "ja": "ルーマニア",
      "ka": "რუმინეთი",
      "ki": "Romania",
      "kk": "Румыния",
      "kl": "Romania",
      "km": "រូម៉ានី",
      "kn": "ರೊಮೇನಿಯಾ",
      "ko": "루마니아",
      "ku": "Romanya",
      "kv": "Румыния",
      "kw": "Roumani",
      "ky": "Румыния",
      "lo": "ປະເທດລູມານີ",
      "lt": "Rumunija",
      "lv": "Rumānija",
      "mi": "Romeinia",
      "mk": "Романија",
      "ml": "റൊമാനിയ",
      "mn": "Румын",
      "mr": "रोमानिया",
      "ms": "Romania",
      "mt": "Rumanija",
      "my": "ရိုမေးနီးယားနိုင်ငံ",
      "na": "Romania",
      "nb": "Romania",
      "ne": "रोमानिया",
      "nl": "Roemenië",
      "nn": "Romania",
      "nv": "Wooméiniya",
      "oc": "Romania",
      "or": "ରୋମାନିୟା",
      "pa": "ਰੋਮਾਨੀਆ",
      "pi": "रोमानिया",
      "pl": "Rumunia",
      "ps": "رومانیا",
      "pt": "Roménia",
      "pt_BR": "Romênia",
      "ro": "România",
      "ru": "Румыния",
      "rw": "Romaniya",
      "sc": "Romania",
      "sd": "Romania",
      "si": "රොමේනියාව",
      "sk": "Rumunsko",
      "sl": "Romunija",
      "so": "Rumaaniya",
      "sq": "Rumani",
      "sr": "Румунија",
      "sv": "Rumänien",
      "sw": "Romania",
      "ta": "ரோமானியா",
      "te": "రోమానియా",
      "tg": "Руминия",
      "th": "โรมาเนีย",
      "ti": "ሮሜኒያ",
      "tk": "Rumyniýa",
      "tl": "Romania",
      "tr": "Romanya",
      "tt": "Романиа",
      "ug": "رۇمىنىيە",
      "uk": "Румунія",
      "ur": "رومانیہ",
      "uz": "Ruminiya",
      "ve": "Romania",
      "vi": "Rô-ma-ni",
      "wa": "Roumaneye",
      "wo": "Romaani",
      "xh": "Romania",
      "yo": "Románíà",
      "zh_CN": "罗马尼亚",
      "zh_HK": "羅馬尼亞",
      "zh_TW": "羅馬尼亞",
      "zu": "I-Romaniya"
    },
  );

  /// Country: The Republic of Serbia
  static const Country srb = Country(
    alpha2: 'RS',
    alpha3: 'SRB',
    continent: Continent.europe,
    countryCode: '381',
    currencyCode: 'RSD',
    gec: 'RI',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 44.016521,
        longitude: 21.005859,
      ),
      maxCoordinate: Coordinate(
        latitude: 46.190032,
        longitude: 23.0063095,
      ),
      minCoordinate: Coordinate(
        latitude: 42.2315029,
        longitude: 18.8385221,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 46.190032,
          longitude: 23.0063095,
        ),
        southwest: Coordinate(
          latitude: 42.2315029,
          longitude: 18.8385221,
        ),
      ),
    ),
    internationalPrefix: '99',
    ioc: 'SRB',
    isoLongName: 'The Republic of Serbia',
    isoShortName: 'Serbia',
    languagesOfficial: ['sr'],
    languagesSpoken: ['sr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Serbian',
    number: '688',
    postalCode: true,
    postalCodeFormat: r'\d{5,6}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Southern Europe',
    unLocode: 'RS',
    unofficialNames: ['Serbia', 'Serbien', 'Serbie', 'セルビア', 'Servië'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Serbia",
      "af": "Serwië",
      "ak": "Serbia",
      "am": "ጐፈሴባጃን",
      "an": "Serbia",
      "ar": "صربية",
      "as": "চাৰ্বিয়া",
      "ay": "Serbia",
      "az": "Serbia",
      "ba": "Serbia",
      "be": "Сербія",
      "bg": "Сърбия",
      "bi": "Serbia",
      "bn": "সার্বিয়া",
      "bn_IN": "সার্বিয়া",
      "br": "Serbia",
      "bs": "Srbija",
      "ca": "Sèrbia",
      "ce": "Серби",
      "ch": "Serbia",
      "cs": "Srbsko",
      "cv": "Серби",
      "cy": "Serbia",
      "da": "Serbien",
      "de": "Serbien",
      "dv": "ސާބިއާ",
      "dz": "སར་བི་ཡ།",
      "ee": "Serbia",
      "el": "Σερβία",
      "en": "Serbia",
      "eo": "Serbio",
      "es": "Serbia",
      "et": "Serbia",
      "eu": "Serbia",
      "fa": "صربستان",
      "ff": "Serbiya",
      "fi": "Serbia",
      "fo": "Serbia",
      "fr": "Serbie",
      "fy": "Servje",
      "ga": "An tSeirbia",
      "gl": "Serbia",
      "gn": "Serbia",
      "gu": "સર્બિઆ",
      "gv": "Yn Serb",
      "ha": "Serbiya",
      "he": "סרביה",
      "hi": "सर्बिया",
      "hr": "Srbija",
      "ht": "Sèbi",
      "hu": "Szerbia",
      "hy": "Սերբիա",
      "ia": "Serbia",
      "id": "Serbia",
      "io": "Serbia",
      "is": "Serbía",
      "it": "Serbia",
      "iu": "Serbia",
      "ja": "セルビア",
      "ka": "სერბია",
      "ki": "Serbia",
      "kk": "Сербия",
      "kl": "Serbia",
      "km": "ស៊ែរប៊ី",
      "kn": "ಸರ್ಬಿಯಾ",
      "ko": "세르비아",
      "ku": "Sirbistan",
      "kv": "Сербия",
      "kw": "Serbi",
      "ky": "Сербия",
      "lo": "ປະເທດແຊກບີ",
      "lt": "Serbija",
      "lv": "Serbija",
      "mi": "Serbia",
      "mk": "Србија",
      "ml": "സെര്‍ബിയ",
      "mn": "Serbia",
      "mr": "अझेर्बेजान",
      "ms": "Serbia",
      "mt": "Serbia",
      "my": "ဆားဘီးယားနိုင်ငံ",
      "na": "Terbiya",
      "nb": "Serbia",
      "ne": "सर्बिया",
      "nl": "Servië",
      "nn": "Serbia",
      "nv": "Serbia",
      "oc": "Serbia",
      "or": "ସର୍ବିଆ",
      "pa": "ਸੀਰਬੀਆ",
      "pi": "सर्बिया",
      "pl": "Serbia",
      "ps": "Serbia",
      "pt": "Sérvia",
      "pt_BR": "Sérvia",
      "ro": "Serbia",
      "ru": "Сербия",
      "rw": "Seribiya",
      "sc": "Sèrbia",
      "sd": "Serbia",
      "si": "සර්බියාව",
      "sk": "Srbsko",
      "sl": "Srbija",
      "so": "Serbia",
      "sq": "Serbi",
      "sr": "Србија",
      "sv": "Serbien",
      "sw": "Serbia",
      "ta": "செர்பியா",
      "te": "సెర్బియా",
      "tg": "Сербия",
      "th": "เซอร์เบีย",
      "ti": "Serbia",
      "tk": "Serbiýa",
      "tl": "Serbiya",
      "tr": "Sırbistan",
      "tt": "Serbia",
      "ug": "سېربىيە",
      "uk": "Сербія",
      "ur": "سربیا",
      "uz": "Serbiya",
      "ve": "Serbia",
      "vi": "Xéc-bi",
      "wa": "Serbeye",
      "wo": "Serbi",
      "xh": "Serbia",
      "yo": "Sérbíà",
      "zh_CN": "塞尔维亚",
      "zh_HK": "塞爾維亞",
      "zh_TW": "塞爾維亞",
      "zu": "ISerbiya"
    },
  );

  /// Country: The Russian Federation
  static const Country rus = Country(
    alpha2: 'RU',
    alpha3: 'RUS',
    continent: Continent.europe,
    countryCode: '7',
    currencyCode: 'RUB',
    gec: 'RS',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 61.52401,
        longitude: 105.318756,
      ),
      maxCoordinate: Coordinate(
        latitude: 82.1673907,
        longitude: -168.97788,
      ),
      minCoordinate: Coordinate(
        latitude: 41.185353,
        longitude: 19.6160999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 82.1673907,
          longitude: -168.97788,
        ),
        southwest: Coordinate(
          latitude: 41.185353,
          longitude: 19.6160999,
        ),
      ),
    ),
    internationalPrefix: '810',
    ioc: 'RUS',
    isoLongName: 'The Russian Federation',
    isoShortName: 'Russian Federation',
    languagesOfficial: ['ru'],
    languagesSpoken: ['ru'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '8',
    nationality: 'Russian',
    number: '643',
    postalCode: true,
    postalCodeFormat: r'\d{6}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Eastern Europe',
    unLocode: 'RU',
    unofficialNames: [
      'Russia',
      'Russland',
      'Russie',
      'Rusia',
      'ロシア連邦',
      'Rusland',
      'Россия',
      'Расія'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{postalcode}} {{city}}
{{street}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Russian Federation",
      "af": "Russiese Federasie",
      "ak": "Russian Federation",
      "am": "ሲቁ።",
      "an": "Russian Federation",
      "ar": "الاتّحاد الرّوسي",
      "as": "ৰুচ যুক্তৰাষ্ট্ৰ",
      "ay": "Russian Federation",
      "az": "Rusiya Federasiyası",
      "ba": "Russian Federation",
      "be": "Расійская Федэрацыя",
      "bg": "Руска федерация",
      "bi": "Russian Federation",
      "bn": "রুশ যুক্তরাষ্ট্র",
      "bn_IN": "রুশ যুক্তরাষ্ট্র",
      "br": "Russian Federation",
      "bs": "Ruska Federacija",
      "ca": "Federació Russa",
      "ce": "Russian Federation",
      "ch": "Russian Federation",
      "cs": "Ruská federace",
      "cv": "Russian Federation",
      "cy": "Ffederasiwn Rwsia",
      "da": "Russiske føderation",
      "de": "Russische Föderation",
      "dv": "Russian Federation",
      "dz": "ར་ཤི་ཡཱན་ ཕེ་ཌི་རེ་ཤཱན།",
      "ee": "Russian Federation",
      "el": "Ρωσική Ομοσπονδία",
      "en": "Russian Federation",
      "eo": "Rusa Federacio",
      "es": "Federación Rusa",
      "et": "Venemaa Föderatsioon",
      "eu": "Errusiar Federakundea",
      "fa": "روسیه فدرال",
      "ff": "Russian Federation",
      "fi": "Venäjän federaatio",
      "fo": "Russian Federation",
      "fr": "Russie, Fédération de",
      "fy": "Russian Federation",
      "ga": "Cónaidhm na Rúise",
      "gl": "Federación Rusa",
      "gn": "Russian Federation",
      "gu": "રશિયન ફેડરેશન",
      "gv": "Russian Federation",
      "ha": "Russian Federation",
      "he": "הפדרציה הרוסית",
      "hi": "रशियन फेडेरशन",
      "hr": "Ruska Federacija",
      "ht": "Russian Federation",
      "hu": "Orosz Föderáció",
      "hy": "Ռուսաստանի Դաշնություն",
      "ia": "Federation Russe",
      "id": "Federasi Rusia",
      "io": "Russian Federation",
      "is": "Rússneska sambandið",
      "it": "Russia",
      "iu": "Russian Federation",
      "ja": "ロシア連邦",
      "ka": "რუსეთის ფედრაცია",
      "ki": "Russian Federation",
      "kk": "Ресей",
      "kl": "Russian Federation",
      "km": "សហព័ន្ធ​រុស្ស៊ី",
      "kn": "ರಶಿಯನ್ ಒಕ್ಕೂಟ",
      "ko": "러시아 연방",
      "ku": "Federasyona Rûsî",
      "kv": "Russian Federation",
      "kw": "Russian Federation",
      "ky": "Орус Федерациясы",
      "lo": "Russian Federation",
      "lt": "Rusijos Federacija",
      "lv": "Krievijas Federācija",
      "mi": "Russian Federation",
      "mk": "Руска федерација",
      "ml": "റഷ്യന്‍ ഫെഡറേഷന്‍",
      "mn": "Оросын холбооны улс",
      "mr": "रशियन संघराज्य",
      "ms": "Russian Federation",
      "mt": "Russian Federation",
      "my": "Russian Federation",
      "na": "Russian Federation",
      "nb": "Den russiske føderasjon",
      "ne": "रसियन संघ",
      "nl": "Rusland",
      "nn": "Russland",
      "nv": "Russian Federation",
      "oc": "Federacion russa",
      "or": "ଋଷୀ ଫେଡରେଶନ",
      "pa": "ਰੂਸੀ ਗਣਰਾਜ",
      "pi": "Russian Federation",
      "pl": "Federacja Rosyjska",
      "ps": "Russian Federation",
      "pt": "Federação Russa",
      "pt_BR": "Federação Russa",
      "ro": "Federația Rusă",
      "ru": "Российская Федерация",
      "rw": "Ukwishyirahamwe kw'Uburusiya",
      "sc": "Federatzione Russa",
      "sd": "Russian Federation",
      "si": "රුසියානු සංගමය",
      "sk": "Ruská federácia",
      "sl": "Ruska federacija",
      "so": "Ruush",
      "sq": "Federata Ruse",
      "sr": "Руска Федерација",
      "sv": "Ryssland",
      "sw": "Russian Federation",
      "ta": "ரஷ்யன் கூட்டமைப்பு",
      "te": "రష్యన్ ఫెడరేషన్",
      "tg": "Федератсияи Россия",
      "th": "สหพันธรัฐรัสเซีย",
      "ti": "Russian Federation",
      "tk": "Russiýa federasiýasy",
      "tl": "Pederasyong Ruso",
      "tr": "Rusya Federasyonu",
      "tt": "Урыс Патшаһлык",
      "ug": "رۇسىيە فېدېراتسىيەسى",
      "uk": "Російська Федерація",
      "ur": "Russian Federation",
      "uz": "Russian Federation",
      "ve": "Russian Federation",
      "vi": "Liên Bang Nga",
      "wa": "Rûsseye",
      "wo": "Federaasioŋ bu Riisi",
      "xh": "Russian Federation",
      "yo": "Russian Federation",
      "zh_CN": "俄罗斯",
      "zh_HK": "俄羅斯聯邦",
      "zh_TW": "俄羅斯聯邦",
      "zu": "Russian Federation"
    },
  );

  /// Country: The Republic of Rwanda
  static const Country rwa = Country(
    alpha2: 'RW',
    alpha3: 'RWA',
    continent: Continent.africa,
    countryCode: '250',
    currencyCode: 'RWF',
    gec: 'RW',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -1.940278,
        longitude: 29.873888,
      ),
      maxCoordinate: Coordinate(
        latitude: -1.0473752,
        longitude: 30.8991179,
      ),
      minCoordinate: Coordinate(
        latitude: -2.8399383,
        longitude: 28.861754,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -1.0473752,
          longitude: 30.8991179,
        ),
        southwest: Coordinate(
          latitude: -2.8399383,
          longitude: 28.861754,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'RWA',
    isoLongName: 'The Republic of Rwanda',
    isoShortName: 'Rwanda',
    languagesOfficial: ['rw', 'en', 'fr'],
    languagesSpoken: ['rw', 'en', 'fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9],
    nationalPrefix: '0',
    nationality: 'Rwandan',
    number: '646',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'RW',
    unofficialNames: ['Rwanda', 'Ruanda', 'ルワンダ'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Rwanda",
      "af": "Rwanda",
      "ak": "Rwanda",
      "am": "ሩዋንዳ",
      "an": "Rwanda",
      "ar": "رواندا",
      "as": "ৰৱান্ডা",
      "ay": "Rwanda",
      "az": "Rvanda",
      "ba": "Rwanda",
      "be": "Руанда",
      "bg": "Руанда",
      "bi": "Rwanda",
      "bn": "রওয়ান্ডা",
      "bn_IN": "রওয়ান্ডা",
      "br": "Rwanda",
      "bs": "Ruanda",
      "ca": "Rwanda",
      "ce": "Руанда",
      "ch": "Rwanda",
      "cs": "Rwanda",
      "cv": "Руанда",
      "cy": "Rwanda",
      "da": "Rwanda",
      "de": "Ruanda",
      "dv": "ރުވާންޑާ",
      "dz": "ར་ཝན་ཌ།",
      "ee": "Rwanda",
      "el": "Ρουάντα",
      "en": "Rwanda",
      "eo": "Ruando",
      "es": "Ruanda",
      "et": "Rwanda",
      "eu": "Ruanda",
      "fa": "رواندا",
      "ff": "Rwanda",
      "fi": "Ruanda",
      "fo": "Ruanda",
      "fr": "Rwanda",
      "fy": "Rûanda",
      "ga": "Ruanda",
      "gl": "Ruanda",
      "gn": "Rwanda",
      "gu": "રવાન્ડા",
      "gv": "Rooandey",
      "ha": "Rwanda",
      "he": "רואנדה",
      "hi": "रवाण्डा",
      "hr": "Ruanda",
      "ht": "Rwanda",
      "hu": "Ruanda",
      "hy": "Ռուանդա",
      "ia": "Ruanda",
      "id": "Rwanda",
      "io": "Ruanda",
      "is": "Rúanda",
      "it": "Ruanda",
      "iu": "Rwanda",
      "ja": "ルワンダ",
      "ka": "რუანდა",
      "ki": "Rwanda",
      "kk": "Руанда",
      "kl": "Rwanda",
      "km": "រវ៉ាន់ដា",
      "kn": "ರುವಾಂಡಾ",
      "ko": "르완다",
      "ku": "Rûanda",
      "kv": "Rwanda",
      "kw": "Rwanda",
      "ky": "Руанда",
      "lo": "Rwanda",
      "lt": "Ruanda",
      "lv": "Ruanda",
      "mi": "Rwanda",
      "mk": "Руанда",
      "ml": "റുവാണ്ട",
      "mn": "Руанда",
      "mr": "रवांडा",
      "ms": "Rwanda",
      "mt": "Rwanda",
      "my": "ရဝမ်ဒါနိုင်ငံ",
      "na": "Rwanda",
      "nb": "Rwanda",
      "ne": "र्वान्डा",
      "nl": "Rwanda",
      "nn": "Rwanda",
      "nv": "Wánda Dineʼé Bikéyah",
      "oc": "Rwanda",
      "or": "ରଓ୍ବାଣ୍ଡା",
      "pa": "ਰਵਾਂਡਾ",
      "pi": "रवाण्डा",
      "pl": "Ruanda",
      "ps": "روندا",
      "pt": "Ruanda",
      "pt_BR": "Ruanda",
      "ro": "Rwanda",
      "ru": "Руанда",
      "rw": "Rwanda",
      "sc": "Ruanda",
      "sd": "روانڊا",
      "si": "රුවන්ඩා",
      "sk": "Rwanda",
      "sl": "Ruanda",
      "so": "Rwanda",
      "sq": "Ruandë",
      "sr": "Руанда",
      "sv": "Rwanda",
      "sw": "Rwanda",
      "ta": "ருவாண்டா",
      "te": "రువాండా",
      "tg": "Руанда",
      "th": "รวันดา",
      "ti": "ሩዋንዳ",
      "tk": "Ruanda",
      "tl": "Rwanda",
      "tr": "Ruanda",
      "tt": "Рванда",
      "ug": "رىۋاندا",
      "uk": "Руанда",
      "ur": "روانڈا",
      "uz": "Ruanda",
      "ve": "Rwanda",
      "vi": "Ru-oanh-đa",
      "wa": "Rwanda",
      "wo": "Ruwaanda",
      "xh": "Rwanda",
      "yo": "Rùwándà",
      "zh_CN": "卢旺达",
      "zh_HK": "盧旺達",
      "zh_TW": "盧安達",
      "zu": "IRuwanda"
    },
  );

  /// Country: The Kingdom of Saudi Arabia
  static const Country sau = Country(
    alpha2: 'SA',
    alpha3: 'SAU',
    continent: Continent.asia,
    countryCode: '966',
    currencyCode: 'SAR',
    gec: 'SA',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 23.885942,
        longitude: 45.079162,
      ),
      maxCoordinate: Coordinate(
        latitude: 32.154284,
        longitude: 55.6666999,
      ),
      minCoordinate: Coordinate(
        latitude: 16.0036,
        longitude: 34.4815001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 32.154284,
          longitude: 55.6666999,
        ),
        southwest: Coordinate(
          latitude: 16.0036,
          longitude: 34.4815001,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'KSA',
    isoLongName: 'The Kingdom of Saudi Arabia',
    isoShortName: 'Saudi Arabia',
    languagesOfficial: ['ar'],
    languagesSpoken: ['ar'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9],
    nationalPrefix: '0',
    nationality: 'Saudi Arabian',
    number: '682',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.asia,
    startOfWeek: Week.sunday,
    subregion: 'Western Asia',
    unLocode: 'SA',
    unofficialNames: [
      'Saudi Arabia',
      'Kingdom of Saudi Arabia',
      'السعودية',
      'Saudi-Arabien',
      'Arabie Saoudite',
      'Arabia Saudí',
      'サウジアラビア',
      'Saoedi-Arabië'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 15.0,
      reduced: [],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Saudi Arabia",
      "af": "Saoedi-Arabië",
      "ak": "Saudi Arabia",
      "am": "ሳፄ፥ጐረቢ።",
      "an": "Saudi Arabia",
      "ar": "السعودية",
      "as": "ছৌডি আৰব",
      "ay": "Saudi Arabia",
      "az": "Səudiyyə Ərəbistan",
      "ba": "Saudi Arabia",
      "be": "Саудаўская Аравія",
      "bg": "Саудитска Арабия",
      "bi": "Saudi Arabia",
      "bn": "সৌদি আরব",
      "bn_IN": "সৌদি আরব",
      "br": "Arabia Saoudat",
      "bs": "Saudijska Arabija",
      "ca": "Aràbia Saudita",
      "ce": "СаӀудийн Ӏаьрбийчоь",
      "ch": "Saudi Arabia",
      "cs": "Saúdská Arábie",
      "cv": "СаӀудийн Ӏаьрбийчоь",
      "cy": "Saudi Arabia",
      "da": "Saudi-Arabien",
      "de": "Saudi-Arabien",
      "dv": "ސައޫދީ އަރަބިއްޔާ",
      "dz": "སའུ་དི་ ཨ་ར་བི་ཡ།",
      "ee": "Saudi Arabia",
      "el": "Σαουδική Αραβία",
      "en": "Saudi Arabia",
      "eo": "Saŭda Arabio",
      "es": "Arabia Saudí",
      "et": "Saudi Araabia",
      "eu": "Saudi Arabia",
      "fa": "عربستان سعودی",
      "ff": "Saudi Arabia",
      "fi": "Saudi-Arabia",
      "fo": "Saudi-Arábia",
      "fr": "Arabie saoudite",
      "fy": "Saûdy-Araabje",
      "ga": "An Araib Shádach",
      "gl": "Arabia Saudí",
      "gn": "Saudi Arabia",
      "gu": "સાઉદી અરેબિયા",
      "gv": "Yn Araab Saudi",
      "ha": "Saudiyya",
      "he": "ערב הסעודית",
      "hi": "सउदी अरब",
      "hr": "Saudijska Arabija",
      "ht": "Arabi Sawoudit",
      "hu": "Szaúd-Arábia",
      "hy": "Սաուդիան Արաբիա",
      "ia": "Arabia Saudita",
      "id": "Arab Saudi",
      "io": "Saudi-Arabia",
      "is": "Sádí-Arabía",
      "it": "Arabia Saudita",
      "iu": "Saudi Arabia",
      "ja": "サウジアラビア",
      "ka": "საუდის არაბეთი",
      "ki": "Saudi Arabia",
      "kk": "Сауд Арабиясы",
      "kl": "Saudi Arabia",
      "km": "អារ៉ាប៊ីសាអ៊ូឌីត",
      "kn": "ಸೌದಿ ಅರೆಬಿಯ",
      "ko": "사우디아라비아",
      "ku": "Si'ûdî Erebistan",
      "kv": "Саудса Аравия",
      "kw": "Arabi Saoudek",
      "ky": "Сауд Арабия Падышалыгы",
      "lo": "Saudi Arabia",
      "lt": "Saudo Arabija",
      "lv": "Saūda Arābija",
      "mi": "Hauri Arāpia",
      "mk": "Саудиска Арабија",
      "ml": "സൌദി അറേബ്യ",
      "mn": "Саудын араб",
      "mr": "सौदी अरेबिया",
      "ms": "Arab Saudi",
      "mt": "Għarabja Sawdita",
      "my": "ဆော်ဒီအာရေဗျနိုင်ငံ",
      "na": "Taudiarabiya",
      "nb": "Saudi-Arabia",
      "ne": "साउदी अरब",
      "nl": "Saoedi-Arabië",
      "nn": "Saudi-Arabia",
      "nv": "Ásáí Dineʼé Bikéyah Ntsaaígíí",
      "oc": "Arabia saudita",
      "or": "ସାଉଦୀ ଆରବ",
      "pa": "ਸਾਊਦੀ ਅਰਬ",
      "pi": "सऊदी अरब",
      "pl": "Arabia Saudyjska",
      "ps": "سعودی عربستان",
      "pt": "Arábia Saudita",
      "pt_BR": "Arábia Saudita",
      "ro": "Arabia Saudită",
      "ru": "Саудовская Аравия",
      "rw": "Arabiya Sawudite",
      "sc": "Aràbia Saudita",
      "sd": "سعودي عرب",
      "si": "සවුදි අරාබිය",
      "sk": "Saudská Arábia",
      "sl": "Saudova Arabija",
      "so": "Sacuudi Carabiya",
      "sq": "Arabia Saudite",
      "sr": "Саудијска Арабија",
      "sv": "Saudiarabien",
      "sw": "Saudi Arabia",
      "ta": "சவூதி அரேபியா",
      "te": "సౌదీ అరేబియా",
      "tg": "Арабистони Саудӣ",
      "th": "ซาอุดีอาระเบีย",
      "ti": "ሰዑዲ ዓረብ",
      "tk": "Saud Arabystan",
      "tl": "Saudi Arabia",
      "tr": "Suudi Arabistan",
      "tt": "Сөгүд Гәрәбстан",
      "ug": "سەئۇدى ئەرەبىستان",
      "uk": "Саудівська Аравія",
      "ur": "سعودی عرب",
      "uz": "Saudiya Arabistoni",
      "ve": "Saudi Arabia",
      "vi": "A-rập Xau-đi",
      "wa": "Arabeye Sawoudite",
      "wo": "Araabi Sawdit",
      "xh": "Saudi Arabia",
      "yo": "Sáúdí Arábíà",
      "zh_CN": "沙特阿拉伯",
      "zh_HK": "沙地阿拉伯",
      "zh_TW": "沙烏地阿拉伯",
      "zu": "Saudi Arabia"
    },
  );

  /// Country: The Solomon Islands
  static const Country slb = Country(
    alpha2: 'SB',
    alpha3: 'SLB',
    continent: Continent.australia,
    countryCode: '677',
    currencyCode: 'SBD',
    gec: 'BP',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -9.64571,
        longitude: 160.156194,
      ),
      maxCoordinate: Coordinate(
        latitude: -6.075011,
        longitude: 168.0249023,
      ),
      minCoordinate: Coordinate(
        latitude: -12.6832149,
        longitude: 155.1187134,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -6.075011,
          longitude: 168.0249023,
        ),
        southwest: Coordinate(
          latitude: -12.6832149,
          longitude: 155.1187134,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'SOL',
    isoLongName: 'The Solomon Islands',
    isoShortName: 'Solomon Islands',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [5],
    nationalPrefix: 'None',
    nationality: 'Solomon Islander',
    number: '090',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Melanesia',
    unLocode: 'SB',
    unofficialNames: [
      'Solomon Islands',
      'Salomonen',
      'Îles Salomon',
      'Islas Salomón',
      'ソロモン諸島',
      'Salomonseilanden'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Solomon Islands",
      "af": "Solomon Eilande",
      "ak": "Solomon Islands",
      "am": "ሰለሞን ደሴቶች",
      "an": "Solomon Islands",
      "ar": "جزر سولومن",
      "as": "ছলোমন দ্বীপ",
      "ay": "Solomon Islands",
      "az": "Solomon Adaları",
      "ba": "Solomon Islands",
      "be": "Саламонавы Астравы",
      "bg": "Соломонови острови",
      "bi": "Solomon Islands",
      "bn": "সলোমান দ্বীপপুঞ্জ",
      "bn_IN": "সলোমান দ্বীপপুঞ্জ",
      "br": "Inizi Solomon",
      "bs": "Solomoska ostrva",
      "ca": "Illes Salomó",
      "ce": "Соломонан гӀайренаш",
      "ch": "Solomon Islands",
      "cs": "Šalamounovy ostrovy",
      "cv": "Соломонан гӀайренаш",
      "cy": "Ynysoedd Solomon",
      "da": "Salomonøerne",
      "de": "Salomoninseln",
      "dv": "ސޮލޮމޮން ޖަޒީރާ",
      "dz": "སོ་ལོ་མཱོན་ ཨའི་ལེནཌིསི།",
      "ee": "Solomon Islands",
      "el": "Νήσοι Σολομώντα",
      "en": "Solomon Islands",
      "eo": "Salomonoj",
      "es": "Islas Salomón",
      "et": "Saalomoni Saared",
      "eu": "Salomon uharteak",
      "fa": "جزایر سلیمان",
      "ff": "Solomon Islands",
      "fi": "Salomonsaaret",
      "fo": "Sálomonoyggjarnar",
      "fr": "Salomon, Îles",
      "fy": "Salomonseilannen",
      "ga": "Oileán Solomon",
      "gl": "Illas Salomón",
      "gn": "Solomon Islands",
      "gu": "સોલોમન ટાપુઓ",
      "gv": "Ny h-Ellanyn Holomon",
      "ha": "Solomon Islands",
      "he": "איי שלמה",
      "hi": "सोलोमन द्वीपसमूह",
      "hr": "Salomonski Otoci",
      "ht": "Salomon",
      "hu": "Salamon-szigetek",
      "hy": "Սոլոմոնյան կղզիներ",
      "ia": "Insulas Solomon",
      "id": "Kepulauan Solomon",
      "io": "Insuli Salomon",
      "is": "Salómonseyjar",
      "it": "Isole Salomone",
      "iu": "Solomon Islands",
      "ja": "ソロモン諸島",
      "ka": "სოლომონის კუნძულები",
      "ki": "Solomon Islands",
      "kk": "Соломон аралдары",
      "kl": "Solomon Islands",
      "km": "កោះ​សូឡូម៉ូន",
      "kn": "ಸೋಲೋಮನ್ ದ್ವೀಪಗಳು",
      "ko": "솔로몬 제도",
      "ku": "Giravên Solomon",
      "kv": "Solomon Islands",
      "kw": "Ynysow Salamon",
      "ky": "Соломон аралдары",
      "lo": "Solomon Islands",
      "lt": "Saliamono salos",
      "lv": "Zālamana salas",
      "mi": "Solomon Islands",
      "mk": "Соломонски острови",
      "ml": "സോളമന്‍ ദ്വീപുകള്‍",
      "mn": "Соломоны арлууд",
      "mr": "सॉलोमन आयलॅंडस्",
      "ms": "Kepulauan Solomon",
      "mt": "Gżejjer Solomon",
      "my": "ဆော်လမွန်အိုင်းလန်းနိုင်ငံ",
      "na": "Eben Solomon",
      "nb": "Salomonøyene",
      "ne": "सोलोमन टापु",
      "nl": "Salomonseilanden",
      "nn": "Salomonøyane",
      "nv": "Solomon Islands",
      "oc": "Illas Salomon",
      "or": "ସୋଲୋମୋନ ଦ୍ବୀପ",
      "pa": "ਸੋਲੋਮੋਨ ਟਾਪੂ",
      "pi": "सोलोमन-द्वीप",
      "pl": "Wyspy Salomona",
      "ps": "Solomon Islands",
      "pt": "Ilhas Salomão",
      "pt_BR": "Ilhas Salomão",
      "ro": "Insulele Solomon",
      "ru": "Соломоновы Острова",
      "rw": "Ibirwa bya Solomoni",
      "sc": "Ìsulas Salomone",
      "sd": "Solomon Islands",
      "si": "සොලමන් දූපත්",
      "sk": "Šalamúnove ostrovy",
      "sl": "Solomonovi otoki",
      "so": "Solomon Islands",
      "sq": "Ishujt Solomon",
      "sr": "Острва Соломон",
      "sv": "Salomonöarna",
      "sw": "Solomon Islands",
      "ta": "சாலமன் தீவுகள்",
      "te": "సాలోమన్ ఐలాండ్స్",
      "tg": "Ҷазираҳои Салимон",
      "th": "หมู่เกาะโซโลมอน",
      "ti": "Solomon Islands",
      "tk": "Solomon adalary",
      "tl": "Solomon Islands",
      "tr": "Solomon Adaları",
      "tt": "Соломон Утравлары",
      "ug": "سولومون ئارىلى",
      "uk": "Соломонові Острови",
      "ur": "جزائر سلیمان",
      "uz": "Solomon Orollari",
      "ve": "Solomon Islands",
      "vi": "Quần đảo Xô-lô-mông",
      "wa": "Iyes Solomon",
      "wo": "Iil yu Solomon",
      "xh": "Solomon Islands",
      "yo": "Àwọn Erékùsù Sólómọ́nì",
      "zh_CN": "所罗门群岛",
      "zh_HK": "所羅門羣島",
      "zh_TW": "索羅門群島",
      "zu": "Solomon Islands"
    },
  );

  /// Country: The Republic of Seychelles
  static const Country syc = Country(
    alpha2: 'SC',
    alpha3: 'SYC',
    continent: Continent.africa,
    countryCode: '248',
    currencyCode: 'SCR',
    gec: 'SE',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -4.679574,
        longitude: 55.491977,
      ),
      maxCoordinate: Coordinate(
        latitude: -3.7091721,
        longitude: 56.3928224,
      ),
      minCoordinate: Coordinate(
        latitude: -10.4716073,
        longitude: 45.9832764,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -3.7091721,
          longitude: 56.3928224,
        ),
        southwest: Coordinate(
          latitude: -10.4716073,
          longitude: 45.9832764,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'SEY',
    isoLongName: 'The Republic of Seychelles',
    isoShortName: 'Seychelles',
    languagesOfficial: ['fr', 'en'],
    languagesSpoken: ['fr', 'en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [6],
    nationalPrefix: 'None',
    nationality: 'Seychellois',
    number: '690',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'SC',
    unofficialNames: ['Seychelles', 'Seychellen', 'セーシェル'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Seychelles",
      "af": "Seychelle",
      "ak": "Seychelles",
      "am": "ሲሸልስ",
      "an": "Seychelles",
      "ar": "السّيشل",
      "as": "ছেয়চেলছ",
      "ay": "Seychelles",
      "az": "Seyşel",
      "ba": "Seychelles",
      "be": "Сейшэльскія Астравы",
      "bg": "Сейшели",
      "bi": "Seychelles",
      "bn": "সেশেলস",
      "bn_IN": "সেশেলস",
      "br": "Sechelez",
      "bs": "Sejšelsko otočje",
      "ca": "Seychelles",
      "ce": "Сейшелан гlайреш",
      "ch": "Seychelles",
      "cs": "Seychely",
      "cv": "Сейшелан гlайреш",
      "cy": "Seychelles",
      "da": "Seychellerne",
      "de": "Seychellen",
      "dv": "ތޭންގަދީބު",
      "dz": "སི་ཅི་ལེསི།",
      "ee": "Seychelles",
      "el": "Σεϋχέλλες",
      "en": "Seychelles",
      "eo": "Sejŝeloj",
      "es": "Seychelles",
      "et": "Seišellid",
      "eu": "Seychelleak",
      "fa": "سیشل",
      "ff": "Seychelles",
      "fi": "Seychellit",
      "fo": "Seyskelloyggjarnar",
      "fr": "Seychelles",
      "fy": "Seysjellen",
      "ga": "Na Séiséil",
      "gl": "Seichelles",
      "gn": "Seychelles",
      "gu": "સેશેલ્સ",
      "gv": "Ny h-Ellanyn Heshell",
      "ha": "Seychelles",
      "he": "סיישל",
      "hi": "सेशेल्स",
      "hr": "Sejšeli",
      "ht": "Sechèl",
      "hu": "Seychelle-szigetek",
      "hy": "Սեյշելներ",
      "ia": "Seychelles",
      "id": "Seychelles",
      "io": "Seycheli",
      "is": "Seychelles-eyjar",
      "it": "Seychelles",
      "iu": "Seychelles",
      "ja": "セーシェル",
      "ka": "სეიშელის კუნძულები",
      "ki": "Seychelles",
      "kk": "Сейшел аралдары",
      "kl": "Seychelles",
      "km": "សីស្ហែល",
      "kn": "ಸೇಷಲ್ಸ್",
      "ko": "세이셸",
      "ku": "Seyselan",
      "kv": "Seychelles",
      "kw": "Seychellys",
      "ky": "Сейшел аралдары",
      "lo": "Seychelles",
      "lt": "Seišeliai",
      "lv": "Seišelas",
      "mi": "Seychelles",
      "mk": "Сејшели",
      "ml": "സെയ്ഷെല്‍സ്",
      "mn": "Seychelles",
      "mr": "सेशेल्स",
      "ms": "Seychelles",
      "mt": "Seychelles",
      "my": "ဆေးရှဲနိုင်ငံ",
      "na": "Seychelles",
      "nb": "Seychellene",
      "ne": "सिचेल्लिस",
      "nl": "Seychellen",
      "nn": "Seychellane",
      "nv": "Seychelles",
      "oc": "Seichèlas",
      "or": "ସେଶେଲସ୍",
      "pa": "ਸੀਆਚਿਲਸ",
      "pi": "सेशेल",
      "pl": "Seszele",
      "ps": "سیشل",
      "pt": "Seychelles",
      "pt_BR": "Seychelles",
      "ro": "Seychelles",
      "ru": "Сейшелы",
      "rw": "Seyishele",
      "sc": "Seychelles",
      "sd": "Seychelles",
      "si": "සීශෙල්ස්",
      "sk": "Seychely",
      "sl": "Sejšeli",
      "so": "Seychelles",
      "sq": "Sejshelle",
      "sr": "Сејшели",
      "sv": "Seychellerna",
      "sw": "Seychelles",
      "ta": "சீசெல்சு",
      "te": "సేశేల్స్",
      "tg": "Сейшел",
      "th": "เซเชลส์",
      "ti": "Seychelles",
      "tk": "Seýşel adalary",
      "tl": "Seychelles",
      "tr": "Seyşeller",
      "tt": "Сейшелләр",
      "ug": "سېيشېل",
      "uk": "Сейшели",
      "ur": "سیچیلیس",
      "uz": "Seyshell orollari",
      "ve": "Seychelles",
      "vi": "Xây-sen",
      "wa": "Seycheles",
      "wo": "Seychelles",
      "xh": "Seychelles",
      "yo": "Ṣèíhẹ́lẹ́sì",
      "zh_CN": "塞舌尔",
      "zh_HK": "塞舌爾",
      "zh_TW": "塞席爾",
      "zu": "IsiSeyisheli"
    },
  );

  /// Country: The Republic of the Sudan
  static const Country sdn = Country(
    alpha2: 'SD',
    alpha3: 'SDN',
    continent: Continent.africa,
    countryCode: '249',
    currencyCode: 'SDG',
    gec: 'SU',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 12.862807,
        longitude: 30.217636,
      ),
      maxCoordinate: Coordinate(
        latitude: 22.224918,
        longitude: 38.69379989999999,
      ),
      minCoordinate: Coordinate(
        latitude: 9.3472209,
        longitude: 21.8146345,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 22.224918,
          longitude: 38.69379989999999,
        ),
        southwest: Coordinate(
          latitude: 9.3472209,
          longitude: 21.8146345,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'SUD',
    isoLongName: 'The Republic of the Sudan',
    isoShortName: 'Sudan',
    languagesOfficial: ['ar', 'en'],
    languagesSpoken: ['ar', 'en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Sudanese',
    number: '729',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Northern Africa',
    unLocode: 'SD',
    unofficialNames: ['Sudan', 'السودان', 'Soudan', 'Sudán', 'スーダン', 'Soedan'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Sudan",
      "af": "Soedan",
      "ak": "Sudan",
      "am": "ሱ፣ን",
      "an": "Sudan",
      "ar": "السودان",
      "as": "ছুদান",
      "ay": "Sudan",
      "az": "Sudan",
      "ba": "Sudan",
      "be": "Судан",
      "bg": "Судан",
      "bi": "Sudan",
      "bn": "সুদান",
      "bn_IN": "সুদান",
      "br": "Soudan",
      "bs": "Sudan",
      "ca": "Sudan",
      "ce": "Судан",
      "ch": "Sudan",
      "cs": "Súdán",
      "cv": "Судан",
      "cy": "Y Swdan",
      "da": "Sudan",
      "de": "Sudan",
      "dv": "ސޫދާން",
      "dz": "སུ་དཱན།",
      "ee": "Sudan",
      "el": "Σουδάν",
      "en": "Sudan",
      "eo": "Sudano",
      "es": "Sudán",
      "et": "Sudaan",
      "eu": "Sudan",
      "fa": "سودان",
      "ff": "Sudan",
      "fi": "Sudan",
      "fo": "Sudan",
      "fr": "Soudan",
      "fy": "Sûdan",
      "ga": "An tSúdáin",
      "gl": "Sudán",
      "gn": "Sudan",
      "gu": "સુદાન",
      "gv": "Yn Toodaan",
      "ha": "Sudan",
      "he": "סודאן",
      "hi": "सूडान",
      "hr": "Sudan",
      "ht": "Soudan",
      "hu": "Szudán",
      "hy": "Սուդան",
      "ia": "Sudan",
      "id": "Sudan",
      "io": "Sudan",
      "is": "Súdan",
      "it": "Sudan",
      "iu": "Sudan",
      "ja": "スーダン",
      "ka": "სუდანი",
      "ki": "Sũdana",
      "kk": "Судан",
      "kl": "Sudan",
      "km": "ស៊ូដង់",
      "kn": "ಸೂಡಾನ್",
      "ko": "수단",
      "ku": "Sûdan",
      "kv": "Sudan",
      "kw": "Soudan",
      "ky": "Судан",
      "lo": "Sudan",
      "lt": "Sudanas",
      "lv": "Sudāna",
      "mi": "Hūtāne",
      "mk": "Судан",
      "ml": "സുഡാന്‍",
      "mn": "Судан",
      "mr": "सुदान",
      "ms": "Sudan",
      "mt": "Sudan",
      "my": "ဆူဒန်နိုင်ငံ",
      "na": "Tudan",
      "nb": "Sudan",
      "ne": "सुडान",
      "nl": "Soedan",
      "nn": "Sudan",
      "nv": "Ásáí Dineʼé Daalzhiní Bikéyah",
      "oc": "Sodan",
      "or": "ସୂଡାନ",
      "pa": "ਸੂਡਾਨ",
      "pi": "सूडान",
      "pl": "Sudan",
      "ps": "سوډان",
      "pt": "Sudão",
      "pt_BR": "Sudão",
      "ro": "Sudan",
      "ru": "Судан",
      "rw": "Sudani",
      "sc": "Sudàn",
      "sd": "Sudan",
      "si": "සුඩානය",
      "sk": "Sudán",
      "sl": "Sudan",
      "so": "Sudaan",
      "sq": "Sudan",
      "sr": "Судан",
      "sv": "Sudan",
      "sw": "Sudan",
      "ta": "சூடான்",
      "te": "సుడాన్",
      "tg": "Судон",
      "th": "ซูดาน",
      "ti": "ሱዳን",
      "tk": "Sudan",
      "tl": "Sudan",
      "tr": "Sudan",
      "tt": "Судан",
      "ug": "سۇدان",
      "uk": "Судан",
      "ur": "سوڈان",
      "uz": "Sudan",
      "ve": "Sudan",
      "vi": "Xu-đanh",
      "wa": "Soudan",
      "wo": "Suudaan",
      "xh": "Sudan",
      "yo": "Sudan",
      "zh_CN": "苏丹",
      "zh_HK": "蘇丹",
      "zh_TW": "蘇丹",
      "zu": "ISudan"
    },
  );

  /// Country: The Kingdom of Sweden
  static const Country swe = Country(
    alpha2: 'SE',
    alpha3: 'SWE',
    continent: Continent.europe,
    countryCode: '46',
    currencyCode: 'SEK',
    gec: 'SW',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 60.12816100000001,
        longitude: 18.643501,
      ),
      maxCoordinate: Coordinate(
        latitude: 69.0599709,
        longitude: 24.1773101,
      ),
      minCoordinate: Coordinate(
        latitude: 55.0059799,
        longitude: 10.5798,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 69.0599709,
          longitude: 24.1773101,
        ),
        southwest: Coordinate(
          latitude: 55.0059799,
          longitude: 10.5798,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'SWE',
    isoLongName: 'The Kingdom of Sweden',
    isoShortName: 'Sweden',
    languagesOfficial: ['sv'],
    languagesSpoken: ['sv'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Swedish',
    number: '752',
    postalCode: true,
    postalCodeFormat: r'\d{3} ?\d{2}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Northern Europe',
    unLocode: 'SE',
    unofficialNames: [
      'Sweden',
      'Schweden',
      'Suède',
      'Suecia',
      'スウェーデン',
      'Zweden'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 25.0,
      reduced: [6.0, 12.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Sweden",
      "af": "Swede",
      "ak": "Sweden",
      "am": "ስፁ፥ን",
      "an": "Sweden",
      "ar": "السّويد",
      "as": "ছুইডেন",
      "ay": "Sweden",
      "az": "İsveç",
      "ba": "Sweden",
      "be": "Швецыя",
      "bg": "Швеция",
      "bi": "Sweden",
      "bn": "সুইডেন",
      "bn_IN": "সুইডেন",
      "br": "Sveden",
      "bs": "Švedska",
      "ca": "Suècia",
      "ce": "Швеци",
      "ch": "Sweden",
      "cs": "Švédsko",
      "cv": "Швеци",
      "cy": "Sweden",
      "da": "Sverige",
      "de": "Schweden",
      "dv": "ސުވިޑަން",
      "dz": "སུའི་ཌེན།",
      "ee": "Sweden",
      "el": "Σουηδία",
      "en": "Sweden",
      "eo": "Svedio",
      "es": "Suecia",
      "et": "Rootsi",
      "eu": "Suedia",
      "fa": "سوئد",
      "ff": "Suwed",
      "fi": "Ruotsi",
      "fo": "Svøríki",
      "fr": "Suède",
      "fy": "Sweden",
      "ga": "An tSualainn",
      "gl": "Suecia",
      "gn": "Sweden",
      "gu": "સ્વિડન",
      "gv": "Yn Toolynn",
      "ha": "Sweden",
      "he": "שוודיה",
      "hi": "स्वीडन",
      "hr": "Švedska",
      "ht": "Syèd",
      "hu": "Svédország",
      "hy": "Շվեդիա",
      "ia": "Svedia",
      "id": "Swedia",
      "io": "Suedia",
      "is": "Svíþjóð",
      "it": "Svezia",
      "iu": "ᔅᕗᕆᑭ",
      "ja": "スウェーデン",
      "ka": "შვეცია",
      "ki": "Sweden",
      "kk": "Швеция",
      "kl": "Sweden",
      "km": "ស៊ុយអែត",
      "kn": "ಸ್ವೀಡನ್",
      "ko": "스웨덴",
      "ku": "Swêd",
      "kv": "Швеция",
      "kw": "Swedherwyk",
      "ky": "Швеция",
      "lo": "ປະເທດຊູແອດ",
      "lt": "Švedija",
      "lv": "Zviedrija",
      "mi": "Huitene",
      "mk": "Шведска",
      "ml": "സ്വീഡന്‍",
      "mn": "Швед",
      "mr": "स्वीडन",
      "ms": "Sweden",
      "mt": "Svezja",
      "my": "ဆွီဒင်နိုင်ငံ",
      "na": "Widen",
      "nb": "Sverige",
      "ne": "स्विडेन",
      "nl": "Zweden",
      "nn": "Sverige",
      "nv": "Chʼah Bideeʼí Dineʼé Bikéyah",
      "oc": "Suècia",
      "or": "ସ୍ବୀଡେନ",
      "pa": "ਸਵੀਡਨ",
      "pi": "स्वीडन",
      "pl": "Szwecja",
      "ps": "سویډن",
      "pt": "Suécia",
      "pt_BR": "Suécia",
      "ro": "Suedia",
      "ru": "Швеция",
      "rw": "Suwede",
      "sc": "Isvètzia",
      "sd": "سويڊن",
      "si": "ස්වීඩනය",
      "sk": "Švédsko",
      "sl": "Švedska",
      "so": "Iswidhan",
      "sq": "Suedi",
      "sr": "Шведска",
      "sv": "Sverige",
      "sw": "Sweden",
      "ta": "சுவீடன்",
      "te": "స్వీడన్",
      "tg": "Шветсия",
      "th": "สวีเดน",
      "ti": "ስወደን",
      "tk": "Şwesiýa",
      "tl": "Sweden",
      "tr": "İsveç",
      "tt": "İсвәҗ, Шведсиа",
      "ug": "شىۋېتسىيە",
      "uk": "Швеція",
      "ur": "سویڈن",
      "uz": "Shvetsiya",
      "ve": "Sweden",
      "vi": "Thuỵ Điển",
      "wa": "Suwede",
      "wo": "Suweed",
      "xh": "Sweden",
      "yo": "Swídìn",
      "zh_CN": "瑞典",
      "zh_HK": "瑞典",
      "zh_TW": "瑞典",
      "zu": "ISwidi"
    },
  );

  /// Country: The Republic of Singapore
  static const Country sgp = Country(
    alpha2: 'SG',
    alpha3: 'SGP',
    continent: Continent.asia,
    countryCode: '65',
    currencyCode: 'SGD',
    gec: 'SN',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 1.352083,
        longitude: 103.819836,
      ),
      maxCoordinate: Coordinate(
        latitude: 1.4784001,
        longitude: 104.0945001,
      ),
      minCoordinate: Coordinate(
        latitude: 1.1496,
        longitude: 103.594,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 1.4784001,
          longitude: 104.0945001,
        ),
        southwest: Coordinate(
          latitude: 1.1496,
          longitude: 103.594,
        ),
      ),
    ),
    internationalPrefix: '001',
    ioc: 'SGP',
    isoLongName: 'The Republic of Singapore',
    isoShortName: 'Singapore',
    languagesOfficial: ['en', 'ms', 'ta'],
    languagesSpoken: ['en', 'ms', 'ta'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9],
    nationalPrefix: 'None',
    nationality: 'Singaporean',
    number: '702',
    postalCode: true,
    postalCodeFormat: r'\d{6}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'South-Eastern Asia',
    unLocode: 'SG',
    unofficialNames: ['Singapore', 'Singapur', 'Singapour', 'シンガポール'],
    worldRegion: WorldRegion.apac,
    addressFormat: '''{{recipient}}
{{street}}
{{city}} {{postalcode}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Singapore",
      "af": "Singapoer",
      "ak": "Singapore",
      "am": "ሲንጒፖሴ",
      "an": "Singapore",
      "ar": "سنغافورة",
      "as": "ছিংগাপুৰ",
      "ay": "Singapore",
      "az": "Sinqapur",
      "ba": "Singapore",
      "be": "Сінгапур",
      "bg": "Сингапур",
      "bi": "Singapore",
      "bn": "সিঙ্গাপুর",
      "bn_IN": "সিঙ্গাপুর",
      "br": "Singapour",
      "bs": "Singapur",
      "ca": "Singapur",
      "ce": "Сингапур",
      "ch": "Singapore",
      "cs": "Singapur",
      "cv": "Сингапур",
      "cy": "Singapore",
      "da": "Singapore",
      "de": "Singapur",
      "dv": "ސިންގަޕޫރު",
      "dz": "སིང་ག་པོར།",
      "ee": "Singapore",
      "el": "Σιγκαπούρη",
      "en": "Singapore",
      "eo": "Singapuro",
      "es": "Singapur",
      "et": "Singapur",
      "eu": "Singapur",
      "fa": "سنگاپور",
      "ff": "Sinngapuur",
      "fi": "Singapore",
      "fo": "Singapor",
      "fr": "Singapour",
      "fy": "Singapore",
      "ga": "Singeapór",
      "gl": "Singapur",
      "gn": "Singapore",
      "gu": "સિંગાપુર",
      "gv": "Singapore",
      "ha": "Singapore",
      "he": "סינגפור",
      "hi": "सिंगापुर",
      "hr": "Singapur",
      "ht": "Sengapou",
      "hu": "Szingapúr",
      "hy": "Սինգապուր",
      "ia": "Singapur",
      "id": "Singapura",
      "io": "Singapur",
      "is": "Singapúr",
      "it": "Singapore",
      "iu": "Singapore",
      "ja": "シンガポール",
      "ka": "სინგაპური",
      "ki": "Singapore",
      "kk": "Сингапур",
      "kl": "Singapore",
      "km": "សាំងហ្គាពួរ",
      "kn": "ಸಿಂಗಾಪುರ್",
      "ko": "싱가포르",
      "ku": "Sîngapur",
      "kv": "Сингапур",
      "kw": "Singapour",
      "ky": "Сингапур, мамлекет",
      "lo": "ປະເທດສິງກະໂປ",
      "lt": "Singapūras",
      "lv": "Singapūra",
      "mi": "Hingapoa",
      "mk": "Сингапур",
      "ml": "സിംഗപ്പൂര്‍",
      "mn": "Сингафур",
      "mr": "सिंगापूर",
      "ms": "Singapura",
      "mt": "Singapor",
      "my": "စင်ကာပူနိုင်ငံ",
      "na": "Tsingapoar",
      "nb": "Singapore",
      "ne": "सिंगापुर",
      "nl": "Singapore",
      "nn": "Singapore",
      "nv": "Singapore",
      "oc": "Singapor",
      "or": "ସିଙ୍ଗାପୁର",
      "pa": "ਸਿੰਘਾਪੁਰ",
      "pi": "सिंगापोर",
      "pl": "Singapur",
      "ps": "سينګاپور",
      "pt": "Singapura",
      "pt_BR": "Cingapura",
      "ro": "Singapore",
      "ru": "Сингапур",
      "rw": "Singapore",
      "sc": "Singapore",
      "sd": "سنگاپور",
      "si": "සිංගප්පූරුව",
      "sk": "Singapur",
      "sl": "Singapur",
      "so": "Singapore",
      "sq": "Singapor",
      "sr": "Сингапур",
      "sv": "Singapore",
      "sw": "Singapore",
      "ta": "சிங்கப்பூர்",
      "te": "సింగపూర్",
      "tg": "Сингапур",
      "th": "สิงคโปร์",
      "ti": "ሲንጋፖር",
      "tk": "Singapur",
      "tl": "Singapore",
      "tr": "Singapur",
      "tt": "Синgапур",
      "ug": "سىنگاپور",
      "uk": "Сінгапур",
      "ur": "سنگاپور",
      "uz": "Singapur",
      "ve": "Singapore",
      "vi": "Xin-ga-po",
      "wa": "Singapour",
      "wo": "Singapoor",
      "xh": "Singapore",
      "yo": "Singapore",
      "zh_CN": "新加坡",
      "zh_HK": "新加坡",
      "zh_TW": "新加坡",
      "zu": "Singapore"
    },
  );

  /// Country: Saint Helena, Ascension and Tristan da Cunha
  static const Country shn = Country(
    alpha2: 'SH',
    alpha3: 'SHN',
    continent: Continent.africa,
    countryCode: '290',
    currencyCode: 'SHP',
    gec: 'SH',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -24.1434812,
        longitude: -10.0306945,
      ),
      maxCoordinate: Coordinate(
        latitude: -7.1008926,
        longitude: -5.0976561,
      ),
      minCoordinate: Coordinate(
        latitude: -41.0371886,
        longitude: -15.4248047,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -7.1008926,
          longitude: -5.0976561,
        ),
        southwest: Coordinate(
          latitude: -41.0371886,
          longitude: -15.4248047,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'Saint Helena, Ascension and Tristan da Cunha',
    isoShortName: 'Saint Helena, Ascension and Tristan da Cunha',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [4],
    nationalPrefix: 'None',
    nationality: 'Saint Helenian',
    number: '654',
    postalCode: true,
    postalCodeFormat: r'(?:ASCN|STHL) 1ZZ',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Western Africa',
    unLocode: 'SH',
    unofficialNames: [
      'Saint Helena',
      'Sankt Helena',
      'Sainte Hélène',
      'Santa Helena',
      'セントヘレナ・アセンションおよびトリスタンダクーニャ',
      'Sint-Helena',
      'Saint Helena, Ascension and Tristan da Cunha'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Saint Helena, Ascension and Tristan da Cunha",
      "af": "Sint Helena, Ascension en Tristan da Cunha",
      "ak": "Saint Helena, Ascension and Tristan da Cunha",
      "am": "ቅድስት ሄለና፣ አሴንሽን እና ትሪስታን ዳ ኩንሃ",
      "an": "Saint Helena, Ascension and Tristan da Cunha",
      "ar": "ساينت هيلينا، تريستان دا كونا",
      "as": "ছেইন্ট হেলেনা, এচেঞ্চন আৰু ট্ৰিস্টান ডা কুন্হা",
      "ay": "Saint Helena, Ascension and Tristan da Cunha",
      "az": "Saint Helena, Ascension and Tristan da Cunha",
      "ba": "Saint Helena, Ascension and Tristan da Cunha",
      "be": "Астравы Святой Алены, Ушэсця і Трыстан-да-Кунья",
      "bg": "Света Елена, Възнесение и Тристан да Куня",
      "bi": "Saint Helena, Ascension and Tristan da Cunha",
      "bn": "সেইন্ট হেলেনা, অ্যাসেনসিয়ান ও ট্রিস্টান ডা কুনহা",
      "bn_IN": "সেইন্ট হেলেনা, অ্যাসেনসিয়ান ও ট্রিস্টান ডা কুনহা",
      "br": "Saint Helena, Ascension ha Tristan da Cunha",
      "bs": "Sveta Helena, Ascension i Tristan da Cunha",
      "ca": "Saint Helena, Ascension i Tristan da Cunha",
      "ce": "Езачу Еленин а, Айъадаларан а, Тристан-да-Кунья а гӀайренаш",
      "ch": "Saint Helena, Ascension and Tristan da Cunha",
      "cs": "Svatá Helena, Ascension a Tristan da Cunha",
      "cv": "Езачу Еленин а, Айъадаларан а, Тристан-да-Кунья а гӀайренаш",
      "cy": "Saint Helena, Dyrchafael a Tristan da Cunha",
      "da": "Sankt Helena, Ascension og Tristan da Cunha",
      "de": "St. Helena, Ascension und Tristan da Cunha",
      "dv": "Saint Helena, Ascension and Tristan da Cunha",
      "dz": "སཱེནཊི་ཧི་ལི་ན་ ཨེ་སེན་ཤཱན་དང་ཊིསི་ཊན་ ད་ ཀུན་ཧ་",
      "ee": "Saint Helena, Ascension and Tristan da Cunha",
      "el": "Σεντ Ελένα, Ασενσιόν και Τριστάν ντα Κούνχα",
      "en": "Saint Helena, Ascension and Tristan da Cunha",
      "eo": "Sankta-Heleno",
      "es": "Santa Elena, Ascensión y Tristán de Acuña",
      "et": "Saint Helena, Ascension ja Tristan da Cunha",
      "eu": "Santa Helena, Ascension eta Tristan da Cunha",
      "fa": "سنت هلنا, Ascension و Tristan da Cunha",
      "ff": "Saint Helena, Ascension and Tristan da Cunha",
      "fi": "Saint Helena, Ascension ja Tristan da Cunha",
      "fo": "Saint Helena, Ascension and Tristan da Cunha",
      "fr": "Sainte-Hélène, Ascension et Tristan da Cunha",
      "fy": "Saint Helena, Ascension and Tristan da Cunha",
      "ga": "Saint Helena, Ascension agus Tristan da Cunha",
      "gl": "Santa Helena, Ascensión e Tristán da Cuña",
      "gn": "Saint Helena, Ascension and Tristan da Cunha",
      "gu": "સંત હેલેના, અસેન્શન અને ટ્રીસ્તાન ડ કુન્હા",
      "gv": "Saint Helena, Ascension and Tristan da Cunha",
      "ha": "Saint Helena, Ascension and Tristan da Cunha",
      "he": "סנט הלנה, אסנשן וטריסטן דה קונה",
      "hi": "सेंट हेलेना, असेंशन और त्रिस्तान दा कुन्हा",
      "hr": "Sveta Helena, Ascension i Tristan da Cunha",
      "ht": "Saint Helena, Ascension and Tristan da Cunha",
      "hu": "Szent Ilona, Ascension és Tristan da Cunha",
      "hy": "Սուրբ Հեղինեի Կղզի, Համբարձման և Տրիստան դա Կունյա",
      "ia": "Sancte Helena, Ascension e Tristan da Cunha",
      "id": "Saint Helena, Ascension, dan Tristan da Cunha",
      "io": "Saint Helena, Ascension and Tristan da Cunha",
      "is": "Sankti Helena, Ascension og Tristan da Cunha",
      "it": "Sant'Elena, Ascensione e Tristan da Cunha",
      "iu": "Saint Helena, Ascension and Tristan da Cunha",
      "ja": "セントヘレナ、アセンション及びトリスタン・ダ・クーニャ",
      "ka": "Saint Helena, Ascension and Tristan da Cunha",
      "ki": "Saint Helena, Ascension and Tristan da Cunha",
      "kk": "Қасиетті Елена, Вознесения және Тристан да Кунья",
      "kl": "Saint Helena, Ascension and Tristan da Cunha",
      "km": "Saint Helena, Ascension and Tristan da Cunha",
      "kn": "Saint Helena, Ascension and Tristan da Cunha",
      "ko": "세인트헬레나 어센션 트리스탄다쿠냐",
      "ku": "Saint Helena, Ascension and Tristan da Cunha",
      "kv": "Saint Helena, Ascension and Tristan da Cunha",
      "kw": "Saint Helena, Ascension and Tristan da Cunha",
      "ky": "Касиеттүү Елена, Вознесение жана Тристан-да-Кунья аралдары",
      "lo": "Saint Helena, Ascension and Tristan da Cunha",
      "lt": "Šv. Elenos, Dangun Žengimo ir Tristano da Kunjos salos",
      "lv": "Svētās Helēnas Sala un Piederīgās Teritorijas",
      "mi": "Saint Helena, Ascension and Tristan da Cunha",
      "mk": "Св. Хелена, вознесение и Тристан да Кунха",
      "ml": "Saint Helena, Ascension and Tristan da Cunha",
      "mn": "Saint Helena, Ascension and Tristan da Cunha",
      "mr": "सेंट हेलेना, अस्सेंशन व ट्रीस्टन डा कुंहा",
      "ms": "Saint Helena, Ascension and Tristan da Cunha",
      "mt": "Sant’Elena, Ascension u Tristan da Cunha",
      "my": "Saint Helena, Ascension and Tristan da Cunha",
      "na": "Saint Helena, Ascension and Tristan da Cunha",
      "nb": "Saint Helena, Ascension og Tristan da Cunha",
      "ne": "शन्त Helena, Ascension र Tristan da Cuncha",
      "nl": "Sint-Helena, Ascension en Tristan da Cunha",
      "nn": "St. Helena, Ascension og Tristan da Cunha",
      "nv": "Saint Helena, Ascension and Tristan da Cunha",
      "oc": "Santa Elena, Ascension, e Tristan da Cunha",
      "or": "ସେଣ୍ଟ ହେଲେନା, ଏସେନସନ ଏବଂ ତ୍ରିସ୍ଥାନ ଡା କୁନାହ",
      "pa": "ਸੇਂਟ ਹੇਲੇਨਾ, ਅਸੀਂਸੀਅਨ ਅਤੇ ਟਰੀਸਟਾਨ ਡਾ ਚੁਨਹਾ",
      "pi": "Saint Helena, Ascension and Tristan da Cunha",
      "pl": "Wyspa Świętej Heleny, Wyspa Wniebowstąpienia i Tristan da Cunha",
      "ps": "Saint Helena, Ascension and Tristan da Cunha",
      "pt": "Santa Helena, Ascensão e Tristão da Cunha",
      "pt_BR": "Santa Helena, Ascensão e Tristão da Cunha",
      "ro": "Sfânta Elena, Ascension și Tristan da Cunha",
      "ru": "Остров Святой Елены, Остров Вознесения и Тристан-да-Кунья",
      "rw": "Saint Helena, Ascension and Tristan da Cunha",
      "sc": "Santa Elene, Ascensione e Tristan da Cunha",
      "sd": "Saint Helena, Ascension and Tristan da Cunha",
      "si": "ශාන්ත හෙලේනා, ඇසෙන්ශන් හා ට්‍රිස්ටන් ද කුන්හා",
      "sk": "Svätá Helena, Ascension a Tristan da Cunha",
      "sl": "Sveta Helena, Ascension in Tristan da Cunha",
      "so": "Saint Helena, Ascension and Tristan da Cunha",
      "sq": "Shën Helena, Asension dhe Tristan da Kunja",
      "sr": "Света Јелена, Асансион и Тристан да Куна",
      "sv": "Saint Helena, Ascension och Tristan da Cunha",
      "sw": "Saint Helena, Ascension and Tristan da Cunha",
      "ta": "Saint Helena, Ascension and Tristan da Cunha",
      "te": "Saint Helena, Ascension and Tristan da Cunha",
      "tg": "Сент Елена, Ассенсион ва Тристан-да-Куня",
      "th": "เซนต์เฮเลนา, แอสเซนชัน และ ทริสแตน ดา คูนญา",
      "ti": "Saint Helena, Ascension and Tristan da Cunha",
      "tk": "Mukaddes Ýelena adasy, Wozneseniýe adasy we Tristan-da-Kunýa",
      "tl": "Saint Helena, Ascension and Tristan da Cunha",
      "tr": "Saint Helena, Ascension ve Tristan da Cunha",
      "tt": "Saint Helena, Ascension and Tristan da Cunha",
      "ug": "ساينىت ھېلېنا ۋە ئاسسېنسىيون تىرىستان دا كۇنخا",
      "uk": "Острови Святої Єлени, Вознесіння і Тристан-да-Кунья",
      "ur": "سینٹ ہلینا، اسینشن و ترسٹان دا کونیا",
      "uz": "Saint Helena, Ascension and Tristan da Cunha",
      "ve": "Saint Helena, Ascension and Tristan da Cunha",
      "vi": "Xan He-lê-na, A-xen-siónh và Tợ-rí-x-tan đa Cun-ha",
      "wa": "Sinte Helene, Acinsion & Tristan da Cunha",
      "wo": "Saint Helena, Ascension and Tristan da Cunha",
      "xh": "Saint Helena, Ascension and Tristan da Cunha",
      "yo": "Saint Helena, Ascension àti Tristan da Cunha",
      "zh_CN": "圣赫勒拿-阿森松-特里斯坦达库尼亚",
      "zh_HK": "聖海倫娜島、阿森松島及崔斯坦達庫尼亞羣島",
      "zh_TW": "聖赫倫那島、阿森松島及崔斯坦達庫尼亞群島",
      "zu": "Saint Helena, Ascension and Tristan da Cunha"
    },
  );

  /// Country: The Republic of Slovenia
  static const Country svn = Country(
    alpha2: 'SI',
    alpha3: 'SVN',
    continent: Continent.europe,
    countryCode: '386',
    currencyCode: 'EUR',
    gec: 'SI',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 46.151241,
        longitude: 14.995463,
      ),
      maxCoordinate: Coordinate(
        latitude: 46.876659,
        longitude: 16.6107038,
      ),
      minCoordinate: Coordinate(
        latitude: 45.4218356,
        longitude: 13.3753355,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 46.876659,
          longitude: 16.6107038,
        ),
        southwest: Coordinate(
          latitude: 45.4218356,
          longitude: 13.3753355,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'SLO',
    isoLongName: 'The Republic of Slovenia',
    isoShortName: 'Slovenia',
    languagesOfficial: ['sl'],
    languagesSpoken: ['sl'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '0',
    nationality: 'Slovene',
    number: '705',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Southern Europe',
    unLocode: 'SI',
    unofficialNames: [
      'Slovenia',
      'Slowenien',
      'Slovénie',
      'Eslovenia',
      'スロベニア',
      'Slovenië'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 22.0,
      reduced: [9.5],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Slovenia",
      "af": "Slowenië",
      "ak": "Slovenia",
      "am": "ስሕታኒ።",
      "an": "Slovenia",
      "ar": "سلوفينيا",
      "as": "স্লোভেনিয়া",
      "ay": "Slovenia",
      "az": "Sloveniya",
      "ba": "Slovenia",
      "be": "Славенія",
      "bg": "Словения",
      "bi": "Slovenia",
      "bn": "স্লোভেনিয়া",
      "bn_IN": "স্লোভেনিয়া",
      "br": "Slovenia",
      "bs": "Slovenija",
      "ca": "Eslovènia",
      "ce": "Словени",
      "ch": "Slovenia",
      "cs": "Slovinsko",
      "cv": "Словени",
      "cy": "Slofenia",
      "da": "Slovenien",
      "de": "Slowenien",
      "dv": "ސުލޮވީނިއާ",
      "dz": "སོལོ་བི་ནི་ཡ།",
      "ee": "Slovenia",
      "el": "Σλοβενία",
      "en": "Slovenia",
      "eo": "Slovenio",
      "es": "Eslovenia",
      "et": "Sloveenia",
      "eu": "Eslovenia",
      "fa": "اسلوونی",
      "ff": "Suloweniya",
      "fi": "Slovenia",
      "fo": "Slovenia",
      "fr": "Slovénie",
      "fy": "Sloveenje",
      "ga": "An tSlóivéin",
      "gl": "Eslovenia",
      "gn": "Slovenia",
      "gu": "સ્લોવેનિયા",
      "gv": "Yn Clovean",
      "ha": "Sloveniya",
      "he": "סלובניה",
      "hi": "स्लोवेनिया",
      "hr": "Slovenija",
      "ht": "Sloveni",
      "hu": "Szlovénia",
      "hy": "Սլովենիա",
      "ia": "Slovenia",
      "id": "Slovenia",
      "io": "Slovenia",
      "is": "Slóvenía",
      "it": "Slovenia",
      "iu": "Slovenia",
      "ja": "スロベニア",
      "ka": "სლოვენია",
      "ki": "Slovenia",
      "kk": "Словения",
      "kl": "Slovenia",
      "km": "ស្លូវ៉ានី",
      "kn": "ಸ್ಲೋವೇನಿಯಾ",
      "ko": "슬로베니아",
      "ku": "Slovenya",
      "kv": "Словения",
      "kw": "Sloveni",
      "ky": "Словения",
      "lo": "ປະເທດສະໂລເວນີ",
      "lt": "Slovėnija",
      "lv": "Slovēnija",
      "mi": "Horowinia",
      "mk": "Словенија",
      "ml": "സ്ലോവേനിയ",
      "mn": "Словени",
      "mr": "स्लोव्हेनिया",
      "ms": "Slovenia",
      "mt": "Slovenja",
      "my": "ဆလိုဗေးနီးယားနိုင်ငံ",
      "na": "Tsirobeniya",
      "nb": "Slovenia",
      "ne": "स्लोभेनिया",
      "nl": "Slovenië",
      "nn": "Slovenia",
      "nv": "Słobíín Bikéyah",
      "oc": "Eslovènia",
      "or": "ସ୍ଲୋଭାନିୟା",
      "pa": "ਸਲੋਵੀਨੀਆ",
      "pi": "स्लोवीनिया",
      "pl": "Słowenia",
      "ps": "سلووانیا",
      "pt": "Eslovénia",
      "pt_BR": "Eslovênia",
      "ro": "Slovenia",
      "ru": "Словения",
      "rw": "Siloveniya",
      "sc": "Islovènia",
      "sd": "Slovenia",
      "si": "ස්ලෝවීනියාව",
      "sk": "Slovinsko",
      "sl": "Slovenija",
      "so": "Slovenia",
      "sq": "Slloveni",
      "sr": "Словенија",
      "sv": "Slovenien",
      "sw": "Slovenia",
      "ta": "ஸ்லோவேனியா",
      "te": "స్లోవేనియా",
      "tg": "Словения",
      "th": "สโลวีเนีย",
      "ti": "ስሎቬኒያ",
      "tk": "Sloweniýa",
      "tl": "Slovenia",
      "tr": "Slovenya",
      "tt": "Словениа",
      "ug": "سىلوۋېنىيە",
      "uk": "Словенія",
      "ur": "سلووینیا",
      "uz": "Sloveniya",
      "ve": "Slovenia",
      "vi": "Xlô-ven",
      "wa": "Esloveneye",
      "wo": "Esloweeni",
      "xh": "Slovenia",
      "yo": "Sloféníà",
      "zh_CN": "斯洛文尼亚",
      "zh_HK": "斯洛文尼亞",
      "zh_TW": "斯洛維尼亞",
      "zu": "ISloveniya"
    },
  );

  /// Country: Svalbard and Jan Mayen
  static const Country sjm = Country(
    alpha2: 'SJ',
    alpha3: 'SJM',
    continent: Continent.europe,
    countryCode: '47',
    currencyCode: 'NOK',
    gec: 'SV',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 77.55360399999999,
        longitude: 23.6702719,
      ),
      maxCoordinate: Coordinate(
        latitude: 80.92842569999999,
        longitude: 34.8046879,
      ),
      minCoordinate: Coordinate(
        latitude: 70.4662074,
        longitude: -10.5468752,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 80.92842569999999,
          longitude: 34.8046879,
        ),
        southwest: Coordinate(
          latitude: 70.4662074,
          longitude: -10.5468752,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'Svalbard and Jan Mayen',
    isoShortName: 'Svalbard and Jan Mayen',
    languagesOfficial: ['no'],
    languagesSpoken: ['no'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Norwegian',
    number: '744',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Northern Europe',
    unLocode: 'SJ',
    unofficialNames: [
      'Svalbard and Jan Mayen',
      'Svalbard und Jan Mayen',
      'Îles Svalbard et Jan Mayen',
      'Islas Svalbard y Jan Mayen',
      'スヴァールバル諸島およびヤンマイエン島',
      'Svalbard en Jan Mayen'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Svalbard and Jan Mayen",
      "af": "Svalbard en Jan Mayen",
      "ak": "Svalbard and Jan Mayen",
      "am": "Svalbard and Jan Mayen",
      "an": "Svalbard and Jan Mayen",
      "ar": "سفالبارد و جان ماين",
      "as": "চয়ালবাৰ্ড আৰু ইয়ানমায়েন",
      "ay": "Svalbard and Jan Mayen",
      "az": "Svalbard və Jan Mayen",
      "ba": "Svalbard and Jan Mayen",
      "be": "Шпіцберген і Ян-Маен",
      "bg": "Свалбард и Ян Майен",
      "bi": "Svalbard and Jan Mayen",
      "bn": "সয়ালবার্ড ও ইয়ানমায়েন দ্বীপপুঞ্জ",
      "bn_IN": "সয়ালবার্ড ও ইয়ানমায়েন দ্বীপপুঞ্জ",
      "br": "Svalbard and Jan Mayen",
      "bs": "Svalbard i Jan Mayen",
      "ca": "Svalbard i Jan Mayen",
      "ce": "Svalbard and Jan Mayen",
      "ch": "Svalbard and Jan Mayen",
      "cs": "Svalbard a Jan Mayen",
      "cv": "Svalbard and Jan Mayen",
      "cy": "Svalbard a Jan Mayen",
      "da": "Svalbard og Jan Mayen",
      "de": "Svalbard und Jan Mayen",
      "dv": "Svalbard and Jan Mayen",
      "dz": "ས་བཱལ་བཱཊ་དང་ཇཱན་མ་ཡཱིན།",
      "ee": "Svalbard and Jan Mayen",
      "el": "Σβάλμπαρντ και Γιαν Μαγέν",
      "en": "Svalbard and Jan Mayen",
      "eo": "Svalbardo kaj Jan-Majen-insulo",
      "es": "Svalbard y Jan Mayen",
      "et": "Svalbard ja Jan Mayen",
      "eu": "Svalbard eta Jan Mayen",
      "fa": "اسوالبارد و جان ماین",
      "ff": "Svalbard and Jan Mayen",
      "fi": "Svalbard ja Jan Mayen",
      "fo": "Svalbard and Jan Mayen",
      "fr": "Svalbard et île Jan Mayen",
      "fy": "Svalbard and Jan Mayen",
      "ga": "Svalbard agus Jan Mayen",
      "gl": "Svalbard e Jan Mayen",
      "gn": "Svalbard and Jan Mayen",
      "gu": "સ્વાલબાર્ડ અને જાન માયેન",
      "gv": "Svalbard and Jan Mayen",
      "ha": "Svalbard and Jan Mayen",
      "he": "סוולברד ויאן מאין",
      "hi": "स्वालबार्ड एन्ड जैन माएन",
      "hr": "Svalbard i Jan Mayen",
      "ht": "Svalbard and Jan Mayen",
      "hu": "Svalbard-szigetek és Jan Mayen-sziget",
      "hy": "Սվալբարդ և Յան Մայեն",
      "ia": "Svalbard e Jan Mayen",
      "id": "Svalbard dan Jan Mayen",
      "io": "Svalbard and Jan Mayen",
      "is": "Svalbarði og Jan Mayen",
      "it": "Svalbard e Jan Mayen",
      "iu": "Svalbard and Jan Mayen",
      "ja": "スヴァールバル及びヤンマイエン",
      "ka": "სვალბარდი და ჟან მაენი",
      "ki": "Svalbard and Jan Mayen",
      "kk": "Шпицберген мен Ян Майен",
      "kl": "Svalbard and Jan Mayen",
      "km": "ស្វាល់បាត និង ហ្សង់ម៉ាយេន",
      "kn": "Svalbard and Jan Mayen",
      "ko": "스발바르 얀마옌 제도",
      "ku": "Svalbard û Jan Mayen",
      "kv": "Svalbard and Jan Mayen",
      "kw": "Svalbard and Jan Mayen",
      "ky": "Шпицберген жана Ян-Майен",
      "lo": "Svalbard and Jan Mayen",
      "lt": "Svalbardas ir Jan Majenas",
      "lv": "Svalbāra",
      "mi": "Motu Svalbard me Jan Mayen",
      "mk": "Свалбард и Жан Мајен",
      "ml": "സ്വാല്‍ബാര്‍ഡും യാന്‍ മായെനും",
      "mn": "Svalbard and Jan Mayen",
      "mr": "स्वलबार्ड आणी जान माये",
      "ms": "Svalbard and Jan Mayen",
      "mt": "Svalbard u Jan Mayen",
      "my": "Svalbard and Jan Mayen",
      "na": "Svalbard and Jan Mayen",
      "nb": "Svalbard og Jan Mayen",
      "ne": "स्भालबार्ड र जान मायेन",
      "nl": "Spitsbergen en Jan Mayen",
      "nn": "Svalbard og Jan Mayen",
      "nv": "Svalbard and Jan Mayen",
      "oc": "Svalbard e Jan Mayen",
      "or": "ଭାଲବର୍ଗ ଏବଂ ଜାନ ମାଏନ",
      "pa": "ਸਵਾਲਬਰਡ ਅਤੇ ਜਨ ਮਾਯੀਨ",
      "pi": "Svalbard and Jan Mayen",
      "pl": "Svalbard i Jan Mayen",
      "ps": "Svalbard and Jan Mayen",
      "pt": "Svalbard e Jan Mayen",
      "pt_BR": "Svalbard e a Ilha de Jan Mayen",
      "ro": "Svalbard și Jan Mayen",
      "ru": "Шпицберген и Ян-Майен",
      "rw": "Sivalibadi na Jani Mayeni",
      "sc": "Svalbard e Jan Mayen",
      "sd": "Svalbard and Jan Mayen",
      "si": "ස්වල්බාඩ් හා ජැන් මෙයන්",
      "sk": "Svalbard a Jan Mayen",
      "sl": "Svalbard in Jan Mayen",
      "so": "Svalbard and Jan Mayen",
      "sq": "Svalbard dhe Jan Majen",
      "sr": "Свалбард и Јан Мајен",
      "sv": "Svalbard och Jan Mayen",
      "sw": "Svalbard and Jan Mayen",
      "ta": "சவால்பார்ட் மற்றும் ஜன் மேயன்",
      "te": "స్వాలబార్డ్ మరియు జాన్ మేయెన్",
      "tg": "Шпитсберген ва Ян Майен",
      "th": "สฟาลบาร์ และ ยานไมเอน",
      "ti": "Svalbard and Jan Mayen",
      "tk": "Şpitzbergen we Ýan-Maýen",
      "tl": "Svalbard at Jan Mayen",
      "tr": "Svalbard ve Jan Mayen",
      "tt": "Свалбард белән Жан Майен",
      "ug": "سىۋالبارد تاقىم ئاراللىرى ۋە يان-مايېن ئارىلى",
      "uk": "Острови Свальбард і Ян Маєн",
      "ur": "سوالبارڈ اور جان میئن",
      "uz": "Svalbard and Jan Mayen",
      "ve": "Svalbard and Jan Mayen",
      "vi": "Xợ-van-bat và Ian-may-en",
      "wa": "Iyes Svalbard eyet Jan Mayen",
      "wo": "Svalbard and Jan Mayen",
      "xh": "Svalbard and Jan Mayen",
      "yo": "Svalbard àti Jan Mayen",
      "zh_CN": "斯瓦尔巴特和扬马延岛",
      "zh_HK": "冷岸羣島及央棉",
      "zh_TW": "冷岸群島及央棉",
      "zu": "Svalbard and Jan Mayen"
    },
  );

  /// Country: The Slovak Republic
  static const Country svk = Country(
    alpha2: 'SK',
    alpha3: 'SVK',
    continent: Continent.europe,
    countryCode: '421',
    currencyCode: 'EUR',
    gec: 'LO',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 48.669026,
        longitude: 19.699024,
      ),
      maxCoordinate: Coordinate(
        latitude: 49.613805,
        longitude: 22.5658602,
      ),
      minCoordinate: Coordinate(
        latitude: 47.731159,
        longitude: 16.8331821,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 49.613805,
          longitude: 22.5658602,
        ),
        southwest: Coordinate(
          latitude: 47.731159,
          longitude: 16.8331821,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'SVK',
    isoLongName: 'The Slovak Republic',
    isoShortName: 'Slovakia',
    languagesOfficial: ['sk'],
    languagesSpoken: ['sk'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Slovak',
    number: '703',
    postalCode: true,
    postalCodeFormat: r'\d{3} ?\d{2}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Eastern Europe',
    unLocode: 'SK',
    unofficialNames: [
      'Slovakia',
      'Slowakei',
      'Slovaquie',
      'República Eslovaca',
      'スロバキア',
      'Slowakije'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: VatRates(
      standard: 20.0,
      reduced: [10.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: true,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Slovakia",
      "af": "Slowakye",
      "ak": "Slovakia",
      "am": "ስሕቲጡ።",
      "an": "Slovakia",
      "ar": "سلوفاكيا",
      "as": "স্লোভাকিয়া",
      "ay": "Slovakia",
      "az": "Slovakiya",
      "ba": "Slovakia",
      "be": "Славакія",
      "bg": "Словакия",
      "bi": "Slovakia",
      "bn": "স্লোভাকিয়া",
      "bn_IN": "স্লোভাকিয়া",
      "br": "Slovakia",
      "bs": "Slovačka",
      "ca": "Eslovàquia",
      "ce": "Словаки",
      "ch": "Slovakia",
      "cs": "Slovensko",
      "cv": "Словаки",
      "cy": "Slofacia",
      "da": "Slovakiet",
      "de": "Slowakei",
      "dv": "ސުލޮވާކިއާ",
      "dz": "སོལོ་བ་ཀི་ཡ།",
      "ee": "Slovakia",
      "el": "Σλοβακία",
      "en": "Slovakia",
      "eo": "Slovakio",
      "es": "Eslovaquia",
      "et": "Slovakkia",
      "eu": "Eslovakia",
      "fa": "اسلواکی",
      "ff": "Sulowakiya",
      "fi": "Slovakia",
      "fo": "Slovakia",
      "fr": "Slovaquie",
      "fy": "Slowakije",
      "ga": "An tSlóvaic",
      "gl": "Eslovaquia",
      "gn": "Slovakia",
      "gu": "સ્લોવેકિઆ",
      "gv": "Yn Clovack",
      "ha": "Slofakiya",
      "he": "סלובקיה",
      "hi": "स्लोवाकिया",
      "hr": "Slovačka",
      "ht": "Slovaki",
      "hu": "Szlovákia",
      "hy": "Սլովակիա",
      "ia": "Slovachia",
      "id": "Slowakia",
      "io": "Slovakia",
      "is": "Slóvakía",
      "it": "Slovacchia",
      "iu": "Slovakia",
      "ja": "スロバキア",
      "ka": "სლოვაკეთი",
      "ki": "Slovakia",
      "kk": "Словакия",
      "kl": "Slovakia",
      "km": "ស្លូវ៉ាគី",
      "kn": "ಸ್ಲೋವಾಕಿಯಾ",
      "ko": "슬로바키아",
      "ku": "Slovakya",
      "kv": "Словакия",
      "kw": "Slovaki",
      "ky": "Словакия",
      "lo": "ປະເທດສະໂລວາກີ",
      "lt": "Slovakija",
      "lv": "Slovākija",
      "mi": "Horowākia",
      "mk": "Словачка",
      "ml": "സ്ലോവാക്യ",
      "mn": "Словак",
      "mr": "स्लोव्हाकिया",
      "ms": "Slovakia",
      "mt": "Slovakia",
      "my": "ဆလိုဗားကီးယားနိုင်ငံ",
      "na": "Slowakia",
      "nb": "Slovakia",
      "ne": "स्लोभाकिया",
      "nl": "Slowakije",
      "nn": "Slovakia",
      "nv": "Słóbaʼ Bikéyah",
      "oc": "Eslovaquia",
      "or": "ସ୍ଲୋଭାକିୟା",
      "pa": "ਸਲੋਵਾਕੀਆ",
      "pi": "स्लोवाकिया",
      "pl": "Słowacja",
      "ps": "سلواکيا",
      "pt": "Eslováquia",
      "pt_BR": "Eslováquia",
      "ro": "Slovacia",
      "ru": "Словакия",
      "rw": "Silovakiya",
      "sc": "Islovàchia",
      "sd": "Slovakia",
      "si": "ස්ලෝවැකියාව",
      "sk": "Slovensko",
      "sl": "Slovaška",
      "so": "Slovakia",
      "sq": "Sllovaki",
      "sr": "Словачка",
      "sv": "Slovakien",
      "sw": "Slovakia",
      "ta": "சுலோவேக்கியா",
      "te": "స్లోవాకియా",
      "tg": "Словакия",
      "th": "สโลวะเกีย",
      "ti": "ስሎቫኪያ",
      "tk": "Slowakiýa",
      "tl": "Slovakia",
      "tr": "Slovakya",
      "tt": "Словакиа",
      "ug": "سىلوۋاكىيە",
      "uk": "Словаччина",
      "ur": "سلوواکیہ",
      "uz": "Slovakiya",
      "ve": "Slovakia",
      "vi": "Xlô-vác",
      "wa": "Eslovakeye",
      "wo": "Eslowaaki",
      "xh": "Slovakia",
      "yo": "Slofákíà",
      "zh_CN": "斯洛伐克",
      "zh_HK": "斯洛伐克",
      "zh_TW": "斯洛伐克",
      "zu": "ISlovaki"
    },
  );

  /// Country: The Republic of Sierra Leone
  static const Country sle = Country(
    alpha2: 'SL',
    alpha3: 'SLE',
    continent: Continent.africa,
    countryCode: '232',
    currencyCode: 'SLL',
    gec: 'SL',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 8.460555,
        longitude: -11.779889,
      ),
      maxCoordinate: Coordinate(
        latitude: 9.9999737,
        longitude: -10.2716829,
      ),
      minCoordinate: Coordinate(
        latitude: 6.8446,
        longitude: -13.4032999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 9.9999737,
          longitude: -10.2716829,
        ),
        southwest: Coordinate(
          latitude: 6.8446,
          longitude: -13.4032999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'SLE',
    isoLongName: 'The Republic of Sierra Leone',
    isoShortName: 'Sierra Leone',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '0',
    nationality: 'Sierra Leonean',
    number: '694',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Western Africa',
    unLocode: 'SL',
    unofficialNames: ['Sierra Leone', 'シエラレオネ'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Sierra Leone",
      "af": "Siërra Leone",
      "ak": "Sierra Leone",
      "am": "ሴየራ ሌዎን",
      "an": "Sierra Leone",
      "ar": "سيراليون",
      "as": "চিয়েৰা লিওন",
      "ay": "Sierra Leone",
      "az": "Siera Lione",
      "ba": "Sierra Leone",
      "be": "Сьера-Леонэ",
      "bg": "Сиера Леоне",
      "bi": "Sierra Leone",
      "bn": "সিয়েরা লিওন",
      "bn_IN": "সিয়েরা লিওন",
      "br": "Sierra Leone",
      "bs": "Sierra Leone",
      "ca": "Sierra Leone",
      "ce": "Сьерра-Леоне",
      "ch": "Sierra Leone",
      "cs": "Sierra Leone",
      "cv": "Сьерра-Леоне",
      "cy": "Sierra Leone",
      "da": "Sierra Leone",
      "de": "Sierra Leone",
      "dv": "ސެރެލިއޯން",
      "dz": "སི་ར་ ལིའོ་ནི།",
      "ee": "Sierra Leone",
      "el": "Σιέρα Λεόνε",
      "en": "Sierra Leone",
      "eo": "Siera-Leono",
      "es": "Sierra Leona",
      "et": "Sierra Leone",
      "eu": "Sierra Leona",
      "fa": "سیرالئون",
      "ff": "Sarliyon",
      "fi": "Sierra Leone",
      "fo": "Sierra Leone",
      "fr": "Sierra Leone",
      "fy": "Sierra Leöane",
      "ga": "Siarra Leon",
      "gl": "Serra Leoa",
      "gn": "Sierra Leone",
      "gu": "સિએરા લીઓન",
      "gv": "Sierra Leone",
      "ha": "Sierra Leone",
      "he": "סיירה לאון",
      "hi": "सिएरा लियोन",
      "hr": "Sijera Leone",
      "ht": "Syera Leòn",
      "hu": "Sierra Leone",
      "hy": "Սյերա-Լեոնե",
      "ia": "Sierra Leone",
      "id": "Sierra Leone",
      "io": "Sierra Leone",
      "is": "Síerra Leóne",
      "it": "Sierra Leone",
      "iu": "Sierra Leone",
      "ja": "シエラレオネ",
      "ka": "სიერა-ლეონე",
      "ki": "Sierra Leone",
      "kk": "Сьерра-Леоне",
      "kl": "Sierra Leone",
      "km": "សេរ៉ាឡេអូន",
      "kn": "Sierra Leone",
      "ko": "시에라리온",
      "ku": "Sîera Leone",
      "kv": "Sierra Leone",
      "kw": "Sierra Leon",
      "ky": "Сьерра-Леоне",
      "lo": "Sierra Leone",
      "lt": "Siera Leonė",
      "lv": "Sjerraleone",
      "mi": "Te Araone",
      "mk": "Сиера Леоне",
      "ml": "സിയേറ ലിയോണ്‍",
      "mn": "Сьерра-Леоне",
      "mr": "सियेरा लेओन",
      "ms": "Siera Leon",
      "mt": "Sierra Leone",
      "my": "ဆီရာလီယွန်နိုင်ငံ",
      "na": "Sierra Leone",
      "nb": "Sierra Leone",
      "ne": "साइरा लिओनरा",
      "nl": "Sierra Leone",
      "nn": "Sierra Leone",
      "nv": "Náshdóítsoh Bitsiijįʼ Daditłʼooʼígíí Bidził",
      "oc": "Sierra Leone",
      "or": "ସିୟେରା ଲିୟୋନ",
      "pa": "ਸੀਈਰਆ ਲਿਏਨ",
      "pi": "सियारा-लियोन",
      "pl": "Sierra Leone",
      "ps": "سېرالیون",
      "pt": "Serra Leoa",
      "pt_BR": "Serra Leoa",
      "ro": "Sierra Leone",
      "ru": "Сьерра-Леоне",
      "rw": "Siyera Lewone",
      "sc": "Sierra Leone",
      "sd": "Sierra Leone",
      "si": "සියෙරා ලියොන්",
      "sk": "Sierra Leone",
      "sl": "Sierra Leone",
      "so": "Siraaliyoon",
      "sq": "Sierra Leone",
      "sr": "Сијера Леоне",
      "sv": "Sierra Leone",
      "sw": "Sierra Leone",
      "ta": "சியராலியோன்",
      "te": "సియేరా లేఓన",
      "tg": "Сиерра-Леоне",
      "th": "เซียร์ราลีโอน",
      "ti": "Sierra Leone",
      "tk": "Siýerra-Leone",
      "tl": "Sierra Leone",
      "tr": "Sierra Leone",
      "tt": "Сиерра Леоне",
      "ug": "سېررالېئون",
      "uk": "Сьєрра-Леоне",
      "ur": "سیرالیون",
      "uz": "Syerra Leone",
      "ve": "Sierra Leone",
      "vi": "Xi-ê-ra Lê-ô-nê",
      "wa": "Siera Leyone",
      "wo": "Siraa Leyoon",
      "xh": "Sierra Leone",
      "yo": "Siẹrra Léònè",
      "zh_CN": "塞拉利昂",
      "zh_HK": "塞拉利昂",
      "zh_TW": "獅子山",
      "zu": "ISiera Liyoni"
    },
  );

  /// Country: The Republic of San Marino
  static const Country smr = Country(
    alpha2: 'SM',
    alpha3: 'SMR',
    continent: Continent.europe,
    countryCode: '378',
    currencyCode: 'EUR',
    gec: 'SM',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 43.94236,
        longitude: 12.457777,
      ),
      maxCoordinate: Coordinate(
        latitude: 43.992075,
        longitude: 12.5167041,
      ),
      minCoordinate: Coordinate(
        latitude: 43.8936809,
        longitude: 12.4034824,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 43.992075,
          longitude: 12.5167041,
        ),
        southwest: Coordinate(
          latitude: 43.8936809,
          longitude: 12.4034824,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'SMR',
    isoLongName: 'The Republic of San Marino',
    isoShortName: 'San Marino',
    languagesOfficial: ['it'],
    languagesSpoken: ['it'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9, 10, 11, 12],
    nationalPrefix: 'None',
    nationality: 'Sammarinese',
    number: '674',
    postalCode: true,
    postalCodeFormat: r'4789\d',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Southern Europe',
    unLocode: 'SM',
    unofficialNames: ['San Marino', 'Saint-Marin', 'サンマリノ'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "San Marino",
      "af": "San Marino",
      "ak": "San Marino",
      "am": "ሳን ማሪኖ",
      "an": "San Marino",
      "ar": "سان مارينو",
      "as": "চান মাৰিনো",
      "ay": "San Marino",
      "az": "San Marino",
      "ba": "San Marino",
      "be": "Сан-Марына",
      "bg": "Сан Марино",
      "bi": "San Marino",
      "bn": "সান মারিনো",
      "bn_IN": "সান মারিনো",
      "br": "San Marino",
      "bs": "San Marino",
      "ca": "San Marino",
      "ce": "Сан-Марино",
      "ch": "San Marino",
      "cs": "San Marino",
      "cv": "Сан-Марино",
      "cy": "San Marino",
      "da": "San Marino",
      "de": "San Marino",
      "dv": "ސަން މަރީނޯ",
      "dz": "སེན་ མེ་རི་ནོ།",
      "ee": "San Marino",
      "el": "Άγιος Μαρίνος",
      "en": "San Marino",
      "eo": "San-Marino",
      "es": "San Marino",
      "et": "San Marino",
      "eu": "San Marino",
      "fa": "سان مارینو",
      "ff": "San Marino",
      "fi": "San Marino",
      "fo": "San Marino",
      "fr": "Saint-Marin",
      "fy": "San Marino",
      "ga": "San Mairíne",
      "gl": "San Marino",
      "gn": "San Marino",
      "gu": "સાન મરિનો",
      "gv": "San Marino",
      "ha": "San Marino",
      "he": "סן מרינו",
      "hi": "सान मारिनो",
      "hr": "San Marino",
      "ht": "Sen Maren",
      "hu": "San Marino",
      "hy": "Սան Մարինո",
      "ia": "San Marino",
      "id": "San Marino",
      "io": "San-Marino",
      "is": "San Marínó",
      "it": "San Marino",
      "iu": "San Marino",
      "ja": "サンマリノ",
      "ka": "სან-მარინო",
      "ki": "San Marino",
      "kk": "Сан-Марино",
      "kl": "San Marino",
      "km": "សាន់ម៉ារីណូ",
      "kn": "ಸ್ಯಾನ್ ಮಾರಿನೋ",
      "ko": "산마리노",
      "ku": "San Marîno",
      "kv": "Сан-Марино",
      "kw": "Sen Marin",
      "ky": "Сан-Марино",
      "lo": "ປະເທດແຊັງມາແລງ",
      "lt": "San Marinas",
      "lv": "Sanmarīno",
      "mi": "Hato Marino",
      "mk": "Сан Марино",
      "ml": "സന്‍ മരിനോ",
      "mn": "Сан марино",
      "mr": "सॅन मेरिनो",
      "ms": "San Marino",
      "mt": "San Marino",
      "my": "ဆန်မာရီနိုနိုင်ငံ",
      "na": "Tanmarino",
      "nb": "San Marino",
      "ne": "सान मारिनो",
      "nl": "San Marino",
      "nn": "San Marino",
      "nv": "San Mawínoo Bikéyah",
      "oc": "Sant Marin",
      "or": "ସେନ ମେରୀନୋ",
      "pa": "ਸਾਨ ਮਾਰੀਨੂ",
      "pi": "सान मरीनो",
      "pl": "San Marino",
      "ps": "سان مارینو",
      "pt": "San Marino",
      "pt_BR": "São Marino",
      "ro": "San Marino",
      "ru": "Сан-Марино",
      "rw": "Mutagatifu Marino",
      "sc": "Santu Marinu",
      "sd": "San Marino",
      "si": "ශාන්ත මැරිනෝ",
      "sk": "San Maríno",
      "sl": "San Marino",
      "so": "San Marino",
      "sq": "San Marino",
      "sr": "Сан Марино",
      "sv": "San Marino",
      "sw": "San Marino",
      "ta": "சான் மரீனோ",
      "te": "సాన్ మేరినో",
      "tg": "Сан-Марино",
      "th": "ซานมารีโน",
      "ti": "San Marino",
      "tk": "San-Marino",
      "tl": "San Marino",
      "tr": "San Marino",
      "tt": "Сан Марино",
      "ug": "سان-مارىنو",
      "uk": "Сан-Марино",
      "ur": "سان مارینو",
      "uz": "San Marino",
      "ve": "San Marino",
      "vi": "Xan Ma-ri-nô",
      "wa": "Sint Marin",
      "wo": "San Marino",
      "xh": "San Marino",
      "yo": "San Màrínò",
      "zh_CN": "圣马力诺市",
      "zh_HK": "聖馬力諾",
      "zh_TW": "聖馬利諾",
      "zu": "USanti Marino"
    },
  );

  /// Country: The Republic of Senegal
  static const Country sen = Country(
    alpha2: 'SN',
    alpha3: 'SEN',
    continent: Continent.africa,
    countryCode: '221',
    currencyCode: 'XOF',
    gec: 'SG',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 14.497401,
        longitude: -14.452362,
      ),
      maxCoordinate: Coordinate(
        latitude: 16.6929572,
        longitude: -11.3457683,
      ),
      minCoordinate: Coordinate(
        latitude: 12.2649001,
        longitude: -17.6879999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 16.6929572,
          longitude: -11.3457683,
        ),
        southwest: Coordinate(
          latitude: 12.2649001,
          longitude: -17.6879999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'SEN',
    isoLongName: 'The Republic of Senegal',
    isoShortName: 'Senegal',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Senegalese',
    number: '686',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Western Africa',
    unLocode: 'SN',
    unofficialNames: ['Senegal', 'Sénégal', 'セネガル'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Senegal",
      "af": "Senegal",
      "ak": "Senegal",
      "am": "ሴኔጒሔ",
      "an": "Senegal",
      "ar": "السّنغال",
      "as": "ছেনেগাল",
      "ay": "Senegal",
      "az": "Seneqal",
      "ba": "Senegal",
      "be": "Сенегал",
      "bg": "Сенегал",
      "bi": "Senegal",
      "bn": "সেনেগাল",
      "bn_IN": "সেনেগাল",
      "br": "Senegal",
      "bs": "Senegal",
      "ca": "Senegal",
      "ce": "Сенегал",
      "ch": "Senegal",
      "cs": "Senegal",
      "cv": "Сенегал",
      "cy": "Senegal",
      "da": "Senegal",
      "de": "Senegal",
      "dv": "ސެނެގާލް",
      "dz": "སི་ནི་གཱལ།",
      "ee": "Senegal",
      "el": "Σενεγάλη",
      "en": "Senegal",
      "eo": "Senegalo",
      "es": "Senegal",
      "et": "Senegal",
      "eu": "Senegal",
      "fa": "سنگال",
      "ff": "Senegaal",
      "fi": "Senegal",
      "fo": "Senegal",
      "fr": "Sénégal",
      "fy": "Senegal",
      "ga": "An tSeineagáil",
      "gl": "Senegal",
      "gn": "Senegal",
      "gu": "સેનેગલ",
      "gv": "Yn Tenegaal",
      "ha": "Senegal",
      "he": "סנגל",
      "hi": "सेनेगल",
      "hr": "Senegal",
      "ht": "Senegal",
      "hu": "Szenegál",
      "hy": "Սենեգալ",
      "ia": "Senegal",
      "id": "Senegal",
      "io": "Senegal",
      "is": "Senegal",
      "it": "Senegal",
      "iu": "Senegal",
      "ja": "セネガル",
      "ka": "სენეგალი",
      "ki": "Senegal",
      "kk": "Сенегал",
      "kl": "Senegal",
      "km": "សេណេហ្គាល់",
      "kn": "ಸೆನೆಗಾಲ್",
      "ko": "세네갈",
      "ku": "Senegal",
      "kv": "Senegal",
      "kw": "Senegal",
      "ky": "Сенегал",
      "lo": "Senegal",
      "lt": "Senegalas",
      "lv": "Senegāla",
      "mi": "Senegal",
      "mk": "Сенегал",
      "ml": "സെനഗല്‍",
      "mn": "Сингали",
      "mr": "सेनेगल",
      "ms": "Senegal",
      "mt": "Senegal",
      "my": "ဆီနီဂေါနိုင်ငံ",
      "na": "Senegal",
      "nb": "Senegal",
      "ne": "सेनेगल",
      "nl": "Senegal",
      "nn": "Senegal",
      "nv": "Senegal",
      "oc": "Senegal",
      "or": "ସେନେଗାଲ",
      "pa": "ਸੈਨੇਗਾਲ",
      "pi": "सेनेगल",
      "pl": "Senegal",
      "ps": "سېنېګال",
      "pt": "Senegal",
      "pt_BR": "Senegal",
      "ro": "Senegal",
      "ru": "Сенегал",
      "rw": "Senegali",
      "sc": "Senegàl",
      "sd": "سينيگال",
      "si": "සෙනගාලය",
      "sk": "Senegal",
      "sl": "Senegal",
      "so": "Senegal",
      "sq": "Senegal",
      "sr": "Сенегал",
      "sv": "Senegal",
      "sw": "Senegal",
      "ta": "செனகல்",
      "te": "సెనెగల్",
      "tg": "Сенегал",
      "th": "เซเนกัล",
      "ti": "ሴኔጋል",
      "tk": "Senegal",
      "tl": "Senegal",
      "tr": "Senegal",
      "tt": "Сенеgал",
      "ug": "سېنېگال",
      "uk": "Сенегал",
      "ur": "سینیگال",
      "uz": "Senegal",
      "ve": "Senegal",
      "vi": "Xê-nê-gan",
      "wa": "Senegål",
      "wo": "Senegaal",
      "xh": "Senegal",
      "yo": "Sẹ̀nẹ̀gàl",
      "zh_CN": "塞内加尔",
      "zh_HK": "塞內加爾",
      "zh_TW": "塞內加爾",
      "zu": "ISenegal"
    },
  );

  /// Country: The Federal Republic of Somalia
  static const Country som = Country(
    alpha2: 'SO',
    alpha3: 'SOM',
    continent: Continent.africa,
    countryCode: '252',
    currencyCode: 'SOS',
    gec: 'SO',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 5.152149,
        longitude: 46.199616,
      ),
      maxCoordinate: Coordinate(
        latitude: 12.3615,
        longitude: 51.6138,
      ),
      minCoordinate: Coordinate(
        latitude: -1.8673,
        longitude: 40.994373,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 12.3615,
          longitude: 51.6138,
        ),
        southwest: Coordinate(
          latitude: -1.8673,
          longitude: 40.994373,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'SOM',
    isoLongName: 'The Federal Republic of Somalia',
    isoShortName: 'Somalia',
    languagesOfficial: ['so', 'ar'],
    languagesSpoken: ['so', 'ar'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8],
    nationalPrefix: 'None',
    nationality: 'Somali',
    number: '706',
    postalCode: true,
    postalCodeFormat: r'[A-Z]{2} ?\d{5}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'SO',
    unofficialNames: ['Somalia', 'الصومال', 'ソマリア', 'Somalië'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Somalia",
      "af": "Somalië",
      "ak": "Somalia",
      "am": "ሱሢሓ",
      "an": "Somalia",
      "ar": "الصومال",
      "as": "ছোমালিয়া",
      "ay": "Somalia",
      "az": "Somali",
      "ba": "Somalia",
      "be": "Самалі",
      "bg": "Сомалия",
      "bi": "Somalia",
      "bn": "সোমালিয়া",
      "bn_IN": "সোমালিয়া",
      "br": "Somalia",
      "bs": "Somalija",
      "ca": "Somàlia",
      "ce": "Сомали",
      "ch": "Somalia",
      "cs": "Somálsko",
      "cv": "Сомали",
      "cy": "Somalia",
      "da": "Somalia",
      "de": "Somalia",
      "dv": "ސޯމާލިއާ",
      "dz": "སོ་མ་ལི་ཡ།",
      "ee": "Somalia",
      "el": "Σομαλία",
      "en": "Somalia",
      "eo": "Somalio",
      "es": "Somalia",
      "et": "Somaalia",
      "eu": "Somalia",
      "fa": "سومالی",
      "ff": "Somaaliya",
      "fi": "Somalia",
      "fo": "Somalia",
      "fr": "Somalie",
      "fy": "Somaalje",
      "ga": "An tSomáil",
      "gl": "Somalia",
      "gn": "Somalia",
      "gu": "સોમાલિયા",
      "gv": "Yn Tomaal",
      "ha": "Somaliya",
      "he": "סומליה",
      "hi": "सोमालिया",
      "hr": "Somalija",
      "ht": "Somali",
      "hu": "Szomália",
      "hy": "Սոմալի",
      "ia": "Somalia",
      "id": "Somalia",
      "io": "Somalia",
      "is": "Sómalía",
      "it": "Somalia",
      "iu": "Somalia",
      "ja": "ソマリア",
      "ka": "სომალი",
      "ki": "Somalia",
      "kk": "Сомали",
      "kl": "Somalia",
      "km": "សូម៉ាលី",
      "kn": "ಸೋಮಾಲಿಯಾ",
      "ko": "소말리아",
      "ku": "Somalî",
      "kv": "Somalia",
      "kw": "Somali",
      "ky": "Сомали",
      "lo": "Somalia",
      "lt": "Somalis",
      "lv": "Somālija",
      "mi": "Somalia",
      "mk": "Сомалија",
      "ml": "സോമാലിയ",
      "mn": "Сомали",
      "mr": "सोमालिया",
      "ms": "Somalia",
      "mt": "Somalja",
      "my": "ဆိုမာလီယာနိုင်ငံ",
      "na": "Tomariya",
      "nb": "Somalia",
      "ne": "सोमालिया",
      "nl": "Somalië",
      "nn": "Somalia",
      "nv": "Soomáálii Bikéyah",
      "oc": "Somalia",
      "or": "ସୋମାଲିୟା",
      "pa": "ਸੋਮਾਲੀਆ",
      "pi": "सोमालिया",
      "pl": "Somalia",
      "ps": "سومالیا",
      "pt": "Somália",
      "pt_BR": "Somália",
      "ro": "Somalia",
      "ru": "Сомали",
      "rw": "Somaliya",
      "sc": "Somàlia",
      "sd": "صوماليه",
      "si": "සෝමාලියාව",
      "sk": "Somálsko",
      "sl": "Somalija",
      "so": "Soomaaliya",
      "sq": "Somali",
      "sr": "Сомалија",
      "sv": "Somalia",
      "sw": "Somalia",
      "ta": "சோமாலியா",
      "te": "సోమాలియా",
      "tg": "Сомалӣ",
      "th": "โซมาเลีย",
      "ti": "ሶማልያ",
      "tk": "Somali",
      "tl": "Somalia",
      "tr": "Somali",
      "tt": "Сомалиа",
      "ug": "سومالى",
      "uk": "Сомалі",
      "ur": "صومالیہ",
      "uz": "Somali",
      "ve": "Somalia",
      "vi": "Xo-ma-li",
      "wa": "Somaleye",
      "wo": "Somaali",
      "xh": "Somalia",
      "yo": "Sòmálíà",
      "zh_CN": "索马里",
      "zh_HK": "索馬里",
      "zh_TW": "索馬利亞",
      "zu": "ISomalia"
    },
  );

  /// Country: The Republic of Suriname
  static const Country sur = Country(
    alpha2: 'SR',
    alpha3: 'SUR',
    continent: Continent.southAmerica,
    countryCode: '597',
    currencyCode: 'SRD',
    gec: 'NS',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 3.919305,
        longitude: -56.027783,
      ),
      maxCoordinate: Coordinate(
        latitude: 6.1295999,
        longitude: -53.94289999999999,
      ),
      minCoordinate: Coordinate(
        latitude: 1.837306,
        longitude: -58.07050590000001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 6.1295999,
          longitude: -53.94289999999999,
        ),
        southwest: Coordinate(
          latitude: 1.837306,
          longitude: -58.07050590000001,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'SUR',
    isoLongName: 'The Republic of Suriname',
    isoShortName: 'Suriname',
    languagesOfficial: ['nl'],
    languagesSpoken: ['nl'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [6],
    nationalPrefix: '0',
    nationality: 'Surinamer',
    number: '740',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'South America',
    unLocode: 'SR',
    unofficialNames: ['Suriname', 'Surinam', 'スリナム'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Suriname",
      "af": "Suriname",
      "ak": "Suriname",
      "am": "ሱሪናም",
      "an": "Suriname",
      "ar": "سورينام",
      "as": "চুৰিনাম",
      "ay": "Suriname",
      "az": "Surinam",
      "ba": "Suriname",
      "be": "Сурынам",
      "bg": "Суринам",
      "bi": "Suriname",
      "bn": "সুরিনাম",
      "bn_IN": "সুরিনাম",
      "br": "Surinam",
      "bs": "Surinam",
      "ca": "Surinam",
      "ce": "Суринам",
      "ch": "Suriname",
      "cs": "Surinam",
      "cv": "Суринам",
      "cy": "Suriname",
      "da": "Surinam",
      "de": "Suriname",
      "dv": "ސުރިނާމް",
      "dz": "སུ་རི་ནེམ།",
      "ee": "Suriname",
      "el": "Σουρινάμ",
      "en": "Suriname",
      "eo": "Surinamo",
      "es": "Surinám",
      "et": "Suriname",
      "eu": "Surinam",
      "fa": "سورینام",
      "ff": "Suriname",
      "fi": "Suriname",
      "fo": "Surinam",
      "fr": "Surinam",
      "fy": "Suriname",
      "ga": "Suranam",
      "gl": "Surinam",
      "gn": "Suriname",
      "gu": "સુરિનામ",
      "gv": "Yn Toorinam",
      "ha": "Suriname",
      "he": "סורינאם",
      "hi": "सूरीनाम",
      "hr": "Surinam",
      "ht": "Sirinam",
      "hu": "Suriname",
      "hy": "Սուրինամ",
      "ia": "Suriname",
      "id": "Suriname",
      "io": "Surinam",
      "is": "Súrínam",
      "it": "Suriname",
      "iu": "Suriname",
      "ja": "スリナム",
      "ka": "სურინამი",
      "ki": "Suriname",
      "kk": "Суринам",
      "kl": "Suriname",
      "km": "ស៊ូរីណាមី",
      "kn": "ಸೂರಿನಾಮ್",
      "ko": "수리남",
      "ku": "Surînam",
      "kv": "Suriname",
      "kw": "Surinam",
      "ky": "Суринам",
      "lo": "ປະເທດຊູຣີນາມ",
      "lt": "Surinamas",
      "lv": "Surinama",
      "mi": "Hūriname",
      "mk": "Суринаме",
      "ml": "സൂരിനാം",
      "mn": "Суринам",
      "mr": "सुरिनाम",
      "ms": "Surinam",
      "mt": "Surinam",
      "my": "ဆူရာနမ်နိုင်ငံ",
      "na": "Suriname",
      "nb": "Surinam",
      "ne": "सुरिनेम",
      "nl": "Suriname",
      "nn": "Surinam",
      "nv": "Suriname",
      "oc": "Surinam",
      "or": "ସୂରୀନାମ",
      "pa": "ਸੂਰੀਨੇਮ",
      "pi": "सुरिनाम",
      "pl": "Surinam",
      "ps": "سورينام",
      "pt": "Suriname",
      "pt_BR": "Suriname",
      "ro": "Surinam",
      "ru": "Суринам",
      "rw": "Surinamu",
      "sc": "Suriname",
      "sd": "Suriname",
      "si": "සුරිනාම්",
      "sk": "Surinam",
      "sl": "Surinam",
      "so": "Suriname",
      "sq": "Surinam",
      "sr": "Суринам",
      "sv": "Surinam",
      "sw": "Suriname",
      "ta": "சூரினாம்",
      "te": "సురినేమ్",
      "tg": "Суринам",
      "th": "ซูรินาเม",
      "ti": "ሱሪናም",
      "tk": "Surinam",
      "tl": "Suriname",
      "tr": "Surinam",
      "tt": "Суринам",
      "ug": "سۇرىنام",
      "uk": "Суринам",
      "ur": "سرینام",
      "uz": "Surinam",
      "ve": "Suriname",
      "vi": "Xu-ri-na-me",
      "wa": "Suriname",
      "wo": "Surinaam",
      "xh": "Suriname",
      "yo": "Sùrìnámù",
      "zh_CN": "苏里南",
      "zh_HK": "蘇里南",
      "zh_TW": "蘇利南",
      "zu": "Suriname"
    },
  );

  /// Country: The Republic of South Sudan
  static const Country ssd = Country(
    alpha2: 'SS',
    alpha3: 'SSD',
    continent: Continent.africa,
    countryCode: '211',
    currencyCode: 'SSP',
    gec: 'OD',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 6.876991899999999,
        longitude: 31.3069788,
      ),
      maxCoordinate: Coordinate(
        latitude: 12.236389,
        longitude: 35.9489971,
      ),
      minCoordinate: Coordinate(
        latitude: 3.48898,
        longitude: 23.4408491,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 12.236389,
          longitude: 35.9489971,
        ),
        southwest: Coordinate(
          latitude: 3.48898,
          longitude: 23.4408491,
        ),
      ),
    ),
    internationalPrefix: '0',
    ioc: null,
    isoLongName: 'The Republic of South Sudan',
    isoShortName: 'South Sudan',
    languagesOfficial: ['ar', 'en'],
    languagesSpoken: ['ar', 'en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'South Sudanese',
    number: '728',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.sunday,
    subregion: 'Northern Africa',
    unLocode: 'SS',
    unofficialNames: ['South Sudan', 'Südsudan', '南スーダン', 'Zuid-Soedan'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "South Sudan",
      "af": "Suid-Soedan",
      "ak": "South Sudan",
      "am": "፠ቡብ ጐፔሱጢ",
      "an": "South Sudan",
      "ar": "جنوب السّودان",
      "as": "South Sudan",
      "ay": "South Sudan",
      "az": "South Sudan",
      "ba": "South Sudan",
      "be": "Паўднёвы Судан",
      "bg": "Южен Судан",
      "bi": "South Sudan",
      "bn": "দক্ষিন সুদান",
      "bn_IN": "দক্ষিণ সুদান",
      "br": "Soudan ar Su",
      "bs": "Južni Sudan",
      "ca": "Sudan del Sud",
      "ce": "Къилба Судан",
      "ch": "South Sudan",
      "cs": "Jižní Súdán",
      "cv": "Къилба Судан",
      "cy": "De Swdan",
      "da": "Sydsudan",
      "de": "Südsudan",
      "dv": "South Sudan",
      "dz": "South Sudan",
      "ee": "South Sudan",
      "el": "Νότιο Σουδάν",
      "en": "South Sudan",
      "eo": "Sud-Sudano",
      "es": "Sudán del Sur",
      "et": "Lõuna-Sudaan",
      "eu": "Hegoaldeko Sudan",
      "fa": "سودان جنوبی",
      "ff": "South Sudan",
      "fi": "Etelä-Sudan",
      "fo": "South Sudan",
      "fr": "Soudan du Sud",
      "fy": "Súd-Sûdan",
      "ga": "An tSúdáin Theas",
      "gl": "Sudán do Sur",
      "gn": "South Sudan",
      "gu": "દક્ષિણ સુદાન",
      "gv": "Yn Toodaan Yiass",
      "ha": "South Sudan",
      "he": "דרום סודאן",
      "hi": "दक्षिण सूडान",
      "hr": "Južni Sudan",
      "ht": "Soudan Disid",
      "hu": "Dél-Szudán",
      "hy": "Հարավային Սուդան",
      "ia": "Sudan del Sud",
      "id": "Sudan Selatan",
      "io": "Sud-Sudan",
      "is": "Suður-súdan",
      "it": "Sudan del sud",
      "iu": "South Sudan",
      "ja": "南スーダン",
      "ka": "South Sudan",
      "ki": "Sũdana ya Kuthini",
      "kk": "Оңтүстік Судан",
      "kl": "South Sudan",
      "km": "ស៊ូដង់​ខាង​ត្បូង",
      "kn": "South Sudan",
      "ko": "남수단",
      "ku": "Komara Sûdan",
      "kv": "Лунвыв Судан",
      "kw": "Soudan Soth",
      "ky": "Түштүк Судан",
      "lo": "South Sudan",
      "lt": "Pietų Sudanas",
      "lv": "Dienvidsudāna",
      "mi": "Hūtāne-ki-te-tonga",
      "mk": "South Sudan",
      "ml": "South Sudan",
      "mn": "South Sudan",
      "mr": "दक्षिण सुदान",
      "ms": "Sudan Selatan",
      "mt": "Sudan t'Isfel",
      "my": "တောင်ဆူဒန်နိုင်ငံ",
      "na": "South Sudan",
      "nb": "Sør-Sudan",
      "ne": "South Sudan",
      "nl": "Zuid-Soedan",
      "nn": "Sør-Sudan",
      "nv": "South Sudan",
      "oc": "Sodan del Sud",
      "or": "ଦକ୍ଷିଣ ସୂଡାନ",
      "pa": "ਦੱਖਣੀ ਸੂਡਾਨ",
      "pi": "South Sudan",
      "pl": "Sudan Południowy",
      "ps": "سوېلي سوډان",
      "pt": "Sudão do Sul",
      "pt_BR": "Sudão do Sul",
      "ro": "Sudanul de Sud",
      "ru": "Южный Судан",
      "rw": "South Sudan",
      "sc": "Sudàn Meridionale",
      "sd": "South Sudan",
      "si": "දකුණු සුඩානය",
      "sk": "Južný Sudán",
      "sl": "Južni Sudan",
      "so": "South Sudan",
      "sq": "Sudani i Jugut",
      "sr": "Јужни Судан",
      "sv": "Sydsudan",
      "sw": "South Sudan",
      "ta": "South Sudan",
      "te": "దక్షిణ సూడాన్",
      "tg": "Судони Ҷанубӣ",
      "th": "ซูดานใต้",
      "ti": "ደቡብ ሱዳን",
      "tk": "Günorta Sudan",
      "tl": "Timog Sudan",
      "tr": "Güney Sudan",
      "tt": "South Sudan",
      "ug": "جەنۇبىي سۇدان",
      "uk": "Південний Судан",
      "ur": "جنوبی سوڈان",
      "uz": "Janubiy Sudan",
      "ve": "South Sudan",
      "vi": "Nam Xu-đăng",
      "wa": "Soudan nonnrece",
      "wo": "South Sudan",
      "xh": "South Sudan",
      "yo": "Gúúsù Sudan",
      "zh_CN": "南苏丹",
      "zh_HK": "南蘇丹",
      "zh_TW": "南蘇丹",
      "zu": "ISudan yaseNingizimu"
    },
  );

  /// Country: The Democratic Republic of São Tomé and Príncipe
  static const Country stp = Country(
    alpha2: 'ST',
    alpha3: 'STP',
    continent: Continent.africa,
    countryCode: '239',
    currencyCode: 'STD',
    gec: 'TP',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 0.18636,
        longitude: 6.613080999999999,
      ),
      maxCoordinate: Coordinate(
        latitude: 1.8961687,
        longitude: 7.658843900000001,
      ),
      minCoordinate: Coordinate(
        latitude: -0.09887689999999999,
        longitude: 6.328125,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 1.8961687,
          longitude: 7.658843900000001,
        ),
        southwest: Coordinate(
          latitude: -0.09887689999999999,
          longitude: 6.328125,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'STP',
    isoLongName: 'The Democratic Republic of São Tomé and Príncipe',
    isoShortName: 'Sao Tome and Principe',
    languagesOfficial: ['pt'],
    languagesSpoken: ['pt'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [6, 7],
    nationalPrefix: '0',
    nationality: 'Sao Tomean',
    number: '678',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Middle Africa',
    unLocode: 'ST',
    unofficialNames: [
      'São Tomé and Príncipe',
      'São Tomé und Príncipe',
      'São Tomé et Príncipe',
      'Santo Tomé y Príncipe',
      'サントメ・プリンシペ',
      'Sao Tomé en Principe'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Sao Tome and Principe",
      "af": "Sao Tomé en Principe",
      "ak": "Sao Tome and Principe",
      "am": "ሳን ቶሜ እና ፕሪንሲፔ",
      "an": "Sao Tome and Principe",
      "ar": "ساو تومي و برنسبي",
      "as": "চাও টোমে আৰু প্ৰিন্সিপে",
      "ay": "Sao Tome and Principe",
      "az": "Sao Tome və Prinsip",
      "ba": "Sao Tome and Principe",
      "be": "Сан-Тамэ і Прынсіпі",
      "bg": "Сао Томе и Принсипи",
      "bi": "Sao Tome and Principe",
      "bn": "সাও টোমে ও প্রিন্সিপে",
      "bn_IN": "সাও টোমে ও প্রিন্সিপে",
      "br": "São Tomé ha Príncipe",
      "bs": "Sao Tome i Principe",
      "ca": "Sao Tome i Príncipe",
      "ce": "Сан-Томе а Принсипи",
      "ch": "Sao Tome and Principe",
      "cs": "Svatý Tomáš a Princův ostrov",
      "cv": "Сан-Томе а Принсипи",
      "cy": "Sao Tome a Principe",
      "da": "São Tomé og Príncipe",
      "de": "São Tomé und Príncipe",
      "dv": "ސައޮ ތޯމޭ އަދި ޕުރިންސިޕޭ",
      "dz": "སེའོ་ ཊོམ་དང་ པི་རིན་སི་པཱི།",
      "ee": "Sao Tome and Principe",
      "el": "Σάο Τομέ και Πρίνσιπε",
      "en": "Sao Tome and Principe",
      "eo": "Sao-Tomeo kaj Principeo",
      "es": "Santo Tomé y Príncipe",
      "et": "São Tomé ja Príncipe",
      "eu": "Sao Tome eta Principe",
      "fa": "سائو تومه و پرینسیپه",
      "ff": "Sao Tome and Principe",
      "fi": "São Tomé ja Príncipe",
      "fo": "Sao Tome og Prinsipi",
      "fr": "Sao Tomé-et-Principe",
      "fy": "Sao Tomee en Prinsyp",
      "ga": "Sao Tome agus Principe",
      "gl": "San Tomé e Príncipe",
      "gn": "Sao Tome and Principe",
      "gu": "સાઓ ટોમે અને પ્રિન્સિપે",
      "gv": "São Tomé as Príncipe",
      "ha": "Sao Tome and Principe",
      "he": "סאו טומה ופרינסיפה",
      "hi": "साओ तोमे और प्रिन्सिपी",
      "hr": "Sveti Toma i Princip",
      "ht": "Sao Tome and Principe",
      "hu": "São Tomé és Príncipe",
      "hy": "Սան-Թոմե-Փրինսիպի",
      "ia": "Sao Tome e Principe",
      "id": "Sao Tome dan Principe",
      "io": "San-Tome e Principe",
      "is": "Saó Tóme og Prinsípe",
      "it": "São Tomé e Príncipe",
      "iu": "Sao Tome and Principe",
      "ja": "サントメ・プリンシペ",
      "ka": "საო-ტომე და პრინსიპი",
      "ki": "São Tomé and Príncipe",
      "kk": "Сан-Томе және Принсипи",
      "kl": "Sao Tome and Principe",
      "km": "សៅតូម និង ព្រីនស៊ីព",
      "kn": "Sao Tome and Principe",
      "ko": "상투메 프린시페",
      "ku": "Sao Tome û Prinsipe",
      "kv": "Sao Tome and Principe",
      "kw": "Sen Tommas ha Pryns",
      "ky": "Сан-Томе жана Принсипи",
      "lo": "Sao Tome and Principe",
      "lt": "San Tomė ir Prinsipė",
      "lv": "Santome un Prinsipi",
      "mi": "Ao Tomi me Pirinihipi",
      "mk": "Сао Томе и Принципе",
      "ml": "സാവോ ടോമും പ്രിന്‍സിപ്പിയും",
      "mn": "Sao Tome and Principe",
      "mr": "साओ तोम आणी प्रिंसिप",
      "ms": "Sao Tome dan Principe",
      "mt": "Sao Tome and Principe",
      "my": "ဆောင်တူမေးနှင့် ပရင်စီပီနိုင်ငံ",
      "na": "Sao Tome and Principe",
      "nb": "São Tomé og Príncipe",
      "ne": "साओ टोम र प्रिन्सिपे",
      "nl": "Sao Tomé en Principe",
      "nn": "São Tomé og Príncipe",
      "nv": "Sao Tome and Principe",
      "oc": "Sao Tomé e Principe",
      "or": "ସାଓ ଟୋମ ଏବଂ ପ୍ରିନସୀପ",
      "pa": "ਸਾਓ ਟੋਮ ਅਤੇ ਪ੍ਰਿਨਸਾਈਪ",
      "pi": "Sao Tome and Principe",
      "pl": "Wyspy Świętego Tomasza i Książęca",
      "ps": "Sao Tome and Principe",
      "pt": "São Tomé e Príncipe",
      "pt_BR": "São Tomé e Príncipe",
      "ro": "Sao Tome și Principe",
      "ru": "Сан-Томе и Принсипи",
      "rw": "Sawo Tome na Purensipe",
      "sc": "São Tomé e Príncipe",
      "sd": "Sao Tome and Principe",
      "si": "සාවෝ තෝමේ හා ප්‍රින්සිපි",
      "sk": "Svätý Tomáš a Princov ostrov",
      "sl": "Sao Tome in Principe",
      "so": "Sao Tome and Principe",
      "sq": "Sao Tome dhe Principe",
      "sr": "Сао Томе и Принципе",
      "sv": "São Tomé och Príncipe",
      "sw": "Sao Tome and Principe",
      "ta": "சோ டோமி மற்றும் பிரின்சிபி",
      "te": "సాఓ తోమ మరియు ప్రింసిప్",
      "tg": "Сан Томе ва Принсипи",
      "th": "เซาตูเมและปรินซิปี",
      "ti": "Sao Tome and Principe",
      "tk": "San-Tome we Prinsipi",
      "tl": "Sao Tome at Principe",
      "tr": "Sao Tome ve Principe",
      "tt": "Сао Томе белән Принҗипе",
      "ug": "سان-تومې ۋە پىرىنسىپى",
      "uk": "Сан-Томе і Принсіпі",
      "ur": "ساؤ ٹومے و پرنسپے",
      "uz": "San-Tome va Prinsipi",
      "ve": "Sao Tome na Principe",
      "vi": "Xao Tô-mê và Pợ-rin-xi-pê",
      "wa": "São Tomé et Prince",
      "wo": "Sao Tome ak Principe",
      "xh": "Sao Tome and Principe",
      "yo": "Sao Tome àti Principe",
      "zh_CN": "圣多美和普林西比",
      "zh_HK": "聖多美和普林西比",
      "zh_TW": "聖多美及普林西比",
      "zu": "ISawu Tome noPhrinitshipeyi"
    },
  );

  /// Country: The Republic of El Salvador
  static const Country slv = Country(
    alpha2: 'SV',
    alpha3: 'SLV',
    continent: Continent.northAmerica,
    countryCode: '503',
    currencyCode: 'USD',
    gec: 'ES',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 13.794185,
        longitude: -88.89653,
      ),
      maxCoordinate: Coordinate(
        latitude: 14.4505567,
        longitude: -87.6682,
      ),
      minCoordinate: Coordinate(
        latitude: 13.0473999,
        longitude: -90.19229999999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 14.4505567,
          longitude: -87.6682,
        ),
        southwest: Coordinate(
          latitude: 13.0473999,
          longitude: -90.19229999999999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'ESA',
    isoLongName: 'The Republic of El Salvador',
    isoShortName: 'El Salvador',
    languagesOfficial: ['es'],
    languagesSpoken: ['es'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Salvadoran',
    number: '222',
    postalCode: true,
    postalCodeFormat: r'CP [1-3][1-7][0-2]\d',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Central America',
    unLocode: 'SV',
    unofficialNames: ['El Salvador', 'Salvador', 'エルサルバドル'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "El Salvador",
      "af": "El Salvador",
      "ak": "El Salvador",
      "am": "ኤል ሳልቫዶር",
      "an": "El Salvador",
      "ar": "السّلفادور",
      "as": "এল ছেলভেড'ৰ",
      "ay": "El Salvador",
      "az": "Elsalvador",
      "ba": "El Salvador",
      "be": "Эль-Сальвадор",
      "bg": "Ел Салвадор",
      "bi": "El Salvador",
      "bn": "এল সালভাডোর",
      "bn_IN": "এল সালভাডোর",
      "br": "Salvador",
      "bs": "El Salvador",
      "ca": "El Salvador",
      "ce": "Сальвадор",
      "ch": "El Salvador",
      "cs": "Salvador",
      "cv": "Сальвадор",
      "cy": "El Salvador",
      "da": "El Salvador",
      "de": "El Salvador",
      "dv": "އެލްސެލްވަޑޯރު",
      "dz": "ཨེལ་ སཱལ་བེ་ཌོར།",
      "ee": "El Salvador",
      "el": "Ελ Σαλβαδόρ",
      "en": "El Salvador",
      "eo": "Salvadoro",
      "es": "El Salvador",
      "et": "El Salvador",
      "eu": "El Salvador",
      "fa": "السالوادور",
      "ff": "El Salvador",
      "fi": "El Salvador",
      "fo": "El Salvador",
      "fr": "Salvador",
      "fy": "El Salvador",
      "ga": "An tSalvadóir",
      "gl": "O Salvador",
      "gn": "El Salvador",
      "gu": "અલ સાલ્વાડોર",
      "gv": "Yn Salvador",
      "ha": "El Salvador",
      "he": "אל סלוודור",
      "hi": "अल साल्वाडोर",
      "hr": "Salvador",
      "ht": "Salvadò",
      "hu": "El Salvador",
      "hy": "Սալվադոր",
      "ia": "El Salvador",
      "id": "El Salvador",
      "io": "Salvador",
      "is": "El Salvador",
      "it": "El Salvador",
      "iu": "El Salvador",
      "ja": "エルサルバドル",
      "ka": "სალვადორი",
      "ki": "El Salvador",
      "kk": "Сальвадор",
      "kl": "El Salvador",
      "km": "អែលសាល់វ៉ាឌ័រ",
      "kn": "ಎಲ್ ಸಾಲ್ವಡಾರ್‍",
      "ko": "엘살바도르",
      "ku": "El Salvador",
      "kv": "Сальвадор",
      "kw": "El Salvador",
      "ky": "Сальвадор",
      "lo": "El Salvador",
      "lt": "Salvadoras",
      "lv": "Salvadora",
      "mi": "El Salvador",
      "mk": "Ел Салвадор",
      "ml": "എല്‍ സാല്‍വഡോര്‍",
      "mn": "Эл салвадор",
      "mr": "अल साल्वॅडॉर",
      "ms": "El Salvador",
      "mt": "El Salvador",
      "my": "အယ်ဆာဗေဒိုနိုင်ငံ",
      "na": "Ersarbador",
      "nb": "El Salvador",
      "ne": "इल साल्भाडोर",
      "nl": "El Salvador",
      "nn": "El Salvador",
      "nv": "El Salvador",
      "oc": "El Salvador",
      "or": "ଅଲ ସଲ୍ଭାଡୋର",
      "pa": "ਈਲ ਸਾਲੇਵਡੋਰ",
      "pi": "एल-साल्वाडोर",
      "pl": "Salwador",
      "ps": "سالوېډور",
      "pt": "El Salvador",
      "pt_BR": "El Salvador",
      "ro": "El Salvador",
      "ru": "Сальвадор",
      "rw": "Eli Saluvadoro",
      "sc": "El Salvador",
      "sd": "El Salvador",
      "si": "එල් සැල්වදෝරය",
      "sk": "Salvádor",
      "sl": "Salvador",
      "so": "El Salvador",
      "sq": "Salvador",
      "sr": "Ел Салвадор",
      "sv": "El Salvador",
      "sw": "El Salvador",
      "ta": "எல் சால்வடார்",
      "te": "అల సాల్వడార్",
      "tg": "Ал-Салвадор",
      "th": "เอลซัลวาดอร์",
      "ti": "ኤል ሳልቫዶር",
      "tk": "Salwador",
      "tl": "El Salvador",
      "tr": "El Salvador",
      "tt": "Ел Салвадор",
      "ug": "سالۋادور",
      "uk": "Сальвадор",
      "ur": "ایل سیلواڈور",
      "uz": "El Salvador",
      "ve": "El Salvador",
      "vi": "En-xan-va-đoa",
      "wa": "El Salvador",
      "wo": "Salbadoor",
      "xh": "El Salvador",
      "yo": "El Salfador",
      "zh_CN": "萨尔瓦多",
      "zh_HK": "薩爾瓦多",
      "zh_TW": "薩爾瓦多",
      "zu": "El Salvador"
    },
  );

  /// Country: Sint Maarten
  static const Country sxm = Country(
    alpha2: 'SX',
    alpha3: 'SXM',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'ANG',
    gec: 'NN',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 18.04248,
        longitude: -63.05483,
      ),
      maxCoordinate: Coordinate(
        latitude: 18.0641707,
        longitude: -62.9784,
      ),
      minCoordinate: Coordinate(
        latitude: 17.9941,
        longitude: -63.13979990000001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 18.0641707,
          longitude: -62.9784,
        ),
        southwest: Coordinate(
          latitude: 17.9941,
          longitude: -63.13979990000001,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: null,
    isoLongName: 'Sint Maarten',
    isoShortName: 'Sint Maarten (Dutch part)',
    languagesOfficial: ['nl', 'en'],
    languagesSpoken: ['nl', 'en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '0',
    nationality: 'Dutch',
    number: '534',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'SX',
    unofficialNames: ['Sint Maarten', 'セント・マーチン島'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1721',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Sint Maarten (Dutch part)",
      "af": "Sint Maarten (Dutch part)",
      "ak": "Sint Maarten (Dutch part)",
      "am": "Sint Maarten (Dutch part)",
      "an": "Sint Maarten (Dutch part)",
      "ar": "سانت مارتن (الجزء الهولندي)",
      "as": "Sint Maarten (Dutch part)",
      "ay": "Sint Maarten (Dutch part)",
      "az": "Sint Maarten (Dutch part)",
      "ba": "Sint Maarten (Dutch part)",
      "be": "Сінт-Мартэн (галандская частка)",
      "bg": "Синт Мартен (холандска част)",
      "bi": "Sint Maarten (Dutch part)",
      "bn": "সেন্ট মার্টিন (ফ্রেঞ্চ অংশ)",
      "bn_IN": "সেন্ট মার্টিন (ডাচ অংশ)",
      "br": "Sint Maarten (Dutch part)",
      "bs": "Sint Maarten (Holandski dio)",
      "ca": "Sint Maarten (part neerlandesa)",
      "ce": "Sint Maarten (Dutch part)",
      "ch": "Sint Maarten (Dutch part)",
      "cs": "Svatý Martin (nizozemská část)",
      "cv": "Sint Maarten (Dutch part)",
      "cy": "Sint Maarten (Rhan Iseldiraidd)",
      "da": "Sint Maarten (hollandsk del)",
      "de": "Saint-Martin (Niederländischer Teil)",
      "dv": "Sint Maarten (Dutch part)",
      "dz": "Sint Maarten (Dutch part)",
      "ee": "Sint Maarten (Dutch part)",
      "el": "Άγιος Μαρτίνος (Ολλανδικό τμήμα)",
      "en": "Sint Maarten (Dutch part)",
      "eo": "Sankta-Marteno (nederlanda parto)",
      "es": "Isla de San Martín (zona holandsea)",
      "et": "Sint Maarten (Hollandi osa)",
      "eu": "Saint Martin (Holandar zatia)",
      "fa": "سنت مارتین (بخش آلمانی)",
      "ff": "Sint Maarten (Dutch part)",
      "fi": "Sint Maarten (hollantilainen osa)",
      "fo": "Sint Maarten (Dutch part)",
      "fr": "Saint-Martin (partie néerlandaise)",
      "fy": "Sint Maarten (Dutch part)",
      "ga": "Sint Maarten (ceantar Ollannach)",
      "gl": "San Martiño (parte holandesa)",
      "gn": "Sint Maarten (Dutch part)",
      "gu": "સિન્ટ માર્ટેન (ડચ વિસ્તાર)",
      "gv": "Sint Maarten (Dutch part)",
      "ha": "Sint Maarten (Dutch part)",
      "he": "סנט מארטן (החלק ההולנדי)",
      "hi": "सेंट मार्टिन (डच भाग)",
      "hr": "Sveti Martin (nizozemski dio)",
      "ht": "Sint Maarten (Dutch part)",
      "hu": "Szent Martin (holland oldal)",
      "hy": "Սինթ Մարտեն (Հոլանդական մաս)",
      "ia": "Sancte Martin (parte nederlandese)",
      "id": "Sint Maarten (wilayah Belanda)",
      "io": "Sint Maarten (Dutch part)",
      "is": "Sankti Maarten (hollenski hluti)",
      "it": "Sint Maarten (Olanda)",
      "iu": "Sint Maarten (Dutch part)",
      "ja": "サンマルタン (オランダ領)",
      "ka": "Sint Maarten (Dutch part)",
      "ki": "Sint Maarten (Dutch part)",
      "kk": "Синт-Мартен (Голландия аймағы)",
      "kl": "Sint Maarten (Dutch part)",
      "km": "សាន​ម៉ាទីន (ផ្នែក​របស់ហុល្លង់)",
      "kn": "Sint Maarten (Dutch part)",
      "ko": "신트마르턴 (네덜란드령)",
      "ku": "Saint Martin (beşa firansî)",
      "kv": "Sint Maarten (Dutch part)",
      "kw": "Sint Maarten (Dutch part)",
      "ky": "Синт-Мартен (Нидерланд аймагы)",
      "lo": "Sint Maarten (Dutch part)",
      "lt": "Sin Martenas (Nyderalandų dalis)",
      "lv": "Sintmārtena (Nīderlandes daļa)",
      "mi": "Sint Maarten (Dutch part)",
      "mk": "Св. Мартин (Холандски дел)",
      "ml": "Sint Maarten (Dutch part)",
      "mn": "Sint Maarten (Dutch part)",
      "mr": "सेंट मार्टिन (डच भाग)",
      "ms": "Sint Maarten (Dutch part)",
      "mt": "Sint Maarten (Dutch part)",
      "my": "Sint Maarten (Dutch part)",
      "na": "Sint Maarten (Dutch part)",
      "nb": "Sint Maarten (nederlandsk del)",
      "ne": "सिन्ट मार्टेन(डच अंश)",
      "nl": "Sint Maarten (Nederlands deel)",
      "nn": "Sint Maarten (Dutch part)",
      "nv": "Sint Maarten (Dutch part)",
      "oc": "Sant Martin (Part neerlandesa)",
      "or": "ସିଣ୍ଟ ମାର୍ଟିନ (ଫରାସୀ ଅଂଶ)",
      "pa": "ਸੇਂਟ ਮਾਰਟਿਨ (ਡੱਚ ਭਾਗ)",
      "pi": "Sint Maarten (Dutch part)",
      "pl": "Sint Maarten (część holenderska)",
      "ps": "Sint Maarten (Dutch part)",
      "pt": "São Martinho (Países Baixos)",
      "pt_BR": "São Martim (parte holandesa)",
      "ro": "Sfântul Martin (partea olandeză)",
      "ru": "Синт-Мартен (голландская часть)",
      "rw": "Sint Maarten (Dutch part)",
      "sc": "Sint Maarten (parte olandesa)",
      "sd": "Sint Maarten (Dutch part)",
      "si": "සින්ට් මාටෙන් (ඕලන්ද කොටස)",
      "sk": "Sint Maarten (holandská časť)",
      "sl": "Sint Maarten (nizozemski del)",
      "so": "Sint Maarten (Dutch part)",
      "sq": "Shën Martin (pjesa Holandeze)",
      "sr": "Свети Мартин (холандски део)",
      "sv": "Sint Maarten (nederländska delen)",
      "sw": "Sint Maarten (Dutch part)",
      "ta": "Sint Maarten (Dutch part)",
      "te": "Sint Maarten (Dutch part)",
      "tg": "Сент-Мартин (минтақаи олмонӣ)",
      "th": "เซนต์มาร์ติน (ส่วนของดัตช์)",
      "ti": "Sint Maarten (Dutch part)",
      "tk": "Sint-Marten (Golland tarapy)",
      "tl": "Sint Maarten (Dutch part)",
      "tr": "Sint Maarten (Hollanda kısmı)",
      "tt": "Sint Maarten (Dutch part)",
      "ug": "سىنت مارتېن(گوللاندىيە بۆلىكى)",
      "uk": "Сінт-Мартен (голландська частина)",
      "ur": "Sint Maarten (Dutch part)",
      "uz": "Sint Maarten (Dutch part)",
      "ve": "Sint Maarten (Dutch part)",
      "vi": "Xin Mác-Ten (vùng Hà Lan)",
      "wa": "Sint Mårtén (boket olandès)",
      "wo": "Sint Maarten (Dutch part)",
      "xh": "Sint Maarten (Dutch part)",
      "yo": "Sint Maarten (Dutch part)",
      "zh_CN": "荷属圣马丁",
      "zh_HK": "聖馬丁 (荷屬)",
      "zh_TW": "聖馬丁 (荷屬)",
      "zu": "Sint Maarten (Dutch part)"
    },
  );

  /// Country: The Syrian Arab Republic
  static const Country syr = Country(
    alpha2: 'SY',
    alpha3: 'SYR',
    continent: Continent.asia,
    countryCode: '963',
    currencyCode: 'SYP',
    gec: 'SY',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 34.80207499999999,
        longitude: 38.996815,
      ),
      maxCoordinate: Coordinate(
        latitude: 37.318693,
        longitude: 42.376309,
      ),
      minCoordinate: Coordinate(
        latitude: 32.311136,
        longitude: 35.62869999999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 37.318693,
          longitude: 42.376309,
        ),
        southwest: Coordinate(
          latitude: 32.311136,
          longitude: 35.62869999999999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'SYR',
    isoLongName: 'The Syrian Arab Republic',
    isoShortName: 'Syrian Arab Republic',
    languagesOfficial: ['ar'],
    languagesSpoken: ['ar'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8],
    nationalPrefix: '0',
    nationality: 'Syrian',
    number: '760',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Western Asia',
    unLocode: 'SY',
    unofficialNames: [
      'Syria',
      'سوريا',
      'سورية',
      'Syrien',
      'Syrie',
      'Siria',
      'シリア・アラブ共和国',
      'Syrië'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Syrian Arab Republic",
      "af": "Siriese Arabiese Republiek",
      "ak": "Syrian Arab Republic",
      "am": "ሲሱ።",
      "an": "Syrian Arab Republic",
      "ar": "سوريا",
      "as": "চিৰিয়ান আৰব প্ৰজাতন্ত্ৰ",
      "ay": "Syrian Arab Republic",
      "az": "Syrian Arab Republic",
      "ba": "Syrian Arab Republic",
      "be": "Сірыйская Арабская Рэспубліка",
      "bg": "Сирийска арабска република",
      "bi": "Syrian Arab Republic",
      "bn": "সিরিয়ান আরব প্রজাতন্ত্র",
      "bn_IN": "সিরিয়ান আরব প্রজাতন্ত্র",
      "br": "Syrian Arab Republic",
      "bs": "Sirijska Arapska Republika",
      "ca": "República Àrab Síria",
      "ce": "Syrian Arab Republic",
      "ch": "Syrian Arab Republic",
      "cs": "Syrská arabská republika",
      "cv": "Syrian Arab Republic",
      "cy": "Gweriniaeth Arabaidd Syria",
      "da": "Syriske Arabiske Republik",
      "de": "Syrien, Arabische Republik",
      "dv": "Syrian Arab Republic",
      "dz": "སི་རེན་ ཨ་རབ་ མི་སེར་རྒྱལ་ཁབ།",
      "ee": "Syrian Arab Republic",
      "el": "Αραβική Δημοκρατία της Συρίας",
      "en": "Syrian Arab Republic",
      "eo": "Siria Araba Respubliko",
      "es": "República árabe de Siria",
      "et": "Süüria Araabia Vabariik",
      "eu": "Siriako Arabiar Errepublika",
      "fa": "جمهوری عربی سوریه",
      "ff": "Syrian Arab Republic",
      "fi": "Syyrian arabitasavalta",
      "fo": "Syrian Arab Republic",
      "fr": "Syrienne, République arabe",
      "fy": "Syrian Arab Republic",
      "ga": "Poblacht Arabach na Siria",
      "gl": "República Árabe de Siria",
      "gn": "Syrian Arab Republic",
      "gu": "સીરીયન આરબ રીપબ્લિક",
      "gv": "Syrian Arab Republic",
      "ha": "Syrian Arab Republic",
      "he": "הרפובליקה הערבית הסורית",
      "hi": "सीरियन अरब रिपब्लिक",
      "hr": "Sirijska Arapska Republika",
      "ht": "Syrian Arab Republic",
      "hu": "Szíriai Arab Köztársaság",
      "hy": "Սիրիայի Արաբական Հանրապետություն",
      "ia": "Republica Arabe Syrie",
      "id": "Republik Arab Syria",
      "io": "Syrian Arab Republic",
      "is": "Sýrlenska arabalýðveldið",
      "it": "Siria",
      "iu": "Syrian Arab Republic",
      "ja": "シリア・アラブ共和国",
      "ka": "სირიის არაბული რესპუბლიკა",
      "ki": "Syrian Arab Republic",
      "kk": "Сирия Араб Республикасы",
      "kl": "Syrian Arab Republic",
      "km": "សាធារណរដ្ឋ​ស៊ីរីយ៉ា​​អារាប់",
      "kn": "ಸಿರಿಯನ್ ಅರಬ್ ಗಣರಾಜ್ಯ",
      "ko": "시리아 아랍 공화국",
      "ku": "Sûriye",
      "kv": "Syrian Arab Republic",
      "kw": "Syrian Arab Republic",
      "ky": "Сирия Араб Республикасы",
      "lo": "Syrian Arab Republic",
      "lt": "Sirijos Arabų Respublika",
      "lv": "Sīrija",
      "mi": "Syrian Arab Republic",
      "mk": "Сирија арапска република",
      "ml": "സിറിയന്‍ അറബ് റിപ്പബ്ലിക്",
      "mn": "Syrian Arab Republic",
      "mr": "सिरियन अरब रिपब्लिक",
      "ms": "Syrian Arab Republic",
      "mt": "Syrian Arab Republic",
      "my": "Syrian Arab Republic",
      "na": "Syrian Arab Republic",
      "nb": "Den arabiske republikk Syria",
      "ne": "सिरियन अरब गणराज्य",
      "nl": "Syrië",
      "nn": "Syria",
      "nv": "Syrian Arab Republic",
      "oc": "Republica Dominicana",
      "or": "ସିରିଆନ ଆରବ ଗଣତନ୍ତ୍ର",
      "pa": "ਸੀਰੀਅਨ ਅਰਬ ਗਣਰਾਜ",
      "pi": "Syrian Arab Republic",
      "pl": "Syryjska Republika Arabska",
      "ps": "Syrian Arab Republic",
      "pt": "República Árabe Síria",
      "pt_BR": "República Árabe da Síria",
      "ro": "Republica Araba Siria",
      "ru": "Сирийская Арабская Республика",
      "rw": "Repubulika Nyarabu ya Siriya",
      "sc": "Repùblica Àraba de Sìria",
      "sd": "Syrian Arab Republic",
      "si": "සිරියානු අරාබි ජනරජය",
      "sk": "Sýrska arabská republika",
      "sl": "Sirska arabska republika",
      "so": "Suuriya",
      "sq": "Republika Arabe e Sirisë",
      "sr": "Сиријска Арапска Република",
      "sv": "Syriska arabrepubliken",
      "sw": "Syrian Arab Republic",
      "ta": "சிரியன் அரபு குடியரசு",
      "te": "సిరియన్ అరబ్ రిపబ్లిక్",
      "tg": "Ҷумҳурии Сурияи Араб",
      "th": "สาธารณรัฐอาหรับซีเรีย",
      "ti": "Syrian Arab Republic",
      "tk": "Siriýa arap respublikasy",
      "tl": "Syrian Arab Republika",
      "tr": "Suriye Arap Cumhuriyeti",
      "tt": "Гәрәп Сүриә Җөмһүриәте",
      "ug": "سۈرىيە ئەرەب جۇمھۇرىيىتى",
      "uk": "Сирійська Арабська Республіка",
      "ur": "Syrian Arab Republic",
      "uz": "Syrian Arab Republic",
      "ve": "Syrian Arab Republic",
      "vi": "Cộng hoà A-rập Xi-ri-a",
      "wa": "Sireye",
      "wo": "Republik Araab bu Siiri",
      "xh": "Syrian Arab Republic",
      "yo": "Syrian Arab Republic",
      "zh_CN": "叙利亚",
      "zh_HK": "阿拉伯敍利亞共和國",
      "zh_TW": "敘利亞阿拉伯共和國",
      "zu": "Syrian Arab Republic"
    },
  );

  /// Country: The Kingdom of Eswatini
  static const Country swz = Country(
    alpha2: 'SZ',
    alpha3: 'SWZ',
    continent: Continent.africa,
    countryCode: '268',
    currencyCode: 'SZL',
    gec: 'WZ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -26.522503,
        longitude: 31.465866,
      ),
      maxCoordinate: Coordinate(
        latitude: -25.71792,
        longitude: 32.1349067,
      ),
      minCoordinate: Coordinate(
        latitude: -27.317402,
        longitude: 30.79064,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -25.71792,
          longitude: 32.1349067,
        ),
        southwest: Coordinate(
          latitude: -27.317402,
          longitude: 30.79064,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'SWZ',
    isoLongName: 'The Kingdom of Eswatini',
    isoShortName: 'Eswatini',
    languagesOfficial: ['en', 'ss'],
    languagesSpoken: ['en', 'ss'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Swazi',
    number: '748',
    postalCode: true,
    postalCodeFormat: r'[HLMS]\d{3}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Southern Africa',
    unLocode: 'SZ',
    unofficialNames: ['Swaziland', 'Swasiland', 'Suazilandia', 'スワジランド'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Eswatini",
      "af": "Eswatini",
      "ak": "Eswatini",
      "am": "Eswatini",
      "an": "Eswatini",
      "ar": "إسواتيني",
      "as": "Eswatini",
      "ay": "Eswatini",
      "az": "Eswatini",
      "ba": "Eswatini",
      "be": "Эсваціні",
      "bg": "Eswatini",
      "bi": "Eswatini",
      "bn": "এসওয়াতিনি",
      "bn_IN": "এসওয়াটানি",
      "br": "Eswatini",
      "bs": "Eswatini",
      "ca": "Eswatini",
      "ce": "Eswatini",
      "ch": "Eswatini",
      "cs": "Svazijsko",
      "cv": "Eswatini",
      "cy": "Eswatini",
      "da": "Eswatini",
      "de": "Eswatini",
      "dv": "Eswatini",
      "dz": "Eswatini",
      "ee": "Eswatini",
      "el": "Εσουατίνι",
      "en": "Eswatini",
      "eo": "Svazilando",
      "es": "Esuatini",
      "et": "Svaasimaa",
      "eu": "Eswatini",
      "fa": "پادشاهی سوازیلند",
      "ff": "Eswatini",
      "fi": "Eswatini",
      "fo": "Eswatini",
      "fr": "Eswatini",
      "fy": "Eswatini",
      "ga": "Eswatini",
      "gl": "Suacilandia",
      "gn": "Eswatini",
      "gu": "સ્વાતિની",
      "gv": "Eswatini",
      "ha": "Eswatini",
      "he": "אסווטני",
      "hi": "एस्वाटिनी",
      "hr": "Esvatini",
      "ht": "Eswatini",
      "hu": "Szváziföld",
      "hy": "Eswatini",
      "ia": "Eswatini",
      "id": "Eswatini",
      "io": "Eswatini",
      "is": "Esvatiní (Svasíland)",
      "it": "Eswatini",
      "iu": "Eswatini",
      "ja": "エスワティニ王国",
      "ka": "Eswatini",
      "ki": "Eswatini",
      "kk": "Eswatini",
      "kl": "Eswatini",
      "km": "Eswatini",
      "kn": "Eswatini",
      "ko": "에스와티니",
      "ku": "Eswatini",
      "kv": "Eswatini",
      "kw": "Eswatini",
      "ky": "Eswatini",
      "lo": "Eswatini",
      "lt": "Eswatini",
      "lv": "Eswatini",
      "mi": "Eswatini",
      "mk": "Eswatini",
      "ml": "Eswatini",
      "mn": "Eswatini",
      "mr": "इस्वातिनी",
      "ms": "Eswatini",
      "mt": "Eswatini",
      "my": "Eswatini",
      "na": "Eswatini",
      "nb": "Eswatini (tidligere Swasiland)",
      "ne": "Eswatini",
      "nl": "Eswatini",
      "nn": "Eswatini",
      "nv": "Eswatini",
      "oc": "Eswatini",
      "or": "ଏସୱଆଟିନି",
      "pa": "ਇਸਵਾਟੀਨੀ",
      "pi": "Eswatini",
      "pl": "Eswatini",
      "ps": "Eswatini",
      "pt": "Suazilândia",
      "pt_BR": "Suazilândia",
      "ro": "Eswatini",
      "ru": "Эсватини",
      "rw": "Eswatini",
      "sc": "Swaziland",
      "sd": "Eswatini",
      "si": "Eswatini",
      "sk": "Eswatini",
      "sl": "Eswatini",
      "so": "Eswatini",
      "sq": "Esuatini",
      "sr": "Есватини",
      "sv": "Swaziland",
      "sw": "Eswatini",
      "ta": "Eswatini",
      "te": "Eswatini",
      "tg": "Эсватини",
      "th": "เอสวาตินี",
      "ti": "Eswatini",
      "tk": "Eswatini",
      "tl": "Eswatini",
      "tr": "Eswatini",
      "tt": "Eswatini",
      "ug": "ئېسۋاتىنى",
      "uk": "Есватіні",
      "ur": "Eswatini",
      "uz": "Eswatini",
      "ve": "Eswatini",
      "vi": "Eswatini",
      "wa": "Eswatini",
      "wo": "Eswatini",
      "xh": "Eswatini",
      "yo": "Eswatini",
      "zh_CN": "斯威士兰",
      "zh_HK": "斯威士蘭",
      "zh_TW": "史瓦帝尼",
      "zu": "Eswatini"
    },
  );

  /// Country: The Turks and Caicos Islands
  static const Country tca = Country(
    alpha2: 'TC',
    alpha3: 'TCA',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'USD',
    gec: 'TK',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 21.694025,
        longitude: -71.797928,
      ),
      maxCoordinate: Coordinate(
        latitude: 22.0016285,
        longitude: -71.05949989999999,
      ),
      minCoordinate: Coordinate(
        latitude: 21.1459922,
        longitude: -72.52069999999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 22.0016285,
          longitude: -71.05949989999999,
        ),
        southwest: Coordinate(
          latitude: 21.1459922,
          longitude: -72.52069999999999,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: null,
    isoLongName: 'The Turks and Caicos Islands',
    isoShortName: 'Turks and Caicos Islands',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Turks and Caicos Islander',
    number: '796',
    postalCode: true,
    postalCodeFormat: r'TKCA 1ZZ',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'TC',
    unofficialNames: [
      'Turks and Caicos Islands',
      'Turks- und Caicosinseln',
      'Îles Turks et Caïcos',
      'Islas Turks y Caicos',
      'タークス・カイコス諸島',
      'Turks- en Caicoseilanden',
      'Turks and Caicos'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1649',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Turks and Caicos Islands",
      "af": "Turks- en Caicos-eilande",
      "ak": "Turks and Caicos Islands",
      "am": "Turks and Caicos Islands",
      "an": "Turks and Caicos Islands",
      "ar": "جزر التّرك و الكايكوس",
      "as": "টুৰ্কছ আৰু কেইকোছ দ্বীপ",
      "ay": "Turks and Caicos Islands",
      "az": "Turks and Caicos Islands",
      "ba": "Turks and Caicos Islands",
      "be": "Цёркс і Кайкас",
      "bg": "Острови Тюрк и Кайкос",
      "bi": "Turks and Caicos Islands",
      "bn": "টার্কস ও কেইকোস দ্বীপ",
      "bn_IN": "টার্কস ও কেইকোস দ্বীপ",
      "br": "Inizi Turks ha Caicos",
      "bs": "Turks i Caicos Ostrva",
      "ca": "Illes Turks i Caicos",
      "ce": "Тёркс а",
      "ch": "Turks and Caicos Islands",
      "cs": "Turks a Caicos",
      "cv": "Тёркс а",
      "cy": "Ynysoedd y Turks a Caicos",
      "da": "Turks- og Caicosøerne",
      "de": "Turks- und Caicosinseln",
      "dv": "ޓާކަސް އަދި ކައިކޯ ޖަޒީރާ",
      "dz": "ཊརཀསི་ དང་ ཀའི་ཀོསི་ ཨའི་ལེནཌིསི།",
      "ee": "Turks and Caicos Islands",
      "el": "Τερκς και Κάικος Νήσοι",
      "en": "Turks and Caicos Islands",
      "eo": "Turkoj kaj Kajkoj",
      "es": "Islas Turcas y Caicos",
      "et": "Turksi ja Caicose saared",
      "eu": "Turk eta Caicos uharteak",
      "fa": "جزایر ترک و کایکوس",
      "ff": "Turks and Caicos Islands",
      "fi": "Turks- ja Caicossaaret",
      "fo": "Turks and Caicos Islands",
      "fr": "Îles Turques-et-Caïques",
      "fy": "Turks- en Kaikoseilannen",
      "ga": "Oileáin Turks agus Caicos",
      "gl": "Illas Turcos e Caicos",
      "gn": "Turks and Caicos Islands",
      "gu": "તુર્કસ અને કેઇકોસ ટાપુઓ",
      "gv": "Turks and Caicos Islands",
      "ha": "Turks and Caicos Islands",
      "he": "איי טרקס וקייקוס",
      "hi": "तुर्क और केकोस द्वीपसमूह",
      "hr": "Otoci Turks i Caicos",
      "ht": "Turks and Caicos Islands",
      "hu": "Turks- és Caicos-szigetek",
      "hy": "Թյորքս և Կայկոս կղզիներ",
      "ia": "Insulas Turks e Caicos",
      "id": "Kepulauan Turks dan Caicos",
      "io": "Turks e Kaikos-Insuli",
      "is": "Turks- og Kaikós-eyjar",
      "it": "Isole Turks e Caicos",
      "iu": "Turks and Caicos Islands",
      "ja": "タークス及びカイコス諸島",
      "ka": "ტერკის და კაიკოს კუნძულები",
      "ki": "Turks and Caicos Islands",
      "kk": "Теркс және Кайкос аралдары",
      "kl": "Turks and Caicos Islands",
      "km": "កោះ​ទួក និង កៃកូស",
      "kn": "Turks and Caicos Islands",
      "ko": "터크스 케이커스 제도",
      "ku": "Giravên Turks û Caicos",
      "kv": "Turks and Caicos Islands",
      "kw": "Turks ha Kaykos",
      "ky": "Туркс жана Каикос аралдары",
      "lo": "Turks and Caicos Islands",
      "lt": "Terkso ir Kaikoso salos",
      "lv": "Tērksu un Kaikosu salas",
      "mi": "Turks and Caicos Islands",
      "mk": "Туркси и Каициски острови",
      "ml": "തുര്‍ക്ക്സും കൈകോസും ദ്വീപുകള്‍",
      "mn": "Turks and Caicos Islands",
      "mr": "टर्कस् आणी कैकोस आयलॅंडस्",
      "ms": "Kepulauan Turks dan Caicos",
      "mt": "Gżejjer Turks u Kajkos",
      "my": "Turks and Caicos Islands",
      "na": "Turks and Caicos Islands",
      "nb": "Turks- og Caicosøyene",
      "ne": "टर्क्स र काइकस टापु",
      "nl": "Turks- en Caicoseilanden",
      "nn": "Turks- og Caicosøyane",
      "nv": "Turks and Caicos Islands",
      "oc": "Illas Turcas e Caïcas",
      "or": "ତୁର୍କ ଏବଂ କୈକୋସ ଦ୍ବୀପ",
      "pa": "ਤੁਰਕਸ ਅਤੇ ਕੇਈਕੋਸ ਟਾਪੂ",
      "pi": "Turks and Caicos Islands",
      "pl": "Turks i Caicos",
      "ps": "Turks and Caicos Islands",
      "pt": "Ilhas Turcas e Caicos",
      "pt_BR": "Ilhas Turks e Caicos",
      "ro": "Insulele Turks și Caicos",
      "ru": "Острова Туркс и Каикос",
      "rw": "Ibirwa bya Takisi na Kayikosi",
      "sc": "Ìsulas Turks e Caicos",
      "sd": "Turks and Caicos Islands",
      "si": "තුර්කි හා කායිකෝස් දූපත්",
      "sk": "Ostrovy Turks a Caicos",
      "sl": "Turks in Caicoški otoki",
      "so": "Turks and Caicos Islands",
      "sq": "Ishujt Turks dhe Kaikos",
      "sr": "Острва Туркс и Каикос",
      "sv": "Turks- och Caicosöarna",
      "sw": "Turks and Caicos Islands",
      "ta": "துருக்கஸ் மற்றும் கைசோஸ் தீவுகள்",
      "te": "టర్కస్ మరియు కైకోస్ ఐలాండ్స్",
      "tg": "Ҷазираҳои Теркс ва Кайкос",
      "th": "หมู่เกาะเติกส์และหมู่เกาะเคคอส",
      "ti": "Turks and Caicos Islands",
      "tk": "Turks we Kaikos adalary",
      "tl": "Turks at Caicos Islands",
      "tr": "Turks ve Caicos Adaları",
      "tt": "Түркс белән Җаиҗос Утравлары",
      "ug": "تۇركس ۋە كايكوس ئارىلى",
      "uk": "Острови Теркс і Кайкос",
      "ur": "جزائر کیکس و ترکیہ",
      "uz": "Terks va Kaykos orollari",
      "ve": "Turks and Caicos Islands",
      "vi": "Quần Đảo Tuốc và Cai-cox",
      "wa": "Iyes Turks et Caicos",
      "wo": "Turks and Caicos Islands",
      "xh": "Turks and Caicos Islands",
      "yo": "Àwọn Erékùṣù Turks àti Caicos",
      "zh_CN": "特克斯和凯科斯群岛",
      "zh_HK": "土克凱可羣島",
      "zh_TW": "土克凱可群島",
      "zu": "Turks and Caicos Islands"
    },
  );

  /// Country: The Republic of Chad
  static const Country tcd = Country(
    alpha2: 'TD',
    alpha3: 'TCD',
    continent: Continent.africa,
    countryCode: '235',
    currencyCode: 'XAF',
    gec: 'CD',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 15.454166,
        longitude: 18.732207,
      ),
      maxCoordinate: Coordinate(
        latitude: 23.449228,
        longitude: 24.0000011,
      ),
      minCoordinate: Coordinate(
        latitude: 7.442975,
        longitude: 13.4699999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 23.449228,
          longitude: 24.0000011,
        ),
        southwest: Coordinate(
          latitude: 7.442975,
          longitude: 13.4699999,
        ),
      ),
    ),
    internationalPrefix: '15',
    ioc: 'CHA',
    isoLongName: 'The Republic of Chad',
    isoShortName: 'Chad',
    languagesOfficial: ['ar', 'fr'],
    languagesSpoken: ['ar', 'fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Chadian',
    number: '148',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Middle Africa',
    unLocode: 'TD',
    unofficialNames: ['Chad', 'تشاد', 'Tschad', 'Tchad', 'チャド', 'Tsjaad'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Chad",
      "af": "Tsjad",
      "ak": "Chad",
      "am": "ኂ፥",
      "an": "Chad",
      "ar": "تشاد",
      "as": "চাড",
      "ay": "Chad",
      "az": "Çad",
      "ba": "Chad",
      "be": "Чад",
      "bg": "Чад",
      "bi": "Chad",
      "bn": "চাড",
      "bn_IN": "চাড",
      "br": "Tchad",
      "bs": "Čad",
      "ca": "Txad",
      "ce": "Чад",
      "ch": "Chad",
      "cs": "Čad",
      "cv": "Чад",
      "cy": "Chad",
      "da": "Tchad",
      "de": "Tschad",
      "dv": "ޝާދު",
      "dz": "ཆཌི།",
      "ee": "Chad",
      "el": "Τσαντ",
      "en": "Chad",
      "eo": "Ĉado",
      "es": "Chad",
      "et": "Tšaad",
      "eu": "Txad",
      "fa": "چاد",
      "ff": "Chad",
      "fi": "Tšad",
      "fo": "Kjad",
      "fr": "Tchad",
      "fy": "Tsjaad",
      "ga": "Sead",
      "gl": "Chad",
      "gn": "Chad",
      "gu": "ચાડ",
      "gv": "Shad",
      "ha": "Cadi",
      "he": "צ׳אד",
      "hi": "चाड",
      "hr": "Čad",
      "ht": "Tchad",
      "hu": "Csád",
      "hy": "Չադ",
      "ia": "Tchad",
      "id": "Chad",
      "io": "Chad",
      "is": "Tsjad",
      "it": "Ciad",
      "iu": "Chad",
      "ja": "チャド",
      "ka": "ჩადი",
      "ki": "Chad",
      "kk": "Чад",
      "kl": "Chad",
      "km": "ឆាដ",
      "kn": "ಛಾಡ್",
      "ko": "차드",
      "ku": "Çad",
      "kv": "Chad",
      "kw": "Chad",
      "ky": "Чад",
      "lo": "Chad",
      "lt": "Čadas",
      "lv": "Čada",
      "mi": "Chad",
      "mk": "Чад",
      "ml": "ഛാഡ്",
      "mn": "Чад",
      "mr": "चाद",
      "ms": "Cad",
      "mt": "Ċad",
      "my": "ချဒ်သမ္မတနိုင်ငံ",
      "na": "Tsiad",
      "nb": "Tsjad",
      "ne": "चाद",
      "nl": "Tsjaad",
      "nn": "Tsjad",
      "nv": "Chad",
      "oc": "Chad",
      "or": "ଚାଡ୍",
      "pa": "ਚਾਦ",
      "pi": "चाड",
      "pl": "Czad",
      "ps": "چاډ",
      "pt": "Chade",
      "pt_BR": "Chade",
      "ro": "Ciad",
      "ru": "Чад",
      "rw": "Cade",
      "sc": "Chad",
      "sd": "چاڊ",
      "si": "cqDw",
      "sk": "Čad",
      "sl": "Čad",
      "so": "Jaad",
      "sq": "Çad",
      "sr": "Чад",
      "sv": "Tchad",
      "sw": "Chad",
      "ta": "சாட்",
      "te": "చాద్",
      "tg": "Чад",
      "th": "ชาด",
      "ti": "ቻድ",
      "tk": "Çad",
      "tl": "Tsad",
      "tr": "Çad",
      "tt": "Чад",
      "ug": "چاد",
      "uk": "Чад",
      "ur": "چاڈ",
      "uz": "Chad",
      "ve": "Chad",
      "vi": "Chê-đ",
      "wa": "Tchad",
      "wo": "Caad",
      "xh": "Chad",
      "yo": "Tsad",
      "zh_CN": "乍得",
      "zh_HK": "乍得",
      "zh_TW": "查德",
      "zu": "ITshedi"
    },
  );

  /// Country: The French Southern and Antarctic Lands
  static const Country atf = Country(
    alpha2: 'TF',
    alpha3: 'ATF',
    continent: Continent.africa,
    countryCode: '262',
    currencyCode: 'EUR',
    gec: 'FS',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -49.280366,
        longitude: 69.3485571,
      ),
      maxCoordinate: Coordinate(
        latitude: -45.7567331,
        longitude: 70.6558228,
      ),
      minCoordinate: Coordinate(
        latitude: -50.0641918,
        longitude: 49.8519168,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -45.7567331,
          longitude: 70.6558228,
        ),
        southwest: Coordinate(
          latitude: -50.0641918,
          longitude: 49.8519168,
        ),
      ),
    ),
    internationalPrefix: '',
    ioc: null,
    isoLongName: 'The French Southern and Antarctic Lands',
    isoShortName: 'French Southern Territories',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [],
    nationalNumberLengths: [],
    nationalPrefix: '',
    nationality: 'French',
    number: '260',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'TF',
    unofficialNames: [
      'French Southern Territories',
      'Französische Süd- und Antarktisgebiete',
      'Terres Australes Françaises',
      'Territorios Franceses del Sur',
      'フランス領南方・南極地域',
      'Franse Gebieden in de zuidelijke Indische Oceaan',
      'French Southern and Antarctic Lands'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "French Southern Territories",
      "af": "Franse Suidelike Gebiede",
      "ak": "French Southern Territories",
      "am": "ፘፈረንሳ፤ ፠ቡባፁ ጔፒቶኄ",
      "an": "Territorios Franceses d'o Sud",
      "ar": "المقاطعات الفرنسيّة الجنوبيّة",
      "as": "ফ্ৰেঞ্চ দক্ষিণ অঞ্চল",
      "ay": "French Southern Territories",
      "az": "French Southern Territories",
      "ba": "French Southern Territories",
      "be": "Французскія Паўднёвыя Тэрыторыі",
      "bg": "Френски южни територии",
      "bi": "French Southern Territories",
      "bn": "ফ্রেঞ্চ দক্ষিণ অঞ্চল",
      "bn_IN": "ফ্রেঞ্চ দক্ষিণ অঞ্চল",
      "br": "French Southern Territories",
      "bs": "Francuske Južne Teritorije",
      "ca": "Territoris Francesos del Sud",
      "ce": "French Southern Territories",
      "ch": "French Southern Territories",
      "cs": "Francouzská jižní území",
      "cv": "French Southern Territories",
      "cy": "French Southern Territories",
      "da": "Sydlige Franske Territorier",
      "de": "Französische Süd- und Antarktisgebiete",
      "dv": "French Southern Territories",
      "dz": "ཕེརེནཆི་ ལྷོ་ཕྱོགས་དབང་བསྒྱུར་ས་ཁོངས།",
      "ee": "French Southern Territories",
      "el": "Γαλλικά Νότια Εδάφη",
      "en": "French Southern Territories",
      "eo": "Francaj Sudaj Teritorioj",
      "es": "Territorios Franceses del Sur",
      "et": "Prantsuse Lõunaalad",
      "eu": "Hegoaldeko Lurralde Frantsesak",
      "fa": "مستعمره‌های جنوبی فرانسه",
      "ff": "French Southern Territories",
      "fi": "Ranskan eteläiset alueet",
      "fo": "French Southern Territories",
      "fr": "Terres australes françaises",
      "fy": "French Southern Territories",
      "ga": "Críocha Francacha Theas",
      "gl": "Territorios Franceses do Sul",
      "gn": "French Southern Territories",
      "gu": "ફ્રેન્ચ સર્થન ટેરિટરીસ",
      "gv": "French Southern Territories",
      "ha": "French Southern Territories",
      "he": "הטריטוריות הדרומיות של צרפת",
      "hi": "फ्रेंच साउदर्न टेरीटरीज़",
      "hr": "Francuski Južni Teritoriji",
      "ht": "French Southern Territories",
      "hu": "Francia déli területek",
      "hy": "Ֆրանսիական Հարավային Տարածքներ",
      "ia": "Territorios Austral Francese",
      "id": "Perancis, Wilayah Bagian Selatan",
      "io": "French Southern Territories",
      "is": "Frönsku suðurhafshéruðin",
      "it": "Territori francesi meridionali",
      "iu": "French Southern Territories",
      "ja": "フランス南方領土",
      "ka": "ფრანგული სამხრეთ ტერიტორიები",
      "ki": "French Southern Territories",
      "kk": "Францияның Солтүстік Аймақтары",
      "kl": "French Southern Territories",
      "km": "អាណាចក្រ​ខាង​ត្បូង​បារាំង",
      "kn": "ಫ್ರೆಂಚ್ ಸದರ್ನ್ ಟೆರಿಟರೀಸ್",
      "ko": "프랑스령 남 자치구역",
      "ku": "Herêma Basurî ya Fransî",
      "kv": "French Southern Territories",
      "kw": "French Southern Territories",
      "ky": "Франциянын Түштүк Аймактары",
      "lo": "French Southern Territories",
      "lt": "Prancūzijos Pietų Sritys",
      "lv": "Francijas Dienvidjūru Zemes",
      "mi": "French Southern Territories",
      "mk": "Јужни француски територии",
      "ml": "ഫ്രഞ്ച് തെക്കന്‍ പ്രദേശങ്ങള്‍",
      "mn": "French Southern Territories",
      "mr": "फ्रेंच सदर्न टेरिटरीज्",
      "ms": "French Southern Territories",
      "mt": "Territorji Franċiżi ta' Nofsinhar",
      "my": "French Southern Territories",
      "na": "French Southern Territories",
      "nb": "Franske sørlige territorier",
      "ne": "फ्रेन्च दक्षिणी क्षेत्रहरू",
      "nl": "Franse Zuidelijke Gebieden",
      "nn": "Franske sørlege territorium",
      "nv": "French Southern Territories",
      "oc": "Tèrras australas francesas",
      "or": "ଫ୍ରେଞ୍ଚ ଦାକ୍ଷିଣାତ୍ମକ କ୍ଷେତ୍ର",
      "pa": "ਫਰੈਂਚ ਦੱਖਣੀ ਖੇਤਰ",
      "pi": "French Southern Territories",
      "pl": "Francuskie Terytoria Południowe",
      "ps": "French Southern Territories",
      "pt": "Territórios Franceses do Sul",
      "pt_BR": "Territórios Franceses do Sul",
      "ro": "Teritoriile franceze de sud",
      "ru": "Французские южные территории",
      "rw": "Ibihugu by'Amajyepfo Nyamfaransa",
      "sc": "Territòrios Australes Frantzesos",
      "sd": "French Southern Territories",
      "si": "ප්‍රංශ දකුණු ප්‍රදේශ",
      "sk": "Francúzske južné a antarktické územia",
      "sl": "Francoska južna ozemlja",
      "so": "French Southern Territories",
      "sq": "Territoret Jugore Franceze",
      "sr": "Француске Јужне Територије",
      "sv": "Franska sydterritorierna",
      "sw": "French Southern Territories",
      "ta": "ஃப்ரெஞ்ச் தெற்கு பிரதேசம்",
      "te": "ఫ్రెంచ్ సదర్న టేరిటరీజ్",
      "tg": "Минтақаҳои Ҷанубии Фаронса",
      "th": "เฟรนช์เซาเทิร์นเทร์ริทอรีส์",
      "ti": "የፈረንሳይ ደቡባዊ ግዛቶች",
      "tk": "Fransuz günorta territoriýalary",
      "tl": "Teritoryong Hilagang Pranses",
      "tr": "Fransız Güney Bölgeleri",
      "tt": "French Southern Territories",
      "ug": "فىرانسىيەگە قاراشلىق جەنۇبىي زېمىن",
      "uk": "Французькі Південні Території",
      "ur": "French Southern Territories",
      "uz": "French Southern Territories",
      "ve": "French Southern Territories",
      "vi": "Miền Nam Pháp",
      "wa": "Teritweres francès do sud",
      "wo": "French Southern Territories",
      "xh": "French Southern Territories",
      "yo": "French Southern Territories",
      "zh_CN": "法属南半球领地",
      "zh_HK": "法屬南部屬地",
      "zh_TW": "法屬南部領地",
      "zu": "French Southern Territories"
    },
  );

  /// Country: The Togolese Republic
  static const Country tgo = Country(
    alpha2: 'TG',
    alpha3: 'TGO',
    continent: Continent.africa,
    countryCode: '228',
    currencyCode: 'XOF',
    gec: 'TO',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 8.619543,
        longitude: 0.824782,
      ),
      maxCoordinate: Coordinate(
        latitude: 11.139617,
        longitude: 1.8089071,
      ),
      minCoordinate: Coordinate(
        latitude: 6.0812,
        longitude: -0.1440418,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 11.139617,
          longitude: 1.8089071,
        ),
        southwest: Coordinate(
          latitude: 6.0812,
          longitude: -0.1440418,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'TOG',
    isoLongName: 'The Togolese Republic',
    isoShortName: 'Togo',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'Togolese',
    number: '768',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Western Africa',
    unLocode: 'TG',
    unofficialNames: ['Togo', 'トーゴ'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Togo",
      "af": "Togo",
      "ak": "Togo",
      "am": "ቶጎ",
      "an": "Togo",
      "ar": "توغو",
      "as": "টোগো",
      "ay": "Togo",
      "az": "Toqo",
      "ba": "Togo",
      "be": "Тога",
      "bg": "Того",
      "bi": "Togo",
      "bn": "টোগো",
      "bn_IN": "টোগো",
      "br": "Togo",
      "bs": "Togo",
      "ca": "Togo",
      "ce": "Того",
      "ch": "Togo",
      "cs": "Togo",
      "cv": "Того",
      "cy": "Togo",
      "da": "Togo",
      "de": "Togo",
      "dv": "ޓޯގޯ",
      "dz": "ཊོ་གོ།",
      "ee": "Togo",
      "el": "Τόγκο",
      "en": "Togo",
      "eo": "Togo",
      "es": "Togo",
      "et": "Togo",
      "eu": "Togo",
      "fa": "توگو",
      "ff": "Togo",
      "fi": "Togo",
      "fo": "Togo",
      "fr": "Togo",
      "fy": "Togo",
      "ga": "Tóga",
      "gl": "Togo",
      "gn": "Togo",
      "gu": "ટોગો",
      "gv": "Yn Togo",
      "ha": "Togo",
      "he": "טוגו",
      "hi": "टोगो",
      "hr": "Togo",
      "ht": "Togo",
      "hu": "Togo",
      "hy": "Տոգո",
      "ia": "Togo",
      "id": "Togo",
      "io": "Togo",
      "is": "Tógó",
      "it": "Togo",
      "iu": "Togo",
      "ja": "トーゴ",
      "ka": "ტოგო",
      "ki": "Togo",
      "kk": "Того",
      "kl": "Togo",
      "km": "តូហ្គោ",
      "kn": "ಟೋಗೋ",
      "ko": "토고",
      "ku": "Togo",
      "kv": "Togo",
      "kw": "Togo",
      "ky": "Того",
      "lo": "Togo",
      "lt": "Togas",
      "lv": "Togo",
      "mi": "Toko",
      "mk": "Того",
      "ml": "ടോഗോ",
      "mn": "Того",
      "mr": "तोगो",
      "ms": "Togo",
      "mt": "Togo",
      "my": "တိုဂိုနိုင်ငံ",
      "na": "Togo",
      "nb": "Togo",
      "ne": "टोगो",
      "nl": "Togo",
      "nn": "Togo",
      "nv": "Togo",
      "oc": "Tògo",
      "or": "ଟୋଗୋ",
      "pa": "ਟੋਗੋ",
      "pi": "टोगो",
      "pl": "Togo",
      "ps": "Togo",
      "pt": "Togo",
      "pt_BR": "Togo",
      "ro": "Togo",
      "ru": "Того",
      "rw": "Togo",
      "sc": "Togo",
      "sd": "ٽوگو",
      "si": "ටෝගෝ",
      "sk": "Togo",
      "sl": "Togo",
      "so": "Toogo",
      "sq": "Togo",
      "sr": "Того",
      "sv": "Togo",
      "sw": "Togo",
      "ta": "டோகோ",
      "te": "తోగో",
      "tg": "Того",
      "th": "โตโก",
      "ti": "ቶጎ",
      "tk": "Togo",
      "tl": "Togo",
      "tr": "Togo",
      "tt": "Тоgо",
      "ug": "توگو",
      "uk": "Того",
      "ur": "ٹوگو",
      "uz": "Togo",
      "ve": "Togo",
      "vi": "Tô-gô",
      "wa": "Togo",
      "wo": "Togóo",
      "xh": "Togo",
      "yo": "Tógò",
      "zh_CN": "多哥",
      "zh_HK": "多哥",
      "zh_TW": "多哥",
      "zu": "ITogo"
    },
  );

  /// Country: The Kingdom of Thailand
  static const Country tha = Country(
    alpha2: 'TH',
    alpha3: 'THA',
    continent: Continent.asia,
    countryCode: '66',
    currencyCode: 'THB',
    gec: 'TH',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 15.870032,
        longitude: 100.992541,
      ),
      maxCoordinate: Coordinate(
        latitude: 20.465143,
        longitude: 105.636812,
      ),
      minCoordinate: Coordinate(
        latitude: 5.613038,
        longitude: 97.343396,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 20.465143,
          longitude: 105.636812,
        ),
        southwest: Coordinate(
          latitude: 5.613038,
          longitude: 97.343396,
        ),
      ),
    ),
    internationalPrefix: '001',
    ioc: 'THA',
    isoLongName: 'The Kingdom of Thailand',
    isoShortName: 'Thailand',
    languagesOfficial: ['th'],
    languagesSpoken: ['th'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9, 10],
    nationalPrefix: '0',
    nationality: 'Thai',
    number: '764',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'South-Eastern Asia',
    unLocode: 'TH',
    unofficialNames: ['Thailand', 'Thaïlande', 'Tailandia', 'タイ', 'ประเทศไทย'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: VatRates(
      standard: 7.0,
      reduced: [0.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Thailand",
      "af": "Thailand",
      "ak": "Thailand",
      "am": "ታ፤ሒን፥",
      "an": "Thailand",
      "ar": "تايلاند",
      "as": "থাইলেণ্ড",
      "ay": "Thailand",
      "az": "Tayland",
      "ba": "Thailand",
      "be": "Тайланд",
      "bg": "Тайланд",
      "bi": "Thailand",
      "bn": "থাইল্যান্ড",
      "bn_IN": "থাইল্যান্ড",
      "br": "Thailand",
      "bs": "Tajland",
      "ca": "Tailàndia",
      "ce": "Таиланд",
      "ch": "Thailand",
      "cs": "Thajsko",
      "cv": "Таиланд",
      "cy": "Gwlad Thai",
      "da": "Thailand",
      "de": "Thailand",
      "dv": "ސިޔާމު",
      "dz": "ཐཱའི་ལེནཌི།",
      "ee": "Thailand",
      "el": "Ταϊλάνδη",
      "en": "Thailand",
      "eo": "Tajlando",
      "es": "Tailandia",
      "et": "Tai",
      "eu": "Tailandia",
      "fa": "تایلند",
      "ff": "Tailannde",
      "fi": "Thaimaa",
      "fo": "Thailand",
      "fr": "Thaïlande",
      "fy": "Tailân",
      "ga": "An Téalainn",
      "gl": "Tailandia",
      "gn": "Thailand",
      "gu": "થાઇલેન્ડ",
      "gv": "Yn Çheer Thai",
      "ha": "Thailand",
      "he": "תאילנד",
      "hi": "थाईलैण्ड",
      "hr": "Tajland",
      "ht": "Tayilann",
      "hu": "Thaiföld",
      "hy": "Թաիլանդ",
      "ia": "Thailandia",
      "id": "Thailand",
      "io": "Tailando",
      "is": "Tæland",
      "it": "Thailandia",
      "iu": "Thailand",
      "ja": "タイ",
      "ka": "ტაილანდი",
      "ki": "Thailand",
      "kk": "Тайланд",
      "kl": "Thailand",
      "km": "ថៃ",
      "kn": "ಥಾಯ್‍ಲ್ಯಾಂಡ್",
      "ko": "태국",
      "ku": "Tayland",
      "kv": "Таиланд",
      "kw": "Pow Tay",
      "ky": "Таиланд",
      "lo": "ປະເທດໄທ",
      "lt": "Tailandas",
      "lv": "Taizeme",
      "mi": "Thailand",
      "mk": "Тајланд",
      "ml": "തായ്‌ലന്‍ഡ്",
      "mn": "Тайланд",
      "mr": "थायलंड",
      "ms": "Thailand",
      "mt": "Tajlandja",
      "my": "ထိုင်းနိုင်ငံ",
      "na": "Thailand",
      "nb": "Thailand",
      "ne": "थाइल्याण्ड",
      "nl": "Thailand",
      "nn": "Thailand",
      "nv": "Thailand",
      "oc": "Tailàndia",
      "or": "ଥାଇଲ୍ଯାଣ୍ଡ",
      "pa": "ਥਾਈਲੈਂਡ",
      "pi": "थाइलैंड",
      "pl": "Tajlandia",
      "ps": "تايلنډ",
      "pt": "Tailândia",
      "pt_BR": "Tailândia",
      "ro": "Tailanda",
      "ru": "Таиланд",
      "rw": "Tayilande",
      "sc": "Thailàndia",
      "sd": "ٿائيلينڊ",
      "si": "තායිලන්තය",
      "sk": "Thajsko",
      "sl": "Tajska",
      "so": "Taylaand",
      "sq": "Tajlandë",
      "sr": "Тајланд",
      "sv": "Thailand",
      "sw": "Thailand",
      "ta": "தாய்லாந்து",
      "te": "థాయ్‌లాండ్",
      "tg": "Тайланд",
      "th": "ไทย",
      "ti": "ታይላንድ",
      "tk": "Taýland",
      "tl": "Thailand",
      "tr": "Tayland",
      "tt": "Тайланд",
      "ug": "تايلاند",
      "uk": "Таїланд",
      "ur": "تھائی لینڈ",
      "uz": "Tailand",
      "ve": "Thailand",
      "vi": "Thái Lan",
      "wa": "Taylande",
      "wo": "Taaylaand",
      "xh": "Thailand",
      "yo": "Tháílàndì",
      "zh_CN": "泰国",
      "zh_HK": "泰國",
      "zh_TW": "泰國",
      "zu": "I-Thayilandi"
    },
  );

  /// Country: The Republic of Tajikistan
  static const Country tjk = Country(
    alpha2: 'TJ',
    alpha3: 'TJK',
    continent: Continent.asia,
    countryCode: '992',
    currencyCode: 'TJS',
    gec: 'TI',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 38.861034,
        longitude: 71.276093,
      ),
      maxCoordinate: Coordinate(
        latitude: 41.044367,
        longitude: 75.1539564,
      ),
      minCoordinate: Coordinate(
        latitude: 36.6719898,
        longitude: 67.34201209999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 41.044367,
          longitude: 75.1539564,
        ),
        southwest: Coordinate(
          latitude: 36.6719898,
          longitude: 67.34201209999999,
        ),
      ),
    ),
    internationalPrefix: '810',
    ioc: 'TJK',
    isoLongName: 'The Republic of Tajikistan',
    isoShortName: 'Tajikistan',
    languagesOfficial: ['tg', 'ru'],
    languagesSpoken: ['tg', 'ru'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '8',
    nationality: 'Tadzhik',
    number: '762',
    postalCode: true,
    postalCodeFormat: r'\d{6}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Central Asia',
    unLocode: 'TJ',
    unofficialNames: [
      'Tajikistan',
      'Tadschikistan',
      'Tayikistán',
      'タジキスタン',
      'Tadzjikistan',
      'Tajikstan'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: 'RUB',
    isoShortNameByLocale: {
      "ab": "Tajikistan",
      "af": "Tadjikistan",
      "ak": "Tajikistan",
      "am": "ታጃጡስታን",
      "an": "Tajikistan",
      "ar": "طاجيكستان",
      "as": "তাজিকিস্তান",
      "ay": "Tajikistan",
      "az": "Tacikistan",
      "ba": "Tajikistan",
      "be": "Таджыкістан",
      "bg": "Таджикистан",
      "bi": "Tajikistan",
      "bn": "তাজিকিস্তান",
      "bn_IN": "তাজিকিস্তান",
      "br": "Tadjikistan",
      "bs": "Tadžikistan",
      "ca": "Tadjikistan",
      "ce": "Таджики",
      "ch": "Tajikistan",
      "cs": "Tádžikistán",
      "cv": "Таджики",
      "cy": "Tajikistan",
      "da": "Tadsjikistan",
      "de": "Tadschikistan",
      "dv": "ތަޖިކިސްތާން",
      "dz": "ཏ་ཇི་ཀིསི་ཏཱན།",
      "ee": "Tajikistan",
      "el": "Τατζικιστάν",
      "en": "Tajikistan",
      "eo": "Taĝikio",
      "es": "Tayikistán",
      "et": "Tadžikistan",
      "eu": "Tajikistan",
      "fa": "تاجیکستان",
      "ff": "Tajikistan",
      "fi": "Tadžikistan",
      "fo": "Tadsjikistan",
      "fr": "Tadjikistan",
      "fy": "Tadzjikistan",
      "ga": "An Táidsíceastáin",
      "gl": "Taxiquistán",
      "gn": "Tajikistan",
      "gu": "તાજીકિસ્તાન",
      "gv": "Yn Tajikistaan",
      "ha": "Tajikistan",
      "he": "טג׳יקיסטן",
      "hi": "ताजिकिस्तान",
      "hr": "Tadžikistan",
      "ht": "Tadjikistan",
      "hu": "Tádzsikisztán",
      "hy": "Տաճիկստան",
      "ia": "Tajikistan",
      "id": "Tajikistan",
      "io": "Tajikistan",
      "is": "Tadsíkistan",
      "it": "Tagikistan",
      "iu": "Tajikistan",
      "ja": "タジキスタン",
      "ka": "ტაჯიკეთი",
      "ki": "Tajikistan",
      "kk": "Тәжікстан",
      "kl": "Tajikistan",
      "km": "តាហ្ស៊ីគីស្តង់",
      "kn": "ತಾಜಿಕಿಸ್ತಾನ್",
      "ko": "타지키스탄",
      "ku": "Tacîkistan",
      "kv": "Таджикистан",
      "kw": "Pow Tajik",
      "ky": "Тажикстан",
      "lo": "Tajikistan",
      "lt": "Tadžikistanas",
      "lv": "Tadžikistāna",
      "mi": "Tajikistan",
      "mk": "Таџикистан",
      "ml": "താജികിസ്താന്‍",
      "mn": "Тажикстан",
      "mr": "ताजिकिस्तान",
      "ms": "Tadjikistan",
      "mt": "Tajikistan",
      "my": "တာဂျစ်ကစ္စတန်နိုင်ငံ",
      "na": "Tadjikitan",
      "nb": "Tadsjikistan",
      "ne": "ताजिकिस्तान",
      "nl": "Tadzjikistan",
      "nn": "Tadsjikistan",
      "nv": "Tʼajiʼ Bikéyah",
      "oc": "Tatgiquistan",
      "or": "ତାଜୀକିସ୍ତାନ",
      "pa": "ਤਜ਼ਾਕਸਤਾਨ",
      "pi": "ताजिकिस्थान",
      "pl": "Tadżykistan",
      "ps": "تاجکستان",
      "pt": "Tajiquistão",
      "pt_BR": "Tadjiquistão",
      "ro": "Tajikistan",
      "ru": "Таджикистан",
      "rw": "Tajikisitani",
      "sc": "Tagìkistan",
      "sd": "تاجڪستان",
      "si": "ටජිකිස්තානය",
      "sk": "Tadžikistan",
      "sl": "Tadžikistan",
      "so": "Tajikistan",
      "sq": "Taxhikistan",
      "sr": "Таџикистан",
      "sv": "Tadzjikistan",
      "sw": "Tajikistan",
      "ta": "தசிக்கிசுதான்",
      "te": "తజికిస్తాన్",
      "tg": "Тоҷикистон",
      "th": "ทาจิกิสถาน",
      "ti": "ታጃኪስታን",
      "tk": "Täjigistan",
      "tl": "Tajikistan",
      "tr": "Tacikistan",
      "tt": "Тажыкстан",
      "ug": "تاجىكىستان",
      "uk": "Таджикистан",
      "ur": "تاجکستان",
      "uz": "Tojikiston",
      "ve": "Tajikistan",
      "vi": "Tha-gi-ki-xthanh",
      "wa": "Tadjikistan",
      "wo": "Taajikistaan",
      "xh": "Tajikistan",
      "yo": "Tajikistan",
      "zh_CN": "塔吉克斯坦",
      "zh_HK": "塔吉克斯坦",
      "zh_TW": "塔吉克",
      "zu": "Tajikistan"
    },
  );

  /// Country: Tokelau
  static const Country tkl = Country(
    alpha2: 'TK',
    alpha3: 'TKL',
    continent: Continent.australia,
    countryCode: '690',
    currencyCode: 'NZD',
    gec: 'TL',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -9.200199999999999,
        longitude: -171.8484,
      ),
      maxCoordinate: Coordinate(
        latitude: -8.4221116,
        longitude: -171.0928346,
      ),
      minCoordinate: Coordinate(
        latitude: -9.5059527,
        longitude: -172.6625061,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -8.4221116,
          longitude: -171.0928346,
        ),
        southwest: Coordinate(
          latitude: -9.5059527,
          longitude: -172.6625061,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'Tokelau',
    isoShortName: 'Tokelau',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [4],
    nationalPrefix: 'None',
    nationality: 'Tokelauan',
    number: '772',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Polynesia',
    unLocode: 'TK',
    unofficialNames: ['Tokelau', 'Îles Tokelau', 'Islas Tokelau', 'トケラウ'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Tokelau",
      "af": "Tokelau",
      "ak": "Tokelau",
      "am": "Tokelau",
      "an": "Tokelau",
      "ar": "جزر توكيلو",
      "as": "টকেলাউ",
      "ay": "Tokelau",
      "az": "Tokelo",
      "ba": "Tokelau",
      "be": "Такелаў",
      "bg": "Токелау",
      "bi": "Tokelau",
      "bn": "টোকেলাউ",
      "bn_IN": "টোকেলাউ",
      "br": "Tokelau",
      "bs": "Tokelau",
      "ca": "Tokelau",
      "ce": "Tokelau",
      "ch": "Tokelau",
      "cs": "Tokelau",
      "cv": "Tokelau",
      "cy": "Tokelau",
      "da": "Tokelau",
      "de": "Tokelau",
      "dv": "ތޮކެލާއު",
      "dz": "ཊོ་ཀི་ལའོ།",
      "ee": "Tokelau",
      "el": "Τοκελάου",
      "en": "Tokelau",
      "eo": "Tokelao",
      "es": "Tokelau",
      "et": "Tokelau",
      "eu": "Tokelau",
      "fa": "توکلائو",
      "ff": "Tokelau",
      "fi": "Tokelau",
      "fo": "Tokelau",
      "fr": "Tokelau",
      "fy": "Tokelau",
      "ga": "Tócalá",
      "gl": "Toquelau",
      "gn": "Tokelau",
      "gu": "ટોકેલાઉ",
      "gv": "Tokelau",
      "ha": "Tokelau",
      "he": "טוקלאו",
      "hi": "टोकेलाऊ",
      "hr": "Tokelau",
      "ht": "Tokelau",
      "hu": "Tokelau-szigetek",
      "hy": "Տոկելաու",
      "ia": "Tokelau",
      "id": "Tokelau",
      "io": "Tokelau",
      "is": "Tókelá",
      "it": "Tokelau",
      "iu": "Tokelau",
      "ja": "トケラウ",
      "ka": "ტოკელაუ",
      "ki": "Tokelau",
      "kk": "Токелау",
      "kl": "Tokelau",
      "km": "តូកេឡាអ៊ូ",
      "kn": "Tokelau",
      "ko": "토켈라우",
      "ku": "Tokelau",
      "kv": "Tokelau",
      "kw": "Tokelau",
      "ky": "Токелау",
      "lo": "Tokelau",
      "lt": "Tokelau",
      "lv": "Tokelau",
      "mi": "Tokelau",
      "mk": "Токелау",
      "ml": "ടെകേലു",
      "mn": "Tokelau",
      "mr": "टोकेलाव",
      "ms": "Tokelau",
      "mt": "Tokelaw",
      "my": "Tokelau",
      "na": "Tokelau",
      "nb": "Tokelau",
      "ne": "टोकेलाउ",
      "nl": "Tokelau",
      "nn": "Tokelau",
      "nv": "Tokelau",
      "oc": "Tokelau",
      "or": "ଟୋକେଲୋ",
      "pa": "ਟੋਕੇਲਾਊ",
      "pi": "Tokelau",
      "pl": "Tokelau",
      "ps": "Tokelau",
      "pt": "Tokelau",
      "pt_BR": "Toquelau",
      "ro": "Tokelau",
      "ru": "Токелау",
      "rw": "Tokelawu",
      "sc": "Tokelau",
      "sd": "Tokelau",
      "si": "ටොකෙලාවෝ",
      "sk": "Tokelau",
      "sl": "Tokelau",
      "so": "Tokelau",
      "sq": "Tokelau",
      "sr": "Токелау",
      "sv": "Tokelau",
      "sw": "Tokelau",
      "ta": "டோகெலௌ",
      "te": "टोकेलाव",
      "tg": "Токелав",
      "th": "โตเกเลา",
      "ti": "Tokelau",
      "tk": "Tokelau",
      "tl": "Tokelau",
      "tr": "Tokelau",
      "tt": "Токелауча",
      "ug": "توكېلاۋ",
      "uk": "токелау",
      "ur": "ٹوکیلاؤ",
      "uz": "Tokelau",
      "ve": "Tokelau",
      "vi": "To-ke-lau",
      "wa": "Tokelau",
      "wo": "Tokelau",
      "xh": "Tokelau",
      "yo": "Tokelau",
      "zh_CN": "托克劳",
      "zh_HK": "托克勞羣島",
      "zh_TW": "托克勞",
      "zu": "Tokelau"
    },
  );

  /// Country: The Democratic Republic of Timor-Leste
  static const Country tls = Country(
    alpha2: 'TL',
    alpha3: 'TLS',
    continent: Continent.asia,
    countryCode: '670',
    currencyCode: 'IDR',
    gec: 'TT',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -8.874217,
        longitude: 125.727539,
      ),
      maxCoordinate: Coordinate(
        latitude: -8.048399999999999,
        longitude: 127.4249,
      ),
      minCoordinate: Coordinate(
        latitude: -9.5303001,
        longitude: 124.0332,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -8.048399999999999,
          longitude: 127.4249,
        ),
        southwest: Coordinate(
          latitude: -9.5303001,
          longitude: 124.0332,
        ),
      ),
    ),
    internationalPrefix: 'None',
    ioc: 'TLS',
    isoLongName: 'The Democratic Republic of Timor-Leste',
    isoShortName: 'Timor-Leste',
    languagesOfficial: ['pt'],
    languagesSpoken: ['pt'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'East Timorese',
    number: '626',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'South-Eastern Asia',
    unLocode: 'TL',
    unofficialNames: [
      'East Timor',
      'Timor-Leste',
      'Timor oriental',
      'Timor Oriental',
      '東ティモール',
      'Oost-Timor'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Timor-Leste",
      "af": "Oos-Timor",
      "ak": "Timor-Leste",
      "am": "ሤስሲቅ ቲሥሴ",
      "an": "Timor-Leste",
      "ar": "تيمور-ليستي",
      "as": "টিমোৰ-লেস্তে",
      "ay": "Timor-Leste",
      "az": "Timor-Leste",
      "ba": "Timor-Leste",
      "be": "Усходні Тымор",
      "bg": "Тимор-Лест",
      "bi": "Timor-Leste",
      "bn": "টিমোর-লেস্তে",
      "bn_IN": "টিমোর-লেস্তে",
      "br": "Timor-Leste",
      "bs": "Istočni Timor",
      "ca": "Timor Oriental",
      "ce": "Timor-Leste",
      "ch": "Timor-Leste",
      "cs": "Východní Timor",
      "cv": "Timor-Leste",
      "cy": "Timor-Leste",
      "da": "Timor-Leste",
      "de": "Timor-Leste",
      "dv": "Timor-Leste",
      "dz": "ཊི་མོར་-ལིསི་ཏི།",
      "ee": "Timor-Leste",
      "el": "Τιμόρ-Λέστε",
      "en": "Timor-Leste",
      "eo": "Orienta Timoro",
      "es": "Timor Oriental",
      "et": "Ida-Timor (Timor-Leste)",
      "eu": "Ekialdeko Timor",
      "fa": "تیمور شرقی",
      "ff": "Timor-Leste",
      "fi": "Itä-Timor",
      "fo": "Timor-Leste",
      "fr": "Timor oriental",
      "fy": "Timor-Leste",
      "ga": "Tíomór Thoir",
      "gl": "Timor Leste",
      "gn": "Timor-Leste",
      "gu": "તિમોર-લેસ્ટે",
      "gv": "Timor-Leste",
      "ha": "Timor-Leste",
      "he": "טימור מזרח",
      "hi": "तिमोर-लेस्टे",
      "hr": "Istočni Timor",
      "ht": "Timò oryantal",
      "hu": "Kelet-Timor",
      "hy": "Թիմոր - Լեստե",
      "ia": "Timor Oriental",
      "id": "Timor Timur",
      "io": "Timor-Leste",
      "is": "Tímor-Leste",
      "it": "Timor Est",
      "iu": "Timor-Leste",
      "ja": "東ティモール",
      "ka": "აღმოსავლეთი ტიმორი",
      "ki": "Timor-Leste",
      "kk": "Тимор-Лесте",
      "kl": "Timor-Leste",
      "km": "ទីម័រ",
      "kn": "Timor-Leste",
      "ko": "동티모르",
      "ku": "Tîmora Rojhilat",
      "kv": "Timor-Leste",
      "kw": "Timor-Leste",
      "ky": "Тимор-Лесте",
      "lo": "Timor-Leste",
      "lt": "Rytų Timoras",
      "lv": "Austrumtimora",
      "mi": "Timor-Leste",
      "mk": "Тимор-Лесте",
      "ml": "തിമൂര്‍-ലെസ്തെ",
      "mn": "Timor-Leste",
      "mr": "तिमोर-लेस्ते",
      "ms": "Timor-Leste",
      "mt": "Timor tal-Lvant",
      "my": "Timor-Leste",
      "na": "Timor-Leste",
      "nb": "Øst-Timor",
      "ne": "टिमोर-लेस्टे",
      "nl": "Oost-Timor",
      "nn": "Aust-Timor",
      "nv": "Timor-Leste",
      "oc": "Timor-Leste",
      "or": "ତିମୋର-ଲେଷ୍ଟେ",
      "pa": "ਟੀਮੁਰ-ਲੀਸਟੀ",
      "pi": "Timor-Leste",
      "pl": "Timor Wschodni",
      "ps": "Timor-Leste",
      "pt": "Timor-Leste",
      "pt_BR": "Timor Leste",
      "ro": "Timorul de Est",
      "ru": "Восточный Тимор",
      "rw": "Timoro-Lesite",
      "sc": "Timor Orientale",
      "sd": "Timor-Leste",
      "si": "ටිමෝර්-ලෙස්ටේ",
      "sk": "Východný Timor",
      "sl": "Vzhodni Timor",
      "so": "Timor-Leste",
      "sq": "Timori Lindor-Leste",
      "sr": "Источни Тимор",
      "sv": "Östtimor",
      "sw": "Timor-Leste",
      "ta": "திமோர்-லெஸ்டி",
      "te": "తిమోర్-లేస్తే",
      "tg": "Темур-Лесте",
      "th": "ติมอร์-เลสเต",
      "ti": "ምስራቅ ቲሞር",
      "tk": "Timor-Leste",
      "tl": "Timor-Leste",
      "tr": "Timor-Leste",
      "tt": "Тимор-Лесте",
      "ug": "شەرقىي تىمور",
      "uk": "Східний Тимор",
      "ur": "Timor-Leste",
      "uz": "Timor-Leste",
      "ve": "Timor-Leste",
      "vi": "Thi-moa Le-xợ-te",
      "wa": "Timor Ess",
      "wo": "Timor-Leste",
      "xh": "Timor-Leste",
      "yo": "Timor-Leste",
      "zh_CN": "东帝汶",
      "zh_HK": "東帝汶",
      "zh_TW": "東帝汶",
      "zu": "Timor-Leste"
    },
  );

  /// Country: Turkmenistan
  static const Country tkm = Country(
    alpha2: 'TM',
    alpha3: 'TKM',
    continent: Continent.asia,
    countryCode: '993',
    currencyCode: 'TMT',
    gec: 'TX',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 38.969719,
        longitude: 59.556278,
      ),
      maxCoordinate: Coordinate(
        latitude: 42.798844,
        longitude: 66.70735309999999,
      ),
      minCoordinate: Coordinate(
        latitude: 35.12876,
        longitude: 52.3169,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 42.798844,
          longitude: 66.70735309999999,
        ),
        southwest: Coordinate(
          latitude: 35.12876,
          longitude: 52.3169,
        ),
      ),
    ),
    internationalPrefix: '810',
    ioc: 'TKM',
    isoLongName: 'Turkmenistan',
    isoShortName: 'Turkmenistan',
    languagesOfficial: ['tk'],
    languagesSpoken: ['tk', 'ru'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: '8',
    nationality: 'Turkmen',
    number: '795',
    postalCode: true,
    postalCodeFormat: r'\d{6}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Central Asia',
    unLocode: 'TM',
    unofficialNames: [
      'Turkmenistan',
      'Turkménistan',
      'Turkmenistán',
      'トルクメニスタン',
      'Turkmenia'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Turkmenistan",
      "af": "Toerkmenië",
      "ak": "Turkmenistan",
      "am": "ቱርክመኒስታን",
      "an": "Turkmenistan",
      "ar": "تركمانستان",
      "as": "তুৰ্কমেনিস্তান",
      "ay": "Turkmenistan",
      "az": "Türkmənistan",
      "ba": "Turkmenistan",
      "be": "Туркменістан",
      "bg": "Туркменистан",
      "bi": "Turkmenistan",
      "bn": "তুর্কমেনিস্তান",
      "bn_IN": "তুর্কমেনিস্তান",
      "br": "Turkmenistan",
      "bs": "Turkmenistan",
      "ca": "Turkmenistan",
      "ce": "Туркмени",
      "ch": "Turkmenistan",
      "cs": "Turkmenistán",
      "cv": "Туркмени",
      "cy": "Turkmenistan",
      "da": "Turkmenistan",
      "de": "Turkmenistan",
      "dv": "ތުރުކުމެނިސްތާން",
      "dz": "ཊརཀ་མི་ནིསི་ཏཱན།",
      "ee": "Turkmenistan",
      "el": "Τουρκμενιστάν",
      "en": "Turkmenistan",
      "eo": "Turkmenio",
      "es": "Turkmenistán",
      "et": "Türkmenistan",
      "eu": "Turkmenistan",
      "fa": "ترکمنستان",
      "ff": "Turkmenistan",
      "fi": "Turkmenistan",
      "fo": "Turkmenistan",
      "fr": "Turkménistan",
      "fy": "Turkmenistan",
      "ga": "An Tuircméanastáin",
      "gl": "Turkmenistán",
      "gn": "Turkmenistan",
      "gu": "તુર્કમેનિસ્તાન",
      "gv": "Yn Turkmenistaan",
      "ha": "Turkmenistan",
      "he": "טורקמניסטן",
      "hi": "तुर्कमेनिस्तान",
      "hr": "Turkmenistan",
      "ht": "Tirkmenistan",
      "hu": "Türkmenisztán",
      "hy": "Թուրքմենստան",
      "ia": "Turkmenistan",
      "id": "Turkmenistan",
      "io": "Turkmenistan",
      "is": "Túrkmenistan",
      "it": "Turkmenistan",
      "iu": "Turkmenistan",
      "ja": "トルクメニスタン",
      "ka": "თურქმენეთი",
      "ki": "Turkmenistan",
      "kk": "Түрікменстан",
      "kl": "Turkmenistan",
      "km": "ទួគមេនីស្តង់",
      "kn": "ತುರ್ಕ್ಮೆನ್‍ಸ್ತಾನ್",
      "ko": "투르크메니스탄",
      "ku": "Tirkmenîstan",
      "kv": "Туркменистан",
      "kw": "Pow Turkmen",
      "ky": "Түркмөнстан",
      "lo": "Turkmenistan",
      "lt": "Turkmėnistanas",
      "lv": "Turkmenistāna",
      "mi": "Turkmenistan",
      "mk": "Туркменистан",
      "ml": "തുര്‍ക്‌മെനിസ്താന്‍",
      "mn": "Туркменстан",
      "mr": "तुर्कमेनिस्तान",
      "ms": "Turkmenistan",
      "mt": "Turkmenistan",
      "my": "တာ့ခ်မင်နစ္စတန်နိုင်ငံ",
      "na": "Turkmenistan",
      "nb": "Turkmenistan",
      "ne": "टुर्कमेनिस्तान",
      "nl": "Turkmenistan",
      "nn": "Turkmenistan",
      "nv": "Tʼóokmen Bikéyah",
      "oc": "Turcmenistan",
      "or": "ତୁର୍କମେନିସ୍ତାନ",
      "pa": "ਤੁਰਕਮਸਤਾਨ",
      "pi": "तुर्कमिनिस्थान",
      "pl": "Turkmenistan",
      "ps": "ترکمنستان",
      "pt": "Turquemenistão",
      "pt_BR": "Turcomenistão",
      "ro": "Turkmenistan",
      "ru": "Туркменистан",
      "rw": "Turikimenisitani",
      "sc": "Turkmènistan",
      "sd": "ترڪمانستان",
      "si": "තුර්කිමෙනිස්තානය",
      "sk": "Turkménsko",
      "sl": "Turkmenistan",
      "so": "Turkmenistan",
      "sq": "Turkmenistan",
      "sr": "Туркменистан",
      "sv": "Turkmenistan",
      "sw": "Turkmenistan",
      "ta": "துர்க்மெனிஸ்தான்",
      "te": "టర్కమెనిస్తాన్",
      "tg": "Туркманистон",
      "th": "เติร์กเมนิสถาน",
      "ti": "Turkmenistan",
      "tk": "Türkmenistan",
      "tl": "Turkmenistan",
      "tr": "Türkmenistan",
      "tt": "Төркмәнстан",
      "ug": "تۈركمەنىستان",
      "uk": "Туркменістан",
      "ur": "ترکمانستان",
      "uz": "Turkmaniston",
      "ve": "Turkmenistan",
      "vi": "Tuốc-mê-ni-xtanh",
      "wa": "Turcmenistan",
      "wo": "Turkumenistaan",
      "xh": "Turkmenistan",
      "yo": "Turkmẹ́nìstán",
      "zh_CN": "土库曼斯坦",
      "zh_HK": "土庫曼",
      "zh_TW": "土庫曼",
      "zu": "Turkmenistan"
    },
  );

  /// Country: The Republic of Tunisia
  static const Country tun = Country(
    alpha2: 'TN',
    alpha3: 'TUN',
    continent: Continent.africa,
    countryCode: '216',
    currencyCode: 'TND',
    gec: 'TS',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 33.886917,
        longitude: 9.537499,
      ),
      maxCoordinate: Coordinate(
        latitude: 37.5359,
        longitude: 11.599217,
      ),
      minCoordinate: Coordinate(
        latitude: 30.2280339,
        longitude: 7.522311,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 37.5359,
          longitude: 11.599217,
        ),
        southwest: Coordinate(
          latitude: 30.2280339,
          longitude: 7.522311,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'TUN',
    isoLongName: 'The Republic of Tunisia',
    isoShortName: 'Tunisia',
    languagesOfficial: ['ar', 'fr'],
    languagesSpoken: ['ar', 'fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8],
    nationalPrefix: 'None',
    nationality: 'Tunisian',
    number: '788',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Northern Africa',
    unLocode: 'TN',
    unofficialNames: [
      'Tunisia',
      'تونس',
      'Tunesien',
      'Tunisie',
      'Túnez',
      'チュニジア',
      'Tunesië'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Tunisia",
      "af": "Tunisië",
      "ak": "Tunisia",
      "am": "ቱኒፑ።",
      "an": "Tunisia",
      "ar": "تونس",
      "as": "টিউনিছিয়া",
      "ay": "Tunisia",
      "az": "Tunis",
      "ba": "Tunisia",
      "be": "Туніс",
      "bg": "Тунис",
      "bi": "Tunisia",
      "bn": "টিউনিশিয়া",
      "bn_IN": "টিউনিশিয়া",
      "br": "Tunizia",
      "bs": "Tunis",
      "ca": "Tunísia",
      "ce": "Тунис",
      "ch": "Tunisia",
      "cs": "Tunisko",
      "cv": "Тунис",
      "cy": "Twnisia",
      "da": "Tunesien",
      "de": "Tunesien",
      "dv": "ތޫނިސް",
      "dz": "ཊུ་ནི་སི་ཡ།",
      "ee": "Tunisia",
      "el": "Τυνησία",
      "en": "Tunisia",
      "eo": "Tunizio",
      "es": "Tunez",
      "et": "Tuneesia",
      "eu": "Tunisia",
      "fa": "تونس",
      "ff": "Tunisia",
      "fi": "Tunisia",
      "fo": "Tunesia",
      "fr": "Tunisie",
      "fy": "Tuneezje",
      "ga": "An Túinéis",
      "gl": "Tunicia",
      "gn": "Tunisia",
      "gu": "ટ્યુનિશિયા",
      "gv": "Yn Tooneesh",
      "ha": "Tunisia",
      "he": "תוניסיה",
      "hi": "ट्यूनिशिया",
      "hr": "Tunis",
      "ht": "Tinizi",
      "hu": "Tunézia",
      "hy": "Թունիս",
      "ia": "Tunisia",
      "id": "Tunisia",
      "io": "Tunizia",
      "is": "Túnis",
      "it": "Tunisia",
      "iu": "Tunisia",
      "ja": "チュニジア",
      "ka": "ტუნისი",
      "ki": "Tunisia",
      "kk": "Тунис",
      "kl": "Tunisia",
      "km": "ទុយណេស៊ី",
      "kn": "ತುನಿಸಿಯ",
      "ko": "튀니지",
      "ku": "Tûnis",
      "kv": "Tunisia",
      "kw": "Tunisi",
      "ky": "Тунис",
      "lo": "Tunisia",
      "lt": "Tunisas",
      "lv": "Tunisija",
      "mi": "Tūnihia",
      "mk": "Тунис",
      "ml": "ടുണീഷ്യ",
      "mn": "Тунгус",
      "mr": "ट्युनिशिया",
      "ms": "Tunisia",
      "mt": "Tunisia",
      "my": "တူနီးရှားနိုင်ငံ",
      "na": "Tunisia",
      "nb": "Tunisia",
      "ne": "टुनिसिया",
      "nl": "Tunesië",
      "nn": "Tunisia",
      "nv": "Tunisia",
      "oc": "Tunisia",
      "or": "ଟ୍ଯୁନୀଶିୟା",
      "pa": "ਟਿਊਨੀਸ਼ੀਆ",
      "pi": "टुनिशिया",
      "pl": "Tunezja",
      "ps": "تونس",
      "pt": "Tunísia",
      "pt_BR": "Tunísia",
      "ro": "Tunisia",
      "ru": "Тунис",
      "rw": "Tunisiya",
      "sc": "Tunisia",
      "sd": "Tunisia",
      "si": "ටියුනීසියා",
      "sk": "Tunisko",
      "sl": "Tunizija",
      "so": "Tuniisiya",
      "sq": "Tunizi",
      "sr": "Тунис",
      "sv": "Tunisien",
      "sw": "Tunisia",
      "ta": "துனீசியா",
      "te": "తునిశియా",
      "tg": "Тунис",
      "th": "ตูนิเซีย",
      "ti": "ቱኒዝያ",
      "tk": "Tunis",
      "tl": "Tunisia",
      "tr": "Tunus",
      "tt": "Тунисиа",
      "ug": "تۇنىس",
      "uk": "Туніс",
      "ur": "تونس",
      "uz": "Tunis",
      "ve": "Tunisia",
      "vi": "Tu-ni-xi-a",
      "wa": "Tunizeye",
      "wo": "Tiniisi",
      "xh": "Tunisia",
      "yo": "Tùnísíà",
      "zh_CN": "突尼斯",
      "zh_HK": "突尼斯",
      "zh_TW": "突尼西亞",
      "zu": "ITunisia"
    },
  );

  /// Country: The Kingdom of Tonga
  static const Country ton = Country(
    alpha2: 'TO',
    alpha3: 'TON',
    continent: Continent.australia,
    countryCode: '676',
    currencyCode: 'TOP',
    gec: 'TN',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -21.178986,
        longitude: -175.198242,
      ),
      maxCoordinate: Coordinate(
        latitude: -15.4060236,
        longitude: -173.2543946,
      ),
      minCoordinate: Coordinate(
        latitude: -21.8360059,
        longitude: -175.9570313,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -15.4060236,
          longitude: -173.2543946,
        ),
        southwest: Coordinate(
          latitude: -21.8360059,
          longitude: -175.9570313,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'TGA',
    isoLongName: 'The Kingdom of Tonga',
    isoShortName: 'Tonga',
    languagesOfficial: ['en', 'to'],
    languagesSpoken: ['en', 'to'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [5, 6, 7],
    nationalPrefix: 'None',
    nationality: 'Tongan',
    number: '776',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Polynesia',
    unLocode: 'TO',
    unofficialNames: ['Tonga', 'トンガ'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Tonga",
      "af": "Tonga",
      "ak": "Tonga",
      "am": "ቶንጋ",
      "an": "Tonga",
      "ar": "تونغا",
      "as": "টোঙ্গা",
      "ay": "Tonga",
      "az": "Tonqa",
      "ba": "Tonga",
      "be": "Тонга",
      "bg": "Тонга",
      "bi": "Tonga",
      "bn": "টোঙ্গা",
      "bn_IN": "টোঙ্গা",
      "br": "Tonga",
      "bs": "Tonga",
      "ca": "Tonga",
      "ce": "Тонга",
      "ch": "Tonga",
      "cs": "Tonga",
      "cv": "Тонга",
      "cy": "Tonga",
      "da": "Tonga",
      "de": "Tonga",
      "dv": "ޓޮންގާ",
      "dz": "ཊོང་ག།",
      "ee": "Tonga",
      "el": "Τόνγκα",
      "en": "Tonga",
      "eo": "Tongo",
      "es": "Tonga",
      "et": "Tonga",
      "eu": "Tonga",
      "fa": "تونگا",
      "ff": "Tonga",
      "fi": "Tonga",
      "fo": "Tonga",
      "fr": "Tonga",
      "fy": "Tonga",
      "ga": "Tonga",
      "gl": "Tonga",
      "gn": "Tonga",
      "gu": "ટોંગા",
      "gv": "Yn Tongey",
      "ha": "Tonga",
      "he": "טונגה",
      "hi": "टोंगा",
      "hr": "Tonga",
      "ht": "Tonga",
      "hu": "Tonga",
      "hy": "Տոնգա",
      "ia": "Tonga",
      "id": "Tonga",
      "io": "Tonga",
      "is": "Tonga",
      "it": "Tonga",
      "iu": "Tonga",
      "ja": "トンガ",
      "ka": "ტონგა",
      "ki": "Tonga",
      "kk": "Тонга",
      "kl": "Tonga",
      "km": "តុងហ្គោ",
      "kn": "ಟೋಂಗಾ",
      "ko": "통가",
      "ku": "Tonga",
      "kv": "Tonga",
      "kw": "Tonga",
      "ky": "Тонга",
      "lo": "Tonga",
      "lt": "Tonga",
      "lv": "Tonga",
      "mi": "Tonga",
      "mk": "Тонга",
      "ml": "ടോങ്ക",
      "mn": "Тонга",
      "mr": "टोंगा",
      "ms": "Tonga",
      "mt": "Tonga",
      "my": "တုံဂါနိုင်ငံ",
      "na": "Tonga",
      "nb": "Tonga",
      "ne": "टोङ्गा",
      "nl": "Tonga",
      "nn": "Tonga",
      "nv": "Tonga",
      "oc": "Tònga",
      "or": "ଟୋଙ୍ଗା",
      "pa": "ਟਾਂਗਾ",
      "pi": "टोंगा",
      "pl": "Tonga",
      "ps": "Tonga",
      "pt": "Tonga",
      "pt_BR": "Tonga",
      "ro": "Tonga",
      "ru": "Тонга",
      "rw": "Tonga",
      "sc": "Tonga",
      "sd": "Tonga",
      "si": "ටොන්ගා",
      "sk": "Tonga",
      "sl": "Tonga",
      "so": "Tonga",
      "sq": "Tonga",
      "sr": "Тонга",
      "sv": "Tonga",
      "sw": "Tonga",
      "ta": "டொங்கா",
      "te": "టోంగా",
      "tg": "Тонго",
      "th": "ตองกา",
      "ti": "Tonga",
      "tk": "Tonga",
      "tl": "Tonga",
      "tr": "Tonga",
      "tt": "Тонgа",
      "ug": "تونگا",
      "uk": "Тонга",
      "ur": "ٹونگا",
      "uz": "Tonga",
      "ve": "Tonga",
      "vi": "Tông-ga",
      "wa": "Tonga",
      "wo": "Tonga",
      "xh": "Tonga",
      "yo": "Tóngà",
      "zh_CN": "汤加",
      "zh_HK": "湯加",
      "zh_TW": "東加",
      "zu": "Tonga"
    },
  );

  /// Country: The Republic of Türkiye
  static const Country tur = Country(
    alpha2: 'TR',
    alpha3: 'TUR',
    continent: Continent.europe,
    countryCode: '90',
    currencyCode: 'TRY',
    gec: 'TU',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 38.963745,
        longitude: 35.243322,
      ),
      maxCoordinate: Coordinate(
        latitude: 42.3666999,
        longitude: 44.8178449,
      ),
      minCoordinate: Coordinate(
        latitude: 35.808592,
        longitude: 25.5377,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 42.3666999,
          longitude: 44.8178449,
        ),
        southwest: Coordinate(
          latitude: 35.808592,
          longitude: 25.5377,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'TUR',
    isoLongName: 'The Republic of Türkiye',
    isoShortName: 'Türkiye',
    languagesOfficial: ['tr'],
    languagesSpoken: ['tr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [10],
    nationalPrefix: '0',
    nationality: 'Turkish',
    number: '792',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Western Asia',
    unLocode: 'TR',
    unofficialNames: [
      'Turkey',
      'Türkei',
      'Turquie',
      'Turquía',
      'トルコ',
      'Turkije'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Türkiye",
      "af": "Turkye",
      "ak": "Türkiye",
      "am": "ቱሴጤ",
      "an": "Türkiye",
      "ar": "تركيّا",
      "as": "তুৰস্ক",
      "ay": "Türkiye",
      "az": "Türkiyə",
      "ba": "Türkiye",
      "be": "Турцыя",
      "bg": "Турция",
      "bi": "Türkiye",
      "bn": "তুর্কি",
      "bn_IN": "তুর্কি",
      "br": "Turkia",
      "bs": "Turska",
      "ca": "Turquia",
      "ce": "Турци",
      "ch": "Türkiye",
      "cs": "Turecko",
      "cv": "Турци",
      "cy": "Twrci",
      "da": "Tyrkiet",
      "de": "Türkei",
      "dv": "ތުރުކީވިލާތް",
      "dz": "ཊར་ཀི།",
      "ee": "Türkiye",
      "el": "Τουρκία",
      "en": "Türkiye",
      "eo": "Turkio",
      "es": "Turquía",
      "et": "Türgi",
      "eu": "Turkia",
      "fa": "ترکیه",
      "ff": "Türkiye",
      "fi": "Turkki",
      "fo": "Turkaland",
      "fr": "Turquie",
      "fy": "Turkije",
      "ga": "An Tuirc",
      "gl": "Turquía",
      "gn": "Türkiye",
      "gu": "તુર્કી",
      "gv": "Yn Turkee",
      "ha": "Turkiyya",
      "he": "טורקיה",
      "hi": "तुर्की",
      "hr": "Turska",
      "ht": "Tiki",
      "hu": "Törökország",
      "hy": "Թուրքիա",
      "ia": "Turchia",
      "id": "Turki",
      "io": "Turkia",
      "is": "Tyrkland",
      "it": "Turchia",
      "iu": "ᑑᕐᑭ",
      "ja": "トルコ",
      "ka": "თურქეთი",
      "ki": "Türkiye",
      "kk": "Түркия",
      "kl": "Türkiye",
      "km": "ទួរគី",
      "kn": "ಟರ್ಕಿ",
      "ko": "터키",
      "ku": "Tirkiye",
      "kv": "Турция",
      "kw": "Turki",
      "ky": "Түркия Республикасы",
      "lo": "ປະເທດຕວກກີ",
      "lt": "Turkija",
      "lv": "Turcija",
      "mi": "Tākei",
      "mk": "Турција",
      "ml": "തുര്‍ക്കി",
      "mn": "Турк",
      "mr": "तुर्की",
      "ms": "Turki",
      "mt": "Turkija",
      "my": "တူရကီနိုင်ငံ",
      "na": "Terki",
      "nb": "Tyrkia",
      "ne": "टर्की",
      "nl": "Turkije",
      "nn": "Tyrkia",
      "nv": "Tʼóok Bikéyah",
      "oc": "Turquia",
      "or": "ତୁର୍କୀ",
      "pa": "ਤੁਰਕੀ",
      "pi": "तुर्किये",
      "pl": "Turcja",
      "ps": "تورکيه",
      "pt": "Turquia",
      "pt_BR": "Turquia",
      "ro": "Turcia",
      "ru": "Турция",
      "rw": "Turukiya",
      "sc": "Turchia",
      "sd": "Türkiye",
      "si": "තුර්කිය",
      "sk": "Turecko",
      "sl": "Turčija",
      "so": "Turki",
      "sq": "Turqi",
      "sr": "Турска",
      "sv": "Turkiet",
      "sw": "Türkiye",
      "ta": "துருக்கி",
      "te": "టర్కీ",
      "tg": "Туркия",
      "th": "ตุรกี",
      "ti": "ቱርኪ",
      "tk": "Türkiýe",
      "tl": "Türkiye",
      "tr": "Türkiye",
      "tt": "Төркиә",
      "ug": "تۈركىيە",
      "uk": "Туреччина",
      "ur": "ترکی",
      "uz": "Turkiya",
      "ve": "Türkiye",
      "vi": "Thổ Nhĩ Kỳ",
      "wa": "Turkeye",
      "wo": "Turki",
      "xh": "Türkiye",
      "yo": "Túrkì",
      "zh_CN": "土耳其",
      "zh_HK": "土耳其",
      "zh_TW": "土耳其",
      "zu": "ITheki"
    },
  );

  /// Country: The Republic of Trinidad and Tobago
  static const Country tto = Country(
    alpha2: 'TT',
    alpha3: 'TTO',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'TTD',
    gec: 'TD',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 10.691803,
        longitude: -61.222503,
      ),
      maxCoordinate: Coordinate(
        latitude: 11.4004,
        longitude: -60.45089989999999,
      ),
      minCoordinate: Coordinate(
        latitude: 9.9930001,
        longitude: -61.9725001,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 11.4004,
          longitude: -60.45089989999999,
        ),
        southwest: Coordinate(
          latitude: 9.9930001,
          longitude: -61.9725001,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'TRI',
    isoLongName: 'The Republic of Trinidad and Tobago',
    isoShortName: 'Trinidad and Tobago',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Trinidadian',
    number: '780',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'TT',
    unofficialNames: [
      'Trinidad and Tobago',
      'Trinidad und Tobago',
      'Trinité et Tobago',
      'Trinidad y Tobago',
      'トリニダード・トバゴ',
      'Trinidad en Tobago'
    ],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1868',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Trinidad and Tobago",
      "af": "Trinidad en Tobago",
      "ak": "Trinidad and Tobago",
      "am": "ትሱኒ፣፥ ጕና ቶባጕ",
      "an": "Trinidad and Tobago",
      "ar": "ترينيداد و توباغو",
      "as": "ট্ৰিনিডাড আৰু টোবাগো",
      "ay": "Trinidad and Tobago",
      "az": "Trinidad və Tobaqo",
      "ba": "Trinidad and Tobago",
      "be": "Трынідад і Табага",
      "bg": "Тринидад и Тобаго",
      "bi": "Trinidad and Tobago",
      "bn": "ত্রিনিদাদ ও টোবাগো",
      "bn_IN": "ত্রিনিদাদ ও টোবাগো",
      "br": "Trinidad ha Tobago",
      "bs": "Trinidad i Tobago",
      "ca": "Trinitat i Tobago",
      "ce": "Тринидад а Тобаго",
      "ch": "Trinidad and Tobago",
      "cs": "Trinidad a Tobago",
      "cv": "Тринидад а Тобаго",
      "cy": "Trinidad a Tobago",
      "da": "Trinidad og Tobago",
      "de": "Trinidad und Tobago",
      "dv": "ޓުރިނިޑާޑް ޓޮބޭގޯ",
      "dz": "ཊིར་ནི་ཌེཊདང་ཊོ་བཱ་གཱོ།",
      "ee": "Trinidad and Tobago",
      "el": "Τρινιντάντ και Τομπάγκο",
      "en": "Trinidad and Tobago",
      "eo": "Trinidado kaj Tobago",
      "es": "Trinidad y Tobago",
      "et": "Trinidad ja Tobago",
      "eu": "Trinidad eta Tobago",
      "fa": "ترینیداد و تُباگو",
      "ff": "Trinidad and Tobago",
      "fi": "Trinidad ja Tobago",
      "fo": "Trinidad og Tobago",
      "fr": "Trinité-et-Tobago",
      "fy": "Trinidad en Tobago",
      "ga": "Oileáin na Tríonóide agus Tobága",
      "gl": "Trindade e Tobago",
      "gn": "Trinidad and Tobago",
      "gu": "ટ્રિનિડાડ અને ટોબેગો",
      "gv": "Trinaid as Tobago",
      "ha": "Trinidad and Tobago",
      "he": "טרינידד וטובגו",
      "hi": "त्रिनिदाद और टोबैगो",
      "hr": "Trinidad i Tobago",
      "ht": "Trinidad and Tobago",
      "hu": "Trinidad és Tobago",
      "hy": "Տրինիդադ-Տոբագո",
      "ia": "Trinidad e Tobago",
      "id": "Trinidad dan Tobago",
      "io": "Trinidad e Tobago",
      "is": "Trínidad og Tóbagó",
      "it": "Trinidad e Tobago",
      "iu": "Trinidad and Tobago",
      "ja": "トリニダード・トバゴ",
      "ka": "ტრინიდადი და ტობაგო",
      "ki": "Trinidad and Tobago",
      "kk": "Тринидад және Тобаго",
      "kl": "Trinidad and Tobago",
      "km": "ទ្រីនីដាដ និង​ តូបាហ្គោ",
      "kn": "ಟ್ರಿನಿಡಾಡ್ ಮತ್ತು ಟೊಬಾಗೋ",
      "ko": "트리니다드 토바고",
      "ku": "Trînîdad û Tobago",
      "kv": "Trinidad and Tobago",
      "kw": "Trynses ha Tobago",
      "ky": "Тринидад жана Тобаго",
      "lo": "Trinidad and Tobago",
      "lt": "Trinidadas ir Tobagas",
      "lv": "Trinidāda un Tobāgo",
      "mi": "Trinidad and Tobago",
      "mk": "Тринидад и Тобаго",
      "ml": "ട്രിനിഡാഡും ടൊബാഗോയും",
      "mn": "Тринидад ба Тобаго",
      "mr": "त्रिनिदाद ऍंड टोबॅगो",
      "ms": "Trinidad dan Tobago",
      "mt": "Trinidad u Tobago",
      "my": "ထရီနီဒတ်နှင့် တိုဘက်ဂိုနိုင်ငံ",
      "na": "Trinidad and Tobago",
      "nb": "Trinidad og Tobago",
      "ne": "ट्रिनिड्याड र टोबागो",
      "nl": "Trinidad en Tobago",
      "nn": "Trinidad og Tobago",
      "nv": "Trinidad and Tobago",
      "oc": "Trinitat e Tobago",
      "or": "ତ୍ରିନିଦାଦ ଏବଂ ଟୋବାଗୋ",
      "pa": "ਟਰਿਨੀਦਾਦ ਅਤੇ ਟੋਬੇਗੋ",
      "pi": "Trinidad and Tobago",
      "pl": "Trynidad i Tobago",
      "ps": "Trinidad and Tobago",
      "pt": "Trindade e Tobago",
      "pt_BR": "Trinidade e Tobago",
      "ro": "Trinidad și Tobago",
      "ru": "Тринидад и Тобаго",
      "rw": "Tirinida na Tobago",
      "sc": "Trinidad e Tobago",
      "sd": "Trinidad and Tobago",
      "si": "ට්‍රිනීඩෑඩව හා ටොබාගෝ",
      "sk": "Trinidad a Tobago",
      "sl": "Trinidad in Tabago",
      "so": "Trinidad and Tobago",
      "sq": "Trinidad dhe Tobago",
      "sr": "Тринидад и Тобаго",
      "sv": "Trinidad och Tobago",
      "sw": "Trinidad and Tobago",
      "ta": "ட்ரைனிடேட் மற்றும் டோபேகோ",
      "te": "త్రినిదాద్ అండ్ టోబాగో",
      "tg": "Тринидад ва Тобаго",
      "th": "ตรินิแดดและโตเบโก",
      "ti": "ትሪኒዳድን ቶባጎን",
      "tk": "Trinidad we Tobago",
      "tl": "Trinidad at Tobago",
      "tr": "Trinidad ve Tobago",
      "tt": "Тринидад белән Тобаgо",
      "ug": "تىرىنىداد ۋە توباگو",
      "uk": "Тринідад і Тобаго",
      "ur": "ٹرینیڈاڈ و ٹوباگو",
      "uz": "Trinidad va Tobago",
      "ve": "Trinidad and Tobago",
      "vi": "Trinh-i-đat và To-ba-gô",
      "wa": "Trinité et Tobago",
      "wo": "Tirinidaad ak Tobaago",
      "xh": "Trinidad ne Tobago",
      "yo": "Trínídád àti Tòbágò",
      "zh_CN": "特里尼达和多巴哥",
      "zh_HK": "特立尼達和多巴哥",
      "zh_TW": "千里達及托巴哥",
      "zu": "I-Trinidad ne Tobago"
    },
  );

  /// Country: Tuvalu
  static const Country tuv = Country(
    alpha2: 'TV',
    alpha3: 'TUV',
    continent: Continent.australia,
    countryCode: '688',
    currencyCode: 'AUD',
    gec: 'TV',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -7.109534999999999,
        longitude: 177.64933,
      ),
      maxCoordinate: Coordinate(
        latitude: -5.4300853,
        longitude: 179.9999999,
      ),
      minCoordinate: Coordinate(
        latitude: -11.1891797,
        longitude: 175.5615234,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -5.4300853,
          longitude: 179.9999999,
        ),
        southwest: Coordinate(
          latitude: -11.1891797,
          longitude: 175.5615234,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'TUV',
    isoLongName: 'Tuvalu',
    isoShortName: 'Tuvalu',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [5],
    nationalPrefix: 'None',
    nationality: 'Tuvaluan',
    number: '798',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Polynesia',
    unLocode: 'TV',
    unofficialNames: ['Tuvalu', 'ツバル'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Tuvalu",
      "af": "Toewaloe",
      "ak": "Tuvalu",
      "am": "ቱቫሉ",
      "an": "Tuvalu",
      "ar": "توفالو",
      "as": "টুভালু",
      "ay": "Tuvalu",
      "az": "Tuvalu",
      "ba": "Tuvalu",
      "be": "Тувалу",
      "bg": "Тувалу",
      "bi": "Tuvalu",
      "bn": "টুভালু",
      "bn_IN": "টুভালু",
      "br": "Tuvalu",
      "bs": "Tuvalu",
      "ca": "Tuvalu",
      "ce": "Тувалу",
      "ch": "Tuvalu",
      "cs": "Tuvalu",
      "cv": "Тувалу",
      "cy": "Tuvalu",
      "da": "Tuvalu",
      "de": "Tuvalu",
      "dv": "ތުވާލޫ",
      "dz": "ཊུ་བ་ལུ།",
      "ee": "Tuvalu",
      "el": "Τουβαλού",
      "en": "Tuvalu",
      "eo": "Tuvalo",
      "es": "Tuvalu",
      "et": "Tuvalu",
      "eu": "Tuvalu",
      "fa": "تووالو",
      "ff": "Tuvalu",
      "fi": "Tuvalu",
      "fo": "Tuvalu",
      "fr": "Tuvalu",
      "fy": "Tûvalû",
      "ga": "Tuvalú",
      "gl": "Tuvalu",
      "gn": "Tuvalu",
      "gu": "ટુવાલુ",
      "gv": "Tuvalu",
      "ha": "Tuvalu",
      "he": "טובאלו",
      "hi": "तुवालू",
      "hr": "Tuvalu",
      "ht": "Touvalou",
      "hu": "Tuvalu",
      "hy": "Տուվալու",
      "ia": "Tuvalu",
      "id": "Tuvalu",
      "io": "Tuvalu",
      "is": "Túvalú",
      "it": "Tuvalu",
      "iu": "Tuvalu",
      "ja": "ツバル",
      "ka": "ტუვალუ",
      "ki": "Tuvalu",
      "kk": "Тувалу",
      "kl": "Tuvalu",
      "km": "ទុយវ៉ាលុយ",
      "kn": "Tuvalu",
      "ko": "투발루",
      "ku": "Tûvalû",
      "kv": "Tuvalu",
      "kw": "Tuvalu",
      "ky": "Тувалу",
      "lo": "Tuvalu",
      "lt": "Tuvalu",
      "lv": "Tuvalu",
      "mi": "Tūwaru",
      "mk": "Тувалу",
      "ml": "ടുവാലു",
      "mn": "Тували",
      "mr": "तुव्हालु",
      "ms": "Tuvalu",
      "mt": "Tuvalu",
      "my": "တူဗားလူနိုင်ငံ",
      "na": "Tubaru",
      "nb": "Tuvalu",
      "ne": "टुवालु",
      "nl": "Tuvalu",
      "nn": "Tuvalu",
      "nv": "Tuvalu",
      "oc": "Tuvalu",
      "or": "ତୁଭାଲୂ",
      "pa": "ਟੂਵਾਲੂ",
      "pi": "टुवालु",
      "pl": "Tuvalu",
      "ps": "Tuvalu",
      "pt": "Tuvalu",
      "pt_BR": "Tuvalu",
      "ro": "Tuvalu",
      "ru": "Тувалу",
      "rw": "Tuvalu",
      "sc": "Tuvalu",
      "sd": "Tuvalu",
      "si": "ටුවාලු",
      "sk": "Tuvalu",
      "sl": "Tuvalu",
      "so": "Tuvalu",
      "sq": "Tuvalu",
      "sr": "Тувалу",
      "sv": "Tuvalu",
      "sw": "Tuvalu",
      "ta": "துவாலு",
      "te": "तुव्हालु",
      "tg": "Тувалу",
      "th": "ตูวาลู",
      "ti": "Tuvalu",
      "tk": "Tuwalu",
      "tl": "Tuvalu",
      "tr": "Tuvalu",
      "tt": "Тувалуча",
      "ug": "تۇۋالۇ",
      "uk": "тувалу",
      "ur": "تووالو",
      "uz": "Tuvalu",
      "ve": "Tuvalu",
      "vi": "Tu-va-lu",
      "wa": "Touvalou",
      "wo": "Tuvalu",
      "xh": "Tuvalu",
      "yo": "Tufalu",
      "zh_CN": "图瓦卢",
      "zh_HK": "圖瓦盧",
      "zh_TW": "吐瓦魯",
      "zu": "Tuvalu"
    },
  );

  /// Country: The Republic of China
  static const Country twn = Country(
    alpha2: 'TW',
    alpha3: 'TWN',
    continent: Continent.asia,
    countryCode: '886',
    currencyCode: 'TWD',
    gec: 'TW',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 23.69781,
        longitude: 120.960515,
      ),
      maxCoordinate: Coordinate(
        latitude: 26.4545,
        longitude: 123.5021012,
      ),
      minCoordinate: Coordinate(
        latitude: 20.5170001,
        longitude: 116.6665,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 26.4545,
          longitude: 123.5021012,
        ),
        southwest: Coordinate(
          latitude: 20.5170001,
          longitude: 116.6665,
        ),
      ),
    ),
    internationalPrefix: '002',
    ioc: 'TPE',
    isoLongName: 'The Republic of China',
    isoShortName: 'Taiwan, Province of China',
    languagesOfficial: ['zh'],
    languagesSpoken: ['zh'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8],
    nationalPrefix: '0',
    nationality: 'Taiwanese',
    number: '158',
    postalCode: true,
    postalCodeFormat: r'\d{3}(?:\d{2,3})?',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Eastern Asia',
    unLocode: 'TW',
    unofficialNames: ['Taiwan', 'Taiwán', '台灣', '臺灣', '台湾'],
    worldRegion: WorldRegion.apac,
    addressFormat: '''{{recipient}}
{{street}}
{{city}} {{region_short}} {{postalcode}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Taiwan",
      "af": "Taiwan",
      "ak": "Taiwan",
      "am": "ታ፤ሒን፥",
      "an": "Taiwan",
      "ar": "تايوان",
      "as": "তাইৱান",
      "ay": "Taiwan",
      "az": "Tayvan",
      "ba": "Taiwan",
      "be": "Тайвань",
      "bg": "Тайван",
      "bi": "Taiwan",
      "bn": "তাইওয়ান",
      "bn_IN": "তাইওয়ান",
      "br": "Taiwan",
      "bs": "Tajvan",
      "ca": "Taiwan",
      "ce": "Тайвань",
      "ch": "Taiwan",
      "cs": "Tchaj-wan",
      "cv": "Тайвань",
      "cy": "Taiwan",
      "da": "Taiwan",
      "de": "Taiwan",
      "dv": "ޖުމްހޫރީ ޗައިނާ",
      "dz": "ཏ་ཡེ་ཝཱན།",
      "ee": "Taiwan",
      "el": "Ταϊβάν",
      "en": "Taiwan",
      "eo": "Tajvano",
      "es": "Taiwán",
      "et": "Hiina Vabariik",
      "eu": "Taiwan",
      "fa": "تایوان",
      "ff": "Taiwan",
      "fi": "Taiwan",
      "fo": "Teivan",
      "fr": "Taïwan",
      "fy": "Taiwan",
      "ga": "An Téaváin",
      "gl": "Taiwán",
      "gn": "Taiwan",
      "gu": "તાઇવાન",
      "gv": "Pobblaght ny Sheen",
      "ha": "Taiwan",
      "he": "טאיוואן",
      "hi": "ताइवान",
      "hr": "Tajvan",
      "ht": "Taywann",
      "hu": "Tajvan",
      "hy": "Թայվան",
      "ia": "Taiwan",
      "id": "Taiwan",
      "io": "Republiko di Chinia",
      "is": "Tævan",
      "it": "Taiwan",
      "iu": "Taiwan",
      "ja": "台湾",
      "ka": "ტაივანი",
      "ki": "Taiwan",
      "kk": "Тайвань аралы",
      "kl": "Taiwan",
      "km": "តៃវ៉ាន់",
      "kn": "ಟೈವಾನ್",
      "ko": "타이완",
      "ku": "Taywan",
      "kv": "Taiwan",
      "kw": "Taywan",
      "ky": "Тайвань",
      "lo": "Tâi-oân",
      "lt": "Taivanas",
      "lv": "Taivāna",
      "mi": "Taiwana",
      "mk": "Тајван",
      "ml": "തായ്‌വാന്‍",
      "mn": "Тайван",
      "mr": "तैवान",
      "ms": "Taiwan",
      "mt": "Tajwan",
      "my": "တရုတ်သမ္မတနိုင်ငံ",
      "na": "Republik Tsiene",
      "nb": "Taiwan",
      "ne": "ताइवान",
      "nl": "Taiwan",
      "nn": "Taiwan",
      "nv": "Taiwan",
      "oc": "Taiwan",
      "or": "ତାଇଓ୍ବାନ",
      "pa": "ਤਾਈਵਾਨ",
      "pi": "तैवान",
      "pl": "Tajwan",
      "ps": "د چین جمهوریت",
      "pt": "Taiwan",
      "pt_BR": "Taiwan",
      "ro": "Taiwan",
      "ru": "Тайвань",
      "rw": "Tayiwani",
      "sc": "Taiwan",
      "sd": "Taiwan",
      "si": "තායිවානය",
      "sk": "Taiwan",
      "sl": "Tajvan",
      "so": "Taiwan",
      "sq": "Tajvan",
      "sr": "Тајван",
      "sv": "Taiwan",
      "sw": "Taiwan",
      "ta": "தாய்வான்",
      "te": "తైవాన్",
      "tg": "Тайван",
      "th": "ไต้หวัน",
      "ti": "ታይዋን",
      "tk": "Taýwan",
      "tl": "Taiwan",
      "tr": "Tayvan",
      "tt": "Тайван",
      "ug": "تەيۋەن",
      "uk": "Тайвань",
      "ur": "جمہوریۂ چین",
      "uz": "Xitoy Respublikasi",
      "ve": "Taiwan",
      "vi": "Đài Loan",
      "wa": "Taiwan",
      "wo": "Taaywaan",
      "xh": "Taiwan",
      "yo": "Orílẹ̀-èdè Olómìnira ilẹ̀ Ṣáínà",
      "zh_CN": "台湾",
      "zh_HK": "台灣",
      "zh_TW": "臺灣",
      "zu": "I-Tayiwani"
    },
  );

  /// Country: The United Republic of Tanzania
  static const Country tza = Country(
    alpha2: 'TZ',
    alpha3: 'TZA',
    continent: Continent.africa,
    countryCode: '255',
    currencyCode: 'TZS',
    gec: 'TZ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -6.369028,
        longitude: 34.888822,
      ),
      maxCoordinate: Coordinate(
        latitude: -0.9843968000000001,
        longitude: 40.6398,
      ),
      minCoordinate: Coordinate(
        latitude: -11.7612539,
        longitude: 29.34,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -0.9843968000000001,
          longitude: 40.6398,
        ),
        southwest: Coordinate(
          latitude: -11.7612539,
          longitude: 29.34,
        ),
      ),
    ),
    internationalPrefix: '000',
    ioc: 'TAN',
    isoLongName: 'The United Republic of Tanzania',
    isoShortName: 'Tanzania, United Republic of',
    languagesOfficial: ['sw', 'en'],
    languagesSpoken: ['sw', 'en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Tanzanian',
    number: '834',
    postalCode: true,
    postalCodeFormat: r'\d{4,5}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'TZ',
    unofficialNames: [
      'Tanzania',
      'Tansania',
      'Tanzanie',
      'タンザニア',
      'Tanzania United Republic'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Tanzania",
      "af": "Tanzanië",
      "ak": "Tanzania",
      "am": "ታንዛኒያ",
      "an": "Tanzania",
      "ar": "تنزانيا",
      "as": "Tanzania",
      "ay": "Tanzania",
      "az": "Tanzania",
      "ba": "Tanzania",
      "be": "Танзанія",
      "bg": "Танзания",
      "bi": "Tanzania",
      "bn": "তানজানিয়া",
      "bn_IN": "তানজানিয়া",
      "br": "Tanzania",
      "bs": "Tanzanija",
      "ca": "Tanzània",
      "ce": "Танзани",
      "ch": "Tanzania",
      "cs": "Tanzánie",
      "cv": "Танзани",
      "cy": "Tansanïa",
      "da": "Tanzania",
      "de": "Tansania",
      "dv": "ޓެންޒޭނިއާ",
      "dz": "Tanzania",
      "ee": "Tanzania",
      "el": "Τανζανία",
      "en": "Tanzania",
      "eo": "Tanzanio",
      "es": "Tanzania",
      "et": "Tansaania",
      "eu": "Tanzania",
      "fa": "تانزانیا",
      "ff": "Tanzania",
      "fi": "Tansanian yhdistynyt tasavalta",
      "fo": "Tanzania",
      "fr": "Tanzanie",
      "fy": "Tanzania",
      "ga": "An Tansáin",
      "gl": "Tanzania, República Unida de",
      "gn": "Tanzania",
      "gu": "ટાન્ઝાનિયા",
      "gv": "Tanzania",
      "ha": "Tanzania",
      "he": "טנזניה",
      "hi": "तंज़ानिया",
      "hr": "Tanzanija",
      "ht": "Tanzani",
      "hu": "Tanzánia",
      "hy": "Tanzania",
      "ia": "Tanzania",
      "id": "Tanzania",
      "io": "Tanzania",
      "is": "Tansanía",
      "it": "Tanzania",
      "iu": "Tanzania",
      "ja": "タンザニア",
      "ka": "Tanzania",
      "ki": "Tanzania",
      "kk": "Tanzania",
      "kl": "Tanzania",
      "km": "តង់ហ្សេនី",
      "kn": "Tanzania",
      "ko": "탄자니아",
      "ku": "Tanzania",
      "kv": "Tanzania",
      "kw": "Tanzania",
      "ky": "Танзания",
      "lo": "Tanzania",
      "lt": "Tanzanijos Jungtinė Respublika",
      "lv": "Tanzānija",
      "mi": "Tānahia",
      "mk": "Tanzania",
      "ml": "Tanzania",
      "mn": "Танзани",
      "mr": "टांझानिया",
      "ms": "Tanzania",
      "mt": "Tanżanija",
      "my": "တန်ဇေးနီးယားနိုင်ငံ",
      "na": "Tanzania",
      "nb": "Tanzania",
      "ne": "Tanzania",
      "nl": "Tanzania",
      "nn": "Tanzania",
      "nv": "Tanzania",
      "oc": "Tanzania",
      "or": "ଟାନଯାନିୟା",
      "pa": "ਤਨਜ਼ਾਨੀਆ",
      "pi": "टंजानिया",
      "pl": "Tanzania",
      "ps": "تانزانیه",
      "pt": "Tanzânia",
      "pt_BR": "Tanzânia",
      "ro": "Tanzania",
      "ru": "Танзания",
      "rw": "Tanzaniya",
      "sc": "Tanzània",
      "sd": "Tanzania",
      "si": "Tanzania",
      "sk": "Tanzánia",
      "sl": "Tanzanija",
      "so": "Tanzania",
      "sq": "Tanzani",
      "sr": "Танзанија",
      "sv": "Tanzania",
      "sw": "Tanzania",
      "ta": "Tanzania",
      "te": "Tanzania",
      "tg": "Танзания",
      "th": "แทนซาเนีย",
      "ti": "ታንዛንያ",
      "tk": "Tanzaniýa",
      "tl": "Tanzania",
      "tr": "Tanzanya",
      "tt": "Tanzania",
      "ug": "تانزانىيە",
      "uk": "Танзанія",
      "ur": "تنزانیہ",
      "uz": "Tanzaniya",
      "ve": "Tanzania",
      "vi": "Tanzania",
      "wa": "Tanzania",
      "wo": "Tansani",
      "xh": "Tanzania",
      "yo": "Tànsáníà",
      "zh_CN": "坦桑尼亚",
      "zh_HK": "坦桑尼亞",
      "zh_TW": "坦尚尼亞",
      "zu": "ITanzania"
    },
  );

  /// Country: Ukraine
  static const Country ukr = Country(
    alpha2: 'UA',
    alpha3: 'UKR',
    continent: Continent.europe,
    countryCode: '380',
    currencyCode: 'UAH',
    gec: 'UP',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 48.379433,
        longitude: 31.1655799,
      ),
      maxCoordinate: Coordinate(
        latitude: 52.3793713,
        longitude: 40.2204802,
      ),
      minCoordinate: Coordinate(
        latitude: 44.2924,
        longitude: 22.137159,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 52.3793713,
          longitude: 40.2204802,
        ),
        southwest: Coordinate(
          latitude: 44.2924,
          longitude: 22.137159,
        ),
      ),
    ),
    internationalPrefix: '810',
    ioc: 'UKR',
    isoLongName: 'Ukraine',
    isoShortName: 'Ukraine',
    languagesOfficial: ['uk'],
    languagesSpoken: ['uk'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9],
    nationalPrefix: '8',
    nationality: 'Ukrainian',
    number: '804',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Eastern Europe',
    unLocode: 'UA',
    unofficialNames: [
      'Ukraine',
      'Ucrania',
      'ウクライナ',
      'Oekraïne',
      'Украина',
      'Україна',
      'Украіна'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{city}} {{region_short}}
{{postalcode}}
{{country}}''',
    vatRates: VatRates(
      standard: 20.0,
      reduced: [7.0],
      superReduced: null,
      parking: null,
    ),
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Ukraine",
      "af": "Oekraïne",
      "ak": "Ukraine",
      "am": "ዩክሬን",
      "an": "Ukraine",
      "ar": "أوكرانيا",
      "as": "ইউক্ৰেইন",
      "ay": "Ukraine",
      "az": "Ukrayna",
      "ba": "Ukraine",
      "be": "Украіна",
      "bg": "Украйна",
      "bi": "Ukraine",
      "bn": "ইউক্রেন",
      "bn_IN": "ইউক্রেন",
      "br": "Ukraina",
      "bs": "Ukrajina",
      "ca": "Ucraïna",
      "ce": "Украина",
      "ch": "Ukraine",
      "cs": "Ukrajina",
      "cv": "Украина",
      "cy": "Wcrain",
      "da": "Ukraine",
      "de": "Ukraine",
      "dv": "ޔުކްރެއިން",
      "dz": "ཡུ་ཀེརན།",
      "ee": "Ukraine",
      "el": "Ουκρανία",
      "en": "Ukraine",
      "eo": "Ukrainio",
      "es": "Ucrania",
      "et": "Ukraina",
      "eu": "Ukrania",
      "fa": "اکراین",
      "ff": "Ukrayiina",
      "fi": "Ukraina",
      "fo": "Ukreina",
      "fr": "Ukraine",
      "fy": "Oekraïne",
      "ga": "An Úcráin",
      "gl": "Ucraína",
      "gn": "Ukraine",
      "gu": "યુક્રેન",
      "gv": "Yn Ookraan",
      "ha": "Ukraniya",
      "he": "אוקראינה",
      "hi": "युक्रेन",
      "hr": "Ukrajina",
      "ht": "Ikrèn",
      "hu": "Ukrajna",
      "hy": "Ուկրաինա",
      "ia": "Ukraina",
      "id": "Ukraina",
      "io": "Ukrainia",
      "is": "Úkraína",
      "it": "Ucraina",
      "iu": "ᑯᑯᓯ ᓄᓇ",
      "ja": "ウクライナ",
      "ka": "უკრაინა",
      "ki": "Ukraine",
      "kk": "Украина",
      "kl": "Ukraine",
      "km": "អ៊ុយក្រែន",
      "kn": "ಯುಕ್ರೇನ್",
      "ko": "우크라이나",
      "ku": "Ukrayna",
      "kv": "Украина",
      "kw": "Ukrayn",
      "ky": "Украина",
      "lo": "ປະເທດອູກະແລນ",
      "lt": "Ukraina",
      "lv": "Ukraina",
      "mi": "Ūkareinga",
      "mk": "Украина",
      "ml": "ഉക്രൈന്‍",
      "mn": "Украйн",
      "mr": "युक्रेन",
      "ms": "Ukraine",
      "mt": "Ukranja",
      "my": "ယူကရိန်းနိုင်ငံ",
      "na": "Ukraine",
      "nb": "Ukraina",
      "ne": "युक्रेन",
      "nl": "Oekraïne",
      "nn": "Ukraina",
      "nv": "Yóókwein",
      "oc": "Ucraïna",
      "or": "ୟୁକ୍ରେନ",
      "pa": "ਯੂਕਰੇਨ",
      "pi": "Ukraine",
      "pl": "Ukraina",
      "ps": "اوکراین",
      "pt": "Ucrânia",
      "pt_BR": "Ucrânia",
      "ro": "Ucraina",
      "ru": "Украина",
      "rw": "Ikerene",
      "sc": "Ucraina",
      "sd": "يوڪرين",
      "si": "යුක්රේනය",
      "sk": "Ukrajina",
      "sl": "Ukrajina",
      "so": "Ukraine",
      "sq": "Ukrainë",
      "sr": "Украјина",
      "sv": "Ukraina",
      "sw": "Ukraine",
      "ta": "உக்ரெயின்",
      "te": "యుక్రైన్",
      "tg": "Украина",
      "th": "ยูเครน",
      "ti": "ዩክረይን",
      "tk": "Ukraina",
      "tl": "Ukraine",
      "tr": "Ukrayna",
      "tt": "Украин",
      "ug": "ئۇكرائىنا",
      "uk": "Україна",
      "ur": "یوکرین",
      "uz": "Ukraina",
      "ve": "Ukraine",
      "vi": "U-cờ-rai-na",
      "wa": "Oucrinne",
      "wo": "Ukreen",
      "xh": "Ukraine",
      "yo": "Ukréìn",
      "zh_CN": "乌克兰",
      "zh_HK": "烏克蘭",
      "zh_TW": "烏克蘭",
      "zu": "I-Yukreyini"
    },
  );

  /// Country: The Republic of Uganda
  static const Country uga = Country(
    alpha2: 'UG',
    alpha3: 'UGA',
    continent: Continent.africa,
    countryCode: '256',
    currencyCode: 'UGX',
    gec: 'UG',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 1.373333,
        longitude: 32.290275,
      ),
      maxCoordinate: Coordinate(
        latitude: 4.218628,
        longitude: 35.0330489,
      ),
      minCoordinate: Coordinate(
        latitude: -1.4823178,
        longitude: 29.573433,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 4.218628,
          longitude: 35.0330489,
        ),
        southwest: Coordinate(
          latitude: -1.4823178,
          longitude: 29.573433,
        ),
      ),
    ),
    internationalPrefix: '000',
    ioc: 'UGA',
    isoLongName: 'The Republic of Uganda',
    isoShortName: 'Uganda',
    languagesOfficial: ['en', 'sw'],
    languagesSpoken: ['en', 'sw'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Ugandan',
    number: '800',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'UG',
    unofficialNames: ['Uganda', 'ウガンダ', 'Oeganda'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Uganda",
      "af": "Uganda",
      "ak": "Uganda",
      "am": "ፙጒን፣",
      "an": "Uganda",
      "ar": "أوغندا",
      "as": "উগাণ্ডা",
      "ay": "Uganda",
      "az": "Uqanda",
      "ba": "Uganda",
      "be": "Уганда",
      "bg": "Уганда",
      "bi": "Uganda",
      "bn": "উগান্ডা",
      "bn_IN": "উগান্ডা",
      "br": "Ouganda",
      "bs": "Uganda",
      "ca": "Uganda",
      "ce": "Уганда",
      "ch": "Uganda",
      "cs": "Uganda",
      "cv": "Уганда",
      "cy": "Uganda",
      "da": "Uganda",
      "de": "Uganda",
      "dv": "ޔުގެންޑާ",
      "dz": "ཡུ་གེན་ཌ།",
      "ee": "Uganda",
      "el": "Ουγκάντα",
      "en": "Uganda",
      "eo": "Ugando",
      "es": "Uganda",
      "et": "Uganda",
      "eu": "Uganda",
      "fa": "اوگاندا",
      "ff": "Uganda",
      "fi": "Uganda",
      "fo": "Uganda",
      "fr": "Ouganda",
      "fy": "Uganda",
      "ga": "Uganda",
      "gl": "Uganda",
      "gn": "Uganda",
      "gu": "યુગાન્ડા",
      "gv": "Ooganda",
      "ha": "Uganda",
      "he": "אוגנדה",
      "hi": "युगाण्डा",
      "hr": "Uganda",
      "ht": "Ouganda",
      "hu": "Uganda",
      "hy": "Ուգանդա",
      "ia": "Uganda",
      "id": "Uganda",
      "io": "Uganda",
      "is": "Úganda",
      "it": "Uganda",
      "iu": "Uganda",
      "ja": "ウガンダ",
      "ka": "უგანდა",
      "ki": "Uganda",
      "kk": "Уганда",
      "kl": "Uganda",
      "km": "អ៊ូហ្គង់ដា",
      "kn": "ಉಗಾಂಡಾ",
      "ko": "우간다",
      "ku": "Ûganda",
      "kv": "Uganda",
      "kw": "Ouganda",
      "ky": "Уганда",
      "lo": "Uganda",
      "lt": "Uganda",
      "lv": "Uganda",
      "mi": "Ukānga",
      "mk": "Уганда",
      "ml": "ഉഗാണ്ട",
      "mn": "Уганда",
      "mr": "युगांडा",
      "ms": "Uganda",
      "mt": "Uganda",
      "my": "ယူဂန်းဒါးနိုင်ငံ",
      "na": "Uganda",
      "nb": "Uganda",
      "ne": "उगान्डा",
      "nl": "Oeganda",
      "nn": "Uganda",
      "nv": "Uganda",
      "oc": "Oganda",
      "or": "ୟୁଗାଣ୍ଡା",
      "pa": "ਯੂਗਾਂਡਾ",
      "pi": "Uganda",
      "pl": "Uganda",
      "ps": "Uganda",
      "pt": "Uganda",
      "pt_BR": "Uganda",
      "ro": "Uganda",
      "ru": "Уганда",
      "rw": "Yuganda",
      "sc": "Uganda",
      "sd": "Uganda",
      "si": "උගන්ඩාව",
      "sk": "Uganda",
      "sl": "Uganda",
      "so": "Ugaanda",
      "sq": "Ugandë",
      "sr": "Уганда",
      "sv": "Uganda",
      "sw": "Uganda",
      "ta": "உகாண்டா",
      "te": "యుగాండా",
      "tg": "Уганда",
      "th": "ยูกันดา",
      "ti": "ዩጋንዳ",
      "tk": "Uganda",
      "tl": "Uganda",
      "tr": "Uganda",
      "tt": "Уgанда",
      "ug": "ئۇگاندا",
      "uk": "Уганда",
      "ur": "یوگنڈا",
      "uz": "Uganda",
      "ve": "Uganda",
      "vi": "U-gan-đa",
      "wa": "Ouganda",
      "wo": "Ugaanda",
      "xh": "Uganda",
      "yo": "Ùgándà",
      "zh_CN": "乌干达",
      "zh_HK": "烏干達",
      "zh_TW": "烏干達",
      "zu": "IYuganda"
    },
  );

  /// Country: United States Minor Outlying Islands
  static const Country umi = Country(
    alpha2: 'UM',
    alpha3: 'UMI',
    continent: Continent.australia,
    countryCode: '1',
    currencyCode: 'USD',
    gec: null,
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 19.2823192,
        longitude: 166.647047,
      ),
      maxCoordinate: Coordinate(
        latitude: 28.3977184,
        longitude: -159.9849071,
      ),
      minCoordinate: Coordinate(
        latitude: -0.3824678,
        longitude: 166.5989221,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 28.3977184,
          longitude: -159.9849071,
        ),
        southwest: Coordinate(
          latitude: -0.3824678,
          longitude: 166.5989221,
        ),
      ),
    ),
    internationalPrefix: '',
    ioc: null,
    isoLongName: 'United States Minor Outlying Islands',
    isoShortName: 'United States Minor Outlying Islands',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [],
    nationalNumberLengths: [],
    nationalPrefix: '',
    nationality: 'American',
    number: '581',
    postalCode: true,
    postalCodeFormat: r'96898',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Northern America',
    unLocode: 'UM',
    unofficialNames: [
      'United States Minor Outlying Islands',
      'US-Amerikanische Hoheitsgebiete',
      'Dépendances américaines',
      'Islas menores de Estados Unidos',
      '合衆国領有小離島',
      'Kleine afgelegen eilanden van de Verenigde Staten'
    ],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "United States Minor Outlying Islands",
      "af": "Klein afgeleë eilande van die Verenigde State van Amerika",
      "ak": "United States Minor Outlying Islands",
      "am": "United States Minor Outlying Islands",
      "an": "United States Minor Outlying Islands",
      "ar": "جزر الولايات المتّحدة الصّغرى النّائية",
      "as": "মাৰ্কিন যুক্তৰাষ্ট্ৰ বহিস্থিত ক্ষুদ্ৰ দ্বীপপুঞ্জ",
      "ay": "United States Minor Outlying Islands",
      "az": "Birləşmiş Ştatlar Yanı Kiçik Adalar",
      "ba": "United States Minor Outlying Islands",
      "be": "Знешнія малыя астравы ЗША",
      "bg": "Обединени малки острови по крайбрежието на САЩ",
      "bi": "United States Minor Outlying Islands",
      "bn": "মার্কিন যুক্তরাষ্ট্র বহিস্থিত ক্ষুদ্র দ্বীপপুঞ্জ",
      "bn_IN": "মার্কিন যুক্তরাষ্ট্র বহিস্থিত ক্ষুদ্র দ্বীপপুঞ্জ",
      "br": "Inizi bihan pell ar Stadoù Unanet",
      "bs": "United States Minor Outlying Islands",
      "ca": "Illes Perifèriques Menors dels EUA",
      "ce": "United States Minor Outlying Islands",
      "ch": "United States Minor Outlying Islands",
      "cs": "Menší odlehlé ostrovy Spojených států",
      "cv": "United States Minor Outlying Islands",
      "cy": "Mân Ynysoedd Pellenig yr Unol Daleithiau",
      "da": "USA's ydre småøer",
      "de": "United States Minor Outlying Islands",
      "dv": "United States Minor Outlying Islands",
      "dz": "ཡུ་ནའི་ཊེཊ་ སིཊེཊིསི་ མའི་ནོར་ ཨའུཊི་ལེ་ཡིང་ ཨའི་ལེནཌིསི།",
      "ee": "United States Minor Outlying Islands",
      "el": "Απομακρυσμένες Νησίδες των Ηνωμένων Πολιτειών",
      "en": "United States Minor Outlying Islands",
      "eo": "Usonaj Malgrandaj Insuloj",
      "es": "Islas Ultramarinas Menores de Estados Unidos",
      "et": "Ühendriikide hajasaared",
      "eu": "Ameriketako Estatu Batuetako itsasoz haraindiko uharteak",
      "fa": "جزایر کوچک دورافتادهٔ ایالات متحده",
      "ff": "United States Minor Outlying Islands",
      "fi": "Yhdysvaltain pienet erillissaaret",
      "fo": "United States Minor Outlying Islands",
      "fr": "Îles mineures éloignées des États-Unis",
      "fy": "United States Minor Outlying Islands",
      "ga": "Mion-Oileáin Imeallacha S.A.M.",
      "gl": "Illas Exteriores Menores dos Estados Unidos de América",
      "gn": "United States Minor Outlying Islands",
      "gu": "યુનાઇટેડ સ્ટેટ્સ માઇનોર આઉટલાઇંગ આઇલેન્ડસ",
      "gv": "United States Minor Outlying Islands",
      "ha": "United States Minor Outlying Islands",
      "he": "האיים המרוחקים הקטנים של ארצות הברית",
      "hi": "संयुक्त राज्य अमेरिका के छोटे दूरस्थ द्वीपसमूह",
      "hr": "Američki mali izvanjski otoci",
      "ht": "United States Minor Outlying Islands",
      "hu": "Az Amerikai Egyesült Államok lakatlan külbirtokai",
      "hy": "Միացյալ Նահանգների Հեռավոր Փոքր Կղզիներ",
      "ia": "Insulas Minor Peripheric del Statos Unite",
      "id": "Kepulauan Terluar Kecil Amerika Serikat",
      "io": "United States Minor Outlying Islands",
      "is": "Ytri-smáeyjar Bandaríkjanna",
      "it": "Isole minori esterne degli Stati Uniti d'America",
      "iu": "United States Minor Outlying Islands",
      "ja": "アメリカ合衆国外諸島",
      "ka": "შეერთებული შტატების გარე მცირე კუნძულები",
      "ki": "United States Minor Outlying Islands",
      "kk": "АҚШ-ң Сыртқы Кішкене аралдары",
      "kl": "United States Minor Outlying Islands",
      "km": "កោះ​តូច​នៅ​ឆ្ងាយ​ពី​សហរដ្ឋ​អាមេរិក",
      "kn": "United States Minor Outlying Islands",
      "ko": "미국령 군소 제도",
      "ku": "Giravên biçûk derve Emerîkayê",
      "kv": "United States Minor Outlying Islands",
      "kw": "United States Minor Outlying Islands",
      "ky": "АКШ Сырткы Кичине аралдары",
      "lo": "United States Minor Outlying Islands",
      "lt": "Jungtinių Amerikos Valstijų mažosios aplinkinės salos",
      "lv": "ASV Mazās Aizjūras Salas",
      "mi": "United States Minor Outlying Islands",
      "mk": "Помали надворешни острови на соединетите држави",
      "ml": "യുണെറ്റഡ് സ്റ്റേറ്റ്സ് മൈനര്‍ ഔട്ട്‌ലയിങ്ങ് ദ്വീപുകള്‍",
      "mn": "United States Minor Outlying Islands",
      "mr": "युनायटेड स्टेटस् मायनॉर आऊटलायिंग आयलॅंडस्",
      "ms": "Kepulauan Terpencil Kecil Amerika Syarikat",
      "mt": "Gżejjer Minuri Mbiegħda tal-Istati Uniti",
      "my": "United States Minor Outlying Islands",
      "na": "United States Minor Outlying Islands",
      "nb": "Mindre utenforliggende øyer til USA",
      "ne": "संयुक्त राज्य माइनर आउट लाईङ टापु",
      "nl": "Kleine afgelegen eilanden van de Verenigde Staten",
      "nn": "Mindre utanforliggjande øyar til USA",
      "nv": "United States Minor Outlying Islands",
      "oc": "Islas perifericas Menores dels Estats Units",
      "or": "ଯୁକ୍ତ ରାଷ୍ଟ୍ର ମାଈନର ଆଓଟଲେୟିଙ୍ଗ ଦ୍ବୀପ",
      "pa": "ਅਮਰੀਕਾ ਦੇ ਛੋਟੇ ਟਾਪੂ",
      "pi": "United States Minor Outlying Islands",
      "pl": "Dalekie Wyspy Mniejsze Stanów Zjednoczonych",
      "ps": "United States Minor Outlying Islands",
      "pt": "Ilhas Menores Distantes dos Estados Unidos",
      "pt_BR": "Ilhas Menores Distantes dos Estados Unidos",
      "ro": "Insulele de Coasta ale Statelor Unite",
      "ru": "Соединенные штаты Малых Удаленных островов",
      "rw": "Ibirwa Bito Bikikije Leta Zunze Ubumwe",
      "sc": "Ìsulas Minores Perifèricas de sos Istados Unidos",
      "sd": "United States Minor Outlying Islands",
      "si": "කුඩා දූපත් එක්සත් ජනපද",
      "sk": "Menšie odľahlé ostrovy Spojených štátov",
      "sl": "manjši otoki Združenih držav Amerike",
      "so": "United States Minor Outlying Islands",
      "sq": "Ishujt e Vegjël të Përtejmë të Shteteve të Bashkuara",
      "sr": "Спољна ивична острва САД",
      "sv": "USA:s avlägsna mindre öar",
      "sw": "United States Minor Outlying Islands",
      "ta": "ஐக்கிய நாடுகள் சிறு சுற்றியுள்ள தீவுகள்",
      "te": "యునైటెడ్ స్టేట్స్ మైనర్ అవుట్‌లైండ్ ఐలాండ్స్",
      "tg": "Ҷазираҳои Хурди Дурдасти Иёлоти Муттаҳида дар Уқёнуси Ором",
      "th": "เกาะเล็กรอบนอกของสหรัฐอเมริกา",
      "ti": "United States Minor Outlying Islands",
      "tk": "Kiçi Daş adalarynyň birleşen ştatlary",
      "tl": "United States Minor Outlying Islands",
      "tr": "Amerika Birleşik Devletleri Küçük Dış Adaları",
      "tt": "United States Minor Outlying Islands",
      "ug": "ئامېرىكا قوشما شتاتلىرى سىرتىدىكى ئاراللار",
      "uk": "Зовнішні малі острови США",
      "ur": "امریکی چھوٹے بیرونی جزائر",
      "uz": "United States Minor Outlying Islands",
      "ve": "United States Minor Outlying Islands",
      "vi": "Quần Đảo ở xa nhỏ Mỹ",
      "wa": "Iyes mineures des Estats Unis",
      "wo": "United States Minor Outlying Islands",
      "xh": "United States Minor Outlying Islands",
      "yo": "Àwọn Erékùṣù Kékèké Orílẹ̀-èdè Amẹ́ríkà",
      "zh_CN": "美国本土外小岛屿",
      "zh_HK": "美屬邊疆羣島",
      "zh_TW": "美屬邊疆群島",
      "zu": "United States Minor Outlying Islands"
    },
  );

  /// Country: The United States of America
  static const Country usa = Country(
    alpha2: 'US',
    alpha3: 'USA',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'USD',
    gec: 'US',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 37.09024,
        longitude: -95.712891,
      ),
      maxCoordinate: Coordinate(
        latitude: 71.3577635769,
        longitude: -66.96466,
      ),
      minCoordinate: Coordinate(
        latitude: 18.91619,
        longitude: -171.791110603,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 71.3577635769,
          longitude: -66.96466,
        ),
        southwest: Coordinate(
          latitude: 18.91619,
          longitude: -171.791110603,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'USA',
    isoLongName: 'The United States of America',
    isoShortName: 'United States of America',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'American',
    number: '840',
    postalCode: true,
    postalCodeFormat: r'(\d{5})(?:[ \-](\d{4}))?',
    region: Region.americas,
    startOfWeek: Week.sunday,
    subregion: 'Northern America',
    unLocode: 'US',
    unofficialNames: [
      'United States',
      'USA',
      'Vereinigte Staaten von Amerika',
      'États-Unis',
      'Estados Unidos',
      'アメリカ合衆国',
      'Verenigde Staten',
      'Соединенные Штаты Америки'
    ],
    worldRegion: WorldRegion.amer,
    addressFormat: '''{{recipient}}
{{street}}
{{city}} {{region_short}} {{postalcode}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "United States",
      "af": "Verenigde State",
      "ak": "United States",
      "am": "ጐሣሱጢ",
      "an": "United States",
      "ar": "الولايات المتّحدة",
      "as": "মাৰ্কিন যুক্তৰাষ্ট্ৰ",
      "ay": "United States",
      "az": "Birləşmiş Ştatlar",
      "ba": "United States",
      "be": "Злучаныя Штаты",
      "bg": "Съединени щати",
      "bi": "United States",
      "bn": "মার্কিন যুক্তরাষ্ট্র",
      "bn_IN": "মার্কিন যুক্তরাষ্ট্র",
      "br": "Stadoù Unanet",
      "bs": "SAD",
      "ca": "Estats Units",
      "ce": "United States",
      "ch": "United States",
      "cs": "Spojené státy",
      "cv": "United States",
      "cy": "Yr Unol Daleithiau",
      "da": "USA",
      "de": "Vereinigte Staaten",
      "dv": "United States",
      "dz": "ཡུ་ན་ཡེ་ཊེཊི་ སིཊེཊིསི།",
      "ee": "United States",
      "el": "Ηνωμένες Πολιτείες",
      "en": "United States",
      "eo": "Usono",
      "es": "Estados Unidos",
      "et": "Ameerika Ühendriigid",
      "eu": "Estatu Batuak",
      "fa": "ایالات متحدهٔ آمریکا",
      "ff": "United States",
      "fi": "Yhdysvallat",
      "fo": "Sambandsríki Amerika",
      "fr": "États-Unis",
      "fy": "United States",
      "ga": "Na Stáit Aontaithe",
      "gl": "Estados Unidos de América",
      "gn": "United States",
      "gu": "યુનાઇટેડ સ્ટેટ્સ",
      "gv": "United States",
      "ha": "United States",
      "he": "ארצות הברית",
      "hi": "संयुक्त राज्य",
      "hr": "Sjedinjene Države",
      "ht": "Etazini",
      "hu": "Egyesült Államok",
      "hy": "Ամէրիկայի Միացյալ Նահանգնէր",
      "ia": "Statos Unite",
      "id": "Amerika Serikat",
      "io": "United States",
      "is": "Bandaríkin",
      "it": "Stati Uniti",
      "iu": "United States",
      "ja": "米国",
      "ka": "ამერიკის შეერთებული შტატები",
      "ki": "United States",
      "kk": "АҚШ",
      "kl": "United States",
      "km": "សហរដ្ឋ​អាមេរិក",
      "kn": "ಸಂಯುಕ್ತ ಸಂಸ್ಥಾನಗಳು",
      "ko": "미국",
      "ku": "Dewletên Yekbûyî",
      "kv": "United States",
      "kw": "United States",
      "ky": "АКШ",
      "lo": "United States",
      "lt": "Jungtinės Amerikos Valstijos",
      "lv": "Amerikas Savienotās Valstis",
      "mi": "Amerika",
      "mk": "Соединети држави",
      "ml": "ഐക്യനാടുകള്‍",
      "mn": "Америкын нэгдсэн улс",
      "mr": "युनायटेड स्टेटस्",
      "ms": "Amerika Syarikat",
      "mt": "United States",
      "my": "United States",
      "na": "United States",
      "nb": "USA",
      "ne": "संयुक्त राज्य",
      "nl": "Verenigde Staten",
      "nn": "USA",
      "nv": "United States",
      "oc": "Estats Units",
      "or": "ଯୁକ୍ତରାଷ୍ଟ୍ର",
      "pa": "ਅਮਰੀਕਾ",
      "pi": "United States",
      "pl": "Stany Zjednoczone",
      "ps": "United States",
      "pt": "Estados Unidos",
      "pt_BR": "Estados Unidos",
      "ro": "Statele Unite",
      "ru": "Соединённые штаты",
      "rw": "Leta Zunze Ubumwe",
      "sc": "Istados Unidos",
      "sd": "United States",
      "si": "එක්සත් ජනපද",
      "sk": "Spojené štáty",
      "sl": "Združene države",
      "so": "Qaramada Midoobey ee Maraykanka",
      "sq": "Shtetet e Bashkuara",
      "sr": "Сједињене Државе",
      "sv": "USA",
      "sw": "United States",
      "ta": "ஐக்கிய அமெரிக்கா",
      "te": "యునైటెడ్ స్టేట్స్",
      "tg": "Иёлоти Муттаҳида",
      "th": "สหรัฐ",
      "ti": "ኣመሪካ",
      "tk": "Amerikanyň Birleşen Ştatlary",
      "tl": "Estados Unidos",
      "tr": "Amerika Birleşik Devletleri",
      "tt": "Берләшкән Штатлар",
      "ug": "ئامېرىكا",
      "uk": "США",
      "ur": "United States",
      "uz": "United States",
      "ve": "United States",
      "vi": "Mỹ",
      "wa": "Estats Unis",
      "wo": "Aamerik",
      "xh": "United States",
      "yo": "United States",
      "zh_CN": "美国",
      "zh_HK": "美國",
      "zh_TW": "美國",
      "zu": "United States"
    },
  );

  /// Country: The Oriental Republic of Uruguay
  static const Country ury = Country(
    alpha2: 'UY',
    alpha3: 'URY',
    continent: Continent.southAmerica,
    countryCode: '598',
    currencyCode: 'UYU',
    gec: 'UY',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -32.522779,
        longitude: -55.765835,
      ),
      maxCoordinate: Coordinate(
        latitude: -30.0852149,
        longitude: -53.0779284,
      ),
      minCoordinate: Coordinate(
        latitude: -35.1558001,
        longitude: -58.4913609,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -30.0852149,
          longitude: -53.0779284,
        ),
        southwest: Coordinate(
          latitude: -35.1558001,
          longitude: -58.4913609,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'URU',
    isoLongName: 'The Oriental Republic of Uruguay',
    isoShortName: 'Uruguay',
    languagesOfficial: ['es'],
    languagesSpoken: ['es'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8],
    nationalPrefix: '0',
    nationality: 'Uruguayan',
    number: '858',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'South America',
    unLocode: 'UY',
    unofficialNames: ['Uruguay', 'ウルグアイ'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Uruguay",
      "af": "Uruguay",
      "ak": "Uruguay",
      "am": "ኡራጓይ",
      "an": "Uruguay",
      "ar": "الأوروغواي",
      "as": "উৰুগুৱে",
      "ay": "Uruguay",
      "az": "Uruqvay",
      "ba": "Uruguay",
      "be": "Уругвай",
      "bg": "Уругвай",
      "bi": "Uruguay",
      "bn": "উরুগুয়ে",
      "bn_IN": "উরুগুয়ে",
      "br": "Uruguay",
      "bs": "Urugvaj",
      "ca": "Uruguai",
      "ce": "Уругвай",
      "ch": "Uruguay",
      "cs": "Uruguay",
      "cv": "Уругвай",
      "cy": "Uruguay",
      "da": "Uruguay",
      "de": "Uruguay",
      "dv": "އުރުގުއޭ",
      "dz": "ཨུ་རུ་གེ།",
      "ee": "Uruguay",
      "el": "Ουρουγουάη",
      "en": "Uruguay",
      "eo": "Urugvajo",
      "es": "Uruguay",
      "et": "Uruguay",
      "eu": "Uruguai",
      "fa": "اروگوئه",
      "ff": "Uruguay",
      "fi": "Uruguay",
      "fo": "Uruguei",
      "fr": "Uruguay",
      "fy": "Urûguay",
      "ga": "Uragua",
      "gl": "Uruguai",
      "gn": "Uruguay",
      "gu": "ઉરુગ્વે",
      "gv": "Yn Ooraguay",
      "ha": "Uruguay",
      "he": "אורוגוואי",
      "hi": "उरुग्वे",
      "hr": "Urugvaj",
      "ht": "Irigwe",
      "hu": "Uruguay",
      "hy": "Ուրուգվայ",
      "ia": "Uruguay",
      "id": "Uruguay",
      "io": "Uruguay",
      "is": "Úrúgvæ",
      "it": "Uruguay",
      "iu": "Uruguay",
      "ja": "ウルグアイ",
      "ka": "ურუგვაი",
      "ki": "Uruguay",
      "kk": "Уругвай",
      "kl": "Uruguay",
      "km": "អ៊ុយរ៉ាហ្គាយ",
      "kn": "ಉರುಗ್ವೇ",
      "ko": "우루과이",
      "ku": "Uruguay",
      "kv": "Uruguay",
      "kw": "Urugway",
      "ky": "Уругвай",
      "lo": "ປະເທດອູຣູກວາຍ",
      "lt": "Urugvajus",
      "lv": "Urugvaja",
      "mi": "Urukuai",
      "mk": "Уругвај",
      "ml": "ഉറുഗ്വേ",
      "mn": "Уругвай",
      "mr": "उरुग्वे",
      "ms": "Uruguay",
      "mt": "Urugwaj",
      "my": "ဥရုဂွေးနိုင်ငံ",
      "na": "Uruguay",
      "nb": "Uruguay",
      "ne": "उरुग्वे",
      "nl": "Uruguay",
      "nn": "Uruguay",
      "nv": "Uruguay",
      "oc": "Uruguai",
      "or": "ଉରୁଗ୍ବେ",
      "pa": "ਉਰੂਗਵੇ",
      "pi": "उरुग्वाय",
      "pl": "Urugwaj",
      "ps": "یوروګوای",
      "pt": "Uruguai",
      "pt_BR": "Uruguai",
      "ro": "Uruguay",
      "ru": "Уругвай",
      "rw": "Irigwe",
      "sc": "Uruguay",
      "sd": "Uruguay",
      "si": "උරුගුවේ",
      "sk": "Uruguaj",
      "sl": "Urugvaj",
      "so": "Uruguay",
      "sq": "Uruguai",
      "sr": "Уругвај",
      "sv": "Uruguay",
      "sw": "Uruguay",
      "ta": "உருகுவே",
      "te": "ఉరుగ్వే",
      "tg": "Уругвай",
      "th": "อุรุกวัย",
      "ti": "ኡራጓይ",
      "tk": "Urugwaý",
      "tl": "Uruguay",
      "tr": "Uruguay",
      "tt": "Уруgуай",
      "ug": "ئۇرۇگۋاي",
      "uk": "Уругвай",
      "ur": "یوراگوئے",
      "uz": "Urugvay",
      "ve": "Uruguay",
      "vi": "U-ru-guay",
      "wa": "Ourougway",
      "wo": "Uruguwaay",
      "xh": "Uruguay",
      "yo": "Urugúáì",
      "zh_CN": "乌拉圭",
      "zh_HK": "烏拉圭",
      "zh_TW": "烏拉圭",
      "zu": "I-Uruguwayi"
    },
  );

  /// Country: The Republic of Uzbekistan
  static const Country uzb = Country(
    alpha2: 'UZ',
    alpha3: 'UZB',
    continent: Continent.asia,
    countryCode: '998',
    currencyCode: 'UZS',
    gec: 'UZ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 41.377491,
        longitude: 64.585262,
      ),
      maxCoordinate: Coordinate(
        latitude: 45.590075,
        longitude: 73.148946,
      ),
      minCoordinate: Coordinate(
        latitude: 37.1722571,
        longitude: 55.9982179,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 45.590075,
          longitude: 73.148946,
        ),
        southwest: Coordinate(
          latitude: 37.1722571,
          longitude: 55.9982179,
        ),
      ),
    ),
    internationalPrefix: '810',
    ioc: 'UZB',
    isoLongName: 'The Republic of Uzbekistan',
    isoShortName: 'Uzbekistan',
    languagesOfficial: ['uz', 'ru'],
    languagesSpoken: ['uz', 'ru'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '8',
    nationality: 'Uzbekistani',
    number: '860',
    postalCode: true,
    postalCodeFormat: r'\d{6}',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'Central Asia',
    unLocode: 'UZ',
    unofficialNames: [
      'Uzbekistan',
      'Usbekistan',
      'Ouzbékistan',
      'Uzbekistán',
      'ウズベキスタン',
      'Oezbekistan'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Uzbekistan",
      "af": "Oesbekistan",
      "ak": "Uzbekistan",
      "am": "ፙፔበጡስታን",
      "an": "Uzbekistan",
      "ar": "أوزبكستان",
      "as": "উজ্বেকিস্তান",
      "ay": "Uzbekistan",
      "az": "Özbəkistan",
      "ba": "Uzbekistan",
      "be": "Узбекістан",
      "bg": "Узбекистан",
      "bi": "Uzbekistan",
      "bn": "উজবেকিস্তান",
      "bn_IN": "উজবেকিস্তান",
      "br": "Ouzbekistan",
      "bs": "Uzbekistan",
      "ca": "Uzbekistan",
      "ce": "Узбекистан",
      "ch": "Uzbekistan",
      "cs": "Uzbekistán",
      "cv": "Узбекистан",
      "cy": "Wsbecistan",
      "da": "Usbekistan",
      "de": "Usbekistan",
      "dv": "އުޒްބެކިސްތާން",
      "dz": "ཨུཛ་བེ་ཀིསི་ཏཱན།",
      "ee": "Uzbekistan",
      "el": "Ουζμπεκιστάν",
      "en": "Uzbekistan",
      "eo": "Uzbekio",
      "es": "Uzbekistán",
      "et": "Usbekistan",
      "eu": "Uzbekistan",
      "fa": "ازبکستان",
      "ff": "Uzbekistan",
      "fi": "Uzbekistan",
      "fo": "Usbekistan",
      "fr": "Ouzbékistan",
      "fy": "Oezbekistan",
      "ga": "Úisbéiceastáin",
      "gl": "Uzbequistán",
      "gn": "Uzbekistan",
      "gu": "ઉઝબેકિસ્તાન",
      "gv": "Yn Oosbeckistaan",
      "ha": "Uzbekistan",
      "he": "אוזבקיסטן",
      "hi": "उज़्बेकिस्तान",
      "hr": "Uzbekistan",
      "ht": "Ouzbekistan",
      "hu": "Üzbegisztán",
      "hy": "Ուզբեկստան",
      "ia": "Uzbekistan",
      "id": "Uzbekistan",
      "io": "Uzbekistan",
      "is": "Úsbekistan",
      "it": "Uzbekistan",
      "iu": "Uzbekistan",
      "ja": "ウズベキスタン",
      "ka": "უზბაკეთი",
      "ki": "Uzbekistan",
      "kk": "Өзбекстан",
      "kl": "Uzbekistan",
      "km": "អ៊ូហ្សបេគីស្តង់",
      "kn": "ಉಜ್ಬೆಕಿಸ್ತಾನ್",
      "ko": "우즈베키스탄",
      "ku": "Ozbekîstan",
      "kv": "Узбекистан",
      "kw": "Pow Ousbek",
      "ky": "Өзбекстан",
      "lo": "Uzbekistan",
      "lt": "Uzbekija",
      "lv": "Uzbekistāna",
      "mi": "Uhipeketāne",
      "mk": "Узбекистан",
      "ml": "ഉസ്ബേക്കിസ്താന്‍",
      "mn": "узбекстан",
      "mr": "उझबेगिस्तान",
      "ms": "Uzbekistan",
      "mt": "Użbekistan",
      "my": "ဥဇဘက်ကစ္စတန်နိုင်ငံ",
      "na": "Uzbekistan",
      "nb": "Usbekistan",
      "ne": "उज्बेकिस्तान",
      "nl": "Oezbekistan",
      "nn": "Usbekistan",
      "nv": "Uzbekistan",
      "oc": "Ozbequistan",
      "or": "ଉଜବେକିସ୍ତାନ",
      "pa": "ਉਜ਼ੇਬਕਸਤਾਨ",
      "pi": "उजबेकिस्थान",
      "pl": "Uzbekistan",
      "ps": "اوزبکستان",
      "pt": "Uzbequistão",
      "pt_BR": "Uzbequistão",
      "ro": "Uzbekistan",
      "ru": "Узбекистан",
      "rw": "Uzubekisitani",
      "sc": "Uzbèkistan",
      "sd": "ازبڪستان",
      "si": "උස්බෙකිස්තානය",
      "sk": "Uzbekistan",
      "sl": "Uzbekistan",
      "so": "Uzbekistan",
      "sq": "Uzbekistan",
      "sr": "Узбекистан",
      "sv": "Uzbekistan",
      "sw": "Uzbekistan",
      "ta": "உஸ்பெகிஸ்தான்",
      "te": "ఉజ్బెకిస్తాన్",
      "tg": "Ӯзбекистон",
      "th": "อุซเบกิสถาน",
      "ti": "ኡዝበኪስታን",
      "tk": "Özbegistan",
      "tl": "Uzbekistan",
      "tr": "Özbekistan",
      "tt": "Өзбәкстан",
      "ug": "ئۆزبېكىستان",
      "uk": "Узбекистан",
      "ur": "ازبکستان",
      "uz": "Oʻzbekiston",
      "ve": "Uzbekistan",
      "vi": "U-xợ-bê-khi-xtanh",
      "wa": "Ouzbekistan",
      "wo": "Usbekistaan",
      "xh": "Uzbekistan",
      "yo": "Ùsbẹ̀kìstán",
      "zh_CN": "乌兹别克斯坦",
      "zh_HK": "烏茲別克",
      "zh_TW": "烏茲別克",
      "zu": "Uzbekistan"
    },
  );

  /// Country: The Holy See
  static const Country vat = Country(
    alpha2: 'VA',
    alpha3: 'VAT',
    continent: Continent.europe,
    countryCode: '39',
    currencyCode: 'EUR',
    gec: 'VT',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 41.902916,
        longitude: 12.453389,
      ),
      maxCoordinate: Coordinate(
        latitude: 41.90744309999999,
        longitude: 12.4583938,
      ),
      minCoordinate: Coordinate(
        latitude: 41.9001896,
        longitude: 12.4457286,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 41.90744309999999,
          longitude: 12.4583938,
        ),
        southwest: Coordinate(
          latitude: 41.9001896,
          longitude: 12.4457286,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'The Holy See',
    isoShortName: 'Holy See',
    languagesOfficial: ['it', 'la'],
    languagesSpoken: ['it', 'la'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [9],
    nationalPrefix: 'None',
    nationality: 'Italian',
    number: '336',
    postalCode: true,
    postalCodeFormat: r'00120',
    region: Region.europe,
    startOfWeek: Week.monday,
    subregion: 'Southern Europe',
    unLocode: 'VA',
    unofficialNames: [
      'Vatican City',
      'Vatikan',
      'Cité du Vatican',
      'Ciudad del Vaticano',
      'バチカン市国',
      'Vaticaanstad',
      'Vatican City State (Holy See)'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Holy See (Vatican City State)",
      "af": "Vatikaan",
      "ak": "Holy See (Vatican City State)",
      "am": "Holy See (Vatican City State)",
      "an": "Holy See (Vatican City State)",
      "ar": "المقعد المقدّس (ولاية مدينة الفاتيكان)",
      "as": "হোলি ছি (ভেটিকান)",
      "ay": "Holy See (Vatican City State)",
      "az": "Holy See (Vatikan Şəhər Dövləti)",
      "ba": "Holy See (Vatican City State)",
      "be": "Святы Прастол (Ватыкан)",
      "bg": "Ватикана",
      "bi": "Holy See (Vatican City State)",
      "bn": "হোলি সি (ভ্যাটিকান)",
      "bn_IN": "হোলি সি (ভ্যাটিকান)",
      "br": "Holy See (Vatican City State)",
      "bs": "Vatikan",
      "ca": "Santa Seu (Estat del Vaticà)",
      "ce": "Holy See (Vatican City State)",
      "ch": "Holy See (Vatican City State)",
      "cs": "Svatý stolec (Vatikánský městský stát)",
      "cv": "Holy See (Vatican City State)",
      "cy": "Yr Esgobaeth Sanctaidd (Talaith Dinas y Fatican)",
      "da": "Vatikanstaten",
      "de": "Heiliger Stuhl (Staat Vatikanstadt)",
      "dv": "Holy See (Vatican City State)",
      "dz": "ཧོ་ལི་སཱི་ (བཱ་ཊི་ཀན་ སི་ཊི་ སི་ཊེཊི།)",
      "ee": "Holy See (Vatican City State)",
      "el": "Αγία Έδρα (το Κράτος της Πόλεως του Βατικανού)",
      "en": "Holy See (Vatican City State)",
      "eo": "Sankta Seĝo (Vatikano)",
      "es": "Santa Sede (Ciudad Estado del Vaticano)",
      "et": "Püha Tool (Vatikani Linnriik)",
      "eu": "Egoitza Santua (Vatikano Hiria)",
      "fa": "دولت شهر واتیکان",
      "ff": "Holy See (Vatican City State)",
      "fi": "Pyhä istuin (Vatikaanivaltio)",
      "fo": "Vatikanríki",
      "fr": "Saint-Siège (état de la cité du Vatican)",
      "fy": "Holy See (Vatican City State)",
      "ga": "Suí Naofa (Stát Chathair na Vatacáine)",
      "gl": "Santa Sé (Cidade Estado do Vaticano)",
      "gn": "Holy See (Vatican City State)",
      "gu": "હોલી સી (વેટિકન સીટી સ્ટેટ)",
      "gv": "Holy See (Vatican City State)",
      "ha": "Holy See (Vatican City State)",
      "he": "וותיקן",
      "hi": "होली सी (वैटिकन सिटी स्टेट)",
      "hr": "Vatikan (Država Vatikanskoga Grada)",
      "ht": "Holy See (Vatican City State)",
      "hu": "Szentszék (Vatikánvárosi Állam)",
      "hy": "Սուրբ Քաղաք (Վատիկան)",
      "ia": "Sancte Sede (Stato del Citate Vatican)",
      "id": "Takhta Suci Vatican (Negara Kota)",
      "io": "Holy See (Vatican City State)",
      "is": "Borgríkið Vatíkanið",
      "it": "Santa Sede (Stato della Città del Vaticano)",
      "iu": "Holy See (Vatican City State)",
      "ja": "聖庁 (バチカン市国)",
      "ka": "წმიდა საყდარი (ქალაქი-სახელმწიფო ვატიკანი)",
      "ki": "Holy See (Vatican City State)",
      "kk": "Ватикан",
      "kl": "Holy See (Vatican City State)",
      "km": "ហូលីស៊ី (រដ្ឋ​របស់បូរី​វ៉ាទីកង់)",
      "kn": "Holy See (Vatican City State)",
      "ko": "바티칸 시티 (Holy See)",
      "ku": "Texta Pîroz (Dewleta Bajarî ya Vatîkan)",
      "kv": "Holy See (Vatican City State)",
      "kw": "Holy See (Vatican City State)",
      "ky": "Ватикан",
      "lo": "Holy See (Vatican City State)",
      "lt": "Šventasis Sostas (Vatikano Miesto Valstybė)",
      "lv": "Vatikāna Pilsētvalsts",
      "mi": "Holy See (Vatican City State)",
      "mk": "Држава град Ватикан",
      "ml": "ഹോളി സീ (വത്തിക്കാന്‍ സിറ്റി സ്റ്റേറ്റ്)",
      "mn": "Holy See (Vatican City State)",
      "mr": "होली सी (व्हॅटिकन सिटी स्टेट)",
      "ms": "Holy See (Vatican City State)",
      "mt": "Holy See (Vatican City State)",
      "my": "Holy See (Vatican City State)",
      "na": "Holy See (Vatican City State)",
      "nb": "Vatikanstaten",
      "ne": "होली सि (भ्याटिकन सिटि राज्य)",
      "nl": "Vaticaanstad",
      "nn": "Vatikanstaten",
      "nv": "Holy See (Vatican City State)",
      "oc": "Santa Ses (Estat de la Ciutat de Vatican)",
      "or": "ହୋଲି ସମୁଦ୍ର (ଭାଟିକାନ ନଗର ରାଜ୍ୟ)",
      "pa": "ਹੋਲੀ ਸੀ (ਵੇਟੀਕੈਨ ਸਿਟੀ ਪ੍ਰਾਂਤ)",
      "pi": "Holy See (Vatican City State)",
      "pl": "Watykan",
      "ps": "Holy See (Vatican City State)",
      "pt": "Santa Sé (Cidade do Vaticano)",
      "pt_BR": "Santa Sé (Cidade-Estado do Vaticano)",
      "ro": "Vatican",
      "ru": "Государство-город Ватикан",
      "rw": "Inyanja Ntagatifu(Leta y'Umujyi wa Vatikani)",
      "sc": "Santa Sede (Istadu de sa Tzitade de su Vaticanu)",
      "sd": "Holy See (Vatican City State)",
      "si": "ශුද්ධ දැක්ම (වතිකානු නගර රාජ්‍යය)",
      "sk": "Svätá stolica (Vatikánsky mestský štát)",
      "sl": "Sveti sedež (Vatikanska mestna država)",
      "so": "Faatikaan",
      "sq": "Selia e Shenjtë (Qytet-shteti i Vatikanit)",
      "sr": "Света Столица (Држава града Ватикана)",
      "sv": "Vatikanstaten",
      "sw": "Holy See (Vatican City State)",
      "ta": "ஹொலி சி (வாடிகன் நகர நாடு)",
      "te": "హోలీ సీ (వాటికన్ సిటీ స్టేట్)",
      "tg": "Сарири Муқаддас (Шаҳри Давлати Ватикан)",
      "th": "นครรัฐวาติกัน",
      "ti": "Holy See (Vatican City State)",
      "tk": "Watikan döwlet-şäheri",
      "tl": "Holy See (Estado ng Siyudad Vatican)",
      "tr": "Holy See (Vatikan Şehir Devleti)",
      "tt": "Holy See (Vatican City State)",
      "ug": "ۋاتىكان",
      "uk": "Святий Престол (Ватикан, Місто-Держава)",
      "ur": "Holy See (Vatican City State)",
      "uz": "Holy See (Vatican City State)",
      "ve": "Holy See (Vatican City State)",
      "vi": "Toà Thánh (Bang Thành Phố Va-ti-canh)",
      "wa": "Vatican",
      "wo": "Holy See (Vatican City State)",
      "xh": "Holy See (Vatican City State)",
      "yo": "Holy See (Vatican City State)",
      "zh_CN": "梵地冈",
      "zh_HK": "梵蒂岡",
      "zh_TW": "教廷 (梵蒂岡城市國)",
      "zu": "Holy See (Vatican City State)"
    },
  );

  /// Country: Saint Vincent and the Grenadines
  static const Country vct = Country(
    alpha2: 'VC',
    alpha3: 'VCT',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'XCD',
    gec: 'VC',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 12.984305,
        longitude: -61.287228,
      ),
      maxCoordinate: Coordinate(
        latitude: 13.4136657,
        longitude: -61.0846,
      ),
      minCoordinate: Coordinate(
        latitude: 12.5294999,
        longitude: -61.4822,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 13.4136657,
          longitude: -61.0846,
        ),
        southwest: Coordinate(
          latitude: 12.5294999,
          longitude: -61.4822,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'VIN',
    isoLongName: 'Saint Vincent and the Grenadines',
    isoShortName: 'Saint Vincent and the Grenadines',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Saint Vincentian',
    number: '670',
    postalCode: true,
    postalCodeFormat: r'VC\d{4}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'VC',
    unofficialNames: [
      'Saint Vincent and the Grenadines',
      'Saint Vincent und die Grenadinen',
      'Saint-Vincent et les Grenadines',
      'San Vicente y Granadinas',
      'セントビンセントおよびグレナディーン諸島',
      'Saint Vincent en de Grenadines',
      'St. Vincent Grenadines',
      'St Vincent Grenadines'
    ],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1784',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Saint Vincent and the Grenadines",
      "af": "St. Vincent en die Grenadine",
      "ak": "Saint Vincent and the Grenadines",
      "am": "ሴንት ቪንሰንት እና ግሬናዲኖች",
      "an": "Saint Vincent and the Grenadines",
      "ar": "سانت فنسنت و جزر الغرينادين",
      "as": "চেন্ট ভিনচেন্ট আৰু গ্ৰেনাডিনচ",
      "ay": "Saint Vincent and the Grenadines",
      "az": "Saint Vincent and the Grenadines",
      "ba": "Saint Vincent and the Grenadines",
      "be": "Сент-Вінсент і Грэнадзіны",
      "bg": "Свети Винсент и Гренадин",
      "bi": "Saint Vincent and the Grenadines",
      "bn": "সেন্ট ভিনসেন্ট ও গ্রেনাডিনস",
      "bn_IN": "সেন্ট ভিনসেন্ট ও গ্রেনাডিনস",
      "br": "Saint Visant hag ar Grenadinez",
      "bs": "Saint Vincent i Grenadines",
      "ca": "Saint Vincent i les Grenadines",
      "ce": "Сент-Винсент а Гренадина",
      "ch": "Saint Vincent and the Grenadines",
      "cs": "Svatý Vincenc a Grenadiny",
      "cv": "Сент-Винсент а Гренадина",
      "cy": "Saint Vincent a'r Grenadines",
      "da": "Sankt Vincent og Grenadinerne",
      "de": "St. Vincent und die Grenadinen",
      "dv": "ސަންތި ވިސެންޓޭ އަދި ގުރެނާޑީން",
      "dz": "སེནཊི་བཱིན་སིནཊ་དང་ གཱེརན་ན་ཌེནེས",
      "ee": "Saint Vincent and the Grenadines",
      "el": "Άγιος Βικέντιος και Γρεναδίνες",
      "en": "Saint Vincent and the Grenadines",
      "eo": "Sankta-Vincento kaj la Grenadinoj",
      "es": "San Vicente y las Granadinas",
      "et": "Saint Vincent ja Grenadiinid",
      "eu": "Saint Vincent eta Grenadinak",
      "fa": "سن وینسنت و گرنادین",
      "ff": "Saint Vincent and the Grenadines",
      "fi": "Saint Vincent ja Grenadiinit",
      "fo": "Saint Vinsent og Grenadinoyggjar",
      "fr": "Saint-Vincent-et-les-Grenadines",
      "fy": "Sint Vincent en de Grenadinen",
      "ga": "Saint Vincent agus na Grenadines",
      "gl": "San Vicente e as Granadinas",
      "gn": "Saint Vincent and the Grenadines",
      "gu": "સેન્ટ વિન્સેન્ટ અને ગ્રેનેડીન્સ",
      "gv": "Noo Winsen as ny Grenadeenyn",
      "ha": "Saint Vincent and the Grenadines",
      "he": "סנט וינסנט והגרנדינים",
      "hi": "सन्त विन्सेण्ट और ग्रेनाडाइन्स",
      "hr": "Sveti Vincent i Grenadini",
      "ht": "Saint Vincent and the Grenadines",
      "hu": "Saint Vincent és a Grenadine-szigetek",
      "hy": "Սենտ Վիսենտ-Գրենադիններ",
      "ia": "Sancte Vincente e le Grenadinas",
      "id": "Saint Vincent dan Grenadines",
      "io": "Santa Vincent e Grenadini",
      "is": "Sankti Vincent og Grenadineeyjar",
      "it": "Saint Vincent e Grenadine",
      "iu": "Saint Vincent and the Grenadines",
      "ja": "セントビンセント及びグレナディーン諸島",
      "ka": "სენტ-ვინსენტი და გრენადინები",
      "ki": "Saint Vincent and the Grenadines",
      "kk": "Сент-Винсент және Гренадинар",
      "kl": "Saint Vincent and the Grenadines",
      "km": "សង់វាំងសង់ និង ហ្គ្រីណាឌីន",
      "kn": "Saint Vincent and the Grenadines",
      "ko": "세인트빈센트 그레나딘",
      "ku": "Saint Vincent û Grenadines",
      "kv": "Saint Vincent and the Grenadines",
      "kw": "Sen Vinsent ha'n Ynysow Grenadinek",
      "ky": "Сент-Винсент жана Гренадиндер",
      "lo": "Saint Vincent and the Grenadines",
      "lt": "Sent Vinsentas ir Grenadinai",
      "lv": "Sentvinsenta un Grenadīnas",
      "mi": "Saint Vincent and the Grenadines",
      "mk": "Св. Винсент и Гренадините",
      "ml": "സെയിന്റ് വിന്‍സന്റും ഗ്രനഡൈന്‍സും",
      "mn": "Saint Vincent and the Grenadines",
      "mr": "सेंट व्हिन्सेंट आणी दि ग्रेनाडिन्स",
      "ms": "Saint Vincent dan Grenadines",
      "mt": "Saint Vincent and the Grenadines",
      "my": "စိန့်ဗင်းဆင့်နှင့်ဂရိနေဒိုင်နိုင်ငံ",
      "na": "Saint Vincent and the Grenadines",
      "nb": "Saint Vincent og Grenadinene",
      "ne": "सेन्ट भिन्सेन्ट र ग्रेनडिन्स",
      "nl": "Saint Vincent en de Grenadines",
      "nn": "Saint Vincent og Grenadinane",
      "nv": "Saint Vincent and the Grenadines",
      "oc": "Sant Vincenç e las Grenadinas",
      "or": "ସେଣ୍ଟ ଭିନସେଣ୍ଟ ଏବଂ ଗ୍ରେନେଡିସ",
      "pa": "ਸੇਂਟ ਵਿਨਸਨਟ ਅਤੇ ਗਰੇਨਾਡਾਈਨਸ",
      "pi": "Saint Vincent and the Grenadines",
      "pl": "Saint Vincent i Grenadyny",
      "ps": "Saint Vincent and the Grenadines",
      "pt": "São Vicente e Granadinas",
      "pt_BR": "São Vicente e Granadinas",
      "ro": "Saint Vincent și Grenadinele",
      "ru": "Сент-Винсент и Гренадины",
      "rw": "Mutagatifu Visenti na Gerenadine",
      "sc": "Saint Vincent e sas Grenadinas",
      "sd": "Saint Vincent and the Grenadines",
      "si": "ශාන්ත වින්සෙන්ට් හා ග්‍රෙන්ඩිනේස්",
      "sk": "Svätý Vincent a Grenadíny",
      "sl": "Saint Vincent in Grenadini",
      "so": "Saint Vincent and the Grenadines",
      "sq": "Shën Vinsent dhe Grenadinet",
      "sr": "Свети Винсент и Гренадини",
      "sv": "Sankt Vincent och Grenadinerna",
      "sw": "Saint Vincent and the Grenadines",
      "ta": "செயின்ட் வின்சென்ட் மற்றும் க்ரினடின்ஸ்",
      "te": "సైంట్ విన్సెంట్ మరియు ది గ్రేనాడిన్స్",
      "tg": "Сент-Винсент ва Гренадинҳо",
      "th": "เซนต์วินเซนต์และเกรนาดีนส์",
      "ti": "Saint Vincent and the Grenadines",
      "tk": "Sent-Winsent we Grenadin adalary",
      "tl": "Saint Vincent at Grenadines",
      "tr": "Saint Vincent ve Grenadinler",
      "tt": "Saint Vincent and the Grenadines",
      "ug": "ساينىت-ۋىنسېنت ۋە گىرېنادىنېس",
      "uk": "Сент-Вінсент і Гренадини",
      "ur": "سینٹ وینسینٹ و گریناڈائنز",
      "uz": "Sent Vinsent va Grenadinlar",
      "ve": "Saint Vincent and the Grenadines",
      "vi": "Xan Vinh-xen và Gou-en-a-đinh",
      "wa": "Sint Vincint et les Grenadines",
      "wo": "Saint Vincent and the Grenadines",
      "xh": "Saint Vincent and the Grenadines",
      "yo": "Saint Vincent àti àwọn Grẹnadínì",
      "zh_CN": "圣文森特和格林纳丁斯",
      "zh_HK": "聖文森特和格林納丁斯",
      "zh_TW": "聖文森及格瑞納丁",
      "zu": "Saint Vincent and the Grenadines"
    },
  );

  /// Country: The Bolivarian Republic of Venezuela
  static const Country ven = Country(
    alpha2: 'VE',
    alpha3: 'VEN',
    continent: Continent.southAmerica,
    countryCode: '58',
    currencyCode: 'VES',
    gec: 'VE',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 6.42375,
        longitude: -66.58973,
      ),
      maxCoordinate: Coordinate(
        latitude: 12.6886,
        longitude: -59.805666,
      ),
      minCoordinate: Coordinate(
        latitude: 0.6475291,
        longitude: -73.36703899999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 12.6886,
          longitude: -59.805666,
        ),
        southwest: Coordinate(
          latitude: 0.6475291,
          longitude: -73.36703899999999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'VEN',
    isoLongName: 'The Bolivarian Republic of Venezuela',
    isoShortName: 'Venezuela (Bolivarian Republic of)',
    languagesOfficial: ['es'],
    languagesSpoken: ['es'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [10],
    nationalPrefix: '0',
    nationality: 'Venezuelan',
    number: '862',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'South America',
    unLocode: 'VE',
    unofficialNames: ['Venezuela', 'ベネズエラ・ボリバル共和国'],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Venezuela",
      "af": "Venezuela",
      "ak": "Venezuela",
      "am": "ታንፉፃሒ",
      "an": "Venezuela",
      "ar": "فنزويلّا",
      "as": "ভেনেজুৱেলা",
      "ay": "Venezuela",
      "az": "Venezuela",
      "ba": "Venezuela",
      "be": "Венесуэла",
      "bg": "Венецуела",
      "bi": "Venezuela",
      "bn": "ভেনেজুয়েলা",
      "bn_IN": "ভেনেজুয়েলা",
      "br": "Venezuela",
      "bs": "Venecuela",
      "ca": "Veneçuela",
      "ce": "Венесуэла",
      "ch": "Venezuela",
      "cs": "Venezuela",
      "cv": "Венесуэла",
      "cy": "Venezuela",
      "da": "Venezuela",
      "de": "Venezuela",
      "dv": "ވެނެޒުއޭލާ",
      "dz": "བེ་ནི་ཛུས་ལ།",
      "ee": "Venezuela",
      "el": "Βενεζουέλα",
      "en": "Venezuela",
      "eo": "Venezuelo",
      "es": "Venezuela",
      "et": "Venezuela",
      "eu": "Venezuela",
      "fa": "ونزوئلا",
      "ff": "Venezuela",
      "fi": "Venezuela",
      "fo": "Venesuela",
      "fr": "Vénézuela",
      "fy": "Fenezuëla",
      "ga": "Veiniséala",
      "gl": "Venezuela",
      "gn": "Venezuela",
      "gu": "વેનેઝુએલા",
      "gv": "Yn Veneswaaley",
      "ha": "Venezuela",
      "he": "ונצואלה",
      "hi": "वेनेज़ुएला",
      "hr": "Venezuela",
      "ht": "Venezwela",
      "hu": "Venezuela",
      "hy": "Վենեսուելա",
      "ia": "Venezuela",
      "id": "Venezuela",
      "io": "Venezuela",
      "is": "Venesúela",
      "it": "Venezuela",
      "iu": "Venezuela",
      "ja": "ベネズエラ",
      "ka": "ვენესუელა",
      "ki": "Venezuela",
      "kk": "Венесуэла",
      "kl": "Venezuela",
      "km": "វេណេហ្សុយអេឡា",
      "kn": "ವೆನೇಹಜುವೇಲಾ",
      "ko": "베네수엘라",
      "ku": "Venezûela",
      "kv": "Venezuela",
      "kw": "Veneswela",
      "ky": "Венесуэла",
      "lo": "ປະເທດເວເນຊູເອລາ",
      "lt": "Venesuela",
      "lv": "Venecuēla",
      "mi": "Wenehūera",
      "mk": "Венецуела",
      "ml": "വെനിസ്വേല",
      "mn": "Винессуэл",
      "mr": "व्हेनेझुएला",
      "ms": "Venezuela",
      "mt": "Veneżwela",
      "my": "ဗင်နီဇွဲလားနိုင်ငံ",
      "na": "Venezuela",
      "nb": "Venezuela",
      "ne": "वेनेजुएला",
      "nl": "Venezuela",
      "nn": "Venezuela",
      "nv": "Táłkááʼ Bighan Dineʼé Bikéyah",
      "oc": "Veneçuèla",
      "or": "ଭେନେଜୁଏଲା",
      "pa": "ਵੈਨੂਜੇਏਲਾ",
      "pi": "वेनेज्वेला",
      "pl": "Wenezuela",
      "ps": "Venezuela",
      "pt": "Venezuela",
      "pt_BR": "Venezuela",
      "ro": "Venezuela",
      "ru": "Венесуэла",
      "rw": "Venezuwela",
      "sc": "Venetzuela",
      "sd": "Venezuela",
      "si": "වෙනිසියුලාව",
      "sk": "Venezuela",
      "sl": "Venezuela",
      "so": "Fenisuweela",
      "sq": "Venezuelë",
      "sr": "Венецуела",
      "sv": "Venezuela",
      "sw": "Venezuela",
      "ta": "வெனிசூலா",
      "te": "వెనుజులా",
      "tg": "Венесуэла",
      "th": "เวเนซุเอลา",
      "ti": "ቬኔዝዌላ",
      "tk": "Wenesuela",
      "tl": "Venezuela",
      "tr": "Venezuela",
      "tt": "Венезуела",
      "ug": "ۋېنېزۇئېلا",
      "uk": "Венесуела",
      "ur": "وینیزویلا",
      "uz": "Venesuela",
      "ve": "Venezuela",
      "vi": "Ve-ne-xu-ê-la",
      "wa": "Venezwela",
      "wo": "Benesuwela",
      "xh": "Venezuela",
      "yo": "Fenesuela",
      "zh_CN": "委内瑞拉",
      "zh_HK": "委內瑞拉",
      "zh_TW": "委內瑞拉",
      "zu": "I-Venezuwela"
    },
  );

  /// Country: The Virgin Islands
  static const Country vgb = Country(
    alpha2: 'VG',
    alpha3: 'VGB',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'USD',
    gec: 'VI',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 18.420695,
        longitude: -64.639968,
      ),
      maxCoordinate: Coordinate(
        latitude: 18.7539999,
        longitude: -64.2651999,
      ),
      minCoordinate: Coordinate(
        latitude: 18.2899998,
        longitude: -64.8775,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 18.7539999,
          longitude: -64.2651999,
        ),
        southwest: Coordinate(
          latitude: 18.2899998,
          longitude: -64.8775,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'IVB',
    isoLongName: 'The Virgin Islands',
    isoShortName: 'Virgin Islands (British)',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Virgin Islander',
    number: '092',
    postalCode: true,
    postalCodeFormat: r'VG\d{4}',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'VG',
    unofficialNames: [
      'British Virgin Islands',
      'Britische Jungferninseln',
      'Îles Vierges britanniques',
      'Islas Vírgenes del Reino Unido',
      'イギリス領ヴァージン諸島',
      'Britse Maagdeneilanden',
      'Virgin Islands (British)'
    ],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: '1284',
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Virgin Islands, British",
      "af": "Maagde-eilande, Britse",
      "ak": "Virgin Islands, British",
      "am": "ፘጕንጔሑፔ ፥ንጔሔ ፠ሴቶኄ",
      "an": "Virgin Islands, British",
      "ar": "فيرجن، جزر فيرجن البريطانيّة",
      "as": "ব্ৰিটিশ্ব ভাৰ্জিন দ্বীপ",
      "ay": "Virgin Islands, British",
      "az": "Virgin Adaları, Britaniya",
      "ba": "Virgin Islands, British",
      "be": "Віргінскія астравы Вялікабрытаніі",
      "bg": "Вирджински острови, Британски",
      "bi": "Virgin Islands, British",
      "bn": "ব্রিটিশ ভার্জিন দ্বীপ",
      "bn_IN": "ব্রিটিশ ভার্জিন দ্বীপ",
      "br": "Virgin Islands, British",
      "bs": "Djevičanska Ostrva (Britanska)",
      "ca": "Illes Verges, Britàniques",
      "ce": "Virgin Islands, British",
      "ch": "Virgin Islands, British",
      "cs": "Panenské ostrovy, britské",
      "cv": "Virgin Islands, British",
      "cy": "Ynysoedd Virgin, Prydeinig",
      "da": "Britiske Jomfruøer, De",
      "de": "Britische Jungferninseln",
      "dv": "Virgin Islands, British",
      "dz": "ཝར་ཇིན་ ཨའི་ལེནཌིསི་ བིརི་ཊིཤི།",
      "ee": "Virgin Islands, British",
      "el": "Παρθένοι Νήσοι, Βρετανικές",
      "en": "Virgin Islands, British",
      "eo": "Virgulininsuloj, Britaj",
      "es": "Islas Vírgenes, Británicas",
      "et": "Briti Neitsisaared",
      "eu": "Birjina uharteak, Britainiarrak",
      "fa": "جزایر ویرجین ، بریتانیا",
      "ff": "Virgin Islands, British",
      "fi": "Neitsytsaaret, Brittiläiset",
      "fo": "Virgin Islands, British",
      "fr": "îles Vierges britanniques",
      "fy": "Virgin Islands, British",
      "ga": "Oileáin Bhriotanacha na Maighdean",
      "gl": "Illas Virxes Británicas",
      "gn": "Virgin Islands, British",
      "gu": "બ્રિટિશ વર્જીન ટાપુઓ",
      "gv": "Virgin Islands, British",
      "ha": "Virgin Islands, British",
      "he": "איי הבתולה (בריטיים)",
      "hi": "वर्जिन आइलैंड्स, ब्रिटिश",
      "hr": "Djevičanski Otoci, Britanski",
      "ht": "Virgin Islands, British",
      "hu": "Brit Virgin-szigetek",
      "hy": "Վիրջինյան կղզիներ, Բրիտանական",
      "ia": "Insulas Virgine, Britannic",
      "id": "Kepulauan Virgin Inggris",
      "io": "Virgin Islands, British",
      "is": "Jómfrúareyjar, bresku",
      "it": "Isole Vergini, Regno Unito",
      "iu": "Virgin Islands, British",
      "ja": "英領ヴァージン諸島",
      "ka": "ვირჯინის კუნძულები, ბრიტანეთის",
      "ki": "Virgin Islands, British",
      "kk": "Виргин аралдары (Ұлыбритания)",
      "kl": "Virgin Islands, British",
      "km": "កោះ​វីជីន ចក្រភពអង់គ្លេស",
      "kn": "ವರ್ಜಿನ್ ಐಲಂಡ್ಸ್, ಬ್ರಿಟಿಷ್",
      "ko": "버진 제도, 영국령",
      "ku": "Giravên Virjin, Brîtanî",
      "kv": "Virgin Islands, British",
      "kw": "Virgin Islands, British",
      "ky": "Виргин аралдары (Улуу Британия)",
      "lo": "Virgin Islands, British",
      "lt": "Mergelių salos (Britų)",
      "lv": "Virdžīnas Salas, Britu",
      "mi": "Virgin Islands, British",
      "mk": "Девствени острови, Британски",
      "ml": "വിര്‍ജിന്‍ ദ്വീപുകള്‍, ബ്രിട്ടീഷ്",
      "mn": "Виржиний британи арлууд",
      "mr": "व्हर्जिन आयलॅंडस्, ब्रिटिश",
      "ms": "Virgin Islands, British",
      "mt": "Virgin Islands, British",
      "my": "Virgin Islands, British",
      "na": "Virgin Islands, British",
      "nb": "Jomfruøyene (Storbritannia)",
      "ne": "भर्जिन टापु, बेलायत",
      "nl": "Maagdeneilanden, Britse",
      "nn": "Jomfruøyane (Storbritannia)",
      "nv": "Virgin Islands, British",
      "oc": "Illas Verges, britanicas",
      "or": "ଭର୍ଜିନ ଦ୍ବୀପପୁଞ୍ଜ, ବ୍ରିଟୀଶ",
      "pa": "ਵਿਰਗਿਨ ਟਾਪੂ ਬਰਤਾਨੀਆ",
      "pi": "Virgin Islands, British",
      "pl": "Brytyjskie Wyspy Dziewicze",
      "ps": "Virgin Islands, British",
      "pt": "Ilhas Virgens Britânicas",
      "pt_BR": "Ilhas Virgens Britânicas",
      "ro": "Insulele virgine (britanice)",
      "ru": "Виргинские острова (Британия)",
      "rw": "Ibirwa bya Virigini, Nyongereza",
      "sc": "Ìsulas Vèrgines, Britànnicas",
      "sd": "Virgin Islands, British",
      "si": "බ්‍රිතාන්‍ය වර්ජින් දූපත්",
      "sk": "Panenské ostrovy, Britské",
      "sl": "Britanski Deviški otoki",
      "so": "Virgin Islands, British",
      "sq": "Ishujt e Virgjër, Britanikë",
      "sr": "Девичанска острва, Британска",
      "sv": "Jungfruöarna, brittiska",
      "sw": "Virgin Islands, British",
      "ta": "வெர்ஜின் தீவுகள், ப்ரிட்டீஷ்",
      "te": "వర్జిన్ ఐలాండ్స్, బ్రిటిష్",
      "tg": "Ҷазираҳои Виргини Британия",
      "th": "หมู่เกาะบริติชเวอร์จิน",
      "ti": "Virgin Islands, British",
      "tk": "Britan Wirgin adalary",
      "tl": "Pulong Birhen, British",
      "tr": "İngiliz Virgin Adaları",
      "tt": "Вирgин Утравлары, Британ",
      "ug": "ئەنگلىيەگە قاراشلىق ۋىرجىن تاقىم ئاراللىرى",
      "uk": "Віргінські острови (Британія)",
      "ur": "Virgin Islands, British",
      "uz": "Virgin Islands, British",
      "ve": "Virgin Islands, British",
      "vi": "Quần Đảo Vơ-chin Anh",
      "wa": "Iyes Viedjes britanikes",
      "wo": "Virgin Islands, British",
      "xh": "Virgin Islands, British",
      "yo": "Virgin Islands, British",
      "zh_CN": "英属维尔京群岛",
      "zh_HK": "英屬處女羣島",
      "zh_TW": "英屬維京群島",
      "zu": "Virgin Islands, British"
    },
  );

  /// Country: The Virgin Islands of the United States
  static const Country vir = Country(
    alpha2: 'VI',
    alpha3: 'VIR',
    continent: Continent.northAmerica,
    countryCode: '1',
    currencyCode: 'USD',
    gec: 'VQ',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 18.335765,
        longitude: -64.896335,
      ),
      maxCoordinate: Coordinate(
        latitude: 18.4239,
        longitude: -64.4391,
      ),
      minCoordinate: Coordinate(
        latitude: 17.5482999,
        longitude: -65.1101,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 18.4239,
          longitude: -64.4391,
        ),
        southwest: Coordinate(
          latitude: 17.5482999,
          longitude: -65.1101,
        ),
      ),
    ),
    internationalPrefix: '011',
    ioc: 'ISV',
    isoLongName: 'The Virgin Islands of the United States',
    isoShortName: 'Virgin Islands (U.S.)',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [3],
    nationalNumberLengths: [10],
    nationalPrefix: '1',
    nationality: 'Virgin Islander',
    number: '850',
    postalCode: true,
    postalCodeFormat: r'(008(?:(?:[0-4]\d)|(?:5[01])))(?:[ \-](\d{4}))?',
    region: Region.americas,
    startOfWeek: Week.monday,
    subregion: 'Caribbean',
    unLocode: 'VI',
    unofficialNames: [
      'Virgin Islands of the United States',
      'Amerikanische Jungferninseln',
      'Îles Vierges américaines',
      'Islas Vírgenes de los Estados Unidos',
      'アメリカ領ヴァージン諸島',
      'Amerikaanse Maagdeneilanden',
      'Virgin Islands (U.S.)',
      'United States Virgin Islands',
      'U.S. Virgin Islands'
    ],
    worldRegion: WorldRegion.amer,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Virgin Islands, U.S.",
      "af": "Maagde-eilande, VSA",
      "ak": "Virgin Islands, U.S.",
      "am": "ፘጐሣሱጢ ቨሴጂን ፠ሴቶኄ",
      "an": "Virgin Islands, U.S.",
      "ar": "فيرجن، جزر فيرجن الأميركيّة",
      "as": "মাৰ্কিন যুক্তৰাষ্ট্ৰ ভাৰ্জিন দ্বীপ",
      "ay": "Virgin Islands, U.S.",
      "az": "Virgin Adaları, ABŞ",
      "ba": "Virgin Islands, U.S.",
      "be": "Віргінскія астравы (ЗША)",
      "bg": "Вирджински острови, САЩ",
      "bi": "Virgin Islands, U.S.",
      "bn": "মার্কিন যুক্তরাষ্ট্র ভার্জিন দ্বীপ",
      "bn_IN": "মার্কিন যুক্তরাষ্ট্র ভার্জিন দ্বীপ",
      "br": "Virgin Islands, U.S.",
      "bs": "Djevičanska Ostrva (Američka)",
      "ca": "Illes Verges, EUA",
      "ce": "Virgin Islands, U.S.",
      "ch": "Virgin Islands, U.S.",
      "cs": "Panenské ostrovy, americké",
      "cv": "Virgin Islands, U.S.",
      "cy": "Ynysoedd Virgin, U.D.A.",
      "da": "Amerikanske Jomfruøer, De",
      "de": "Amerikanische Jungferninseln",
      "dv": "Virgin Islands, U.S.",
      "dz": "ཝར་ཇིན་ ཨའི་ལེནཌིསི་ ཡུ་ཨེསི།",
      "ee": "Virgin Islands, U.S.",
      "el": "Παρθένοι Νήσοι, Η.Π.Α.",
      "en": "Virgin Islands, U.S.",
      "eo": "Virgulininsuloj, Usonaj",
      "es": "Islas Vírgenes, de EEUU",
      "et": "USA Neitsisaared",
      "eu": "Birjina uharteak, A.E.B.",
      "fa": "جزایر ویرجین ایالات متحده",
      "ff": "Virgin Islands, U.S.",
      "fi": "Neitsytsaaret, Yhdysvaltain",
      "fo": "Virgin Islands, U.S.",
      "fr": "Îles Vierges, États-Unis",
      "fy": "Virgin Islands, U.S.",
      "ga": "Oileáin na Maighdean, S.A.M.",
      "gl": "Illas Virxes, EE.UU.",
      "gn": "Virgin Islands, U.S.",
      "gu": "વર્જીન ટાપુઓ, યુ.એસ.",
      "gv": "Virgin Islands, U.S.",
      "ha": "Virgin Islands, U.S.",
      "he": "איי הבתולה (ארה)",
      "hi": "वर्जिन आइलैंड्स, यू.एस.",
      "hr": "Djevičanski Otoci, SAD",
      "ht": "Virgin Islands, U.S.",
      "hu": "Amerikai Virgin-szigetek",
      "hy": "Վիրջինյան կղզիներ, ՄՆ",
      "ia": "Insulas Virgine, S.U.",
      "id": "Kepulauan Virgin Amerika Serikat",
      "io": "Virgin Islands, U.S.",
      "is": "Jómfrúareyjar, BNA",
      "it": "Isole Vergini, U.S.A.",
      "iu": "Virgin Islands, U.S.",
      "ja": "米領ヴァージン諸島",
      "ka": "ვირჯინის კუნძულები, აშშ-ის",
      "ki": "Virgin Islands, U.S.",
      "kk": "Виргин аралдары (АҚШ)",
      "kl": "Virgin Islands, U.S.",
      "km": "កោះវីជីន ​សហរដ្ឋ​អាមេរិក",
      "kn": "ವರ್ಜಿನ್ ಐಲಂಡ್ಸ್,ಯೂಎಸ್",
      "ko": "버진 제도, 미국령",
      "ku": "Giravên Virjin, D.Y.",
      "kv": "Virgin Islands, U.S.",
      "kw": "Virgin Islands, U.S.",
      "ky": "Виргин аралдары (АКШ)",
      "lo": "Virgin Islands, U.S.",
      "lt": "Mergelių salos (JAV)",
      "lv": "ASV Virdžīnas",
      "mi": "Virgin Islands, U.S.",
      "mk": "Девствени острови, САД",
      "ml": "വിര്‍ജിന്‍ ദ്വീപുകള്‍, യു.എസ്.",
      "mn": "Виржиний АНУ арлууд",
      "mr": "व्हर्जिन आयलॅंडस्, यू.एस.",
      "ms": "Virgin Islands, U.S.",
      "mt": "Virgin Islands, U.S.",
      "my": "Virgin Islands, U.S.",
      "na": "Virgin Islands, U.S.",
      "nb": "Jomfruøyene (USA)",
      "ne": "भर्जिन टापु, संयुक्त राज्य",
      "nl": "Maagdeneilanden, Amerikaanse",
      "nn": "Jomfruøyane (USA)",
      "nv": "Virgin Islands, U.S.",
      "oc": "illas Verges, EU",
      "or": "ଭର୍ଜିନ ଦ୍ବୀପପୁଞ୍ଜ, ଯୁକ୍ତରାଷ୍ଟ୍ର",
      "pa": "ਵਿਰਗਿਨ ਟਾਪੂ, ਅਮਰੀਕਾ",
      "pi": "Virgin Islands, U.S.",
      "pl": "Wyspy Dziewicze Stanów Zjednoczonych",
      "ps": "Virgin Islands, U.S.",
      "pt": "Ilhas Virgens dos Estados Unidos",
      "pt_BR": "Ilhas Virgens dos Estados Unidos",
      "ro": "Insulele virgine (SUA)",
      "ru": "Виргинские острова (США)",
      "rw": "Ibirwa bya Virigini, Leta Zunze Ubumwe",
      "sc": "Ìsulas Vèrgines, Istados Unidos",
      "sd": "Virgin Islands, U.S.",
      "si": "එ.ජ වර්ජින් දූපත්",
      "sk": "Panenské ostrovy, Americké",
      "sl": "Ameriški Deviški otoki",
      "so": "Virgin Islands, U.S.",
      "sq": "Ishujt e Virgjër, ShBA",
      "sr": "Девичанска острва, САД",
      "sv": "Jungfruöarna, amerikanska",
      "sw": "Virgin Islands, U.S.",
      "ta": "வெர்ஜின் தீவுகள் , யு.எஸ்",
      "te": "వర్జిన్ ఐలాండ్స్, యూ.ఏస.",
      "tg": "Ҷазираҳои Виргини И.М.А",
      "th": "หมู่เกาะเวอร์จินของสหรัฐอเมริกา",
      "ti": "Virgin Islands, U.S.",
      "tk": "ABŞ Wirgin adalary",
      "tl": "Pulong Birhen, Estados Unidos",
      "tr": "Virgin Adaları, A.B.D.",
      "tt": "Вирgин Утравлары, АКШ",
      "ug": "ئامېرىكىغا قاراشلىق ۋىرجىن تاقىم ئاراللىرى",
      "uk": "Віргінські острови (США)",
      "ur": "Virgin Islands, U.S.",
      "uz": "Virgin Islands, U.S.",
      "ve": "Virgin Islands, U.S.",
      "vi": "Quần Đảo Vơ-chin Mỹ",
      "wa": "Iyes Viedjes etazunyinnes",
      "wo": "Virgin Islands, U.S.",
      "xh": "Virgin Islands, U.S.",
      "yo": "Virgin Islands, U.S.",
      "zh_CN": "美属维尔京群岛",
      "zh_HK": "美屬處女羣島",
      "zh_TW": "美屬維京群島",
      "zu": "Virgin Islands, U.S."
    },
  );

  /// Country: The Socialist Republic of Viet Nam
  static const Country vnm = Country(
    alpha2: 'VN',
    alpha3: 'VNM',
    continent: Continent.asia,
    countryCode: '84',
    currencyCode: 'VND',
    gec: 'VM',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 14.058324,
        longitude: 108.277199,
      ),
      maxCoordinate: Coordinate(
        latitude: 23.3926504,
        longitude: 109.6765,
      ),
      minCoordinate: Coordinate(
        latitude: 8.1952001,
        longitude: 102.1439156,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 23.3926504,
          longitude: 109.6765,
        ),
        southwest: Coordinate(
          latitude: 8.1952001,
          longitude: 102.1439156,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'VIE',
    isoLongName: 'The Socialist Republic of Viet Nam',
    isoShortName: 'Viet Nam',
    languagesOfficial: ['vi'],
    languagesSpoken: ['vi'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8, 9, 10],
    nationalPrefix: '0',
    nationality: 'Vietnamese',
    number: '704',
    postalCode: true,
    postalCodeFormat: r'\d{5}\d?',
    region: Region.asia,
    startOfWeek: Week.monday,
    subregion: 'South-Eastern Asia',
    unLocode: 'VN',
    unofficialNames: ['Vietnam', 'ベトナム', 'Viet Nam'],
    worldRegion: WorldRegion.apac,
    addressFormat: '''{{recipient}}
{{street}}
{{city}}
{{region}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Vietnam",
      "af": "Viëtnam",
      "ak": "Vietnam",
      "am": "ቬት ናም",
      "an": "Vietnam",
      "ar": "الفيتنام",
      "as": "ভিয়েতনাম",
      "ay": "Vietnam",
      "az": "Vietnam",
      "ba": "Vietnam",
      "be": "В'етнам",
      "bg": "Виетнам",
      "bi": "Vietnam",
      "bn": "ভিয়েতনাম",
      "bn_IN": "ভিয়েতনাম",
      "br": "Viêt Nam",
      "bs": "Vijetnam",
      "ca": "Vietnam",
      "ce": "Вьетнам",
      "ch": "Vietnam",
      "cs": "Vietnam",
      "cv": "Вьетнам",
      "cy": "Fietnam",
      "da": "Vietnam",
      "de": "Vietnam",
      "dv": "ވިއެޓުނާމު",
      "dz": "ཝེཊི་ནམ།",
      "ee": "Vietnam",
      "el": "Βιετνάμ",
      "en": "Vietnam",
      "eo": "Vjetnamio",
      "es": "Vietnam",
      "et": "Vietnam",
      "eu": "Vietnam",
      "fa": "ویتنام",
      "ff": "Vietnam",
      "fi": "Vietnam",
      "fo": "Vietnam",
      "fr": "Viêt Nam",
      "fy": "Fjetnam",
      "ga": "Vítneam",
      "gl": "Vietnam",
      "gn": "Vietnam",
      "gu": "વિયેતનામ",
      "gv": "Yn Vietnam",
      "ha": "Vietnam",
      "he": "וייטנאם",
      "hi": "वियतनाम",
      "hr": "Vijetnam",
      "ht": "Vyetnam",
      "hu": "Vietnám",
      "hy": "Վիետնամ",
      "ia": "Vietnam",
      "id": "Vietnam",
      "io": "Vietnam",
      "is": "Víetnam",
      "it": "Vietnam",
      "iu": "Vietnam",
      "ja": "ベトナム",
      "ka": "ვიეტ-ნამი",
      "ki": "Vietnam",
      "kk": "Вьетнам",
      "kl": "Vietnam",
      "km": "វៀតណាម",
      "kn": "ವಿಯೆಟ್ನಾಂ",
      "ko": "베트남",
      "ku": "Viyetnam",
      "kv": "Вьетнам",
      "kw": "Vietnam",
      "ky": "Вьетнам",
      "lo": "ປະເທດຫວຽດນາມ",
      "lt": "Vietnamas",
      "lv": "Vjetnama",
      "mi": "Whitināmu",
      "mk": "Виетнам",
      "ml": "വിയറ്റ്നാം",
      "mn": "Vietnam",
      "mr": "व्हियेतनाम",
      "ms": "Vietnam",
      "mt": "Vjetnam",
      "my": "ဗီယက်နမ်နိုင်ငံ",
      "na": "Bitinam",
      "nb": "Vietnam",
      "ne": "भिएतनाम",
      "nl": "Vietnam",
      "nn": "Vietnam",
      "nv": "Vietnam",
      "oc": "Vietnam",
      "or": "ଭିୟେତନାମ",
      "pa": "ਵੀਅਤਨਾਮ",
      "pi": "वियेतनाम",
      "pl": "Wietnam",
      "ps": "Vietnam",
      "pt": "Vietname",
      "pt_BR": "Vietnã",
      "ro": "Vietnam",
      "ru": "Вьетнам",
      "rw": "Viyetinamu",
      "sc": "Vietnam",
      "sd": "ويٽنام",
      "si": "වියෙට්නාමය",
      "sk": "Vietnam",
      "sl": "Vietnam",
      "so": "Fiyetnaam",
      "sq": "Vietnam",
      "sr": "Вијетнам",
      "sv": "Vietnam",
      "sw": "Vietnam",
      "ta": "வியட்னாம்",
      "te": "వియత్నామ్",
      "tg": "Ветнам",
      "th": "เวียดนาม",
      "ti": "ቬትናም",
      "tk": "Wýetnam",
      "tl": "Viet Nam",
      "tr": "Vietnam",
      "tt": "Виет Нам",
      "ug": "ۋيېتنام",
      "uk": "В'єтнам",
      "ur": "ویتنام",
      "uz": "Vyetnam",
      "ve": "Viëtnam",
      "vi": "Việt Nam",
      "wa": "Vietnam",
      "wo": "Wiyet Naam",
      "xh": "Vietnam",
      "yo": "Fiẹtnám",
      "zh_CN": "越南",
      "zh_HK": "越南",
      "zh_TW": "越南",
      "zu": "IViyetnami"
    },
  );

  /// Country: The Republic of Vanuatu
  static const Country vut = Country(
    alpha2: 'VU',
    alpha3: 'VUT',
    continent: Continent.australia,
    countryCode: '678',
    currencyCode: 'VUV',
    gec: 'NH',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -15.376706,
        longitude: 166.959158,
      ),
      maxCoordinate: Coordinate(
        latitude: -12.8064449,
        longitude: 170.5023193,
      ),
      minCoordinate: Coordinate(
        latitude: -20.5350773,
        longitude: 166.0583495,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -12.8064449,
          longitude: 170.5023193,
        ),
        southwest: Coordinate(
          latitude: -20.5350773,
          longitude: 166.0583495,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'VAN',
    isoLongName: 'The Republic of Vanuatu',
    isoShortName: 'Vanuatu',
    languagesOfficial: ['bi', 'en', 'fr'],
    languagesSpoken: ['bi', 'en', 'fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [5, 6, 7],
    nationalPrefix: 'None',
    nationality: 'Ni-Vanuatu',
    number: '548',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Melanesia',
    unLocode: 'VU',
    unofficialNames: ['Vanuatu', 'バヌアツ'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Vanuatu",
      "af": "Vanuatu",
      "ak": "Vanuatu",
      "am": "ቫኑአቱ",
      "an": "Vanuatu",
      "ar": "فانواتو",
      "as": "ভানুৱাটুুু",
      "ay": "Vanuatu",
      "az": "Vanuatu",
      "ba": "Vanuatu",
      "be": "Вануату",
      "bg": "Вануату",
      "bi": "Vanuatu",
      "bn": "ভানুয়াটু",
      "bn_IN": "ভানুয়াটু",
      "br": "Vanuatu",
      "bs": "Vanuatu",
      "ca": "Vanuatu",
      "ce": "Вануату",
      "ch": "Vanuatu",
      "cs": "Vanuatu",
      "cv": "Вануату",
      "cy": "Vanuatu",
      "da": "Vanuatu",
      "de": "Vanuatu",
      "dv": "ވަނުއާޓޫ",
      "dz": "བ་ནུའ་ཊུ།",
      "ee": "Vanuatu",
      "el": "Βανουάτου",
      "en": "Vanuatu",
      "eo": "Vanuatuo",
      "es": "Vanuatu",
      "et": "Vanuatu",
      "eu": "Vanuatu",
      "fa": "وانواتو",
      "ff": "Vanuatu",
      "fi": "Vanuatu",
      "fo": "Vanuatu",
      "fr": "Vanuatu",
      "fy": "Fanuatû",
      "ga": "Vanuatú",
      "gl": "Vanuatu",
      "gn": "Vanuatu",
      "gu": "વાનુટુ",
      "gv": "Vanuatu",
      "ha": "Vanuatu",
      "he": "ונואטו",
      "hi": "वानूआटू",
      "hr": "Vanuatu",
      "ht": "Vanwatou",
      "hu": "Vanuatu",
      "hy": "Վանուատու",
      "ia": "Vanuatu",
      "id": "Vanuatu",
      "io": "Vanuatu",
      "is": "Vanuatú",
      "it": "Vanuatu",
      "iu": "Vanuatu",
      "ja": "バヌアツ",
      "ka": "ვანუატუ",
      "ki": "Vanuatu",
      "kk": "Вануату",
      "kl": "Vanuatu",
      "km": "វ៉ានុយអាទុយ",
      "kn": "Vanuatu",
      "ko": "바누아투",
      "ku": "Vanûatû",
      "kv": "Vanuatu",
      "kw": "Vanuatu",
      "ky": "Вануату",
      "lo": "Vanuatu",
      "lt": "Vanuatu",
      "lv": "Vanuatu",
      "mi": "Vanuatu",
      "mk": "Вануату",
      "ml": "വന്വാട്ടു",
      "mn": "Вануату",
      "mr": "व्हांतू",
      "ms": "Vanuatu",
      "mt": "Vanwatu",
      "my": "ဗနွားတူနိုင်ငံ",
      "na": "Banuatu",
      "nb": "Vanuatu",
      "ne": "वानुआटु",
      "nl": "Vanuatu",
      "nn": "Vanuatu",
      "nv": "Vanuatu",
      "oc": "Vanuatu",
      "or": "ଭାନେତୁ",
      "pa": "ਵਾਨੂਟੂ",
      "pi": "वनुवाटु",
      "pl": "Vanuatu",
      "ps": "Vanuatu",
      "pt": "Vanuatu",
      "pt_BR": "Vanuatu",
      "ro": "Vanuatu",
      "ru": "Вануату",
      "rw": "Vanuwatu",
      "sc": "Vanuatu",
      "sd": "Vanuatu",
      "si": "වනවාටු",
      "sk": "Vanuatu",
      "sl": "Vanuatu",
      "so": "Vanuatu",
      "sq": "Vanuatu",
      "sr": "Вануату",
      "sv": "Vanuatu",
      "sw": "Vanuatu",
      "ta": "வனாட்டு",
      "te": "వనౌతు",
      "tg": "Вануату",
      "th": "วานูอาตู",
      "ti": "Vanuatu",
      "tk": "Wanuatu",
      "tl": "Vanuatu",
      "tr": "Vanuatu",
      "tt": "Вануату",
      "ug": "ۋانۇئاتۇ",
      "uk": "Вануату",
      "ur": "وانواتو",
      "uz": "Vanuatu",
      "ve": "Vanuatu",
      "vi": "Va-nu-a-tu",
      "wa": "Vanouatou",
      "wo": "Vanuatu",
      "xh": "Vanuatu",
      "yo": "Fanuatu",
      "zh_CN": "瓦努阿图",
      "zh_HK": "瓦努阿圖",
      "zh_TW": "萬那杜",
      "zu": "Vanuatu"
    },
  );

  /// Country: The Territory of the Wallis and Futuna Islands
  static const Country wlf = Country(
    alpha2: 'WF',
    alpha3: 'WLF',
    continent: Continent.australia,
    countryCode: '681',
    currencyCode: 'XPF',
    gec: 'WF',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -14.2938,
        longitude: -178.1165,
      ),
      maxCoordinate: Coordinate(
        latitude: -13.1303042,
        longitude: -176.0971068,
      ),
      minCoordinate: Coordinate(
        latitude: -14.4187203,
        longitude: -178.2284546,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -13.1303042,
          longitude: -176.0971068,
        ),
        southwest: Coordinate(
          latitude: -14.4187203,
          longitude: -178.2284546,
        ),
      ),
    ),
    internationalPrefix: '19',
    ioc: null,
    isoLongName: 'The Territory of the Wallis and Futuna Islands',
    isoShortName: 'Wallis and Futuna',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [6],
    nationalPrefix: 'None',
    nationality: 'Wallis and Futuna Islander',
    number: '876',
    postalCode: true,
    postalCodeFormat: r'986\d{2}',
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Polynesia',
    unLocode: 'WF',
    unofficialNames: [
      'Wallis and Futuna',
      'Wallis und Futuna',
      'Wallis et Futuna',
      'Wallis y Futuna',
      'ウォリス・フツナ',
      'Wallis en Futuna'
    ],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Wallis and Futuna",
      "af": "Wallis en Futuna",
      "ak": "Wallis and Futuna",
      "am": "Wallis and Futuna",
      "an": "Wallis and Futuna",
      "ar": "واليس و فوتونا",
      "as": "ৱালিচ আৰু ফুটুনা",
      "ay": "Wallis and Futuna",
      "az": "Vallis və Futuna",
      "ba": "Wallis and Futuna",
      "be": "Уоліс і Футуна",
      "bg": "Острови Уолис и Футуна",
      "bi": "Wallis and Futuna",
      "bn": "ওয়ালিস ও ফুটুনা",
      "bn_IN": "ওয়ালিস ও ফুটুনা",
      "br": "Wallis ha Futuna",
      "bs": "Wallis i Futuna",
      "ca": "Wallis i Futuna",
      "ce": "Wallis and Futuna",
      "ch": "Wallis and Futuna",
      "cs": "Wallis a Futuna",
      "cv": "Wallis and Futuna",
      "cy": "Wallis a Futuna",
      "da": "Wallis og Futunaøerne",
      "de": "Wallis und Futuna",
      "dv": "ވާލީ އަދި ފުތޫނާ",
      "dz": "ཝ་ལིསི་དང་ཕུ་ཊ་ན།",
      "ee": "Wallis and Futuna",
      "el": "Ουαλίς και Φουτούνα",
      "en": "Wallis and Futuna",
      "eo": "Valiso kaj Futuno",
      "es": "Wallis y Futuna",
      "et": "Wallis ja Futuna",
      "eu": "Wallis eta Futuna",
      "fa": "والیس و فیوتونا",
      "ff": "Wallis and Futuna",
      "fi": "Wallis ja Futuna",
      "fo": "Wallis and Futuna",
      "fr": "Wallis et Futuna",
      "fy": "Wallis and Futuna",
      "ga": "Oileáin Vailís agus Futúna",
      "gl": "Wallis e Futuna",
      "gn": "Wallis and Futuna",
      "gu": "વાલીસ અને ફુટુના",
      "gv": "Wallis and Futuna",
      "ha": "Wallis and Futuna",
      "he": "ואליס ופוטונה",
      "hi": "वालिस और फ्यूटुना",
      "hr": "Wallis i Futuna",
      "ht": "Wallis and Futuna",
      "hu": "Wallis és Futuna",
      "hy": "Վոլիս և Ֆուտունա",
      "ia": "Wallis e Futuna",
      "id": "Wallis dan Futuna",
      "io": "Wallis e Futuna Insuli",
      "is": "Wallis- og Fútúnaeyjar",
      "it": "Wallis e Futuna",
      "iu": "Wallis and Futuna",
      "ja": "ワリー及びフテュナ",
      "ka": "ვალისი და ფუტუნა",
      "ki": "Wallis and Futuna",
      "kk": "Уоллис және Футуна",
      "kl": "Wallis and Futuna",
      "km": "វ៉ាលីស​និង​ហ្វុយទុយណា",
      "kn": "Wallis and Futuna",
      "ko": "왈리스 퓌튀나",
      "ku": "Walis û Futuna",
      "kv": "Wallis and Futuna",
      "kw": "Wallis ha Futuna",
      "ky": "Уоллес жана Футана",
      "lo": "Wallis and Futuna",
      "lt": "Volisas ir Futūna",
      "lv": "Volisa un Futuna",
      "mi": "Wallis and Futuna",
      "mk": "Валис и Футуна",
      "ml": "വാലിസും ഫ്യൂചുനയും",
      "mn": "Wallis and Futuna",
      "mr": "वालीस आणी फुतुना",
      "ms": "Wallis dan Futuna",
      "mt": "Wallis u Futuna",
      "my": "Wallis and Futuna",
      "na": "Wallis and Futuna",
      "nb": "Wallis og Futunaøyene",
      "ne": "वाल्लिस र फुटुना",
      "nl": "Wallis en Futuna",
      "nn": "Wallis- og Futunaøyane",
      "nv": "Wallis and Futuna",
      "oc": "Wallis e Futuna",
      "or": "ୱାଲିସ ଏବଂ ଫୁତୁନା",
      "pa": "ਵਿੱਲਸ ਅਤੇ ਫੂਟੂਨਾ",
      "pi": "Wallis and Futuna",
      "pl": "Wallis i Futuna",
      "ps": "Wallis and Futuna",
      "pt": "Wallis e Futuna",
      "pt_BR": "Wallis e Futuna",
      "ro": "Wallis și Futuna",
      "ru": "Уоллес и Футана",
      "rw": "Walisi na Fatuna",
      "sc": "Wallis e Futuna",
      "sd": "Wallis and Futuna",
      "si": "වලීස් හා ෆුටුනා",
      "sk": "Wallis a Futuna",
      "sl": "Wallis in Futuna",
      "so": "Wallis and Futuna",
      "sq": "Uollis dhe Futuna",
      "sr": "Валис и Футуна",
      "sv": "Wallis och Futuna",
      "sw": "Wallis and Futuna",
      "ta": "வாலிஸ் மற்றும் ப்யூடுனா",
      "te": "వాలిస్ మరియు ఫుతునా",
      "tg": "Уоллис ва Футуна",
      "th": "หมู่เกาะวาลลิสและหมู่เกาะฟุตูนา",
      "ti": "Wallis and Futuna",
      "tk": "Wolles we Futana",
      "tl": "Wallis at Futuna",
      "tr": "Wallis ve Futuna Adaları",
      "tt": "Валлис вә Футуна",
      "ug": "ۋالىس ۋە فۇتۇنا",
      "uk": "Волліс і Футуна",
      "ur": "والس و فتونہ",
      "uz": "Wallis and Futuna",
      "ve": "Wallis and Futuna",
      "vi": "Oua-li-xợ va Phu-tu-na",
      "wa": "Wallis et Futuna",
      "wo": "Wallis ak Futuna",
      "xh": "Wallis and Futuna",
      "yo": "Wallis àti Futuna",
      "zh_CN": "瓦利斯和富图纳",
      "zh_HK": "沃里斯及伏塔那羣島",
      "zh_TW": "沃里斯及伏塔那群島",
      "zu": "Wallis and Futuna"
    },
  );

  /// Country: The Independent State of Samoa
  static const Country wsm = Country(
    alpha2: 'WS',
    alpha3: 'WSM',
    continent: Continent.australia,
    countryCode: '685',
    currencyCode: 'WST',
    gec: 'WS',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -13.759029,
        longitude: -172.104629,
      ),
      maxCoordinate: Coordinate(
        latitude: -13.4203449,
        longitude: -171.3950515,
      ),
      minCoordinate: Coordinate(
        latitude: -14.0833012,
        longitude: -172.8108215,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -13.4203449,
          longitude: -171.3950515,
        ),
        southwest: Coordinate(
          latitude: -14.0833012,
          longitude: -172.8108215,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'SAM',
    isoLongName: 'The Independent State of Samoa',
    isoShortName: 'Samoa',
    languagesOfficial: ['sm', 'en'],
    languagesSpoken: ['sm', 'en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [6, 7],
    nationalPrefix: 'None',
    nationality: 'Samoan',
    number: '882',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.oceania,
    startOfWeek: Week.monday,
    subregion: 'Polynesia',
    unLocode: 'WS',
    unofficialNames: ['Samoa', 'サモア'],
    worldRegion: WorldRegion.apac,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Samoa",
      "af": "Samoa",
      "ak": "Samoa",
      "am": "ሳሞዓ",
      "an": "Samoa",
      "ar": "صاموا",
      "as": "ছামোৱা",
      "ay": "Samoa",
      "az": "Samoa",
      "ba": "Samoa",
      "be": "Самоа",
      "bg": "Самоа",
      "bi": "Samoa",
      "bn": "সামোয়া",
      "bn_IN": "সামোয়া",
      "br": "Samoa",
      "bs": "Samoa",
      "ca": "Samoa",
      "ce": "Самоа",
      "ch": "Samoa",
      "cs": "Samoa",
      "cv": "Самоа",
      "cy": "Samoa",
      "da": "Samoa",
      "de": "Samoa",
      "dv": "ސަމޯއާ",
      "dz": "ས་མོའ།",
      "ee": "Samoa",
      "el": "Σαμόα",
      "en": "Samoa",
      "eo": "Samoo",
      "es": "Samoa",
      "et": "Samoa",
      "eu": "Samoa",
      "fa": "ساموا",
      "ff": "Samoa",
      "fi": "Samoa",
      "fo": "Sámoa",
      "fr": "Samoa",
      "fy": "Samoa",
      "ga": "Samó",
      "gl": "Samoa",
      "gn": "Samoa",
      "gu": "સામોઆ",
      "gv": "Samoa",
      "ha": "Samoa",
      "he": "סמואה",
      "hi": "समोआ",
      "hr": "Samoa",
      "ht": "Samoa",
      "hu": "Szamoa",
      "hy": "Սամոա",
      "ia": "Samoa",
      "id": "Samoa",
      "io": "Samoa",
      "is": "Samóa",
      "it": "Samoa",
      "iu": "Samoa",
      "ja": "サモア",
      "ka": "სამოა",
      "ki": "Samoa",
      "kk": "Самоа",
      "kl": "Samoa",
      "km": "សាមូអា",
      "kn": "ಸಮೋಆ",
      "ko": "사모아",
      "ku": "Samoa",
      "kv": "Samoa",
      "kw": "Samoa",
      "ky": "Самоа",
      "lo": "Samoa",
      "lt": "Samoa",
      "lv": "Samoa",
      "mi": "Samoa",
      "mk": "Самоа",
      "ml": "സമോവ",
      "mn": "Самоа",
      "mr": "सामोआ",
      "ms": "Samoa",
      "mt": "Samoa",
      "my": "ဆမိုးအားနိုင်ငံ",
      "na": "Tamoa",
      "nb": "Samoa",
      "ne": "समाओ",
      "nl": "Samoa",
      "nn": "Samoa",
      "nv": "Samoa",
      "oc": "Samoa",
      "or": "ସାମୋଆ",
      "pa": "ਸਾਮੀਆ",
      "pi": "समोआ",
      "pl": "Samoa",
      "ps": "ساموا",
      "pt": "Samoa",
      "pt_BR": "Samoa",
      "ro": "Samoa",
      "ru": "Самоа",
      "rw": "Samowa",
      "sc": "Samoa",
      "sd": "ساموا",
      "si": "සැමෝවා",
      "sk": "Samoa",
      "sl": "Samoa",
      "so": "Samoa",
      "sq": "Samoa",
      "sr": "Самоа",
      "sv": "Samoa",
      "sw": "Samoa",
      "ta": "சமோவா",
      "te": "సామోఆ",
      "tg": "Самоа",
      "th": "ซามัว",
      "ti": "Samoa",
      "tk": "Samoa",
      "tl": "Samoa",
      "tr": "Samoa",
      "tt": "Самоа",
      "ug": "غەربىي ساموئا",
      "uk": "Самоа",
      "ur": "سامووا",
      "uz": "Samoa",
      "ve": "Samoa",
      "vi": "Xa-mô-a",
      "wa": "Samowa",
      "wo": "Saamowa",
      "xh": "Samoa",
      "yo": "Sàmóà",
      "zh_CN": "萨摩亚",
      "zh_HK": "薩摩亞",
      "zh_TW": "薩摩亞",
      "zu": "Samoa"
    },
  );

  /// Country: The Republic of Yemen
  static const Country yem = Country(
    alpha2: 'YE',
    alpha3: 'YEM',
    continent: Continent.asia,
    countryCode: '967',
    currencyCode: 'YER',
    gec: 'YM',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: 15.552727,
        longitude: 48.516388,
      ),
      maxCoordinate: Coordinate(
        latitude: 18.9996331,
        longitude: 54.67899999999999,
      ),
      minCoordinate: Coordinate(
        latitude: 11.7975,
        longitude: 41.70959999999999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: 18.9996331,
          longitude: 54.67899999999999,
        ),
        southwest: Coordinate(
          latitude: 11.7975,
          longitude: 41.70959999999999,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'YEM',
    isoLongName: 'The Republic of Yemen',
    isoShortName: 'Yemen',
    languagesOfficial: ['ar'],
    languagesSpoken: ['ar'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7, 8, 9],
    nationalPrefix: '0',
    nationality: 'Yemeni',
    number: '887',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.asia,
    startOfWeek: Week.sunday,
    subregion: 'Western Asia',
    unLocode: 'YE',
    unofficialNames: ['Yemen', 'اليمن', 'Jemen', 'Yémen', 'イエメン'],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{postalcode}} {{city}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Yemen",
      "af": "Jemen",
      "ak": "Yemen",
      "am": "ፘመን",
      "an": "Yemen",
      "ar": "اليمن",
      "as": "য়েমেন",
      "ay": "Yemen",
      "az": "Yəmən",
      "ba": "Yemen",
      "be": "Емен",
      "bg": "Йемен",
      "bi": "Yemen",
      "bn": "ইয়েমেন",
      "bn_IN": "ইয়েমেন",
      "br": "Yemen",
      "bs": "Jemen",
      "ca": "Iemen",
      "ce": "Йемен",
      "ch": "Yemen",
      "cs": "Jemen",
      "cv": "Йемен",
      "cy": "Yemen",
      "da": "Yemen",
      "de": "Jemen",
      "dv": "ޔަމަން",
      "dz": "ཡེ་མེན།",
      "ee": "Yemen",
      "el": "Υεμένη",
      "en": "Yemen",
      "eo": "Jemeno",
      "es": "Yemen",
      "et": "Jeemen",
      "eu": "Yemen",
      "fa": "یمن",
      "ff": "Yemen",
      "fi": "Jemen",
      "fo": "Jemen",
      "fr": "Yémen",
      "fy": "Jemen",
      "ga": "Éimin",
      "gl": "Iemen",
      "gn": "Yemen",
      "gu": "યમન",
      "gv": "Yn Yeaman",
      "ha": "Yemen",
      "he": "תימן",
      "hi": "यमन",
      "hr": "Jemen",
      "ht": "Yemèn",
      "hu": "Jemen",
      "hy": "Եմեն",
      "ia": "Yemen",
      "id": "Yaman",
      "io": "Yemen",
      "is": "Jemen",
      "it": "Yemen",
      "iu": "Yemen",
      "ja": "イエメン",
      "ka": "იემენი",
      "ki": "Yemen",
      "kk": "Йемен",
      "kl": "Yemen",
      "km": "យេមែន",
      "kn": "ಯೆಮೆನ್",
      "ko": "예멘",
      "ku": "Yemen",
      "kv": "Йемен",
      "kw": "Yemen",
      "ky": "Йемен",
      "lo": "Yemen",
      "lt": "Jemenas",
      "lv": "Jemena",
      "mi": "Yemen",
      "mk": "Јемен",
      "ml": "യെമന്‍",
      "mn": "Иемэн",
      "mr": "येमेन",
      "ms": "Yaman",
      "mt": "Jemen",
      "my": "ယီမင်နိုင်ငံ",
      "na": "Yemen",
      "nb": "Jemen",
      "ne": "येमेन",
      "nl": "Jemen",
      "nn": "Jemen",
      "nv": "Shádiʼááhjí Ásáí Dineʼé Bikéyah",
      "oc": "Iemèn",
      "or": "ୟମନ",
      "pa": "ਯਮਨ",
      "pi": "यमन",
      "pl": "Jemen",
      "ps": "یمن",
      "pt": "Iémen",
      "pt_BR": "Iêmen",
      "ro": "Yemen",
      "ru": "Йемен",
      "rw": "Yemeni",
      "sc": "Yemen",
      "sd": "يمن",
      "si": "යේමනය",
      "sk": "Jemen",
      "sl": "Jemen",
      "so": "Yaman",
      "sq": "Jemen",
      "sr": "Јемен",
      "sv": "Yemen",
      "sw": "Yemen",
      "ta": "யேமன்",
      "te": "యెమెన్",
      "tg": "Яман",
      "th": "เยเมน",
      "ti": "የመን",
      "tk": "Ýemen",
      "tl": "Yemen",
      "tr": "Yemen",
      "tt": "Йемен",
      "ug": "يەمەن",
      "uk": "Ємен",
      "ur": "یمن",
      "uz": "Yaman",
      "ve": "Yemen",
      "vi": "Y-ê-men",
      "wa": "Yemen",
      "wo": "Yaman",
      "xh": "Yemen",
      "yo": "Yemen",
      "zh_CN": "也门",
      "zh_HK": "也門",
      "zh_TW": "葉門",
      "zu": "IYemen"
    },
  );

  /// Country: The Department of Mayotte
  static const Country myt = Country(
    alpha2: 'YT',
    alpha3: 'MYT',
    continent: Continent.africa,
    countryCode: '262',
    currencyCode: 'EUR',
    gec: 'MF',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -12.8275,
        longitude: 45.166244,
      ),
      maxCoordinate: Coordinate(
        latitude: -12.5772665,
        longitude: 45.32014849999999,
      ),
      minCoordinate: Coordinate(
        latitude: -13.0358332,
        longitude: 44.9914169,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -12.5772665,
          longitude: 45.32014849999999,
        ),
        southwest: Coordinate(
          latitude: -13.0358332,
          longitude: 44.9914169,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: null,
    isoLongName: 'The Department of Mayotte',
    isoShortName: 'Mayotte',
    languagesOfficial: ['fr'],
    languagesSpoken: ['fr'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [7],
    nationalPrefix: 'None',
    nationality: 'French',
    number: '175',
    postalCode: true,
    postalCodeFormat: r'976\d{2}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'YT',
    unofficialNames: ['Mayotte', 'マヨット'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: true,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Mayotte",
      "af": "Mayotte",
      "ak": "Mayotte",
      "am": "Mayotte",
      "an": "Mayotte",
      "ar": "مايوت",
      "as": "মেওতে",
      "ay": "Mayotte",
      "az": "Mayot",
      "ba": "Mayotte",
      "be": "Маёта",
      "bg": "Майот",
      "bi": "Mayotte",
      "bn": "মেওতে",
      "bn_IN": "মেওতে",
      "br": "Mayotte",
      "bs": "Mayotte",
      "ca": "Mayotte",
      "ce": "Майотта",
      "ch": "Mayotte",
      "cs": "Mayotte",
      "cv": "Майотта",
      "cy": "Mayotte",
      "da": "Mayotte",
      "de": "Mayotte",
      "dv": "Mayotte",
      "dz": "མ་ཡོ་ཊི།",
      "ee": "Mayotte",
      "el": "Μαγιότ",
      "en": "Mayotte",
      "eo": "Majoto",
      "es": "Mayotte",
      "et": "Mayotte",
      "eu": "Mayotte",
      "fa": "مایوت",
      "ff": "Mayotte",
      "fi": "Mayotte",
      "fo": "Mayotte",
      "fr": "Mayotte",
      "fy": "Majot",
      "ga": "Mayotte",
      "gl": "Maiote",
      "gn": "Mayotte",
      "gu": "માયોટે",
      "gv": "Mayotte",
      "ha": "Mayotte",
      "he": "מיוט",
      "hi": "मेयोट",
      "hr": "Mayotte",
      "ht": "Mayotte",
      "hu": "Mayotte",
      "hy": "Մայոտ",
      "ia": "Mayotte",
      "id": "Mayotte",
      "io": "Mayotte",
      "is": "Mayott",
      "it": "Mayotte",
      "iu": "Mayotte",
      "ja": "マヨット",
      "ka": "მეიოტი",
      "ki": "Mayotte",
      "kk": "Мариотт",
      "kl": "Mayotte",
      "km": "ម៉ាយុត",
      "kn": "Mayotte",
      "ko": "마요트",
      "ku": "Mayote",
      "kv": "Mayotte",
      "kw": "Mayotte",
      "ky": "Майот",
      "lo": "Mayotte",
      "lt": "Majotas",
      "lv": "Majota",
      "mi": "Mayotte",
      "mk": "Мајоте",
      "ml": "മയോട്ടെ",
      "mn": "Майотте",
      "mr": "मायोट",
      "ms": "Mayotte",
      "mt": "Majotte",
      "my": "Mayotte",
      "na": "Mayotte",
      "nb": "Mayotte",
      "ne": "मायोट्टे",
      "nl": "Mayotte",
      "nn": "Mayotte",
      "nv": "Mayotte",
      "oc": "Maiòta",
      "or": "ମେୟୋଟ",
      "pa": "ਮਾਈਟੀ",
      "pi": "Mayotte",
      "pl": "Majotta",
      "ps": "Mayotte",
      "pt": "Mayotte",
      "pt_BR": "Maiote",
      "ro": "Mayotte",
      "ru": "Майот",
      "rw": "Mayoti",
      "sc": "Mayotte",
      "sd": "Mayotte",
      "si": "මයොට්ටේ",
      "sk": "Mayotte",
      "sl": "Mayotte",
      "so": "Mayotte",
      "sq": "Majote",
      "sr": "Мајот",
      "sv": "Mayotte",
      "sw": "Mayotte",
      "ta": "மயோதி",
      "te": "మాయోటె",
      "tg": "Майотта",
      "th": "มายอต",
      "ti": "Mayotte",
      "tk": "Maýotta",
      "tl": "Mayotte",
      "tr": "Mayotte",
      "tt": "Маётте",
      "ug": "مايوتتې",
      "uk": "Майотта",
      "ur": "مایوٹ",
      "uz": "Mayotta",
      "ve": "Mayotte",
      "vi": "May-o-thợ",
      "wa": "Mayote",
      "wo": "Mayoot",
      "xh": "Mayotte",
      "yo": "Mayotte",
      "zh_CN": "马约特",
      "zh_HK": "美亞特",
      "zh_TW": "馬約特",
      "zu": "IMayotte"
    },
  );

  /// Country: The Republic of South Africa
  static const Country zaf = Country(
    alpha2: 'ZA',
    alpha3: 'ZAF',
    continent: Continent.africa,
    countryCode: '27',
    currencyCode: 'ZAR',
    gec: 'SF',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -30.559482,
        longitude: 22.937506,
      ),
      maxCoordinate: Coordinate(
        latitude: -22.1254239,
        longitude: 38.2216904,
      ),
      minCoordinate: Coordinate(
        latitude: -47.1313489,
        longitude: 16.2816999,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -22.1254239,
          longitude: 38.2216904,
        ),
        southwest: Coordinate(
          latitude: -47.1313489,
          longitude: 16.2816999,
        ),
      ),
    ),
    internationalPrefix: '09',
    ioc: 'RSA',
    isoLongName: 'The Republic of South Africa',
    isoShortName: 'South Africa',
    languagesOfficial: [
      'af',
      'en',
      'nr',
      'st',
      'ss',
      'tn',
      'ts',
      've',
      'xh',
      'zu'
    ],
    languagesSpoken: [
      'af',
      'en',
      'nr',
      'st',
      'ss',
      'tn',
      'ts',
      've',
      'xh',
      'zu'
    ],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'South African',
    number: '710',
    postalCode: true,
    postalCodeFormat: r'\d{4}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Southern Africa',
    unLocode: 'ZA',
    unofficialNames: [
      'South Africa',
      'Republik Südafrika',
      'Afrique du Sud',
      'República de Sudáfrica',
      '南アフリカ',
      'Zuid-Afrika'
    ],
    worldRegion: WorldRegion.emea,
    addressFormat: '''{{recipient}}
{{street}}
{{city}}
{{region}}
{{postalcode}}
{{country}}''',
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "South Africa",
      "af": "Suid-Afrika",
      "ak": "South Africa",
      "am": "፠ቡብ ጐፔሱጢ",
      "an": "South Africa",
      "ar": "جنوب إفريقيا",
      "as": "দক্ষিণ আফ্ৰিকা",
      "ay": "South Africa",
      "az": "Cənubi Afrika",
      "ba": "South Africa",
      "be": "Паўднёва-Афрыканская Рэспубліка",
      "bg": "Южна Африка",
      "bi": "South Africa",
      "bn": "দক্ষিণ আফ্রিকা",
      "bn_IN": "দক্ষিণ আফ্রিকা",
      "br": "Suafrika",
      "bs": "Južna Afrika",
      "ca": "Sudàfrica",
      "ce": "Къилба-Африкин Республика",
      "ch": "South Africa",
      "cs": "Jihoafrická republika",
      "cv": "Къилба-Африкин Республика",
      "cy": "De Affrica",
      "da": "Sydafrika",
      "de": "Südafrika",
      "dv": "ދެކުނު އެފްރިކާ",
      "dz": "ལྷོ་ཨཕ་རི་ཀ",
      "ee": "South Africa",
      "el": "Νότια Αφρική",
      "en": "South Africa",
      "eo": "Sud-Afriko",
      "es": "Sudáfrica",
      "et": "Lõuna-Aafrika Vabariik",
      "eu": "Hegoafrika",
      "fa": "آفریقای جنوبی",
      "ff": "South Africa",
      "fi": "Etelä-Afrikka",
      "fo": "Suðurafrika",
      "fr": "Afrique du Sud",
      "fy": "Súd-Afrika",
      "ga": "An Afraic Theas",
      "gl": "África do Sur",
      "gn": "South Africa",
      "gu": "દક્ષિણ આફ્રિકા",
      "gv": "Yn Affrick Yiass",
      "ha": "Afirka ta kudu",
      "he": "דרום אפריקה",
      "hi": "दक्षिण अफ़्रीका",
      "hr": "Južnoafrička Republika",
      "ht": "Afrik disid",
      "hu": "Dél-Afrika",
      "hy": "Հարավային Աֆրիկա",
      "ia": "Africa del Sud",
      "id": "Afrika Selatan",
      "io": "Sudafrika",
      "is": "Suður-Afríka",
      "it": "Sudafrica",
      "iu": "South Africa",
      "ja": "南アフリカ",
      "ka": "სამხრეთ აფრიკა",
      "ki": "South Abĩrika",
      "kk": "Оңтүстік Африка",
      "kl": "South Africa",
      "km": "អាហ្វ្រិក​ខាងត្បូង",
      "kn": "ದಕ್ಷಿಣ ಆಫ್ರಿಕಾ",
      "ko": "남아프리카 공화국",
      "ku": "Efrîka Basur",
      "kv": "Лунвыв Африкаса Республика",
      "kw": "Afrika Dhyhow",
      "ky": "Түштүк-Африка Республикасы",
      "lo": "South Africa",
      "lt": "Pietų Afrika",
      "lv": "Dienvidāfrika",
      "mi": "Āwherika-ki-te-tonga",
      "mk": "Јужна Африка",
      "ml": "സൌത്ത് ആഫ്രിക്ക",
      "mn": "Өмнөд африк",
      "mr": "साउथ आफ्रिका",
      "ms": "Afrika Selatan",
      "mt": "Afrika t'Isfel",
      "my": "တောင်အာဖရိကနိုင်ငံ",
      "na": "South Aprika",
      "nb": "Sør-Afrika",
      "ne": "दक्षिण अफ्रिका",
      "nl": "Zuid-Afrika",
      "nn": "Sør-Afrika",
      "nv": "Kéyah Naakaii Łizhinii Bikéyah Shádiʼááhjí Siʼánígíí",
      "oc": "Sudafrica",
      "or": "ଦକ୍ଷିଣ ଆଫ୍ରିକା",
      "pa": "ਦੱਖਣੀ ਅਫਰੀਕਾ",
      "pi": "दक्षिण-अफ्रीका",
      "pl": "Republika Południowej Afryki",
      "ps": "سویلي افریقا",
      "pt": "África do Sul",
      "pt_BR": "África do Sul",
      "ro": "Africa de sud",
      "ru": "Южная Африка",
      "rw": "Afurika yepfo",
      "sc": "Sudàfrica",
      "sd": "ڏکڻ آفريڪا",
      "si": "දකුණු අප්‍රිකාව",
      "sk": "Južná Afrika",
      "sl": "Južna Afrika",
      "so": "Koonfur Afrika",
      "sq": "Afrikë e Jugut",
      "sr": "Јужна Африка",
      "sv": "Sydafrika",
      "sw": "South Africa",
      "ta": "தென் ஆப்ரிக்கா",
      "te": "సౌత్ ఆఫ్రికా",
      "tg": "Африкаи Ҷанубӣ",
      "th": "แอฟริกาใต้",
      "ti": "ደቡብ ኣፍሪቃ",
      "tk": "Günorta Afrika",
      "tl": "Timog Aprika",
      "tr": "Güney Afrika",
      "tt": "Көняк Африка",
      "ug": "جەنۇبىي ئافرىقا",
      "uk": "Південна Африка",
      "ur": "جنوبی افریقا",
      "uz": "Janubiy Afrika Respublikasi",
      "ve": "Afurika Tshipembe",
      "vi": "Nam Phi",
      "wa": "Nonne Afrike",
      "wo": "Afrik di Sid",
      "xh": "Mzantsi Afrika",
      "yo": "Gúúsù Áfríkà",
      "zh_CN": "南非",
      "zh_HK": "南非",
      "zh_TW": "南非",
      "zu": "IRiphabliki yaseNingizimu Afrika"
    },
  );

  /// Country: The Republic of Zambia
  static const Country zmb = Country(
    alpha2: 'ZM',
    alpha3: 'ZMB',
    continent: Continent.africa,
    countryCode: '260',
    currencyCode: 'ZMW',
    gec: 'ZA',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -13.133897,
        longitude: 27.849332,
      ),
      maxCoordinate: Coordinate(
        latitude: -8.2032838,
        longitude: 33.7090305,
      ),
      minCoordinate: Coordinate(
        latitude: -18.0774179,
        longitude: 21.999351,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -8.2032838,
          longitude: 33.7090305,
        ),
        southwest: Coordinate(
          latitude: -18.0774179,
          longitude: 21.999351,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'ZAM',
    isoLongName: 'The Republic of Zambia',
    isoShortName: 'Zambia',
    languagesOfficial: ['en'],
    languagesSpoken: ['en'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [9],
    nationalPrefix: '0',
    nationality: 'Zambian',
    number: '894',
    postalCode: true,
    postalCodeFormat: r'\d{5}',
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'ZM',
    unofficialNames: ['Zambia', 'Sambia', 'Zambie', 'ザンビア'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Zambia",
      "af": "Zambië",
      "ak": "Zambia",
      "am": "ዛምቢያ",
      "an": "Zambia",
      "ar": "زامبيا",
      "as": "জাম্বিয়া",
      "ay": "Zambia",
      "az": "Zambiya",
      "ba": "Zambia",
      "be": "Замбія",
      "bg": "Замбия",
      "bi": "Zambia",
      "bn": "জাম্বিয়া",
      "bn_IN": "জাম্বিয়া",
      "br": "Zambia",
      "bs": "Zambija",
      "ca": "Zàmbia",
      "ce": "Замби",
      "ch": "Zambia",
      "cs": "Zambie",
      "cv": "Замби",
      "cy": "Zambia",
      "da": "Zambia",
      "de": "Sambia",
      "dv": "ޒެމްބިއާ",
      "dz": "ཛམ་བི་ཡ།",
      "ee": "Zambia",
      "el": "Ζάμπια",
      "en": "Zambia",
      "eo": "Zambio",
      "es": "Zambia",
      "et": "Sambia",
      "eu": "Zambia",
      "fa": "زامبیا",
      "ff": "Zambia",
      "fi": "Sambia",
      "fo": "Sambia",
      "fr": "Zambie",
      "fy": "Sambia",
      "ga": "An tSaimbia",
      "gl": "Zambia",
      "gn": "Zambia",
      "gu": "ઝાંબિયા",
      "gv": "Yn Tambia",
      "ha": "Zambia",
      "he": "זמביה",
      "hi": "ज़ाम्बिया",
      "hr": "Zambija",
      "ht": "Zanbi",
      "hu": "Zambia",
      "hy": "Զամբիա",
      "ia": "Zambia",
      "id": "Zambia",
      "io": "Zambia",
      "is": "Sambía",
      "it": "Zambia",
      "iu": "Zambia",
      "ja": "ザンビア",
      "ka": "ზამბია",
      "ki": "Zambia",
      "kk": "Замбия",
      "kl": "Zambia",
      "km": "ហ្សាំប៊ី",
      "kn": "ಝಾಂಬಿಯಾ",
      "ko": "잠비아",
      "ku": "Zambiya",
      "kv": "Zambia",
      "kw": "Zambi",
      "ky": "Замбия",
      "lo": "Zambia",
      "lt": "Zambija",
      "lv": "Zambija",
      "mi": "Zambia",
      "mk": "Замбија",
      "ml": "സാംബിയ",
      "mn": "Замби",
      "mr": "झांबिया",
      "ms": "Zambia",
      "mt": "Żambja",
      "my": "ဇမ်ဘီယာနိုင်ငံ",
      "na": "Zambia",
      "nb": "Zambia",
      "ne": "जाम्बिया",
      "nl": "Zambia",
      "nn": "Zambia",
      "nv": "Zambia",
      "oc": "Zambia",
      "or": "ଜାମ୍ବିୟା",
      "pa": "ਜ਼ੈਬੀਆ",
      "pi": "जाम्बिया",
      "pl": "Zambia",
      "ps": "زېمبيا",
      "pt": "Zâmbia",
      "pt_BR": "Zâmbia",
      "ro": "Zambia",
      "ru": "Замбия",
      "rw": "Zambiya",
      "sc": "Zàmbia",
      "sd": "زيمبيا",
      "si": "සැම්බියාව",
      "sk": "Zambia",
      "sl": "Zambija",
      "so": "Saambiya",
      "sq": "Zambia",
      "sr": "Замбија",
      "sv": "Zambia",
      "sw": "Zambia",
      "ta": "சாம்பியா",
      "te": "జాంబియా",
      "tg": "Замбия",
      "th": "แซมเบีย",
      "ti": "ዛምቢያ",
      "tk": "Zambiýa",
      "tl": "Zambia",
      "tr": "Zambiya",
      "tt": "Замбиа",
      "ug": "زامبىيە",
      "uk": "Замбія",
      "ur": "زیمبیا",
      "uz": "Zambiya",
      "ve": "Zambia",
      "vi": "Xam-bi-a",
      "wa": "Zambeye",
      "wo": "Saambi",
      "xh": "Zambia",
      "yo": "Sámbíà",
      "zh_CN": "赞比亚",
      "zh_HK": "贊比亞",
      "zh_TW": "尚比亞",
      "zu": "IZambiya"
    },
  );

  /// Country: The Republic of Zimbabwe
  static const Country zwe = Country(
    alpha2: 'ZW',
    alpha3: 'ZWE',
    continent: Continent.africa,
    countryCode: '263',
    currencyCode: 'USD',
    gec: 'ZI',
    geo: GeoData(
      coordinate: Coordinate(
        latitude: -19.015438,
        longitude: 29.154857,
      ),
      maxCoordinate: Coordinate(
        latitude: -15.6093188,
        longitude: 33.068236,
      ),
      minCoordinate: Coordinate(
        latitude: -22.4219117,
        longitude: 25.237368,
      ),
      boundary: BoundingBox(
        northeast: Coordinate(
          latitude: -15.6093188,
          longitude: 33.068236,
        ),
        southwest: Coordinate(
          latitude: -22.4219117,
          longitude: 25.237368,
        ),
      ),
    ),
    internationalPrefix: '00',
    ioc: 'ZIM',
    isoLongName: 'The Republic of Zimbabwe',
    isoShortName: 'Zimbabwe',
    languagesOfficial: ['en', 'sn', 'nd'],
    languagesSpoken: ['en', 'sn', 'nd'],
    nationalDestinationCodeLengths: [2],
    nationalNumberLengths: [8, 9, 10, 11],
    nationalPrefix: '0',
    nationality: 'Zimbabwean',
    number: '716',
    postalCode: false,
    postalCodeFormat: null,
    region: Region.africa,
    startOfWeek: Week.monday,
    subregion: 'Eastern Africa',
    unLocode: 'ZW',
    unofficialNames: ['Zimbabwe', 'Simbabwe', 'Zimbabue', 'ジンバブエ'],
    worldRegion: WorldRegion.emea,
    addressFormat: null,
    vatRates: null,
    nanpPrefix: null,
    eeaMember: null,
    euMember: null,
    esmMember: null,
    altCurrency: null,
    isoShortNameByLocale: {
      "ab": "Zimbabwe",
      "af": "Zimbabwe",
      "ak": "Zimbabwe",
      "am": "ፒሤቢ።",
      "an": "Zimbabwe",
      "ar": "زمبابوي",
      "as": "জিম্বাবোৱে",
      "ay": "Zimbabwe",
      "az": "Zimbabve",
      "ba": "Zimbabwe",
      "be": "Зімбабвэ",
      "bg": "Зимбабве",
      "bi": "Zimbabwe",
      "bn": "জিম্বাবুয়ে",
      "bn_IN": "জিম্বাবুয়ে",
      "br": "Zimbabwe",
      "bs": "Zimbabve",
      "ca": "Zimbabwe",
      "ce": "Зимбабве",
      "ch": "Zimbabwe",
      "cs": "Zimbabwe",
      "cv": "Зимбабве",
      "cy": "Zimbabwe",
      "da": "Zimbabwe",
      "de": "Simbabwe",
      "dv": "ޒިމްބާބުވޭ",
      "dz": "ཛིམ་བབ་ཝི།",
      "ee": "Zimbabwe",
      "el": "Ζιμπάμπουε",
      "en": "Zimbabwe",
      "eo": "Zimbabvo",
      "es": "Zimbabue",
      "et": "Zimbabwe",
      "eu": "Zimbabwe",
      "fa": "زیمبابوه",
      "ff": "Zimbabwe",
      "fi": "Zimbabwe",
      "fo": "Simbabvi",
      "fr": "Zimbabwe",
      "fy": "Simbabwe",
      "ga": "An tSiombáib",
      "gl": "Zimbabue",
      "gn": "Zimbabwe",
      "gu": "ઝીમ્બાબવે",
      "gv": "Yn Çhimbabwe",
      "ha": "Zimbabwe",
      "he": "זימבבואה",
      "hi": "ज़िम्बाब्वे",
      "hr": "Zimbabve",
      "ht": "Zimbabwe",
      "hu": "Zimbabwe",
      "hy": "Զիմբաբվե",
      "ia": "Zimbabwe",
      "id": "Zimbabwe",
      "io": "Zimbabwe",
      "is": "Simbabve",
      "it": "Zimbabwe",
      "iu": "Zimbabwe",
      "ja": "ジンバブエ",
      "ka": "ზიმბაბვე",
      "ki": "Zimbabwe",
      "kk": "Зимбабве",
      "kl": "Zimbabwe",
      "km": "ហ្ស៊ីមបាវ៉េ",
      "kn": "ಝಿಂಬಾಬ್ವೆ",
      "ko": "짐바브웨",
      "ku": "Zimbabwe",
      "kv": "Zimbabwe",
      "kw": "Zimbabwe",
      "ky": "Зимбабве",
      "lo": "Zimbabwe",
      "lt": "Zimbabvė",
      "lv": "Zimbabve",
      "mi": "Zimbabwe",
      "mk": "Зимбабве",
      "ml": "സിംബാബ്‌വേ",
      "mn": "Замбибаби",
      "mr": "झिंबाव्वे",
      "ms": "Zimbabwe",
      "mt": "Żimbabwe",
      "my": "ဇင်ဘာဘွေနိုင်ငံ",
      "na": "Zimbabwe",
      "nb": "Zimbabwe",
      "ne": "जिम्बावे",
      "nl": "Zimbabwe",
      "nn": "Zimbabwe",
      "nv": "Hooghan Tsé Bee Ádaalyaaí Bikéyah",
      "oc": "Zimbabwe",
      "or": "ଜିମ୍ବାଓ୍ବେ",
      "pa": "ਜਿੰਬਾਬਾਵੇ",
      "pi": "जिम्बाबवे",
      "pl": "Zimbabwe",
      "ps": "زېمبابوې",
      "pt": "Zimbabwe",
      "pt_BR": "Zimbábue",
      "ro": "Zimbabwe",
      "ru": "Зимбабве",
      "rw": "Zimbabwe",
      "sc": "Zimbabwe",
      "sd": "زمبابوي",
      "si": "සිම්බාබ්වේ",
      "sk": "Zimbabwe",
      "sl": "Zimbabve",
      "so": "Simbaabwe",
      "sq": "Zimbabve",
      "sr": "Зимбабве",
      "sv": "Zimbabwe",
      "sw": "Zimbabwe",
      "ta": "ஜிம்பாப்வே",
      "te": "జింబాంబ్వే",
      "tg": "Зимбабве",
      "th": "ซิมบับเว",
      "ti": "ዚምባብዌ",
      "tk": "Zimbabwe",
      "tl": "Zimbabwe",
      "tr": "Zimbabve",
      "tt": "Зимбабве",
      "ug": "زىمبابۋې",
      "uk": "Зімбабве",
      "ur": "زمبابوے",
      "uz": "Zimbabve",
      "ve": "Zimbagwe",
      "vi": "Xim-ba-bu-ê",
      "wa": "Zimbabwè",
      "wo": "Simbaabwee",
      "xh": "Zimbabwe",
      "yo": "Sìmbábúè",
      "zh_CN": "津巴布韦",
      "zh_HK": "津巴布韋",
      "zh_TW": "辛巴威",
      "zu": "IZimbabwe"
    },
  );

  /// All countries in the world
  static List<Country> get values => [
        and,
        are,
        afg,
        atg,
        aia,
        alb,
        arm,
        ago,
        ata,
        arg,
        asm,
        aut,
        aus,
        abw,
        ala,
        aze,
        bih,
        brb,
        bgd,
        bel,
        bfa,
        bgr,
        bhr,
        bdi,
        ben,
        blm,
        bmu,
        brn,
        bol,
        bes,
        bra,
        bhs,
        btn,
        bvt,
        bwa,
        blr,
        blz,
        can,
        cck,
        cod,
        caf,
        cog,
        che,
        civ,
        cok,
        chl,
        cmr,
        chn,
        col,
        cri,
        cub,
        cpv,
        cuw,
        cxr,
        cyp,
        cze,
        deu,
        dji,
        dnk,
        dma,
        dom,
        dza,
        ecu,
        est,
        egy,
        esh,
        eri,
        esp,
        eth,
        fin,
        fji,
        flk,
        fsm,
        fro,
        fra,
        gab,
        gbr,
        grd,
        geo,
        guf,
        ggy,
        gha,
        gib,
        grl,
        gmb,
        gin,
        glp,
        gnq,
        grc,
        sgs,
        gtm,
        gum,
        gnb,
        guy,
        hkg,
        hmd,
        hnd,
        hrv,
        hti,
        hun,
        idn,
        irl,
        isr,
        imn,
        ind,
        iot,
        irq,
        irn,
        isl,
        ita,
        jey,
        jam,
        jor,
        jpn,
        ken,
        kgz,
        khm,
        kir,
        com,
        kna,
        prk,
        kor,
        kwt,
        cym,
        kaz,
        lao,
        lbn,
        lca,
        lie,
        lka,
        lbr,
        lso,
        ltu,
        lux,
        lva,
        lby,
        mar,
        mco,
        mda,
        mne,
        maf,
        mdg,
        mhl,
        mkd,
        mli,
        mmr,
        mng,
        mac,
        mnp,
        mtq,
        mrt,
        msr,
        mlt,
        mus,
        mdv,
        mwi,
        mex,
        mys,
        moz,
        nam,
        ncl,
        ner,
        nfk,
        nga,
        nic,
        nld,
        nor,
        npl,
        nru,
        niu,
        nzl,
        omn,
        pan,
        per,
        pyf,
        png,
        phl,
        pak,
        pol,
        spm,
        pcn,
        pri,
        pse,
        prt,
        plw,
        pry,
        qat,
        reu,
        rou,
        srb,
        rus,
        rwa,
        sau,
        slb,
        syc,
        sdn,
        swe,
        sgp,
        shn,
        svn,
        sjm,
        svk,
        sle,
        smr,
        sen,
        som,
        sur,
        ssd,
        stp,
        slv,
        sxm,
        syr,
        swz,
        tca,
        tcd,
        atf,
        tgo,
        tha,
        tjk,
        tkl,
        tls,
        tkm,
        tun,
        ton,
        tur,
        tto,
        tuv,
        twn,
        tza,
        ukr,
        uga,
        umi,
        usa,
        ury,
        uzb,
        vat,
        vct,
        ven,
        vgb,
        vir,
        vnm,
        vut,
        wlf,
        wsm,
        yem,
        myt,
        zaf,
        zmb,
        zwe
      ];
}
